require 'xsd/qname'

module ActiveNetsuite


# {urn:core_2013_2.platform.webservices.netsuite.com}Passport
#   email - SOAP::SOAPString
#   password - SOAP::SOAPString
#   account - SOAP::SOAPString
#   role - ActiveNetsuite::RecordRef
class Passport
  attr_accessor :email
  attr_accessor :password
  attr_accessor :account
  attr_accessor :role

  def initialize(email = nil, password = nil, account = nil, role = nil)
    @email = email
    @password = password
    @account = account
    @role = role
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SsoPassport
#   authenticationToken - SOAP::SOAPString
#   partnerId - SOAP::SOAPString
#   partnerAccount - SOAP::SOAPString
class SsoPassport
  attr_accessor :authenticationToken
  attr_accessor :partnerId
  attr_accessor :partnerAccount

  def initialize(authenticationToken = nil, partnerId = nil, partnerAccount = nil)
    @authenticationToken = authenticationToken
    @partnerId = partnerId
    @partnerAccount = partnerAccount
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SsoCredentials
#   email - SOAP::SOAPString
#   password - SOAP::SOAPString
#   account - SOAP::SOAPString
#   role - ActiveNetsuite::RecordRef
#   authenticationToken - SOAP::SOAPString
#   partnerId - SOAP::SOAPString
class SsoCredentials
  attr_accessor :email
  attr_accessor :password
  attr_accessor :account
  attr_accessor :role
  attr_accessor :authenticationToken
  attr_accessor :partnerId

  def initialize(email = nil, password = nil, account = nil, role = nil, authenticationToken = nil, partnerId = nil)
    @email = email
    @password = password
    @account = account
    @role = role
    @authenticationToken = authenticationToken
    @partnerId = partnerId
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}ChangePassword
#   currentPassword - SOAP::SOAPString
#   newPassword - SOAP::SOAPString
#   newPassword2 - SOAP::SOAPString
#   justThisAccount - SOAP::SOAPBoolean
class ChangePassword
  attr_accessor :currentPassword
  attr_accessor :newPassword
  attr_accessor :newPassword2
  attr_accessor :justThisAccount

  def initialize(currentPassword = nil, newPassword = nil, newPassword2 = nil, justThisAccount = nil)
    @currentPassword = currentPassword
    @newPassword = newPassword
    @newPassword2 = newPassword2
    @justThisAccount = justThisAccount
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}ChangeEmail
#   currentPassword - SOAP::SOAPString
#   newEmail - SOAP::SOAPString
#   newEmail2 - SOAP::SOAPString
#   justThisAccount - SOAP::SOAPBoolean
class ChangeEmail
  attr_accessor :currentPassword
  attr_accessor :newEmail
  attr_accessor :newEmail2
  attr_accessor :justThisAccount

  def initialize(currentPassword = nil, newEmail = nil, newEmail2 = nil, justThisAccount = nil)
    @currentPassword = currentPassword
    @newEmail = newEmail
    @newEmail2 = newEmail2
    @justThisAccount = justThisAccount
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}StatusDetail
#   code - ActiveNetsuite::StatusDetailCodeType
#   message - SOAP::SOAPString
#   xmlattr_type - SOAP::SOAPString
class StatusDetail
  AttrType = XSD::QName.new(nil, "type")

  attr_accessor :code
  attr_accessor :message

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_type
    __xmlattr[AttrType]
  end

  def xmlattr_type=(value)
    __xmlattr[AttrType] = value
  end

  def initialize(code = nil, message = nil)
    @code = code
    @message = message
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}Status
#   statusDetail - ActiveNetsuite::StatusDetail
#   xmlattr_isSuccess - SOAP::SOAPBoolean
class Status
  AttrIsSuccess = XSD::QName.new(nil, "isSuccess")

  attr_accessor :statusDetail

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_isSuccess
    __xmlattr[AttrIsSuccess]
  end

  def xmlattr_isSuccess=(value)
    __xmlattr[AttrIsSuccess] = value
  end

  def initialize(statusDetail = [])
    @statusDetail = statusDetail
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}WsRole
#   role - ActiveNetsuite::RecordRef
#   isDefault - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   isLoggedInRole - SOAP::SOAPBoolean
class WsRole
  attr_accessor :role
  attr_accessor :isDefault
  attr_accessor :isInactive
  attr_accessor :isLoggedInRole

  def initialize(role = nil, isDefault = nil, isInactive = nil, isLoggedInRole = nil)
    @role = role
    @isDefault = isDefault
    @isInactive = isInactive
    @isLoggedInRole = isLoggedInRole
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}WsRoleList
class WsRoleList < ::Array
end

# {urn:core_2013_2.platform.webservices.netsuite.com}Record
# abstract
#   nullFieldList - ActiveNetsuite::NullField
class Record
  attr_accessor :nullFieldList

  def initialize(nullFieldList = nil)
    @nullFieldList = nullFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}LandedCost
#   nullFieldList - ActiveNetsuite::NullField
#   landedCostDataList - ActiveNetsuite::LandedCostDataList
class LandedCost < Record
  attr_accessor :nullFieldList
  attr_accessor :landedCostDataList

  def initialize(nullFieldList = nil, landedCostDataList = nil)
    @nullFieldList = nullFieldList
    @landedCostDataList = landedCostDataList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}InventoryDetail
#   nullFieldList - ActiveNetsuite::NullField
#   inventoryAssignmentList - ActiveNetsuite::InventoryAssignmentList
#   customForm - ActiveNetsuite::RecordRef
class InventoryDetail < Record
  attr_accessor :nullFieldList
  attr_accessor :inventoryAssignmentList
  attr_accessor :customForm

  def initialize(nullFieldList = nil, inventoryAssignmentList = nil, customForm = nil)
    @nullFieldList = nullFieldList
    @inventoryAssignmentList = inventoryAssignmentList
    @customForm = customForm
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}CalendarEvent
#   nullFieldList - ActiveNetsuite::NullField
#   company - ActiveNetsuite::RecordRef
#   contact - ActiveNetsuite::RecordRef
#   supportCase - ActiveNetsuite::RecordRef
#   transaction - ActiveNetsuite::RecordRef
#   period - SOAP::SOAPLong
#   frequency - ActiveNetsuite::RecurrenceFrequency
#   recurrenceDowMaskList - ActiveNetsuite::RecurrenceDowMaskList
#   recurrenceDow - ActiveNetsuite::RecurrenceDow
#   recurrenceDowim - ActiveNetsuite::RecurrenceDowim
#   seriesStartDate - SOAP::SOAPDateTime
#   endByDate - SOAP::SOAPDateTime
#   noEndDate - SOAP::SOAPBoolean
#   sendEmail - SOAP::SOAPBoolean
#   customForm - ActiveNetsuite::RecordRef
#   title - SOAP::SOAPString
#   recurrence - SOAP::SOAPString
#   location - SOAP::SOAPString
#   startDate - SOAP::SOAPDateTime
#   allDayEvent - SOAP::SOAPBoolean
#   timedEvent - SOAP::SOAPBoolean
#   reminderType - ActiveNetsuite::CalendarEventReminderType
#   reminderMinutes - ActiveNetsuite::CalendarEventReminderMinutes
#   status - ActiveNetsuite::CalendarEventStatus
#   accessLevel - ActiveNetsuite::CalendarEventAccessLevel
#   organizer - ActiveNetsuite::RecordRef
#   message - SOAP::SOAPString
#   createdDate - SOAP::SOAPDateTime
#   endDate - SOAP::SOAPDateTime
#   exclusionDateList - ActiveNetsuite::ExclusionDateList
#   lastModifiedDate - SOAP::SOAPDateTime
#   owner - ActiveNetsuite::RecordRef
#   attendeeList - ActiveNetsuite::CalendarEventAttendeeList
#   resourceList - ActiveNetsuite::CalendarEventResourceList
#   timeItemList - ActiveNetsuite::CalendarEventTimeItemList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CalendarEvent < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :company
  attr_accessor :contact
  attr_accessor :supportCase
  attr_accessor :transaction
  attr_accessor :period
  attr_accessor :frequency
  attr_accessor :recurrenceDowMaskList
  attr_accessor :recurrenceDow
  attr_accessor :recurrenceDowim
  attr_accessor :seriesStartDate
  attr_accessor :endByDate
  attr_accessor :noEndDate
  attr_accessor :sendEmail
  attr_accessor :customForm
  attr_accessor :title
  attr_accessor :recurrence
  attr_accessor :location
  attr_accessor :startDate
  attr_accessor :allDayEvent
  attr_accessor :timedEvent
  attr_accessor :reminderType
  attr_accessor :reminderMinutes
  attr_accessor :status
  attr_accessor :accessLevel
  attr_accessor :organizer
  attr_accessor :message
  attr_accessor :createdDate
  attr_accessor :endDate
  attr_accessor :exclusionDateList
  attr_accessor :lastModifiedDate
  attr_accessor :owner
  attr_accessor :attendeeList
  attr_accessor :resourceList
  attr_accessor :timeItemList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, company = nil, contact = nil, supportCase = nil, transaction = nil, period = nil, frequency = nil, recurrenceDowMaskList = nil, recurrenceDow = nil, recurrenceDowim = nil, seriesStartDate = nil, endByDate = nil, noEndDate = nil, sendEmail = nil, customForm = nil, title = nil, recurrence = nil, location = nil, startDate = nil, allDayEvent = nil, timedEvent = nil, reminderType = nil, reminderMinutes = nil, status = nil, accessLevel = nil, organizer = nil, message = nil, createdDate = nil, endDate = nil, exclusionDateList = nil, lastModifiedDate = nil, owner = nil, attendeeList = nil, resourceList = nil, timeItemList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @company = company
    @contact = contact
    @supportCase = supportCase
    @transaction = transaction
    @period = period
    @frequency = frequency
    @recurrenceDowMaskList = recurrenceDowMaskList
    @recurrenceDow = recurrenceDow
    @recurrenceDowim = recurrenceDowim
    @seriesStartDate = seriesStartDate
    @endByDate = endByDate
    @noEndDate = noEndDate
    @sendEmail = sendEmail
    @customForm = customForm
    @title = title
    @recurrence = recurrence
    @location = location
    @startDate = startDate
    @allDayEvent = allDayEvent
    @timedEvent = timedEvent
    @reminderType = reminderType
    @reminderMinutes = reminderMinutes
    @status = status
    @accessLevel = accessLevel
    @organizer = organizer
    @message = message
    @createdDate = createdDate
    @endDate = endDate
    @exclusionDateList = exclusionDateList
    @lastModifiedDate = lastModifiedDate
    @owner = owner
    @attendeeList = attendeeList
    @resourceList = resourceList
    @timeItemList = timeItemList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}Task
#   nullFieldList - ActiveNetsuite::NullField
#   company - ActiveNetsuite::RecordRef
#   contact - ActiveNetsuite::RecordRef
#   supportCase - ActiveNetsuite::RecordRef
#   transaction - ActiveNetsuite::RecordRef
#   milestone - ActiveNetsuite::RecordRef
#   customForm - ActiveNetsuite::RecordRef
#   title - SOAP::SOAPString
#   assigned - ActiveNetsuite::RecordRef
#   sendEmail - SOAP::SOAPBoolean
#   timedEvent - SOAP::SOAPBoolean
#   estimatedTime - ActiveNetsuite::Duration
#   estimatedTimeOverride - ActiveNetsuite::Duration
#   actualTime - ActiveNetsuite::Duration
#   timeRemaining - ActiveNetsuite::Duration
#   percentTimeComplete - SOAP::SOAPDouble
#   percentComplete - SOAP::SOAPDouble
#   parent - ActiveNetsuite::RecordRef
#   startDate - SOAP::SOAPDateTime
#   endDate - SOAP::SOAPDateTime
#   dueDate - SOAP::SOAPDateTime
#   completedDate - SOAP::SOAPDateTime
#   priority - ActiveNetsuite::TaskPriority
#   status - ActiveNetsuite::TaskStatus
#   message - SOAP::SOAPString
#   accessLevel - SOAP::SOAPBoolean
#   reminderType - ActiveNetsuite::TaskReminderType
#   reminderMinutes - ActiveNetsuite::TaskReminderMinutes
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   owner - ActiveNetsuite::RecordRef
#   contactList - ActiveNetsuite::TaskContactList
#   timeItemList - ActiveNetsuite::TaskTimeItemList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Task < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :company
  attr_accessor :contact
  attr_accessor :supportCase
  attr_accessor :transaction
  attr_accessor :milestone
  attr_accessor :customForm
  attr_accessor :title
  attr_accessor :assigned
  attr_accessor :sendEmail
  attr_accessor :timedEvent
  attr_accessor :estimatedTime
  attr_accessor :estimatedTimeOverride
  attr_accessor :actualTime
  attr_accessor :timeRemaining
  attr_accessor :percentTimeComplete
  attr_accessor :percentComplete
  attr_accessor :parent
  attr_accessor :startDate
  attr_accessor :endDate
  attr_accessor :dueDate
  attr_accessor :completedDate
  attr_accessor :priority
  attr_accessor :status
  attr_accessor :message
  attr_accessor :accessLevel
  attr_accessor :reminderType
  attr_accessor :reminderMinutes
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :owner
  attr_accessor :contactList
  attr_accessor :timeItemList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, company = nil, contact = nil, supportCase = nil, transaction = nil, milestone = nil, customForm = nil, title = nil, assigned = nil, sendEmail = nil, timedEvent = nil, estimatedTime = nil, estimatedTimeOverride = nil, actualTime = nil, timeRemaining = nil, percentTimeComplete = nil, percentComplete = nil, parent = nil, startDate = nil, endDate = nil, dueDate = nil, completedDate = nil, priority = nil, status = nil, message = nil, accessLevel = nil, reminderType = nil, reminderMinutes = nil, createdDate = nil, lastModifiedDate = nil, owner = nil, contactList = nil, timeItemList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @company = company
    @contact = contact
    @supportCase = supportCase
    @transaction = transaction
    @milestone = milestone
    @customForm = customForm
    @title = title
    @assigned = assigned
    @sendEmail = sendEmail
    @timedEvent = timedEvent
    @estimatedTime = estimatedTime
    @estimatedTimeOverride = estimatedTimeOverride
    @actualTime = actualTime
    @timeRemaining = timeRemaining
    @percentTimeComplete = percentTimeComplete
    @percentComplete = percentComplete
    @parent = parent
    @startDate = startDate
    @endDate = endDate
    @dueDate = dueDate
    @completedDate = completedDate
    @priority = priority
    @status = status
    @message = message
    @accessLevel = accessLevel
    @reminderType = reminderType
    @reminderMinutes = reminderMinutes
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @owner = owner
    @contactList = contactList
    @timeItemList = timeItemList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}PhoneCall
#   nullFieldList - ActiveNetsuite::NullField
#   message - SOAP::SOAPString
#   company - ActiveNetsuite::RecordRef
#   contact - ActiveNetsuite::RecordRef
#   supportCase - ActiveNetsuite::RecordRef
#   transaction - ActiveNetsuite::RecordRef
#   milestone - ActiveNetsuite::RecordRef
#   customForm - ActiveNetsuite::RecordRef
#   title - SOAP::SOAPString
#   owner - ActiveNetsuite::RecordRef
#   assigned - ActiveNetsuite::RecordRef
#   sendEmail - SOAP::SOAPBoolean
#   startDate - SOAP::SOAPDateTime
#   endDate - SOAP::SOAPDateTime
#   timedEvent - SOAP::SOAPBoolean
#   completedDate - SOAP::SOAPDateTime
#   phone - SOAP::SOAPString
#   status - ActiveNetsuite::PhoneCallStatus
#   priority - ActiveNetsuite::PhoneCallPriority
#   accessLevel - SOAP::SOAPBoolean
#   reminderType - ActiveNetsuite::PhoneCallReminderType
#   reminderMinutes - ActiveNetsuite::PhoneCallReminderMinutes
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   contactList - ActiveNetsuite::PhoneCallContactList
#   timeItemList - ActiveNetsuite::PhoneCallTimeItemList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class PhoneCall < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :message
  attr_accessor :company
  attr_accessor :contact
  attr_accessor :supportCase
  attr_accessor :transaction
  attr_accessor :milestone
  attr_accessor :customForm
  attr_accessor :title
  attr_accessor :owner
  attr_accessor :assigned
  attr_accessor :sendEmail
  attr_accessor :startDate
  attr_accessor :endDate
  attr_accessor :timedEvent
  attr_accessor :completedDate
  attr_accessor :phone
  attr_accessor :status
  attr_accessor :priority
  attr_accessor :accessLevel
  attr_accessor :reminderType
  attr_accessor :reminderMinutes
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :contactList
  attr_accessor :timeItemList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, message = nil, company = nil, contact = nil, supportCase = nil, transaction = nil, milestone = nil, customForm = nil, title = nil, owner = nil, assigned = nil, sendEmail = nil, startDate = nil, endDate = nil, timedEvent = nil, completedDate = nil, phone = nil, status = nil, priority = nil, accessLevel = nil, reminderType = nil, reminderMinutes = nil, createdDate = nil, lastModifiedDate = nil, contactList = nil, timeItemList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @message = message
    @company = company
    @contact = contact
    @supportCase = supportCase
    @transaction = transaction
    @milestone = milestone
    @customForm = customForm
    @title = title
    @owner = owner
    @assigned = assigned
    @sendEmail = sendEmail
    @startDate = startDate
    @endDate = endDate
    @timedEvent = timedEvent
    @completedDate = completedDate
    @phone = phone
    @status = status
    @priority = priority
    @accessLevel = accessLevel
    @reminderType = reminderType
    @reminderMinutes = reminderMinutes
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @contactList = contactList
    @timeItemList = timeItemList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}ProjectTask
#   nullFieldList - ActiveNetsuite::NullField
#   customForm - ActiveNetsuite::RecordRef
#   eventId - ActiveNetsuite::RecordRef
#   percentTimeComplete - SOAP::SOAPDouble
#   title - SOAP::SOAPString
#   company - ActiveNetsuite::RecordRef
#   contact - ActiveNetsuite::RecordRef
#   order - ActiveNetsuite::RecordRef
#   owner - ActiveNetsuite::RecordRef
#   parent - ActiveNetsuite::RecordRef
#   priority - ActiveNetsuite::RecordRef
#   estimatedWork - SOAP::SOAPDouble
#   estimatedWorkBaseline - SOAP::SOAPDouble
#   constraintType - ActiveNetsuite::ProjectTaskConstraintType
#   startDate - SOAP::SOAPDateTime
#   startDateBaseline - SOAP::SOAPDateTime
#   endDate - SOAP::SOAPDateTime
#   finishByDate - SOAP::SOAPDateTime
#   endDateBaseline - SOAP::SOAPDateTime
#   actualWork - SOAP::SOAPDouble
#   remainingWork - SOAP::SOAPDouble
#   message - SOAP::SOAPString
#   isMilestone - SOAP::SOAPBoolean
#   isOnCriticalPath - SOAP::SOAPString
#   slackMinutes - SOAP::SOAPDouble
#   lateEnd - SOAP::SOAPDateTime
#   lateStart - SOAP::SOAPDateTime
#   status - ActiveNetsuite::ProjectTaskStatus
#   assigneeList - ActiveNetsuite::ProjectTaskAssigneeList
#   predecessorList - ActiveNetsuite::ProjectTaskPredecessorList
#   timeItemList - ActiveNetsuite::ProjectTaskTimeItemList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class ProjectTask < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :customForm
  attr_accessor :eventId
  attr_accessor :percentTimeComplete
  attr_accessor :title
  attr_accessor :company
  attr_accessor :contact
  attr_accessor :order
  attr_accessor :owner
  attr_accessor :parent
  attr_accessor :priority
  attr_accessor :estimatedWork
  attr_accessor :estimatedWorkBaseline
  attr_accessor :constraintType
  attr_accessor :startDate
  attr_accessor :startDateBaseline
  attr_accessor :endDate
  attr_accessor :finishByDate
  attr_accessor :endDateBaseline
  attr_accessor :actualWork
  attr_accessor :remainingWork
  attr_accessor :message
  attr_accessor :isMilestone
  attr_accessor :isOnCriticalPath
  attr_accessor :slackMinutes
  attr_accessor :lateEnd
  attr_accessor :lateStart
  attr_accessor :status
  attr_accessor :assigneeList
  attr_accessor :predecessorList
  attr_accessor :timeItemList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, customForm = nil, eventId = nil, percentTimeComplete = nil, title = nil, company = nil, contact = nil, order = nil, owner = nil, parent = nil, priority = nil, estimatedWork = nil, estimatedWorkBaseline = nil, constraintType = nil, startDate = nil, startDateBaseline = nil, endDate = nil, finishByDate = nil, endDateBaseline = nil, actualWork = nil, remainingWork = nil, message = nil, isMilestone = nil, isOnCriticalPath = nil, slackMinutes = nil, lateEnd = nil, lateStart = nil, status = nil, assigneeList = nil, predecessorList = nil, timeItemList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @customForm = customForm
    @eventId = eventId
    @percentTimeComplete = percentTimeComplete
    @title = title
    @company = company
    @contact = contact
    @order = order
    @owner = owner
    @parent = parent
    @priority = priority
    @estimatedWork = estimatedWork
    @estimatedWorkBaseline = estimatedWorkBaseline
    @constraintType = constraintType
    @startDate = startDate
    @startDateBaseline = startDateBaseline
    @endDate = endDate
    @finishByDate = finishByDate
    @endDateBaseline = endDateBaseline
    @actualWork = actualWork
    @remainingWork = remainingWork
    @message = message
    @isMilestone = isMilestone
    @isOnCriticalPath = isOnCriticalPath
    @slackMinutes = slackMinutes
    @lateEnd = lateEnd
    @lateStart = lateStart
    @status = status
    @assigneeList = assigneeList
    @predecessorList = predecessorList
    @timeItemList = timeItemList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}ResourceAllocation
#   nullFieldList - ActiveNetsuite::NullField
#   requestedby - ActiveNetsuite::RecordRef
#   allocationResource - ActiveNetsuite::RecordRef
#   project - ActiveNetsuite::RecordRef
#   notes - SOAP::SOAPString
#   startDate - SOAP::SOAPDateTime
#   endDate - SOAP::SOAPDateTime
#   allocationAmount - SOAP::SOAPDouble
#   allocationUnit - ActiveNetsuite::ResourceAllocationAllocationUnit
#   numberHours - SOAP::SOAPDouble
#   percentOfTime - SOAP::SOAPDouble
#   allocationType - ActiveNetsuite::RecordRef
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class ResourceAllocation < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :requestedby
  attr_accessor :allocationResource
  attr_accessor :project
  attr_accessor :notes
  attr_accessor :startDate
  attr_accessor :endDate
  attr_accessor :allocationAmount
  attr_accessor :allocationUnit
  attr_accessor :numberHours
  attr_accessor :percentOfTime
  attr_accessor :allocationType
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, requestedby = nil, allocationResource = nil, project = nil, notes = nil, startDate = nil, endDate = nil, allocationAmount = nil, allocationUnit = nil, numberHours = nil, percentOfTime = nil, allocationType = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @requestedby = requestedby
    @allocationResource = allocationResource
    @project = project
    @notes = notes
    @startDate = startDate
    @endDate = endDate
    @allocationAmount = allocationAmount
    @allocationUnit = allocationUnit
    @numberHours = numberHours
    @percentOfTime = percentOfTime
    @allocationType = allocationType
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:communication_2013_2.general.webservices.netsuite.com}Note
#   nullFieldList - ActiveNetsuite::NullField
#   title - SOAP::SOAPString
#   noteType - ActiveNetsuite::RecordRef
#   direction - ActiveNetsuite::NoteDirection
#   noteDate - SOAP::SOAPDateTime
#   note - SOAP::SOAPString
#   lastModifiedDate - SOAP::SOAPDateTime
#   activity - ActiveNetsuite::RecordRef
#   author - ActiveNetsuite::RecordRef
#   entity - ActiveNetsuite::RecordRef
#   folder - ActiveNetsuite::RecordRef
#   item - ActiveNetsuite::RecordRef
#   media - ActiveNetsuite::RecordRef
#   record - ActiveNetsuite::RecordRef
#   recordType - ActiveNetsuite::RecordRef
#   topic - ActiveNetsuite::RecordRef
#   transaction - ActiveNetsuite::RecordRef
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Note < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :title
  attr_accessor :noteType
  attr_accessor :direction
  attr_accessor :noteDate
  attr_accessor :note
  attr_accessor :lastModifiedDate
  attr_accessor :activity
  attr_accessor :author
  attr_accessor :entity
  attr_accessor :folder
  attr_accessor :item
  attr_accessor :media
  attr_accessor :record
  attr_accessor :recordType
  attr_accessor :topic
  attr_accessor :transaction

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, title = nil, noteType = nil, direction = nil, noteDate = nil, note = nil, lastModifiedDate = nil, activity = nil, author = nil, entity = nil, folder = nil, item = nil, media = nil, record = nil, recordType = nil, topic = nil, transaction = nil)
    @nullFieldList = nullFieldList
    @title = title
    @noteType = noteType
    @direction = direction
    @noteDate = noteDate
    @note = note
    @lastModifiedDate = lastModifiedDate
    @activity = activity
    @author = author
    @entity = entity
    @folder = folder
    @item = item
    @media = media
    @record = record
    @recordType = recordType
    @topic = topic
    @transaction = transaction
    @__xmlattr = {}
  end
end

# {urn:communication_2013_2.general.webservices.netsuite.com}Message
#   nullFieldList - ActiveNetsuite::NullField
#   author - ActiveNetsuite::RecordRef
#   recipient - ActiveNetsuite::RecordRef
#   cc - SOAP::SOAPString
#   bcc - SOAP::SOAPString
#   messageDate - SOAP::SOAPDateTime
#   recordName - SOAP::SOAPString
#   recordTypeName - SOAP::SOAPString
#   subject - SOAP::SOAPString
#   message - SOAP::SOAPString
#   emailed - SOAP::SOAPBoolean
#   activity - ActiveNetsuite::RecordRef
#   compressAttachments - SOAP::SOAPBoolean
#   incoming - SOAP::SOAPBoolean
#   lastModifiedDate - SOAP::SOAPDateTime
#   transaction - ActiveNetsuite::RecordRef
#   mediaItemList - ActiveNetsuite::MessageMediaItemList
#   dateTime - SOAP::SOAPString
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Message < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :author
  attr_accessor :recipient
  attr_accessor :cc
  attr_accessor :bcc
  attr_accessor :messageDate
  attr_accessor :recordName
  attr_accessor :recordTypeName
  attr_accessor :subject
  attr_accessor :message
  attr_accessor :emailed
  attr_accessor :activity
  attr_accessor :compressAttachments
  attr_accessor :incoming
  attr_accessor :lastModifiedDate
  attr_accessor :transaction
  attr_accessor :mediaItemList
  attr_accessor :dateTime

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, author = nil, recipient = nil, cc = nil, bcc = nil, messageDate = nil, recordName = nil, recordTypeName = nil, subject = nil, message = nil, emailed = nil, activity = nil, compressAttachments = nil, incoming = nil, lastModifiedDate = nil, transaction = nil, mediaItemList = nil, dateTime = nil)
    @nullFieldList = nullFieldList
    @author = author
    @recipient = recipient
    @cc = cc
    @bcc = bcc
    @messageDate = messageDate
    @recordName = recordName
    @recordTypeName = recordTypeName
    @subject = subject
    @message = message
    @emailed = emailed
    @activity = activity
    @compressAttachments = compressAttachments
    @incoming = incoming
    @lastModifiedDate = lastModifiedDate
    @transaction = transaction
    @mediaItemList = mediaItemList
    @dateTime = dateTime
    @__xmlattr = {}
  end
end

# {urn:filecabinet_2013_2.documents.webservices.netsuite.com}File
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   attachFrom - ActiveNetsuite::FileAttachFrom
#   mediaTypeName - SOAP::SOAPString
#   fileType - ActiveNetsuite::MediaType
#   content - SOAP::SOAPBase64
#   folder - ActiveNetsuite::RecordRef
#   fileSize - SOAP::SOAPDouble
#   url - SOAP::SOAPString
#   urlComponent - SOAP::SOAPString
#   mediaFile - ActiveNetsuite::RecordRef
#   textFileEncoding - ActiveNetsuite::TextFileEncoding
#   description - SOAP::SOAPString
#   encoding - ActiveNetsuite::FileEncoding
#   altTagCaption - SOAP::SOAPString
#   isOnline - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   m_class - SOAP::SOAPString
#   bundleable - SOAP::SOAPBoolean
#   department - SOAP::SOAPString
#   hideInBundle - SOAP::SOAPBoolean
#   isPrivate - SOAP::SOAPBoolean
#   owner - ActiveNetsuite::RecordRef
#   caption - SOAP::SOAPString
#   storeDisplayThumbnail - ActiveNetsuite::RecordRef
#   siteDescription - SOAP::SOAPString
#   featuredDescription - SOAP::SOAPString
#   lastModifiedDate - SOAP::SOAPDateTime
#   createdDate - SOAP::SOAPDateTime
#   siteCategoryList - ActiveNetsuite::FileSiteCategoryList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class C_File < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :attachFrom
  attr_accessor :mediaTypeName
  attr_accessor :fileType
  attr_accessor :content
  attr_accessor :folder
  attr_accessor :fileSize
  attr_accessor :url
  attr_accessor :urlComponent
  attr_accessor :mediaFile
  attr_accessor :textFileEncoding
  attr_accessor :description
  attr_accessor :encoding
  attr_accessor :altTagCaption
  attr_accessor :isOnline
  attr_accessor :isInactive
  attr_accessor :bundleable
  attr_accessor :department
  attr_accessor :hideInBundle
  attr_accessor :isPrivate
  attr_accessor :owner
  attr_accessor :caption
  attr_accessor :storeDisplayThumbnail
  attr_accessor :siteDescription
  attr_accessor :featuredDescription
  attr_accessor :lastModifiedDate
  attr_accessor :createdDate
  attr_accessor :siteCategoryList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, attachFrom = nil, mediaTypeName = nil, fileType = nil, content = nil, folder = nil, fileSize = nil, url = nil, urlComponent = nil, mediaFile = nil, textFileEncoding = nil, description = nil, encoding = nil, altTagCaption = nil, isOnline = nil, isInactive = nil, v_class = nil, bundleable = nil, department = nil, hideInBundle = nil, isPrivate = nil, owner = nil, caption = nil, storeDisplayThumbnail = nil, siteDescription = nil, featuredDescription = nil, lastModifiedDate = nil, createdDate = nil, siteCategoryList = nil)
    @nullFieldList = nullFieldList
    @name = name
    @attachFrom = attachFrom
    @mediaTypeName = mediaTypeName
    @fileType = fileType
    @content = content
    @folder = folder
    @fileSize = fileSize
    @url = url
    @urlComponent = urlComponent
    @mediaFile = mediaFile
    @textFileEncoding = textFileEncoding
    @description = description
    @encoding = encoding
    @altTagCaption = altTagCaption
    @isOnline = isOnline
    @isInactive = isInactive
    @v_class = v_class
    @bundleable = bundleable
    @department = department
    @hideInBundle = hideInBundle
    @isPrivate = isPrivate
    @owner = owner
    @caption = caption
    @storeDisplayThumbnail = storeDisplayThumbnail
    @siteDescription = siteDescription
    @featuredDescription = featuredDescription
    @lastModifiedDate = lastModifiedDate
    @createdDate = createdDate
    @siteCategoryList = siteCategoryList
    @__xmlattr = {}
  end
end

# {urn:filecabinet_2013_2.documents.webservices.netsuite.com}Folder
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   department - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   isPrivate - SOAP::SOAPBoolean
#   bundleable - SOAP::SOAPBoolean
#   hideInBundle - SOAP::SOAPBoolean
#   isOnline - SOAP::SOAPBoolean
#   group - ActiveNetsuite::RecordRef
#   parent - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Folder < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :department
  attr_accessor :description
  attr_accessor :isInactive
  attr_accessor :isPrivate
  attr_accessor :bundleable
  attr_accessor :hideInBundle
  attr_accessor :isOnline
  attr_accessor :group
  attr_accessor :parent
  attr_accessor :location
  attr_accessor :subsidiary

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, department = nil, description = nil, isInactive = nil, isPrivate = nil, bundleable = nil, hideInBundle = nil, isOnline = nil, group = nil, parent = nil, v_class = nil, location = nil, subsidiary = nil)
    @nullFieldList = nullFieldList
    @name = name
    @department = department
    @description = description
    @isInactive = isInactive
    @isPrivate = isPrivate
    @bundleable = bundleable
    @hideInBundle = hideInBundle
    @isOnline = isOnline
    @group = group
    @parent = parent
    @v_class = v_class
    @location = location
    @subsidiary = subsidiary
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}Contact
#   nullFieldList - ActiveNetsuite::NullField
#   customForm - ActiveNetsuite::RecordRef
#   entityId - SOAP::SOAPString
#   contactSource - ActiveNetsuite::RecordRef
#   company - ActiveNetsuite::RecordRef
#   salutation - SOAP::SOAPString
#   firstName - SOAP::SOAPString
#   middleName - SOAP::SOAPString
#   lastName - SOAP::SOAPString
#   title - SOAP::SOAPString
#   phone - SOAP::SOAPString
#   fax - SOAP::SOAPString
#   email - SOAP::SOAPString
#   defaultAddress - SOAP::SOAPString
#   isPrivate - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   subsidiary - ActiveNetsuite::RecordRef
#   phoneticName - SOAP::SOAPString
#   categoryList - ActiveNetsuite::CategoryList
#   altEmail - SOAP::SOAPString
#   officePhone - SOAP::SOAPString
#   homePhone - SOAP::SOAPString
#   mobilePhone - SOAP::SOAPString
#   supervisor - ActiveNetsuite::RecordRef
#   supervisorPhone - SOAP::SOAPString
#   assistant - ActiveNetsuite::RecordRef
#   assistantPhone - SOAP::SOAPString
#   comments - SOAP::SOAPString
#   globalSubscriptionStatus - ActiveNetsuite::GlobalSubscriptionStatus
#   image - ActiveNetsuite::RecordRef
#   billPay - SOAP::SOAPBoolean
#   dateCreated - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   addressbookList - ActiveNetsuite::ContactAddressbookList
#   subscriptionsList - ActiveNetsuite::SubscriptionsList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Contact < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :customForm
  attr_accessor :entityId
  attr_accessor :contactSource
  attr_accessor :company
  attr_accessor :salutation
  attr_accessor :firstName
  attr_accessor :middleName
  attr_accessor :lastName
  attr_accessor :title
  attr_accessor :phone
  attr_accessor :fax
  attr_accessor :email
  attr_accessor :defaultAddress
  attr_accessor :isPrivate
  attr_accessor :isInactive
  attr_accessor :subsidiary
  attr_accessor :phoneticName
  attr_accessor :categoryList
  attr_accessor :altEmail
  attr_accessor :officePhone
  attr_accessor :homePhone
  attr_accessor :mobilePhone
  attr_accessor :supervisor
  attr_accessor :supervisorPhone
  attr_accessor :assistant
  attr_accessor :assistantPhone
  attr_accessor :comments
  attr_accessor :globalSubscriptionStatus
  attr_accessor :image
  attr_accessor :billPay
  attr_accessor :dateCreated
  attr_accessor :lastModifiedDate
  attr_accessor :addressbookList
  attr_accessor :subscriptionsList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, customForm = nil, entityId = nil, contactSource = nil, company = nil, salutation = nil, firstName = nil, middleName = nil, lastName = nil, title = nil, phone = nil, fax = nil, email = nil, defaultAddress = nil, isPrivate = nil, isInactive = nil, subsidiary = nil, phoneticName = nil, categoryList = nil, altEmail = nil, officePhone = nil, homePhone = nil, mobilePhone = nil, supervisor = nil, supervisorPhone = nil, assistant = nil, assistantPhone = nil, comments = nil, globalSubscriptionStatus = nil, image = nil, billPay = nil, dateCreated = nil, lastModifiedDate = nil, addressbookList = nil, subscriptionsList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @customForm = customForm
    @entityId = entityId
    @contactSource = contactSource
    @company = company
    @salutation = salutation
    @firstName = firstName
    @middleName = middleName
    @lastName = lastName
    @title = title
    @phone = phone
    @fax = fax
    @email = email
    @defaultAddress = defaultAddress
    @isPrivate = isPrivate
    @isInactive = isInactive
    @subsidiary = subsidiary
    @phoneticName = phoneticName
    @categoryList = categoryList
    @altEmail = altEmail
    @officePhone = officePhone
    @homePhone = homePhone
    @mobilePhone = mobilePhone
    @supervisor = supervisor
    @supervisorPhone = supervisorPhone
    @assistant = assistant
    @assistantPhone = assistantPhone
    @comments = comments
    @globalSubscriptionStatus = globalSubscriptionStatus
    @image = image
    @billPay = billPay
    @dateCreated = dateCreated
    @lastModifiedDate = lastModifiedDate
    @addressbookList = addressbookList
    @subscriptionsList = subscriptionsList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}Customer
#   nullFieldList - ActiveNetsuite::NullField
#   customForm - ActiveNetsuite::RecordRef
#   entityId - SOAP::SOAPString
#   altName - SOAP::SOAPString
#   isPerson - SOAP::SOAPBoolean
#   phoneticName - SOAP::SOAPString
#   salutation - SOAP::SOAPString
#   firstName - SOAP::SOAPString
#   middleName - SOAP::SOAPString
#   lastName - SOAP::SOAPString
#   companyName - SOAP::SOAPString
#   entityStatus - ActiveNetsuite::RecordRef
#   parent - ActiveNetsuite::RecordRef
#   phone - SOAP::SOAPString
#   fax - SOAP::SOAPString
#   email - SOAP::SOAPString
#   url - SOAP::SOAPString
#   defaultAddress - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   category - ActiveNetsuite::RecordRef
#   title - SOAP::SOAPString
#   printOnCheckAs - SOAP::SOAPString
#   altPhone - SOAP::SOAPString
#   homePhone - SOAP::SOAPString
#   mobilePhone - SOAP::SOAPString
#   altEmail - SOAP::SOAPString
#   language - ActiveNetsuite::Language
#   comments - SOAP::SOAPString
#   numberFormat - ActiveNetsuite::CustomerNumberFormat
#   negativeNumberFormat - ActiveNetsuite::CustomerNegativeNumberFormat
#   dateCreated - SOAP::SOAPDateTime
#   image - ActiveNetsuite::RecordRef
#   emailPreference - ActiveNetsuite::EmailPreference
#   subsidiary - ActiveNetsuite::RecordRef
#   representingSubsidiary - ActiveNetsuite::RecordRef
#   salesRep - ActiveNetsuite::RecordRef
#   territory - ActiveNetsuite::RecordRef
#   contribPct - SOAP::SOAPString
#   partner - ActiveNetsuite::RecordRef
#   salesGroup - ActiveNetsuite::RecordRef
#   vatRegNumber - SOAP::SOAPString
#   accountNumber - SOAP::SOAPString
#   taxExempt - SOAP::SOAPBoolean
#   terms - ActiveNetsuite::RecordRef
#   creditLimit - SOAP::SOAPDouble
#   creditHoldOverride - ActiveNetsuite::CustomerCreditHoldOverride
#   monthlyClosing - ActiveNetsuite::CustomerMonthlyClosing
#   overrideCurrencyFormat - SOAP::SOAPBoolean
#   displaySymbol - SOAP::SOAPString
#   symbolPlacement - ActiveNetsuite::CurrencySymbolPlacement
#   balance - SOAP::SOAPDouble
#   overdueBalance - SOAP::SOAPDouble
#   daysOverdue - SOAP::SOAPLong
#   unbilledOrders - SOAP::SOAPDouble
#   consolUnbilledOrders - SOAP::SOAPDouble
#   consolOverdueBalance - SOAP::SOAPDouble
#   consolDepositBalance - SOAP::SOAPDouble
#   consolBalance - SOAP::SOAPDouble
#   consolAging - SOAP::SOAPDouble
#   consolDaysOverdue - SOAP::SOAPLong
#   priceLevel - ActiveNetsuite::RecordRef
#   currency - ActiveNetsuite::RecordRef
#   prefCCProcessor - ActiveNetsuite::RecordRef
#   depositBalance - SOAP::SOAPDouble
#   shipComplete - SOAP::SOAPBoolean
#   taxable - SOAP::SOAPBoolean
#   taxItem - ActiveNetsuite::RecordRef
#   resaleNumber - SOAP::SOAPString
#   aging - SOAP::SOAPDouble
#   startDate - SOAP::SOAPDateTime
#   endDate - SOAP::SOAPDateTime
#   reminderDays - SOAP::SOAPLong
#   shippingItem - ActiveNetsuite::RecordRef
#   thirdPartyAcct - SOAP::SOAPString
#   thirdPartyZipcode - SOAP::SOAPString
#   thirdPartyCountry - ActiveNetsuite::Country
#   giveAccess - SOAP::SOAPBoolean
#   estimatedBudget - SOAP::SOAPDouble
#   accessRole - ActiveNetsuite::RecordRef
#   sendEmail - SOAP::SOAPBoolean
#   password - SOAP::SOAPString
#   password2 - SOAP::SOAPString
#   requirePwdChange - SOAP::SOAPBoolean
#   campaignCategory - ActiveNetsuite::RecordRef
#   leadSource - ActiveNetsuite::RecordRef
#   receivablesAccount - ActiveNetsuite::RecordRef
#   drAccount - ActiveNetsuite::RecordRef
#   fxAccount - ActiveNetsuite::RecordRef
#   defaultOrderPriority - SOAP::SOAPDouble
#   webLead - SOAP::SOAPString
#   referrer - SOAP::SOAPString
#   keywords - SOAP::SOAPString
#   clickStream - SOAP::SOAPString
#   lastPageVisited - SOAP::SOAPString
#   visits - SOAP::SOAPLong
#   firstVisit - SOAP::SOAPDateTime
#   lastVisit - SOAP::SOAPDateTime
#   billPay - SOAP::SOAPBoolean
#   openingBalance - SOAP::SOAPDouble
#   lastModifiedDate - SOAP::SOAPDateTime
#   openingBalanceDate - SOAP::SOAPDateTime
#   openingBalanceAccount - ActiveNetsuite::RecordRef
#   stage - ActiveNetsuite::CustomerStage
#   emailTransactions - SOAP::SOAPBoolean
#   printTransactions - SOAP::SOAPBoolean
#   faxTransactions - SOAP::SOAPBoolean
#   syncPartnerTeams - SOAP::SOAPBoolean
#   isBudgetApproved - SOAP::SOAPBoolean
#   globalSubscriptionStatus - ActiveNetsuite::GlobalSubscriptionStatus
#   salesReadiness - ActiveNetsuite::RecordRef
#   salesTeamList - ActiveNetsuite::CustomerSalesTeamList
#   buyingReason - ActiveNetsuite::RecordRef
#   downloadList - ActiveNetsuite::CustomerDownloadList
#   buyingTimeFrame - ActiveNetsuite::RecordRef
#   addressbookList - ActiveNetsuite::CustomerAddressbookList
#   subscriptionsList - ActiveNetsuite::SubscriptionsList
#   contactRolesList - ActiveNetsuite::ContactAccessRolesList
#   currencyList - ActiveNetsuite::CustomerCurrencyList
#   creditCardsList - ActiveNetsuite::CustomerCreditCardsList
#   partnersList - ActiveNetsuite::CustomerPartnersList
#   groupPricingList - ActiveNetsuite::CustomerGroupPricingList
#   itemPricingList - ActiveNetsuite::CustomerItemPricingList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Customer < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :customForm
  attr_accessor :entityId
  attr_accessor :altName
  attr_accessor :isPerson
  attr_accessor :phoneticName
  attr_accessor :salutation
  attr_accessor :firstName
  attr_accessor :middleName
  attr_accessor :lastName
  attr_accessor :companyName
  attr_accessor :entityStatus
  attr_accessor :parent
  attr_accessor :phone
  attr_accessor :fax
  attr_accessor :email
  attr_accessor :url
  attr_accessor :defaultAddress
  attr_accessor :isInactive
  attr_accessor :category
  attr_accessor :title
  attr_accessor :printOnCheckAs
  attr_accessor :altPhone
  attr_accessor :homePhone
  attr_accessor :mobilePhone
  attr_accessor :altEmail
  attr_accessor :language
  attr_accessor :comments
  attr_accessor :numberFormat
  attr_accessor :negativeNumberFormat
  attr_accessor :dateCreated
  attr_accessor :image
  attr_accessor :emailPreference
  attr_accessor :subsidiary
  attr_accessor :representingSubsidiary
  attr_accessor :salesRep
  attr_accessor :territory
  attr_accessor :contribPct
  attr_accessor :partner
  attr_accessor :salesGroup
  attr_accessor :vatRegNumber
  attr_accessor :accountNumber
  attr_accessor :taxExempt
  attr_accessor :terms
  attr_accessor :creditLimit
  attr_accessor :creditHoldOverride
  attr_accessor :monthlyClosing
  attr_accessor :overrideCurrencyFormat
  attr_accessor :displaySymbol
  attr_accessor :symbolPlacement
  attr_accessor :balance
  attr_accessor :overdueBalance
  attr_accessor :daysOverdue
  attr_accessor :unbilledOrders
  attr_accessor :consolUnbilledOrders
  attr_accessor :consolOverdueBalance
  attr_accessor :consolDepositBalance
  attr_accessor :consolBalance
  attr_accessor :consolAging
  attr_accessor :consolDaysOverdue
  attr_accessor :priceLevel
  attr_accessor :currency
  attr_accessor :prefCCProcessor
  attr_accessor :depositBalance
  attr_accessor :shipComplete
  attr_accessor :taxable
  attr_accessor :taxItem
  attr_accessor :resaleNumber
  attr_accessor :aging
  attr_accessor :startDate
  attr_accessor :endDate
  attr_accessor :reminderDays
  attr_accessor :shippingItem
  attr_accessor :thirdPartyAcct
  attr_accessor :thirdPartyZipcode
  attr_accessor :thirdPartyCountry
  attr_accessor :giveAccess
  attr_accessor :estimatedBudget
  attr_accessor :accessRole
  attr_accessor :sendEmail
  attr_accessor :password
  attr_accessor :password2
  attr_accessor :requirePwdChange
  attr_accessor :campaignCategory
  attr_accessor :leadSource
  attr_accessor :receivablesAccount
  attr_accessor :drAccount
  attr_accessor :fxAccount
  attr_accessor :defaultOrderPriority
  attr_accessor :webLead
  attr_accessor :referrer
  attr_accessor :keywords
  attr_accessor :clickStream
  attr_accessor :lastPageVisited
  attr_accessor :visits
  attr_accessor :firstVisit
  attr_accessor :lastVisit
  attr_accessor :billPay
  attr_accessor :openingBalance
  attr_accessor :lastModifiedDate
  attr_accessor :openingBalanceDate
  attr_accessor :openingBalanceAccount
  attr_accessor :stage
  attr_accessor :emailTransactions
  attr_accessor :printTransactions
  attr_accessor :faxTransactions
  attr_accessor :syncPartnerTeams
  attr_accessor :isBudgetApproved
  attr_accessor :globalSubscriptionStatus
  attr_accessor :salesReadiness
  attr_accessor :salesTeamList
  attr_accessor :buyingReason
  attr_accessor :downloadList
  attr_accessor :buyingTimeFrame
  attr_accessor :addressbookList
  attr_accessor :subscriptionsList
  attr_accessor :contactRolesList
  attr_accessor :currencyList
  attr_accessor :creditCardsList
  attr_accessor :partnersList
  attr_accessor :groupPricingList
  attr_accessor :itemPricingList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, customForm = nil, entityId = nil, altName = nil, isPerson = nil, phoneticName = nil, salutation = nil, firstName = nil, middleName = nil, lastName = nil, companyName = nil, entityStatus = nil, parent = nil, phone = nil, fax = nil, email = nil, url = nil, defaultAddress = nil, isInactive = nil, category = nil, title = nil, printOnCheckAs = nil, altPhone = nil, homePhone = nil, mobilePhone = nil, altEmail = nil, language = nil, comments = nil, numberFormat = nil, negativeNumberFormat = nil, dateCreated = nil, image = nil, emailPreference = nil, subsidiary = nil, representingSubsidiary = nil, salesRep = nil, territory = nil, contribPct = nil, partner = nil, salesGroup = nil, vatRegNumber = nil, accountNumber = nil, taxExempt = nil, terms = nil, creditLimit = nil, creditHoldOverride = nil, monthlyClosing = nil, overrideCurrencyFormat = nil, displaySymbol = nil, symbolPlacement = nil, balance = nil, overdueBalance = nil, daysOverdue = nil, unbilledOrders = nil, consolUnbilledOrders = nil, consolOverdueBalance = nil, consolDepositBalance = nil, consolBalance = nil, consolAging = nil, consolDaysOverdue = nil, priceLevel = nil, currency = nil, prefCCProcessor = nil, depositBalance = nil, shipComplete = nil, taxable = nil, taxItem = nil, resaleNumber = nil, aging = nil, startDate = nil, endDate = nil, reminderDays = nil, shippingItem = nil, thirdPartyAcct = nil, thirdPartyZipcode = nil, thirdPartyCountry = nil, giveAccess = nil, estimatedBudget = nil, accessRole = nil, sendEmail = nil, password = nil, password2 = nil, requirePwdChange = nil, campaignCategory = nil, leadSource = nil, receivablesAccount = nil, drAccount = nil, fxAccount = nil, defaultOrderPriority = nil, webLead = nil, referrer = nil, keywords = nil, clickStream = nil, lastPageVisited = nil, visits = nil, firstVisit = nil, lastVisit = nil, billPay = nil, openingBalance = nil, lastModifiedDate = nil, openingBalanceDate = nil, openingBalanceAccount = nil, stage = nil, emailTransactions = nil, printTransactions = nil, faxTransactions = nil, syncPartnerTeams = nil, isBudgetApproved = nil, globalSubscriptionStatus = nil, salesReadiness = nil, salesTeamList = nil, buyingReason = nil, downloadList = nil, buyingTimeFrame = nil, addressbookList = nil, subscriptionsList = nil, contactRolesList = nil, currencyList = nil, creditCardsList = nil, partnersList = nil, groupPricingList = nil, itemPricingList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @customForm = customForm
    @entityId = entityId
    @altName = altName
    @isPerson = isPerson
    @phoneticName = phoneticName
    @salutation = salutation
    @firstName = firstName
    @middleName = middleName
    @lastName = lastName
    @companyName = companyName
    @entityStatus = entityStatus
    @parent = parent
    @phone = phone
    @fax = fax
    @email = email
    @url = url
    @defaultAddress = defaultAddress
    @isInactive = isInactive
    @category = category
    @title = title
    @printOnCheckAs = printOnCheckAs
    @altPhone = altPhone
    @homePhone = homePhone
    @mobilePhone = mobilePhone
    @altEmail = altEmail
    @language = language
    @comments = comments
    @numberFormat = numberFormat
    @negativeNumberFormat = negativeNumberFormat
    @dateCreated = dateCreated
    @image = image
    @emailPreference = emailPreference
    @subsidiary = subsidiary
    @representingSubsidiary = representingSubsidiary
    @salesRep = salesRep
    @territory = territory
    @contribPct = contribPct
    @partner = partner
    @salesGroup = salesGroup
    @vatRegNumber = vatRegNumber
    @accountNumber = accountNumber
    @taxExempt = taxExempt
    @terms = terms
    @creditLimit = creditLimit
    @creditHoldOverride = creditHoldOverride
    @monthlyClosing = monthlyClosing
    @overrideCurrencyFormat = overrideCurrencyFormat
    @displaySymbol = displaySymbol
    @symbolPlacement = symbolPlacement
    @balance = balance
    @overdueBalance = overdueBalance
    @daysOverdue = daysOverdue
    @unbilledOrders = unbilledOrders
    @consolUnbilledOrders = consolUnbilledOrders
    @consolOverdueBalance = consolOverdueBalance
    @consolDepositBalance = consolDepositBalance
    @consolBalance = consolBalance
    @consolAging = consolAging
    @consolDaysOverdue = consolDaysOverdue
    @priceLevel = priceLevel
    @currency = currency
    @prefCCProcessor = prefCCProcessor
    @depositBalance = depositBalance
    @shipComplete = shipComplete
    @taxable = taxable
    @taxItem = taxItem
    @resaleNumber = resaleNumber
    @aging = aging
    @startDate = startDate
    @endDate = endDate
    @reminderDays = reminderDays
    @shippingItem = shippingItem
    @thirdPartyAcct = thirdPartyAcct
    @thirdPartyZipcode = thirdPartyZipcode
    @thirdPartyCountry = thirdPartyCountry
    @giveAccess = giveAccess
    @estimatedBudget = estimatedBudget
    @accessRole = accessRole
    @sendEmail = sendEmail
    @password = password
    @password2 = password2
    @requirePwdChange = requirePwdChange
    @campaignCategory = campaignCategory
    @leadSource = leadSource
    @receivablesAccount = receivablesAccount
    @drAccount = drAccount
    @fxAccount = fxAccount
    @defaultOrderPriority = defaultOrderPriority
    @webLead = webLead
    @referrer = referrer
    @keywords = keywords
    @clickStream = clickStream
    @lastPageVisited = lastPageVisited
    @visits = visits
    @firstVisit = firstVisit
    @lastVisit = lastVisit
    @billPay = billPay
    @openingBalance = openingBalance
    @lastModifiedDate = lastModifiedDate
    @openingBalanceDate = openingBalanceDate
    @openingBalanceAccount = openingBalanceAccount
    @stage = stage
    @emailTransactions = emailTransactions
    @printTransactions = printTransactions
    @faxTransactions = faxTransactions
    @syncPartnerTeams = syncPartnerTeams
    @isBudgetApproved = isBudgetApproved
    @globalSubscriptionStatus = globalSubscriptionStatus
    @salesReadiness = salesReadiness
    @salesTeamList = salesTeamList
    @buyingReason = buyingReason
    @downloadList = downloadList
    @buyingTimeFrame = buyingTimeFrame
    @addressbookList = addressbookList
    @subscriptionsList = subscriptionsList
    @contactRolesList = contactRolesList
    @currencyList = currencyList
    @creditCardsList = creditCardsList
    @partnersList = partnersList
    @groupPricingList = groupPricingList
    @itemPricingList = itemPricingList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerStatus
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   stage - ActiveNetsuite::CustomerStatusStage
#   probability - SOAP::SOAPDouble
#   description - SOAP::SOAPString
#   includeInLeadReports - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CustomerStatus < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :stage
  attr_accessor :probability
  attr_accessor :description
  attr_accessor :includeInLeadReports
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, stage = nil, probability = nil, description = nil, includeInLeadReports = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @stage = stage
    @probability = probability
    @description = description
    @includeInLeadReports = includeInLeadReports
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}Partner
#   nullFieldList - ActiveNetsuite::NullField
#   customForm - ActiveNetsuite::RecordRef
#   entityId - SOAP::SOAPString
#   altName - SOAP::SOAPString
#   partnerCode - SOAP::SOAPString
#   isPerson - SOAP::SOAPBoolean
#   phoneticName - SOAP::SOAPString
#   salutation - SOAP::SOAPString
#   firstName - SOAP::SOAPString
#   middleName - SOAP::SOAPString
#   lastName - SOAP::SOAPString
#   companyName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   phone - SOAP::SOAPString
#   fax - SOAP::SOAPString
#   email - SOAP::SOAPString
#   url - SOAP::SOAPString
#   defaultAddress - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   lastModifiedDate - SOAP::SOAPDateTime
#   dateCreated - SOAP::SOAPDateTime
#   globalSubscriptionStatus - ActiveNetsuite::GlobalSubscriptionStatus
#   referringUrl - SOAP::SOAPString
#   roleList - ActiveNetsuite::RecordRefList
#   categoryList - ActiveNetsuite::CategoryList
#   title - SOAP::SOAPString
#   printOnCheckAs - SOAP::SOAPString
#   taxIdNum - SOAP::SOAPString
#   vatRegNumber - SOAP::SOAPString
#   comments - SOAP::SOAPString
#   bcn - SOAP::SOAPString
#   image - ActiveNetsuite::RecordRef
#   taxFractionUnit - ActiveNetsuite::TaxFractionUnit
#   emailPreference - ActiveNetsuite::EmailPreference
#   taxRounding - ActiveNetsuite::TaxRounding
#   department - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   homePhone - SOAP::SOAPString
#   mobilePhone - SOAP::SOAPString
#   altEmail - SOAP::SOAPString
#   giveAccess - SOAP::SOAPBoolean
#   accessRole - ActiveNetsuite::RecordRef
#   sendEmail - SOAP::SOAPBoolean
#   password - SOAP::SOAPString
#   password2 - SOAP::SOAPString
#   requirePwdChange - SOAP::SOAPBoolean
#   subPartnerLogin - SOAP::SOAPBoolean
#   loginAs - SOAP::SOAPString
#   eligibleForCommission - SOAP::SOAPBoolean
#   contactRolesList - ActiveNetsuite::ContactAccessRolesList
#   promoCodeList - ActiveNetsuite::PartnerPromoCodeList
#   addressbookList - ActiveNetsuite::PartnerAddressbookList
#   subscriptionsList - ActiveNetsuite::SubscriptionsList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Partner < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :customForm
  attr_accessor :entityId
  attr_accessor :altName
  attr_accessor :partnerCode
  attr_accessor :isPerson
  attr_accessor :phoneticName
  attr_accessor :salutation
  attr_accessor :firstName
  attr_accessor :middleName
  attr_accessor :lastName
  attr_accessor :companyName
  attr_accessor :parent
  attr_accessor :phone
  attr_accessor :fax
  attr_accessor :email
  attr_accessor :url
  attr_accessor :defaultAddress
  attr_accessor :isInactive
  attr_accessor :lastModifiedDate
  attr_accessor :dateCreated
  attr_accessor :globalSubscriptionStatus
  attr_accessor :referringUrl
  attr_accessor :roleList
  attr_accessor :categoryList
  attr_accessor :title
  attr_accessor :printOnCheckAs
  attr_accessor :taxIdNum
  attr_accessor :vatRegNumber
  attr_accessor :comments
  attr_accessor :bcn
  attr_accessor :image
  attr_accessor :taxFractionUnit
  attr_accessor :emailPreference
  attr_accessor :taxRounding
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiary
  attr_accessor :homePhone
  attr_accessor :mobilePhone
  attr_accessor :altEmail
  attr_accessor :giveAccess
  attr_accessor :accessRole
  attr_accessor :sendEmail
  attr_accessor :password
  attr_accessor :password2
  attr_accessor :requirePwdChange
  attr_accessor :subPartnerLogin
  attr_accessor :loginAs
  attr_accessor :eligibleForCommission
  attr_accessor :contactRolesList
  attr_accessor :promoCodeList
  attr_accessor :addressbookList
  attr_accessor :subscriptionsList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, customForm = nil, entityId = nil, altName = nil, partnerCode = nil, isPerson = nil, phoneticName = nil, salutation = nil, firstName = nil, middleName = nil, lastName = nil, companyName = nil, parent = nil, phone = nil, fax = nil, email = nil, url = nil, defaultAddress = nil, isInactive = nil, lastModifiedDate = nil, dateCreated = nil, globalSubscriptionStatus = nil, referringUrl = nil, roleList = nil, categoryList = nil, title = nil, printOnCheckAs = nil, taxIdNum = nil, vatRegNumber = nil, comments = nil, bcn = nil, image = nil, taxFractionUnit = nil, emailPreference = nil, taxRounding = nil, department = nil, location = nil, v_class = nil, subsidiary = nil, homePhone = nil, mobilePhone = nil, altEmail = nil, giveAccess = nil, accessRole = nil, sendEmail = nil, password = nil, password2 = nil, requirePwdChange = nil, subPartnerLogin = nil, loginAs = nil, eligibleForCommission = nil, contactRolesList = nil, promoCodeList = nil, addressbookList = nil, subscriptionsList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @customForm = customForm
    @entityId = entityId
    @altName = altName
    @partnerCode = partnerCode
    @isPerson = isPerson
    @phoneticName = phoneticName
    @salutation = salutation
    @firstName = firstName
    @middleName = middleName
    @lastName = lastName
    @companyName = companyName
    @parent = parent
    @phone = phone
    @fax = fax
    @email = email
    @url = url
    @defaultAddress = defaultAddress
    @isInactive = isInactive
    @lastModifiedDate = lastModifiedDate
    @dateCreated = dateCreated
    @globalSubscriptionStatus = globalSubscriptionStatus
    @referringUrl = referringUrl
    @roleList = roleList
    @categoryList = categoryList
    @title = title
    @printOnCheckAs = printOnCheckAs
    @taxIdNum = taxIdNum
    @vatRegNumber = vatRegNumber
    @comments = comments
    @bcn = bcn
    @image = image
    @taxFractionUnit = taxFractionUnit
    @emailPreference = emailPreference
    @taxRounding = taxRounding
    @department = department
    @location = location
    @v_class = v_class
    @subsidiary = subsidiary
    @homePhone = homePhone
    @mobilePhone = mobilePhone
    @altEmail = altEmail
    @giveAccess = giveAccess
    @accessRole = accessRole
    @sendEmail = sendEmail
    @password = password
    @password2 = password2
    @requirePwdChange = requirePwdChange
    @subPartnerLogin = subPartnerLogin
    @loginAs = loginAs
    @eligibleForCommission = eligibleForCommission
    @contactRolesList = contactRolesList
    @promoCodeList = promoCodeList
    @addressbookList = addressbookList
    @subscriptionsList = subscriptionsList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}Vendor
#   nullFieldList - ActiveNetsuite::NullField
#   customForm - ActiveNetsuite::RecordRef
#   entityId - SOAP::SOAPString
#   altName - SOAP::SOAPString
#   isPerson - SOAP::SOAPBoolean
#   phoneticName - SOAP::SOAPString
#   salutation - SOAP::SOAPString
#   firstName - SOAP::SOAPString
#   middleName - SOAP::SOAPString
#   lastName - SOAP::SOAPString
#   companyName - SOAP::SOAPString
#   phone - SOAP::SOAPString
#   fax - SOAP::SOAPString
#   email - SOAP::SOAPString
#   url - SOAP::SOAPString
#   defaultAddress - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   lastModifiedDate - SOAP::SOAPDateTime
#   dateCreated - SOAP::SOAPDateTime
#   category - ActiveNetsuite::RecordRef
#   title - SOAP::SOAPString
#   printOnCheckAs - SOAP::SOAPString
#   altPhone - SOAP::SOAPString
#   homePhone - SOAP::SOAPString
#   mobilePhone - SOAP::SOAPString
#   altEmail - SOAP::SOAPString
#   comments - SOAP::SOAPString
#   globalSubscriptionStatus - ActiveNetsuite::GlobalSubscriptionStatus
#   image - ActiveNetsuite::RecordRef
#   emailPreference - ActiveNetsuite::EmailPreference
#   subsidiary - ActiveNetsuite::RecordRef
#   representingSubsidiary - ActiveNetsuite::RecordRef
#   accountNumber - SOAP::SOAPString
#   legalName - SOAP::SOAPString
#   vatRegNumber - SOAP::SOAPString
#   expenseAccount - ActiveNetsuite::RecordRef
#   payablesAccount - ActiveNetsuite::RecordRef
#   terms - ActiveNetsuite::RecordRef
#   creditLimit - SOAP::SOAPDouble
#   balancePrimary - SOAP::SOAPDouble
#   openingBalance - SOAP::SOAPDouble
#   openingBalanceDate - SOAP::SOAPDateTime
#   openingBalanceAccount - ActiveNetsuite::RecordRef
#   balance - SOAP::SOAPDouble
#   unbilledOrdersPrimary - SOAP::SOAPDouble
#   bcn - SOAP::SOAPString
#   unbilledOrders - SOAP::SOAPDouble
#   currency - ActiveNetsuite::RecordRef
#   is1099Eligible - SOAP::SOAPBoolean
#   isJobResourceVend - SOAP::SOAPBoolean
#   laborCost - SOAP::SOAPDouble
#   workCalendar - ActiveNetsuite::RecordRef
#   taxIdNum - SOAP::SOAPString
#   taxItem - ActiveNetsuite::RecordRef
#   giveAccess - SOAP::SOAPBoolean
#   sendEmail - SOAP::SOAPBoolean
#   billPay - SOAP::SOAPBoolean
#   isAccountant - SOAP::SOAPBoolean
#   password - SOAP::SOAPString
#   password2 - SOAP::SOAPString
#   requirePwdChange - SOAP::SOAPBoolean
#   eligibleForCommission - SOAP::SOAPBoolean
#   emailTransactions - SOAP::SOAPBoolean
#   printTransactions - SOAP::SOAPBoolean
#   faxTransactions - SOAP::SOAPBoolean
#   pricingScheduleList - ActiveNetsuite::VendorPricingScheduleList
#   subscriptionsList - ActiveNetsuite::SubscriptionsList
#   addressbookList - ActiveNetsuite::VendorAddressbookList
#   currencyList - ActiveNetsuite::VendorCurrencyList
#   rolesList - ActiveNetsuite::VendorRolesList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Vendor < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :customForm
  attr_accessor :entityId
  attr_accessor :altName
  attr_accessor :isPerson
  attr_accessor :phoneticName
  attr_accessor :salutation
  attr_accessor :firstName
  attr_accessor :middleName
  attr_accessor :lastName
  attr_accessor :companyName
  attr_accessor :phone
  attr_accessor :fax
  attr_accessor :email
  attr_accessor :url
  attr_accessor :defaultAddress
  attr_accessor :isInactive
  attr_accessor :lastModifiedDate
  attr_accessor :dateCreated
  attr_accessor :category
  attr_accessor :title
  attr_accessor :printOnCheckAs
  attr_accessor :altPhone
  attr_accessor :homePhone
  attr_accessor :mobilePhone
  attr_accessor :altEmail
  attr_accessor :comments
  attr_accessor :globalSubscriptionStatus
  attr_accessor :image
  attr_accessor :emailPreference
  attr_accessor :subsidiary
  attr_accessor :representingSubsidiary
  attr_accessor :accountNumber
  attr_accessor :legalName
  attr_accessor :vatRegNumber
  attr_accessor :expenseAccount
  attr_accessor :payablesAccount
  attr_accessor :terms
  attr_accessor :creditLimit
  attr_accessor :balancePrimary
  attr_accessor :openingBalance
  attr_accessor :openingBalanceDate
  attr_accessor :openingBalanceAccount
  attr_accessor :balance
  attr_accessor :unbilledOrdersPrimary
  attr_accessor :bcn
  attr_accessor :unbilledOrders
  attr_accessor :currency
  attr_accessor :is1099Eligible
  attr_accessor :isJobResourceVend
  attr_accessor :laborCost
  attr_accessor :workCalendar
  attr_accessor :taxIdNum
  attr_accessor :taxItem
  attr_accessor :giveAccess
  attr_accessor :sendEmail
  attr_accessor :billPay
  attr_accessor :isAccountant
  attr_accessor :password
  attr_accessor :password2
  attr_accessor :requirePwdChange
  attr_accessor :eligibleForCommission
  attr_accessor :emailTransactions
  attr_accessor :printTransactions
  attr_accessor :faxTransactions
  attr_accessor :pricingScheduleList
  attr_accessor :subscriptionsList
  attr_accessor :addressbookList
  attr_accessor :currencyList
  attr_accessor :rolesList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, customForm = nil, entityId = nil, altName = nil, isPerson = nil, phoneticName = nil, salutation = nil, firstName = nil, middleName = nil, lastName = nil, companyName = nil, phone = nil, fax = nil, email = nil, url = nil, defaultAddress = nil, isInactive = nil, lastModifiedDate = nil, dateCreated = nil, category = nil, title = nil, printOnCheckAs = nil, altPhone = nil, homePhone = nil, mobilePhone = nil, altEmail = nil, comments = nil, globalSubscriptionStatus = nil, image = nil, emailPreference = nil, subsidiary = nil, representingSubsidiary = nil, accountNumber = nil, legalName = nil, vatRegNumber = nil, expenseAccount = nil, payablesAccount = nil, terms = nil, creditLimit = nil, balancePrimary = nil, openingBalance = nil, openingBalanceDate = nil, openingBalanceAccount = nil, balance = nil, unbilledOrdersPrimary = nil, bcn = nil, unbilledOrders = nil, currency = nil, is1099Eligible = nil, isJobResourceVend = nil, laborCost = nil, workCalendar = nil, taxIdNum = nil, taxItem = nil, giveAccess = nil, sendEmail = nil, billPay = nil, isAccountant = nil, password = nil, password2 = nil, requirePwdChange = nil, eligibleForCommission = nil, emailTransactions = nil, printTransactions = nil, faxTransactions = nil, pricingScheduleList = nil, subscriptionsList = nil, addressbookList = nil, currencyList = nil, rolesList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @customForm = customForm
    @entityId = entityId
    @altName = altName
    @isPerson = isPerson
    @phoneticName = phoneticName
    @salutation = salutation
    @firstName = firstName
    @middleName = middleName
    @lastName = lastName
    @companyName = companyName
    @phone = phone
    @fax = fax
    @email = email
    @url = url
    @defaultAddress = defaultAddress
    @isInactive = isInactive
    @lastModifiedDate = lastModifiedDate
    @dateCreated = dateCreated
    @category = category
    @title = title
    @printOnCheckAs = printOnCheckAs
    @altPhone = altPhone
    @homePhone = homePhone
    @mobilePhone = mobilePhone
    @altEmail = altEmail
    @comments = comments
    @globalSubscriptionStatus = globalSubscriptionStatus
    @image = image
    @emailPreference = emailPreference
    @subsidiary = subsidiary
    @representingSubsidiary = representingSubsidiary
    @accountNumber = accountNumber
    @legalName = legalName
    @vatRegNumber = vatRegNumber
    @expenseAccount = expenseAccount
    @payablesAccount = payablesAccount
    @terms = terms
    @creditLimit = creditLimit
    @balancePrimary = balancePrimary
    @openingBalance = openingBalance
    @openingBalanceDate = openingBalanceDate
    @openingBalanceAccount = openingBalanceAccount
    @balance = balance
    @unbilledOrdersPrimary = unbilledOrdersPrimary
    @bcn = bcn
    @unbilledOrders = unbilledOrders
    @currency = currency
    @is1099Eligible = is1099Eligible
    @isJobResourceVend = isJobResourceVend
    @laborCost = laborCost
    @workCalendar = workCalendar
    @taxIdNum = taxIdNum
    @taxItem = taxItem
    @giveAccess = giveAccess
    @sendEmail = sendEmail
    @billPay = billPay
    @isAccountant = isAccountant
    @password = password
    @password2 = password2
    @requirePwdChange = requirePwdChange
    @eligibleForCommission = eligibleForCommission
    @emailTransactions = emailTransactions
    @printTransactions = printTransactions
    @faxTransactions = faxTransactions
    @pricingScheduleList = pricingScheduleList
    @subscriptionsList = subscriptionsList
    @addressbookList = addressbookList
    @currencyList = currencyList
    @rolesList = rolesList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}EntityGroup
#   nullFieldList - ActiveNetsuite::NullField
#   groupName - SOAP::SOAPString
#   groupType - ActiveNetsuite::EntityGroupType
#   email - SOAP::SOAPString
#   groupOwner - ActiveNetsuite::RecordRef
#   isSavedSearch - SOAP::SOAPBoolean
#   parentGroupType - ActiveNetsuite::EntityGroupType
#   savedSearch - ActiveNetsuite::RecordRef
#   isSalesTeam - SOAP::SOAPBoolean
#   comments - SOAP::SOAPString
#   isPrivate - SOAP::SOAPBoolean
#   restrictionGroup - ActiveNetsuite::RecordRef
#   isInactive - SOAP::SOAPBoolean
#   isSalesRep - SOAP::SOAPBoolean
#   isSupportRep - SOAP::SOAPBoolean
#   isProductTeam - SOAP::SOAPBoolean
#   isFunctionalTeam - SOAP::SOAPBoolean
#   issueRole - ActiveNetsuite::RecordRef
#   isManufacturingWorkCenter - SOAP::SOAPBoolean
#   calendarName - SOAP::SOAPString
#   calendarStartTime - ActiveNetsuite::EntityGroupDailyTime
#   calendarEndTime - ActiveNetsuite::EntityGroupDailyTime
#   calendarDefaultView - ActiveNetsuite::EntityGroupDefView
#   calendarPeriod - ActiveNetsuite::EntityGroupPeriodSize
#   subsidiary - ActiveNetsuite::RecordRef
#   machineResources - SOAP::SOAPLong
#   laborResources - SOAP::SOAPLong
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class EntityGroup < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :groupName
  attr_accessor :groupType
  attr_accessor :email
  attr_accessor :groupOwner
  attr_accessor :isSavedSearch
  attr_accessor :parentGroupType
  attr_accessor :savedSearch
  attr_accessor :isSalesTeam
  attr_accessor :comments
  attr_accessor :isPrivate
  attr_accessor :restrictionGroup
  attr_accessor :isInactive
  attr_accessor :isSalesRep
  attr_accessor :isSupportRep
  attr_accessor :isProductTeam
  attr_accessor :isFunctionalTeam
  attr_accessor :issueRole
  attr_accessor :isManufacturingWorkCenter
  attr_accessor :calendarName
  attr_accessor :calendarStartTime
  attr_accessor :calendarEndTime
  attr_accessor :calendarDefaultView
  attr_accessor :calendarPeriod
  attr_accessor :subsidiary
  attr_accessor :machineResources
  attr_accessor :laborResources
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, groupName = nil, groupType = nil, email = nil, groupOwner = nil, isSavedSearch = nil, parentGroupType = nil, savedSearch = nil, isSalesTeam = nil, comments = nil, isPrivate = nil, restrictionGroup = nil, isInactive = nil, isSalesRep = nil, isSupportRep = nil, isProductTeam = nil, isFunctionalTeam = nil, issueRole = nil, isManufacturingWorkCenter = nil, calendarName = nil, calendarStartTime = nil, calendarEndTime = nil, calendarDefaultView = nil, calendarPeriod = nil, subsidiary = nil, machineResources = nil, laborResources = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @groupName = groupName
    @groupType = groupType
    @email = email
    @groupOwner = groupOwner
    @isSavedSearch = isSavedSearch
    @parentGroupType = parentGroupType
    @savedSearch = savedSearch
    @isSalesTeam = isSalesTeam
    @comments = comments
    @isPrivate = isPrivate
    @restrictionGroup = restrictionGroup
    @isInactive = isInactive
    @isSalesRep = isSalesRep
    @isSupportRep = isSupportRep
    @isProductTeam = isProductTeam
    @isFunctionalTeam = isFunctionalTeam
    @issueRole = issueRole
    @isManufacturingWorkCenter = isManufacturingWorkCenter
    @calendarName = calendarName
    @calendarStartTime = calendarStartTime
    @calendarEndTime = calendarEndTime
    @calendarDefaultView = calendarDefaultView
    @calendarPeriod = calendarPeriod
    @subsidiary = subsidiary
    @machineResources = machineResources
    @laborResources = laborResources
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}Job
#   nullFieldList - ActiveNetsuite::NullField
#   customForm - ActiveNetsuite::RecordRef
#   entityId - SOAP::SOAPString
#   altName - SOAP::SOAPString
#   companyName - SOAP::SOAPString
#   phoneticName - SOAP::SOAPString
#   entityStatus - ActiveNetsuite::RecordRef
#   defaultAddress - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   isInactive - SOAP::SOAPBoolean
#   lastModifiedDate - SOAP::SOAPDateTime
#   billPay - SOAP::SOAPBoolean
#   dateCreated - SOAP::SOAPDateTime
#   category - ActiveNetsuite::RecordRef
#   workplace - ActiveNetsuite::RecordRef
#   language - ActiveNetsuite::RecordRef
#   comments - SOAP::SOAPString
#   accountNumber - SOAP::SOAPString
#   currency - ActiveNetsuite::RecordRef
#   fxRate - SOAP::SOAPDouble
#   startDate - SOAP::SOAPDateTime
#   endDate - SOAP::SOAPDateTime
#   phone - SOAP::SOAPString
#   altPhone - SOAP::SOAPString
#   calculatedEndDate - SOAP::SOAPDateTime
#   calculatedEndDateBaseline - SOAP::SOAPDateTime
#   startDateBaseline - SOAP::SOAPDateTime
#   projectedEndDate - SOAP::SOAPDateTime
#   projectedEndDateBaseline - SOAP::SOAPDateTime
#   lastBaselineDate - SOAP::SOAPDateTime
#   jobType - ActiveNetsuite::RecordRef
#   percentComplete - SOAP::SOAPDouble
#   estimatedCost - SOAP::SOAPDouble
#   estimatedRevenue - SOAP::SOAPDouble
#   estimatedTime - ActiveNetsuite::Duration
#   estimatedTimeOverride - ActiveNetsuite::Duration
#   fax - SOAP::SOAPString
#   email - SOAP::SOAPString
#   emailPreference - ActiveNetsuite::EmailPreference
#   openingBalance - SOAP::SOAPDouble
#   openingBalanceDate - SOAP::SOAPDateTime
#   openingBalanceAccount - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   jobBillingType - ActiveNetsuite::JobBillingType
#   billingSchedule - ActiveNetsuite::RecordRef
#   jobItem - ActiveNetsuite::RecordRef
#   percentTimeComplete - SOAP::SOAPDouble
#   actualTime - ActiveNetsuite::Duration
#   allowTime - SOAP::SOAPBoolean
#   timeRemaining - ActiveNetsuite::Duration
#   limitTimeToAssignees - SOAP::SOAPBoolean
#   estimatedLaborCost - SOAP::SOAPDouble
#   estimatedLaborCostBaseline - SOAP::SOAPDouble
#   estimateRevRecTemplate - ActiveNetsuite::RecordRef
#   estimatedLaborRevenue - SOAP::SOAPDouble
#   estimatedGrossProfit - SOAP::SOAPDouble
#   estimatedGrossProfitPercent - SOAP::SOAPDouble
#   projectExpenseType - ActiveNetsuite::RecordRef
#   applyProjectExpenseTypeToAll - SOAP::SOAPBoolean
#   allowAllResourcesForTasks - SOAP::SOAPBoolean
#   jobPrice - SOAP::SOAPDouble
#   isUtilizedTime - SOAP::SOAPBoolean
#   isProductiveTime - SOAP::SOAPBoolean
#   isExemptTime - SOAP::SOAPBoolean
#   materializeTime - SOAP::SOAPBoolean
#   allowExpenses - SOAP::SOAPBoolean
#   allocatePayrollExpenses - SOAP::SOAPBoolean
#   includeCrmTasksInTotals - SOAP::SOAPBoolean
#   globalSubscriptionStatus - ActiveNetsuite::GlobalSubscriptionStatus
#   jobResourcesList - ActiveNetsuite::JobResourcesList
#   addressbookList - ActiveNetsuite::JobAddressbookList
#   milestonesList - ActiveNetsuite::JobMilestonesList
#   creditCardsList - ActiveNetsuite::JobCreditCardsList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Job < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :customForm
  attr_accessor :entityId
  attr_accessor :altName
  attr_accessor :companyName
  attr_accessor :phoneticName
  attr_accessor :entityStatus
  attr_accessor :defaultAddress
  attr_accessor :parent
  attr_accessor :isInactive
  attr_accessor :lastModifiedDate
  attr_accessor :billPay
  attr_accessor :dateCreated
  attr_accessor :category
  attr_accessor :workplace
  attr_accessor :language
  attr_accessor :comments
  attr_accessor :accountNumber
  attr_accessor :currency
  attr_accessor :fxRate
  attr_accessor :startDate
  attr_accessor :endDate
  attr_accessor :phone
  attr_accessor :altPhone
  attr_accessor :calculatedEndDate
  attr_accessor :calculatedEndDateBaseline
  attr_accessor :startDateBaseline
  attr_accessor :projectedEndDate
  attr_accessor :projectedEndDateBaseline
  attr_accessor :lastBaselineDate
  attr_accessor :jobType
  attr_accessor :percentComplete
  attr_accessor :estimatedCost
  attr_accessor :estimatedRevenue
  attr_accessor :estimatedTime
  attr_accessor :estimatedTimeOverride
  attr_accessor :fax
  attr_accessor :email
  attr_accessor :emailPreference
  attr_accessor :openingBalance
  attr_accessor :openingBalanceDate
  attr_accessor :openingBalanceAccount
  attr_accessor :subsidiary
  attr_accessor :jobBillingType
  attr_accessor :billingSchedule
  attr_accessor :jobItem
  attr_accessor :percentTimeComplete
  attr_accessor :actualTime
  attr_accessor :allowTime
  attr_accessor :timeRemaining
  attr_accessor :limitTimeToAssignees
  attr_accessor :estimatedLaborCost
  attr_accessor :estimatedLaborCostBaseline
  attr_accessor :estimateRevRecTemplate
  attr_accessor :estimatedLaborRevenue
  attr_accessor :estimatedGrossProfit
  attr_accessor :estimatedGrossProfitPercent
  attr_accessor :projectExpenseType
  attr_accessor :applyProjectExpenseTypeToAll
  attr_accessor :allowAllResourcesForTasks
  attr_accessor :jobPrice
  attr_accessor :isUtilizedTime
  attr_accessor :isProductiveTime
  attr_accessor :isExemptTime
  attr_accessor :materializeTime
  attr_accessor :allowExpenses
  attr_accessor :allocatePayrollExpenses
  attr_accessor :includeCrmTasksInTotals
  attr_accessor :globalSubscriptionStatus
  attr_accessor :jobResourcesList
  attr_accessor :addressbookList
  attr_accessor :milestonesList
  attr_accessor :creditCardsList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, customForm = nil, entityId = nil, altName = nil, companyName = nil, phoneticName = nil, entityStatus = nil, defaultAddress = nil, parent = nil, isInactive = nil, lastModifiedDate = nil, billPay = nil, dateCreated = nil, category = nil, workplace = nil, language = nil, comments = nil, accountNumber = nil, currency = nil, fxRate = nil, startDate = nil, endDate = nil, phone = nil, altPhone = nil, calculatedEndDate = nil, calculatedEndDateBaseline = nil, startDateBaseline = nil, projectedEndDate = nil, projectedEndDateBaseline = nil, lastBaselineDate = nil, jobType = nil, percentComplete = nil, estimatedCost = nil, estimatedRevenue = nil, estimatedTime = nil, estimatedTimeOverride = nil, fax = nil, email = nil, emailPreference = nil, openingBalance = nil, openingBalanceDate = nil, openingBalanceAccount = nil, subsidiary = nil, jobBillingType = nil, billingSchedule = nil, jobItem = nil, percentTimeComplete = nil, actualTime = nil, allowTime = nil, timeRemaining = nil, limitTimeToAssignees = nil, estimatedLaborCost = nil, estimatedLaborCostBaseline = nil, estimateRevRecTemplate = nil, estimatedLaborRevenue = nil, estimatedGrossProfit = nil, estimatedGrossProfitPercent = nil, projectExpenseType = nil, applyProjectExpenseTypeToAll = nil, allowAllResourcesForTasks = nil, jobPrice = nil, isUtilizedTime = nil, isProductiveTime = nil, isExemptTime = nil, materializeTime = nil, allowExpenses = nil, allocatePayrollExpenses = nil, includeCrmTasksInTotals = nil, globalSubscriptionStatus = nil, jobResourcesList = nil, addressbookList = nil, milestonesList = nil, creditCardsList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @customForm = customForm
    @entityId = entityId
    @altName = altName
    @companyName = companyName
    @phoneticName = phoneticName
    @entityStatus = entityStatus
    @defaultAddress = defaultAddress
    @parent = parent
    @isInactive = isInactive
    @lastModifiedDate = lastModifiedDate
    @billPay = billPay
    @dateCreated = dateCreated
    @category = category
    @workplace = workplace
    @language = language
    @comments = comments
    @accountNumber = accountNumber
    @currency = currency
    @fxRate = fxRate
    @startDate = startDate
    @endDate = endDate
    @phone = phone
    @altPhone = altPhone
    @calculatedEndDate = calculatedEndDate
    @calculatedEndDateBaseline = calculatedEndDateBaseline
    @startDateBaseline = startDateBaseline
    @projectedEndDate = projectedEndDate
    @projectedEndDateBaseline = projectedEndDateBaseline
    @lastBaselineDate = lastBaselineDate
    @jobType = jobType
    @percentComplete = percentComplete
    @estimatedCost = estimatedCost
    @estimatedRevenue = estimatedRevenue
    @estimatedTime = estimatedTime
    @estimatedTimeOverride = estimatedTimeOverride
    @fax = fax
    @email = email
    @emailPreference = emailPreference
    @openingBalance = openingBalance
    @openingBalanceDate = openingBalanceDate
    @openingBalanceAccount = openingBalanceAccount
    @subsidiary = subsidiary
    @jobBillingType = jobBillingType
    @billingSchedule = billingSchedule
    @jobItem = jobItem
    @percentTimeComplete = percentTimeComplete
    @actualTime = actualTime
    @allowTime = allowTime
    @timeRemaining = timeRemaining
    @limitTimeToAssignees = limitTimeToAssignees
    @estimatedLaborCost = estimatedLaborCost
    @estimatedLaborCostBaseline = estimatedLaborCostBaseline
    @estimateRevRecTemplate = estimateRevRecTemplate
    @estimatedLaborRevenue = estimatedLaborRevenue
    @estimatedGrossProfit = estimatedGrossProfit
    @estimatedGrossProfitPercent = estimatedGrossProfitPercent
    @projectExpenseType = projectExpenseType
    @applyProjectExpenseTypeToAll = applyProjectExpenseTypeToAll
    @allowAllResourcesForTasks = allowAllResourcesForTasks
    @jobPrice = jobPrice
    @isUtilizedTime = isUtilizedTime
    @isProductiveTime = isProductiveTime
    @isExemptTime = isExemptTime
    @materializeTime = materializeTime
    @allowExpenses = allowExpenses
    @allocatePayrollExpenses = allocatePayrollExpenses
    @includeCrmTasksInTotals = includeCrmTasksInTotals
    @globalSubscriptionStatus = globalSubscriptionStatus
    @jobResourcesList = jobResourcesList
    @addressbookList = addressbookList
    @milestonesList = milestonesList
    @creditCardsList = creditCardsList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}JobType
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class JobType < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :parent
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, parent = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @parent = parent
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}JobStatus
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   description - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class JobStatus < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :description
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, description = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @description = description
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}SupportCase
#   nullFieldList - ActiveNetsuite::NullField
#   escalationMessage - SOAP::SOAPString
#   lastReopenedDate - SOAP::SOAPDateTime
#   endDate - SOAP::SOAPDateTime
#   incomingMessage - SOAP::SOAPString
#   insertSolution - ActiveNetsuite::RecordRef
#   outgoingMessage - SOAP::SOAPString
#   searchSolution - SOAP::SOAPString
#   emailForm - SOAP::SOAPBoolean
#   newSolutionFromMsg - SOAP::SOAPString
#   internalOnly - SOAP::SOAPBoolean
#   customForm - ActiveNetsuite::RecordRef
#   title - SOAP::SOAPString
#   caseNumber - SOAP::SOAPString
#   startDate - SOAP::SOAPDateTime
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   lastMessageDate - SOAP::SOAPDateTime
#   company - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   contact - ActiveNetsuite::RecordRef
#   email - SOAP::SOAPString
#   phone - SOAP::SOAPString
#   product - ActiveNetsuite::RecordRef
#   m_module - ActiveNetsuite::RecordRef
#   item - ActiveNetsuite::RecordRef
#   serialNumber - ActiveNetsuite::RecordRef
#   inboundEmail - SOAP::SOAPString
#   issue - ActiveNetsuite::RecordRef
#   status - ActiveNetsuite::RecordRef
#   isInactive - SOAP::SOAPBoolean
#   priority - ActiveNetsuite::RecordRef
#   origin - ActiveNetsuite::RecordRef
#   category - ActiveNetsuite::RecordRef
#   assigned - ActiveNetsuite::RecordRef
#   helpDesk - SOAP::SOAPBoolean
#   emailEmployeesList - ActiveNetsuite::EmailEmployeesList
#   escalateToList - ActiveNetsuite::SupportCaseEscalateToList
#   timeItemList - ActiveNetsuite::SupportCaseTimeItemList
#   solutionsList - ActiveNetsuite::SupportCaseSolutionsList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class SupportCase < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :escalationMessage
  attr_accessor :lastReopenedDate
  attr_accessor :endDate
  attr_accessor :incomingMessage
  attr_accessor :insertSolution
  attr_accessor :outgoingMessage
  attr_accessor :searchSolution
  attr_accessor :emailForm
  attr_accessor :newSolutionFromMsg
  attr_accessor :internalOnly
  attr_accessor :customForm
  attr_accessor :title
  attr_accessor :caseNumber
  attr_accessor :startDate
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :lastMessageDate
  attr_accessor :company
  attr_accessor :subsidiary
  attr_accessor :contact
  attr_accessor :email
  attr_accessor :phone
  attr_accessor :product
  attr_accessor :item
  attr_accessor :serialNumber
  attr_accessor :inboundEmail
  attr_accessor :issue
  attr_accessor :status
  attr_accessor :isInactive
  attr_accessor :priority
  attr_accessor :origin
  attr_accessor :category
  attr_accessor :assigned
  attr_accessor :helpDesk
  attr_accessor :emailEmployeesList
  attr_accessor :escalateToList
  attr_accessor :timeItemList
  attr_accessor :solutionsList
  attr_accessor :customFieldList

  def m_module
    @v_module
  end

  def m_module=(value)
    @v_module = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, escalationMessage = nil, lastReopenedDate = nil, endDate = nil, incomingMessage = nil, insertSolution = nil, outgoingMessage = nil, searchSolution = nil, emailForm = nil, newSolutionFromMsg = nil, internalOnly = nil, customForm = nil, title = nil, caseNumber = nil, startDate = nil, createdDate = nil, lastModifiedDate = nil, lastMessageDate = nil, company = nil, subsidiary = nil, contact = nil, email = nil, phone = nil, product = nil, v_module = nil, item = nil, serialNumber = nil, inboundEmail = nil, issue = nil, status = nil, isInactive = nil, priority = nil, origin = nil, category = nil, assigned = nil, helpDesk = nil, emailEmployeesList = nil, escalateToList = nil, timeItemList = nil, solutionsList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @escalationMessage = escalationMessage
    @lastReopenedDate = lastReopenedDate
    @endDate = endDate
    @incomingMessage = incomingMessage
    @insertSolution = insertSolution
    @outgoingMessage = outgoingMessage
    @searchSolution = searchSolution
    @emailForm = emailForm
    @newSolutionFromMsg = newSolutionFromMsg
    @internalOnly = internalOnly
    @customForm = customForm
    @title = title
    @caseNumber = caseNumber
    @startDate = startDate
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @lastMessageDate = lastMessageDate
    @company = company
    @subsidiary = subsidiary
    @contact = contact
    @email = email
    @phone = phone
    @product = product
    @v_module = v_module
    @item = item
    @serialNumber = serialNumber
    @inboundEmail = inboundEmail
    @issue = issue
    @status = status
    @isInactive = isInactive
    @priority = priority
    @origin = origin
    @category = category
    @assigned = assigned
    @helpDesk = helpDesk
    @emailEmployeesList = emailEmployeesList
    @escalateToList = escalateToList
    @timeItemList = timeItemList
    @solutionsList = solutionsList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}SupportCaseStatus
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   insertBefore - ActiveNetsuite::RecordRef
#   stage - ActiveNetsuite::SupportCaseStatusStage
#   caseOnHold - SOAP::SOAPBoolean
#   autoCloseCase - SOAP::SOAPBoolean
#   description - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class SupportCaseStatus < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :insertBefore
  attr_accessor :stage
  attr_accessor :caseOnHold
  attr_accessor :autoCloseCase
  attr_accessor :description
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, insertBefore = nil, stage = nil, caseOnHold = nil, autoCloseCase = nil, description = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @insertBefore = insertBefore
    @stage = stage
    @caseOnHold = caseOnHold
    @autoCloseCase = autoCloseCase
    @description = description
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}SupportCaseType
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   insertBefore - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class SupportCaseType < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :insertBefore
  attr_accessor :description
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, insertBefore = nil, description = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @insertBefore = insertBefore
    @description = description
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}SupportCaseOrigin
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   insertBefore - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class SupportCaseOrigin < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :insertBefore
  attr_accessor :description
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, insertBefore = nil, description = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @insertBefore = insertBefore
    @description = description
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}SupportCaseIssue
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   insertBefore - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class SupportCaseIssue < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :insertBefore
  attr_accessor :description
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, insertBefore = nil, description = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @insertBefore = insertBefore
    @description = description
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}SupportCasePriority
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   insertBefore - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class SupportCasePriority < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :insertBefore
  attr_accessor :description
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, insertBefore = nil, description = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @insertBefore = insertBefore
    @description = description
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}Solution
#   nullFieldList - ActiveNetsuite::NullField
#   customForm - ActiveNetsuite::RecordRef
#   solutionCode - SOAP::SOAPString
#   title - SOAP::SOAPString
#   message - SOAP::SOAPString
#   status - ActiveNetsuite::SolutionStatus
#   displayOnline - SOAP::SOAPBoolean
#   assigned - ActiveNetsuite::RecordRef
#   isInactive - SOAP::SOAPBoolean
#   longDescription - SOAP::SOAPString
#   topicsList - ActiveNetsuite::SolutionTopicsList
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   solutionsList - ActiveNetsuite::SolutionsList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Solution < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :customForm
  attr_accessor :solutionCode
  attr_accessor :title
  attr_accessor :message
  attr_accessor :status
  attr_accessor :displayOnline
  attr_accessor :assigned
  attr_accessor :isInactive
  attr_accessor :longDescription
  attr_accessor :topicsList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :solutionsList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, customForm = nil, solutionCode = nil, title = nil, message = nil, status = nil, displayOnline = nil, assigned = nil, isInactive = nil, longDescription = nil, topicsList = nil, createdDate = nil, lastModifiedDate = nil, solutionsList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @customForm = customForm
    @solutionCode = solutionCode
    @title = title
    @message = message
    @status = status
    @displayOnline = displayOnline
    @assigned = assigned
    @isInactive = isInactive
    @longDescription = longDescription
    @topicsList = topicsList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @solutionsList = solutionsList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}Topic
#   nullFieldList - ActiveNetsuite::NullField
#   title - SOAP::SOAPString
#   parentTopic - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   longDescription - SOAP::SOAPString
#   solutionList - ActiveNetsuite::TopicSolutionList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Topic < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :title
  attr_accessor :parentTopic
  attr_accessor :description
  attr_accessor :isInactive
  attr_accessor :longDescription
  attr_accessor :solutionList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, title = nil, parentTopic = nil, description = nil, isInactive = nil, longDescription = nil, solutionList = nil)
    @nullFieldList = nullFieldList
    @title = title
    @parentTopic = parentTopic
    @description = description
    @isInactive = isInactive
    @longDescription = longDescription
    @solutionList = solutionList
    @__xmlattr = {}
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}Issue
#   nullFieldList - ActiveNetsuite::NullField
#   customForm - ActiveNetsuite::RecordRef
#   issueNumber - SOAP::SOAPString
#   createdDate - SOAP::SOAPDateTime
#   issueType - ActiveNetsuite::RecordRef
#   product - ActiveNetsuite::RecordRef
#   m_module - ActiveNetsuite::RecordRef
#   item - ActiveNetsuite::RecordRef
#   productTeam - ActiveNetsuite::RecordRef
#   source - ActiveNetsuite::RecordRef
#   reportedBy - ActiveNetsuite::RecordRef
#   reproduce - ActiveNetsuite::RecordRef
#   severity - ActiveNetsuite::RecordRef
#   priority - ActiveNetsuite::RecordRef
#   isShowStopper - SOAP::SOAPBoolean
#   assigned - ActiveNetsuite::RecordRef
#   reviewer - ActiveNetsuite::RecordRef
#   isReviewed - SOAP::SOAPBoolean
#   issueStatus - ActiveNetsuite::RecordRef
#   lastModifiedDate - SOAP::SOAPDateTime
#   issueTagsList - ActiveNetsuite::RecordRefList
#   issueAbstract - SOAP::SOAPString
#   newDetails - SOAP::SOAPString
#   isOwner - SOAP::SOAPBoolean
#   trackCode - ActiveNetsuite::IssueTrackCode
#   emailAssignee - SOAP::SOAPBoolean
#   emailEmployeesList - ActiveNetsuite::EmailEmployeesList
#   emailCellsList - ActiveNetsuite::RecordRefList
#   externalAbstract - SOAP::SOAPString
#   externalDetails - SOAP::SOAPString
#   brokenInVersionList - ActiveNetsuite::IssueVersionList
#   targetVersionList - ActiveNetsuite::IssueVersionList
#   fixedInVersionList - ActiveNetsuite::IssueVersionList
#   relatedIssuesList - ActiveNetsuite::IssueRelatedIssuesList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Issue < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :customForm
  attr_accessor :issueNumber
  attr_accessor :createdDate
  attr_accessor :issueType
  attr_accessor :product
  attr_accessor :item
  attr_accessor :productTeam
  attr_accessor :source
  attr_accessor :reportedBy
  attr_accessor :reproduce
  attr_accessor :severity
  attr_accessor :priority
  attr_accessor :isShowStopper
  attr_accessor :assigned
  attr_accessor :reviewer
  attr_accessor :isReviewed
  attr_accessor :issueStatus
  attr_accessor :lastModifiedDate
  attr_accessor :issueTagsList
  attr_accessor :issueAbstract
  attr_accessor :newDetails
  attr_accessor :isOwner
  attr_accessor :trackCode
  attr_accessor :emailAssignee
  attr_accessor :emailEmployeesList
  attr_accessor :emailCellsList
  attr_accessor :externalAbstract
  attr_accessor :externalDetails
  attr_accessor :brokenInVersionList
  attr_accessor :targetVersionList
  attr_accessor :fixedInVersionList
  attr_accessor :relatedIssuesList
  attr_accessor :customFieldList

  def m_module
    @v_module
  end

  def m_module=(value)
    @v_module = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, customForm = nil, issueNumber = nil, createdDate = nil, issueType = nil, product = nil, v_module = nil, item = nil, productTeam = nil, source = nil, reportedBy = nil, reproduce = nil, severity = nil, priority = nil, isShowStopper = nil, assigned = nil, reviewer = nil, isReviewed = nil, issueStatus = nil, lastModifiedDate = nil, issueTagsList = nil, issueAbstract = nil, newDetails = nil, isOwner = nil, trackCode = nil, emailAssignee = nil, emailEmployeesList = nil, emailCellsList = nil, externalAbstract = nil, externalDetails = nil, brokenInVersionList = nil, targetVersionList = nil, fixedInVersionList = nil, relatedIssuesList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @customForm = customForm
    @issueNumber = issueNumber
    @createdDate = createdDate
    @issueType = issueType
    @product = product
    @v_module = v_module
    @item = item
    @productTeam = productTeam
    @source = source
    @reportedBy = reportedBy
    @reproduce = reproduce
    @severity = severity
    @priority = priority
    @isShowStopper = isShowStopper
    @assigned = assigned
    @reviewer = reviewer
    @isReviewed = isReviewed
    @issueStatus = issueStatus
    @lastModifiedDate = lastModifiedDate
    @issueTagsList = issueTagsList
    @issueAbstract = issueAbstract
    @newDetails = newDetails
    @isOwner = isOwner
    @trackCode = trackCode
    @emailAssignee = emailAssignee
    @emailEmployeesList = emailEmployeesList
    @emailCellsList = emailCellsList
    @externalAbstract = externalAbstract
    @externalDetails = externalDetails
    @brokenInVersionList = brokenInVersionList
    @targetVersionList = targetVersionList
    @fixedInVersionList = fixedInVersionList
    @relatedIssuesList = relatedIssuesList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ContactCategory
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   private - SOAP::SOAPBoolean
#   sync - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class ContactCategory < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :private
  attr_accessor :sync
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, private = nil, sync = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @private = private
    @sync = sync
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}CustomerCategory
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CustomerCategory < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}SalesRole
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   description - SOAP::SOAPString
#   isSalesRep - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class SalesRole < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :description
  attr_accessor :isSalesRep
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, description = nil, isSalesRep = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @description = description
    @isSalesRep = isSalesRep
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}PriceLevel
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   discountpct - SOAP::SOAPDouble
#   updateExistingPrices - SOAP::SOAPBoolean
#   isOnline - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class PriceLevel < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :discountpct
  attr_accessor :updateExistingPrices
  attr_accessor :isOnline
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, discountpct = nil, updateExistingPrices = nil, isOnline = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @discountpct = discountpct
    @updateExistingPrices = updateExistingPrices
    @isOnline = isOnline
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}WinLossReason
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class WinLossReason < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}Term
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   dateDriven - SOAP::SOAPBoolean
#   daysUntilNetDue - SOAP::SOAPLong
#   discountPercent - SOAP::SOAPDouble
#   daysUntilExpiry - SOAP::SOAPLong
#   dayOfMonthNetDue - SOAP::SOAPLong
#   dueNextMonthIfWithinDays - SOAP::SOAPLong
#   discountPercentDateDriven - SOAP::SOAPDouble
#   dayDiscountExpires - SOAP::SOAPLong
#   preferred - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Term < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :dateDriven
  attr_accessor :daysUntilNetDue
  attr_accessor :discountPercent
  attr_accessor :daysUntilExpiry
  attr_accessor :dayOfMonthNetDue
  attr_accessor :dueNextMonthIfWithinDays
  attr_accessor :discountPercentDateDriven
  attr_accessor :dayDiscountExpires
  attr_accessor :preferred
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, dateDriven = nil, daysUntilNetDue = nil, discountPercent = nil, daysUntilExpiry = nil, dayOfMonthNetDue = nil, dueNextMonthIfWithinDays = nil, discountPercentDateDriven = nil, dayDiscountExpires = nil, preferred = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @dateDriven = dateDriven
    @daysUntilNetDue = daysUntilNetDue
    @discountPercent = discountPercent
    @daysUntilExpiry = daysUntilExpiry
    @dayOfMonthNetDue = dayOfMonthNetDue
    @dueNextMonthIfWithinDays = dueNextMonthIfWithinDays
    @discountPercentDateDriven = discountPercentDateDriven
    @dayDiscountExpires = dayDiscountExpires
    @preferred = preferred
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}NoteType
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   description - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class NoteType < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :description
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, description = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @description = description
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}PaymentMethod
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   creditCard - SOAP::SOAPBoolean
#   undepFunds - SOAP::SOAPBoolean
#   account - ActiveNetsuite::RecordRef
#   isInactive - SOAP::SOAPBoolean
#   isOnline - SOAP::SOAPBoolean
#   isDebitCard - SOAP::SOAPBoolean
#   merchantAccountsList - ActiveNetsuite::RecordRefList
#   payPalEmailAddress - SOAP::SOAPString
#   expressCheckoutArrangement - SOAP::SOAPString
#   useExpressCheckout - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class PaymentMethod < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :creditCard
  attr_accessor :undepFunds
  attr_accessor :account
  attr_accessor :isInactive
  attr_accessor :isOnline
  attr_accessor :isDebitCard
  attr_accessor :merchantAccountsList
  attr_accessor :payPalEmailAddress
  attr_accessor :expressCheckoutArrangement
  attr_accessor :useExpressCheckout

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, creditCard = nil, undepFunds = nil, account = nil, isInactive = nil, isOnline = nil, isDebitCard = nil, merchantAccountsList = nil, payPalEmailAddress = nil, expressCheckoutArrangement = nil, useExpressCheckout = nil)
    @nullFieldList = nullFieldList
    @name = name
    @creditCard = creditCard
    @undepFunds = undepFunds
    @account = account
    @isInactive = isInactive
    @isOnline = isOnline
    @isDebitCard = isDebitCard
    @merchantAccountsList = merchantAccountsList
    @payPalEmailAddress = payPalEmailAddress
    @expressCheckoutArrangement = expressCheckoutArrangement
    @useExpressCheckout = useExpressCheckout
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}LeadSource
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   description - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class LeadSource < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :description
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, description = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @description = description
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}InventoryItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   purchaseDescription - SOAP::SOAPString
#   copyDescription - SOAP::SOAPBoolean
#   expenseAccount - ActiveNetsuite::RecordRef
#   dateConvertedToInv - SOAP::SOAPDateTime
#   originalItemType - ActiveNetsuite::ItemType
#   originalItemSubtype - ActiveNetsuite::ItemSubType
#   cogsAccount - ActiveNetsuite::RecordRef
#   salesDescription - SOAP::SOAPString
#   includeChildren - SOAP::SOAPBoolean
#   incomeAccount - ActiveNetsuite::RecordRef
#   taxSchedule - ActiveNetsuite::RecordRef
#   dropshipExpenseAccount - ActiveNetsuite::RecordRef
#   isTaxable - SOAP::SOAPBoolean
#   matrixType - ActiveNetsuite::ItemMatrixType
#   assetAccount - ActiveNetsuite::RecordRef
#   matchBillToReceipt - SOAP::SOAPBoolean
#   billQtyVarianceAcct - ActiveNetsuite::RecordRef
#   billPriceVarianceAcct - ActiveNetsuite::RecordRef
#   billExchRateVarianceAcct - ActiveNetsuite::RecordRef
#   gainLossAccount - ActiveNetsuite::RecordRef
#   shippingCost - SOAP::SOAPDouble
#   shippingCostUnits - SOAP::SOAPString
#   handlingCost - SOAP::SOAPDouble
#   handlingCostUnits - SOAP::SOAPString
#   weight - SOAP::SOAPDouble
#   weightUnit - ActiveNetsuite::ItemWeightUnit
#   weightUnits - SOAP::SOAPString
#   costingMethodDisplay - SOAP::SOAPString
#   unitsType - ActiveNetsuite::RecordRef
#   stockUnit - ActiveNetsuite::RecordRef
#   purchaseUnit - ActiveNetsuite::RecordRef
#   saleUnit - ActiveNetsuite::RecordRef
#   issueProduct - ActiveNetsuite::RecordRef
#   billingSchedule - ActiveNetsuite::RecordRef
#   trackLandedCost - SOAP::SOAPBoolean
#   isDropShipItem - SOAP::SOAPBoolean
#   isSpecialOrderItem - SOAP::SOAPBoolean
#   stockDescription - SOAP::SOAPString
#   deferredRevenueAccount - ActiveNetsuite::RecordRef
#   producer - SOAP::SOAPBoolean
#   manufacturer - SOAP::SOAPString
#   revRecSchedule - ActiveNetsuite::RecordRef
#   mpn - SOAP::SOAPString
#   multManufactureAddr - SOAP::SOAPBoolean
#   manufacturerAddr1 - SOAP::SOAPString
#   manufacturerCity - SOAP::SOAPString
#   manufacturerState - SOAP::SOAPString
#   manufacturerZip - SOAP::SOAPString
#   countryOfManufacture - ActiveNetsuite::Country
#   roundUpAsComponent - SOAP::SOAPBoolean
#   defaultItemShipMethod - ActiveNetsuite::RecordRef
#   itemCarrier - ActiveNetsuite::ItemCarrier
#   itemShipMethodList - ActiveNetsuite::RecordRefList
#   manufacturerTaxId - SOAP::SOAPString
#   scheduleBNumber - SOAP::SOAPString
#   scheduleBQuantity - SOAP::SOAPLong
#   scheduleBCode - ActiveNetsuite::ScheduleBCode
#   manufacturerTariff - SOAP::SOAPString
#   preferenceCriterion - ActiveNetsuite::ItemPreferenceCriterion
#   minimumQuantity - SOAP::SOAPLong
#   enforceMinQtyInternally - SOAP::SOAPBoolean
#   minimumQuantityUnits - SOAP::SOAPString
#   softDescriptor - ActiveNetsuite::RecordRef
#   shipPackage - ActiveNetsuite::RecordRef
#   shipIndividually - SOAP::SOAPBoolean
#   costCategory - ActiveNetsuite::RecordRef
#   pricesIncludeTax - SOAP::SOAPBoolean
#   purchasePriceVarianceAcct - ActiveNetsuite::RecordRef
#   quantityPricingSchedule - ActiveNetsuite::RecordRef
#   reorderPointUnits - SOAP::SOAPString
#   useMarginalRates - SOAP::SOAPBoolean
#   preferredStockLevelUnits - SOAP::SOAPString
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   costEstimate - SOAP::SOAPDouble
#   transferPrice - SOAP::SOAPDouble
#   overallQuantityPricingType - ActiveNetsuite::ItemOverallQuantityPricingType
#   pricingGroup - ActiveNetsuite::RecordRef
#   vsoePrice - SOAP::SOAPDouble
#   vsoeSopGroup - ActiveNetsuite::VsoeSopGroup
#   costEstimateUnits - SOAP::SOAPString
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   preferredLocation - ActiveNetsuite::RecordRef
#   reorderMultiple - SOAP::SOAPLong
#   cost - SOAP::SOAPDouble
#   lastInvtCountDate - SOAP::SOAPDateTime
#   nextInvtCountDate - SOAP::SOAPDateTime
#   invtCountInterval - SOAP::SOAPLong
#   invtClassification - ActiveNetsuite::ItemInvtClassification
#   costUnits - SOAP::SOAPString
#   totalValue - SOAP::SOAPDouble
#   averageCost - SOAP::SOAPDouble
#   useBins - SOAP::SOAPBoolean
#   quantityReorderUnits - SOAP::SOAPString
#   leadTime - SOAP::SOAPLong
#   autoLeadTime - SOAP::SOAPBoolean
#   lastPurchasePrice - SOAP::SOAPDouble
#   autoPreferredStockLevel - SOAP::SOAPBoolean
#   preferredStockLevelDays - SOAP::SOAPDouble
#   safetyStockLevel - SOAP::SOAPDouble
#   safetyStockLevelDays - SOAP::SOAPLong
#   backwardConsumptionDays - SOAP::SOAPLong
#   seasonalDemand - SOAP::SOAPBoolean
#   safetyStockLevelUnits - SOAP::SOAPString
#   demandModifier - SOAP::SOAPDouble
#   autoReorderPoint - SOAP::SOAPBoolean
#   storeDisplayName - SOAP::SOAPString
#   storeDisplayThumbnail - ActiveNetsuite::RecordRef
#   storeDisplayImage - ActiveNetsuite::RecordRef
#   storeDescription - SOAP::SOAPString
#   storeDetailedDescription - SOAP::SOAPString
#   storeItemTemplate - ActiveNetsuite::RecordRef
#   pageTitle - SOAP::SOAPString
#   metaTagHtml - SOAP::SOAPString
#   excludeFromSitemap - SOAP::SOAPBoolean
#   sitemapPriority - ActiveNetsuite::SitemapPriority
#   searchKeywords - SOAP::SOAPString
#   isDonationItem - SOAP::SOAPBoolean
#   showDefaultDonationAmount - SOAP::SOAPBoolean
#   maxDonationAmount - SOAP::SOAPDouble
#   dontShowPrice - SOAP::SOAPBoolean
#   noPriceMessage - SOAP::SOAPString
#   outOfStockMessage - SOAP::SOAPString
#   onSpecial - SOAP::SOAPBoolean
#   outOfStockBehavior - ActiveNetsuite::ItemOutOfStockBehavior
#   relatedItemsDescription - SOAP::SOAPString
#   specialsDescription - SOAP::SOAPString
#   featuredDescription - SOAP::SOAPString
#   shoppingDotComCategory - SOAP::SOAPString
#   shopzillaCategoryId - SOAP::SOAPLong
#   nexTagCategory - SOAP::SOAPString
#   urlComponent - SOAP::SOAPString
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   vendorName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   isOnline - SOAP::SOAPBoolean
#   isHazmatItem - SOAP::SOAPBoolean
#   hazmatId - SOAP::SOAPString
#   hazmatShippingName - SOAP::SOAPString
#   hazmatHazardClass - SOAP::SOAPString
#   hazmatPackingGroup - ActiveNetsuite::HazmatPackingGroup
#   hazmatItemUnits - SOAP::SOAPString
#   hazmatItemUnitsQty - SOAP::SOAPDouble
#   isGcoCompliant - SOAP::SOAPBoolean
#   offerSupport - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   costingMethod - ActiveNetsuite::ItemCostingMethod
#   currency - SOAP::SOAPString
#   preferredStockLevel - SOAP::SOAPDouble
#   pricingMatrix - ActiveNetsuite::PricingMatrix
#   purchaseTaxCode - ActiveNetsuite::RecordRef
#   defaultReturnCost - SOAP::SOAPDouble
#   supplyReplenishmentMethod - ActiveNetsuite::RecordRef
#   alternateDemandSourceItem - ActiveNetsuite::RecordRef
#   fixedLotSize - SOAP::SOAPDouble
#   periodicLotSizeType - ActiveNetsuite::PeriodicLotSizeType
#   supplyType - ActiveNetsuite::RecordRef
#   periodicLotSizeDays - SOAP::SOAPLong
#   supplyLotSizingMethod - ActiveNetsuite::RecordRef
#   forwardConsumptionDays - SOAP::SOAPLong
#   demandSource - ActiveNetsuite::RecordRef
#   quantityBackOrdered - SOAP::SOAPDouble
#   quantityCommitted - SOAP::SOAPDouble
#   quantityAvailable - SOAP::SOAPDouble
#   quantityOnHand - SOAP::SOAPDouble
#   onHandValueMli - SOAP::SOAPDouble
#   quantityOnOrder - SOAP::SOAPDouble
#   rate - SOAP::SOAPDouble
#   reorderPoint - SOAP::SOAPDouble
#   quantityCommittedUnits - SOAP::SOAPString
#   salesTaxCode - ActiveNetsuite::RecordRef
#   quantityAvailableUnits - SOAP::SOAPString
#   quantityOnHandUnits - SOAP::SOAPString
#   vendor - ActiveNetsuite::RecordRef
#   quantityOnOrderUnits - SOAP::SOAPString
#   productFeedList - ActiveNetsuite::ProductFeedList
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   itemOptionsList - ActiveNetsuite::ItemOptionsList
#   itemVendorList - ActiveNetsuite::ItemVendorList
#   siteCategoryList - ActiveNetsuite::SiteCategoryList
#   translationsList - ActiveNetsuite::TranslationList
#   binNumberList - ActiveNetsuite::InventoryItemBinNumberList
#   locationsList - ActiveNetsuite::InventoryItemLocationsList
#   matrixOptionList - ActiveNetsuite::MatrixOptionList
#   presentationItemList - ActiveNetsuite::PresentationItemList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class InventoryItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :purchaseDescription
  attr_accessor :copyDescription
  attr_accessor :expenseAccount
  attr_accessor :dateConvertedToInv
  attr_accessor :originalItemType
  attr_accessor :originalItemSubtype
  attr_accessor :cogsAccount
  attr_accessor :salesDescription
  attr_accessor :includeChildren
  attr_accessor :incomeAccount
  attr_accessor :taxSchedule
  attr_accessor :dropshipExpenseAccount
  attr_accessor :isTaxable
  attr_accessor :matrixType
  attr_accessor :assetAccount
  attr_accessor :matchBillToReceipt
  attr_accessor :billQtyVarianceAcct
  attr_accessor :billPriceVarianceAcct
  attr_accessor :billExchRateVarianceAcct
  attr_accessor :gainLossAccount
  attr_accessor :shippingCost
  attr_accessor :shippingCostUnits
  attr_accessor :handlingCost
  attr_accessor :handlingCostUnits
  attr_accessor :weight
  attr_accessor :weightUnit
  attr_accessor :weightUnits
  attr_accessor :costingMethodDisplay
  attr_accessor :unitsType
  attr_accessor :stockUnit
  attr_accessor :purchaseUnit
  attr_accessor :saleUnit
  attr_accessor :issueProduct
  attr_accessor :billingSchedule
  attr_accessor :trackLandedCost
  attr_accessor :isDropShipItem
  attr_accessor :isSpecialOrderItem
  attr_accessor :stockDescription
  attr_accessor :deferredRevenueAccount
  attr_accessor :producer
  attr_accessor :manufacturer
  attr_accessor :revRecSchedule
  attr_accessor :mpn
  attr_accessor :multManufactureAddr
  attr_accessor :manufacturerAddr1
  attr_accessor :manufacturerCity
  attr_accessor :manufacturerState
  attr_accessor :manufacturerZip
  attr_accessor :countryOfManufacture
  attr_accessor :roundUpAsComponent
  attr_accessor :defaultItemShipMethod
  attr_accessor :itemCarrier
  attr_accessor :itemShipMethodList
  attr_accessor :manufacturerTaxId
  attr_accessor :scheduleBNumber
  attr_accessor :scheduleBQuantity
  attr_accessor :scheduleBCode
  attr_accessor :manufacturerTariff
  attr_accessor :preferenceCriterion
  attr_accessor :minimumQuantity
  attr_accessor :enforceMinQtyInternally
  attr_accessor :minimumQuantityUnits
  attr_accessor :softDescriptor
  attr_accessor :shipPackage
  attr_accessor :shipIndividually
  attr_accessor :costCategory
  attr_accessor :pricesIncludeTax
  attr_accessor :purchasePriceVarianceAcct
  attr_accessor :quantityPricingSchedule
  attr_accessor :reorderPointUnits
  attr_accessor :useMarginalRates
  attr_accessor :preferredStockLevelUnits
  attr_accessor :costEstimateType
  attr_accessor :costEstimate
  attr_accessor :transferPrice
  attr_accessor :overallQuantityPricingType
  attr_accessor :pricingGroup
  attr_accessor :vsoePrice
  attr_accessor :vsoeSopGroup
  attr_accessor :costEstimateUnits
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :preferredLocation
  attr_accessor :reorderMultiple
  attr_accessor :cost
  attr_accessor :lastInvtCountDate
  attr_accessor :nextInvtCountDate
  attr_accessor :invtCountInterval
  attr_accessor :invtClassification
  attr_accessor :costUnits
  attr_accessor :totalValue
  attr_accessor :averageCost
  attr_accessor :useBins
  attr_accessor :quantityReorderUnits
  attr_accessor :leadTime
  attr_accessor :autoLeadTime
  attr_accessor :lastPurchasePrice
  attr_accessor :autoPreferredStockLevel
  attr_accessor :preferredStockLevelDays
  attr_accessor :safetyStockLevel
  attr_accessor :safetyStockLevelDays
  attr_accessor :backwardConsumptionDays
  attr_accessor :seasonalDemand
  attr_accessor :safetyStockLevelUnits
  attr_accessor :demandModifier
  attr_accessor :autoReorderPoint
  attr_accessor :storeDisplayName
  attr_accessor :storeDisplayThumbnail
  attr_accessor :storeDisplayImage
  attr_accessor :storeDescription
  attr_accessor :storeDetailedDescription
  attr_accessor :storeItemTemplate
  attr_accessor :pageTitle
  attr_accessor :metaTagHtml
  attr_accessor :excludeFromSitemap
  attr_accessor :sitemapPriority
  attr_accessor :searchKeywords
  attr_accessor :isDonationItem
  attr_accessor :showDefaultDonationAmount
  attr_accessor :maxDonationAmount
  attr_accessor :dontShowPrice
  attr_accessor :noPriceMessage
  attr_accessor :outOfStockMessage
  attr_accessor :onSpecial
  attr_accessor :outOfStockBehavior
  attr_accessor :relatedItemsDescription
  attr_accessor :specialsDescription
  attr_accessor :featuredDescription
  attr_accessor :shoppingDotComCategory
  attr_accessor :shopzillaCategoryId
  attr_accessor :nexTagCategory
  attr_accessor :urlComponent
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :vendorName
  attr_accessor :parent
  attr_accessor :isOnline
  attr_accessor :isHazmatItem
  attr_accessor :hazmatId
  attr_accessor :hazmatShippingName
  attr_accessor :hazmatHazardClass
  attr_accessor :hazmatPackingGroup
  attr_accessor :hazmatItemUnits
  attr_accessor :hazmatItemUnitsQty
  attr_accessor :isGcoCompliant
  attr_accessor :offerSupport
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :department
  attr_accessor :location
  attr_accessor :costingMethod
  attr_accessor :currency
  attr_accessor :preferredStockLevel
  attr_accessor :pricingMatrix
  attr_accessor :purchaseTaxCode
  attr_accessor :defaultReturnCost
  attr_accessor :supplyReplenishmentMethod
  attr_accessor :alternateDemandSourceItem
  attr_accessor :fixedLotSize
  attr_accessor :periodicLotSizeType
  attr_accessor :supplyType
  attr_accessor :periodicLotSizeDays
  attr_accessor :supplyLotSizingMethod
  attr_accessor :forwardConsumptionDays
  attr_accessor :demandSource
  attr_accessor :quantityBackOrdered
  attr_accessor :quantityCommitted
  attr_accessor :quantityAvailable
  attr_accessor :quantityOnHand
  attr_accessor :onHandValueMli
  attr_accessor :quantityOnOrder
  attr_accessor :rate
  attr_accessor :reorderPoint
  attr_accessor :quantityCommittedUnits
  attr_accessor :salesTaxCode
  attr_accessor :quantityAvailableUnits
  attr_accessor :quantityOnHandUnits
  attr_accessor :vendor
  attr_accessor :quantityOnOrderUnits
  attr_accessor :productFeedList
  attr_accessor :subsidiaryList
  attr_accessor :itemOptionsList
  attr_accessor :itemVendorList
  attr_accessor :siteCategoryList
  attr_accessor :translationsList
  attr_accessor :binNumberList
  attr_accessor :locationsList
  attr_accessor :matrixOptionList
  attr_accessor :presentationItemList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, purchaseDescription = nil, copyDescription = nil, expenseAccount = nil, dateConvertedToInv = nil, originalItemType = nil, originalItemSubtype = nil, cogsAccount = nil, salesDescription = nil, includeChildren = nil, incomeAccount = nil, taxSchedule = nil, dropshipExpenseAccount = nil, isTaxable = nil, matrixType = nil, assetAccount = nil, matchBillToReceipt = nil, billQtyVarianceAcct = nil, billPriceVarianceAcct = nil, billExchRateVarianceAcct = nil, gainLossAccount = nil, shippingCost = nil, shippingCostUnits = nil, handlingCost = nil, handlingCostUnits = nil, weight = nil, weightUnit = nil, weightUnits = nil, costingMethodDisplay = nil, unitsType = nil, stockUnit = nil, purchaseUnit = nil, saleUnit = nil, issueProduct = nil, billingSchedule = nil, trackLandedCost = nil, isDropShipItem = nil, isSpecialOrderItem = nil, stockDescription = nil, deferredRevenueAccount = nil, producer = nil, manufacturer = nil, revRecSchedule = nil, mpn = nil, multManufactureAddr = nil, manufacturerAddr1 = nil, manufacturerCity = nil, manufacturerState = nil, manufacturerZip = nil, countryOfManufacture = nil, roundUpAsComponent = nil, defaultItemShipMethod = nil, itemCarrier = nil, itemShipMethodList = nil, manufacturerTaxId = nil, scheduleBNumber = nil, scheduleBQuantity = nil, scheduleBCode = nil, manufacturerTariff = nil, preferenceCriterion = nil, minimumQuantity = nil, enforceMinQtyInternally = nil, minimumQuantityUnits = nil, softDescriptor = nil, shipPackage = nil, shipIndividually = nil, costCategory = nil, pricesIncludeTax = nil, purchasePriceVarianceAcct = nil, quantityPricingSchedule = nil, reorderPointUnits = nil, useMarginalRates = nil, preferredStockLevelUnits = nil, costEstimateType = nil, costEstimate = nil, transferPrice = nil, overallQuantityPricingType = nil, pricingGroup = nil, vsoePrice = nil, vsoeSopGroup = nil, costEstimateUnits = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, preferredLocation = nil, reorderMultiple = nil, cost = nil, lastInvtCountDate = nil, nextInvtCountDate = nil, invtCountInterval = nil, invtClassification = nil, costUnits = nil, totalValue = nil, averageCost = nil, useBins = nil, quantityReorderUnits = nil, leadTime = nil, autoLeadTime = nil, lastPurchasePrice = nil, autoPreferredStockLevel = nil, preferredStockLevelDays = nil, safetyStockLevel = nil, safetyStockLevelDays = nil, backwardConsumptionDays = nil, seasonalDemand = nil, safetyStockLevelUnits = nil, demandModifier = nil, autoReorderPoint = nil, storeDisplayName = nil, storeDisplayThumbnail = nil, storeDisplayImage = nil, storeDescription = nil, storeDetailedDescription = nil, storeItemTemplate = nil, pageTitle = nil, metaTagHtml = nil, excludeFromSitemap = nil, sitemapPriority = nil, searchKeywords = nil, isDonationItem = nil, showDefaultDonationAmount = nil, maxDonationAmount = nil, dontShowPrice = nil, noPriceMessage = nil, outOfStockMessage = nil, onSpecial = nil, outOfStockBehavior = nil, relatedItemsDescription = nil, specialsDescription = nil, featuredDescription = nil, shoppingDotComCategory = nil, shopzillaCategoryId = nil, nexTagCategory = nil, urlComponent = nil, customForm = nil, itemId = nil, upcCode = nil, displayName = nil, vendorName = nil, parent = nil, isOnline = nil, isHazmatItem = nil, hazmatId = nil, hazmatShippingName = nil, hazmatHazardClass = nil, hazmatPackingGroup = nil, hazmatItemUnits = nil, hazmatItemUnitsQty = nil, isGcoCompliant = nil, offerSupport = nil, isInactive = nil, availableToPartners = nil, department = nil, v_class = nil, location = nil, costingMethod = nil, currency = nil, preferredStockLevel = nil, pricingMatrix = nil, purchaseTaxCode = nil, defaultReturnCost = nil, supplyReplenishmentMethod = nil, alternateDemandSourceItem = nil, fixedLotSize = nil, periodicLotSizeType = nil, supplyType = nil, periodicLotSizeDays = nil, supplyLotSizingMethod = nil, forwardConsumptionDays = nil, demandSource = nil, quantityBackOrdered = nil, quantityCommitted = nil, quantityAvailable = nil, quantityOnHand = nil, onHandValueMli = nil, quantityOnOrder = nil, rate = nil, reorderPoint = nil, quantityCommittedUnits = nil, salesTaxCode = nil, quantityAvailableUnits = nil, quantityOnHandUnits = nil, vendor = nil, quantityOnOrderUnits = nil, productFeedList = nil, subsidiaryList = nil, itemOptionsList = nil, itemVendorList = nil, siteCategoryList = nil, translationsList = nil, binNumberList = nil, locationsList = nil, matrixOptionList = nil, presentationItemList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @purchaseDescription = purchaseDescription
    @copyDescription = copyDescription
    @expenseAccount = expenseAccount
    @dateConvertedToInv = dateConvertedToInv
    @originalItemType = originalItemType
    @originalItemSubtype = originalItemSubtype
    @cogsAccount = cogsAccount
    @salesDescription = salesDescription
    @includeChildren = includeChildren
    @incomeAccount = incomeAccount
    @taxSchedule = taxSchedule
    @dropshipExpenseAccount = dropshipExpenseAccount
    @isTaxable = isTaxable
    @matrixType = matrixType
    @assetAccount = assetAccount
    @matchBillToReceipt = matchBillToReceipt
    @billQtyVarianceAcct = billQtyVarianceAcct
    @billPriceVarianceAcct = billPriceVarianceAcct
    @billExchRateVarianceAcct = billExchRateVarianceAcct
    @gainLossAccount = gainLossAccount
    @shippingCost = shippingCost
    @shippingCostUnits = shippingCostUnits
    @handlingCost = handlingCost
    @handlingCostUnits = handlingCostUnits
    @weight = weight
    @weightUnit = weightUnit
    @weightUnits = weightUnits
    @costingMethodDisplay = costingMethodDisplay
    @unitsType = unitsType
    @stockUnit = stockUnit
    @purchaseUnit = purchaseUnit
    @saleUnit = saleUnit
    @issueProduct = issueProduct
    @billingSchedule = billingSchedule
    @trackLandedCost = trackLandedCost
    @isDropShipItem = isDropShipItem
    @isSpecialOrderItem = isSpecialOrderItem
    @stockDescription = stockDescription
    @deferredRevenueAccount = deferredRevenueAccount
    @producer = producer
    @manufacturer = manufacturer
    @revRecSchedule = revRecSchedule
    @mpn = mpn
    @multManufactureAddr = multManufactureAddr
    @manufacturerAddr1 = manufacturerAddr1
    @manufacturerCity = manufacturerCity
    @manufacturerState = manufacturerState
    @manufacturerZip = manufacturerZip
    @countryOfManufacture = countryOfManufacture
    @roundUpAsComponent = roundUpAsComponent
    @defaultItemShipMethod = defaultItemShipMethod
    @itemCarrier = itemCarrier
    @itemShipMethodList = itemShipMethodList
    @manufacturerTaxId = manufacturerTaxId
    @scheduleBNumber = scheduleBNumber
    @scheduleBQuantity = scheduleBQuantity
    @scheduleBCode = scheduleBCode
    @manufacturerTariff = manufacturerTariff
    @preferenceCriterion = preferenceCriterion
    @minimumQuantity = minimumQuantity
    @enforceMinQtyInternally = enforceMinQtyInternally
    @minimumQuantityUnits = minimumQuantityUnits
    @softDescriptor = softDescriptor
    @shipPackage = shipPackage
    @shipIndividually = shipIndividually
    @costCategory = costCategory
    @pricesIncludeTax = pricesIncludeTax
    @purchasePriceVarianceAcct = purchasePriceVarianceAcct
    @quantityPricingSchedule = quantityPricingSchedule
    @reorderPointUnits = reorderPointUnits
    @useMarginalRates = useMarginalRates
    @preferredStockLevelUnits = preferredStockLevelUnits
    @costEstimateType = costEstimateType
    @costEstimate = costEstimate
    @transferPrice = transferPrice
    @overallQuantityPricingType = overallQuantityPricingType
    @pricingGroup = pricingGroup
    @vsoePrice = vsoePrice
    @vsoeSopGroup = vsoeSopGroup
    @costEstimateUnits = costEstimateUnits
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @preferredLocation = preferredLocation
    @reorderMultiple = reorderMultiple
    @cost = cost
    @lastInvtCountDate = lastInvtCountDate
    @nextInvtCountDate = nextInvtCountDate
    @invtCountInterval = invtCountInterval
    @invtClassification = invtClassification
    @costUnits = costUnits
    @totalValue = totalValue
    @averageCost = averageCost
    @useBins = useBins
    @quantityReorderUnits = quantityReorderUnits
    @leadTime = leadTime
    @autoLeadTime = autoLeadTime
    @lastPurchasePrice = lastPurchasePrice
    @autoPreferredStockLevel = autoPreferredStockLevel
    @preferredStockLevelDays = preferredStockLevelDays
    @safetyStockLevel = safetyStockLevel
    @safetyStockLevelDays = safetyStockLevelDays
    @backwardConsumptionDays = backwardConsumptionDays
    @seasonalDemand = seasonalDemand
    @safetyStockLevelUnits = safetyStockLevelUnits
    @demandModifier = demandModifier
    @autoReorderPoint = autoReorderPoint
    @storeDisplayName = storeDisplayName
    @storeDisplayThumbnail = storeDisplayThumbnail
    @storeDisplayImage = storeDisplayImage
    @storeDescription = storeDescription
    @storeDetailedDescription = storeDetailedDescription
    @storeItemTemplate = storeItemTemplate
    @pageTitle = pageTitle
    @metaTagHtml = metaTagHtml
    @excludeFromSitemap = excludeFromSitemap
    @sitemapPriority = sitemapPriority
    @searchKeywords = searchKeywords
    @isDonationItem = isDonationItem
    @showDefaultDonationAmount = showDefaultDonationAmount
    @maxDonationAmount = maxDonationAmount
    @dontShowPrice = dontShowPrice
    @noPriceMessage = noPriceMessage
    @outOfStockMessage = outOfStockMessage
    @onSpecial = onSpecial
    @outOfStockBehavior = outOfStockBehavior
    @relatedItemsDescription = relatedItemsDescription
    @specialsDescription = specialsDescription
    @featuredDescription = featuredDescription
    @shoppingDotComCategory = shoppingDotComCategory
    @shopzillaCategoryId = shopzillaCategoryId
    @nexTagCategory = nexTagCategory
    @urlComponent = urlComponent
    @customForm = customForm
    @itemId = itemId
    @upcCode = upcCode
    @displayName = displayName
    @vendorName = vendorName
    @parent = parent
    @isOnline = isOnline
    @isHazmatItem = isHazmatItem
    @hazmatId = hazmatId
    @hazmatShippingName = hazmatShippingName
    @hazmatHazardClass = hazmatHazardClass
    @hazmatPackingGroup = hazmatPackingGroup
    @hazmatItemUnits = hazmatItemUnits
    @hazmatItemUnitsQty = hazmatItemUnitsQty
    @isGcoCompliant = isGcoCompliant
    @offerSupport = offerSupport
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @department = department
    @v_class = v_class
    @location = location
    @costingMethod = costingMethod
    @currency = currency
    @preferredStockLevel = preferredStockLevel
    @pricingMatrix = pricingMatrix
    @purchaseTaxCode = purchaseTaxCode
    @defaultReturnCost = defaultReturnCost
    @supplyReplenishmentMethod = supplyReplenishmentMethod
    @alternateDemandSourceItem = alternateDemandSourceItem
    @fixedLotSize = fixedLotSize
    @periodicLotSizeType = periodicLotSizeType
    @supplyType = supplyType
    @periodicLotSizeDays = periodicLotSizeDays
    @supplyLotSizingMethod = supplyLotSizingMethod
    @forwardConsumptionDays = forwardConsumptionDays
    @demandSource = demandSource
    @quantityBackOrdered = quantityBackOrdered
    @quantityCommitted = quantityCommitted
    @quantityAvailable = quantityAvailable
    @quantityOnHand = quantityOnHand
    @onHandValueMli = onHandValueMli
    @quantityOnOrder = quantityOnOrder
    @rate = rate
    @reorderPoint = reorderPoint
    @quantityCommittedUnits = quantityCommittedUnits
    @salesTaxCode = salesTaxCode
    @quantityAvailableUnits = quantityAvailableUnits
    @quantityOnHandUnits = quantityOnHandUnits
    @vendor = vendor
    @quantityOnOrderUnits = quantityOnOrderUnits
    @productFeedList = productFeedList
    @subsidiaryList = subsidiaryList
    @itemOptionsList = itemOptionsList
    @itemVendorList = itemVendorList
    @siteCategoryList = siteCategoryList
    @translationsList = translationsList
    @binNumberList = binNumberList
    @locationsList = locationsList
    @matrixOptionList = matrixOptionList
    @presentationItemList = presentationItemList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}DescriptionItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   description - SOAP::SOAPString
#   includeChildren - SOAP::SOAPBoolean
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   issueProduct - ActiveNetsuite::RecordRef
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   translationsList - ActiveNetsuite::TranslationList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class DescriptionItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :description
  attr_accessor :includeChildren
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :issueProduct
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiaryList
  attr_accessor :translationsList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, description = nil, includeChildren = nil, customForm = nil, itemId = nil, issueProduct = nil, isInactive = nil, availableToPartners = nil, department = nil, v_class = nil, location = nil, subsidiaryList = nil, translationsList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @description = description
    @includeChildren = includeChildren
    @customForm = customForm
    @itemId = itemId
    @issueProduct = issueProduct
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @department = department
    @v_class = v_class
    @location = location
    @subsidiaryList = subsidiaryList
    @translationsList = translationsList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}DiscountItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   description - SOAP::SOAPString
#   nonPosting - SOAP::SOAPBoolean
#   account - ActiveNetsuite::RecordRef
#   includeChildren - SOAP::SOAPBoolean
#   rate - SOAP::SOAPString
#   isPreTax - SOAP::SOAPBoolean
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   issueProduct - ActiveNetsuite::RecordRef
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   vendorName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   taxSchedule - ActiveNetsuite::RecordRef
#   deferredRevenueAccount - ActiveNetsuite::RecordRef
#   expenseAccount - ActiveNetsuite::RecordRef
#   incomeAccount - ActiveNetsuite::RecordRef
#   revRecSchedule - ActiveNetsuite::RecordRef
#   salesTaxCode - ActiveNetsuite::RecordRef
#   translationsList - ActiveNetsuite::TranslationList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class DiscountItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :description
  attr_accessor :nonPosting
  attr_accessor :account
  attr_accessor :includeChildren
  attr_accessor :rate
  attr_accessor :isPreTax
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :issueProduct
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :vendorName
  attr_accessor :parent
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiaryList
  attr_accessor :taxSchedule
  attr_accessor :deferredRevenueAccount
  attr_accessor :expenseAccount
  attr_accessor :incomeAccount
  attr_accessor :revRecSchedule
  attr_accessor :salesTaxCode
  attr_accessor :translationsList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, description = nil, nonPosting = nil, account = nil, includeChildren = nil, rate = nil, isPreTax = nil, customForm = nil, itemId = nil, issueProduct = nil, upcCode = nil, displayName = nil, vendorName = nil, parent = nil, isInactive = nil, availableToPartners = nil, department = nil, v_class = nil, location = nil, subsidiaryList = nil, taxSchedule = nil, deferredRevenueAccount = nil, expenseAccount = nil, incomeAccount = nil, revRecSchedule = nil, salesTaxCode = nil, translationsList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @description = description
    @nonPosting = nonPosting
    @account = account
    @includeChildren = includeChildren
    @rate = rate
    @isPreTax = isPreTax
    @customForm = customForm
    @itemId = itemId
    @issueProduct = issueProduct
    @upcCode = upcCode
    @displayName = displayName
    @vendorName = vendorName
    @parent = parent
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @department = department
    @v_class = v_class
    @location = location
    @subsidiaryList = subsidiaryList
    @taxSchedule = taxSchedule
    @deferredRevenueAccount = deferredRevenueAccount
    @expenseAccount = expenseAccount
    @incomeAccount = incomeAccount
    @revRecSchedule = revRecSchedule
    @salesTaxCode = salesTaxCode
    @translationsList = translationsList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}DownloadItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   salesDescription - SOAP::SOAPString
#   quantityPricingSchedule - ActiveNetsuite::RecordRef
#   deferredRevenueAccount - ActiveNetsuite::RecordRef
#   onSpecial - SOAP::SOAPBoolean
#   itemId - SOAP::SOAPString
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   isOnline - SOAP::SOAPBoolean
#   isGcoCompliant - SOAP::SOAPBoolean
#   offerSupport - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   department - ActiveNetsuite::RecordRef
#   includeChildren - SOAP::SOAPBoolean
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   incomeAccount - ActiveNetsuite::RecordRef
#   numOfAllowedDownloads - SOAP::SOAPLong
#   daysBeforeExpiration - SOAP::SOAPLong
#   immediateDownload - SOAP::SOAPBoolean
#   isTaxable - SOAP::SOAPBoolean
#   issueProduct - ActiveNetsuite::RecordRef
#   taxSchedule - ActiveNetsuite::RecordRef
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   costEstimate - SOAP::SOAPDouble
#   billingSchedule - ActiveNetsuite::RecordRef
#   isFulfillable - SOAP::SOAPBoolean
#   useMarginalRates - SOAP::SOAPBoolean
#   overallQuantityPricingType - ActiveNetsuite::ItemOverallQuantityPricingType
#   pricingGroup - ActiveNetsuite::RecordRef
#   revRecSchedule - ActiveNetsuite::RecordRef
#   vsoePrice - SOAP::SOAPDouble
#   vsoeSopGroup - ActiveNetsuite::VsoeSopGroup
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   storeDisplayName - SOAP::SOAPString
#   storeDisplayThumbnail - ActiveNetsuite::RecordRef
#   storeDisplayImage - ActiveNetsuite::RecordRef
#   featuredDescription - SOAP::SOAPString
#   storeDescription - SOAP::SOAPString
#   storeDetailedDescription - SOAP::SOAPString
#   storeItemTemplate - ActiveNetsuite::RecordRef
#   pageTitle - SOAP::SOAPString
#   metaTagHtml - SOAP::SOAPString
#   excludeFromSitemap - SOAP::SOAPBoolean
#   sitemapPriority - ActiveNetsuite::SitemapPriority
#   searchKeywords - SOAP::SOAPString
#   isDonationItem - SOAP::SOAPBoolean
#   showDefaultDonationAmount - SOAP::SOAPBoolean
#   maxDonationAmount - SOAP::SOAPDouble
#   dontShowPrice - SOAP::SOAPBoolean
#   noPriceMessage - SOAP::SOAPString
#   outOfStockMessage - SOAP::SOAPString
#   outOfStockBehavior - ActiveNetsuite::ItemOutOfStockBehavior
#   relatedItemsDescription - SOAP::SOAPString
#   specialsDescription - SOAP::SOAPString
#   pricingMatrix - ActiveNetsuite::PricingMatrix
#   siteCategoryList - ActiveNetsuite::SiteCategoryList
#   presentationItemList - ActiveNetsuite::PresentationItemList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class DownloadItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :salesDescription
  attr_accessor :quantityPricingSchedule
  attr_accessor :deferredRevenueAccount
  attr_accessor :onSpecial
  attr_accessor :itemId
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :parent
  attr_accessor :isOnline
  attr_accessor :isGcoCompliant
  attr_accessor :offerSupport
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :subsidiaryList
  attr_accessor :department
  attr_accessor :includeChildren
  attr_accessor :location
  attr_accessor :incomeAccount
  attr_accessor :numOfAllowedDownloads
  attr_accessor :daysBeforeExpiration
  attr_accessor :immediateDownload
  attr_accessor :isTaxable
  attr_accessor :issueProduct
  attr_accessor :taxSchedule
  attr_accessor :costEstimateType
  attr_accessor :costEstimate
  attr_accessor :billingSchedule
  attr_accessor :isFulfillable
  attr_accessor :useMarginalRates
  attr_accessor :overallQuantityPricingType
  attr_accessor :pricingGroup
  attr_accessor :revRecSchedule
  attr_accessor :vsoePrice
  attr_accessor :vsoeSopGroup
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :storeDisplayName
  attr_accessor :storeDisplayThumbnail
  attr_accessor :storeDisplayImage
  attr_accessor :featuredDescription
  attr_accessor :storeDescription
  attr_accessor :storeDetailedDescription
  attr_accessor :storeItemTemplate
  attr_accessor :pageTitle
  attr_accessor :metaTagHtml
  attr_accessor :excludeFromSitemap
  attr_accessor :sitemapPriority
  attr_accessor :searchKeywords
  attr_accessor :isDonationItem
  attr_accessor :showDefaultDonationAmount
  attr_accessor :maxDonationAmount
  attr_accessor :dontShowPrice
  attr_accessor :noPriceMessage
  attr_accessor :outOfStockMessage
  attr_accessor :outOfStockBehavior
  attr_accessor :relatedItemsDescription
  attr_accessor :specialsDescription
  attr_accessor :pricingMatrix
  attr_accessor :siteCategoryList
  attr_accessor :presentationItemList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, salesDescription = nil, quantityPricingSchedule = nil, deferredRevenueAccount = nil, onSpecial = nil, itemId = nil, upcCode = nil, displayName = nil, parent = nil, isOnline = nil, isGcoCompliant = nil, offerSupport = nil, isInactive = nil, availableToPartners = nil, subsidiaryList = nil, department = nil, includeChildren = nil, v_class = nil, location = nil, incomeAccount = nil, numOfAllowedDownloads = nil, daysBeforeExpiration = nil, immediateDownload = nil, isTaxable = nil, issueProduct = nil, taxSchedule = nil, costEstimateType = nil, costEstimate = nil, billingSchedule = nil, isFulfillable = nil, useMarginalRates = nil, overallQuantityPricingType = nil, pricingGroup = nil, revRecSchedule = nil, vsoePrice = nil, vsoeSopGroup = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, storeDisplayName = nil, storeDisplayThumbnail = nil, storeDisplayImage = nil, featuredDescription = nil, storeDescription = nil, storeDetailedDescription = nil, storeItemTemplate = nil, pageTitle = nil, metaTagHtml = nil, excludeFromSitemap = nil, sitemapPriority = nil, searchKeywords = nil, isDonationItem = nil, showDefaultDonationAmount = nil, maxDonationAmount = nil, dontShowPrice = nil, noPriceMessage = nil, outOfStockMessage = nil, outOfStockBehavior = nil, relatedItemsDescription = nil, specialsDescription = nil, pricingMatrix = nil, siteCategoryList = nil, presentationItemList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @salesDescription = salesDescription
    @quantityPricingSchedule = quantityPricingSchedule
    @deferredRevenueAccount = deferredRevenueAccount
    @onSpecial = onSpecial
    @itemId = itemId
    @upcCode = upcCode
    @displayName = displayName
    @parent = parent
    @isOnline = isOnline
    @isGcoCompliant = isGcoCompliant
    @offerSupport = offerSupport
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @subsidiaryList = subsidiaryList
    @department = department
    @includeChildren = includeChildren
    @v_class = v_class
    @location = location
    @incomeAccount = incomeAccount
    @numOfAllowedDownloads = numOfAllowedDownloads
    @daysBeforeExpiration = daysBeforeExpiration
    @immediateDownload = immediateDownload
    @isTaxable = isTaxable
    @issueProduct = issueProduct
    @taxSchedule = taxSchedule
    @costEstimateType = costEstimateType
    @costEstimate = costEstimate
    @billingSchedule = billingSchedule
    @isFulfillable = isFulfillable
    @useMarginalRates = useMarginalRates
    @overallQuantityPricingType = overallQuantityPricingType
    @pricingGroup = pricingGroup
    @revRecSchedule = revRecSchedule
    @vsoePrice = vsoePrice
    @vsoeSopGroup = vsoeSopGroup
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @storeDisplayName = storeDisplayName
    @storeDisplayThumbnail = storeDisplayThumbnail
    @storeDisplayImage = storeDisplayImage
    @featuredDescription = featuredDescription
    @storeDescription = storeDescription
    @storeDetailedDescription = storeDetailedDescription
    @storeItemTemplate = storeItemTemplate
    @pageTitle = pageTitle
    @metaTagHtml = metaTagHtml
    @excludeFromSitemap = excludeFromSitemap
    @sitemapPriority = sitemapPriority
    @searchKeywords = searchKeywords
    @isDonationItem = isDonationItem
    @showDefaultDonationAmount = showDefaultDonationAmount
    @maxDonationAmount = maxDonationAmount
    @dontShowPrice = dontShowPrice
    @noPriceMessage = noPriceMessage
    @outOfStockMessage = outOfStockMessage
    @outOfStockBehavior = outOfStockBehavior
    @relatedItemsDescription = relatedItemsDescription
    @specialsDescription = specialsDescription
    @pricingMatrix = pricingMatrix
    @siteCategoryList = siteCategoryList
    @presentationItemList = presentationItemList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}MarkupItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   description - SOAP::SOAPString
#   nonPosting - SOAP::SOAPBoolean
#   account - ActiveNetsuite::RecordRef
#   includeChildren - SOAP::SOAPBoolean
#   rate - SOAP::SOAPString
#   isPreTax - SOAP::SOAPBoolean
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   issueProduct - ActiveNetsuite::RecordRef
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   vendorName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   taxSchedule - ActiveNetsuite::RecordRef
#   deferredRevenueAccount - ActiveNetsuite::RecordRef
#   expenseAccount - ActiveNetsuite::RecordRef
#   incomeAccount - ActiveNetsuite::RecordRef
#   revRecSchedule - ActiveNetsuite::RecordRef
#   salesTaxCode - ActiveNetsuite::RecordRef
#   translationsList - ActiveNetsuite::TranslationList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class MarkupItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :description
  attr_accessor :nonPosting
  attr_accessor :account
  attr_accessor :includeChildren
  attr_accessor :rate
  attr_accessor :isPreTax
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :issueProduct
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :vendorName
  attr_accessor :parent
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiaryList
  attr_accessor :taxSchedule
  attr_accessor :deferredRevenueAccount
  attr_accessor :expenseAccount
  attr_accessor :incomeAccount
  attr_accessor :revRecSchedule
  attr_accessor :salesTaxCode
  attr_accessor :translationsList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, description = nil, nonPosting = nil, account = nil, includeChildren = nil, rate = nil, isPreTax = nil, customForm = nil, itemId = nil, issueProduct = nil, upcCode = nil, displayName = nil, vendorName = nil, parent = nil, isInactive = nil, availableToPartners = nil, department = nil, v_class = nil, location = nil, subsidiaryList = nil, taxSchedule = nil, deferredRevenueAccount = nil, expenseAccount = nil, incomeAccount = nil, revRecSchedule = nil, salesTaxCode = nil, translationsList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @description = description
    @nonPosting = nonPosting
    @account = account
    @includeChildren = includeChildren
    @rate = rate
    @isPreTax = isPreTax
    @customForm = customForm
    @itemId = itemId
    @issueProduct = issueProduct
    @upcCode = upcCode
    @displayName = displayName
    @vendorName = vendorName
    @parent = parent
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @department = department
    @v_class = v_class
    @location = location
    @subsidiaryList = subsidiaryList
    @taxSchedule = taxSchedule
    @deferredRevenueAccount = deferredRevenueAccount
    @expenseAccount = expenseAccount
    @incomeAccount = incomeAccount
    @revRecSchedule = revRecSchedule
    @salesTaxCode = salesTaxCode
    @translationsList = translationsList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}PaymentItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   description - SOAP::SOAPString
#   paymentMethod - ActiveNetsuite::RecordRef
#   undepFunds - SOAP::SOAPBoolean
#   includeChildren - SOAP::SOAPBoolean
#   issueProduct - ActiveNetsuite::RecordRef
#   account - ActiveNetsuite::RecordRef
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   translationsList - ActiveNetsuite::TranslationList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class PaymentItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :description
  attr_accessor :paymentMethod
  attr_accessor :undepFunds
  attr_accessor :includeChildren
  attr_accessor :issueProduct
  attr_accessor :account
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :displayName
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiaryList
  attr_accessor :translationsList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, description = nil, paymentMethod = nil, undepFunds = nil, includeChildren = nil, issueProduct = nil, account = nil, customForm = nil, itemId = nil, displayName = nil, isInactive = nil, availableToPartners = nil, department = nil, v_class = nil, location = nil, subsidiaryList = nil, translationsList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @description = description
    @paymentMethod = paymentMethod
    @undepFunds = undepFunds
    @includeChildren = includeChildren
    @issueProduct = issueProduct
    @account = account
    @customForm = customForm
    @itemId = itemId
    @displayName = displayName
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @department = department
    @v_class = v_class
    @location = location
    @subsidiaryList = subsidiaryList
    @translationsList = translationsList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}SubtotalItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   displayName - SOAP::SOAPString
#   issueProduct - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   includeChildren - SOAP::SOAPBoolean
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   translationsList - ActiveNetsuite::TranslationList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class SubtotalItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :displayName
  attr_accessor :issueProduct
  attr_accessor :description
  attr_accessor :includeChildren
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiaryList
  attr_accessor :translationsList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, displayName = nil, issueProduct = nil, description = nil, includeChildren = nil, customForm = nil, itemId = nil, isInactive = nil, availableToPartners = nil, department = nil, v_class = nil, location = nil, subsidiaryList = nil, translationsList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @displayName = displayName
    @issueProduct = issueProduct
    @description = description
    @includeChildren = includeChildren
    @customForm = customForm
    @itemId = itemId
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @department = department
    @v_class = v_class
    @location = location
    @subsidiaryList = subsidiaryList
    @translationsList = translationsList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}NonInventoryPurchaseItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   purchaseDescription - SOAP::SOAPString
#   cost - SOAP::SOAPDouble
#   costUnits - SOAP::SOAPString
#   expenseAccount - ActiveNetsuite::RecordRef
#   issueProduct - ActiveNetsuite::RecordRef
#   isTaxable - SOAP::SOAPBoolean
#   matrixType - ActiveNetsuite::ItemMatrixType
#   unitsType - ActiveNetsuite::RecordRef
#   purchaseUnit - ActiveNetsuite::RecordRef
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   includeChildren - SOAP::SOAPBoolean
#   vendorName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   taxSchedule - ActiveNetsuite::RecordRef
#   deferralAccount - ActiveNetsuite::RecordRef
#   amortizationTemplate - ActiveNetsuite::RecordRef
#   residual - SOAP::SOAPString
#   amortizationPeriod - SOAP::SOAPLong
#   isFulfillable - SOAP::SOAPBoolean
#   costCategory - ActiveNetsuite::RecordRef
#   currency - SOAP::SOAPString
#   itemOptionsList - ActiveNetsuite::ItemOptionsList
#   matrixOptionList - ActiveNetsuite::MatrixOptionList
#   itemVendorList - ActiveNetsuite::ItemVendorList
#   purchaseTaxCode - ActiveNetsuite::RecordRef
#   salesTaxCode - ActiveNetsuite::RecordRef
#   translationsList - ActiveNetsuite::TranslationList
#   vendor - ActiveNetsuite::RecordRef
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class NonInventoryPurchaseItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :purchaseDescription
  attr_accessor :cost
  attr_accessor :costUnits
  attr_accessor :expenseAccount
  attr_accessor :issueProduct
  attr_accessor :isTaxable
  attr_accessor :matrixType
  attr_accessor :unitsType
  attr_accessor :purchaseUnit
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :includeChildren
  attr_accessor :vendorName
  attr_accessor :parent
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiaryList
  attr_accessor :taxSchedule
  attr_accessor :deferralAccount
  attr_accessor :amortizationTemplate
  attr_accessor :residual
  attr_accessor :amortizationPeriod
  attr_accessor :isFulfillable
  attr_accessor :costCategory
  attr_accessor :currency
  attr_accessor :itemOptionsList
  attr_accessor :matrixOptionList
  attr_accessor :itemVendorList
  attr_accessor :purchaseTaxCode
  attr_accessor :salesTaxCode
  attr_accessor :translationsList
  attr_accessor :vendor
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, purchaseDescription = nil, cost = nil, costUnits = nil, expenseAccount = nil, issueProduct = nil, isTaxable = nil, matrixType = nil, unitsType = nil, purchaseUnit = nil, customForm = nil, itemId = nil, upcCode = nil, displayName = nil, includeChildren = nil, vendorName = nil, parent = nil, isInactive = nil, availableToPartners = nil, department = nil, v_class = nil, location = nil, subsidiaryList = nil, taxSchedule = nil, deferralAccount = nil, amortizationTemplate = nil, residual = nil, amortizationPeriod = nil, isFulfillable = nil, costCategory = nil, currency = nil, itemOptionsList = nil, matrixOptionList = nil, itemVendorList = nil, purchaseTaxCode = nil, salesTaxCode = nil, translationsList = nil, vendor = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @purchaseDescription = purchaseDescription
    @cost = cost
    @costUnits = costUnits
    @expenseAccount = expenseAccount
    @issueProduct = issueProduct
    @isTaxable = isTaxable
    @matrixType = matrixType
    @unitsType = unitsType
    @purchaseUnit = purchaseUnit
    @customForm = customForm
    @itemId = itemId
    @upcCode = upcCode
    @displayName = displayName
    @includeChildren = includeChildren
    @vendorName = vendorName
    @parent = parent
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @department = department
    @v_class = v_class
    @location = location
    @subsidiaryList = subsidiaryList
    @taxSchedule = taxSchedule
    @deferralAccount = deferralAccount
    @amortizationTemplate = amortizationTemplate
    @residual = residual
    @amortizationPeriod = amortizationPeriod
    @isFulfillable = isFulfillable
    @costCategory = costCategory
    @currency = currency
    @itemOptionsList = itemOptionsList
    @matrixOptionList = matrixOptionList
    @itemVendorList = itemVendorList
    @purchaseTaxCode = purchaseTaxCode
    @salesTaxCode = salesTaxCode
    @translationsList = translationsList
    @vendor = vendor
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}NonInventorySaleItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   salesDescription - SOAP::SOAPString
#   includeChildren - SOAP::SOAPBoolean
#   incomeAccount - ActiveNetsuite::RecordRef
#   isTaxable - SOAP::SOAPBoolean
#   matrixType - ActiveNetsuite::ItemMatrixType
#   taxSchedule - ActiveNetsuite::RecordRef
#   shippingCost - SOAP::SOAPDouble
#   shippingCostUnits - SOAP::SOAPString
#   handlingCost - SOAP::SOAPDouble
#   handlingCostUnits - SOAP::SOAPString
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   costEstimate - SOAP::SOAPDouble
#   weight - SOAP::SOAPDouble
#   weightUnit - ActiveNetsuite::ItemWeightUnit
#   weightUnits - SOAP::SOAPString
#   costEstimateUnits - SOAP::SOAPString
#   unitsType - ActiveNetsuite::RecordRef
#   saleUnit - ActiveNetsuite::RecordRef
#   issueProduct - ActiveNetsuite::RecordRef
#   billingSchedule - ActiveNetsuite::RecordRef
#   deferredRevenueAccount - ActiveNetsuite::RecordRef
#   revRecSchedule - ActiveNetsuite::RecordRef
#   stockDescription - SOAP::SOAPString
#   isHazmatItem - SOAP::SOAPBoolean
#   hazmatId - SOAP::SOAPString
#   hazmatShippingName - SOAP::SOAPString
#   hazmatHazardClass - SOAP::SOAPString
#   hazmatPackingGroup - ActiveNetsuite::HazmatPackingGroup
#   hazmatItemUnits - SOAP::SOAPString
#   hazmatItemUnitsQty - SOAP::SOAPDouble
#   producer - SOAP::SOAPBoolean
#   manufacturer - SOAP::SOAPString
#   mpn - SOAP::SOAPString
#   multManufactureAddr - SOAP::SOAPBoolean
#   manufacturerAddr1 - SOAP::SOAPString
#   manufacturerCity - SOAP::SOAPString
#   manufacturerState - SOAP::SOAPString
#   manufacturerZip - SOAP::SOAPString
#   countryOfManufacture - ActiveNetsuite::Country
#   manufacturerTaxId - SOAP::SOAPString
#   scheduleBNumber - SOAP::SOAPString
#   scheduleBQuantity - SOAP::SOAPLong
#   scheduleBCode - ActiveNetsuite::ScheduleBCode
#   manufacturerTariff - SOAP::SOAPString
#   preferenceCriterion - ActiveNetsuite::ItemPreferenceCriterion
#   minimumQuantity - SOAP::SOAPLong
#   enforceMinQtyInternally - SOAP::SOAPBoolean
#   softDescriptor - SOAP::SOAPString
#   shipPackage - ActiveNetsuite::RecordRef
#   shipIndividually - SOAP::SOAPBoolean
#   isFulfillable - SOAP::SOAPBoolean
#   costCategory - ActiveNetsuite::RecordRef
#   pricesIncludeTax - SOAP::SOAPBoolean
#   quantityPricingSchedule - ActiveNetsuite::RecordRef
#   useMarginalRates - SOAP::SOAPBoolean
#   overallQuantityPricingType - ActiveNetsuite::ItemOverallQuantityPricingType
#   pricingGroup - ActiveNetsuite::RecordRef
#   minimumQuantityUnits - SOAP::SOAPString
#   vsoePrice - SOAP::SOAPDouble
#   vsoeSopGroup - ActiveNetsuite::VsoeSopGroup
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   storeDisplayName - SOAP::SOAPString
#   storeDisplayThumbnail - ActiveNetsuite::RecordRef
#   storeDisplayImage - ActiveNetsuite::RecordRef
#   storeDescription - SOAP::SOAPString
#   storeDetailedDescription - SOAP::SOAPString
#   storeItemTemplate - ActiveNetsuite::RecordRef
#   pageTitle - SOAP::SOAPString
#   metaTagHtml - SOAP::SOAPString
#   excludeFromSitemap - SOAP::SOAPBoolean
#   sitemapPriority - ActiveNetsuite::SitemapPriority
#   searchKeywords - SOAP::SOAPString
#   isDonationItem - SOAP::SOAPBoolean
#   showDefaultDonationAmount - SOAP::SOAPBoolean
#   maxDonationAmount - SOAP::SOAPDouble
#   dontShowPrice - SOAP::SOAPBoolean
#   noPriceMessage - SOAP::SOAPString
#   outOfStockMessage - SOAP::SOAPString
#   onSpecial - SOAP::SOAPBoolean
#   outOfStockBehavior - ActiveNetsuite::ItemOutOfStockBehavior
#   relatedItemsDescription - SOAP::SOAPString
#   specialsDescription - SOAP::SOAPString
#   featuredDescription - SOAP::SOAPString
#   shoppingDotComCategory - SOAP::SOAPString
#   shopzillaCategoryId - SOAP::SOAPLong
#   nexTagCategory - SOAP::SOAPString
#   productFeedList - ActiveNetsuite::ProductFeedList
#   urlComponent - SOAP::SOAPString
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   isOnline - SOAP::SOAPBoolean
#   isGcoCompliant - SOAP::SOAPBoolean
#   offerSupport - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   defaultItemShipMethod - ActiveNetsuite::RecordRef
#   itemCarrier - ActiveNetsuite::ItemCarrier
#   itemShipMethodList - ActiveNetsuite::RecordRefList
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   itemOptionsList - ActiveNetsuite::ItemOptionsList
#   matrixOptionList - ActiveNetsuite::MatrixOptionList
#   pricingMatrix - ActiveNetsuite::PricingMatrix
#   purchaseTaxCode - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPDouble
#   salesTaxCode - ActiveNetsuite::RecordRef
#   siteCategoryList - ActiveNetsuite::SiteCategoryList
#   translationsList - ActiveNetsuite::TranslationList
#   presentationItemList - ActiveNetsuite::PresentationItemList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class NonInventorySaleItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :salesDescription
  attr_accessor :includeChildren
  attr_accessor :incomeAccount
  attr_accessor :isTaxable
  attr_accessor :matrixType
  attr_accessor :taxSchedule
  attr_accessor :shippingCost
  attr_accessor :shippingCostUnits
  attr_accessor :handlingCost
  attr_accessor :handlingCostUnits
  attr_accessor :costEstimateType
  attr_accessor :costEstimate
  attr_accessor :weight
  attr_accessor :weightUnit
  attr_accessor :weightUnits
  attr_accessor :costEstimateUnits
  attr_accessor :unitsType
  attr_accessor :saleUnit
  attr_accessor :issueProduct
  attr_accessor :billingSchedule
  attr_accessor :deferredRevenueAccount
  attr_accessor :revRecSchedule
  attr_accessor :stockDescription
  attr_accessor :isHazmatItem
  attr_accessor :hazmatId
  attr_accessor :hazmatShippingName
  attr_accessor :hazmatHazardClass
  attr_accessor :hazmatPackingGroup
  attr_accessor :hazmatItemUnits
  attr_accessor :hazmatItemUnitsQty
  attr_accessor :producer
  attr_accessor :manufacturer
  attr_accessor :mpn
  attr_accessor :multManufactureAddr
  attr_accessor :manufacturerAddr1
  attr_accessor :manufacturerCity
  attr_accessor :manufacturerState
  attr_accessor :manufacturerZip
  attr_accessor :countryOfManufacture
  attr_accessor :manufacturerTaxId
  attr_accessor :scheduleBNumber
  attr_accessor :scheduleBQuantity
  attr_accessor :scheduleBCode
  attr_accessor :manufacturerTariff
  attr_accessor :preferenceCriterion
  attr_accessor :minimumQuantity
  attr_accessor :enforceMinQtyInternally
  attr_accessor :softDescriptor
  attr_accessor :shipPackage
  attr_accessor :shipIndividually
  attr_accessor :isFulfillable
  attr_accessor :costCategory
  attr_accessor :pricesIncludeTax
  attr_accessor :quantityPricingSchedule
  attr_accessor :useMarginalRates
  attr_accessor :overallQuantityPricingType
  attr_accessor :pricingGroup
  attr_accessor :minimumQuantityUnits
  attr_accessor :vsoePrice
  attr_accessor :vsoeSopGroup
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :storeDisplayName
  attr_accessor :storeDisplayThumbnail
  attr_accessor :storeDisplayImage
  attr_accessor :storeDescription
  attr_accessor :storeDetailedDescription
  attr_accessor :storeItemTemplate
  attr_accessor :pageTitle
  attr_accessor :metaTagHtml
  attr_accessor :excludeFromSitemap
  attr_accessor :sitemapPriority
  attr_accessor :searchKeywords
  attr_accessor :isDonationItem
  attr_accessor :showDefaultDonationAmount
  attr_accessor :maxDonationAmount
  attr_accessor :dontShowPrice
  attr_accessor :noPriceMessage
  attr_accessor :outOfStockMessage
  attr_accessor :onSpecial
  attr_accessor :outOfStockBehavior
  attr_accessor :relatedItemsDescription
  attr_accessor :specialsDescription
  attr_accessor :featuredDescription
  attr_accessor :shoppingDotComCategory
  attr_accessor :shopzillaCategoryId
  attr_accessor :nexTagCategory
  attr_accessor :productFeedList
  attr_accessor :urlComponent
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :parent
  attr_accessor :isOnline
  attr_accessor :isGcoCompliant
  attr_accessor :offerSupport
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :department
  attr_accessor :location
  attr_accessor :defaultItemShipMethod
  attr_accessor :itemCarrier
  attr_accessor :itemShipMethodList
  attr_accessor :subsidiaryList
  attr_accessor :itemOptionsList
  attr_accessor :matrixOptionList
  attr_accessor :pricingMatrix
  attr_accessor :purchaseTaxCode
  attr_accessor :rate
  attr_accessor :salesTaxCode
  attr_accessor :siteCategoryList
  attr_accessor :translationsList
  attr_accessor :presentationItemList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, salesDescription = nil, includeChildren = nil, incomeAccount = nil, isTaxable = nil, matrixType = nil, taxSchedule = nil, shippingCost = nil, shippingCostUnits = nil, handlingCost = nil, handlingCostUnits = nil, costEstimateType = nil, costEstimate = nil, weight = nil, weightUnit = nil, weightUnits = nil, costEstimateUnits = nil, unitsType = nil, saleUnit = nil, issueProduct = nil, billingSchedule = nil, deferredRevenueAccount = nil, revRecSchedule = nil, stockDescription = nil, isHazmatItem = nil, hazmatId = nil, hazmatShippingName = nil, hazmatHazardClass = nil, hazmatPackingGroup = nil, hazmatItemUnits = nil, hazmatItemUnitsQty = nil, producer = nil, manufacturer = nil, mpn = nil, multManufactureAddr = nil, manufacturerAddr1 = nil, manufacturerCity = nil, manufacturerState = nil, manufacturerZip = nil, countryOfManufacture = nil, manufacturerTaxId = nil, scheduleBNumber = nil, scheduleBQuantity = nil, scheduleBCode = nil, manufacturerTariff = nil, preferenceCriterion = nil, minimumQuantity = nil, enforceMinQtyInternally = nil, softDescriptor = nil, shipPackage = nil, shipIndividually = nil, isFulfillable = nil, costCategory = nil, pricesIncludeTax = nil, quantityPricingSchedule = nil, useMarginalRates = nil, overallQuantityPricingType = nil, pricingGroup = nil, minimumQuantityUnits = nil, vsoePrice = nil, vsoeSopGroup = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, storeDisplayName = nil, storeDisplayThumbnail = nil, storeDisplayImage = nil, storeDescription = nil, storeDetailedDescription = nil, storeItemTemplate = nil, pageTitle = nil, metaTagHtml = nil, excludeFromSitemap = nil, sitemapPriority = nil, searchKeywords = nil, isDonationItem = nil, showDefaultDonationAmount = nil, maxDonationAmount = nil, dontShowPrice = nil, noPriceMessage = nil, outOfStockMessage = nil, onSpecial = nil, outOfStockBehavior = nil, relatedItemsDescription = nil, specialsDescription = nil, featuredDescription = nil, shoppingDotComCategory = nil, shopzillaCategoryId = nil, nexTagCategory = nil, productFeedList = nil, urlComponent = nil, customForm = nil, itemId = nil, upcCode = nil, displayName = nil, parent = nil, isOnline = nil, isGcoCompliant = nil, offerSupport = nil, isInactive = nil, availableToPartners = nil, department = nil, v_class = nil, location = nil, defaultItemShipMethod = nil, itemCarrier = nil, itemShipMethodList = nil, subsidiaryList = nil, itemOptionsList = nil, matrixOptionList = nil, pricingMatrix = nil, purchaseTaxCode = nil, rate = nil, salesTaxCode = nil, siteCategoryList = nil, translationsList = nil, presentationItemList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @salesDescription = salesDescription
    @includeChildren = includeChildren
    @incomeAccount = incomeAccount
    @isTaxable = isTaxable
    @matrixType = matrixType
    @taxSchedule = taxSchedule
    @shippingCost = shippingCost
    @shippingCostUnits = shippingCostUnits
    @handlingCost = handlingCost
    @handlingCostUnits = handlingCostUnits
    @costEstimateType = costEstimateType
    @costEstimate = costEstimate
    @weight = weight
    @weightUnit = weightUnit
    @weightUnits = weightUnits
    @costEstimateUnits = costEstimateUnits
    @unitsType = unitsType
    @saleUnit = saleUnit
    @issueProduct = issueProduct
    @billingSchedule = billingSchedule
    @deferredRevenueAccount = deferredRevenueAccount
    @revRecSchedule = revRecSchedule
    @stockDescription = stockDescription
    @isHazmatItem = isHazmatItem
    @hazmatId = hazmatId
    @hazmatShippingName = hazmatShippingName
    @hazmatHazardClass = hazmatHazardClass
    @hazmatPackingGroup = hazmatPackingGroup
    @hazmatItemUnits = hazmatItemUnits
    @hazmatItemUnitsQty = hazmatItemUnitsQty
    @producer = producer
    @manufacturer = manufacturer
    @mpn = mpn
    @multManufactureAddr = multManufactureAddr
    @manufacturerAddr1 = manufacturerAddr1
    @manufacturerCity = manufacturerCity
    @manufacturerState = manufacturerState
    @manufacturerZip = manufacturerZip
    @countryOfManufacture = countryOfManufacture
    @manufacturerTaxId = manufacturerTaxId
    @scheduleBNumber = scheduleBNumber
    @scheduleBQuantity = scheduleBQuantity
    @scheduleBCode = scheduleBCode
    @manufacturerTariff = manufacturerTariff
    @preferenceCriterion = preferenceCriterion
    @minimumQuantity = minimumQuantity
    @enforceMinQtyInternally = enforceMinQtyInternally
    @softDescriptor = softDescriptor
    @shipPackage = shipPackage
    @shipIndividually = shipIndividually
    @isFulfillable = isFulfillable
    @costCategory = costCategory
    @pricesIncludeTax = pricesIncludeTax
    @quantityPricingSchedule = quantityPricingSchedule
    @useMarginalRates = useMarginalRates
    @overallQuantityPricingType = overallQuantityPricingType
    @pricingGroup = pricingGroup
    @minimumQuantityUnits = minimumQuantityUnits
    @vsoePrice = vsoePrice
    @vsoeSopGroup = vsoeSopGroup
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @storeDisplayName = storeDisplayName
    @storeDisplayThumbnail = storeDisplayThumbnail
    @storeDisplayImage = storeDisplayImage
    @storeDescription = storeDescription
    @storeDetailedDescription = storeDetailedDescription
    @storeItemTemplate = storeItemTemplate
    @pageTitle = pageTitle
    @metaTagHtml = metaTagHtml
    @excludeFromSitemap = excludeFromSitemap
    @sitemapPriority = sitemapPriority
    @searchKeywords = searchKeywords
    @isDonationItem = isDonationItem
    @showDefaultDonationAmount = showDefaultDonationAmount
    @maxDonationAmount = maxDonationAmount
    @dontShowPrice = dontShowPrice
    @noPriceMessage = noPriceMessage
    @outOfStockMessage = outOfStockMessage
    @onSpecial = onSpecial
    @outOfStockBehavior = outOfStockBehavior
    @relatedItemsDescription = relatedItemsDescription
    @specialsDescription = specialsDescription
    @featuredDescription = featuredDescription
    @shoppingDotComCategory = shoppingDotComCategory
    @shopzillaCategoryId = shopzillaCategoryId
    @nexTagCategory = nexTagCategory
    @productFeedList = productFeedList
    @urlComponent = urlComponent
    @customForm = customForm
    @itemId = itemId
    @upcCode = upcCode
    @displayName = displayName
    @parent = parent
    @isOnline = isOnline
    @isGcoCompliant = isGcoCompliant
    @offerSupport = offerSupport
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @department = department
    @v_class = v_class
    @location = location
    @defaultItemShipMethod = defaultItemShipMethod
    @itemCarrier = itemCarrier
    @itemShipMethodList = itemShipMethodList
    @subsidiaryList = subsidiaryList
    @itemOptionsList = itemOptionsList
    @matrixOptionList = matrixOptionList
    @pricingMatrix = pricingMatrix
    @purchaseTaxCode = purchaseTaxCode
    @rate = rate
    @salesTaxCode = salesTaxCode
    @siteCategoryList = siteCategoryList
    @translationsList = translationsList
    @presentationItemList = presentationItemList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}NonInventoryResaleItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   purchaseDescription - SOAP::SOAPString
#   copyDescription - SOAP::SOAPBoolean
#   cost - SOAP::SOAPDouble
#   costUnits - SOAP::SOAPString
#   expenseAccount - ActiveNetsuite::RecordRef
#   salesDescription - SOAP::SOAPString
#   includeChildren - SOAP::SOAPBoolean
#   incomeAccount - ActiveNetsuite::RecordRef
#   isTaxable - SOAP::SOAPBoolean
#   matrixType - ActiveNetsuite::ItemMatrixType
#   taxSchedule - ActiveNetsuite::RecordRef
#   dropshipExpenseAccount - ActiveNetsuite::RecordRef
#   isDropShipItem - SOAP::SOAPBoolean
#   isSpecialOrderItem - SOAP::SOAPBoolean
#   shippingCost - SOAP::SOAPDouble
#   shippingCostUnits - SOAP::SOAPString
#   handlingCost - SOAP::SOAPDouble
#   handlingCostUnits - SOAP::SOAPString
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   costEstimate - SOAP::SOAPDouble
#   weight - SOAP::SOAPDouble
#   weightUnit - ActiveNetsuite::ItemWeightUnit
#   weightUnits - SOAP::SOAPString
#   costEstimateUnits - SOAP::SOAPString
#   unitsType - ActiveNetsuite::RecordRef
#   purchaseUnit - ActiveNetsuite::RecordRef
#   saleUnit - ActiveNetsuite::RecordRef
#   issueProduct - ActiveNetsuite::RecordRef
#   billingSchedule - ActiveNetsuite::RecordRef
#   deferredRevenueAccount - ActiveNetsuite::RecordRef
#   revRecSchedule - ActiveNetsuite::RecordRef
#   deferralAccount - ActiveNetsuite::RecordRef
#   amortizationTemplate - ActiveNetsuite::RecordRef
#   residual - SOAP::SOAPString
#   amortizationPeriod - SOAP::SOAPLong
#   stockDescription - SOAP::SOAPString
#   producer - SOAP::SOAPBoolean
#   manufacturer - SOAP::SOAPString
#   mpn - SOAP::SOAPString
#   multManufactureAddr - SOAP::SOAPBoolean
#   manufacturerAddr1 - SOAP::SOAPString
#   manufacturerCity - SOAP::SOAPString
#   manufacturerState - SOAP::SOAPString
#   manufacturerZip - SOAP::SOAPString
#   countryOfManufacture - ActiveNetsuite::Country
#   manufacturerTaxId - SOAP::SOAPString
#   scheduleBNumber - SOAP::SOAPString
#   scheduleBQuantity - SOAP::SOAPLong
#   scheduleBCode - ActiveNetsuite::ScheduleBCode
#   manufacturerTariff - SOAP::SOAPString
#   preferenceCriterion - ActiveNetsuite::ItemPreferenceCriterion
#   minimumQuantity - SOAP::SOAPLong
#   enforceMinQtyInternally - SOAP::SOAPBoolean
#   softDescriptor - SOAP::SOAPString
#   shipPackage - ActiveNetsuite::RecordRef
#   shipIndividually - SOAP::SOAPBoolean
#   isFulfillable - SOAP::SOAPBoolean
#   costCategory - ActiveNetsuite::RecordRef
#   pricesIncludeTax - SOAP::SOAPBoolean
#   quantityPricingSchedule - ActiveNetsuite::RecordRef
#   useMarginalRates - SOAP::SOAPBoolean
#   overallQuantityPricingType - ActiveNetsuite::ItemOverallQuantityPricingType
#   pricingGroup - ActiveNetsuite::RecordRef
#   minimumQuantityUnits - SOAP::SOAPString
#   vsoePrice - SOAP::SOAPDouble
#   vsoeSopGroup - ActiveNetsuite::VsoeSopGroup
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   storeDisplayName - SOAP::SOAPString
#   storeDisplayThumbnail - ActiveNetsuite::RecordRef
#   storeDisplayImage - ActiveNetsuite::RecordRef
#   storeDescription - SOAP::SOAPString
#   storeDetailedDescription - SOAP::SOAPString
#   storeItemTemplate - ActiveNetsuite::RecordRef
#   pageTitle - SOAP::SOAPString
#   metaTagHtml - SOAP::SOAPString
#   excludeFromSitemap - SOAP::SOAPBoolean
#   sitemapPriority - ActiveNetsuite::SitemapPriority
#   searchKeywords - SOAP::SOAPString
#   isDonationItem - SOAP::SOAPBoolean
#   showDefaultDonationAmount - SOAP::SOAPBoolean
#   maxDonationAmount - SOAP::SOAPDouble
#   dontShowPrice - SOAP::SOAPBoolean
#   noPriceMessage - SOAP::SOAPString
#   outOfStockMessage - SOAP::SOAPString
#   onSpecial - SOAP::SOAPBoolean
#   outOfStockBehavior - ActiveNetsuite::ItemOutOfStockBehavior
#   relatedItemsDescription - SOAP::SOAPString
#   specialsDescription - SOAP::SOAPString
#   featuredDescription - SOAP::SOAPString
#   shoppingDotComCategory - SOAP::SOAPString
#   shopzillaCategoryId - SOAP::SOAPLong
#   nexTagCategory - SOAP::SOAPString
#   productFeedList - ActiveNetsuite::ProductFeedList
#   urlComponent - SOAP::SOAPString
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   vendorName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   isOnline - SOAP::SOAPBoolean
#   isHazmatItem - SOAP::SOAPBoolean
#   hazmatId - SOAP::SOAPString
#   hazmatShippingName - SOAP::SOAPString
#   hazmatHazardClass - SOAP::SOAPString
#   hazmatPackingGroup - ActiveNetsuite::HazmatPackingGroup
#   hazmatItemUnits - SOAP::SOAPString
#   hazmatItemUnitsQty - SOAP::SOAPDouble
#   isGcoCompliant - SOAP::SOAPBoolean
#   offerSupport - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   defaultItemShipMethod - ActiveNetsuite::RecordRef
#   itemCarrier - ActiveNetsuite::ItemCarrier
#   itemShipMethodList - ActiveNetsuite::RecordRefList
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   currency - SOAP::SOAPString
#   itemOptionsList - ActiveNetsuite::ItemOptionsList
#   matrixOptionList - ActiveNetsuite::MatrixOptionList
#   itemVendorList - ActiveNetsuite::ItemVendorList
#   pricingMatrix - ActiveNetsuite::PricingMatrix
#   purchaseTaxCode - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPDouble
#   salesTaxCode - ActiveNetsuite::RecordRef
#   siteCategoryList - ActiveNetsuite::SiteCategoryList
#   translationsList - ActiveNetsuite::TranslationList
#   vendor - ActiveNetsuite::RecordRef
#   presentationItemList - ActiveNetsuite::PresentationItemList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class NonInventoryResaleItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :purchaseDescription
  attr_accessor :copyDescription
  attr_accessor :cost
  attr_accessor :costUnits
  attr_accessor :expenseAccount
  attr_accessor :salesDescription
  attr_accessor :includeChildren
  attr_accessor :incomeAccount
  attr_accessor :isTaxable
  attr_accessor :matrixType
  attr_accessor :taxSchedule
  attr_accessor :dropshipExpenseAccount
  attr_accessor :isDropShipItem
  attr_accessor :isSpecialOrderItem
  attr_accessor :shippingCost
  attr_accessor :shippingCostUnits
  attr_accessor :handlingCost
  attr_accessor :handlingCostUnits
  attr_accessor :costEstimateType
  attr_accessor :costEstimate
  attr_accessor :weight
  attr_accessor :weightUnit
  attr_accessor :weightUnits
  attr_accessor :costEstimateUnits
  attr_accessor :unitsType
  attr_accessor :purchaseUnit
  attr_accessor :saleUnit
  attr_accessor :issueProduct
  attr_accessor :billingSchedule
  attr_accessor :deferredRevenueAccount
  attr_accessor :revRecSchedule
  attr_accessor :deferralAccount
  attr_accessor :amortizationTemplate
  attr_accessor :residual
  attr_accessor :amortizationPeriod
  attr_accessor :stockDescription
  attr_accessor :producer
  attr_accessor :manufacturer
  attr_accessor :mpn
  attr_accessor :multManufactureAddr
  attr_accessor :manufacturerAddr1
  attr_accessor :manufacturerCity
  attr_accessor :manufacturerState
  attr_accessor :manufacturerZip
  attr_accessor :countryOfManufacture
  attr_accessor :manufacturerTaxId
  attr_accessor :scheduleBNumber
  attr_accessor :scheduleBQuantity
  attr_accessor :scheduleBCode
  attr_accessor :manufacturerTariff
  attr_accessor :preferenceCriterion
  attr_accessor :minimumQuantity
  attr_accessor :enforceMinQtyInternally
  attr_accessor :softDescriptor
  attr_accessor :shipPackage
  attr_accessor :shipIndividually
  attr_accessor :isFulfillable
  attr_accessor :costCategory
  attr_accessor :pricesIncludeTax
  attr_accessor :quantityPricingSchedule
  attr_accessor :useMarginalRates
  attr_accessor :overallQuantityPricingType
  attr_accessor :pricingGroup
  attr_accessor :minimumQuantityUnits
  attr_accessor :vsoePrice
  attr_accessor :vsoeSopGroup
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :storeDisplayName
  attr_accessor :storeDisplayThumbnail
  attr_accessor :storeDisplayImage
  attr_accessor :storeDescription
  attr_accessor :storeDetailedDescription
  attr_accessor :storeItemTemplate
  attr_accessor :pageTitle
  attr_accessor :metaTagHtml
  attr_accessor :excludeFromSitemap
  attr_accessor :sitemapPriority
  attr_accessor :searchKeywords
  attr_accessor :isDonationItem
  attr_accessor :showDefaultDonationAmount
  attr_accessor :maxDonationAmount
  attr_accessor :dontShowPrice
  attr_accessor :noPriceMessage
  attr_accessor :outOfStockMessage
  attr_accessor :onSpecial
  attr_accessor :outOfStockBehavior
  attr_accessor :relatedItemsDescription
  attr_accessor :specialsDescription
  attr_accessor :featuredDescription
  attr_accessor :shoppingDotComCategory
  attr_accessor :shopzillaCategoryId
  attr_accessor :nexTagCategory
  attr_accessor :productFeedList
  attr_accessor :urlComponent
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :vendorName
  attr_accessor :parent
  attr_accessor :isOnline
  attr_accessor :isHazmatItem
  attr_accessor :hazmatId
  attr_accessor :hazmatShippingName
  attr_accessor :hazmatHazardClass
  attr_accessor :hazmatPackingGroup
  attr_accessor :hazmatItemUnits
  attr_accessor :hazmatItemUnitsQty
  attr_accessor :isGcoCompliant
  attr_accessor :offerSupport
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :department
  attr_accessor :location
  attr_accessor :defaultItemShipMethod
  attr_accessor :itemCarrier
  attr_accessor :itemShipMethodList
  attr_accessor :subsidiaryList
  attr_accessor :currency
  attr_accessor :itemOptionsList
  attr_accessor :matrixOptionList
  attr_accessor :itemVendorList
  attr_accessor :pricingMatrix
  attr_accessor :purchaseTaxCode
  attr_accessor :rate
  attr_accessor :salesTaxCode
  attr_accessor :siteCategoryList
  attr_accessor :translationsList
  attr_accessor :vendor
  attr_accessor :presentationItemList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, purchaseDescription = nil, copyDescription = nil, cost = nil, costUnits = nil, expenseAccount = nil, salesDescription = nil, includeChildren = nil, incomeAccount = nil, isTaxable = nil, matrixType = nil, taxSchedule = nil, dropshipExpenseAccount = nil, isDropShipItem = nil, isSpecialOrderItem = nil, shippingCost = nil, shippingCostUnits = nil, handlingCost = nil, handlingCostUnits = nil, costEstimateType = nil, costEstimate = nil, weight = nil, weightUnit = nil, weightUnits = nil, costEstimateUnits = nil, unitsType = nil, purchaseUnit = nil, saleUnit = nil, issueProduct = nil, billingSchedule = nil, deferredRevenueAccount = nil, revRecSchedule = nil, deferralAccount = nil, amortizationTemplate = nil, residual = nil, amortizationPeriod = nil, stockDescription = nil, producer = nil, manufacturer = nil, mpn = nil, multManufactureAddr = nil, manufacturerAddr1 = nil, manufacturerCity = nil, manufacturerState = nil, manufacturerZip = nil, countryOfManufacture = nil, manufacturerTaxId = nil, scheduleBNumber = nil, scheduleBQuantity = nil, scheduleBCode = nil, manufacturerTariff = nil, preferenceCriterion = nil, minimumQuantity = nil, enforceMinQtyInternally = nil, softDescriptor = nil, shipPackage = nil, shipIndividually = nil, isFulfillable = nil, costCategory = nil, pricesIncludeTax = nil, quantityPricingSchedule = nil, useMarginalRates = nil, overallQuantityPricingType = nil, pricingGroup = nil, minimumQuantityUnits = nil, vsoePrice = nil, vsoeSopGroup = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, storeDisplayName = nil, storeDisplayThumbnail = nil, storeDisplayImage = nil, storeDescription = nil, storeDetailedDescription = nil, storeItemTemplate = nil, pageTitle = nil, metaTagHtml = nil, excludeFromSitemap = nil, sitemapPriority = nil, searchKeywords = nil, isDonationItem = nil, showDefaultDonationAmount = nil, maxDonationAmount = nil, dontShowPrice = nil, noPriceMessage = nil, outOfStockMessage = nil, onSpecial = nil, outOfStockBehavior = nil, relatedItemsDescription = nil, specialsDescription = nil, featuredDescription = nil, shoppingDotComCategory = nil, shopzillaCategoryId = nil, nexTagCategory = nil, productFeedList = nil, urlComponent = nil, customForm = nil, itemId = nil, upcCode = nil, displayName = nil, vendorName = nil, parent = nil, isOnline = nil, isHazmatItem = nil, hazmatId = nil, hazmatShippingName = nil, hazmatHazardClass = nil, hazmatPackingGroup = nil, hazmatItemUnits = nil, hazmatItemUnitsQty = nil, isGcoCompliant = nil, offerSupport = nil, isInactive = nil, availableToPartners = nil, department = nil, v_class = nil, location = nil, defaultItemShipMethod = nil, itemCarrier = nil, itemShipMethodList = nil, subsidiaryList = nil, currency = nil, itemOptionsList = nil, matrixOptionList = nil, itemVendorList = nil, pricingMatrix = nil, purchaseTaxCode = nil, rate = nil, salesTaxCode = nil, siteCategoryList = nil, translationsList = nil, vendor = nil, presentationItemList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @purchaseDescription = purchaseDescription
    @copyDescription = copyDescription
    @cost = cost
    @costUnits = costUnits
    @expenseAccount = expenseAccount
    @salesDescription = salesDescription
    @includeChildren = includeChildren
    @incomeAccount = incomeAccount
    @isTaxable = isTaxable
    @matrixType = matrixType
    @taxSchedule = taxSchedule
    @dropshipExpenseAccount = dropshipExpenseAccount
    @isDropShipItem = isDropShipItem
    @isSpecialOrderItem = isSpecialOrderItem
    @shippingCost = shippingCost
    @shippingCostUnits = shippingCostUnits
    @handlingCost = handlingCost
    @handlingCostUnits = handlingCostUnits
    @costEstimateType = costEstimateType
    @costEstimate = costEstimate
    @weight = weight
    @weightUnit = weightUnit
    @weightUnits = weightUnits
    @costEstimateUnits = costEstimateUnits
    @unitsType = unitsType
    @purchaseUnit = purchaseUnit
    @saleUnit = saleUnit
    @issueProduct = issueProduct
    @billingSchedule = billingSchedule
    @deferredRevenueAccount = deferredRevenueAccount
    @revRecSchedule = revRecSchedule
    @deferralAccount = deferralAccount
    @amortizationTemplate = amortizationTemplate
    @residual = residual
    @amortizationPeriod = amortizationPeriod
    @stockDescription = stockDescription
    @producer = producer
    @manufacturer = manufacturer
    @mpn = mpn
    @multManufactureAddr = multManufactureAddr
    @manufacturerAddr1 = manufacturerAddr1
    @manufacturerCity = manufacturerCity
    @manufacturerState = manufacturerState
    @manufacturerZip = manufacturerZip
    @countryOfManufacture = countryOfManufacture
    @manufacturerTaxId = manufacturerTaxId
    @scheduleBNumber = scheduleBNumber
    @scheduleBQuantity = scheduleBQuantity
    @scheduleBCode = scheduleBCode
    @manufacturerTariff = manufacturerTariff
    @preferenceCriterion = preferenceCriterion
    @minimumQuantity = minimumQuantity
    @enforceMinQtyInternally = enforceMinQtyInternally
    @softDescriptor = softDescriptor
    @shipPackage = shipPackage
    @shipIndividually = shipIndividually
    @isFulfillable = isFulfillable
    @costCategory = costCategory
    @pricesIncludeTax = pricesIncludeTax
    @quantityPricingSchedule = quantityPricingSchedule
    @useMarginalRates = useMarginalRates
    @overallQuantityPricingType = overallQuantityPricingType
    @pricingGroup = pricingGroup
    @minimumQuantityUnits = minimumQuantityUnits
    @vsoePrice = vsoePrice
    @vsoeSopGroup = vsoeSopGroup
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @storeDisplayName = storeDisplayName
    @storeDisplayThumbnail = storeDisplayThumbnail
    @storeDisplayImage = storeDisplayImage
    @storeDescription = storeDescription
    @storeDetailedDescription = storeDetailedDescription
    @storeItemTemplate = storeItemTemplate
    @pageTitle = pageTitle
    @metaTagHtml = metaTagHtml
    @excludeFromSitemap = excludeFromSitemap
    @sitemapPriority = sitemapPriority
    @searchKeywords = searchKeywords
    @isDonationItem = isDonationItem
    @showDefaultDonationAmount = showDefaultDonationAmount
    @maxDonationAmount = maxDonationAmount
    @dontShowPrice = dontShowPrice
    @noPriceMessage = noPriceMessage
    @outOfStockMessage = outOfStockMessage
    @onSpecial = onSpecial
    @outOfStockBehavior = outOfStockBehavior
    @relatedItemsDescription = relatedItemsDescription
    @specialsDescription = specialsDescription
    @featuredDescription = featuredDescription
    @shoppingDotComCategory = shoppingDotComCategory
    @shopzillaCategoryId = shopzillaCategoryId
    @nexTagCategory = nexTagCategory
    @productFeedList = productFeedList
    @urlComponent = urlComponent
    @customForm = customForm
    @itemId = itemId
    @upcCode = upcCode
    @displayName = displayName
    @vendorName = vendorName
    @parent = parent
    @isOnline = isOnline
    @isHazmatItem = isHazmatItem
    @hazmatId = hazmatId
    @hazmatShippingName = hazmatShippingName
    @hazmatHazardClass = hazmatHazardClass
    @hazmatPackingGroup = hazmatPackingGroup
    @hazmatItemUnits = hazmatItemUnits
    @hazmatItemUnitsQty = hazmatItemUnitsQty
    @isGcoCompliant = isGcoCompliant
    @offerSupport = offerSupport
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @department = department
    @v_class = v_class
    @location = location
    @defaultItemShipMethod = defaultItemShipMethod
    @itemCarrier = itemCarrier
    @itemShipMethodList = itemShipMethodList
    @subsidiaryList = subsidiaryList
    @currency = currency
    @itemOptionsList = itemOptionsList
    @matrixOptionList = matrixOptionList
    @itemVendorList = itemVendorList
    @pricingMatrix = pricingMatrix
    @purchaseTaxCode = purchaseTaxCode
    @rate = rate
    @salesTaxCode = salesTaxCode
    @siteCategoryList = siteCategoryList
    @translationsList = translationsList
    @vendor = vendor
    @presentationItemList = presentationItemList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}OtherChargeResaleItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   purchaseDescription - SOAP::SOAPString
#   manufacturingChargeItem - SOAP::SOAPBoolean
#   cost - SOAP::SOAPDouble
#   costUnits - SOAP::SOAPString
#   expenseAccount - ActiveNetsuite::RecordRef
#   salesDescription - SOAP::SOAPString
#   includeChildren - SOAP::SOAPBoolean
#   incomeAccount - ActiveNetsuite::RecordRef
#   isTaxable - SOAP::SOAPBoolean
#   matrixType - ActiveNetsuite::ItemMatrixType
#   taxSchedule - ActiveNetsuite::RecordRef
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   costEstimate - SOAP::SOAPDouble
#   unitsType - ActiveNetsuite::RecordRef
#   purchaseUnit - ActiveNetsuite::RecordRef
#   saleUnit - ActiveNetsuite::RecordRef
#   costEstimateUnits - SOAP::SOAPString
#   issueProduct - ActiveNetsuite::RecordRef
#   billingSchedule - ActiveNetsuite::RecordRef
#   deferredRevenueAccount - ActiveNetsuite::RecordRef
#   revRecSchedule - ActiveNetsuite::RecordRef
#   deferralAccount - ActiveNetsuite::RecordRef
#   amortizationTemplate - ActiveNetsuite::RecordRef
#   residual - SOAP::SOAPString
#   amortizationPeriod - SOAP::SOAPLong
#   minimumQuantity - SOAP::SOAPLong
#   minimumQuantityUnits - SOAP::SOAPString
#   enforceMinQtyInternally - SOAP::SOAPBoolean
#   softDescriptor - SOAP::SOAPString
#   isFulfillable - SOAP::SOAPBoolean
#   costCategory - ActiveNetsuite::RecordRef
#   pricesIncludeTax - SOAP::SOAPBoolean
#   quantityPricingSchedule - ActiveNetsuite::RecordRef
#   useMarginalRates - SOAP::SOAPBoolean
#   overallQuantityPricingType - ActiveNetsuite::ItemOverallQuantityPricingType
#   pricingGroup - ActiveNetsuite::RecordRef
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   vendorName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   isOnline - SOAP::SOAPBoolean
#   isGcoCompliant - SOAP::SOAPBoolean
#   offerSupport - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   vsoePrice - SOAP::SOAPDouble
#   vsoeSopGroup - ActiveNetsuite::VsoeSopGroup
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   currency - SOAP::SOAPString
#   itemOptionsList - ActiveNetsuite::ItemOptionsList
#   matrixOptionList - ActiveNetsuite::MatrixOptionList
#   itemVendorList - ActiveNetsuite::ItemVendorList
#   pricingMatrix - ActiveNetsuite::PricingMatrix
#   purchaseTaxCode - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPDouble
#   salesTaxCode - ActiveNetsuite::RecordRef
#   translationsList - ActiveNetsuite::TranslationList
#   vendor - ActiveNetsuite::RecordRef
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class OtherChargeResaleItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :purchaseDescription
  attr_accessor :manufacturingChargeItem
  attr_accessor :cost
  attr_accessor :costUnits
  attr_accessor :expenseAccount
  attr_accessor :salesDescription
  attr_accessor :includeChildren
  attr_accessor :incomeAccount
  attr_accessor :isTaxable
  attr_accessor :matrixType
  attr_accessor :taxSchedule
  attr_accessor :costEstimateType
  attr_accessor :costEstimate
  attr_accessor :unitsType
  attr_accessor :purchaseUnit
  attr_accessor :saleUnit
  attr_accessor :costEstimateUnits
  attr_accessor :issueProduct
  attr_accessor :billingSchedule
  attr_accessor :deferredRevenueAccount
  attr_accessor :revRecSchedule
  attr_accessor :deferralAccount
  attr_accessor :amortizationTemplate
  attr_accessor :residual
  attr_accessor :amortizationPeriod
  attr_accessor :minimumQuantity
  attr_accessor :minimumQuantityUnits
  attr_accessor :enforceMinQtyInternally
  attr_accessor :softDescriptor
  attr_accessor :isFulfillable
  attr_accessor :costCategory
  attr_accessor :pricesIncludeTax
  attr_accessor :quantityPricingSchedule
  attr_accessor :useMarginalRates
  attr_accessor :overallQuantityPricingType
  attr_accessor :pricingGroup
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :vendorName
  attr_accessor :parent
  attr_accessor :isOnline
  attr_accessor :isGcoCompliant
  attr_accessor :offerSupport
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiaryList
  attr_accessor :vsoePrice
  attr_accessor :vsoeSopGroup
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :currency
  attr_accessor :itemOptionsList
  attr_accessor :matrixOptionList
  attr_accessor :itemVendorList
  attr_accessor :pricingMatrix
  attr_accessor :purchaseTaxCode
  attr_accessor :rate
  attr_accessor :salesTaxCode
  attr_accessor :translationsList
  attr_accessor :vendor
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, purchaseDescription = nil, manufacturingChargeItem = nil, cost = nil, costUnits = nil, expenseAccount = nil, salesDescription = nil, includeChildren = nil, incomeAccount = nil, isTaxable = nil, matrixType = nil, taxSchedule = nil, costEstimateType = nil, costEstimate = nil, unitsType = nil, purchaseUnit = nil, saleUnit = nil, costEstimateUnits = nil, issueProduct = nil, billingSchedule = nil, deferredRevenueAccount = nil, revRecSchedule = nil, deferralAccount = nil, amortizationTemplate = nil, residual = nil, amortizationPeriod = nil, minimumQuantity = nil, minimumQuantityUnits = nil, enforceMinQtyInternally = nil, softDescriptor = nil, isFulfillable = nil, costCategory = nil, pricesIncludeTax = nil, quantityPricingSchedule = nil, useMarginalRates = nil, overallQuantityPricingType = nil, pricingGroup = nil, customForm = nil, itemId = nil, upcCode = nil, displayName = nil, vendorName = nil, parent = nil, isOnline = nil, isGcoCompliant = nil, offerSupport = nil, isInactive = nil, availableToPartners = nil, department = nil, v_class = nil, location = nil, subsidiaryList = nil, vsoePrice = nil, vsoeSopGroup = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, currency = nil, itemOptionsList = nil, matrixOptionList = nil, itemVendorList = nil, pricingMatrix = nil, purchaseTaxCode = nil, rate = nil, salesTaxCode = nil, translationsList = nil, vendor = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @purchaseDescription = purchaseDescription
    @manufacturingChargeItem = manufacturingChargeItem
    @cost = cost
    @costUnits = costUnits
    @expenseAccount = expenseAccount
    @salesDescription = salesDescription
    @includeChildren = includeChildren
    @incomeAccount = incomeAccount
    @isTaxable = isTaxable
    @matrixType = matrixType
    @taxSchedule = taxSchedule
    @costEstimateType = costEstimateType
    @costEstimate = costEstimate
    @unitsType = unitsType
    @purchaseUnit = purchaseUnit
    @saleUnit = saleUnit
    @costEstimateUnits = costEstimateUnits
    @issueProduct = issueProduct
    @billingSchedule = billingSchedule
    @deferredRevenueAccount = deferredRevenueAccount
    @revRecSchedule = revRecSchedule
    @deferralAccount = deferralAccount
    @amortizationTemplate = amortizationTemplate
    @residual = residual
    @amortizationPeriod = amortizationPeriod
    @minimumQuantity = minimumQuantity
    @minimumQuantityUnits = minimumQuantityUnits
    @enforceMinQtyInternally = enforceMinQtyInternally
    @softDescriptor = softDescriptor
    @isFulfillable = isFulfillable
    @costCategory = costCategory
    @pricesIncludeTax = pricesIncludeTax
    @quantityPricingSchedule = quantityPricingSchedule
    @useMarginalRates = useMarginalRates
    @overallQuantityPricingType = overallQuantityPricingType
    @pricingGroup = pricingGroup
    @customForm = customForm
    @itemId = itemId
    @upcCode = upcCode
    @displayName = displayName
    @vendorName = vendorName
    @parent = parent
    @isOnline = isOnline
    @isGcoCompliant = isGcoCompliant
    @offerSupport = offerSupport
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @department = department
    @v_class = v_class
    @location = location
    @subsidiaryList = subsidiaryList
    @vsoePrice = vsoePrice
    @vsoeSopGroup = vsoeSopGroup
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @currency = currency
    @itemOptionsList = itemOptionsList
    @matrixOptionList = matrixOptionList
    @itemVendorList = itemVendorList
    @pricingMatrix = pricingMatrix
    @purchaseTaxCode = purchaseTaxCode
    @rate = rate
    @salesTaxCode = salesTaxCode
    @translationsList = translationsList
    @vendor = vendor
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}OtherChargePurchaseItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   purchaseDescription - SOAP::SOAPString
#   manufacturingChargeItem - SOAP::SOAPBoolean
#   cost - SOAP::SOAPDouble
#   costUnits - SOAP::SOAPString
#   expenseAccount - ActiveNetsuite::RecordRef
#   isTaxable - SOAP::SOAPBoolean
#   matrixType - ActiveNetsuite::ItemMatrixType
#   unitsType - ActiveNetsuite::RecordRef
#   purchaseUnit - ActiveNetsuite::RecordRef
#   includeChildren - SOAP::SOAPBoolean
#   issueProduct - ActiveNetsuite::RecordRef
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   vendorName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   location - ActiveNetsuite::RecordRef
#   taxSchedule - ActiveNetsuite::RecordRef
#   deferralAccount - ActiveNetsuite::RecordRef
#   amortizationTemplate - ActiveNetsuite::RecordRef
#   residual - SOAP::SOAPString
#   amortizationPeriod - SOAP::SOAPLong
#   isFulfillable - SOAP::SOAPBoolean
#   costCategory - ActiveNetsuite::RecordRef
#   overheadType - ActiveNetsuite::ItemOverheadType
#   currency - SOAP::SOAPString
#   itemOptionsList - ActiveNetsuite::ItemOptionsList
#   matrixOptionList - ActiveNetsuite::MatrixOptionList
#   itemVendorList - ActiveNetsuite::ItemVendorList
#   purchaseTaxCode - ActiveNetsuite::RecordRef
#   salesTaxCode - ActiveNetsuite::RecordRef
#   translationsList - ActiveNetsuite::TranslationList
#   vendor - ActiveNetsuite::RecordRef
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class OtherChargePurchaseItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :purchaseDescription
  attr_accessor :manufacturingChargeItem
  attr_accessor :cost
  attr_accessor :costUnits
  attr_accessor :expenseAccount
  attr_accessor :isTaxable
  attr_accessor :matrixType
  attr_accessor :unitsType
  attr_accessor :purchaseUnit
  attr_accessor :includeChildren
  attr_accessor :issueProduct
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :vendorName
  attr_accessor :parent
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :department
  attr_accessor :subsidiaryList
  attr_accessor :location
  attr_accessor :taxSchedule
  attr_accessor :deferralAccount
  attr_accessor :amortizationTemplate
  attr_accessor :residual
  attr_accessor :amortizationPeriod
  attr_accessor :isFulfillable
  attr_accessor :costCategory
  attr_accessor :overheadType
  attr_accessor :currency
  attr_accessor :itemOptionsList
  attr_accessor :matrixOptionList
  attr_accessor :itemVendorList
  attr_accessor :purchaseTaxCode
  attr_accessor :salesTaxCode
  attr_accessor :translationsList
  attr_accessor :vendor
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, purchaseDescription = nil, manufacturingChargeItem = nil, cost = nil, costUnits = nil, expenseAccount = nil, isTaxable = nil, matrixType = nil, unitsType = nil, purchaseUnit = nil, includeChildren = nil, issueProduct = nil, customForm = nil, itemId = nil, upcCode = nil, displayName = nil, vendorName = nil, parent = nil, isInactive = nil, availableToPartners = nil, department = nil, v_class = nil, subsidiaryList = nil, location = nil, taxSchedule = nil, deferralAccount = nil, amortizationTemplate = nil, residual = nil, amortizationPeriod = nil, isFulfillable = nil, costCategory = nil, overheadType = nil, currency = nil, itemOptionsList = nil, matrixOptionList = nil, itemVendorList = nil, purchaseTaxCode = nil, salesTaxCode = nil, translationsList = nil, vendor = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @purchaseDescription = purchaseDescription
    @manufacturingChargeItem = manufacturingChargeItem
    @cost = cost
    @costUnits = costUnits
    @expenseAccount = expenseAccount
    @isTaxable = isTaxable
    @matrixType = matrixType
    @unitsType = unitsType
    @purchaseUnit = purchaseUnit
    @includeChildren = includeChildren
    @issueProduct = issueProduct
    @customForm = customForm
    @itemId = itemId
    @upcCode = upcCode
    @displayName = displayName
    @vendorName = vendorName
    @parent = parent
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @department = department
    @v_class = v_class
    @subsidiaryList = subsidiaryList
    @location = location
    @taxSchedule = taxSchedule
    @deferralAccount = deferralAccount
    @amortizationTemplate = amortizationTemplate
    @residual = residual
    @amortizationPeriod = amortizationPeriod
    @isFulfillable = isFulfillable
    @costCategory = costCategory
    @overheadType = overheadType
    @currency = currency
    @itemOptionsList = itemOptionsList
    @matrixOptionList = matrixOptionList
    @itemVendorList = itemVendorList
    @purchaseTaxCode = purchaseTaxCode
    @salesTaxCode = salesTaxCode
    @translationsList = translationsList
    @vendor = vendor
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ServiceResaleItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   purchaseDescription - SOAP::SOAPString
#   manufacturingChargeItem - SOAP::SOAPBoolean
#   cost - SOAP::SOAPDouble
#   costUnits - SOAP::SOAPString
#   expenseAccount - ActiveNetsuite::RecordRef
#   salesDescription - SOAP::SOAPString
#   includeChildren - SOAP::SOAPBoolean
#   incomeAccount - ActiveNetsuite::RecordRef
#   taxSchedule - ActiveNetsuite::RecordRef
#   matrixType - ActiveNetsuite::ItemMatrixType
#   isTaxable - SOAP::SOAPBoolean
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   costEstimate - SOAP::SOAPDouble
#   unitsType - ActiveNetsuite::RecordRef
#   purchaseUnit - ActiveNetsuite::RecordRef
#   saleUnit - ActiveNetsuite::RecordRef
#   costEstimateUnits - SOAP::SOAPString
#   issueProduct - ActiveNetsuite::RecordRef
#   billingSchedule - ActiveNetsuite::RecordRef
#   deferredRevenueAccount - ActiveNetsuite::RecordRef
#   revRecSchedule - ActiveNetsuite::RecordRef
#   deferralAccount - ActiveNetsuite::RecordRef
#   amortizationTemplate - ActiveNetsuite::RecordRef
#   residual - SOAP::SOAPString
#   amortizationPeriod - SOAP::SOAPLong
#   minimumQuantity - SOAP::SOAPLong
#   enforceMinQtyInternally - SOAP::SOAPBoolean
#   softDescriptor - SOAP::SOAPString
#   pricesIncludeTax - SOAP::SOAPBoolean
#   quantityPricingSchedule - ActiveNetsuite::RecordRef
#   useMarginalRates - SOAP::SOAPBoolean
#   overallQuantityPricingType - ActiveNetsuite::ItemOverallQuantityPricingType
#   isFulfillable - SOAP::SOAPBoolean
#   costCategory - ActiveNetsuite::RecordRef
#   pricingGroup - ActiveNetsuite::RecordRef
#   minimumQuantityUnits - SOAP::SOAPString
#   vsoePrice - SOAP::SOAPDouble
#   vsoeSopGroup - ActiveNetsuite::VsoeSopGroup
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   createJob - SOAP::SOAPBoolean
#   storeDisplayName - SOAP::SOAPString
#   storeDisplayThumbnail - ActiveNetsuite::RecordRef
#   storeDisplayImage - ActiveNetsuite::RecordRef
#   storeDescription - SOAP::SOAPString
#   storeDetailedDescription - SOAP::SOAPString
#   storeItemTemplate - ActiveNetsuite::RecordRef
#   pageTitle - SOAP::SOAPString
#   urlComponent - SOAP::SOAPString
#   metaTagHtml - SOAP::SOAPString
#   excludeFromSitemap - SOAP::SOAPBoolean
#   sitemapPriority - ActiveNetsuite::SitemapPriority
#   searchKeywords - SOAP::SOAPString
#   isDonationItem - SOAP::SOAPBoolean
#   showDefaultDonationAmount - SOAP::SOAPBoolean
#   maxDonationAmount - SOAP::SOAPDouble
#   dontShowPrice - SOAP::SOAPBoolean
#   noPriceMessage - SOAP::SOAPString
#   outOfStockMessage - SOAP::SOAPString
#   onSpecial - SOAP::SOAPBoolean
#   outOfStockBehavior - ActiveNetsuite::ItemOutOfStockBehavior
#   relatedItemsDescription - SOAP::SOAPString
#   specialsDescription - SOAP::SOAPString
#   itemTaskTemplatesList - ActiveNetsuite::ServiceItemTaskTemplatesList
#   featuredDescription - SOAP::SOAPString
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   vendorName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   isOnline - SOAP::SOAPBoolean
#   isGcoCompliant - SOAP::SOAPBoolean
#   offerSupport - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   currency - SOAP::SOAPString
#   billingRatesMatrix - ActiveNetsuite::BillingRatesMatrix
#   itemOptionsList - ActiveNetsuite::ItemOptionsList
#   matrixOptionList - ActiveNetsuite::MatrixOptionList
#   itemVendorList - ActiveNetsuite::ItemVendorList
#   pricingMatrix - ActiveNetsuite::PricingMatrix
#   purchaseTaxCode - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPDouble
#   salesTaxCode - ActiveNetsuite::RecordRef
#   siteCategoryList - ActiveNetsuite::SiteCategoryList
#   translationsList - ActiveNetsuite::TranslationList
#   vendor - ActiveNetsuite::RecordRef
#   presentationItemList - ActiveNetsuite::PresentationItemList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class ServiceResaleItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :purchaseDescription
  attr_accessor :manufacturingChargeItem
  attr_accessor :cost
  attr_accessor :costUnits
  attr_accessor :expenseAccount
  attr_accessor :salesDescription
  attr_accessor :includeChildren
  attr_accessor :incomeAccount
  attr_accessor :taxSchedule
  attr_accessor :matrixType
  attr_accessor :isTaxable
  attr_accessor :costEstimateType
  attr_accessor :costEstimate
  attr_accessor :unitsType
  attr_accessor :purchaseUnit
  attr_accessor :saleUnit
  attr_accessor :costEstimateUnits
  attr_accessor :issueProduct
  attr_accessor :billingSchedule
  attr_accessor :deferredRevenueAccount
  attr_accessor :revRecSchedule
  attr_accessor :deferralAccount
  attr_accessor :amortizationTemplate
  attr_accessor :residual
  attr_accessor :amortizationPeriod
  attr_accessor :minimumQuantity
  attr_accessor :enforceMinQtyInternally
  attr_accessor :softDescriptor
  attr_accessor :pricesIncludeTax
  attr_accessor :quantityPricingSchedule
  attr_accessor :useMarginalRates
  attr_accessor :overallQuantityPricingType
  attr_accessor :isFulfillable
  attr_accessor :costCategory
  attr_accessor :pricingGroup
  attr_accessor :minimumQuantityUnits
  attr_accessor :vsoePrice
  attr_accessor :vsoeSopGroup
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :createJob
  attr_accessor :storeDisplayName
  attr_accessor :storeDisplayThumbnail
  attr_accessor :storeDisplayImage
  attr_accessor :storeDescription
  attr_accessor :storeDetailedDescription
  attr_accessor :storeItemTemplate
  attr_accessor :pageTitle
  attr_accessor :urlComponent
  attr_accessor :metaTagHtml
  attr_accessor :excludeFromSitemap
  attr_accessor :sitemapPriority
  attr_accessor :searchKeywords
  attr_accessor :isDonationItem
  attr_accessor :showDefaultDonationAmount
  attr_accessor :maxDonationAmount
  attr_accessor :dontShowPrice
  attr_accessor :noPriceMessage
  attr_accessor :outOfStockMessage
  attr_accessor :onSpecial
  attr_accessor :outOfStockBehavior
  attr_accessor :relatedItemsDescription
  attr_accessor :specialsDescription
  attr_accessor :itemTaskTemplatesList
  attr_accessor :featuredDescription
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :vendorName
  attr_accessor :parent
  attr_accessor :isOnline
  attr_accessor :isGcoCompliant
  attr_accessor :offerSupport
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiaryList
  attr_accessor :currency
  attr_accessor :billingRatesMatrix
  attr_accessor :itemOptionsList
  attr_accessor :matrixOptionList
  attr_accessor :itemVendorList
  attr_accessor :pricingMatrix
  attr_accessor :purchaseTaxCode
  attr_accessor :rate
  attr_accessor :salesTaxCode
  attr_accessor :siteCategoryList
  attr_accessor :translationsList
  attr_accessor :vendor
  attr_accessor :presentationItemList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, purchaseDescription = nil, manufacturingChargeItem = nil, cost = nil, costUnits = nil, expenseAccount = nil, salesDescription = nil, includeChildren = nil, incomeAccount = nil, taxSchedule = nil, matrixType = nil, isTaxable = nil, costEstimateType = nil, costEstimate = nil, unitsType = nil, purchaseUnit = nil, saleUnit = nil, costEstimateUnits = nil, issueProduct = nil, billingSchedule = nil, deferredRevenueAccount = nil, revRecSchedule = nil, deferralAccount = nil, amortizationTemplate = nil, residual = nil, amortizationPeriod = nil, minimumQuantity = nil, enforceMinQtyInternally = nil, softDescriptor = nil, pricesIncludeTax = nil, quantityPricingSchedule = nil, useMarginalRates = nil, overallQuantityPricingType = nil, isFulfillable = nil, costCategory = nil, pricingGroup = nil, minimumQuantityUnits = nil, vsoePrice = nil, vsoeSopGroup = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, createJob = nil, storeDisplayName = nil, storeDisplayThumbnail = nil, storeDisplayImage = nil, storeDescription = nil, storeDetailedDescription = nil, storeItemTemplate = nil, pageTitle = nil, urlComponent = nil, metaTagHtml = nil, excludeFromSitemap = nil, sitemapPriority = nil, searchKeywords = nil, isDonationItem = nil, showDefaultDonationAmount = nil, maxDonationAmount = nil, dontShowPrice = nil, noPriceMessage = nil, outOfStockMessage = nil, onSpecial = nil, outOfStockBehavior = nil, relatedItemsDescription = nil, specialsDescription = nil, itemTaskTemplatesList = nil, featuredDescription = nil, customForm = nil, itemId = nil, upcCode = nil, displayName = nil, vendorName = nil, parent = nil, isOnline = nil, isGcoCompliant = nil, offerSupport = nil, isInactive = nil, availableToPartners = nil, department = nil, v_class = nil, location = nil, subsidiaryList = nil, currency = nil, billingRatesMatrix = nil, itemOptionsList = nil, matrixOptionList = nil, itemVendorList = nil, pricingMatrix = nil, purchaseTaxCode = nil, rate = nil, salesTaxCode = nil, siteCategoryList = nil, translationsList = nil, vendor = nil, presentationItemList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @purchaseDescription = purchaseDescription
    @manufacturingChargeItem = manufacturingChargeItem
    @cost = cost
    @costUnits = costUnits
    @expenseAccount = expenseAccount
    @salesDescription = salesDescription
    @includeChildren = includeChildren
    @incomeAccount = incomeAccount
    @taxSchedule = taxSchedule
    @matrixType = matrixType
    @isTaxable = isTaxable
    @costEstimateType = costEstimateType
    @costEstimate = costEstimate
    @unitsType = unitsType
    @purchaseUnit = purchaseUnit
    @saleUnit = saleUnit
    @costEstimateUnits = costEstimateUnits
    @issueProduct = issueProduct
    @billingSchedule = billingSchedule
    @deferredRevenueAccount = deferredRevenueAccount
    @revRecSchedule = revRecSchedule
    @deferralAccount = deferralAccount
    @amortizationTemplate = amortizationTemplate
    @residual = residual
    @amortizationPeriod = amortizationPeriod
    @minimumQuantity = minimumQuantity
    @enforceMinQtyInternally = enforceMinQtyInternally
    @softDescriptor = softDescriptor
    @pricesIncludeTax = pricesIncludeTax
    @quantityPricingSchedule = quantityPricingSchedule
    @useMarginalRates = useMarginalRates
    @overallQuantityPricingType = overallQuantityPricingType
    @isFulfillable = isFulfillable
    @costCategory = costCategory
    @pricingGroup = pricingGroup
    @minimumQuantityUnits = minimumQuantityUnits
    @vsoePrice = vsoePrice
    @vsoeSopGroup = vsoeSopGroup
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @createJob = createJob
    @storeDisplayName = storeDisplayName
    @storeDisplayThumbnail = storeDisplayThumbnail
    @storeDisplayImage = storeDisplayImage
    @storeDescription = storeDescription
    @storeDetailedDescription = storeDetailedDescription
    @storeItemTemplate = storeItemTemplate
    @pageTitle = pageTitle
    @urlComponent = urlComponent
    @metaTagHtml = metaTagHtml
    @excludeFromSitemap = excludeFromSitemap
    @sitemapPriority = sitemapPriority
    @searchKeywords = searchKeywords
    @isDonationItem = isDonationItem
    @showDefaultDonationAmount = showDefaultDonationAmount
    @maxDonationAmount = maxDonationAmount
    @dontShowPrice = dontShowPrice
    @noPriceMessage = noPriceMessage
    @outOfStockMessage = outOfStockMessage
    @onSpecial = onSpecial
    @outOfStockBehavior = outOfStockBehavior
    @relatedItemsDescription = relatedItemsDescription
    @specialsDescription = specialsDescription
    @itemTaskTemplatesList = itemTaskTemplatesList
    @featuredDescription = featuredDescription
    @customForm = customForm
    @itemId = itemId
    @upcCode = upcCode
    @displayName = displayName
    @vendorName = vendorName
    @parent = parent
    @isOnline = isOnline
    @isGcoCompliant = isGcoCompliant
    @offerSupport = offerSupport
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @department = department
    @v_class = v_class
    @location = location
    @subsidiaryList = subsidiaryList
    @currency = currency
    @billingRatesMatrix = billingRatesMatrix
    @itemOptionsList = itemOptionsList
    @matrixOptionList = matrixOptionList
    @itemVendorList = itemVendorList
    @pricingMatrix = pricingMatrix
    @purchaseTaxCode = purchaseTaxCode
    @rate = rate
    @salesTaxCode = salesTaxCode
    @siteCategoryList = siteCategoryList
    @translationsList = translationsList
    @vendor = vendor
    @presentationItemList = presentationItemList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ServicePurchaseItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   purchaseDescription - SOAP::SOAPString
#   manufacturingChargeItem - SOAP::SOAPBoolean
#   cost - SOAP::SOAPDouble
#   costUnits - SOAP::SOAPString
#   issueProduct - ActiveNetsuite::RecordRef
#   includeChildren - SOAP::SOAPBoolean
#   expenseAccount - ActiveNetsuite::RecordRef
#   isTaxable - SOAP::SOAPBoolean
#   matrixType - ActiveNetsuite::ItemMatrixType
#   unitsType - ActiveNetsuite::RecordRef
#   purchaseUnit - ActiveNetsuite::RecordRef
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   vendorName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   taxSchedule - ActiveNetsuite::RecordRef
#   deferralAccount - ActiveNetsuite::RecordRef
#   amortizationTemplate - ActiveNetsuite::RecordRef
#   residual - SOAP::SOAPString
#   amortizationPeriod - SOAP::SOAPLong
#   isFulfillable - SOAP::SOAPBoolean
#   costCategory - ActiveNetsuite::RecordRef
#   currency - SOAP::SOAPString
#   itemOptionsList - ActiveNetsuite::ItemOptionsList
#   matrixOptionList - ActiveNetsuite::MatrixOptionList
#   itemVendorList - ActiveNetsuite::ItemVendorList
#   purchaseTaxCode - ActiveNetsuite::RecordRef
#   salesTaxCode - ActiveNetsuite::RecordRef
#   translationsList - ActiveNetsuite::TranslationList
#   vendor - ActiveNetsuite::RecordRef
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class ServicePurchaseItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :purchaseDescription
  attr_accessor :manufacturingChargeItem
  attr_accessor :cost
  attr_accessor :costUnits
  attr_accessor :issueProduct
  attr_accessor :includeChildren
  attr_accessor :expenseAccount
  attr_accessor :isTaxable
  attr_accessor :matrixType
  attr_accessor :unitsType
  attr_accessor :purchaseUnit
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :vendorName
  attr_accessor :parent
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiaryList
  attr_accessor :taxSchedule
  attr_accessor :deferralAccount
  attr_accessor :amortizationTemplate
  attr_accessor :residual
  attr_accessor :amortizationPeriod
  attr_accessor :isFulfillable
  attr_accessor :costCategory
  attr_accessor :currency
  attr_accessor :itemOptionsList
  attr_accessor :matrixOptionList
  attr_accessor :itemVendorList
  attr_accessor :purchaseTaxCode
  attr_accessor :salesTaxCode
  attr_accessor :translationsList
  attr_accessor :vendor
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, purchaseDescription = nil, manufacturingChargeItem = nil, cost = nil, costUnits = nil, issueProduct = nil, includeChildren = nil, expenseAccount = nil, isTaxable = nil, matrixType = nil, unitsType = nil, purchaseUnit = nil, customForm = nil, itemId = nil, upcCode = nil, displayName = nil, vendorName = nil, parent = nil, isInactive = nil, availableToPartners = nil, department = nil, v_class = nil, location = nil, subsidiaryList = nil, taxSchedule = nil, deferralAccount = nil, amortizationTemplate = nil, residual = nil, amortizationPeriod = nil, isFulfillable = nil, costCategory = nil, currency = nil, itemOptionsList = nil, matrixOptionList = nil, itemVendorList = nil, purchaseTaxCode = nil, salesTaxCode = nil, translationsList = nil, vendor = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @purchaseDescription = purchaseDescription
    @manufacturingChargeItem = manufacturingChargeItem
    @cost = cost
    @costUnits = costUnits
    @issueProduct = issueProduct
    @includeChildren = includeChildren
    @expenseAccount = expenseAccount
    @isTaxable = isTaxable
    @matrixType = matrixType
    @unitsType = unitsType
    @purchaseUnit = purchaseUnit
    @customForm = customForm
    @itemId = itemId
    @upcCode = upcCode
    @displayName = displayName
    @vendorName = vendorName
    @parent = parent
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @department = department
    @v_class = v_class
    @location = location
    @subsidiaryList = subsidiaryList
    @taxSchedule = taxSchedule
    @deferralAccount = deferralAccount
    @amortizationTemplate = amortizationTemplate
    @residual = residual
    @amortizationPeriod = amortizationPeriod
    @isFulfillable = isFulfillable
    @costCategory = costCategory
    @currency = currency
    @itemOptionsList = itemOptionsList
    @matrixOptionList = matrixOptionList
    @itemVendorList = itemVendorList
    @purchaseTaxCode = purchaseTaxCode
    @salesTaxCode = salesTaxCode
    @translationsList = translationsList
    @vendor = vendor
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ServiceSaleItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   salesDescription - SOAP::SOAPString
#   includeChildren - SOAP::SOAPBoolean
#   incomeAccount - ActiveNetsuite::RecordRef
#   isTaxable - SOAP::SOAPBoolean
#   matrixType - ActiveNetsuite::ItemMatrixType
#   taxSchedule - ActiveNetsuite::RecordRef
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   costEstimate - SOAP::SOAPDouble
#   unitsType - ActiveNetsuite::RecordRef
#   saleUnit - ActiveNetsuite::RecordRef
#   issueProduct - ActiveNetsuite::RecordRef
#   costEstimateUnits - SOAP::SOAPString
#   billingSchedule - ActiveNetsuite::RecordRef
#   deferredRevenueAccount - ActiveNetsuite::RecordRef
#   revRecSchedule - ActiveNetsuite::RecordRef
#   minimumQuantity - SOAP::SOAPLong
#   enforceMinQtyInternally - SOAP::SOAPBoolean
#   softDescriptor - SOAP::SOAPString
#   pricesIncludeTax - SOAP::SOAPBoolean
#   quantityPricingSchedule - ActiveNetsuite::RecordRef
#   useMarginalRates - SOAP::SOAPBoolean
#   overallQuantityPricingType - ActiveNetsuite::ItemOverallQuantityPricingType
#   isFulfillable - SOAP::SOAPBoolean
#   costCategory - ActiveNetsuite::RecordRef
#   pricingGroup - ActiveNetsuite::RecordRef
#   minimumQuantityUnits - SOAP::SOAPString
#   vsoePrice - SOAP::SOAPDouble
#   vsoeSopGroup - ActiveNetsuite::VsoeSopGroup
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   createJob - SOAP::SOAPBoolean
#   storeDisplayName - SOAP::SOAPString
#   storeDisplayThumbnail - ActiveNetsuite::RecordRef
#   storeDisplayImage - ActiveNetsuite::RecordRef
#   storeDescription - SOAP::SOAPString
#   storeDetailedDescription - SOAP::SOAPString
#   storeItemTemplate - ActiveNetsuite::RecordRef
#   pageTitle - SOAP::SOAPString
#   urlComponent - SOAP::SOAPString
#   metaTagHtml - SOAP::SOAPString
#   excludeFromSitemap - SOAP::SOAPBoolean
#   sitemapPriority - ActiveNetsuite::SitemapPriority
#   searchKeywords - SOAP::SOAPString
#   isDonationItem - SOAP::SOAPBoolean
#   showDefaultDonationAmount - SOAP::SOAPBoolean
#   maxDonationAmount - SOAP::SOAPDouble
#   dontShowPrice - SOAP::SOAPBoolean
#   noPriceMessage - SOAP::SOAPString
#   outOfStockMessage - SOAP::SOAPString
#   onSpecial - SOAP::SOAPBoolean
#   outOfStockBehavior - ActiveNetsuite::ItemOutOfStockBehavior
#   relatedItemsDescription - SOAP::SOAPString
#   specialsDescription - SOAP::SOAPString
#   itemTaskTemplatesList - ActiveNetsuite::ServiceItemTaskTemplatesList
#   featuredDescription - SOAP::SOAPString
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   isOnline - SOAP::SOAPBoolean
#   isGcoCompliant - SOAP::SOAPBoolean
#   offerSupport - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   billingRatesMatrix - ActiveNetsuite::BillingRatesMatrix
#   itemOptionsList - ActiveNetsuite::ItemOptionsList
#   matrixOptionList - ActiveNetsuite::MatrixOptionList
#   pricingMatrix - ActiveNetsuite::PricingMatrix
#   purchaseTaxCode - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPDouble
#   salesTaxCode - ActiveNetsuite::RecordRef
#   siteCategoryList - ActiveNetsuite::SiteCategoryList
#   translationsList - ActiveNetsuite::TranslationList
#   presentationItemList - ActiveNetsuite::PresentationItemList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class ServiceSaleItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :salesDescription
  attr_accessor :includeChildren
  attr_accessor :incomeAccount
  attr_accessor :isTaxable
  attr_accessor :matrixType
  attr_accessor :taxSchedule
  attr_accessor :costEstimateType
  attr_accessor :costEstimate
  attr_accessor :unitsType
  attr_accessor :saleUnit
  attr_accessor :issueProduct
  attr_accessor :costEstimateUnits
  attr_accessor :billingSchedule
  attr_accessor :deferredRevenueAccount
  attr_accessor :revRecSchedule
  attr_accessor :minimumQuantity
  attr_accessor :enforceMinQtyInternally
  attr_accessor :softDescriptor
  attr_accessor :pricesIncludeTax
  attr_accessor :quantityPricingSchedule
  attr_accessor :useMarginalRates
  attr_accessor :overallQuantityPricingType
  attr_accessor :isFulfillable
  attr_accessor :costCategory
  attr_accessor :pricingGroup
  attr_accessor :minimumQuantityUnits
  attr_accessor :vsoePrice
  attr_accessor :vsoeSopGroup
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :createJob
  attr_accessor :storeDisplayName
  attr_accessor :storeDisplayThumbnail
  attr_accessor :storeDisplayImage
  attr_accessor :storeDescription
  attr_accessor :storeDetailedDescription
  attr_accessor :storeItemTemplate
  attr_accessor :pageTitle
  attr_accessor :urlComponent
  attr_accessor :metaTagHtml
  attr_accessor :excludeFromSitemap
  attr_accessor :sitemapPriority
  attr_accessor :searchKeywords
  attr_accessor :isDonationItem
  attr_accessor :showDefaultDonationAmount
  attr_accessor :maxDonationAmount
  attr_accessor :dontShowPrice
  attr_accessor :noPriceMessage
  attr_accessor :outOfStockMessage
  attr_accessor :onSpecial
  attr_accessor :outOfStockBehavior
  attr_accessor :relatedItemsDescription
  attr_accessor :specialsDescription
  attr_accessor :itemTaskTemplatesList
  attr_accessor :featuredDescription
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :parent
  attr_accessor :isOnline
  attr_accessor :isGcoCompliant
  attr_accessor :offerSupport
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiaryList
  attr_accessor :billingRatesMatrix
  attr_accessor :itemOptionsList
  attr_accessor :matrixOptionList
  attr_accessor :pricingMatrix
  attr_accessor :purchaseTaxCode
  attr_accessor :rate
  attr_accessor :salesTaxCode
  attr_accessor :siteCategoryList
  attr_accessor :translationsList
  attr_accessor :presentationItemList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, salesDescription = nil, includeChildren = nil, incomeAccount = nil, isTaxable = nil, matrixType = nil, taxSchedule = nil, costEstimateType = nil, costEstimate = nil, unitsType = nil, saleUnit = nil, issueProduct = nil, costEstimateUnits = nil, billingSchedule = nil, deferredRevenueAccount = nil, revRecSchedule = nil, minimumQuantity = nil, enforceMinQtyInternally = nil, softDescriptor = nil, pricesIncludeTax = nil, quantityPricingSchedule = nil, useMarginalRates = nil, overallQuantityPricingType = nil, isFulfillable = nil, costCategory = nil, pricingGroup = nil, minimumQuantityUnits = nil, vsoePrice = nil, vsoeSopGroup = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, createJob = nil, storeDisplayName = nil, storeDisplayThumbnail = nil, storeDisplayImage = nil, storeDescription = nil, storeDetailedDescription = nil, storeItemTemplate = nil, pageTitle = nil, urlComponent = nil, metaTagHtml = nil, excludeFromSitemap = nil, sitemapPriority = nil, searchKeywords = nil, isDonationItem = nil, showDefaultDonationAmount = nil, maxDonationAmount = nil, dontShowPrice = nil, noPriceMessage = nil, outOfStockMessage = nil, onSpecial = nil, outOfStockBehavior = nil, relatedItemsDescription = nil, specialsDescription = nil, itemTaskTemplatesList = nil, featuredDescription = nil, customForm = nil, itemId = nil, upcCode = nil, displayName = nil, parent = nil, isOnline = nil, isGcoCompliant = nil, offerSupport = nil, isInactive = nil, availableToPartners = nil, department = nil, v_class = nil, location = nil, subsidiaryList = nil, billingRatesMatrix = nil, itemOptionsList = nil, matrixOptionList = nil, pricingMatrix = nil, purchaseTaxCode = nil, rate = nil, salesTaxCode = nil, siteCategoryList = nil, translationsList = nil, presentationItemList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @salesDescription = salesDescription
    @includeChildren = includeChildren
    @incomeAccount = incomeAccount
    @isTaxable = isTaxable
    @matrixType = matrixType
    @taxSchedule = taxSchedule
    @costEstimateType = costEstimateType
    @costEstimate = costEstimate
    @unitsType = unitsType
    @saleUnit = saleUnit
    @issueProduct = issueProduct
    @costEstimateUnits = costEstimateUnits
    @billingSchedule = billingSchedule
    @deferredRevenueAccount = deferredRevenueAccount
    @revRecSchedule = revRecSchedule
    @minimumQuantity = minimumQuantity
    @enforceMinQtyInternally = enforceMinQtyInternally
    @softDescriptor = softDescriptor
    @pricesIncludeTax = pricesIncludeTax
    @quantityPricingSchedule = quantityPricingSchedule
    @useMarginalRates = useMarginalRates
    @overallQuantityPricingType = overallQuantityPricingType
    @isFulfillable = isFulfillable
    @costCategory = costCategory
    @pricingGroup = pricingGroup
    @minimumQuantityUnits = minimumQuantityUnits
    @vsoePrice = vsoePrice
    @vsoeSopGroup = vsoeSopGroup
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @createJob = createJob
    @storeDisplayName = storeDisplayName
    @storeDisplayThumbnail = storeDisplayThumbnail
    @storeDisplayImage = storeDisplayImage
    @storeDescription = storeDescription
    @storeDetailedDescription = storeDetailedDescription
    @storeItemTemplate = storeItemTemplate
    @pageTitle = pageTitle
    @urlComponent = urlComponent
    @metaTagHtml = metaTagHtml
    @excludeFromSitemap = excludeFromSitemap
    @sitemapPriority = sitemapPriority
    @searchKeywords = searchKeywords
    @isDonationItem = isDonationItem
    @showDefaultDonationAmount = showDefaultDonationAmount
    @maxDonationAmount = maxDonationAmount
    @dontShowPrice = dontShowPrice
    @noPriceMessage = noPriceMessage
    @outOfStockMessage = outOfStockMessage
    @onSpecial = onSpecial
    @outOfStockBehavior = outOfStockBehavior
    @relatedItemsDescription = relatedItemsDescription
    @specialsDescription = specialsDescription
    @itemTaskTemplatesList = itemTaskTemplatesList
    @featuredDescription = featuredDescription
    @customForm = customForm
    @itemId = itemId
    @upcCode = upcCode
    @displayName = displayName
    @parent = parent
    @isOnline = isOnline
    @isGcoCompliant = isGcoCompliant
    @offerSupport = offerSupport
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @department = department
    @v_class = v_class
    @location = location
    @subsidiaryList = subsidiaryList
    @billingRatesMatrix = billingRatesMatrix
    @itemOptionsList = itemOptionsList
    @matrixOptionList = matrixOptionList
    @pricingMatrix = pricingMatrix
    @purchaseTaxCode = purchaseTaxCode
    @rate = rate
    @salesTaxCode = salesTaxCode
    @siteCategoryList = siteCategoryList
    @translationsList = translationsList
    @presentationItemList = presentationItemList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}OtherChargeSaleItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   salesDescription - SOAP::SOAPString
#   includeChildren - SOAP::SOAPBoolean
#   incomeAccount - ActiveNetsuite::RecordRef
#   isTaxable - SOAP::SOAPBoolean
#   matrixType - ActiveNetsuite::ItemMatrixType
#   taxSchedule - ActiveNetsuite::RecordRef
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   costEstimate - SOAP::SOAPDouble
#   unitsType - ActiveNetsuite::RecordRef
#   saleUnit - ActiveNetsuite::RecordRef
#   issueProduct - ActiveNetsuite::RecordRef
#   costEstimateUnits - SOAP::SOAPString
#   billingSchedule - ActiveNetsuite::RecordRef
#   deferredRevenueAccount - ActiveNetsuite::RecordRef
#   revRecSchedule - ActiveNetsuite::RecordRef
#   minimumQuantity - SOAP::SOAPLong
#   minimumQuantityUnits - SOAP::SOAPString
#   enforceMinQtyInternally - SOAP::SOAPBoolean
#   softDescriptor - SOAP::SOAPString
#   isFulfillable - SOAP::SOAPBoolean
#   costCategory - ActiveNetsuite::RecordRef
#   pricesIncludeTax - SOAP::SOAPBoolean
#   quantityPricingSchedule - ActiveNetsuite::RecordRef
#   useMarginalRates - SOAP::SOAPBoolean
#   overallQuantityPricingType - ActiveNetsuite::ItemOverallQuantityPricingType
#   pricingGroup - ActiveNetsuite::RecordRef
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   isOnline - SOAP::SOAPBoolean
#   isGcoCompliant - SOAP::SOAPBoolean
#   offerSupport - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   vsoePrice - SOAP::SOAPDouble
#   vsoeSopGroup - ActiveNetsuite::VsoeSopGroup
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   itemOptionsList - ActiveNetsuite::ItemOptionsList
#   matrixOptionList - ActiveNetsuite::MatrixOptionList
#   pricingMatrix - ActiveNetsuite::PricingMatrix
#   purchaseTaxCode - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPDouble
#   salesTaxCode - ActiveNetsuite::RecordRef
#   translationsList - ActiveNetsuite::TranslationList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class OtherChargeSaleItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :salesDescription
  attr_accessor :includeChildren
  attr_accessor :incomeAccount
  attr_accessor :isTaxable
  attr_accessor :matrixType
  attr_accessor :taxSchedule
  attr_accessor :costEstimateType
  attr_accessor :costEstimate
  attr_accessor :unitsType
  attr_accessor :saleUnit
  attr_accessor :issueProduct
  attr_accessor :costEstimateUnits
  attr_accessor :billingSchedule
  attr_accessor :deferredRevenueAccount
  attr_accessor :revRecSchedule
  attr_accessor :minimumQuantity
  attr_accessor :minimumQuantityUnits
  attr_accessor :enforceMinQtyInternally
  attr_accessor :softDescriptor
  attr_accessor :isFulfillable
  attr_accessor :costCategory
  attr_accessor :pricesIncludeTax
  attr_accessor :quantityPricingSchedule
  attr_accessor :useMarginalRates
  attr_accessor :overallQuantityPricingType
  attr_accessor :pricingGroup
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :parent
  attr_accessor :isOnline
  attr_accessor :isGcoCompliant
  attr_accessor :offerSupport
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :department
  attr_accessor :location
  attr_accessor :vsoePrice
  attr_accessor :vsoeSopGroup
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :subsidiaryList
  attr_accessor :itemOptionsList
  attr_accessor :matrixOptionList
  attr_accessor :pricingMatrix
  attr_accessor :purchaseTaxCode
  attr_accessor :rate
  attr_accessor :salesTaxCode
  attr_accessor :translationsList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, salesDescription = nil, includeChildren = nil, incomeAccount = nil, isTaxable = nil, matrixType = nil, taxSchedule = nil, costEstimateType = nil, costEstimate = nil, unitsType = nil, saleUnit = nil, issueProduct = nil, costEstimateUnits = nil, billingSchedule = nil, deferredRevenueAccount = nil, revRecSchedule = nil, minimumQuantity = nil, minimumQuantityUnits = nil, enforceMinQtyInternally = nil, softDescriptor = nil, isFulfillable = nil, costCategory = nil, pricesIncludeTax = nil, quantityPricingSchedule = nil, useMarginalRates = nil, overallQuantityPricingType = nil, pricingGroup = nil, customForm = nil, itemId = nil, upcCode = nil, displayName = nil, parent = nil, isOnline = nil, isGcoCompliant = nil, offerSupport = nil, isInactive = nil, availableToPartners = nil, department = nil, v_class = nil, location = nil, vsoePrice = nil, vsoeSopGroup = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, subsidiaryList = nil, itemOptionsList = nil, matrixOptionList = nil, pricingMatrix = nil, purchaseTaxCode = nil, rate = nil, salesTaxCode = nil, translationsList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @salesDescription = salesDescription
    @includeChildren = includeChildren
    @incomeAccount = incomeAccount
    @isTaxable = isTaxable
    @matrixType = matrixType
    @taxSchedule = taxSchedule
    @costEstimateType = costEstimateType
    @costEstimate = costEstimate
    @unitsType = unitsType
    @saleUnit = saleUnit
    @issueProduct = issueProduct
    @costEstimateUnits = costEstimateUnits
    @billingSchedule = billingSchedule
    @deferredRevenueAccount = deferredRevenueAccount
    @revRecSchedule = revRecSchedule
    @minimumQuantity = minimumQuantity
    @minimumQuantityUnits = minimumQuantityUnits
    @enforceMinQtyInternally = enforceMinQtyInternally
    @softDescriptor = softDescriptor
    @isFulfillable = isFulfillable
    @costCategory = costCategory
    @pricesIncludeTax = pricesIncludeTax
    @quantityPricingSchedule = quantityPricingSchedule
    @useMarginalRates = useMarginalRates
    @overallQuantityPricingType = overallQuantityPricingType
    @pricingGroup = pricingGroup
    @customForm = customForm
    @itemId = itemId
    @upcCode = upcCode
    @displayName = displayName
    @parent = parent
    @isOnline = isOnline
    @isGcoCompliant = isGcoCompliant
    @offerSupport = offerSupport
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @department = department
    @v_class = v_class
    @location = location
    @vsoePrice = vsoePrice
    @vsoeSopGroup = vsoeSopGroup
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @subsidiaryList = subsidiaryList
    @itemOptionsList = itemOptionsList
    @matrixOptionList = matrixOptionList
    @pricingMatrix = pricingMatrix
    @purchaseTaxCode = purchaseTaxCode
    @rate = rate
    @salesTaxCode = salesTaxCode
    @translationsList = translationsList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}Currency
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   symbol - SOAP::SOAPString
#   isBaseCurrency - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   overrideCurrencyFormat - SOAP::SOAPBoolean
#   displaySymbol - SOAP::SOAPString
#   symbolPlacement - ActiveNetsuite::CurrencySymbolPlacement
#   locale - ActiveNetsuite::CurrencyLocale
#   formatSample - SOAP::SOAPString
#   exchangeRate - SOAP::SOAPDouble
#   fxRateUpdateTimezone - ActiveNetsuite::CurrencyFxRateUpdateTimezone
#   inclInFxRateUpdates - SOAP::SOAPBoolean
#   currencyPrecision - ActiveNetsuite::CurrencyCurrencyPrecision
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Currency < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :symbol
  attr_accessor :isBaseCurrency
  attr_accessor :isInactive
  attr_accessor :overrideCurrencyFormat
  attr_accessor :displaySymbol
  attr_accessor :symbolPlacement
  attr_accessor :locale
  attr_accessor :formatSample
  attr_accessor :exchangeRate
  attr_accessor :fxRateUpdateTimezone
  attr_accessor :inclInFxRateUpdates
  attr_accessor :currencyPrecision

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, symbol = nil, isBaseCurrency = nil, isInactive = nil, overrideCurrencyFormat = nil, displaySymbol = nil, symbolPlacement = nil, locale = nil, formatSample = nil, exchangeRate = nil, fxRateUpdateTimezone = nil, inclInFxRateUpdates = nil, currencyPrecision = nil)
    @nullFieldList = nullFieldList
    @name = name
    @symbol = symbol
    @isBaseCurrency = isBaseCurrency
    @isInactive = isInactive
    @overrideCurrencyFormat = overrideCurrencyFormat
    @displaySymbol = displaySymbol
    @symbolPlacement = symbolPlacement
    @locale = locale
    @formatSample = formatSample
    @exchangeRate = exchangeRate
    @fxRateUpdateTimezone = fxRateUpdateTimezone
    @inclInFxRateUpdates = inclInFxRateUpdates
    @currencyPrecision = currencyPrecision
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ExpenseCategory
#   nullFieldList - ActiveNetsuite::NullField
#   customForm - ActiveNetsuite::RecordRef
#   name - SOAP::SOAPString
#   description - SOAP::SOAPString
#   expenseAcct - ActiveNetsuite::RecordRef
#   isInactive - SOAP::SOAPBoolean
#   rateRequired - SOAP::SOAPBoolean
#   defaultRate - SOAP::SOAPDouble
#   ratesList - ActiveNetsuite::ExpenseCategoryRatesList
#   translationsList - ActiveNetsuite::TranslationList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class ExpenseCategory < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :customForm
  attr_accessor :name
  attr_accessor :description
  attr_accessor :expenseAcct
  attr_accessor :isInactive
  attr_accessor :rateRequired
  attr_accessor :defaultRate
  attr_accessor :ratesList
  attr_accessor :translationsList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, customForm = nil, name = nil, description = nil, expenseAcct = nil, isInactive = nil, rateRequired = nil, defaultRate = nil, ratesList = nil, translationsList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @customForm = customForm
    @name = name
    @description = description
    @expenseAcct = expenseAcct
    @isInactive = isInactive
    @rateRequired = rateRequired
    @defaultRate = defaultRate
    @ratesList = ratesList
    @translationsList = translationsList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}Account
#   nullFieldList - ActiveNetsuite::NullField
#   acctType - ActiveNetsuite::AccountType
#   acctNumber - SOAP::SOAPString
#   acctName - SOAP::SOAPString
#   includeChildren - SOAP::SOAPBoolean
#   currency - ActiveNetsuite::RecordRef
#   exchangeRate - SOAP::SOAPString
#   generalRate - ActiveNetsuite::ConsolidatedRate
#   parent - ActiveNetsuite::RecordRef
#   cashFlowRate - ActiveNetsuite::ConsolidatedRate
#   billableExpensesAcct - ActiveNetsuite::RecordRef
#   deferralAcct - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   curDocNum - SOAP::SOAPLong
#   isInactive - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   inventory - SOAP::SOAPBoolean
#   eliminate - SOAP::SOAPBoolean
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   category1099misc - ActiveNetsuite::RecordRef
#   openingBalance - SOAP::SOAPDouble
#   tranDate - SOAP::SOAPDateTime
#   revalue - SOAP::SOAPBoolean
#   translationsList - ActiveNetsuite::AccountTranslationList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Account < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :acctType
  attr_accessor :acctNumber
  attr_accessor :acctName
  attr_accessor :includeChildren
  attr_accessor :currency
  attr_accessor :exchangeRate
  attr_accessor :generalRate
  attr_accessor :parent
  attr_accessor :cashFlowRate
  attr_accessor :billableExpensesAcct
  attr_accessor :deferralAcct
  attr_accessor :description
  attr_accessor :curDocNum
  attr_accessor :isInactive
  attr_accessor :department
  attr_accessor :location
  attr_accessor :inventory
  attr_accessor :eliminate
  attr_accessor :subsidiaryList
  attr_accessor :category1099misc
  attr_accessor :openingBalance
  attr_accessor :tranDate
  attr_accessor :revalue
  attr_accessor :translationsList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, acctType = nil, acctNumber = nil, acctName = nil, includeChildren = nil, currency = nil, exchangeRate = nil, generalRate = nil, parent = nil, cashFlowRate = nil, billableExpensesAcct = nil, deferralAcct = nil, description = nil, curDocNum = nil, isInactive = nil, department = nil, v_class = nil, location = nil, inventory = nil, eliminate = nil, subsidiaryList = nil, category1099misc = nil, openingBalance = nil, tranDate = nil, revalue = nil, translationsList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @acctType = acctType
    @acctNumber = acctNumber
    @acctName = acctName
    @includeChildren = includeChildren
    @currency = currency
    @exchangeRate = exchangeRate
    @generalRate = generalRate
    @parent = parent
    @cashFlowRate = cashFlowRate
    @billableExpensesAcct = billableExpensesAcct
    @deferralAcct = deferralAcct
    @description = description
    @curDocNum = curDocNum
    @isInactive = isInactive
    @department = department
    @v_class = v_class
    @location = location
    @inventory = inventory
    @eliminate = eliminate
    @subsidiaryList = subsidiaryList
    @category1099misc = category1099misc
    @openingBalance = openingBalance
    @tranDate = tranDate
    @revalue = revalue
    @translationsList = translationsList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}Department
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   includeChildren - SOAP::SOAPBoolean
#   parent - ActiveNetsuite::RecordRef
#   isInactive - SOAP::SOAPBoolean
#   classTranslationList - ActiveNetsuite::ClassTranslationList
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Department < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :includeChildren
  attr_accessor :parent
  attr_accessor :isInactive
  attr_accessor :classTranslationList
  attr_accessor :subsidiaryList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, includeChildren = nil, parent = nil, isInactive = nil, classTranslationList = nil, subsidiaryList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @name = name
    @includeChildren = includeChildren
    @parent = parent
    @isInactive = isInactive
    @classTranslationList = classTranslationList
    @subsidiaryList = subsidiaryList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}Classification
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   includeChildren - SOAP::SOAPBoolean
#   parent - ActiveNetsuite::RecordRef
#   isInactive - SOAP::SOAPBoolean
#   classTranslationList - ActiveNetsuite::ClassTranslationList
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Classification < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :includeChildren
  attr_accessor :parent
  attr_accessor :isInactive
  attr_accessor :classTranslationList
  attr_accessor :subsidiaryList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, includeChildren = nil, parent = nil, isInactive = nil, classTranslationList = nil, subsidiaryList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @name = name
    @includeChildren = includeChildren
    @parent = parent
    @isInactive = isInactive
    @classTranslationList = classTranslationList
    @subsidiaryList = subsidiaryList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}Location
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   includeChildren - SOAP::SOAPBoolean
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   isInactive - SOAP::SOAPBoolean
#   tranPrefix - SOAP::SOAPString
#   attention - SOAP::SOAPString
#   addressee - SOAP::SOAPString
#   addrPhone - SOAP::SOAPString
#   addr1 - SOAP::SOAPString
#   addr2 - SOAP::SOAPString
#   addr3 - SOAP::SOAPString
#   city - SOAP::SOAPString
#   state - SOAP::SOAPString
#   zip - SOAP::SOAPString
#   country - ActiveNetsuite::Country
#   addrText - SOAP::SOAPString
#   override - SOAP::SOAPBoolean
#   logo - ActiveNetsuite::RecordRef
#   makeInventoryAvailable - SOAP::SOAPBoolean
#   makeInventoryAvailableStore - SOAP::SOAPBoolean
#   classTranslationList - ActiveNetsuite::ClassTranslationList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Location < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :parent
  attr_accessor :includeChildren
  attr_accessor :subsidiaryList
  attr_accessor :isInactive
  attr_accessor :tranPrefix
  attr_accessor :attention
  attr_accessor :addressee
  attr_accessor :addrPhone
  attr_accessor :addr1
  attr_accessor :addr2
  attr_accessor :addr3
  attr_accessor :city
  attr_accessor :state
  attr_accessor :zip
  attr_accessor :country
  attr_accessor :addrText
  attr_accessor :override
  attr_accessor :logo
  attr_accessor :makeInventoryAvailable
  attr_accessor :makeInventoryAvailableStore
  attr_accessor :classTranslationList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, parent = nil, includeChildren = nil, subsidiaryList = nil, isInactive = nil, tranPrefix = nil, attention = nil, addressee = nil, addrPhone = nil, addr1 = nil, addr2 = nil, addr3 = nil, city = nil, state = nil, zip = nil, country = nil, addrText = nil, override = nil, logo = nil, makeInventoryAvailable = nil, makeInventoryAvailableStore = nil, classTranslationList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @name = name
    @parent = parent
    @includeChildren = includeChildren
    @subsidiaryList = subsidiaryList
    @isInactive = isInactive
    @tranPrefix = tranPrefix
    @attention = attention
    @addressee = addressee
    @addrPhone = addrPhone
    @addr1 = addr1
    @addr2 = addr2
    @addr3 = addr3
    @city = city
    @state = state
    @zip = zip
    @country = country
    @addrText = addrText
    @override = override
    @logo = logo
    @makeInventoryAvailable = makeInventoryAvailable
    @makeInventoryAvailableStore = makeInventoryAvailableStore
    @classTranslationList = classTranslationList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}UnitsType
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   uomList - ActiveNetsuite::UnitsTypeUomList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class UnitsType < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :isInactive
  attr_accessor :uomList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, isInactive = nil, uomList = nil)
    @nullFieldList = nullFieldList
    @name = name
    @isInactive = isInactive
    @uomList = uomList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ContactRole
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   description - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class ContactRole < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :description
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, description = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @description = description
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}Bin
#   nullFieldList - ActiveNetsuite::NullField
#   binNumber - SOAP::SOAPString
#   location - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Bin < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :binNumber
  attr_accessor :location
  attr_accessor :memo
  attr_accessor :isInactive
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, binNumber = nil, location = nil, memo = nil, isInactive = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @binNumber = binNumber
    @location = location
    @memo = memo
    @isInactive = isInactive
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}SalesTaxItem
#   nullFieldList - ActiveNetsuite::NullField
#   itemId - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   description - SOAP::SOAPString
#   rate - SOAP::SOAPString
#   taxType - ActiveNetsuite::RecordRef
#   taxAgency - ActiveNetsuite::RecordRef
#   purchaseAccount - ActiveNetsuite::RecordRef
#   saleAccount - ActiveNetsuite::RecordRef
#   isInactive - SOAP::SOAPBoolean
#   effectiveFrom - SOAP::SOAPDateTime
#   validUntil - SOAP::SOAPDateTime
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   includeChildren - SOAP::SOAPBoolean
#   eccode - SOAP::SOAPBoolean
#   reverseCharge - SOAP::SOAPBoolean
#   parent - ActiveNetsuite::RecordRef
#   service - SOAP::SOAPBoolean
#   exempt - SOAP::SOAPBoolean
#   isDefault - SOAP::SOAPBoolean
#   excludeFromTaxReports - SOAP::SOAPBoolean
#   available - ActiveNetsuite::SalesTaxItemAvailable
#   export - SOAP::SOAPBoolean
#   taxAccount - ActiveNetsuite::RecordRef
#   county - SOAP::SOAPString
#   city - SOAP::SOAPString
#   state - SOAP::SOAPString
#   zip - SOAP::SOAPString
#   nexusCountry - ActiveNetsuite::RecordRef
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class SalesTaxItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :itemId
  attr_accessor :displayName
  attr_accessor :description
  attr_accessor :rate
  attr_accessor :taxType
  attr_accessor :taxAgency
  attr_accessor :purchaseAccount
  attr_accessor :saleAccount
  attr_accessor :isInactive
  attr_accessor :effectiveFrom
  attr_accessor :validUntil
  attr_accessor :subsidiaryList
  attr_accessor :includeChildren
  attr_accessor :eccode
  attr_accessor :reverseCharge
  attr_accessor :parent
  attr_accessor :service
  attr_accessor :exempt
  attr_accessor :isDefault
  attr_accessor :excludeFromTaxReports
  attr_accessor :available
  attr_accessor :export
  attr_accessor :taxAccount
  attr_accessor :county
  attr_accessor :city
  attr_accessor :state
  attr_accessor :zip
  attr_accessor :nexusCountry

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, itemId = nil, displayName = nil, description = nil, rate = nil, taxType = nil, taxAgency = nil, purchaseAccount = nil, saleAccount = nil, isInactive = nil, effectiveFrom = nil, validUntil = nil, subsidiaryList = nil, includeChildren = nil, eccode = nil, reverseCharge = nil, parent = nil, service = nil, exempt = nil, isDefault = nil, excludeFromTaxReports = nil, available = nil, export = nil, taxAccount = nil, county = nil, city = nil, state = nil, zip = nil, nexusCountry = nil)
    @nullFieldList = nullFieldList
    @itemId = itemId
    @displayName = displayName
    @description = description
    @rate = rate
    @taxType = taxType
    @taxAgency = taxAgency
    @purchaseAccount = purchaseAccount
    @saleAccount = saleAccount
    @isInactive = isInactive
    @effectiveFrom = effectiveFrom
    @validUntil = validUntil
    @subsidiaryList = subsidiaryList
    @includeChildren = includeChildren
    @eccode = eccode
    @reverseCharge = reverseCharge
    @parent = parent
    @service = service
    @exempt = exempt
    @isDefault = isDefault
    @excludeFromTaxReports = excludeFromTaxReports
    @available = available
    @export = export
    @taxAccount = taxAccount
    @county = county
    @city = city
    @state = state
    @zip = zip
    @nexusCountry = nexusCountry
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}TaxGroup
#   nullFieldList - ActiveNetsuite::NullField
#   itemId - SOAP::SOAPString
#   description - SOAP::SOAPString
#   state - SOAP::SOAPString
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   taxitem1 - ActiveNetsuite::RecordRef
#   unitprice1 - SOAP::SOAPString
#   taxitem2 - ActiveNetsuite::RecordRef
#   unitprice2 - SOAP::SOAPString
#   piggyback - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   rate - SOAP::SOAPDouble
#   taxType - ActiveNetsuite::RecordRef
#   includeChildren - SOAP::SOAPBoolean
#   county - SOAP::SOAPString
#   city - SOAP::SOAPString
#   zip - SOAP::SOAPString
#   nexusCountry - ActiveNetsuite::RecordRef
#   isDefault - SOAP::SOAPBoolean
#   taxItemList - ActiveNetsuite::TaxGroupTaxItemList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class TaxGroup < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :itemId
  attr_accessor :description
  attr_accessor :state
  attr_accessor :subsidiaryList
  attr_accessor :taxitem1
  attr_accessor :unitprice1
  attr_accessor :taxitem2
  attr_accessor :unitprice2
  attr_accessor :piggyback
  attr_accessor :isInactive
  attr_accessor :rate
  attr_accessor :taxType
  attr_accessor :includeChildren
  attr_accessor :county
  attr_accessor :city
  attr_accessor :zip
  attr_accessor :nexusCountry
  attr_accessor :isDefault
  attr_accessor :taxItemList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, itemId = nil, description = nil, state = nil, subsidiaryList = nil, taxitem1 = nil, unitprice1 = nil, taxitem2 = nil, unitprice2 = nil, piggyback = nil, isInactive = nil, rate = nil, taxType = nil, includeChildren = nil, county = nil, city = nil, zip = nil, nexusCountry = nil, isDefault = nil, taxItemList = nil)
    @nullFieldList = nullFieldList
    @itemId = itemId
    @description = description
    @state = state
    @subsidiaryList = subsidiaryList
    @taxitem1 = taxitem1
    @unitprice1 = unitprice1
    @taxitem2 = taxitem2
    @unitprice2 = unitprice2
    @piggyback = piggyback
    @isInactive = isInactive
    @rate = rate
    @taxType = taxType
    @includeChildren = includeChildren
    @county = county
    @city = city
    @zip = zip
    @nexusCountry = nexusCountry
    @isDefault = isDefault
    @taxItemList = taxItemList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}TaxType
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   description - SOAP::SOAPString
#   nexusesTaxList - ActiveNetsuite::TaxTypeNexusesTaxList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class TaxType < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :description
  attr_accessor :nexusesTaxList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, description = nil, nexusesTaxList = nil)
    @nullFieldList = nullFieldList
    @name = name
    @description = description
    @nexusesTaxList = nexusesTaxList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}SerializedInventoryItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   matrixType - ActiveNetsuite::ItemMatrixType
#   includeChildren - SOAP::SOAPBoolean
#   vendorName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   isOnline - SOAP::SOAPBoolean
#   isHazmatItem - SOAP::SOAPBoolean
#   hazmatId - SOAP::SOAPString
#   hazmatShippingName - SOAP::SOAPString
#   hazmatHazardClass - SOAP::SOAPString
#   hazmatPackingGroup - ActiveNetsuite::HazmatPackingGroup
#   hazmatItemUnits - SOAP::SOAPString
#   hazmatItemUnitsQty - SOAP::SOAPDouble
#   isGcoCompliant - SOAP::SOAPBoolean
#   offerSupport - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   costingMethod - ActiveNetsuite::ItemCostingMethod
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   purchaseDescription - SOAP::SOAPString
#   copyDescription - SOAP::SOAPBoolean
#   issueProduct - ActiveNetsuite::RecordRef
#   currency - SOAP::SOAPString
#   cogsAccount - ActiveNetsuite::RecordRef
#   vendor - ActiveNetsuite::RecordRef
#   salesDescription - SOAP::SOAPString
#   lastInvtCountDate - SOAP::SOAPDateTime
#   nextInvtCountDate - SOAP::SOAPDateTime
#   invtCountInterval - SOAP::SOAPLong
#   invtClassification - ActiveNetsuite::ItemInvtClassification
#   incomeAccount - ActiveNetsuite::RecordRef
#   isTaxable - SOAP::SOAPBoolean
#   taxSchedule - ActiveNetsuite::RecordRef
#   dropshipExpenseAccount - ActiveNetsuite::RecordRef
#   assetAccount - ActiveNetsuite::RecordRef
#   matchBillToReceipt - SOAP::SOAPBoolean
#   billQtyVarianceAcct - ActiveNetsuite::RecordRef
#   billPriceVarianceAcct - ActiveNetsuite::RecordRef
#   billExchRateVarianceAcct - ActiveNetsuite::RecordRef
#   gainLossAccount - ActiveNetsuite::RecordRef
#   shippingCost - SOAP::SOAPDouble
#   handlingCost - SOAP::SOAPDouble
#   weight - SOAP::SOAPDouble
#   costingMethodDisplay - SOAP::SOAPString
#   shippingCostUnits - SOAP::SOAPString
#   handlingCostUnits - SOAP::SOAPString
#   unitsType - ActiveNetsuite::RecordRef
#   stockUnit - ActiveNetsuite::RecordRef
#   purchaseUnit - ActiveNetsuite::RecordRef
#   saleUnit - ActiveNetsuite::RecordRef
#   minimumQuantityUnits - SOAP::SOAPString
#   safetyStockLevelUnits - SOAP::SOAPString
#   billingSchedule - ActiveNetsuite::RecordRef
#   trackLandedCost - SOAP::SOAPBoolean
#   isDropShipItem - SOAP::SOAPBoolean
#   isSpecialOrderItem - SOAP::SOAPBoolean
#   stockDescription - SOAP::SOAPString
#   deferredRevenueAccount - ActiveNetsuite::RecordRef
#   producer - SOAP::SOAPBoolean
#   manufacturer - SOAP::SOAPString
#   revRecSchedule - ActiveNetsuite::RecordRef
#   mpn - SOAP::SOAPString
#   multManufactureAddr - SOAP::SOAPBoolean
#   manufacturerAddr1 - SOAP::SOAPString
#   manufacturerCity - SOAP::SOAPString
#   manufacturerState - SOAP::SOAPString
#   manufacturerZip - SOAP::SOAPString
#   countryOfManufacture - ActiveNetsuite::Country
#   defaultItemShipMethod - ActiveNetsuite::RecordRef
#   itemCarrier - ActiveNetsuite::ItemCarrier
#   roundUpAsComponent - SOAP::SOAPBoolean
#   itemShipMethodList - ActiveNetsuite::RecordRefList
#   manufacturerTaxId - SOAP::SOAPString
#   scheduleBNumber - SOAP::SOAPString
#   scheduleBQuantity - SOAP::SOAPLong
#   scheduleBCode - ActiveNetsuite::ScheduleBCode
#   manufacturerTariff - SOAP::SOAPString
#   preferenceCriterion - ActiveNetsuite::ItemPreferenceCriterion
#   minimumQuantity - SOAP::SOAPLong
#   enforceMinQtyInternally - SOAP::SOAPBoolean
#   shipPackage - ActiveNetsuite::RecordRef
#   shipIndividually - SOAP::SOAPBoolean
#   softDescriptor - ActiveNetsuite::RecordRef
#   costCategory - ActiveNetsuite::RecordRef
#   pricesIncludeTax - SOAP::SOAPBoolean
#   quantityPricingSchedule - ActiveNetsuite::RecordRef
#   useMarginalRates - SOAP::SOAPBoolean
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   costEstimate - SOAP::SOAPDouble
#   transferPrice - SOAP::SOAPDouble
#   overallQuantityPricingType - ActiveNetsuite::ItemOverallQuantityPricingType
#   pricingGroup - ActiveNetsuite::RecordRef
#   preferredLocation - ActiveNetsuite::RecordRef
#   vsoePrice - SOAP::SOAPDouble
#   vsoeSopGroup - ActiveNetsuite::VsoeSopGroup
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   cost - SOAP::SOAPDouble
#   costUnits - SOAP::SOAPString
#   quantityReorderUnits - SOAP::SOAPString
#   reorderMultiple - SOAP::SOAPLong
#   totalValue - SOAP::SOAPDouble
#   useBins - SOAP::SOAPBoolean
#   leadTime - SOAP::SOAPLong
#   autoLeadTime - SOAP::SOAPBoolean
#   autoReorderPoint - SOAP::SOAPBoolean
#   autoPreferredStockLevel - SOAP::SOAPBoolean
#   preferredStockLevelDays - SOAP::SOAPDouble
#   averageCost - SOAP::SOAPDouble
#   safetyStockLevel - SOAP::SOAPDouble
#   lastPurchasePrice - SOAP::SOAPDouble
#   safetyStockLevelDays - SOAP::SOAPLong
#   backwardConsumptionDays - SOAP::SOAPLong
#   seasonalDemand - SOAP::SOAPBoolean
#   demandModifier - SOAP::SOAPDouble
#   storeDisplayName - SOAP::SOAPString
#   storeDisplayThumbnail - ActiveNetsuite::RecordRef
#   weightUnit - ActiveNetsuite::ItemWeightUnit
#   weightUnits - SOAP::SOAPString
#   storeDisplayImage - ActiveNetsuite::RecordRef
#   storeDescription - SOAP::SOAPString
#   storeDetailedDescription - SOAP::SOAPString
#   storeItemTemplate - ActiveNetsuite::RecordRef
#   pageTitle - SOAP::SOAPString
#   metaTagHtml - SOAP::SOAPString
#   excludeFromSitemap - SOAP::SOAPBoolean
#   sitemapPriority - ActiveNetsuite::SitemapPriority
#   searchKeywords - SOAP::SOAPString
#   isDonationItem - SOAP::SOAPBoolean
#   showDefaultDonationAmount - SOAP::SOAPBoolean
#   maxDonationAmount - SOAP::SOAPDouble
#   shoppingDotComCategory - SOAP::SOAPString
#   shopzillaCategoryId - SOAP::SOAPLong
#   nexTagCategory - SOAP::SOAPString
#   quantityOnHand - SOAP::SOAPDouble
#   quantityOnHandUnits - SOAP::SOAPString
#   onHandValueMli - SOAP::SOAPDouble
#   serialNumbers - SOAP::SOAPString
#   reorderPoint - SOAP::SOAPDouble
#   preferredStockLevel - SOAP::SOAPDouble
#   reorderPointUnits - SOAP::SOAPString
#   defaultReturnCost - SOAP::SOAPDouble
#   supplyReplenishmentMethod - ActiveNetsuite::RecordRef
#   alternateDemandSourceItem - ActiveNetsuite::RecordRef
#   fixedLotSize - SOAP::SOAPDouble
#   periodicLotSizeType - ActiveNetsuite::PeriodicLotSizeType
#   supplyType - ActiveNetsuite::RecordRef
#   periodicLotSizeDays - SOAP::SOAPLong
#   supplyLotSizingMethod - ActiveNetsuite::RecordRef
#   forwardConsumptionDays - SOAP::SOAPLong
#   demandSource - ActiveNetsuite::RecordRef
#   quantityOnOrder - SOAP::SOAPDouble
#   preferredStockLevelUnits - SOAP::SOAPString
#   quantityCommitted - SOAP::SOAPDouble
#   quantityAvailable - SOAP::SOAPDouble
#   quantityBackOrdered - SOAP::SOAPDouble
#   purchaseTaxCode - ActiveNetsuite::RecordRef
#   purchasePriceVarianceAcct - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPDouble
#   salesTaxCode - ActiveNetsuite::RecordRef
#   onSpecial - SOAP::SOAPBoolean
#   dontShowPrice - SOAP::SOAPBoolean
#   noPriceMessage - SOAP::SOAPString
#   outOfStockMessage - SOAP::SOAPString
#   specialsDescription - SOAP::SOAPString
#   outOfStockBehavior - ActiveNetsuite::ItemOutOfStockBehavior
#   relatedItemsDescription - SOAP::SOAPString
#   featuredDescription - SOAP::SOAPString
#   productFeedList - ActiveNetsuite::ProductFeedList
#   urlComponent - SOAP::SOAPString
#   itemOptionsList - ActiveNetsuite::ItemOptionsList
#   matrixOptionList - ActiveNetsuite::MatrixOptionList
#   itemVendorList - ActiveNetsuite::ItemVendorList
#   pricingMatrix - ActiveNetsuite::PricingMatrix
#   itemNumberOptionsList - ActiveNetsuite::RecordRefList
#   numbersList - ActiveNetsuite::SerializedInventoryItemNumbersList
#   binNumberList - ActiveNetsuite::InventoryItemBinNumberList
#   siteCategoryList - ActiveNetsuite::SiteCategoryList
#   locationsList - ActiveNetsuite::SerializedInventoryItemLocationsList
#   translationsList - ActiveNetsuite::TranslationList
#   presentationItemList - ActiveNetsuite::PresentationItemList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class SerializedInventoryItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :matrixType
  attr_accessor :includeChildren
  attr_accessor :vendorName
  attr_accessor :parent
  attr_accessor :isOnline
  attr_accessor :isHazmatItem
  attr_accessor :hazmatId
  attr_accessor :hazmatShippingName
  attr_accessor :hazmatHazardClass
  attr_accessor :hazmatPackingGroup
  attr_accessor :hazmatItemUnits
  attr_accessor :hazmatItemUnitsQty
  attr_accessor :isGcoCompliant
  attr_accessor :offerSupport
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :department
  attr_accessor :location
  attr_accessor :costingMethod
  attr_accessor :subsidiaryList
  attr_accessor :purchaseDescription
  attr_accessor :copyDescription
  attr_accessor :issueProduct
  attr_accessor :currency
  attr_accessor :cogsAccount
  attr_accessor :vendor
  attr_accessor :salesDescription
  attr_accessor :lastInvtCountDate
  attr_accessor :nextInvtCountDate
  attr_accessor :invtCountInterval
  attr_accessor :invtClassification
  attr_accessor :incomeAccount
  attr_accessor :isTaxable
  attr_accessor :taxSchedule
  attr_accessor :dropshipExpenseAccount
  attr_accessor :assetAccount
  attr_accessor :matchBillToReceipt
  attr_accessor :billQtyVarianceAcct
  attr_accessor :billPriceVarianceAcct
  attr_accessor :billExchRateVarianceAcct
  attr_accessor :gainLossAccount
  attr_accessor :shippingCost
  attr_accessor :handlingCost
  attr_accessor :weight
  attr_accessor :costingMethodDisplay
  attr_accessor :shippingCostUnits
  attr_accessor :handlingCostUnits
  attr_accessor :unitsType
  attr_accessor :stockUnit
  attr_accessor :purchaseUnit
  attr_accessor :saleUnit
  attr_accessor :minimumQuantityUnits
  attr_accessor :safetyStockLevelUnits
  attr_accessor :billingSchedule
  attr_accessor :trackLandedCost
  attr_accessor :isDropShipItem
  attr_accessor :isSpecialOrderItem
  attr_accessor :stockDescription
  attr_accessor :deferredRevenueAccount
  attr_accessor :producer
  attr_accessor :manufacturer
  attr_accessor :revRecSchedule
  attr_accessor :mpn
  attr_accessor :multManufactureAddr
  attr_accessor :manufacturerAddr1
  attr_accessor :manufacturerCity
  attr_accessor :manufacturerState
  attr_accessor :manufacturerZip
  attr_accessor :countryOfManufacture
  attr_accessor :defaultItemShipMethod
  attr_accessor :itemCarrier
  attr_accessor :roundUpAsComponent
  attr_accessor :itemShipMethodList
  attr_accessor :manufacturerTaxId
  attr_accessor :scheduleBNumber
  attr_accessor :scheduleBQuantity
  attr_accessor :scheduleBCode
  attr_accessor :manufacturerTariff
  attr_accessor :preferenceCriterion
  attr_accessor :minimumQuantity
  attr_accessor :enforceMinQtyInternally
  attr_accessor :shipPackage
  attr_accessor :shipIndividually
  attr_accessor :softDescriptor
  attr_accessor :costCategory
  attr_accessor :pricesIncludeTax
  attr_accessor :quantityPricingSchedule
  attr_accessor :useMarginalRates
  attr_accessor :costEstimateType
  attr_accessor :costEstimate
  attr_accessor :transferPrice
  attr_accessor :overallQuantityPricingType
  attr_accessor :pricingGroup
  attr_accessor :preferredLocation
  attr_accessor :vsoePrice
  attr_accessor :vsoeSopGroup
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :cost
  attr_accessor :costUnits
  attr_accessor :quantityReorderUnits
  attr_accessor :reorderMultiple
  attr_accessor :totalValue
  attr_accessor :useBins
  attr_accessor :leadTime
  attr_accessor :autoLeadTime
  attr_accessor :autoReorderPoint
  attr_accessor :autoPreferredStockLevel
  attr_accessor :preferredStockLevelDays
  attr_accessor :averageCost
  attr_accessor :safetyStockLevel
  attr_accessor :lastPurchasePrice
  attr_accessor :safetyStockLevelDays
  attr_accessor :backwardConsumptionDays
  attr_accessor :seasonalDemand
  attr_accessor :demandModifier
  attr_accessor :storeDisplayName
  attr_accessor :storeDisplayThumbnail
  attr_accessor :weightUnit
  attr_accessor :weightUnits
  attr_accessor :storeDisplayImage
  attr_accessor :storeDescription
  attr_accessor :storeDetailedDescription
  attr_accessor :storeItemTemplate
  attr_accessor :pageTitle
  attr_accessor :metaTagHtml
  attr_accessor :excludeFromSitemap
  attr_accessor :sitemapPriority
  attr_accessor :searchKeywords
  attr_accessor :isDonationItem
  attr_accessor :showDefaultDonationAmount
  attr_accessor :maxDonationAmount
  attr_accessor :shoppingDotComCategory
  attr_accessor :shopzillaCategoryId
  attr_accessor :nexTagCategory
  attr_accessor :quantityOnHand
  attr_accessor :quantityOnHandUnits
  attr_accessor :onHandValueMli
  attr_accessor :serialNumbers
  attr_accessor :reorderPoint
  attr_accessor :preferredStockLevel
  attr_accessor :reorderPointUnits
  attr_accessor :defaultReturnCost
  attr_accessor :supplyReplenishmentMethod
  attr_accessor :alternateDemandSourceItem
  attr_accessor :fixedLotSize
  attr_accessor :periodicLotSizeType
  attr_accessor :supplyType
  attr_accessor :periodicLotSizeDays
  attr_accessor :supplyLotSizingMethod
  attr_accessor :forwardConsumptionDays
  attr_accessor :demandSource
  attr_accessor :quantityOnOrder
  attr_accessor :preferredStockLevelUnits
  attr_accessor :quantityCommitted
  attr_accessor :quantityAvailable
  attr_accessor :quantityBackOrdered
  attr_accessor :purchaseTaxCode
  attr_accessor :purchasePriceVarianceAcct
  attr_accessor :rate
  attr_accessor :salesTaxCode
  attr_accessor :onSpecial
  attr_accessor :dontShowPrice
  attr_accessor :noPriceMessage
  attr_accessor :outOfStockMessage
  attr_accessor :specialsDescription
  attr_accessor :outOfStockBehavior
  attr_accessor :relatedItemsDescription
  attr_accessor :featuredDescription
  attr_accessor :productFeedList
  attr_accessor :urlComponent
  attr_accessor :itemOptionsList
  attr_accessor :matrixOptionList
  attr_accessor :itemVendorList
  attr_accessor :pricingMatrix
  attr_accessor :itemNumberOptionsList
  attr_accessor :numbersList
  attr_accessor :binNumberList
  attr_accessor :siteCategoryList
  attr_accessor :locationsList
  attr_accessor :translationsList
  attr_accessor :presentationItemList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, itemId = nil, upcCode = nil, displayName = nil, matrixType = nil, includeChildren = nil, vendorName = nil, parent = nil, isOnline = nil, isHazmatItem = nil, hazmatId = nil, hazmatShippingName = nil, hazmatHazardClass = nil, hazmatPackingGroup = nil, hazmatItemUnits = nil, hazmatItemUnitsQty = nil, isGcoCompliant = nil, offerSupport = nil, isInactive = nil, availableToPartners = nil, department = nil, v_class = nil, location = nil, costingMethod = nil, subsidiaryList = nil, purchaseDescription = nil, copyDescription = nil, issueProduct = nil, currency = nil, cogsAccount = nil, vendor = nil, salesDescription = nil, lastInvtCountDate = nil, nextInvtCountDate = nil, invtCountInterval = nil, invtClassification = nil, incomeAccount = nil, isTaxable = nil, taxSchedule = nil, dropshipExpenseAccount = nil, assetAccount = nil, matchBillToReceipt = nil, billQtyVarianceAcct = nil, billPriceVarianceAcct = nil, billExchRateVarianceAcct = nil, gainLossAccount = nil, shippingCost = nil, handlingCost = nil, weight = nil, costingMethodDisplay = nil, shippingCostUnits = nil, handlingCostUnits = nil, unitsType = nil, stockUnit = nil, purchaseUnit = nil, saleUnit = nil, minimumQuantityUnits = nil, safetyStockLevelUnits = nil, billingSchedule = nil, trackLandedCost = nil, isDropShipItem = nil, isSpecialOrderItem = nil, stockDescription = nil, deferredRevenueAccount = nil, producer = nil, manufacturer = nil, revRecSchedule = nil, mpn = nil, multManufactureAddr = nil, manufacturerAddr1 = nil, manufacturerCity = nil, manufacturerState = nil, manufacturerZip = nil, countryOfManufacture = nil, defaultItemShipMethod = nil, itemCarrier = nil, roundUpAsComponent = nil, itemShipMethodList = nil, manufacturerTaxId = nil, scheduleBNumber = nil, scheduleBQuantity = nil, scheduleBCode = nil, manufacturerTariff = nil, preferenceCriterion = nil, minimumQuantity = nil, enforceMinQtyInternally = nil, shipPackage = nil, shipIndividually = nil, softDescriptor = nil, costCategory = nil, pricesIncludeTax = nil, quantityPricingSchedule = nil, useMarginalRates = nil, costEstimateType = nil, costEstimate = nil, transferPrice = nil, overallQuantityPricingType = nil, pricingGroup = nil, preferredLocation = nil, vsoePrice = nil, vsoeSopGroup = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, cost = nil, costUnits = nil, quantityReorderUnits = nil, reorderMultiple = nil, totalValue = nil, useBins = nil, leadTime = nil, autoLeadTime = nil, autoReorderPoint = nil, autoPreferredStockLevel = nil, preferredStockLevelDays = nil, averageCost = nil, safetyStockLevel = nil, lastPurchasePrice = nil, safetyStockLevelDays = nil, backwardConsumptionDays = nil, seasonalDemand = nil, demandModifier = nil, storeDisplayName = nil, storeDisplayThumbnail = nil, weightUnit = nil, weightUnits = nil, storeDisplayImage = nil, storeDescription = nil, storeDetailedDescription = nil, storeItemTemplate = nil, pageTitle = nil, metaTagHtml = nil, excludeFromSitemap = nil, sitemapPriority = nil, searchKeywords = nil, isDonationItem = nil, showDefaultDonationAmount = nil, maxDonationAmount = nil, shoppingDotComCategory = nil, shopzillaCategoryId = nil, nexTagCategory = nil, quantityOnHand = nil, quantityOnHandUnits = nil, onHandValueMli = nil, serialNumbers = nil, reorderPoint = nil, preferredStockLevel = nil, reorderPointUnits = nil, defaultReturnCost = nil, supplyReplenishmentMethod = nil, alternateDemandSourceItem = nil, fixedLotSize = nil, periodicLotSizeType = nil, supplyType = nil, periodicLotSizeDays = nil, supplyLotSizingMethod = nil, forwardConsumptionDays = nil, demandSource = nil, quantityOnOrder = nil, preferredStockLevelUnits = nil, quantityCommitted = nil, quantityAvailable = nil, quantityBackOrdered = nil, purchaseTaxCode = nil, purchasePriceVarianceAcct = nil, rate = nil, salesTaxCode = nil, onSpecial = nil, dontShowPrice = nil, noPriceMessage = nil, outOfStockMessage = nil, specialsDescription = nil, outOfStockBehavior = nil, relatedItemsDescription = nil, featuredDescription = nil, productFeedList = nil, urlComponent = nil, itemOptionsList = nil, matrixOptionList = nil, itemVendorList = nil, pricingMatrix = nil, itemNumberOptionsList = nil, numbersList = nil, binNumberList = nil, siteCategoryList = nil, locationsList = nil, translationsList = nil, presentationItemList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @itemId = itemId
    @upcCode = upcCode
    @displayName = displayName
    @matrixType = matrixType
    @includeChildren = includeChildren
    @vendorName = vendorName
    @parent = parent
    @isOnline = isOnline
    @isHazmatItem = isHazmatItem
    @hazmatId = hazmatId
    @hazmatShippingName = hazmatShippingName
    @hazmatHazardClass = hazmatHazardClass
    @hazmatPackingGroup = hazmatPackingGroup
    @hazmatItemUnits = hazmatItemUnits
    @hazmatItemUnitsQty = hazmatItemUnitsQty
    @isGcoCompliant = isGcoCompliant
    @offerSupport = offerSupport
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @department = department
    @v_class = v_class
    @location = location
    @costingMethod = costingMethod
    @subsidiaryList = subsidiaryList
    @purchaseDescription = purchaseDescription
    @copyDescription = copyDescription
    @issueProduct = issueProduct
    @currency = currency
    @cogsAccount = cogsAccount
    @vendor = vendor
    @salesDescription = salesDescription
    @lastInvtCountDate = lastInvtCountDate
    @nextInvtCountDate = nextInvtCountDate
    @invtCountInterval = invtCountInterval
    @invtClassification = invtClassification
    @incomeAccount = incomeAccount
    @isTaxable = isTaxable
    @taxSchedule = taxSchedule
    @dropshipExpenseAccount = dropshipExpenseAccount
    @assetAccount = assetAccount
    @matchBillToReceipt = matchBillToReceipt
    @billQtyVarianceAcct = billQtyVarianceAcct
    @billPriceVarianceAcct = billPriceVarianceAcct
    @billExchRateVarianceAcct = billExchRateVarianceAcct
    @gainLossAccount = gainLossAccount
    @shippingCost = shippingCost
    @handlingCost = handlingCost
    @weight = weight
    @costingMethodDisplay = costingMethodDisplay
    @shippingCostUnits = shippingCostUnits
    @handlingCostUnits = handlingCostUnits
    @unitsType = unitsType
    @stockUnit = stockUnit
    @purchaseUnit = purchaseUnit
    @saleUnit = saleUnit
    @minimumQuantityUnits = minimumQuantityUnits
    @safetyStockLevelUnits = safetyStockLevelUnits
    @billingSchedule = billingSchedule
    @trackLandedCost = trackLandedCost
    @isDropShipItem = isDropShipItem
    @isSpecialOrderItem = isSpecialOrderItem
    @stockDescription = stockDescription
    @deferredRevenueAccount = deferredRevenueAccount
    @producer = producer
    @manufacturer = manufacturer
    @revRecSchedule = revRecSchedule
    @mpn = mpn
    @multManufactureAddr = multManufactureAddr
    @manufacturerAddr1 = manufacturerAddr1
    @manufacturerCity = manufacturerCity
    @manufacturerState = manufacturerState
    @manufacturerZip = manufacturerZip
    @countryOfManufacture = countryOfManufacture
    @defaultItemShipMethod = defaultItemShipMethod
    @itemCarrier = itemCarrier
    @roundUpAsComponent = roundUpAsComponent
    @itemShipMethodList = itemShipMethodList
    @manufacturerTaxId = manufacturerTaxId
    @scheduleBNumber = scheduleBNumber
    @scheduleBQuantity = scheduleBQuantity
    @scheduleBCode = scheduleBCode
    @manufacturerTariff = manufacturerTariff
    @preferenceCriterion = preferenceCriterion
    @minimumQuantity = minimumQuantity
    @enforceMinQtyInternally = enforceMinQtyInternally
    @shipPackage = shipPackage
    @shipIndividually = shipIndividually
    @softDescriptor = softDescriptor
    @costCategory = costCategory
    @pricesIncludeTax = pricesIncludeTax
    @quantityPricingSchedule = quantityPricingSchedule
    @useMarginalRates = useMarginalRates
    @costEstimateType = costEstimateType
    @costEstimate = costEstimate
    @transferPrice = transferPrice
    @overallQuantityPricingType = overallQuantityPricingType
    @pricingGroup = pricingGroup
    @preferredLocation = preferredLocation
    @vsoePrice = vsoePrice
    @vsoeSopGroup = vsoeSopGroup
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @cost = cost
    @costUnits = costUnits
    @quantityReorderUnits = quantityReorderUnits
    @reorderMultiple = reorderMultiple
    @totalValue = totalValue
    @useBins = useBins
    @leadTime = leadTime
    @autoLeadTime = autoLeadTime
    @autoReorderPoint = autoReorderPoint
    @autoPreferredStockLevel = autoPreferredStockLevel
    @preferredStockLevelDays = preferredStockLevelDays
    @averageCost = averageCost
    @safetyStockLevel = safetyStockLevel
    @lastPurchasePrice = lastPurchasePrice
    @safetyStockLevelDays = safetyStockLevelDays
    @backwardConsumptionDays = backwardConsumptionDays
    @seasonalDemand = seasonalDemand
    @demandModifier = demandModifier
    @storeDisplayName = storeDisplayName
    @storeDisplayThumbnail = storeDisplayThumbnail
    @weightUnit = weightUnit
    @weightUnits = weightUnits
    @storeDisplayImage = storeDisplayImage
    @storeDescription = storeDescription
    @storeDetailedDescription = storeDetailedDescription
    @storeItemTemplate = storeItemTemplate
    @pageTitle = pageTitle
    @metaTagHtml = metaTagHtml
    @excludeFromSitemap = excludeFromSitemap
    @sitemapPriority = sitemapPriority
    @searchKeywords = searchKeywords
    @isDonationItem = isDonationItem
    @showDefaultDonationAmount = showDefaultDonationAmount
    @maxDonationAmount = maxDonationAmount
    @shoppingDotComCategory = shoppingDotComCategory
    @shopzillaCategoryId = shopzillaCategoryId
    @nexTagCategory = nexTagCategory
    @quantityOnHand = quantityOnHand
    @quantityOnHandUnits = quantityOnHandUnits
    @onHandValueMli = onHandValueMli
    @serialNumbers = serialNumbers
    @reorderPoint = reorderPoint
    @preferredStockLevel = preferredStockLevel
    @reorderPointUnits = reorderPointUnits
    @defaultReturnCost = defaultReturnCost
    @supplyReplenishmentMethod = supplyReplenishmentMethod
    @alternateDemandSourceItem = alternateDemandSourceItem
    @fixedLotSize = fixedLotSize
    @periodicLotSizeType = periodicLotSizeType
    @supplyType = supplyType
    @periodicLotSizeDays = periodicLotSizeDays
    @supplyLotSizingMethod = supplyLotSizingMethod
    @forwardConsumptionDays = forwardConsumptionDays
    @demandSource = demandSource
    @quantityOnOrder = quantityOnOrder
    @preferredStockLevelUnits = preferredStockLevelUnits
    @quantityCommitted = quantityCommitted
    @quantityAvailable = quantityAvailable
    @quantityBackOrdered = quantityBackOrdered
    @purchaseTaxCode = purchaseTaxCode
    @purchasePriceVarianceAcct = purchasePriceVarianceAcct
    @rate = rate
    @salesTaxCode = salesTaxCode
    @onSpecial = onSpecial
    @dontShowPrice = dontShowPrice
    @noPriceMessage = noPriceMessage
    @outOfStockMessage = outOfStockMessage
    @specialsDescription = specialsDescription
    @outOfStockBehavior = outOfStockBehavior
    @relatedItemsDescription = relatedItemsDescription
    @featuredDescription = featuredDescription
    @productFeedList = productFeedList
    @urlComponent = urlComponent
    @itemOptionsList = itemOptionsList
    @matrixOptionList = matrixOptionList
    @itemVendorList = itemVendorList
    @pricingMatrix = pricingMatrix
    @itemNumberOptionsList = itemNumberOptionsList
    @numbersList = numbersList
    @binNumberList = binNumberList
    @siteCategoryList = siteCategoryList
    @locationsList = locationsList
    @translationsList = translationsList
    @presentationItemList = presentationItemList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}LotNumberedInventoryItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   matrixType - ActiveNetsuite::ItemMatrixType
#   includeChildren - SOAP::SOAPBoolean
#   vendorName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   isOnline - SOAP::SOAPBoolean
#   isHazmatItem - SOAP::SOAPBoolean
#   hazmatId - SOAP::SOAPString
#   hazmatShippingName - SOAP::SOAPString
#   hazmatHazardClass - SOAP::SOAPString
#   hazmatPackingGroup - ActiveNetsuite::HazmatPackingGroup
#   hazmatItemUnits - SOAP::SOAPString
#   hazmatItemUnitsQty - SOAP::SOAPDouble
#   isGcoCompliant - SOAP::SOAPBoolean
#   offerSupport - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   costingMethod - ActiveNetsuite::ItemCostingMethod
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   purchaseDescription - SOAP::SOAPString
#   copyDescription - SOAP::SOAPBoolean
#   currency - SOAP::SOAPString
#   cogsAccount - ActiveNetsuite::RecordRef
#   vendor - ActiveNetsuite::RecordRef
#   salesDescription - SOAP::SOAPString
#   incomeAccount - ActiveNetsuite::RecordRef
#   issueProduct - ActiveNetsuite::RecordRef
#   taxSchedule - ActiveNetsuite::RecordRef
#   dropshipExpenseAccount - ActiveNetsuite::RecordRef
#   isTaxable - SOAP::SOAPBoolean
#   assetAccount - ActiveNetsuite::RecordRef
#   matchBillToReceipt - SOAP::SOAPBoolean
#   billQtyVarianceAcct - ActiveNetsuite::RecordRef
#   billPriceVarianceAcct - ActiveNetsuite::RecordRef
#   billExchRateVarianceAcct - ActiveNetsuite::RecordRef
#   gainLossAccount - ActiveNetsuite::RecordRef
#   shippingCost - SOAP::SOAPDouble
#   handlingCost - SOAP::SOAPDouble
#   weight - SOAP::SOAPDouble
#   costingMethodDisplay - SOAP::SOAPString
#   shippingCostUnits - SOAP::SOAPString
#   handlingCostUnits - SOAP::SOAPString
#   unitsType - ActiveNetsuite::RecordRef
#   stockUnit - ActiveNetsuite::RecordRef
#   purchaseUnit - ActiveNetsuite::RecordRef
#   saleUnit - ActiveNetsuite::RecordRef
#   minimumQuantityUnits - SOAP::SOAPString
#   safetyStockLevelUnits - SOAP::SOAPString
#   billingSchedule - ActiveNetsuite::RecordRef
#   trackLandedCost - SOAP::SOAPBoolean
#   isDropShipItem - SOAP::SOAPBoolean
#   isSpecialOrderItem - SOAP::SOAPBoolean
#   stockDescription - SOAP::SOAPString
#   deferredRevenueAccount - ActiveNetsuite::RecordRef
#   producer - SOAP::SOAPBoolean
#   manufacturer - SOAP::SOAPString
#   revRecSchedule - ActiveNetsuite::RecordRef
#   mpn - SOAP::SOAPString
#   multManufactureAddr - SOAP::SOAPBoolean
#   manufacturerAddr1 - SOAP::SOAPString
#   manufacturerCity - SOAP::SOAPString
#   manufacturerState - SOAP::SOAPString
#   manufacturerZip - SOAP::SOAPString
#   countryOfManufacture - ActiveNetsuite::Country
#   defaultItemShipMethod - ActiveNetsuite::RecordRef
#   itemCarrier - ActiveNetsuite::ItemCarrier
#   roundUpAsComponent - SOAP::SOAPBoolean
#   itemShipMethodList - ActiveNetsuite::RecordRefList
#   manufacturerTaxId - SOAP::SOAPString
#   scheduleBNumber - SOAP::SOAPString
#   scheduleBQuantity - SOAP::SOAPLong
#   scheduleBCode - ActiveNetsuite::ScheduleBCode
#   manufacturerTariff - SOAP::SOAPString
#   preferenceCriterion - ActiveNetsuite::ItemPreferenceCriterion
#   minimumQuantity - SOAP::SOAPLong
#   enforceMinQtyInternally - SOAP::SOAPBoolean
#   shipPackage - ActiveNetsuite::RecordRef
#   shipIndividually - SOAP::SOAPBoolean
#   softDescriptor - ActiveNetsuite::RecordRef
#   costCategory - ActiveNetsuite::RecordRef
#   pricesIncludeTax - SOAP::SOAPBoolean
#   purchasePriceVarianceAcct - ActiveNetsuite::RecordRef
#   quantityPricingSchedule - ActiveNetsuite::RecordRef
#   useMarginalRates - SOAP::SOAPBoolean
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   costEstimate - SOAP::SOAPDouble
#   transferPrice - SOAP::SOAPDouble
#   overallQuantityPricingType - ActiveNetsuite::ItemOverallQuantityPricingType
#   pricingGroup - ActiveNetsuite::RecordRef
#   preferredLocation - ActiveNetsuite::RecordRef
#   vsoePrice - SOAP::SOAPDouble
#   vsoeSopGroup - ActiveNetsuite::VsoeSopGroup
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   cost - SOAP::SOAPDouble
#   costUnits - SOAP::SOAPString
#   reorderMultiple - SOAP::SOAPLong
#   quantityReorderUnits - SOAP::SOAPString
#   totalValue - SOAP::SOAPDouble
#   useBins - SOAP::SOAPBoolean
#   averageCost - SOAP::SOAPDouble
#   leadTime - SOAP::SOAPLong
#   autoLeadTime - SOAP::SOAPBoolean
#   lastPurchasePrice - SOAP::SOAPDouble
#   autoReorderPoint - SOAP::SOAPBoolean
#   autoPreferredStockLevel - SOAP::SOAPBoolean
#   preferredStockLevelDays - SOAP::SOAPDouble
#   safetyStockLevel - SOAP::SOAPDouble
#   safetyStockLevelDays - SOAP::SOAPLong
#   backwardConsumptionDays - SOAP::SOAPLong
#   seasonalDemand - SOAP::SOAPBoolean
#   demandModifier - SOAP::SOAPDouble
#   storeDisplayName - SOAP::SOAPString
#   storeDisplayThumbnail - ActiveNetsuite::RecordRef
#   weightUnit - ActiveNetsuite::ItemWeightUnit
#   weightUnits - SOAP::SOAPString
#   storeDisplayImage - ActiveNetsuite::RecordRef
#   storeDescription - SOAP::SOAPString
#   storeDetailedDescription - SOAP::SOAPString
#   storeItemTemplate - ActiveNetsuite::RecordRef
#   pageTitle - SOAP::SOAPString
#   metaTagHtml - SOAP::SOAPString
#   excludeFromSitemap - SOAP::SOAPBoolean
#   sitemapPriority - ActiveNetsuite::SitemapPriority
#   searchKeywords - SOAP::SOAPString
#   isDonationItem - SOAP::SOAPBoolean
#   showDefaultDonationAmount - SOAP::SOAPBoolean
#   maxDonationAmount - SOAP::SOAPDouble
#   shoppingDotComCategory - SOAP::SOAPString
#   shopzillaCategoryId - SOAP::SOAPLong
#   nexTagCategory - SOAP::SOAPString
#   quantityOnHand - SOAP::SOAPDouble
#   quantityOnHandUnits - SOAP::SOAPString
#   expirationDate - SOAP::SOAPDateTime
#   lastInvtCountDate - SOAP::SOAPDateTime
#   nextInvtCountDate - SOAP::SOAPDateTime
#   invtCountInterval - SOAP::SOAPLong
#   invtClassification - ActiveNetsuite::ItemInvtClassification
#   onHandValueMli - SOAP::SOAPDouble
#   serialNumbers - SOAP::SOAPString
#   reorderPoint - SOAP::SOAPDouble
#   preferredStockLevel - SOAP::SOAPDouble
#   reorderPointUnits - SOAP::SOAPString
#   defaultReturnCost - SOAP::SOAPDouble
#   supplyReplenishmentMethod - ActiveNetsuite::RecordRef
#   alternateDemandSourceItem - ActiveNetsuite::RecordRef
#   fixedLotSize - SOAP::SOAPDouble
#   periodicLotSizeType - ActiveNetsuite::PeriodicLotSizeType
#   supplyType - ActiveNetsuite::RecordRef
#   periodicLotSizeDays - SOAP::SOAPLong
#   supplyLotSizingMethod - ActiveNetsuite::RecordRef
#   forwardConsumptionDays - SOAP::SOAPLong
#   demandSource - ActiveNetsuite::RecordRef
#   quantityOnOrder - SOAP::SOAPDouble
#   preferredStockLevelUnits - SOAP::SOAPString
#   quantityCommitted - SOAP::SOAPDouble
#   quantityAvailable - SOAP::SOAPDouble
#   quantityBackOrdered - SOAP::SOAPDouble
#   purchaseTaxCode - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPDouble
#   salesTaxCode - ActiveNetsuite::RecordRef
#   dontShowPrice - SOAP::SOAPBoolean
#   noPriceMessage - SOAP::SOAPString
#   outOfStockMessage - SOAP::SOAPString
#   onSpecial - SOAP::SOAPBoolean
#   outOfStockBehavior - ActiveNetsuite::ItemOutOfStockBehavior
#   specialsDescription - SOAP::SOAPString
#   relatedItemsDescription - SOAP::SOAPString
#   featuredDescription - SOAP::SOAPString
#   productFeedList - ActiveNetsuite::ProductFeedList
#   urlComponent - SOAP::SOAPString
#   itemOptionsList - ActiveNetsuite::ItemOptionsList
#   matrixOptionList - ActiveNetsuite::MatrixOptionList
#   itemVendorList - ActiveNetsuite::ItemVendorList
#   pricingMatrix - ActiveNetsuite::PricingMatrix
#   itemNumberOptionsList - ActiveNetsuite::RecordRefList
#   numbersList - ActiveNetsuite::LotNumberedInventoryItemNumbersList
#   binNumberList - ActiveNetsuite::InventoryItemBinNumberList
#   siteCategoryList - ActiveNetsuite::SiteCategoryList
#   locationsList - ActiveNetsuite::LotNumberedInventoryItemLocationsList
#   translationsList - ActiveNetsuite::TranslationList
#   presentationItemList - ActiveNetsuite::PresentationItemList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class LotNumberedInventoryItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :matrixType
  attr_accessor :includeChildren
  attr_accessor :vendorName
  attr_accessor :parent
  attr_accessor :isOnline
  attr_accessor :isHazmatItem
  attr_accessor :hazmatId
  attr_accessor :hazmatShippingName
  attr_accessor :hazmatHazardClass
  attr_accessor :hazmatPackingGroup
  attr_accessor :hazmatItemUnits
  attr_accessor :hazmatItemUnitsQty
  attr_accessor :isGcoCompliant
  attr_accessor :offerSupport
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :department
  attr_accessor :location
  attr_accessor :costingMethod
  attr_accessor :subsidiaryList
  attr_accessor :purchaseDescription
  attr_accessor :copyDescription
  attr_accessor :currency
  attr_accessor :cogsAccount
  attr_accessor :vendor
  attr_accessor :salesDescription
  attr_accessor :incomeAccount
  attr_accessor :issueProduct
  attr_accessor :taxSchedule
  attr_accessor :dropshipExpenseAccount
  attr_accessor :isTaxable
  attr_accessor :assetAccount
  attr_accessor :matchBillToReceipt
  attr_accessor :billQtyVarianceAcct
  attr_accessor :billPriceVarianceAcct
  attr_accessor :billExchRateVarianceAcct
  attr_accessor :gainLossAccount
  attr_accessor :shippingCost
  attr_accessor :handlingCost
  attr_accessor :weight
  attr_accessor :costingMethodDisplay
  attr_accessor :shippingCostUnits
  attr_accessor :handlingCostUnits
  attr_accessor :unitsType
  attr_accessor :stockUnit
  attr_accessor :purchaseUnit
  attr_accessor :saleUnit
  attr_accessor :minimumQuantityUnits
  attr_accessor :safetyStockLevelUnits
  attr_accessor :billingSchedule
  attr_accessor :trackLandedCost
  attr_accessor :isDropShipItem
  attr_accessor :isSpecialOrderItem
  attr_accessor :stockDescription
  attr_accessor :deferredRevenueAccount
  attr_accessor :producer
  attr_accessor :manufacturer
  attr_accessor :revRecSchedule
  attr_accessor :mpn
  attr_accessor :multManufactureAddr
  attr_accessor :manufacturerAddr1
  attr_accessor :manufacturerCity
  attr_accessor :manufacturerState
  attr_accessor :manufacturerZip
  attr_accessor :countryOfManufacture
  attr_accessor :defaultItemShipMethod
  attr_accessor :itemCarrier
  attr_accessor :roundUpAsComponent
  attr_accessor :itemShipMethodList
  attr_accessor :manufacturerTaxId
  attr_accessor :scheduleBNumber
  attr_accessor :scheduleBQuantity
  attr_accessor :scheduleBCode
  attr_accessor :manufacturerTariff
  attr_accessor :preferenceCriterion
  attr_accessor :minimumQuantity
  attr_accessor :enforceMinQtyInternally
  attr_accessor :shipPackage
  attr_accessor :shipIndividually
  attr_accessor :softDescriptor
  attr_accessor :costCategory
  attr_accessor :pricesIncludeTax
  attr_accessor :purchasePriceVarianceAcct
  attr_accessor :quantityPricingSchedule
  attr_accessor :useMarginalRates
  attr_accessor :costEstimateType
  attr_accessor :costEstimate
  attr_accessor :transferPrice
  attr_accessor :overallQuantityPricingType
  attr_accessor :pricingGroup
  attr_accessor :preferredLocation
  attr_accessor :vsoePrice
  attr_accessor :vsoeSopGroup
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :cost
  attr_accessor :costUnits
  attr_accessor :reorderMultiple
  attr_accessor :quantityReorderUnits
  attr_accessor :totalValue
  attr_accessor :useBins
  attr_accessor :averageCost
  attr_accessor :leadTime
  attr_accessor :autoLeadTime
  attr_accessor :lastPurchasePrice
  attr_accessor :autoReorderPoint
  attr_accessor :autoPreferredStockLevel
  attr_accessor :preferredStockLevelDays
  attr_accessor :safetyStockLevel
  attr_accessor :safetyStockLevelDays
  attr_accessor :backwardConsumptionDays
  attr_accessor :seasonalDemand
  attr_accessor :demandModifier
  attr_accessor :storeDisplayName
  attr_accessor :storeDisplayThumbnail
  attr_accessor :weightUnit
  attr_accessor :weightUnits
  attr_accessor :storeDisplayImage
  attr_accessor :storeDescription
  attr_accessor :storeDetailedDescription
  attr_accessor :storeItemTemplate
  attr_accessor :pageTitle
  attr_accessor :metaTagHtml
  attr_accessor :excludeFromSitemap
  attr_accessor :sitemapPriority
  attr_accessor :searchKeywords
  attr_accessor :isDonationItem
  attr_accessor :showDefaultDonationAmount
  attr_accessor :maxDonationAmount
  attr_accessor :shoppingDotComCategory
  attr_accessor :shopzillaCategoryId
  attr_accessor :nexTagCategory
  attr_accessor :quantityOnHand
  attr_accessor :quantityOnHandUnits
  attr_accessor :expirationDate
  attr_accessor :lastInvtCountDate
  attr_accessor :nextInvtCountDate
  attr_accessor :invtCountInterval
  attr_accessor :invtClassification
  attr_accessor :onHandValueMli
  attr_accessor :serialNumbers
  attr_accessor :reorderPoint
  attr_accessor :preferredStockLevel
  attr_accessor :reorderPointUnits
  attr_accessor :defaultReturnCost
  attr_accessor :supplyReplenishmentMethod
  attr_accessor :alternateDemandSourceItem
  attr_accessor :fixedLotSize
  attr_accessor :periodicLotSizeType
  attr_accessor :supplyType
  attr_accessor :periodicLotSizeDays
  attr_accessor :supplyLotSizingMethod
  attr_accessor :forwardConsumptionDays
  attr_accessor :demandSource
  attr_accessor :quantityOnOrder
  attr_accessor :preferredStockLevelUnits
  attr_accessor :quantityCommitted
  attr_accessor :quantityAvailable
  attr_accessor :quantityBackOrdered
  attr_accessor :purchaseTaxCode
  attr_accessor :rate
  attr_accessor :salesTaxCode
  attr_accessor :dontShowPrice
  attr_accessor :noPriceMessage
  attr_accessor :outOfStockMessage
  attr_accessor :onSpecial
  attr_accessor :outOfStockBehavior
  attr_accessor :specialsDescription
  attr_accessor :relatedItemsDescription
  attr_accessor :featuredDescription
  attr_accessor :productFeedList
  attr_accessor :urlComponent
  attr_accessor :itemOptionsList
  attr_accessor :matrixOptionList
  attr_accessor :itemVendorList
  attr_accessor :pricingMatrix
  attr_accessor :itemNumberOptionsList
  attr_accessor :numbersList
  attr_accessor :binNumberList
  attr_accessor :siteCategoryList
  attr_accessor :locationsList
  attr_accessor :translationsList
  attr_accessor :presentationItemList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, itemId = nil, upcCode = nil, displayName = nil, matrixType = nil, includeChildren = nil, vendorName = nil, parent = nil, isOnline = nil, isHazmatItem = nil, hazmatId = nil, hazmatShippingName = nil, hazmatHazardClass = nil, hazmatPackingGroup = nil, hazmatItemUnits = nil, hazmatItemUnitsQty = nil, isGcoCompliant = nil, offerSupport = nil, isInactive = nil, availableToPartners = nil, department = nil, v_class = nil, location = nil, costingMethod = nil, subsidiaryList = nil, purchaseDescription = nil, copyDescription = nil, currency = nil, cogsAccount = nil, vendor = nil, salesDescription = nil, incomeAccount = nil, issueProduct = nil, taxSchedule = nil, dropshipExpenseAccount = nil, isTaxable = nil, assetAccount = nil, matchBillToReceipt = nil, billQtyVarianceAcct = nil, billPriceVarianceAcct = nil, billExchRateVarianceAcct = nil, gainLossAccount = nil, shippingCost = nil, handlingCost = nil, weight = nil, costingMethodDisplay = nil, shippingCostUnits = nil, handlingCostUnits = nil, unitsType = nil, stockUnit = nil, purchaseUnit = nil, saleUnit = nil, minimumQuantityUnits = nil, safetyStockLevelUnits = nil, billingSchedule = nil, trackLandedCost = nil, isDropShipItem = nil, isSpecialOrderItem = nil, stockDescription = nil, deferredRevenueAccount = nil, producer = nil, manufacturer = nil, revRecSchedule = nil, mpn = nil, multManufactureAddr = nil, manufacturerAddr1 = nil, manufacturerCity = nil, manufacturerState = nil, manufacturerZip = nil, countryOfManufacture = nil, defaultItemShipMethod = nil, itemCarrier = nil, roundUpAsComponent = nil, itemShipMethodList = nil, manufacturerTaxId = nil, scheduleBNumber = nil, scheduleBQuantity = nil, scheduleBCode = nil, manufacturerTariff = nil, preferenceCriterion = nil, minimumQuantity = nil, enforceMinQtyInternally = nil, shipPackage = nil, shipIndividually = nil, softDescriptor = nil, costCategory = nil, pricesIncludeTax = nil, purchasePriceVarianceAcct = nil, quantityPricingSchedule = nil, useMarginalRates = nil, costEstimateType = nil, costEstimate = nil, transferPrice = nil, overallQuantityPricingType = nil, pricingGroup = nil, preferredLocation = nil, vsoePrice = nil, vsoeSopGroup = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, cost = nil, costUnits = nil, reorderMultiple = nil, quantityReorderUnits = nil, totalValue = nil, useBins = nil, averageCost = nil, leadTime = nil, autoLeadTime = nil, lastPurchasePrice = nil, autoReorderPoint = nil, autoPreferredStockLevel = nil, preferredStockLevelDays = nil, safetyStockLevel = nil, safetyStockLevelDays = nil, backwardConsumptionDays = nil, seasonalDemand = nil, demandModifier = nil, storeDisplayName = nil, storeDisplayThumbnail = nil, weightUnit = nil, weightUnits = nil, storeDisplayImage = nil, storeDescription = nil, storeDetailedDescription = nil, storeItemTemplate = nil, pageTitle = nil, metaTagHtml = nil, excludeFromSitemap = nil, sitemapPriority = nil, searchKeywords = nil, isDonationItem = nil, showDefaultDonationAmount = nil, maxDonationAmount = nil, shoppingDotComCategory = nil, shopzillaCategoryId = nil, nexTagCategory = nil, quantityOnHand = nil, quantityOnHandUnits = nil, expirationDate = nil, lastInvtCountDate = nil, nextInvtCountDate = nil, invtCountInterval = nil, invtClassification = nil, onHandValueMli = nil, serialNumbers = nil, reorderPoint = nil, preferredStockLevel = nil, reorderPointUnits = nil, defaultReturnCost = nil, supplyReplenishmentMethod = nil, alternateDemandSourceItem = nil, fixedLotSize = nil, periodicLotSizeType = nil, supplyType = nil, periodicLotSizeDays = nil, supplyLotSizingMethod = nil, forwardConsumptionDays = nil, demandSource = nil, quantityOnOrder = nil, preferredStockLevelUnits = nil, quantityCommitted = nil, quantityAvailable = nil, quantityBackOrdered = nil, purchaseTaxCode = nil, rate = nil, salesTaxCode = nil, dontShowPrice = nil, noPriceMessage = nil, outOfStockMessage = nil, onSpecial = nil, outOfStockBehavior = nil, specialsDescription = nil, relatedItemsDescription = nil, featuredDescription = nil, productFeedList = nil, urlComponent = nil, itemOptionsList = nil, matrixOptionList = nil, itemVendorList = nil, pricingMatrix = nil, itemNumberOptionsList = nil, numbersList = nil, binNumberList = nil, siteCategoryList = nil, locationsList = nil, translationsList = nil, presentationItemList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @itemId = itemId
    @upcCode = upcCode
    @displayName = displayName
    @matrixType = matrixType
    @includeChildren = includeChildren
    @vendorName = vendorName
    @parent = parent
    @isOnline = isOnline
    @isHazmatItem = isHazmatItem
    @hazmatId = hazmatId
    @hazmatShippingName = hazmatShippingName
    @hazmatHazardClass = hazmatHazardClass
    @hazmatPackingGroup = hazmatPackingGroup
    @hazmatItemUnits = hazmatItemUnits
    @hazmatItemUnitsQty = hazmatItemUnitsQty
    @isGcoCompliant = isGcoCompliant
    @offerSupport = offerSupport
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @department = department
    @v_class = v_class
    @location = location
    @costingMethod = costingMethod
    @subsidiaryList = subsidiaryList
    @purchaseDescription = purchaseDescription
    @copyDescription = copyDescription
    @currency = currency
    @cogsAccount = cogsAccount
    @vendor = vendor
    @salesDescription = salesDescription
    @incomeAccount = incomeAccount
    @issueProduct = issueProduct
    @taxSchedule = taxSchedule
    @dropshipExpenseAccount = dropshipExpenseAccount
    @isTaxable = isTaxable
    @assetAccount = assetAccount
    @matchBillToReceipt = matchBillToReceipt
    @billQtyVarianceAcct = billQtyVarianceAcct
    @billPriceVarianceAcct = billPriceVarianceAcct
    @billExchRateVarianceAcct = billExchRateVarianceAcct
    @gainLossAccount = gainLossAccount
    @shippingCost = shippingCost
    @handlingCost = handlingCost
    @weight = weight
    @costingMethodDisplay = costingMethodDisplay
    @shippingCostUnits = shippingCostUnits
    @handlingCostUnits = handlingCostUnits
    @unitsType = unitsType
    @stockUnit = stockUnit
    @purchaseUnit = purchaseUnit
    @saleUnit = saleUnit
    @minimumQuantityUnits = minimumQuantityUnits
    @safetyStockLevelUnits = safetyStockLevelUnits
    @billingSchedule = billingSchedule
    @trackLandedCost = trackLandedCost
    @isDropShipItem = isDropShipItem
    @isSpecialOrderItem = isSpecialOrderItem
    @stockDescription = stockDescription
    @deferredRevenueAccount = deferredRevenueAccount
    @producer = producer
    @manufacturer = manufacturer
    @revRecSchedule = revRecSchedule
    @mpn = mpn
    @multManufactureAddr = multManufactureAddr
    @manufacturerAddr1 = manufacturerAddr1
    @manufacturerCity = manufacturerCity
    @manufacturerState = manufacturerState
    @manufacturerZip = manufacturerZip
    @countryOfManufacture = countryOfManufacture
    @defaultItemShipMethod = defaultItemShipMethod
    @itemCarrier = itemCarrier
    @roundUpAsComponent = roundUpAsComponent
    @itemShipMethodList = itemShipMethodList
    @manufacturerTaxId = manufacturerTaxId
    @scheduleBNumber = scheduleBNumber
    @scheduleBQuantity = scheduleBQuantity
    @scheduleBCode = scheduleBCode
    @manufacturerTariff = manufacturerTariff
    @preferenceCriterion = preferenceCriterion
    @minimumQuantity = minimumQuantity
    @enforceMinQtyInternally = enforceMinQtyInternally
    @shipPackage = shipPackage
    @shipIndividually = shipIndividually
    @softDescriptor = softDescriptor
    @costCategory = costCategory
    @pricesIncludeTax = pricesIncludeTax
    @purchasePriceVarianceAcct = purchasePriceVarianceAcct
    @quantityPricingSchedule = quantityPricingSchedule
    @useMarginalRates = useMarginalRates
    @costEstimateType = costEstimateType
    @costEstimate = costEstimate
    @transferPrice = transferPrice
    @overallQuantityPricingType = overallQuantityPricingType
    @pricingGroup = pricingGroup
    @preferredLocation = preferredLocation
    @vsoePrice = vsoePrice
    @vsoeSopGroup = vsoeSopGroup
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @cost = cost
    @costUnits = costUnits
    @reorderMultiple = reorderMultiple
    @quantityReorderUnits = quantityReorderUnits
    @totalValue = totalValue
    @useBins = useBins
    @averageCost = averageCost
    @leadTime = leadTime
    @autoLeadTime = autoLeadTime
    @lastPurchasePrice = lastPurchasePrice
    @autoReorderPoint = autoReorderPoint
    @autoPreferredStockLevel = autoPreferredStockLevel
    @preferredStockLevelDays = preferredStockLevelDays
    @safetyStockLevel = safetyStockLevel
    @safetyStockLevelDays = safetyStockLevelDays
    @backwardConsumptionDays = backwardConsumptionDays
    @seasonalDemand = seasonalDemand
    @demandModifier = demandModifier
    @storeDisplayName = storeDisplayName
    @storeDisplayThumbnail = storeDisplayThumbnail
    @weightUnit = weightUnit
    @weightUnits = weightUnits
    @storeDisplayImage = storeDisplayImage
    @storeDescription = storeDescription
    @storeDetailedDescription = storeDetailedDescription
    @storeItemTemplate = storeItemTemplate
    @pageTitle = pageTitle
    @metaTagHtml = metaTagHtml
    @excludeFromSitemap = excludeFromSitemap
    @sitemapPriority = sitemapPriority
    @searchKeywords = searchKeywords
    @isDonationItem = isDonationItem
    @showDefaultDonationAmount = showDefaultDonationAmount
    @maxDonationAmount = maxDonationAmount
    @shoppingDotComCategory = shoppingDotComCategory
    @shopzillaCategoryId = shopzillaCategoryId
    @nexTagCategory = nexTagCategory
    @quantityOnHand = quantityOnHand
    @quantityOnHandUnits = quantityOnHandUnits
    @expirationDate = expirationDate
    @lastInvtCountDate = lastInvtCountDate
    @nextInvtCountDate = nextInvtCountDate
    @invtCountInterval = invtCountInterval
    @invtClassification = invtClassification
    @onHandValueMli = onHandValueMli
    @serialNumbers = serialNumbers
    @reorderPoint = reorderPoint
    @preferredStockLevel = preferredStockLevel
    @reorderPointUnits = reorderPointUnits
    @defaultReturnCost = defaultReturnCost
    @supplyReplenishmentMethod = supplyReplenishmentMethod
    @alternateDemandSourceItem = alternateDemandSourceItem
    @fixedLotSize = fixedLotSize
    @periodicLotSizeType = periodicLotSizeType
    @supplyType = supplyType
    @periodicLotSizeDays = periodicLotSizeDays
    @supplyLotSizingMethod = supplyLotSizingMethod
    @forwardConsumptionDays = forwardConsumptionDays
    @demandSource = demandSource
    @quantityOnOrder = quantityOnOrder
    @preferredStockLevelUnits = preferredStockLevelUnits
    @quantityCommitted = quantityCommitted
    @quantityAvailable = quantityAvailable
    @quantityBackOrdered = quantityBackOrdered
    @purchaseTaxCode = purchaseTaxCode
    @rate = rate
    @salesTaxCode = salesTaxCode
    @dontShowPrice = dontShowPrice
    @noPriceMessage = noPriceMessage
    @outOfStockMessage = outOfStockMessage
    @onSpecial = onSpecial
    @outOfStockBehavior = outOfStockBehavior
    @specialsDescription = specialsDescription
    @relatedItemsDescription = relatedItemsDescription
    @featuredDescription = featuredDescription
    @productFeedList = productFeedList
    @urlComponent = urlComponent
    @itemOptionsList = itemOptionsList
    @matrixOptionList = matrixOptionList
    @itemVendorList = itemVendorList
    @pricingMatrix = pricingMatrix
    @itemNumberOptionsList = itemNumberOptionsList
    @numbersList = numbersList
    @binNumberList = binNumberList
    @siteCategoryList = siteCategoryList
    @locationsList = locationsList
    @translationsList = translationsList
    @presentationItemList = presentationItemList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}GiftCertificateItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   includeChildren - SOAP::SOAPBoolean
#   parent - ActiveNetsuite::RecordRef
#   isOnline - SOAP::SOAPBoolean
#   isGcoCompliant - SOAP::SOAPBoolean
#   offerSupport - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   salesDescription - SOAP::SOAPString
#   incomeAccount - ActiveNetsuite::RecordRef
#   liabilityAccount - ActiveNetsuite::RecordRef
#   daysBeforeExpiration - SOAP::SOAPLong
#   isTaxable - SOAP::SOAPBoolean
#   rate - SOAP::SOAPDouble
#   urlComponent - SOAP::SOAPString
#   salesTaxCode - ActiveNetsuite::RecordRef
#   pricesIncludeTax - SOAP::SOAPBoolean
#   taxSchedule - ActiveNetsuite::RecordRef
#   costEstimate - SOAP::SOAPDouble
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   billingSchedule - ActiveNetsuite::RecordRef
#   issueProduct - ActiveNetsuite::RecordRef
#   isFulfillable - SOAP::SOAPBoolean
#   storeDisplayName - SOAP::SOAPString
#   storeDisplayThumbnail - ActiveNetsuite::RecordRef
#   storeDisplayImage - ActiveNetsuite::RecordRef
#   storeDescription - SOAP::SOAPString
#   storeDetailedDescription - SOAP::SOAPString
#   storeItemTemplate - ActiveNetsuite::RecordRef
#   pageTitle - SOAP::SOAPString
#   metaTagHtml - SOAP::SOAPString
#   excludeFromSitemap - SOAP::SOAPBoolean
#   sitemapPriority - ActiveNetsuite::SitemapPriority
#   searchKeywords - SOAP::SOAPString
#   isDonationItem - SOAP::SOAPBoolean
#   showDefaultDonationAmount - SOAP::SOAPBoolean
#   maxDonationAmount - SOAP::SOAPDouble
#   dontShowPrice - SOAP::SOAPBoolean
#   noPriceMessage - SOAP::SOAPString
#   outOfStockMessage - SOAP::SOAPString
#   onSpecial - SOAP::SOAPBoolean
#   outOfStockBehavior - ActiveNetsuite::ItemOutOfStockBehavior
#   specialsDescription - SOAP::SOAPString
#   featuredDescription - SOAP::SOAPString
#   relatedItemsDescription - SOAP::SOAPString
#   pricingMatrix - ActiveNetsuite::PricingMatrix
#   authCodesList - ActiveNetsuite::GiftCertificateItemAuthCodesList
#   siteCategoryList - ActiveNetsuite::SiteCategoryList
#   translationsList - ActiveNetsuite::TranslationList
#   itemOptionsList - ActiveNetsuite::ItemOptionsList
#   presentationItemList - ActiveNetsuite::PresentationItemList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class GiftCertificateItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :includeChildren
  attr_accessor :parent
  attr_accessor :isOnline
  attr_accessor :isGcoCompliant
  attr_accessor :offerSupport
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiaryList
  attr_accessor :salesDescription
  attr_accessor :incomeAccount
  attr_accessor :liabilityAccount
  attr_accessor :daysBeforeExpiration
  attr_accessor :isTaxable
  attr_accessor :rate
  attr_accessor :urlComponent
  attr_accessor :salesTaxCode
  attr_accessor :pricesIncludeTax
  attr_accessor :taxSchedule
  attr_accessor :costEstimate
  attr_accessor :costEstimateType
  attr_accessor :billingSchedule
  attr_accessor :issueProduct
  attr_accessor :isFulfillable
  attr_accessor :storeDisplayName
  attr_accessor :storeDisplayThumbnail
  attr_accessor :storeDisplayImage
  attr_accessor :storeDescription
  attr_accessor :storeDetailedDescription
  attr_accessor :storeItemTemplate
  attr_accessor :pageTitle
  attr_accessor :metaTagHtml
  attr_accessor :excludeFromSitemap
  attr_accessor :sitemapPriority
  attr_accessor :searchKeywords
  attr_accessor :isDonationItem
  attr_accessor :showDefaultDonationAmount
  attr_accessor :maxDonationAmount
  attr_accessor :dontShowPrice
  attr_accessor :noPriceMessage
  attr_accessor :outOfStockMessage
  attr_accessor :onSpecial
  attr_accessor :outOfStockBehavior
  attr_accessor :specialsDescription
  attr_accessor :featuredDescription
  attr_accessor :relatedItemsDescription
  attr_accessor :pricingMatrix
  attr_accessor :authCodesList
  attr_accessor :siteCategoryList
  attr_accessor :translationsList
  attr_accessor :itemOptionsList
  attr_accessor :presentationItemList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, itemId = nil, upcCode = nil, displayName = nil, includeChildren = nil, parent = nil, isOnline = nil, isGcoCompliant = nil, offerSupport = nil, isInactive = nil, availableToPartners = nil, department = nil, v_class = nil, location = nil, subsidiaryList = nil, salesDescription = nil, incomeAccount = nil, liabilityAccount = nil, daysBeforeExpiration = nil, isTaxable = nil, rate = nil, urlComponent = nil, salesTaxCode = nil, pricesIncludeTax = nil, taxSchedule = nil, costEstimate = nil, costEstimateType = nil, billingSchedule = nil, issueProduct = nil, isFulfillable = nil, storeDisplayName = nil, storeDisplayThumbnail = nil, storeDisplayImage = nil, storeDescription = nil, storeDetailedDescription = nil, storeItemTemplate = nil, pageTitle = nil, metaTagHtml = nil, excludeFromSitemap = nil, sitemapPriority = nil, searchKeywords = nil, isDonationItem = nil, showDefaultDonationAmount = nil, maxDonationAmount = nil, dontShowPrice = nil, noPriceMessage = nil, outOfStockMessage = nil, onSpecial = nil, outOfStockBehavior = nil, specialsDescription = nil, featuredDescription = nil, relatedItemsDescription = nil, pricingMatrix = nil, authCodesList = nil, siteCategoryList = nil, translationsList = nil, itemOptionsList = nil, presentationItemList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @itemId = itemId
    @upcCode = upcCode
    @displayName = displayName
    @includeChildren = includeChildren
    @parent = parent
    @isOnline = isOnline
    @isGcoCompliant = isGcoCompliant
    @offerSupport = offerSupport
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @department = department
    @v_class = v_class
    @location = location
    @subsidiaryList = subsidiaryList
    @salesDescription = salesDescription
    @incomeAccount = incomeAccount
    @liabilityAccount = liabilityAccount
    @daysBeforeExpiration = daysBeforeExpiration
    @isTaxable = isTaxable
    @rate = rate
    @urlComponent = urlComponent
    @salesTaxCode = salesTaxCode
    @pricesIncludeTax = pricesIncludeTax
    @taxSchedule = taxSchedule
    @costEstimate = costEstimate
    @costEstimateType = costEstimateType
    @billingSchedule = billingSchedule
    @issueProduct = issueProduct
    @isFulfillable = isFulfillable
    @storeDisplayName = storeDisplayName
    @storeDisplayThumbnail = storeDisplayThumbnail
    @storeDisplayImage = storeDisplayImage
    @storeDescription = storeDescription
    @storeDetailedDescription = storeDetailedDescription
    @storeItemTemplate = storeItemTemplate
    @pageTitle = pageTitle
    @metaTagHtml = metaTagHtml
    @excludeFromSitemap = excludeFromSitemap
    @sitemapPriority = sitemapPriority
    @searchKeywords = searchKeywords
    @isDonationItem = isDonationItem
    @showDefaultDonationAmount = showDefaultDonationAmount
    @maxDonationAmount = maxDonationAmount
    @dontShowPrice = dontShowPrice
    @noPriceMessage = noPriceMessage
    @outOfStockMessage = outOfStockMessage
    @onSpecial = onSpecial
    @outOfStockBehavior = outOfStockBehavior
    @specialsDescription = specialsDescription
    @featuredDescription = featuredDescription
    @relatedItemsDescription = relatedItemsDescription
    @pricingMatrix = pricingMatrix
    @authCodesList = authCodesList
    @siteCategoryList = siteCategoryList
    @translationsList = translationsList
    @itemOptionsList = itemOptionsList
    @presentationItemList = presentationItemList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}Subsidiary
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   isInactive - SOAP::SOAPBoolean
#   showSubsidiaryName - SOAP::SOAPBoolean
#   url - SOAP::SOAPString
#   logo - ActiveNetsuite::RecordRef
#   tranPrefix - SOAP::SOAPString
#   pageLogo - ActiveNetsuite::RecordRef
#   attention - SOAP::SOAPString
#   addressee - SOAP::SOAPString
#   addrPhone - SOAP::SOAPString
#   addr1 - SOAP::SOAPString
#   addr2 - SOAP::SOAPString
#   addr3 - SOAP::SOAPString
#   city - SOAP::SOAPString
#   state - SOAP::SOAPString
#   zip - SOAP::SOAPString
#   country - ActiveNetsuite::Country
#   addrText - SOAP::SOAPString
#   override - SOAP::SOAPBoolean
#   shipAddr - SOAP::SOAPString
#   returnAddr - SOAP::SOAPString
#   companyNameForSupportMessages - SOAP::SOAPString
#   mainSupportEmailAddress - SOAP::SOAPString
#   anonymousCustomerInboundEmail - ActiveNetsuite::RecordRef
#   anonymousCustomerOnlineForms - ActiveNetsuite::RecordRef
#   caseCreationTemplate - ActiveNetsuite::RecordRef
#   caseUpdateTemplate - ActiveNetsuite::RecordRef
#   caseAutomaticClosureTemplate - ActiveNetsuite::RecordRef
#   caseAssignmentTemplate - ActiveNetsuite::RecordRef
#   employeeCaseUpdateTemplate - ActiveNetsuite::RecordRef
#   caseCopyEmployeeTemplate - ActiveNetsuite::RecordRef
#   caseEscalationTemplate - ActiveNetsuite::RecordRef
#   returnAddress1 - SOAP::SOAPString
#   returnAddress2 - SOAP::SOAPString
#   returnCity - SOAP::SOAPString
#   returnState - SOAP::SOAPString
#   returnCountry - ActiveNetsuite::Country
#   returnZip - SOAP::SOAPString
#   legalName - SOAP::SOAPString
#   isElimination - SOAP::SOAPBoolean
#   fiscalCalendar - ActiveNetsuite::RecordRef
#   taxFiscalCalendar - ActiveNetsuite::RecordRef
#   allowPayroll - SOAP::SOAPBoolean
#   email - SOAP::SOAPString
#   currency - ActiveNetsuite::RecordRef
#   fax - SOAP::SOAPString
#   edition - SOAP::SOAPString
#   federalIdNumber - SOAP::SOAPString
#   addrLanguage - SOAP::SOAPString
#   nonConsol - SOAP::SOAPString
#   consol - SOAP::SOAPString
#   shipAddress1 - SOAP::SOAPString
#   shipAddress2 - SOAP::SOAPString
#   shipCity - SOAP::SOAPString
#   shipState - SOAP::SOAPString
#   shipCountry - ActiveNetsuite::Country
#   shipZip - SOAP::SOAPString
#   state1TaxNumber - SOAP::SOAPString
#   ssnOrTin - SOAP::SOAPString
#   interCoAccount - ActiveNetsuite::RecordRef
#   nexusList - ActiveNetsuite::SubsidiaryNexusList
#   checkLayout - ActiveNetsuite::RecordRef
#   inboundEmail - SOAP::SOAPString
#   classTranslationList - ActiveNetsuite::ClassTranslationList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Subsidiary < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :parent
  attr_accessor :isInactive
  attr_accessor :showSubsidiaryName
  attr_accessor :url
  attr_accessor :logo
  attr_accessor :tranPrefix
  attr_accessor :pageLogo
  attr_accessor :attention
  attr_accessor :addressee
  attr_accessor :addrPhone
  attr_accessor :addr1
  attr_accessor :addr2
  attr_accessor :addr3
  attr_accessor :city
  attr_accessor :state
  attr_accessor :zip
  attr_accessor :country
  attr_accessor :addrText
  attr_accessor :override
  attr_accessor :shipAddr
  attr_accessor :returnAddr
  attr_accessor :companyNameForSupportMessages
  attr_accessor :mainSupportEmailAddress
  attr_accessor :anonymousCustomerInboundEmail
  attr_accessor :anonymousCustomerOnlineForms
  attr_accessor :caseCreationTemplate
  attr_accessor :caseUpdateTemplate
  attr_accessor :caseAutomaticClosureTemplate
  attr_accessor :caseAssignmentTemplate
  attr_accessor :employeeCaseUpdateTemplate
  attr_accessor :caseCopyEmployeeTemplate
  attr_accessor :caseEscalationTemplate
  attr_accessor :returnAddress1
  attr_accessor :returnAddress2
  attr_accessor :returnCity
  attr_accessor :returnState
  attr_accessor :returnCountry
  attr_accessor :returnZip
  attr_accessor :legalName
  attr_accessor :isElimination
  attr_accessor :fiscalCalendar
  attr_accessor :taxFiscalCalendar
  attr_accessor :allowPayroll
  attr_accessor :email
  attr_accessor :currency
  attr_accessor :fax
  attr_accessor :edition
  attr_accessor :federalIdNumber
  attr_accessor :addrLanguage
  attr_accessor :nonConsol
  attr_accessor :consol
  attr_accessor :shipAddress1
  attr_accessor :shipAddress2
  attr_accessor :shipCity
  attr_accessor :shipState
  attr_accessor :shipCountry
  attr_accessor :shipZip
  attr_accessor :state1TaxNumber
  attr_accessor :ssnOrTin
  attr_accessor :interCoAccount
  attr_accessor :nexusList
  attr_accessor :checkLayout
  attr_accessor :inboundEmail
  attr_accessor :classTranslationList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, parent = nil, isInactive = nil, showSubsidiaryName = nil, url = nil, logo = nil, tranPrefix = nil, pageLogo = nil, attention = nil, addressee = nil, addrPhone = nil, addr1 = nil, addr2 = nil, addr3 = nil, city = nil, state = nil, zip = nil, country = nil, addrText = nil, override = nil, shipAddr = nil, returnAddr = nil, companyNameForSupportMessages = nil, mainSupportEmailAddress = nil, anonymousCustomerInboundEmail = nil, anonymousCustomerOnlineForms = nil, caseCreationTemplate = nil, caseUpdateTemplate = nil, caseAutomaticClosureTemplate = nil, caseAssignmentTemplate = nil, employeeCaseUpdateTemplate = nil, caseCopyEmployeeTemplate = nil, caseEscalationTemplate = nil, returnAddress1 = nil, returnAddress2 = nil, returnCity = nil, returnState = nil, returnCountry = nil, returnZip = nil, legalName = nil, isElimination = nil, fiscalCalendar = nil, taxFiscalCalendar = nil, allowPayroll = nil, email = nil, currency = nil, fax = nil, edition = nil, federalIdNumber = nil, addrLanguage = nil, nonConsol = nil, consol = nil, shipAddress1 = nil, shipAddress2 = nil, shipCity = nil, shipState = nil, shipCountry = nil, shipZip = nil, state1TaxNumber = nil, ssnOrTin = nil, interCoAccount = nil, nexusList = nil, checkLayout = nil, inboundEmail = nil, classTranslationList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @name = name
    @parent = parent
    @isInactive = isInactive
    @showSubsidiaryName = showSubsidiaryName
    @url = url
    @logo = logo
    @tranPrefix = tranPrefix
    @pageLogo = pageLogo
    @attention = attention
    @addressee = addressee
    @addrPhone = addrPhone
    @addr1 = addr1
    @addr2 = addr2
    @addr3 = addr3
    @city = city
    @state = state
    @zip = zip
    @country = country
    @addrText = addrText
    @override = override
    @shipAddr = shipAddr
    @returnAddr = returnAddr
    @companyNameForSupportMessages = companyNameForSupportMessages
    @mainSupportEmailAddress = mainSupportEmailAddress
    @anonymousCustomerInboundEmail = anonymousCustomerInboundEmail
    @anonymousCustomerOnlineForms = anonymousCustomerOnlineForms
    @caseCreationTemplate = caseCreationTemplate
    @caseUpdateTemplate = caseUpdateTemplate
    @caseAutomaticClosureTemplate = caseAutomaticClosureTemplate
    @caseAssignmentTemplate = caseAssignmentTemplate
    @employeeCaseUpdateTemplate = employeeCaseUpdateTemplate
    @caseCopyEmployeeTemplate = caseCopyEmployeeTemplate
    @caseEscalationTemplate = caseEscalationTemplate
    @returnAddress1 = returnAddress1
    @returnAddress2 = returnAddress2
    @returnCity = returnCity
    @returnState = returnState
    @returnCountry = returnCountry
    @returnZip = returnZip
    @legalName = legalName
    @isElimination = isElimination
    @fiscalCalendar = fiscalCalendar
    @taxFiscalCalendar = taxFiscalCalendar
    @allowPayroll = allowPayroll
    @email = email
    @currency = currency
    @fax = fax
    @edition = edition
    @federalIdNumber = federalIdNumber
    @addrLanguage = addrLanguage
    @nonConsol = nonConsol
    @consol = consol
    @shipAddress1 = shipAddress1
    @shipAddress2 = shipAddress2
    @shipCity = shipCity
    @shipState = shipState
    @shipCountry = shipCountry
    @shipZip = shipZip
    @state1TaxNumber = state1TaxNumber
    @ssnOrTin = ssnOrTin
    @interCoAccount = interCoAccount
    @nexusList = nexusList
    @checkLayout = checkLayout
    @inboundEmail = inboundEmail
    @classTranslationList = classTranslationList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}GiftCertificate
#   nullFieldList - ActiveNetsuite::NullField
#   giftCertCode - SOAP::SOAPString
#   sender - SOAP::SOAPString
#   name - SOAP::SOAPString
#   email - SOAP::SOAPString
#   message - SOAP::SOAPString
#   expirationDate - SOAP::SOAPDateTime
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   originalAmount - SOAP::SOAPDouble
#   amountRemaining - SOAP::SOAPDouble
#   xmlattr_internalId - SOAP::SOAPString
class GiftCertificate < Record
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :giftCertCode
  attr_accessor :sender
  attr_accessor :name
  attr_accessor :email
  attr_accessor :message
  attr_accessor :expirationDate
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :originalAmount
  attr_accessor :amountRemaining

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def initialize(nullFieldList = nil, giftCertCode = nil, sender = nil, name = nil, email = nil, message = nil, expirationDate = nil, createdDate = nil, lastModifiedDate = nil, originalAmount = nil, amountRemaining = nil)
    @nullFieldList = nullFieldList
    @giftCertCode = giftCertCode
    @sender = sender
    @name = name
    @email = email
    @message = message
    @expirationDate = expirationDate
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @originalAmount = originalAmount
    @amountRemaining = amountRemaining
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}PartnerCategory
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class PartnerCategory < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :parent
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, parent = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @parent = parent
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}VendorCategory
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   isTaxAgency - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class VendorCategory < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :isTaxAgency
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, isTaxAgency = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @isTaxAgency = isTaxAgency
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}KitItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   printItems - SOAP::SOAPBoolean
#   isOnline - SOAP::SOAPBoolean
#   isGcoCompliant - SOAP::SOAPBoolean
#   offerSupport - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   m_class - ActiveNetsuite::RecordRef
#   includeChildren - SOAP::SOAPBoolean
#   location - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   incomeAccount - ActiveNetsuite::RecordRef
#   taxSchedule - ActiveNetsuite::RecordRef
#   shippingCost - SOAP::SOAPDouble
#   handlingCost - SOAP::SOAPDouble
#   isTaxable - SOAP::SOAPBoolean
#   salesTaxCode - ActiveNetsuite::RecordRef
#   weight - SOAP::SOAPDouble
#   weightUnit - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPDouble
#   billingSchedule - ActiveNetsuite::RecordRef
#   deferredRevenueAccount - ActiveNetsuite::RecordRef
#   revRecSchedule - ActiveNetsuite::RecordRef
#   stockDescription - SOAP::SOAPString
#   producer - SOAP::SOAPBoolean
#   manufacturer - SOAP::SOAPString
#   mpn - SOAP::SOAPString
#   multManufactureAddr - SOAP::SOAPBoolean
#   manufactureraddr1 - SOAP::SOAPString
#   manufacturerCity - SOAP::SOAPString
#   manufacturerState - SOAP::SOAPString
#   manufacturerZip - SOAP::SOAPString
#   countryOfManufacture - ActiveNetsuite::Country
#   defaultItemShipMethod - ActiveNetsuite::RecordRef
#   itemCarrier - ActiveNetsuite::ItemCarrier
#   itemShipMethodList - ActiveNetsuite::RecordRefList
#   manufacturerTaxId - SOAP::SOAPString
#   scheduleBNumber - SOAP::SOAPString
#   scheduleBQuantity - SOAP::SOAPLong
#   scheduleBCode - ActiveNetsuite::RecordRef
#   manufacturerTariff - SOAP::SOAPString
#   preferenceCriterion - ActiveNetsuite::ItemPreferenceCriterion
#   issueProduct - ActiveNetsuite::RecordRef
#   minimumQuantity - SOAP::SOAPLong
#   enforceMinQtyInternally - SOAP::SOAPBoolean
#   softDescriptor - ActiveNetsuite::RecordRef
#   isFulfillable - SOAP::SOAPBoolean
#   pricesIncludeTax - SOAP::SOAPBoolean
#   quantityPricingSchedule - ActiveNetsuite::RecordRef
#   useMarginalRates - SOAP::SOAPBoolean
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   isHazmatItem - SOAP::SOAPBoolean
#   hazmatId - SOAP::SOAPString
#   hazmatShippingName - SOAP::SOAPString
#   hazmatHazardClass - SOAP::SOAPString
#   hazmatPackingGroup - ActiveNetsuite::HazmatPackingGroup
#   hazmatItemUnits - SOAP::SOAPString
#   hazmatItemUnitsQty - SOAP::SOAPDouble
#   costEstimate - SOAP::SOAPDouble
#   overallQuantityPricingType - ActiveNetsuite::ItemOverallQuantityPricingType
#   pricingGroup - ActiveNetsuite::RecordRef
#   vsoePrice - SOAP::SOAPDouble
#   vsoeSopGroup - ActiveNetsuite::VsoeSopGroup
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   shipIndividually - SOAP::SOAPBoolean
#   shipPackage - ActiveNetsuite::RecordRef
#   storeDisplayName - SOAP::SOAPString
#   storeDisplayThumbnail - ActiveNetsuite::RecordRef
#   outOfStockMessage - SOAP::SOAPString
#   storeDisplayImage - ActiveNetsuite::RecordRef
#   storeDescription - SOAP::SOAPString
#   storeDetailedDescription - SOAP::SOAPString
#   storeItemTemplate - ActiveNetsuite::RecordRef
#   pageTitle - SOAP::SOAPString
#   urlComponent - SOAP::SOAPString
#   metaTagHtml - SOAP::SOAPString
#   excludeFromSitemap - SOAP::SOAPBoolean
#   sitemapPriority - ActiveNetsuite::SitemapPriority
#   searchKeywords - SOAP::SOAPString
#   itemOptionsList - ActiveNetsuite::ItemOptionsList
#   isDonationItem - SOAP::SOAPBoolean
#   showDefaultDonationAmount - SOAP::SOAPBoolean
#   maxDonationAmount - SOAP::SOAPDouble
#   dontShowPrice - SOAP::SOAPBoolean
#   noPriceMessage - SOAP::SOAPString
#   shoppingDotComCategory - SOAP::SOAPString
#   shopzillaCategoryId - SOAP::SOAPLong
#   outOfStockBehavior - ActiveNetsuite::ItemOutOfStockBehavior
#   nexTagCategory - SOAP::SOAPString
#   productFeedList - ActiveNetsuite::ProductFeedList
#   relatedItemsDescription - SOAP::SOAPString
#   onSpecial - SOAP::SOAPBoolean
#   specialsDescription - SOAP::SOAPString
#   featuredDescription - SOAP::SOAPString
#   pricingMatrix - ActiveNetsuite::PricingMatrix
#   siteCategoryList - ActiveNetsuite::SiteCategoryList
#   memberList - ActiveNetsuite::ItemMemberList
#   translationsList - ActiveNetsuite::TranslationList
#   presentationItemList - ActiveNetsuite::PresentationItemList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class KitItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :parent
  attr_accessor :printItems
  attr_accessor :isOnline
  attr_accessor :isGcoCompliant
  attr_accessor :offerSupport
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :department
  attr_accessor :subsidiaryList
  attr_accessor :includeChildren
  attr_accessor :location
  attr_accessor :description
  attr_accessor :incomeAccount
  attr_accessor :taxSchedule
  attr_accessor :shippingCost
  attr_accessor :handlingCost
  attr_accessor :isTaxable
  attr_accessor :salesTaxCode
  attr_accessor :weight
  attr_accessor :weightUnit
  attr_accessor :rate
  attr_accessor :billingSchedule
  attr_accessor :deferredRevenueAccount
  attr_accessor :revRecSchedule
  attr_accessor :stockDescription
  attr_accessor :producer
  attr_accessor :manufacturer
  attr_accessor :mpn
  attr_accessor :multManufactureAddr
  attr_accessor :manufactureraddr1
  attr_accessor :manufacturerCity
  attr_accessor :manufacturerState
  attr_accessor :manufacturerZip
  attr_accessor :countryOfManufacture
  attr_accessor :defaultItemShipMethod
  attr_accessor :itemCarrier
  attr_accessor :itemShipMethodList
  attr_accessor :manufacturerTaxId
  attr_accessor :scheduleBNumber
  attr_accessor :scheduleBQuantity
  attr_accessor :scheduleBCode
  attr_accessor :manufacturerTariff
  attr_accessor :preferenceCriterion
  attr_accessor :issueProduct
  attr_accessor :minimumQuantity
  attr_accessor :enforceMinQtyInternally
  attr_accessor :softDescriptor
  attr_accessor :isFulfillable
  attr_accessor :pricesIncludeTax
  attr_accessor :quantityPricingSchedule
  attr_accessor :useMarginalRates
  attr_accessor :costEstimateType
  attr_accessor :isHazmatItem
  attr_accessor :hazmatId
  attr_accessor :hazmatShippingName
  attr_accessor :hazmatHazardClass
  attr_accessor :hazmatPackingGroup
  attr_accessor :hazmatItemUnits
  attr_accessor :hazmatItemUnitsQty
  attr_accessor :costEstimate
  attr_accessor :overallQuantityPricingType
  attr_accessor :pricingGroup
  attr_accessor :vsoePrice
  attr_accessor :vsoeSopGroup
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :shipIndividually
  attr_accessor :shipPackage
  attr_accessor :storeDisplayName
  attr_accessor :storeDisplayThumbnail
  attr_accessor :outOfStockMessage
  attr_accessor :storeDisplayImage
  attr_accessor :storeDescription
  attr_accessor :storeDetailedDescription
  attr_accessor :storeItemTemplate
  attr_accessor :pageTitle
  attr_accessor :urlComponent
  attr_accessor :metaTagHtml
  attr_accessor :excludeFromSitemap
  attr_accessor :sitemapPriority
  attr_accessor :searchKeywords
  attr_accessor :itemOptionsList
  attr_accessor :isDonationItem
  attr_accessor :showDefaultDonationAmount
  attr_accessor :maxDonationAmount
  attr_accessor :dontShowPrice
  attr_accessor :noPriceMessage
  attr_accessor :shoppingDotComCategory
  attr_accessor :shopzillaCategoryId
  attr_accessor :outOfStockBehavior
  attr_accessor :nexTagCategory
  attr_accessor :productFeedList
  attr_accessor :relatedItemsDescription
  attr_accessor :onSpecial
  attr_accessor :specialsDescription
  attr_accessor :featuredDescription
  attr_accessor :pricingMatrix
  attr_accessor :siteCategoryList
  attr_accessor :memberList
  attr_accessor :translationsList
  attr_accessor :presentationItemList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, itemId = nil, upcCode = nil, displayName = nil, parent = nil, printItems = nil, isOnline = nil, isGcoCompliant = nil, offerSupport = nil, isInactive = nil, availableToPartners = nil, department = nil, subsidiaryList = nil, v_class = nil, includeChildren = nil, location = nil, description = nil, incomeAccount = nil, taxSchedule = nil, shippingCost = nil, handlingCost = nil, isTaxable = nil, salesTaxCode = nil, weight = nil, weightUnit = nil, rate = nil, billingSchedule = nil, deferredRevenueAccount = nil, revRecSchedule = nil, stockDescription = nil, producer = nil, manufacturer = nil, mpn = nil, multManufactureAddr = nil, manufactureraddr1 = nil, manufacturerCity = nil, manufacturerState = nil, manufacturerZip = nil, countryOfManufacture = nil, defaultItemShipMethod = nil, itemCarrier = nil, itemShipMethodList = nil, manufacturerTaxId = nil, scheduleBNumber = nil, scheduleBQuantity = nil, scheduleBCode = nil, manufacturerTariff = nil, preferenceCriterion = nil, issueProduct = nil, minimumQuantity = nil, enforceMinQtyInternally = nil, softDescriptor = nil, isFulfillable = nil, pricesIncludeTax = nil, quantityPricingSchedule = nil, useMarginalRates = nil, costEstimateType = nil, isHazmatItem = nil, hazmatId = nil, hazmatShippingName = nil, hazmatHazardClass = nil, hazmatPackingGroup = nil, hazmatItemUnits = nil, hazmatItemUnitsQty = nil, costEstimate = nil, overallQuantityPricingType = nil, pricingGroup = nil, vsoePrice = nil, vsoeSopGroup = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, shipIndividually = nil, shipPackage = nil, storeDisplayName = nil, storeDisplayThumbnail = nil, outOfStockMessage = nil, storeDisplayImage = nil, storeDescription = nil, storeDetailedDescription = nil, storeItemTemplate = nil, pageTitle = nil, urlComponent = nil, metaTagHtml = nil, excludeFromSitemap = nil, sitemapPriority = nil, searchKeywords = nil, itemOptionsList = nil, isDonationItem = nil, showDefaultDonationAmount = nil, maxDonationAmount = nil, dontShowPrice = nil, noPriceMessage = nil, shoppingDotComCategory = nil, shopzillaCategoryId = nil, outOfStockBehavior = nil, nexTagCategory = nil, productFeedList = nil, relatedItemsDescription = nil, onSpecial = nil, specialsDescription = nil, featuredDescription = nil, pricingMatrix = nil, siteCategoryList = nil, memberList = nil, translationsList = nil, presentationItemList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @itemId = itemId
    @upcCode = upcCode
    @displayName = displayName
    @parent = parent
    @printItems = printItems
    @isOnline = isOnline
    @isGcoCompliant = isGcoCompliant
    @offerSupport = offerSupport
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @department = department
    @subsidiaryList = subsidiaryList
    @v_class = v_class
    @includeChildren = includeChildren
    @location = location
    @description = description
    @incomeAccount = incomeAccount
    @taxSchedule = taxSchedule
    @shippingCost = shippingCost
    @handlingCost = handlingCost
    @isTaxable = isTaxable
    @salesTaxCode = salesTaxCode
    @weight = weight
    @weightUnit = weightUnit
    @rate = rate
    @billingSchedule = billingSchedule
    @deferredRevenueAccount = deferredRevenueAccount
    @revRecSchedule = revRecSchedule
    @stockDescription = stockDescription
    @producer = producer
    @manufacturer = manufacturer
    @mpn = mpn
    @multManufactureAddr = multManufactureAddr
    @manufactureraddr1 = manufactureraddr1
    @manufacturerCity = manufacturerCity
    @manufacturerState = manufacturerState
    @manufacturerZip = manufacturerZip
    @countryOfManufacture = countryOfManufacture
    @defaultItemShipMethod = defaultItemShipMethod
    @itemCarrier = itemCarrier
    @itemShipMethodList = itemShipMethodList
    @manufacturerTaxId = manufacturerTaxId
    @scheduleBNumber = scheduleBNumber
    @scheduleBQuantity = scheduleBQuantity
    @scheduleBCode = scheduleBCode
    @manufacturerTariff = manufacturerTariff
    @preferenceCriterion = preferenceCriterion
    @issueProduct = issueProduct
    @minimumQuantity = minimumQuantity
    @enforceMinQtyInternally = enforceMinQtyInternally
    @softDescriptor = softDescriptor
    @isFulfillable = isFulfillable
    @pricesIncludeTax = pricesIncludeTax
    @quantityPricingSchedule = quantityPricingSchedule
    @useMarginalRates = useMarginalRates
    @costEstimateType = costEstimateType
    @isHazmatItem = isHazmatItem
    @hazmatId = hazmatId
    @hazmatShippingName = hazmatShippingName
    @hazmatHazardClass = hazmatHazardClass
    @hazmatPackingGroup = hazmatPackingGroup
    @hazmatItemUnits = hazmatItemUnits
    @hazmatItemUnitsQty = hazmatItemUnitsQty
    @costEstimate = costEstimate
    @overallQuantityPricingType = overallQuantityPricingType
    @pricingGroup = pricingGroup
    @vsoePrice = vsoePrice
    @vsoeSopGroup = vsoeSopGroup
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @shipIndividually = shipIndividually
    @shipPackage = shipPackage
    @storeDisplayName = storeDisplayName
    @storeDisplayThumbnail = storeDisplayThumbnail
    @outOfStockMessage = outOfStockMessage
    @storeDisplayImage = storeDisplayImage
    @storeDescription = storeDescription
    @storeDetailedDescription = storeDetailedDescription
    @storeItemTemplate = storeItemTemplate
    @pageTitle = pageTitle
    @urlComponent = urlComponent
    @metaTagHtml = metaTagHtml
    @excludeFromSitemap = excludeFromSitemap
    @sitemapPriority = sitemapPriority
    @searchKeywords = searchKeywords
    @itemOptionsList = itemOptionsList
    @isDonationItem = isDonationItem
    @showDefaultDonationAmount = showDefaultDonationAmount
    @maxDonationAmount = maxDonationAmount
    @dontShowPrice = dontShowPrice
    @noPriceMessage = noPriceMessage
    @shoppingDotComCategory = shoppingDotComCategory
    @shopzillaCategoryId = shopzillaCategoryId
    @outOfStockBehavior = outOfStockBehavior
    @nexTagCategory = nexTagCategory
    @productFeedList = productFeedList
    @relatedItemsDescription = relatedItemsDescription
    @onSpecial = onSpecial
    @specialsDescription = specialsDescription
    @featuredDescription = featuredDescription
    @pricingMatrix = pricingMatrix
    @siteCategoryList = siteCategoryList
    @memberList = memberList
    @translationsList = translationsList
    @presentationItemList = presentationItemList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}AssemblyItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   vendorName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   printItems - SOAP::SOAPBoolean
#   isOnline - SOAP::SOAPBoolean
#   isGcoCompliant - SOAP::SOAPBoolean
#   offerSupport - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   department - ActiveNetsuite::RecordRef
#   includeChildren - SOAP::SOAPBoolean
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   cogsAccount - ActiveNetsuite::RecordRef
#   incomeAccount - ActiveNetsuite::RecordRef
#   assetAccount - ActiveNetsuite::RecordRef
#   matchBillToReceipt - SOAP::SOAPBoolean
#   billQtyVarianceAcct - ActiveNetsuite::RecordRef
#   billPriceVarianceAcct - ActiveNetsuite::RecordRef
#   billExchRateVarianceAcct - ActiveNetsuite::RecordRef
#   gainLossAccount - ActiveNetsuite::RecordRef
#   salesTaxCode - ActiveNetsuite::RecordRef
#   useComponentYield - SOAP::SOAPBoolean
#   wipVarianceAcct - ActiveNetsuite::RecordRef
#   purchaseTaxCode - ActiveNetsuite::RecordRef
#   scrapAcct - ActiveNetsuite::RecordRef
#   taxSchedule - ActiveNetsuite::RecordRef
#   wipAcct - ActiveNetsuite::RecordRef
#   shippingCost - SOAP::SOAPDouble
#   handlingCost - SOAP::SOAPDouble
#   weight - SOAP::SOAPDouble
#   weightUnit - ActiveNetsuite::ItemWeightUnit
#   isTaxable - SOAP::SOAPBoolean
#   costingMethod - ActiveNetsuite::ItemCostingMethod
#   rate - SOAP::SOAPDouble
#   costingMethodDisplay - SOAP::SOAPString
#   unitsType - ActiveNetsuite::RecordRef
#   stockUnit - ActiveNetsuite::RecordRef
#   purchaseUnit - ActiveNetsuite::RecordRef
#   saleUnit - ActiveNetsuite::RecordRef
#   trackLandedCost - SOAP::SOAPBoolean
#   billingSchedule - ActiveNetsuite::RecordRef
#   deferredRevenueAccount - ActiveNetsuite::RecordRef
#   revRecSchedule - ActiveNetsuite::RecordRef
#   stockDescription - SOAP::SOAPString
#   producer - SOAP::SOAPBoolean
#   manufacturer - SOAP::SOAPString
#   mpn - SOAP::SOAPString
#   multManufactureAddr - SOAP::SOAPBoolean
#   manufactureraddr1 - SOAP::SOAPString
#   manufacturerCity - SOAP::SOAPString
#   manufacturerState - SOAP::SOAPString
#   manufacturerZip - SOAP::SOAPString
#   countryOfManufacture - ActiveNetsuite::Country
#   effectiveBomControl - ActiveNetsuite::AssemblyItemEffectiveBomControl
#   defaultRevision - SOAP::SOAPString
#   roundUpAsComponent - SOAP::SOAPBoolean
#   defaultItemShipMethod - ActiveNetsuite::RecordRef
#   itemCarrier - ActiveNetsuite::ItemCarrier
#   itemShipMethodList - ActiveNetsuite::RecordRefList
#   manufacturerTaxId - SOAP::SOAPString
#   scheduleBNumber - SOAP::SOAPString
#   scheduleBQuantity - SOAP::SOAPLong
#   scheduleBCode - ActiveNetsuite::RecordRef
#   manufacturerTariff - SOAP::SOAPString
#   preferenceCriterion - ActiveNetsuite::ItemPreferenceCriterion
#   issueProduct - ActiveNetsuite::RecordRef
#   minimumQuantity - SOAP::SOAPLong
#   lastInvtCountDate - SOAP::SOAPDateTime
#   nextInvtCountDate - SOAP::SOAPDateTime
#   invtCountInterval - SOAP::SOAPLong
#   invtClassification - ActiveNetsuite::ItemInvtClassification
#   enforceMinQtyInternally - SOAP::SOAPBoolean
#   softDescriptor - ActiveNetsuite::RecordRef
#   isSpecialWorkOrderItem - SOAP::SOAPBoolean
#   costCategory - ActiveNetsuite::RecordRef
#   pricesIncludeTax - SOAP::SOAPBoolean
#   prodQtyVarianceAcct - ActiveNetsuite::RecordRef
#   prodPriceVarianceAcct - ActiveNetsuite::RecordRef
#   purchasePriceVarianceAcct - ActiveNetsuite::RecordRef
#   quantityPricingSchedule - ActiveNetsuite::RecordRef
#   buildEntireAssembly - SOAP::SOAPBoolean
#   quantityOnHand - SOAP::SOAPDouble
#   useMarginalRates - SOAP::SOAPBoolean
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   isHazmatItem - SOAP::SOAPBoolean
#   hazmatId - SOAP::SOAPString
#   hazmatShippingName - SOAP::SOAPString
#   hazmatHazardClass - SOAP::SOAPString
#   hazmatPackingGroup - ActiveNetsuite::HazmatPackingGroup
#   hazmatItemUnits - SOAP::SOAPString
#   hazmatItemUnitsQty - SOAP::SOAPDouble
#   costEstimate - SOAP::SOAPDouble
#   transferPrice - SOAP::SOAPDouble
#   overallQuantityPricingType - ActiveNetsuite::ItemOverallQuantityPricingType
#   pricingGroup - ActiveNetsuite::RecordRef
#   vsoePrice - SOAP::SOAPDouble
#   vsoeSopGroup - ActiveNetsuite::VsoeSopGroup
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   unbuildVarianceAccount - ActiveNetsuite::RecordRef
#   dropshipExpenseAccount - ActiveNetsuite::RecordRef
#   preferredLocation - ActiveNetsuite::RecordRef
#   totalValue - SOAP::SOAPDouble
#   useBins - SOAP::SOAPBoolean
#   averageCost - SOAP::SOAPDouble
#   leadTime - SOAP::SOAPLong
#   autoLeadTime - SOAP::SOAPBoolean
#   buildTime - SOAP::SOAPLong
#   lastPurchasePrice - SOAP::SOAPDouble
#   purchaseDescription - SOAP::SOAPString
#   safetyStockLevel - SOAP::SOAPDouble
#   safetyStockLevelDays - SOAP::SOAPLong
#   seasonalDemand - SOAP::SOAPBoolean
#   reorderMultiple - SOAP::SOAPLong
#   cost - SOAP::SOAPDouble
#   reorderPoint - SOAP::SOAPDouble
#   demandModifier - SOAP::SOAPDouble
#   preferredStockLevel - SOAP::SOAPDouble
#   autoReorderPoint - SOAP::SOAPBoolean
#   autoPreferredStockLevel - SOAP::SOAPBoolean
#   preferredStockLevelDays - SOAP::SOAPDouble
#   quantityCommitted - SOAP::SOAPDouble
#   shipIndividually - SOAP::SOAPBoolean
#   quantityAvailable - SOAP::SOAPDouble
#   shipPackage - ActiveNetsuite::RecordRef
#   quantityBackOrdered - SOAP::SOAPDouble
#   storeDisplayName - SOAP::SOAPString
#   defaultReturnCost - SOAP::SOAPDouble
#   supplyReplenishmentMethod - ActiveNetsuite::RecordRef
#   alternateDemandSourceItem - ActiveNetsuite::RecordRef
#   fixedLotSize - SOAP::SOAPDouble
#   supplyType - ActiveNetsuite::RecordRef
#   supplyLotSizingMethod - ActiveNetsuite::RecordRef
#   demandSource - ActiveNetsuite::RecordRef
#   quantityOnOrder - SOAP::SOAPDouble
#   storeDisplayThumbnail - ActiveNetsuite::RecordRef
#   storeDisplayImage - ActiveNetsuite::RecordRef
#   storeDescription - SOAP::SOAPString
#   storeDetailedDescription - SOAP::SOAPString
#   storeItemTemplate - ActiveNetsuite::RecordRef
#   pageTitle - SOAP::SOAPString
#   urlComponent - SOAP::SOAPString
#   metaTagHtml - SOAP::SOAPString
#   excludeFromSitemap - SOAP::SOAPBoolean
#   sitemapPriority - ActiveNetsuite::SitemapPriority
#   searchKeywords - SOAP::SOAPString
#   isDonationItem - SOAP::SOAPBoolean
#   showDefaultDonationAmount - SOAP::SOAPBoolean
#   maxDonationAmount - SOAP::SOAPDouble
#   dontShowPrice - SOAP::SOAPBoolean
#   noPriceMessage - SOAP::SOAPString
#   outOfStockMessage - SOAP::SOAPString
#   shoppingDotComCategory - SOAP::SOAPString
#   outOfStockBehavior - ActiveNetsuite::ItemOutOfStockBehavior
#   shopzillaCategoryId - SOAP::SOAPLong
#   nexTagCategory - SOAP::SOAPString
#   productFeedList - ActiveNetsuite::ProductFeedList
#   relatedItemsDescription - SOAP::SOAPString
#   onSpecial - SOAP::SOAPBoolean
#   specialsDescription - SOAP::SOAPString
#   featuredDescription - SOAP::SOAPString
#   itemOptionsList - ActiveNetsuite::ItemOptionsList
#   itemNumberOptionsList - ActiveNetsuite::RecordRefList
#   itemVendorList - ActiveNetsuite::ItemVendorList
#   pricingMatrix - ActiveNetsuite::PricingMatrix
#   memberList - ActiveNetsuite::ItemMemberList
#   locationsList - ActiveNetsuite::InventoryItemLocationsList
#   siteCategoryList - ActiveNetsuite::SiteCategoryList
#   binNumberList - ActiveNetsuite::InventoryItemBinNumberList
#   translationsList - ActiveNetsuite::TranslationList
#   presentationItemList - ActiveNetsuite::PresentationItemList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class AssemblyItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :vendorName
  attr_accessor :parent
  attr_accessor :printItems
  attr_accessor :isOnline
  attr_accessor :isGcoCompliant
  attr_accessor :offerSupport
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :subsidiaryList
  attr_accessor :department
  attr_accessor :includeChildren
  attr_accessor :location
  attr_accessor :description
  attr_accessor :cogsAccount
  attr_accessor :incomeAccount
  attr_accessor :assetAccount
  attr_accessor :matchBillToReceipt
  attr_accessor :billQtyVarianceAcct
  attr_accessor :billPriceVarianceAcct
  attr_accessor :billExchRateVarianceAcct
  attr_accessor :gainLossAccount
  attr_accessor :salesTaxCode
  attr_accessor :useComponentYield
  attr_accessor :wipVarianceAcct
  attr_accessor :purchaseTaxCode
  attr_accessor :scrapAcct
  attr_accessor :taxSchedule
  attr_accessor :wipAcct
  attr_accessor :shippingCost
  attr_accessor :handlingCost
  attr_accessor :weight
  attr_accessor :weightUnit
  attr_accessor :isTaxable
  attr_accessor :costingMethod
  attr_accessor :rate
  attr_accessor :costingMethodDisplay
  attr_accessor :unitsType
  attr_accessor :stockUnit
  attr_accessor :purchaseUnit
  attr_accessor :saleUnit
  attr_accessor :trackLandedCost
  attr_accessor :billingSchedule
  attr_accessor :deferredRevenueAccount
  attr_accessor :revRecSchedule
  attr_accessor :stockDescription
  attr_accessor :producer
  attr_accessor :manufacturer
  attr_accessor :mpn
  attr_accessor :multManufactureAddr
  attr_accessor :manufactureraddr1
  attr_accessor :manufacturerCity
  attr_accessor :manufacturerState
  attr_accessor :manufacturerZip
  attr_accessor :countryOfManufacture
  attr_accessor :effectiveBomControl
  attr_accessor :defaultRevision
  attr_accessor :roundUpAsComponent
  attr_accessor :defaultItemShipMethod
  attr_accessor :itemCarrier
  attr_accessor :itemShipMethodList
  attr_accessor :manufacturerTaxId
  attr_accessor :scheduleBNumber
  attr_accessor :scheduleBQuantity
  attr_accessor :scheduleBCode
  attr_accessor :manufacturerTariff
  attr_accessor :preferenceCriterion
  attr_accessor :issueProduct
  attr_accessor :minimumQuantity
  attr_accessor :lastInvtCountDate
  attr_accessor :nextInvtCountDate
  attr_accessor :invtCountInterval
  attr_accessor :invtClassification
  attr_accessor :enforceMinQtyInternally
  attr_accessor :softDescriptor
  attr_accessor :isSpecialWorkOrderItem
  attr_accessor :costCategory
  attr_accessor :pricesIncludeTax
  attr_accessor :prodQtyVarianceAcct
  attr_accessor :prodPriceVarianceAcct
  attr_accessor :purchasePriceVarianceAcct
  attr_accessor :quantityPricingSchedule
  attr_accessor :buildEntireAssembly
  attr_accessor :quantityOnHand
  attr_accessor :useMarginalRates
  attr_accessor :costEstimateType
  attr_accessor :isHazmatItem
  attr_accessor :hazmatId
  attr_accessor :hazmatShippingName
  attr_accessor :hazmatHazardClass
  attr_accessor :hazmatPackingGroup
  attr_accessor :hazmatItemUnits
  attr_accessor :hazmatItemUnitsQty
  attr_accessor :costEstimate
  attr_accessor :transferPrice
  attr_accessor :overallQuantityPricingType
  attr_accessor :pricingGroup
  attr_accessor :vsoePrice
  attr_accessor :vsoeSopGroup
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :unbuildVarianceAccount
  attr_accessor :dropshipExpenseAccount
  attr_accessor :preferredLocation
  attr_accessor :totalValue
  attr_accessor :useBins
  attr_accessor :averageCost
  attr_accessor :leadTime
  attr_accessor :autoLeadTime
  attr_accessor :buildTime
  attr_accessor :lastPurchasePrice
  attr_accessor :purchaseDescription
  attr_accessor :safetyStockLevel
  attr_accessor :safetyStockLevelDays
  attr_accessor :seasonalDemand
  attr_accessor :reorderMultiple
  attr_accessor :cost
  attr_accessor :reorderPoint
  attr_accessor :demandModifier
  attr_accessor :preferredStockLevel
  attr_accessor :autoReorderPoint
  attr_accessor :autoPreferredStockLevel
  attr_accessor :preferredStockLevelDays
  attr_accessor :quantityCommitted
  attr_accessor :shipIndividually
  attr_accessor :quantityAvailable
  attr_accessor :shipPackage
  attr_accessor :quantityBackOrdered
  attr_accessor :storeDisplayName
  attr_accessor :defaultReturnCost
  attr_accessor :supplyReplenishmentMethod
  attr_accessor :alternateDemandSourceItem
  attr_accessor :fixedLotSize
  attr_accessor :supplyType
  attr_accessor :supplyLotSizingMethod
  attr_accessor :demandSource
  attr_accessor :quantityOnOrder
  attr_accessor :storeDisplayThumbnail
  attr_accessor :storeDisplayImage
  attr_accessor :storeDescription
  attr_accessor :storeDetailedDescription
  attr_accessor :storeItemTemplate
  attr_accessor :pageTitle
  attr_accessor :urlComponent
  attr_accessor :metaTagHtml
  attr_accessor :excludeFromSitemap
  attr_accessor :sitemapPriority
  attr_accessor :searchKeywords
  attr_accessor :isDonationItem
  attr_accessor :showDefaultDonationAmount
  attr_accessor :maxDonationAmount
  attr_accessor :dontShowPrice
  attr_accessor :noPriceMessage
  attr_accessor :outOfStockMessage
  attr_accessor :shoppingDotComCategory
  attr_accessor :outOfStockBehavior
  attr_accessor :shopzillaCategoryId
  attr_accessor :nexTagCategory
  attr_accessor :productFeedList
  attr_accessor :relatedItemsDescription
  attr_accessor :onSpecial
  attr_accessor :specialsDescription
  attr_accessor :featuredDescription
  attr_accessor :itemOptionsList
  attr_accessor :itemNumberOptionsList
  attr_accessor :itemVendorList
  attr_accessor :pricingMatrix
  attr_accessor :memberList
  attr_accessor :locationsList
  attr_accessor :siteCategoryList
  attr_accessor :binNumberList
  attr_accessor :translationsList
  attr_accessor :presentationItemList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, itemId = nil, upcCode = nil, displayName = nil, vendorName = nil, parent = nil, printItems = nil, isOnline = nil, isGcoCompliant = nil, offerSupport = nil, isInactive = nil, availableToPartners = nil, subsidiaryList = nil, department = nil, includeChildren = nil, v_class = nil, location = nil, description = nil, cogsAccount = nil, incomeAccount = nil, assetAccount = nil, matchBillToReceipt = nil, billQtyVarianceAcct = nil, billPriceVarianceAcct = nil, billExchRateVarianceAcct = nil, gainLossAccount = nil, salesTaxCode = nil, useComponentYield = nil, wipVarianceAcct = nil, purchaseTaxCode = nil, scrapAcct = nil, taxSchedule = nil, wipAcct = nil, shippingCost = nil, handlingCost = nil, weight = nil, weightUnit = nil, isTaxable = nil, costingMethod = nil, rate = nil, costingMethodDisplay = nil, unitsType = nil, stockUnit = nil, purchaseUnit = nil, saleUnit = nil, trackLandedCost = nil, billingSchedule = nil, deferredRevenueAccount = nil, revRecSchedule = nil, stockDescription = nil, producer = nil, manufacturer = nil, mpn = nil, multManufactureAddr = nil, manufactureraddr1 = nil, manufacturerCity = nil, manufacturerState = nil, manufacturerZip = nil, countryOfManufacture = nil, effectiveBomControl = nil, defaultRevision = nil, roundUpAsComponent = nil, defaultItemShipMethod = nil, itemCarrier = nil, itemShipMethodList = nil, manufacturerTaxId = nil, scheduleBNumber = nil, scheduleBQuantity = nil, scheduleBCode = nil, manufacturerTariff = nil, preferenceCriterion = nil, issueProduct = nil, minimumQuantity = nil, lastInvtCountDate = nil, nextInvtCountDate = nil, invtCountInterval = nil, invtClassification = nil, enforceMinQtyInternally = nil, softDescriptor = nil, isSpecialWorkOrderItem = nil, costCategory = nil, pricesIncludeTax = nil, prodQtyVarianceAcct = nil, prodPriceVarianceAcct = nil, purchasePriceVarianceAcct = nil, quantityPricingSchedule = nil, buildEntireAssembly = nil, quantityOnHand = nil, useMarginalRates = nil, costEstimateType = nil, isHazmatItem = nil, hazmatId = nil, hazmatShippingName = nil, hazmatHazardClass = nil, hazmatPackingGroup = nil, hazmatItemUnits = nil, hazmatItemUnitsQty = nil, costEstimate = nil, transferPrice = nil, overallQuantityPricingType = nil, pricingGroup = nil, vsoePrice = nil, vsoeSopGroup = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, unbuildVarianceAccount = nil, dropshipExpenseAccount = nil, preferredLocation = nil, totalValue = nil, useBins = nil, averageCost = nil, leadTime = nil, autoLeadTime = nil, buildTime = nil, lastPurchasePrice = nil, purchaseDescription = nil, safetyStockLevel = nil, safetyStockLevelDays = nil, seasonalDemand = nil, reorderMultiple = nil, cost = nil, reorderPoint = nil, demandModifier = nil, preferredStockLevel = nil, autoReorderPoint = nil, autoPreferredStockLevel = nil, preferredStockLevelDays = nil, quantityCommitted = nil, shipIndividually = nil, quantityAvailable = nil, shipPackage = nil, quantityBackOrdered = nil, storeDisplayName = nil, defaultReturnCost = nil, supplyReplenishmentMethod = nil, alternateDemandSourceItem = nil, fixedLotSize = nil, supplyType = nil, supplyLotSizingMethod = nil, demandSource = nil, quantityOnOrder = nil, storeDisplayThumbnail = nil, storeDisplayImage = nil, storeDescription = nil, storeDetailedDescription = nil, storeItemTemplate = nil, pageTitle = nil, urlComponent = nil, metaTagHtml = nil, excludeFromSitemap = nil, sitemapPriority = nil, searchKeywords = nil, isDonationItem = nil, showDefaultDonationAmount = nil, maxDonationAmount = nil, dontShowPrice = nil, noPriceMessage = nil, outOfStockMessage = nil, shoppingDotComCategory = nil, outOfStockBehavior = nil, shopzillaCategoryId = nil, nexTagCategory = nil, productFeedList = nil, relatedItemsDescription = nil, onSpecial = nil, specialsDescription = nil, featuredDescription = nil, itemOptionsList = nil, itemNumberOptionsList = nil, itemVendorList = nil, pricingMatrix = nil, memberList = nil, locationsList = nil, siteCategoryList = nil, binNumberList = nil, translationsList = nil, presentationItemList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @itemId = itemId
    @upcCode = upcCode
    @displayName = displayName
    @vendorName = vendorName
    @parent = parent
    @printItems = printItems
    @isOnline = isOnline
    @isGcoCompliant = isGcoCompliant
    @offerSupport = offerSupport
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @subsidiaryList = subsidiaryList
    @department = department
    @includeChildren = includeChildren
    @v_class = v_class
    @location = location
    @description = description
    @cogsAccount = cogsAccount
    @incomeAccount = incomeAccount
    @assetAccount = assetAccount
    @matchBillToReceipt = matchBillToReceipt
    @billQtyVarianceAcct = billQtyVarianceAcct
    @billPriceVarianceAcct = billPriceVarianceAcct
    @billExchRateVarianceAcct = billExchRateVarianceAcct
    @gainLossAccount = gainLossAccount
    @salesTaxCode = salesTaxCode
    @useComponentYield = useComponentYield
    @wipVarianceAcct = wipVarianceAcct
    @purchaseTaxCode = purchaseTaxCode
    @scrapAcct = scrapAcct
    @taxSchedule = taxSchedule
    @wipAcct = wipAcct
    @shippingCost = shippingCost
    @handlingCost = handlingCost
    @weight = weight
    @weightUnit = weightUnit
    @isTaxable = isTaxable
    @costingMethod = costingMethod
    @rate = rate
    @costingMethodDisplay = costingMethodDisplay
    @unitsType = unitsType
    @stockUnit = stockUnit
    @purchaseUnit = purchaseUnit
    @saleUnit = saleUnit
    @trackLandedCost = trackLandedCost
    @billingSchedule = billingSchedule
    @deferredRevenueAccount = deferredRevenueAccount
    @revRecSchedule = revRecSchedule
    @stockDescription = stockDescription
    @producer = producer
    @manufacturer = manufacturer
    @mpn = mpn
    @multManufactureAddr = multManufactureAddr
    @manufactureraddr1 = manufactureraddr1
    @manufacturerCity = manufacturerCity
    @manufacturerState = manufacturerState
    @manufacturerZip = manufacturerZip
    @countryOfManufacture = countryOfManufacture
    @effectiveBomControl = effectiveBomControl
    @defaultRevision = defaultRevision
    @roundUpAsComponent = roundUpAsComponent
    @defaultItemShipMethod = defaultItemShipMethod
    @itemCarrier = itemCarrier
    @itemShipMethodList = itemShipMethodList
    @manufacturerTaxId = manufacturerTaxId
    @scheduleBNumber = scheduleBNumber
    @scheduleBQuantity = scheduleBQuantity
    @scheduleBCode = scheduleBCode
    @manufacturerTariff = manufacturerTariff
    @preferenceCriterion = preferenceCriterion
    @issueProduct = issueProduct
    @minimumQuantity = minimumQuantity
    @lastInvtCountDate = lastInvtCountDate
    @nextInvtCountDate = nextInvtCountDate
    @invtCountInterval = invtCountInterval
    @invtClassification = invtClassification
    @enforceMinQtyInternally = enforceMinQtyInternally
    @softDescriptor = softDescriptor
    @isSpecialWorkOrderItem = isSpecialWorkOrderItem
    @costCategory = costCategory
    @pricesIncludeTax = pricesIncludeTax
    @prodQtyVarianceAcct = prodQtyVarianceAcct
    @prodPriceVarianceAcct = prodPriceVarianceAcct
    @purchasePriceVarianceAcct = purchasePriceVarianceAcct
    @quantityPricingSchedule = quantityPricingSchedule
    @buildEntireAssembly = buildEntireAssembly
    @quantityOnHand = quantityOnHand
    @useMarginalRates = useMarginalRates
    @costEstimateType = costEstimateType
    @isHazmatItem = isHazmatItem
    @hazmatId = hazmatId
    @hazmatShippingName = hazmatShippingName
    @hazmatHazardClass = hazmatHazardClass
    @hazmatPackingGroup = hazmatPackingGroup
    @hazmatItemUnits = hazmatItemUnits
    @hazmatItemUnitsQty = hazmatItemUnitsQty
    @costEstimate = costEstimate
    @transferPrice = transferPrice
    @overallQuantityPricingType = overallQuantityPricingType
    @pricingGroup = pricingGroup
    @vsoePrice = vsoePrice
    @vsoeSopGroup = vsoeSopGroup
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @unbuildVarianceAccount = unbuildVarianceAccount
    @dropshipExpenseAccount = dropshipExpenseAccount
    @preferredLocation = preferredLocation
    @totalValue = totalValue
    @useBins = useBins
    @averageCost = averageCost
    @leadTime = leadTime
    @autoLeadTime = autoLeadTime
    @buildTime = buildTime
    @lastPurchasePrice = lastPurchasePrice
    @purchaseDescription = purchaseDescription
    @safetyStockLevel = safetyStockLevel
    @safetyStockLevelDays = safetyStockLevelDays
    @seasonalDemand = seasonalDemand
    @reorderMultiple = reorderMultiple
    @cost = cost
    @reorderPoint = reorderPoint
    @demandModifier = demandModifier
    @preferredStockLevel = preferredStockLevel
    @autoReorderPoint = autoReorderPoint
    @autoPreferredStockLevel = autoPreferredStockLevel
    @preferredStockLevelDays = preferredStockLevelDays
    @quantityCommitted = quantityCommitted
    @shipIndividually = shipIndividually
    @quantityAvailable = quantityAvailable
    @shipPackage = shipPackage
    @quantityBackOrdered = quantityBackOrdered
    @storeDisplayName = storeDisplayName
    @defaultReturnCost = defaultReturnCost
    @supplyReplenishmentMethod = supplyReplenishmentMethod
    @alternateDemandSourceItem = alternateDemandSourceItem
    @fixedLotSize = fixedLotSize
    @supplyType = supplyType
    @supplyLotSizingMethod = supplyLotSizingMethod
    @demandSource = demandSource
    @quantityOnOrder = quantityOnOrder
    @storeDisplayThumbnail = storeDisplayThumbnail
    @storeDisplayImage = storeDisplayImage
    @storeDescription = storeDescription
    @storeDetailedDescription = storeDetailedDescription
    @storeItemTemplate = storeItemTemplate
    @pageTitle = pageTitle
    @urlComponent = urlComponent
    @metaTagHtml = metaTagHtml
    @excludeFromSitemap = excludeFromSitemap
    @sitemapPriority = sitemapPriority
    @searchKeywords = searchKeywords
    @isDonationItem = isDonationItem
    @showDefaultDonationAmount = showDefaultDonationAmount
    @maxDonationAmount = maxDonationAmount
    @dontShowPrice = dontShowPrice
    @noPriceMessage = noPriceMessage
    @outOfStockMessage = outOfStockMessage
    @shoppingDotComCategory = shoppingDotComCategory
    @outOfStockBehavior = outOfStockBehavior
    @shopzillaCategoryId = shopzillaCategoryId
    @nexTagCategory = nexTagCategory
    @productFeedList = productFeedList
    @relatedItemsDescription = relatedItemsDescription
    @onSpecial = onSpecial
    @specialsDescription = specialsDescription
    @featuredDescription = featuredDescription
    @itemOptionsList = itemOptionsList
    @itemNumberOptionsList = itemNumberOptionsList
    @itemVendorList = itemVendorList
    @pricingMatrix = pricingMatrix
    @memberList = memberList
    @locationsList = locationsList
    @siteCategoryList = siteCategoryList
    @binNumberList = binNumberList
    @translationsList = translationsList
    @presentationItemList = presentationItemList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}SerializedAssemblyItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   vendorName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   printItems - SOAP::SOAPBoolean
#   isOnline - SOAP::SOAPBoolean
#   lastInvtCountDate - SOAP::SOAPDateTime
#   nextInvtCountDate - SOAP::SOAPDateTime
#   invtCountInterval - SOAP::SOAPLong
#   invtClassification - ActiveNetsuite::ItemInvtClassification
#   isGcoCompliant - SOAP::SOAPBoolean
#   offerSupport - SOAP::SOAPBoolean
#   useComponentYield - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   availableToPartners - SOAP::SOAPBoolean
#   includeChildren - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   cogsAccount - ActiveNetsuite::RecordRef
#   incomeAccount - ActiveNetsuite::RecordRef
#   assetAccount - ActiveNetsuite::RecordRef
#   matchBillToReceipt - SOAP::SOAPBoolean
#   billQtyVarianceAcct - ActiveNetsuite::RecordRef
#   billPriceVarianceAcct - ActiveNetsuite::RecordRef
#   billExchRateVarianceAcct - ActiveNetsuite::RecordRef
#   gainLossAccount - ActiveNetsuite::RecordRef
#   salesTaxCode - ActiveNetsuite::RecordRef
#   costCategory - ActiveNetsuite::RecordRef
#   purchaseTaxCode - ActiveNetsuite::RecordRef
#   prodQtyVarianceAcct - ActiveNetsuite::RecordRef
#   prodPriceVarianceAcct - ActiveNetsuite::RecordRef
#   purchasePriceVarianceAcct - ActiveNetsuite::RecordRef
#   wipVarianceAcct - ActiveNetsuite::RecordRef
#   taxSchedule - ActiveNetsuite::RecordRef
#   scrapAcct - ActiveNetsuite::RecordRef
#   shippingCost - SOAP::SOAPDouble
#   wipAcct - ActiveNetsuite::RecordRef
#   shippingCostUnits - SOAP::SOAPString
#   handlingCost - SOAP::SOAPDouble
#   weight - SOAP::SOAPDouble
#   handlingCostUnits - SOAP::SOAPString
#   weightUnit - ActiveNetsuite::ItemWeightUnit
#   weightUnits - SOAP::SOAPString
#   costingMethod - ActiveNetsuite::ItemCostingMethod
#   isTaxable - SOAP::SOAPBoolean
#   costingMethodDisplay - SOAP::SOAPString
#   rate - SOAP::SOAPDouble
#   unitsType - ActiveNetsuite::RecordRef
#   stockUnit - ActiveNetsuite::RecordRef
#   purchaseUnit - ActiveNetsuite::RecordRef
#   saleUnit - ActiveNetsuite::RecordRef
#   trackLandedCost - SOAP::SOAPBoolean
#   billingSchedule - ActiveNetsuite::RecordRef
#   deferredRevenueAccount - ActiveNetsuite::RecordRef
#   revRecSchedule - ActiveNetsuite::RecordRef
#   stockDescription - SOAP::SOAPString
#   producer - SOAP::SOAPBoolean
#   manufacturer - SOAP::SOAPString
#   mpn - SOAP::SOAPString
#   multManufactureAddr - SOAP::SOAPBoolean
#   manufactureraddr1 - SOAP::SOAPString
#   manufacturerCity - SOAP::SOAPString
#   manufacturerState - SOAP::SOAPString
#   manufacturerZip - SOAP::SOAPString
#   countryOfManufacture - ActiveNetsuite::Country
#   effectiveBomControl - ActiveNetsuite::AssemblyItemEffectiveBomControl
#   minimumQuantityUnits - SOAP::SOAPString
#   defaultRevision - SOAP::SOAPString
#   defaultItemShipMethod - ActiveNetsuite::RecordRef
#   itemCarrier - ActiveNetsuite::ItemCarrier
#   roundUpAsComponent - SOAP::SOAPBoolean
#   itemShipMethodList - ActiveNetsuite::RecordRefList
#   manufacturerTaxId - SOAP::SOAPString
#   scheduleBNumber - SOAP::SOAPString
#   scheduleBQuantity - SOAP::SOAPLong
#   scheduleBCode - ActiveNetsuite::RecordRef
#   manufacturerTariff - SOAP::SOAPString
#   preferenceCriterion - ActiveNetsuite::ItemPreferenceCriterion
#   issueProduct - ActiveNetsuite::RecordRef
#   minimumQuantity - SOAP::SOAPLong
#   enforceMinQtyInternally - SOAP::SOAPBoolean
#   softDescriptor - ActiveNetsuite::RecordRef
#   isSpecialWorkOrderItem - SOAP::SOAPBoolean
#   pricesIncludeTax - SOAP::SOAPBoolean
#   quantityPricingSchedule - ActiveNetsuite::RecordRef
#   buildEntireAssembly - SOAP::SOAPBoolean
#   quantityOnHand - SOAP::SOAPDouble
#   quantityOnHandUnits - SOAP::SOAPString
#   useMarginalRates - SOAP::SOAPBoolean
#   reorderMultiple - SOAP::SOAPLong
#   cost - SOAP::SOAPDouble
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   isHazmatItem - SOAP::SOAPBoolean
#   hazmatId - SOAP::SOAPString
#   hazmatShippingName - SOAP::SOAPString
#   hazmatHazardClass - SOAP::SOAPString
#   hazmatPackingGroup - ActiveNetsuite::HazmatPackingGroup
#   hazmatItemUnits - SOAP::SOAPString
#   hazmatItemUnitsQty - SOAP::SOAPDouble
#   costEstimate - SOAP::SOAPDouble
#   transferPrice - SOAP::SOAPDouble
#   overallQuantityPricingType - ActiveNetsuite::ItemOverallQuantityPricingType
#   pricingGroup - ActiveNetsuite::RecordRef
#   vsoePrice - SOAP::SOAPDouble
#   vsoeSopGroup - ActiveNetsuite::VsoeSopGroup
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   unbuildVarianceAccount - ActiveNetsuite::RecordRef
#   dropshipExpenseAccount - ActiveNetsuite::RecordRef
#   preferredLocation - ActiveNetsuite::RecordRef
#   totalValue - SOAP::SOAPDouble
#   useBins - SOAP::SOAPBoolean
#   averageCost - SOAP::SOAPDouble
#   lastPurchasePrice - SOAP::SOAPDouble
#   purchaseDescription - SOAP::SOAPString
#   leadTime - SOAP::SOAPLong
#   autoLeadTime - SOAP::SOAPBoolean
#   buildTime - SOAP::SOAPLong
#   safetyStockLevel - SOAP::SOAPDouble
#   safetyStockLevelUnits - SOAP::SOAPString
#   safetyStockLevelDays - SOAP::SOAPLong
#   seasonalDemand - SOAP::SOAPBoolean
#   serialNumbers - SOAP::SOAPString
#   reorderPoint - SOAP::SOAPDouble
#   reorderPointUnits - SOAP::SOAPString
#   preferredStockLevel - SOAP::SOAPDouble
#   preferredStockLevelUnits - SOAP::SOAPString
#   demandModifier - SOAP::SOAPDouble
#   autoReorderPoint - SOAP::SOAPBoolean
#   autoPreferredStockLevel - SOAP::SOAPBoolean
#   preferredStockLevelDays - SOAP::SOAPDouble
#   defaultReturnCost - SOAP::SOAPDouble
#   supplyReplenishmentMethod - ActiveNetsuite::RecordRef
#   alternateDemandSourceItem - ActiveNetsuite::RecordRef
#   fixedLotSize - SOAP::SOAPDouble
#   supplyType - ActiveNetsuite::RecordRef
#   supplyLotSizingMethod - ActiveNetsuite::RecordRef
#   demandSource - ActiveNetsuite::RecordRef
#   shipIndividually - SOAP::SOAPBoolean
#   quantityCommitted - SOAP::SOAPDouble
#   quantityAvailable - SOAP::SOAPDouble
#   quantityBackOrdered - SOAP::SOAPDouble
#   quantityOnOrder - SOAP::SOAPDouble
#   shipPackage - ActiveNetsuite::RecordRef
#   storeDisplayName - SOAP::SOAPString
#   storeDisplayThumbnail - ActiveNetsuite::RecordRef
#   storeDisplayImage - ActiveNetsuite::RecordRef
#   storeDescription - SOAP::SOAPString
#   storeDetailedDescription - SOAP::SOAPString
#   storeItemTemplate - ActiveNetsuite::RecordRef
#   pageTitle - SOAP::SOAPString
#   metaTagHtml - SOAP::SOAPString
#   excludeFromSitemap - SOAP::SOAPBoolean
#   sitemapPriority - ActiveNetsuite::SitemapPriority
#   urlComponent - SOAP::SOAPString
#   searchKeywords - SOAP::SOAPString
#   isDonationItem - SOAP::SOAPBoolean
#   showDefaultDonationAmount - SOAP::SOAPBoolean
#   maxDonationAmount - SOAP::SOAPDouble
#   dontShowPrice - SOAP::SOAPBoolean
#   noPriceMessage - SOAP::SOAPString
#   shoppingDotComCategory - SOAP::SOAPString
#   shopzillaCategoryId - SOAP::SOAPLong
#   outOfStockMessage - SOAP::SOAPString
#   nexTagCategory - SOAP::SOAPString
#   outOfStockBehavior - ActiveNetsuite::ItemOutOfStockBehavior
#   productFeedList - ActiveNetsuite::ProductFeedList
#   relatedItemsDescription - SOAP::SOAPString
#   onSpecial - SOAP::SOAPBoolean
#   specialsDescription - SOAP::SOAPString
#   featuredDescription - SOAP::SOAPString
#   itemOptionsList - ActiveNetsuite::ItemOptionsList
#   itemNumberOptionsList - ActiveNetsuite::RecordRefList
#   itemVendorList - ActiveNetsuite::ItemVendorList
#   pricingMatrix - ActiveNetsuite::PricingMatrix
#   memberList - ActiveNetsuite::ItemMemberList
#   locationsList - ActiveNetsuite::SerializedInventoryItemLocationsList
#   siteCategoryList - ActiveNetsuite::SiteCategoryList
#   binNumberList - ActiveNetsuite::InventoryItemBinNumberList
#   numbersList - ActiveNetsuite::SerializedInventoryItemNumbersList
#   translationsList - ActiveNetsuite::TranslationList
#   presentationItemList - ActiveNetsuite::PresentationItemList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class SerializedAssemblyItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :vendorName
  attr_accessor :parent
  attr_accessor :printItems
  attr_accessor :isOnline
  attr_accessor :lastInvtCountDate
  attr_accessor :nextInvtCountDate
  attr_accessor :invtCountInterval
  attr_accessor :invtClassification
  attr_accessor :isGcoCompliant
  attr_accessor :offerSupport
  attr_accessor :useComponentYield
  attr_accessor :isInactive
  attr_accessor :subsidiaryList
  attr_accessor :availableToPartners
  attr_accessor :includeChildren
  attr_accessor :department
  attr_accessor :location
  attr_accessor :description
  attr_accessor :cogsAccount
  attr_accessor :incomeAccount
  attr_accessor :assetAccount
  attr_accessor :matchBillToReceipt
  attr_accessor :billQtyVarianceAcct
  attr_accessor :billPriceVarianceAcct
  attr_accessor :billExchRateVarianceAcct
  attr_accessor :gainLossAccount
  attr_accessor :salesTaxCode
  attr_accessor :costCategory
  attr_accessor :purchaseTaxCode
  attr_accessor :prodQtyVarianceAcct
  attr_accessor :prodPriceVarianceAcct
  attr_accessor :purchasePriceVarianceAcct
  attr_accessor :wipVarianceAcct
  attr_accessor :taxSchedule
  attr_accessor :scrapAcct
  attr_accessor :shippingCost
  attr_accessor :wipAcct
  attr_accessor :shippingCostUnits
  attr_accessor :handlingCost
  attr_accessor :weight
  attr_accessor :handlingCostUnits
  attr_accessor :weightUnit
  attr_accessor :weightUnits
  attr_accessor :costingMethod
  attr_accessor :isTaxable
  attr_accessor :costingMethodDisplay
  attr_accessor :rate
  attr_accessor :unitsType
  attr_accessor :stockUnit
  attr_accessor :purchaseUnit
  attr_accessor :saleUnit
  attr_accessor :trackLandedCost
  attr_accessor :billingSchedule
  attr_accessor :deferredRevenueAccount
  attr_accessor :revRecSchedule
  attr_accessor :stockDescription
  attr_accessor :producer
  attr_accessor :manufacturer
  attr_accessor :mpn
  attr_accessor :multManufactureAddr
  attr_accessor :manufactureraddr1
  attr_accessor :manufacturerCity
  attr_accessor :manufacturerState
  attr_accessor :manufacturerZip
  attr_accessor :countryOfManufacture
  attr_accessor :effectiveBomControl
  attr_accessor :minimumQuantityUnits
  attr_accessor :defaultRevision
  attr_accessor :defaultItemShipMethod
  attr_accessor :itemCarrier
  attr_accessor :roundUpAsComponent
  attr_accessor :itemShipMethodList
  attr_accessor :manufacturerTaxId
  attr_accessor :scheduleBNumber
  attr_accessor :scheduleBQuantity
  attr_accessor :scheduleBCode
  attr_accessor :manufacturerTariff
  attr_accessor :preferenceCriterion
  attr_accessor :issueProduct
  attr_accessor :minimumQuantity
  attr_accessor :enforceMinQtyInternally
  attr_accessor :softDescriptor
  attr_accessor :isSpecialWorkOrderItem
  attr_accessor :pricesIncludeTax
  attr_accessor :quantityPricingSchedule
  attr_accessor :buildEntireAssembly
  attr_accessor :quantityOnHand
  attr_accessor :quantityOnHandUnits
  attr_accessor :useMarginalRates
  attr_accessor :reorderMultiple
  attr_accessor :cost
  attr_accessor :costEstimateType
  attr_accessor :isHazmatItem
  attr_accessor :hazmatId
  attr_accessor :hazmatShippingName
  attr_accessor :hazmatHazardClass
  attr_accessor :hazmatPackingGroup
  attr_accessor :hazmatItemUnits
  attr_accessor :hazmatItemUnitsQty
  attr_accessor :costEstimate
  attr_accessor :transferPrice
  attr_accessor :overallQuantityPricingType
  attr_accessor :pricingGroup
  attr_accessor :vsoePrice
  attr_accessor :vsoeSopGroup
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :unbuildVarianceAccount
  attr_accessor :dropshipExpenseAccount
  attr_accessor :preferredLocation
  attr_accessor :totalValue
  attr_accessor :useBins
  attr_accessor :averageCost
  attr_accessor :lastPurchasePrice
  attr_accessor :purchaseDescription
  attr_accessor :leadTime
  attr_accessor :autoLeadTime
  attr_accessor :buildTime
  attr_accessor :safetyStockLevel
  attr_accessor :safetyStockLevelUnits
  attr_accessor :safetyStockLevelDays
  attr_accessor :seasonalDemand
  attr_accessor :serialNumbers
  attr_accessor :reorderPoint
  attr_accessor :reorderPointUnits
  attr_accessor :preferredStockLevel
  attr_accessor :preferredStockLevelUnits
  attr_accessor :demandModifier
  attr_accessor :autoReorderPoint
  attr_accessor :autoPreferredStockLevel
  attr_accessor :preferredStockLevelDays
  attr_accessor :defaultReturnCost
  attr_accessor :supplyReplenishmentMethod
  attr_accessor :alternateDemandSourceItem
  attr_accessor :fixedLotSize
  attr_accessor :supplyType
  attr_accessor :supplyLotSizingMethod
  attr_accessor :demandSource
  attr_accessor :shipIndividually
  attr_accessor :quantityCommitted
  attr_accessor :quantityAvailable
  attr_accessor :quantityBackOrdered
  attr_accessor :quantityOnOrder
  attr_accessor :shipPackage
  attr_accessor :storeDisplayName
  attr_accessor :storeDisplayThumbnail
  attr_accessor :storeDisplayImage
  attr_accessor :storeDescription
  attr_accessor :storeDetailedDescription
  attr_accessor :storeItemTemplate
  attr_accessor :pageTitle
  attr_accessor :metaTagHtml
  attr_accessor :excludeFromSitemap
  attr_accessor :sitemapPriority
  attr_accessor :urlComponent
  attr_accessor :searchKeywords
  attr_accessor :isDonationItem
  attr_accessor :showDefaultDonationAmount
  attr_accessor :maxDonationAmount
  attr_accessor :dontShowPrice
  attr_accessor :noPriceMessage
  attr_accessor :shoppingDotComCategory
  attr_accessor :shopzillaCategoryId
  attr_accessor :outOfStockMessage
  attr_accessor :nexTagCategory
  attr_accessor :outOfStockBehavior
  attr_accessor :productFeedList
  attr_accessor :relatedItemsDescription
  attr_accessor :onSpecial
  attr_accessor :specialsDescription
  attr_accessor :featuredDescription
  attr_accessor :itemOptionsList
  attr_accessor :itemNumberOptionsList
  attr_accessor :itemVendorList
  attr_accessor :pricingMatrix
  attr_accessor :memberList
  attr_accessor :locationsList
  attr_accessor :siteCategoryList
  attr_accessor :binNumberList
  attr_accessor :numbersList
  attr_accessor :translationsList
  attr_accessor :presentationItemList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, itemId = nil, upcCode = nil, displayName = nil, vendorName = nil, parent = nil, printItems = nil, isOnline = nil, lastInvtCountDate = nil, nextInvtCountDate = nil, invtCountInterval = nil, invtClassification = nil, isGcoCompliant = nil, offerSupport = nil, useComponentYield = nil, isInactive = nil, subsidiaryList = nil, availableToPartners = nil, includeChildren = nil, department = nil, v_class = nil, location = nil, description = nil, cogsAccount = nil, incomeAccount = nil, assetAccount = nil, matchBillToReceipt = nil, billQtyVarianceAcct = nil, billPriceVarianceAcct = nil, billExchRateVarianceAcct = nil, gainLossAccount = nil, salesTaxCode = nil, costCategory = nil, purchaseTaxCode = nil, prodQtyVarianceAcct = nil, prodPriceVarianceAcct = nil, purchasePriceVarianceAcct = nil, wipVarianceAcct = nil, taxSchedule = nil, scrapAcct = nil, shippingCost = nil, wipAcct = nil, shippingCostUnits = nil, handlingCost = nil, weight = nil, handlingCostUnits = nil, weightUnit = nil, weightUnits = nil, costingMethod = nil, isTaxable = nil, costingMethodDisplay = nil, rate = nil, unitsType = nil, stockUnit = nil, purchaseUnit = nil, saleUnit = nil, trackLandedCost = nil, billingSchedule = nil, deferredRevenueAccount = nil, revRecSchedule = nil, stockDescription = nil, producer = nil, manufacturer = nil, mpn = nil, multManufactureAddr = nil, manufactureraddr1 = nil, manufacturerCity = nil, manufacturerState = nil, manufacturerZip = nil, countryOfManufacture = nil, effectiveBomControl = nil, minimumQuantityUnits = nil, defaultRevision = nil, defaultItemShipMethod = nil, itemCarrier = nil, roundUpAsComponent = nil, itemShipMethodList = nil, manufacturerTaxId = nil, scheduleBNumber = nil, scheduleBQuantity = nil, scheduleBCode = nil, manufacturerTariff = nil, preferenceCriterion = nil, issueProduct = nil, minimumQuantity = nil, enforceMinQtyInternally = nil, softDescriptor = nil, isSpecialWorkOrderItem = nil, pricesIncludeTax = nil, quantityPricingSchedule = nil, buildEntireAssembly = nil, quantityOnHand = nil, quantityOnHandUnits = nil, useMarginalRates = nil, reorderMultiple = nil, cost = nil, costEstimateType = nil, isHazmatItem = nil, hazmatId = nil, hazmatShippingName = nil, hazmatHazardClass = nil, hazmatPackingGroup = nil, hazmatItemUnits = nil, hazmatItemUnitsQty = nil, costEstimate = nil, transferPrice = nil, overallQuantityPricingType = nil, pricingGroup = nil, vsoePrice = nil, vsoeSopGroup = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, unbuildVarianceAccount = nil, dropshipExpenseAccount = nil, preferredLocation = nil, totalValue = nil, useBins = nil, averageCost = nil, lastPurchasePrice = nil, purchaseDescription = nil, leadTime = nil, autoLeadTime = nil, buildTime = nil, safetyStockLevel = nil, safetyStockLevelUnits = nil, safetyStockLevelDays = nil, seasonalDemand = nil, serialNumbers = nil, reorderPoint = nil, reorderPointUnits = nil, preferredStockLevel = nil, preferredStockLevelUnits = nil, demandModifier = nil, autoReorderPoint = nil, autoPreferredStockLevel = nil, preferredStockLevelDays = nil, defaultReturnCost = nil, supplyReplenishmentMethod = nil, alternateDemandSourceItem = nil, fixedLotSize = nil, supplyType = nil, supplyLotSizingMethod = nil, demandSource = nil, shipIndividually = nil, quantityCommitted = nil, quantityAvailable = nil, quantityBackOrdered = nil, quantityOnOrder = nil, shipPackage = nil, storeDisplayName = nil, storeDisplayThumbnail = nil, storeDisplayImage = nil, storeDescription = nil, storeDetailedDescription = nil, storeItemTemplate = nil, pageTitle = nil, metaTagHtml = nil, excludeFromSitemap = nil, sitemapPriority = nil, urlComponent = nil, searchKeywords = nil, isDonationItem = nil, showDefaultDonationAmount = nil, maxDonationAmount = nil, dontShowPrice = nil, noPriceMessage = nil, shoppingDotComCategory = nil, shopzillaCategoryId = nil, outOfStockMessage = nil, nexTagCategory = nil, outOfStockBehavior = nil, productFeedList = nil, relatedItemsDescription = nil, onSpecial = nil, specialsDescription = nil, featuredDescription = nil, itemOptionsList = nil, itemNumberOptionsList = nil, itemVendorList = nil, pricingMatrix = nil, memberList = nil, locationsList = nil, siteCategoryList = nil, binNumberList = nil, numbersList = nil, translationsList = nil, presentationItemList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @itemId = itemId
    @upcCode = upcCode
    @displayName = displayName
    @vendorName = vendorName
    @parent = parent
    @printItems = printItems
    @isOnline = isOnline
    @lastInvtCountDate = lastInvtCountDate
    @nextInvtCountDate = nextInvtCountDate
    @invtCountInterval = invtCountInterval
    @invtClassification = invtClassification
    @isGcoCompliant = isGcoCompliant
    @offerSupport = offerSupport
    @useComponentYield = useComponentYield
    @isInactive = isInactive
    @subsidiaryList = subsidiaryList
    @availableToPartners = availableToPartners
    @includeChildren = includeChildren
    @department = department
    @v_class = v_class
    @location = location
    @description = description
    @cogsAccount = cogsAccount
    @incomeAccount = incomeAccount
    @assetAccount = assetAccount
    @matchBillToReceipt = matchBillToReceipt
    @billQtyVarianceAcct = billQtyVarianceAcct
    @billPriceVarianceAcct = billPriceVarianceAcct
    @billExchRateVarianceAcct = billExchRateVarianceAcct
    @gainLossAccount = gainLossAccount
    @salesTaxCode = salesTaxCode
    @costCategory = costCategory
    @purchaseTaxCode = purchaseTaxCode
    @prodQtyVarianceAcct = prodQtyVarianceAcct
    @prodPriceVarianceAcct = prodPriceVarianceAcct
    @purchasePriceVarianceAcct = purchasePriceVarianceAcct
    @wipVarianceAcct = wipVarianceAcct
    @taxSchedule = taxSchedule
    @scrapAcct = scrapAcct
    @shippingCost = shippingCost
    @wipAcct = wipAcct
    @shippingCostUnits = shippingCostUnits
    @handlingCost = handlingCost
    @weight = weight
    @handlingCostUnits = handlingCostUnits
    @weightUnit = weightUnit
    @weightUnits = weightUnits
    @costingMethod = costingMethod
    @isTaxable = isTaxable
    @costingMethodDisplay = costingMethodDisplay
    @rate = rate
    @unitsType = unitsType
    @stockUnit = stockUnit
    @purchaseUnit = purchaseUnit
    @saleUnit = saleUnit
    @trackLandedCost = trackLandedCost
    @billingSchedule = billingSchedule
    @deferredRevenueAccount = deferredRevenueAccount
    @revRecSchedule = revRecSchedule
    @stockDescription = stockDescription
    @producer = producer
    @manufacturer = manufacturer
    @mpn = mpn
    @multManufactureAddr = multManufactureAddr
    @manufactureraddr1 = manufactureraddr1
    @manufacturerCity = manufacturerCity
    @manufacturerState = manufacturerState
    @manufacturerZip = manufacturerZip
    @countryOfManufacture = countryOfManufacture
    @effectiveBomControl = effectiveBomControl
    @minimumQuantityUnits = minimumQuantityUnits
    @defaultRevision = defaultRevision
    @defaultItemShipMethod = defaultItemShipMethod
    @itemCarrier = itemCarrier
    @roundUpAsComponent = roundUpAsComponent
    @itemShipMethodList = itemShipMethodList
    @manufacturerTaxId = manufacturerTaxId
    @scheduleBNumber = scheduleBNumber
    @scheduleBQuantity = scheduleBQuantity
    @scheduleBCode = scheduleBCode
    @manufacturerTariff = manufacturerTariff
    @preferenceCriterion = preferenceCriterion
    @issueProduct = issueProduct
    @minimumQuantity = minimumQuantity
    @enforceMinQtyInternally = enforceMinQtyInternally
    @softDescriptor = softDescriptor
    @isSpecialWorkOrderItem = isSpecialWorkOrderItem
    @pricesIncludeTax = pricesIncludeTax
    @quantityPricingSchedule = quantityPricingSchedule
    @buildEntireAssembly = buildEntireAssembly
    @quantityOnHand = quantityOnHand
    @quantityOnHandUnits = quantityOnHandUnits
    @useMarginalRates = useMarginalRates
    @reorderMultiple = reorderMultiple
    @cost = cost
    @costEstimateType = costEstimateType
    @isHazmatItem = isHazmatItem
    @hazmatId = hazmatId
    @hazmatShippingName = hazmatShippingName
    @hazmatHazardClass = hazmatHazardClass
    @hazmatPackingGroup = hazmatPackingGroup
    @hazmatItemUnits = hazmatItemUnits
    @hazmatItemUnitsQty = hazmatItemUnitsQty
    @costEstimate = costEstimate
    @transferPrice = transferPrice
    @overallQuantityPricingType = overallQuantityPricingType
    @pricingGroup = pricingGroup
    @vsoePrice = vsoePrice
    @vsoeSopGroup = vsoeSopGroup
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @unbuildVarianceAccount = unbuildVarianceAccount
    @dropshipExpenseAccount = dropshipExpenseAccount
    @preferredLocation = preferredLocation
    @totalValue = totalValue
    @useBins = useBins
    @averageCost = averageCost
    @lastPurchasePrice = lastPurchasePrice
    @purchaseDescription = purchaseDescription
    @leadTime = leadTime
    @autoLeadTime = autoLeadTime
    @buildTime = buildTime
    @safetyStockLevel = safetyStockLevel
    @safetyStockLevelUnits = safetyStockLevelUnits
    @safetyStockLevelDays = safetyStockLevelDays
    @seasonalDemand = seasonalDemand
    @serialNumbers = serialNumbers
    @reorderPoint = reorderPoint
    @reorderPointUnits = reorderPointUnits
    @preferredStockLevel = preferredStockLevel
    @preferredStockLevelUnits = preferredStockLevelUnits
    @demandModifier = demandModifier
    @autoReorderPoint = autoReorderPoint
    @autoPreferredStockLevel = autoPreferredStockLevel
    @preferredStockLevelDays = preferredStockLevelDays
    @defaultReturnCost = defaultReturnCost
    @supplyReplenishmentMethod = supplyReplenishmentMethod
    @alternateDemandSourceItem = alternateDemandSourceItem
    @fixedLotSize = fixedLotSize
    @supplyType = supplyType
    @supplyLotSizingMethod = supplyLotSizingMethod
    @demandSource = demandSource
    @shipIndividually = shipIndividually
    @quantityCommitted = quantityCommitted
    @quantityAvailable = quantityAvailable
    @quantityBackOrdered = quantityBackOrdered
    @quantityOnOrder = quantityOnOrder
    @shipPackage = shipPackage
    @storeDisplayName = storeDisplayName
    @storeDisplayThumbnail = storeDisplayThumbnail
    @storeDisplayImage = storeDisplayImage
    @storeDescription = storeDescription
    @storeDetailedDescription = storeDetailedDescription
    @storeItemTemplate = storeItemTemplate
    @pageTitle = pageTitle
    @metaTagHtml = metaTagHtml
    @excludeFromSitemap = excludeFromSitemap
    @sitemapPriority = sitemapPriority
    @urlComponent = urlComponent
    @searchKeywords = searchKeywords
    @isDonationItem = isDonationItem
    @showDefaultDonationAmount = showDefaultDonationAmount
    @maxDonationAmount = maxDonationAmount
    @dontShowPrice = dontShowPrice
    @noPriceMessage = noPriceMessage
    @shoppingDotComCategory = shoppingDotComCategory
    @shopzillaCategoryId = shopzillaCategoryId
    @outOfStockMessage = outOfStockMessage
    @nexTagCategory = nexTagCategory
    @outOfStockBehavior = outOfStockBehavior
    @productFeedList = productFeedList
    @relatedItemsDescription = relatedItemsDescription
    @onSpecial = onSpecial
    @specialsDescription = specialsDescription
    @featuredDescription = featuredDescription
    @itemOptionsList = itemOptionsList
    @itemNumberOptionsList = itemNumberOptionsList
    @itemVendorList = itemVendorList
    @pricingMatrix = pricingMatrix
    @memberList = memberList
    @locationsList = locationsList
    @siteCategoryList = siteCategoryList
    @binNumberList = binNumberList
    @numbersList = numbersList
    @translationsList = translationsList
    @presentationItemList = presentationItemList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}LotNumberedAssemblyItem
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   vendorName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   printItems - SOAP::SOAPBoolean
#   isOnline - SOAP::SOAPBoolean
#   isGcoCompliant - SOAP::SOAPBoolean
#   offerSupport - SOAP::SOAPBoolean
#   useComponentYield - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   availableToPartners - SOAP::SOAPBoolean
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   department - ActiveNetsuite::RecordRef
#   includeChildren - SOAP::SOAPBoolean
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   costCategory - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   cogsAccount - ActiveNetsuite::RecordRef
#   incomeAccount - ActiveNetsuite::RecordRef
#   assetAccount - ActiveNetsuite::RecordRef
#   matchBillToReceipt - SOAP::SOAPBoolean
#   billQtyVarianceAcct - ActiveNetsuite::RecordRef
#   billPriceVarianceAcct - ActiveNetsuite::RecordRef
#   billExchRateVarianceAcct - ActiveNetsuite::RecordRef
#   gainLossAccount - ActiveNetsuite::RecordRef
#   salesTaxCode - ActiveNetsuite::RecordRef
#   purchaseTaxCode - ActiveNetsuite::RecordRef
#   prodQtyVarianceAcct - ActiveNetsuite::RecordRef
#   prodPriceVarianceAcct - ActiveNetsuite::RecordRef
#   purchasePriceVarianceAcct - ActiveNetsuite::RecordRef
#   wipVarianceAcct - ActiveNetsuite::RecordRef
#   taxSchedule - ActiveNetsuite::RecordRef
#   scrapAcct - ActiveNetsuite::RecordRef
#   shippingCost - SOAP::SOAPDouble
#   wipAcct - ActiveNetsuite::RecordRef
#   handlingCost - SOAP::SOAPDouble
#   weight - SOAP::SOAPDouble
#   weightUnit - ActiveNetsuite::ItemWeightUnit
#   costingMethod - ActiveNetsuite::ItemCostingMethod
#   isTaxable - SOAP::SOAPBoolean
#   costingMethodDisplay - SOAP::SOAPString
#   rate - SOAP::SOAPDouble
#   unitsType - ActiveNetsuite::RecordRef
#   stockUnit - ActiveNetsuite::RecordRef
#   purchaseUnit - ActiveNetsuite::RecordRef
#   saleUnit - ActiveNetsuite::RecordRef
#   trackLandedCost - SOAP::SOAPBoolean
#   billingSchedule - ActiveNetsuite::RecordRef
#   deferredRevenueAccount - ActiveNetsuite::RecordRef
#   revRecSchedule - ActiveNetsuite::RecordRef
#   stockDescription - SOAP::SOAPString
#   producer - SOAP::SOAPBoolean
#   manufacturer - SOAP::SOAPString
#   mpn - SOAP::SOAPString
#   multManufactureAddr - SOAP::SOAPBoolean
#   manufactureraddr1 - SOAP::SOAPString
#   manufacturerCity - SOAP::SOAPString
#   manufacturerState - SOAP::SOAPString
#   manufacturerZip - SOAP::SOAPString
#   countryOfManufacture - ActiveNetsuite::Country
#   effectiveBomControl - ActiveNetsuite::AssemblyItemEffectiveBomControl
#   manufacturerTaxId - SOAP::SOAPString
#   defaultRevision - SOAP::SOAPString
#   defaultItemShipMethod - ActiveNetsuite::RecordRef
#   itemCarrier - ActiveNetsuite::ItemCarrier
#   roundUpAsComponent - SOAP::SOAPBoolean
#   itemShipMethodList - ActiveNetsuite::RecordRefList
#   scheduleBNumber - SOAP::SOAPString
#   scheduleBQuantity - SOAP::SOAPLong
#   scheduleBCode - ActiveNetsuite::RecordRef
#   manufacturerTariff - SOAP::SOAPString
#   preferenceCriterion - ActiveNetsuite::ItemPreferenceCriterion
#   issueProduct - ActiveNetsuite::RecordRef
#   minimumQuantity - SOAP::SOAPLong
#   enforceMinQtyInternally - SOAP::SOAPBoolean
#   softDescriptor - ActiveNetsuite::RecordRef
#   isSpecialWorkOrderItem - SOAP::SOAPBoolean
#   pricesIncludeTax - SOAP::SOAPBoolean
#   quantityPricingSchedule - ActiveNetsuite::RecordRef
#   buildEntireAssembly - SOAP::SOAPBoolean
#   quantityOnHand - SOAP::SOAPDouble
#   useMarginalRates - SOAP::SOAPBoolean
#   reorderMultiple - SOAP::SOAPLong
#   cost - SOAP::SOAPDouble
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   isHazmatItem - SOAP::SOAPBoolean
#   hazmatId - SOAP::SOAPString
#   hazmatShippingName - SOAP::SOAPString
#   hazmatHazardClass - SOAP::SOAPString
#   hazmatPackingGroup - ActiveNetsuite::HazmatPackingGroup
#   hazmatItemUnits - SOAP::SOAPString
#   hazmatItemUnitsQty - SOAP::SOAPDouble
#   costEstimate - SOAP::SOAPDouble
#   transferPrice - SOAP::SOAPDouble
#   overallQuantityPricingType - ActiveNetsuite::ItemOverallQuantityPricingType
#   pricingGroup - ActiveNetsuite::RecordRef
#   vsoePrice - SOAP::SOAPDouble
#   vsoeSopGroup - ActiveNetsuite::VsoeSopGroup
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   unbuildVarianceAccount - ActiveNetsuite::RecordRef
#   dropshipExpenseAccount - ActiveNetsuite::RecordRef
#   preferredLocation - ActiveNetsuite::RecordRef
#   totalValue - SOAP::SOAPDouble
#   useBins - SOAP::SOAPBoolean
#   averageCost - SOAP::SOAPDouble
#   lastPurchasePrice - SOAP::SOAPDouble
#   purchaseDescription - SOAP::SOAPString
#   leadTime - SOAP::SOAPLong
#   autoLeadTime - SOAP::SOAPBoolean
#   buildTime - SOAP::SOAPLong
#   safetyStockLevel - SOAP::SOAPDouble
#   safetyStockLevelDays - SOAP::SOAPLong
#   seasonalDemand - SOAP::SOAPBoolean
#   serialNumbers - SOAP::SOAPString
#   reorderPoint - SOAP::SOAPDouble
#   preferredStockLevel - SOAP::SOAPDouble
#   expirationDate - SOAP::SOAPDateTime
#   lastInvtCountDate - SOAP::SOAPDateTime
#   nextInvtCountDate - SOAP::SOAPDateTime
#   invtCountInterval - SOAP::SOAPLong
#   invtClassification - ActiveNetsuite::ItemInvtClassification
#   demandModifier - SOAP::SOAPDouble
#   autoReorderPoint - SOAP::SOAPBoolean
#   autoPreferredStockLevel - SOAP::SOAPBoolean
#   preferredStockLevelDays - SOAP::SOAPDouble
#   shipIndividually - SOAP::SOAPBoolean
#   shipPackage - ActiveNetsuite::RecordRef
#   defaultReturnCost - SOAP::SOAPDouble
#   supplyReplenishmentMethod - ActiveNetsuite::RecordRef
#   alternateDemandSourceItem - ActiveNetsuite::RecordRef
#   fixedLotSize - SOAP::SOAPDouble
#   supplyType - ActiveNetsuite::RecordRef
#   supplyLotSizingMethod - ActiveNetsuite::RecordRef
#   demandSource - ActiveNetsuite::RecordRef
#   quantityCommitted - SOAP::SOAPDouble
#   quantityAvailable - SOAP::SOAPDouble
#   quantityBackOrdered - SOAP::SOAPDouble
#   quantityOnOrder - SOAP::SOAPDouble
#   storeDisplayName - SOAP::SOAPString
#   storeDisplayThumbnail - ActiveNetsuite::RecordRef
#   storeDisplayImage - ActiveNetsuite::RecordRef
#   storeDescription - SOAP::SOAPString
#   storeDetailedDescription - SOAP::SOAPString
#   storeItemTemplate - ActiveNetsuite::RecordRef
#   pageTitle - SOAP::SOAPString
#   metaTagHtml - SOAP::SOAPString
#   excludeFromSitemap - SOAP::SOAPBoolean
#   sitemapPriority - ActiveNetsuite::SitemapPriority
#   urlComponent - SOAP::SOAPString
#   searchKeywords - SOAP::SOAPString
#   isDonationItem - SOAP::SOAPBoolean
#   showDefaultDonationAmount - SOAP::SOAPBoolean
#   maxDonationAmount - SOAP::SOAPDouble
#   dontShowPrice - SOAP::SOAPBoolean
#   noPriceMessage - SOAP::SOAPString
#   outOfStockMessage - SOAP::SOAPString
#   shoppingDotComCategory - SOAP::SOAPString
#   outOfStockBehavior - ActiveNetsuite::ItemOutOfStockBehavior
#   shopzillaCategoryId - SOAP::SOAPLong
#   nexTagCategory - SOAP::SOAPString
#   productFeedList - ActiveNetsuite::ProductFeedList
#   relatedItemsDescription - SOAP::SOAPString
#   onSpecial - SOAP::SOAPBoolean
#   specialsDescription - SOAP::SOAPString
#   featuredDescription - SOAP::SOAPString
#   itemOptionsList - ActiveNetsuite::ItemOptionsList
#   itemNumberOptionsList - ActiveNetsuite::RecordRefList
#   itemVendorList - ActiveNetsuite::ItemVendorList
#   pricingMatrix - ActiveNetsuite::PricingMatrix
#   memberList - ActiveNetsuite::ItemMemberList
#   locationsList - ActiveNetsuite::LotNumberedInventoryItemLocationsList
#   siteCategoryList - ActiveNetsuite::SiteCategoryList
#   binNumberList - ActiveNetsuite::InventoryItemBinNumberList
#   numbersList - ActiveNetsuite::LotNumberedInventoryItemNumbersList
#   translationsList - ActiveNetsuite::TranslationList
#   presentationItemList - ActiveNetsuite::PresentationItemList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class LotNumberedAssemblyItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :itemId
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :vendorName
  attr_accessor :parent
  attr_accessor :printItems
  attr_accessor :isOnline
  attr_accessor :isGcoCompliant
  attr_accessor :offerSupport
  attr_accessor :useComponentYield
  attr_accessor :isInactive
  attr_accessor :availableToPartners
  attr_accessor :subsidiaryList
  attr_accessor :department
  attr_accessor :includeChildren
  attr_accessor :location
  attr_accessor :costCategory
  attr_accessor :description
  attr_accessor :cogsAccount
  attr_accessor :incomeAccount
  attr_accessor :assetAccount
  attr_accessor :matchBillToReceipt
  attr_accessor :billQtyVarianceAcct
  attr_accessor :billPriceVarianceAcct
  attr_accessor :billExchRateVarianceAcct
  attr_accessor :gainLossAccount
  attr_accessor :salesTaxCode
  attr_accessor :purchaseTaxCode
  attr_accessor :prodQtyVarianceAcct
  attr_accessor :prodPriceVarianceAcct
  attr_accessor :purchasePriceVarianceAcct
  attr_accessor :wipVarianceAcct
  attr_accessor :taxSchedule
  attr_accessor :scrapAcct
  attr_accessor :shippingCost
  attr_accessor :wipAcct
  attr_accessor :handlingCost
  attr_accessor :weight
  attr_accessor :weightUnit
  attr_accessor :costingMethod
  attr_accessor :isTaxable
  attr_accessor :costingMethodDisplay
  attr_accessor :rate
  attr_accessor :unitsType
  attr_accessor :stockUnit
  attr_accessor :purchaseUnit
  attr_accessor :saleUnit
  attr_accessor :trackLandedCost
  attr_accessor :billingSchedule
  attr_accessor :deferredRevenueAccount
  attr_accessor :revRecSchedule
  attr_accessor :stockDescription
  attr_accessor :producer
  attr_accessor :manufacturer
  attr_accessor :mpn
  attr_accessor :multManufactureAddr
  attr_accessor :manufactureraddr1
  attr_accessor :manufacturerCity
  attr_accessor :manufacturerState
  attr_accessor :manufacturerZip
  attr_accessor :countryOfManufacture
  attr_accessor :effectiveBomControl
  attr_accessor :manufacturerTaxId
  attr_accessor :defaultRevision
  attr_accessor :defaultItemShipMethod
  attr_accessor :itemCarrier
  attr_accessor :roundUpAsComponent
  attr_accessor :itemShipMethodList
  attr_accessor :scheduleBNumber
  attr_accessor :scheduleBQuantity
  attr_accessor :scheduleBCode
  attr_accessor :manufacturerTariff
  attr_accessor :preferenceCriterion
  attr_accessor :issueProduct
  attr_accessor :minimumQuantity
  attr_accessor :enforceMinQtyInternally
  attr_accessor :softDescriptor
  attr_accessor :isSpecialWorkOrderItem
  attr_accessor :pricesIncludeTax
  attr_accessor :quantityPricingSchedule
  attr_accessor :buildEntireAssembly
  attr_accessor :quantityOnHand
  attr_accessor :useMarginalRates
  attr_accessor :reorderMultiple
  attr_accessor :cost
  attr_accessor :costEstimateType
  attr_accessor :isHazmatItem
  attr_accessor :hazmatId
  attr_accessor :hazmatShippingName
  attr_accessor :hazmatHazardClass
  attr_accessor :hazmatPackingGroup
  attr_accessor :hazmatItemUnits
  attr_accessor :hazmatItemUnitsQty
  attr_accessor :costEstimate
  attr_accessor :transferPrice
  attr_accessor :overallQuantityPricingType
  attr_accessor :pricingGroup
  attr_accessor :vsoePrice
  attr_accessor :vsoeSopGroup
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :unbuildVarianceAccount
  attr_accessor :dropshipExpenseAccount
  attr_accessor :preferredLocation
  attr_accessor :totalValue
  attr_accessor :useBins
  attr_accessor :averageCost
  attr_accessor :lastPurchasePrice
  attr_accessor :purchaseDescription
  attr_accessor :leadTime
  attr_accessor :autoLeadTime
  attr_accessor :buildTime
  attr_accessor :safetyStockLevel
  attr_accessor :safetyStockLevelDays
  attr_accessor :seasonalDemand
  attr_accessor :serialNumbers
  attr_accessor :reorderPoint
  attr_accessor :preferredStockLevel
  attr_accessor :expirationDate
  attr_accessor :lastInvtCountDate
  attr_accessor :nextInvtCountDate
  attr_accessor :invtCountInterval
  attr_accessor :invtClassification
  attr_accessor :demandModifier
  attr_accessor :autoReorderPoint
  attr_accessor :autoPreferredStockLevel
  attr_accessor :preferredStockLevelDays
  attr_accessor :shipIndividually
  attr_accessor :shipPackage
  attr_accessor :defaultReturnCost
  attr_accessor :supplyReplenishmentMethod
  attr_accessor :alternateDemandSourceItem
  attr_accessor :fixedLotSize
  attr_accessor :supplyType
  attr_accessor :supplyLotSizingMethod
  attr_accessor :demandSource
  attr_accessor :quantityCommitted
  attr_accessor :quantityAvailable
  attr_accessor :quantityBackOrdered
  attr_accessor :quantityOnOrder
  attr_accessor :storeDisplayName
  attr_accessor :storeDisplayThumbnail
  attr_accessor :storeDisplayImage
  attr_accessor :storeDescription
  attr_accessor :storeDetailedDescription
  attr_accessor :storeItemTemplate
  attr_accessor :pageTitle
  attr_accessor :metaTagHtml
  attr_accessor :excludeFromSitemap
  attr_accessor :sitemapPriority
  attr_accessor :urlComponent
  attr_accessor :searchKeywords
  attr_accessor :isDonationItem
  attr_accessor :showDefaultDonationAmount
  attr_accessor :maxDonationAmount
  attr_accessor :dontShowPrice
  attr_accessor :noPriceMessage
  attr_accessor :outOfStockMessage
  attr_accessor :shoppingDotComCategory
  attr_accessor :outOfStockBehavior
  attr_accessor :shopzillaCategoryId
  attr_accessor :nexTagCategory
  attr_accessor :productFeedList
  attr_accessor :relatedItemsDescription
  attr_accessor :onSpecial
  attr_accessor :specialsDescription
  attr_accessor :featuredDescription
  attr_accessor :itemOptionsList
  attr_accessor :itemNumberOptionsList
  attr_accessor :itemVendorList
  attr_accessor :pricingMatrix
  attr_accessor :memberList
  attr_accessor :locationsList
  attr_accessor :siteCategoryList
  attr_accessor :binNumberList
  attr_accessor :numbersList
  attr_accessor :translationsList
  attr_accessor :presentationItemList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, itemId = nil, upcCode = nil, displayName = nil, vendorName = nil, parent = nil, printItems = nil, isOnline = nil, isGcoCompliant = nil, offerSupport = nil, useComponentYield = nil, isInactive = nil, availableToPartners = nil, subsidiaryList = nil, department = nil, includeChildren = nil, v_class = nil, location = nil, costCategory = nil, description = nil, cogsAccount = nil, incomeAccount = nil, assetAccount = nil, matchBillToReceipt = nil, billQtyVarianceAcct = nil, billPriceVarianceAcct = nil, billExchRateVarianceAcct = nil, gainLossAccount = nil, salesTaxCode = nil, purchaseTaxCode = nil, prodQtyVarianceAcct = nil, prodPriceVarianceAcct = nil, purchasePriceVarianceAcct = nil, wipVarianceAcct = nil, taxSchedule = nil, scrapAcct = nil, shippingCost = nil, wipAcct = nil, handlingCost = nil, weight = nil, weightUnit = nil, costingMethod = nil, isTaxable = nil, costingMethodDisplay = nil, rate = nil, unitsType = nil, stockUnit = nil, purchaseUnit = nil, saleUnit = nil, trackLandedCost = nil, billingSchedule = nil, deferredRevenueAccount = nil, revRecSchedule = nil, stockDescription = nil, producer = nil, manufacturer = nil, mpn = nil, multManufactureAddr = nil, manufactureraddr1 = nil, manufacturerCity = nil, manufacturerState = nil, manufacturerZip = nil, countryOfManufacture = nil, effectiveBomControl = nil, manufacturerTaxId = nil, defaultRevision = nil, defaultItemShipMethod = nil, itemCarrier = nil, roundUpAsComponent = nil, itemShipMethodList = nil, scheduleBNumber = nil, scheduleBQuantity = nil, scheduleBCode = nil, manufacturerTariff = nil, preferenceCriterion = nil, issueProduct = nil, minimumQuantity = nil, enforceMinQtyInternally = nil, softDescriptor = nil, isSpecialWorkOrderItem = nil, pricesIncludeTax = nil, quantityPricingSchedule = nil, buildEntireAssembly = nil, quantityOnHand = nil, useMarginalRates = nil, reorderMultiple = nil, cost = nil, costEstimateType = nil, isHazmatItem = nil, hazmatId = nil, hazmatShippingName = nil, hazmatHazardClass = nil, hazmatPackingGroup = nil, hazmatItemUnits = nil, hazmatItemUnitsQty = nil, costEstimate = nil, transferPrice = nil, overallQuantityPricingType = nil, pricingGroup = nil, vsoePrice = nil, vsoeSopGroup = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, unbuildVarianceAccount = nil, dropshipExpenseAccount = nil, preferredLocation = nil, totalValue = nil, useBins = nil, averageCost = nil, lastPurchasePrice = nil, purchaseDescription = nil, leadTime = nil, autoLeadTime = nil, buildTime = nil, safetyStockLevel = nil, safetyStockLevelDays = nil, seasonalDemand = nil, serialNumbers = nil, reorderPoint = nil, preferredStockLevel = nil, expirationDate = nil, lastInvtCountDate = nil, nextInvtCountDate = nil, invtCountInterval = nil, invtClassification = nil, demandModifier = nil, autoReorderPoint = nil, autoPreferredStockLevel = nil, preferredStockLevelDays = nil, shipIndividually = nil, shipPackage = nil, defaultReturnCost = nil, supplyReplenishmentMethod = nil, alternateDemandSourceItem = nil, fixedLotSize = nil, supplyType = nil, supplyLotSizingMethod = nil, demandSource = nil, quantityCommitted = nil, quantityAvailable = nil, quantityBackOrdered = nil, quantityOnOrder = nil, storeDisplayName = nil, storeDisplayThumbnail = nil, storeDisplayImage = nil, storeDescription = nil, storeDetailedDescription = nil, storeItemTemplate = nil, pageTitle = nil, metaTagHtml = nil, excludeFromSitemap = nil, sitemapPriority = nil, urlComponent = nil, searchKeywords = nil, isDonationItem = nil, showDefaultDonationAmount = nil, maxDonationAmount = nil, dontShowPrice = nil, noPriceMessage = nil, outOfStockMessage = nil, shoppingDotComCategory = nil, outOfStockBehavior = nil, shopzillaCategoryId = nil, nexTagCategory = nil, productFeedList = nil, relatedItemsDescription = nil, onSpecial = nil, specialsDescription = nil, featuredDescription = nil, itemOptionsList = nil, itemNumberOptionsList = nil, itemVendorList = nil, pricingMatrix = nil, memberList = nil, locationsList = nil, siteCategoryList = nil, binNumberList = nil, numbersList = nil, translationsList = nil, presentationItemList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @itemId = itemId
    @upcCode = upcCode
    @displayName = displayName
    @vendorName = vendorName
    @parent = parent
    @printItems = printItems
    @isOnline = isOnline
    @isGcoCompliant = isGcoCompliant
    @offerSupport = offerSupport
    @useComponentYield = useComponentYield
    @isInactive = isInactive
    @availableToPartners = availableToPartners
    @subsidiaryList = subsidiaryList
    @department = department
    @includeChildren = includeChildren
    @v_class = v_class
    @location = location
    @costCategory = costCategory
    @description = description
    @cogsAccount = cogsAccount
    @incomeAccount = incomeAccount
    @assetAccount = assetAccount
    @matchBillToReceipt = matchBillToReceipt
    @billQtyVarianceAcct = billQtyVarianceAcct
    @billPriceVarianceAcct = billPriceVarianceAcct
    @billExchRateVarianceAcct = billExchRateVarianceAcct
    @gainLossAccount = gainLossAccount
    @salesTaxCode = salesTaxCode
    @purchaseTaxCode = purchaseTaxCode
    @prodQtyVarianceAcct = prodQtyVarianceAcct
    @prodPriceVarianceAcct = prodPriceVarianceAcct
    @purchasePriceVarianceAcct = purchasePriceVarianceAcct
    @wipVarianceAcct = wipVarianceAcct
    @taxSchedule = taxSchedule
    @scrapAcct = scrapAcct
    @shippingCost = shippingCost
    @wipAcct = wipAcct
    @handlingCost = handlingCost
    @weight = weight
    @weightUnit = weightUnit
    @costingMethod = costingMethod
    @isTaxable = isTaxable
    @costingMethodDisplay = costingMethodDisplay
    @rate = rate
    @unitsType = unitsType
    @stockUnit = stockUnit
    @purchaseUnit = purchaseUnit
    @saleUnit = saleUnit
    @trackLandedCost = trackLandedCost
    @billingSchedule = billingSchedule
    @deferredRevenueAccount = deferredRevenueAccount
    @revRecSchedule = revRecSchedule
    @stockDescription = stockDescription
    @producer = producer
    @manufacturer = manufacturer
    @mpn = mpn
    @multManufactureAddr = multManufactureAddr
    @manufactureraddr1 = manufactureraddr1
    @manufacturerCity = manufacturerCity
    @manufacturerState = manufacturerState
    @manufacturerZip = manufacturerZip
    @countryOfManufacture = countryOfManufacture
    @effectiveBomControl = effectiveBomControl
    @manufacturerTaxId = manufacturerTaxId
    @defaultRevision = defaultRevision
    @defaultItemShipMethod = defaultItemShipMethod
    @itemCarrier = itemCarrier
    @roundUpAsComponent = roundUpAsComponent
    @itemShipMethodList = itemShipMethodList
    @scheduleBNumber = scheduleBNumber
    @scheduleBQuantity = scheduleBQuantity
    @scheduleBCode = scheduleBCode
    @manufacturerTariff = manufacturerTariff
    @preferenceCriterion = preferenceCriterion
    @issueProduct = issueProduct
    @minimumQuantity = minimumQuantity
    @enforceMinQtyInternally = enforceMinQtyInternally
    @softDescriptor = softDescriptor
    @isSpecialWorkOrderItem = isSpecialWorkOrderItem
    @pricesIncludeTax = pricesIncludeTax
    @quantityPricingSchedule = quantityPricingSchedule
    @buildEntireAssembly = buildEntireAssembly
    @quantityOnHand = quantityOnHand
    @useMarginalRates = useMarginalRates
    @reorderMultiple = reorderMultiple
    @cost = cost
    @costEstimateType = costEstimateType
    @isHazmatItem = isHazmatItem
    @hazmatId = hazmatId
    @hazmatShippingName = hazmatShippingName
    @hazmatHazardClass = hazmatHazardClass
    @hazmatPackingGroup = hazmatPackingGroup
    @hazmatItemUnits = hazmatItemUnits
    @hazmatItemUnitsQty = hazmatItemUnitsQty
    @costEstimate = costEstimate
    @transferPrice = transferPrice
    @overallQuantityPricingType = overallQuantityPricingType
    @pricingGroup = pricingGroup
    @vsoePrice = vsoePrice
    @vsoeSopGroup = vsoeSopGroup
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @unbuildVarianceAccount = unbuildVarianceAccount
    @dropshipExpenseAccount = dropshipExpenseAccount
    @preferredLocation = preferredLocation
    @totalValue = totalValue
    @useBins = useBins
    @averageCost = averageCost
    @lastPurchasePrice = lastPurchasePrice
    @purchaseDescription = purchaseDescription
    @leadTime = leadTime
    @autoLeadTime = autoLeadTime
    @buildTime = buildTime
    @safetyStockLevel = safetyStockLevel
    @safetyStockLevelDays = safetyStockLevelDays
    @seasonalDemand = seasonalDemand
    @serialNumbers = serialNumbers
    @reorderPoint = reorderPoint
    @preferredStockLevel = preferredStockLevel
    @expirationDate = expirationDate
    @lastInvtCountDate = lastInvtCountDate
    @nextInvtCountDate = nextInvtCountDate
    @invtCountInterval = invtCountInterval
    @invtClassification = invtClassification
    @demandModifier = demandModifier
    @autoReorderPoint = autoReorderPoint
    @autoPreferredStockLevel = autoPreferredStockLevel
    @preferredStockLevelDays = preferredStockLevelDays
    @shipIndividually = shipIndividually
    @shipPackage = shipPackage
    @defaultReturnCost = defaultReturnCost
    @supplyReplenishmentMethod = supplyReplenishmentMethod
    @alternateDemandSourceItem = alternateDemandSourceItem
    @fixedLotSize = fixedLotSize
    @supplyType = supplyType
    @supplyLotSizingMethod = supplyLotSizingMethod
    @demandSource = demandSource
    @quantityCommitted = quantityCommitted
    @quantityAvailable = quantityAvailable
    @quantityBackOrdered = quantityBackOrdered
    @quantityOnOrder = quantityOnOrder
    @storeDisplayName = storeDisplayName
    @storeDisplayThumbnail = storeDisplayThumbnail
    @storeDisplayImage = storeDisplayImage
    @storeDescription = storeDescription
    @storeDetailedDescription = storeDetailedDescription
    @storeItemTemplate = storeItemTemplate
    @pageTitle = pageTitle
    @metaTagHtml = metaTagHtml
    @excludeFromSitemap = excludeFromSitemap
    @sitemapPriority = sitemapPriority
    @urlComponent = urlComponent
    @searchKeywords = searchKeywords
    @isDonationItem = isDonationItem
    @showDefaultDonationAmount = showDefaultDonationAmount
    @maxDonationAmount = maxDonationAmount
    @dontShowPrice = dontShowPrice
    @noPriceMessage = noPriceMessage
    @outOfStockMessage = outOfStockMessage
    @shoppingDotComCategory = shoppingDotComCategory
    @outOfStockBehavior = outOfStockBehavior
    @shopzillaCategoryId = shopzillaCategoryId
    @nexTagCategory = nexTagCategory
    @productFeedList = productFeedList
    @relatedItemsDescription = relatedItemsDescription
    @onSpecial = onSpecial
    @specialsDescription = specialsDescription
    @featuredDescription = featuredDescription
    @itemOptionsList = itemOptionsList
    @itemNumberOptionsList = itemNumberOptionsList
    @itemVendorList = itemVendorList
    @pricingMatrix = pricingMatrix
    @memberList = memberList
    @locationsList = locationsList
    @siteCategoryList = siteCategoryList
    @binNumberList = binNumberList
    @numbersList = numbersList
    @translationsList = translationsList
    @presentationItemList = presentationItemList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}State
#   nullFieldList - ActiveNetsuite::NullField
#   country - ActiveNetsuite::Country
#   fullName - SOAP::SOAPString
#   shortname - SOAP::SOAPString
#   xmlattr_internalId - SOAP::SOAPString
class State < Record
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :country
  attr_accessor :fullName
  attr_accessor :shortname

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def initialize(nullFieldList = nil, country = nil, fullName = nil, shortname = nil)
    @nullFieldList = nullFieldList
    @country = country
    @fullName = fullName
    @shortname = shortname
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}AccountingPeriod
#   nullFieldList - ActiveNetsuite::NullField
#   periodName - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   startDate - SOAP::SOAPDateTime
#   endDate - SOAP::SOAPDateTime
#   fiscalCalendar - ActiveNetsuite::RecordRef
#   closedOnDate - SOAP::SOAPDateTime
#   isAdjust - SOAP::SOAPBoolean
#   fiscalCalendarsList - ActiveNetsuite::AccountingPeriodFiscalCalendarsList
#   isQuarter - SOAP::SOAPBoolean
#   isYear - SOAP::SOAPBoolean
#   closed - SOAP::SOAPBoolean
#   apLocked - SOAP::SOAPBoolean
#   arLocked - SOAP::SOAPBoolean
#   payrollLocked - SOAP::SOAPBoolean
#   allLocked - SOAP::SOAPBoolean
#   allowNonGLChanges - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
class AccountingPeriod < Record
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :periodName
  attr_accessor :parent
  attr_accessor :startDate
  attr_accessor :endDate
  attr_accessor :fiscalCalendar
  attr_accessor :closedOnDate
  attr_accessor :isAdjust
  attr_accessor :fiscalCalendarsList
  attr_accessor :isQuarter
  attr_accessor :isYear
  attr_accessor :closed
  attr_accessor :apLocked
  attr_accessor :arLocked
  attr_accessor :payrollLocked
  attr_accessor :allLocked
  attr_accessor :allowNonGLChanges

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def initialize(nullFieldList = nil, periodName = nil, parent = nil, startDate = nil, endDate = nil, fiscalCalendar = nil, closedOnDate = nil, isAdjust = nil, fiscalCalendarsList = nil, isQuarter = nil, isYear = nil, closed = nil, apLocked = nil, arLocked = nil, payrollLocked = nil, allLocked = nil, allowNonGLChanges = nil)
    @nullFieldList = nullFieldList
    @periodName = periodName
    @parent = parent
    @startDate = startDate
    @endDate = endDate
    @fiscalCalendar = fiscalCalendar
    @closedOnDate = closedOnDate
    @isAdjust = isAdjust
    @fiscalCalendarsList = fiscalCalendarsList
    @isQuarter = isQuarter
    @isYear = isYear
    @closed = closed
    @apLocked = apLocked
    @arLocked = arLocked
    @payrollLocked = payrollLocked
    @allLocked = allLocked
    @allowNonGLChanges = allowNonGLChanges
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}BudgetCategory
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   budgetType - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
class BudgetCategory < Record
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :budgetType
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, budgetType = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @budgetType = budgetType
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}PricingGroup
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class PricingGroup < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}InventoryNumber
#   nullFieldList - ActiveNetsuite::NullField
#   inventoryNumber - SOAP::SOAPString
#   item - ActiveNetsuite::RecordRef
#   status - SOAP::SOAPString
#   units - SOAP::SOAPString
#   expirationDate - SOAP::SOAPDateTime
#   memo - SOAP::SOAPString
#   locationsList - ActiveNetsuite::InventoryNumberLocationsList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class InventoryNumber < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :inventoryNumber
  attr_accessor :item
  attr_accessor :status
  attr_accessor :units
  attr_accessor :expirationDate
  attr_accessor :memo
  attr_accessor :locationsList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, inventoryNumber = nil, item = nil, status = nil, units = nil, expirationDate = nil, memo = nil, locationsList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @inventoryNumber = inventoryNumber
    @item = item
    @status = status
    @units = units
    @expirationDate = expirationDate
    @memo = memo
    @locationsList = locationsList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}RevRecSchedule
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   amortizationType - ActiveNetsuite::RevRecScheduleAmortizationType
#   recurrenceType - ActiveNetsuite::RevRecScheduleRecurrenceType
#   recogIntervalSrc - ActiveNetsuite::RevRecScheduleRecogIntervalSrc
#   amortizationPeriod - SOAP::SOAPLong
#   periodOffset - SOAP::SOAPLong
#   revRecOffset - SOAP::SOAPLong
#   initialAmount - SOAP::SOAPDouble
#   isInactive - SOAP::SOAPBoolean
#   recurrenceList - ActiveNetsuite::RevRecScheduleRecurrenceList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class RevRecSchedule < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :amortizationType
  attr_accessor :recurrenceType
  attr_accessor :recogIntervalSrc
  attr_accessor :amortizationPeriod
  attr_accessor :periodOffset
  attr_accessor :revRecOffset
  attr_accessor :initialAmount
  attr_accessor :isInactive
  attr_accessor :recurrenceList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, amortizationType = nil, recurrenceType = nil, recogIntervalSrc = nil, amortizationPeriod = nil, periodOffset = nil, revRecOffset = nil, initialAmount = nil, isInactive = nil, recurrenceList = nil)
    @nullFieldList = nullFieldList
    @name = name
    @amortizationType = amortizationType
    @recurrenceType = recurrenceType
    @recogIntervalSrc = recogIntervalSrc
    @amortizationPeriod = amortizationPeriod
    @periodOffset = periodOffset
    @revRecOffset = revRecOffset
    @initialAmount = initialAmount
    @isInactive = isInactive
    @recurrenceList = recurrenceList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}RevRecTemplate
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   amortizationType - ActiveNetsuite::RevRecScheduleAmortizationType
#   recurrenceType - ActiveNetsuite::RevRecScheduleRecurrenceType
#   recogIntervalSrc - ActiveNetsuite::RevRecScheduleRecogIntervalSrc
#   amortizationPeriod - SOAP::SOAPLong
#   periodOffset - SOAP::SOAPLong
#   revRecOffset - SOAP::SOAPLong
#   initialAmount - SOAP::SOAPDouble
#   isInactive - SOAP::SOAPBoolean
#   recurrenceList - ActiveNetsuite::RevRecTemplateRecurrenceList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class RevRecTemplate < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :amortizationType
  attr_accessor :recurrenceType
  attr_accessor :recogIntervalSrc
  attr_accessor :amortizationPeriod
  attr_accessor :periodOffset
  attr_accessor :revRecOffset
  attr_accessor :initialAmount
  attr_accessor :isInactive
  attr_accessor :recurrenceList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, amortizationType = nil, recurrenceType = nil, recogIntervalSrc = nil, amortizationPeriod = nil, periodOffset = nil, revRecOffset = nil, initialAmount = nil, isInactive = nil, recurrenceList = nil)
    @nullFieldList = nullFieldList
    @name = name
    @amortizationType = amortizationType
    @recurrenceType = recurrenceType
    @recogIntervalSrc = recogIntervalSrc
    @amortizationPeriod = amortizationPeriod
    @periodOffset = periodOffset
    @revRecOffset = revRecOffset
    @initialAmount = initialAmount
    @isInactive = isInactive
    @recurrenceList = recurrenceList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}CostCategory
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   account - ActiveNetsuite::RecordRef
#   itemCostType - ActiveNetsuite::CostCategoryItemCostType
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CostCategory < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :account
  attr_accessor :itemCostType
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, account = nil, itemCostType = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @account = account
    @itemCostType = itemCostType
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}Nexus
#   nullFieldList - ActiveNetsuite::NullField
#   country - ActiveNetsuite::Country
#   state - ActiveNetsuite::RecordRef
#   taxAgency - ActiveNetsuite::RecordRef
#   taxAgencyPst - ActiveNetsuite::RecordRef
#   taxCode - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Nexus < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :country
  attr_accessor :state
  attr_accessor :taxAgency
  attr_accessor :taxAgencyPst
  attr_accessor :taxCode
  attr_accessor :description

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, country = nil, state = nil, taxAgency = nil, taxAgencyPst = nil, taxCode = nil, description = nil)
    @nullFieldList = nullFieldList
    @country = country
    @state = state
    @taxAgency = taxAgency
    @taxAgencyPst = taxAgencyPst
    @taxCode = taxCode
    @description = description
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}CustomerMessage
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   description - SOAP::SOAPString
#   preferred - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CustomerMessage < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :description
  attr_accessor :preferred
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, description = nil, preferred = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @description = description
    @preferred = preferred
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}OtherNameCategory
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class OtherNameCategory < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ItemGroup
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   includeStartEndLines - SOAP::SOAPBoolean
#   isVsoeBundle - SOAP::SOAPBoolean
#   defaultItemShipMethod - ActiveNetsuite::RecordRef
#   availableToPartners - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   itemId - SOAP::SOAPString
#   upcCode - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   vendorName - SOAP::SOAPString
#   issueProduct - ActiveNetsuite::RecordRef
#   parent - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   subsidiaryList - ActiveNetsuite::RecordRefList
#   includeChildren - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   itemCarrier - ActiveNetsuite::ItemCarrier
#   itemShipMethodList - ActiveNetsuite::RecordRefList
#   printItems - SOAP::SOAPBoolean
#   memberList - ActiveNetsuite::ItemMemberList
#   translationsList - ActiveNetsuite::TranslationList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class ItemGroup < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :includeStartEndLines
  attr_accessor :isVsoeBundle
  attr_accessor :defaultItemShipMethod
  attr_accessor :availableToPartners
  attr_accessor :isInactive
  attr_accessor :itemId
  attr_accessor :upcCode
  attr_accessor :displayName
  attr_accessor :vendorName
  attr_accessor :issueProduct
  attr_accessor :parent
  attr_accessor :description
  attr_accessor :subsidiaryList
  attr_accessor :includeChildren
  attr_accessor :department
  attr_accessor :location
  attr_accessor :itemCarrier
  attr_accessor :itemShipMethodList
  attr_accessor :printItems
  attr_accessor :memberList
  attr_accessor :translationsList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, includeStartEndLines = nil, isVsoeBundle = nil, defaultItemShipMethod = nil, availableToPartners = nil, isInactive = nil, itemId = nil, upcCode = nil, displayName = nil, vendorName = nil, issueProduct = nil, parent = nil, description = nil, subsidiaryList = nil, includeChildren = nil, department = nil, v_class = nil, location = nil, itemCarrier = nil, itemShipMethodList = nil, printItems = nil, memberList = nil, translationsList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @includeStartEndLines = includeStartEndLines
    @isVsoeBundle = isVsoeBundle
    @defaultItemShipMethod = defaultItemShipMethod
    @availableToPartners = availableToPartners
    @isInactive = isInactive
    @itemId = itemId
    @upcCode = upcCode
    @displayName = displayName
    @vendorName = vendorName
    @issueProduct = issueProduct
    @parent = parent
    @description = description
    @subsidiaryList = subsidiaryList
    @includeChildren = includeChildren
    @department = department
    @v_class = v_class
    @location = location
    @itemCarrier = itemCarrier
    @itemShipMethodList = itemShipMethodList
    @printItems = printItems
    @memberList = memberList
    @translationsList = translationsList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}CurrencyRate
#   nullFieldList - ActiveNetsuite::NullField
#   baseCurrency - ActiveNetsuite::RecordRef
#   transactionCurrency - ActiveNetsuite::RecordRef
#   exchangeRate - SOAP::SOAPDouble
#   effectiveDate - SOAP::SOAPDateTime
#   xmlattr_internalId - SOAP::SOAPString
class CurrencyRate < Record
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :baseCurrency
  attr_accessor :transactionCurrency
  attr_accessor :exchangeRate
  attr_accessor :effectiveDate

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def initialize(nullFieldList = nil, baseCurrency = nil, transactionCurrency = nil, exchangeRate = nil, effectiveDate = nil)
    @nullFieldList = nullFieldList
    @baseCurrency = baseCurrency
    @transactionCurrency = transactionCurrency
    @exchangeRate = exchangeRate
    @effectiveDate = effectiveDate
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ItemRevision
#   nullFieldList - ActiveNetsuite::NullField
#   item - ActiveNetsuite::RecordRef
#   name - SOAP::SOAPString
#   effectiveDate - SOAP::SOAPDateTime
#   obsoleteDate - SOAP::SOAPDateTime
#   memo - SOAP::SOAPString
#   inactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class ItemRevision < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :item
  attr_accessor :name
  attr_accessor :effectiveDate
  attr_accessor :obsoleteDate
  attr_accessor :memo
  attr_accessor :inactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, item = nil, name = nil, effectiveDate = nil, obsoleteDate = nil, memo = nil, inactive = nil)
    @nullFieldList = nullFieldList
    @item = item
    @name = name
    @effectiveDate = effectiveDate
    @obsoleteDate = obsoleteDate
    @memo = memo
    @inactive = inactive
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}TaxAcct
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   description - SOAP::SOAPString
#   nexus - ActiveNetsuite::RecordRef
#   country - ActiveNetsuite::Country
#   taxAcctType - ActiveNetsuite::TaxAcctType
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class TaxAcct < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :description
  attr_accessor :nexus
  attr_accessor :country
  attr_accessor :taxAcctType
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, description = nil, nexus = nil, country = nil, taxAcctType = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @description = description
    @nexus = nexus
    @country = country
    @taxAcctType = taxAcctType
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}Opportunity
#   nullFieldList - ActiveNetsuite::NullField
#   customForm - ActiveNetsuite::RecordRef
#   currency - ActiveNetsuite::RecordRef
#   estimatedBudget - SOAP::SOAPDouble
#   entity - ActiveNetsuite::RecordRef
#   job - ActiveNetsuite::RecordRef
#   title - SOAP::SOAPString
#   tranId - SOAP::SOAPString
#   source - SOAP::SOAPString
#   salesRep - ActiveNetsuite::RecordRef
#   contribPct - SOAP::SOAPString
#   partner - ActiveNetsuite::RecordRef
#   salesGroup - ActiveNetsuite::RecordRef
#   syncSalesTeams - SOAP::SOAPBoolean
#   leadSource - ActiveNetsuite::RecordRef
#   entityStatus - ActiveNetsuite::RecordRef
#   probability - SOAP::SOAPDouble
#   tranDate - SOAP::SOAPDateTime
#   expectedCloseDate - SOAP::SOAPDateTime
#   daysOpen - SOAP::SOAPLong
#   forecastType - ActiveNetsuite::RecordRef
#   currencyName - SOAP::SOAPString
#   exchangeRate - SOAP::SOAPDouble
#   projectedTotal - SOAP::SOAPDouble
#   rangeLow - SOAP::SOAPDouble
#   rangeHigh - SOAP::SOAPDouble
#   projAltSalesAmt - SOAP::SOAPDouble
#   altSalesRangeLow - SOAP::SOAPDouble
#   altSalesRangeHigh - SOAP::SOAPDouble
#   weightedTotal - SOAP::SOAPDouble
#   actionItem - SOAP::SOAPString
#   winLossReason - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   taxTotal - SOAP::SOAPDouble
#   isBudgetApproved - SOAP::SOAPBoolean
#   tax2Total - SOAP::SOAPDouble
#   salesReadiness - ActiveNetsuite::RecordRef
#   totalCostEstimate - SOAP::SOAPDouble
#   buyingTimeFrame - ActiveNetsuite::RecordRef
#   estGrossProfit - SOAP::SOAPDouble
#   buyingReason - ActiveNetsuite::RecordRef
#   estGrossProfitPercent - SOAP::SOAPDouble
#   transactionBillAddress - ActiveNetsuite::BillAddress
#   billAddressList - ActiveNetsuite::RecordRef
#   billAddress - SOAP::SOAPString
#   transactionShipAddress - ActiveNetsuite::ShipAddress
#   shipAddressList - ActiveNetsuite::RecordRef
#   shipAddress - SOAP::SOAPString
#   m_class - ActiveNetsuite::RecordRef
#   closeDate - SOAP::SOAPDateTime
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   department - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   status - SOAP::SOAPString
#   vatRegNum - SOAP::SOAPString
#   syncPartnerTeams - SOAP::SOAPBoolean
#   salesTeamList - ActiveNetsuite::OpportunitySalesTeamList
#   partnersList - ActiveNetsuite::OpportunityPartnersList
#   itemList - ActiveNetsuite::OpportunityItemList
#   competitorsList - ActiveNetsuite::OpportunityCompetitorsList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Opportunity < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :customForm
  attr_accessor :currency
  attr_accessor :estimatedBudget
  attr_accessor :entity
  attr_accessor :job
  attr_accessor :title
  attr_accessor :tranId
  attr_accessor :source
  attr_accessor :salesRep
  attr_accessor :contribPct
  attr_accessor :partner
  attr_accessor :salesGroup
  attr_accessor :syncSalesTeams
  attr_accessor :leadSource
  attr_accessor :entityStatus
  attr_accessor :probability
  attr_accessor :tranDate
  attr_accessor :expectedCloseDate
  attr_accessor :daysOpen
  attr_accessor :forecastType
  attr_accessor :currencyName
  attr_accessor :exchangeRate
  attr_accessor :projectedTotal
  attr_accessor :rangeLow
  attr_accessor :rangeHigh
  attr_accessor :projAltSalesAmt
  attr_accessor :altSalesRangeLow
  attr_accessor :altSalesRangeHigh
  attr_accessor :weightedTotal
  attr_accessor :actionItem
  attr_accessor :winLossReason
  attr_accessor :memo
  attr_accessor :taxTotal
  attr_accessor :isBudgetApproved
  attr_accessor :tax2Total
  attr_accessor :salesReadiness
  attr_accessor :totalCostEstimate
  attr_accessor :buyingTimeFrame
  attr_accessor :estGrossProfit
  attr_accessor :buyingReason
  attr_accessor :estGrossProfitPercent
  attr_accessor :transactionBillAddress
  attr_accessor :billAddressList
  attr_accessor :billAddress
  attr_accessor :transactionShipAddress
  attr_accessor :shipAddressList
  attr_accessor :shipAddress
  attr_accessor :closeDate
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiary
  attr_accessor :status
  attr_accessor :vatRegNum
  attr_accessor :syncPartnerTeams
  attr_accessor :salesTeamList
  attr_accessor :partnersList
  attr_accessor :itemList
  attr_accessor :competitorsList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, customForm = nil, currency = nil, estimatedBudget = nil, entity = nil, job = nil, title = nil, tranId = nil, source = nil, salesRep = nil, contribPct = nil, partner = nil, salesGroup = nil, syncSalesTeams = nil, leadSource = nil, entityStatus = nil, probability = nil, tranDate = nil, expectedCloseDate = nil, daysOpen = nil, forecastType = nil, currencyName = nil, exchangeRate = nil, projectedTotal = nil, rangeLow = nil, rangeHigh = nil, projAltSalesAmt = nil, altSalesRangeLow = nil, altSalesRangeHigh = nil, weightedTotal = nil, actionItem = nil, winLossReason = nil, memo = nil, taxTotal = nil, isBudgetApproved = nil, tax2Total = nil, salesReadiness = nil, totalCostEstimate = nil, buyingTimeFrame = nil, estGrossProfit = nil, buyingReason = nil, estGrossProfitPercent = nil, transactionBillAddress = nil, billAddressList = nil, billAddress = nil, transactionShipAddress = nil, shipAddressList = nil, shipAddress = nil, v_class = nil, closeDate = nil, createdDate = nil, lastModifiedDate = nil, department = nil, location = nil, subsidiary = nil, status = nil, vatRegNum = nil, syncPartnerTeams = nil, salesTeamList = nil, partnersList = nil, itemList = nil, competitorsList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @customForm = customForm
    @currency = currency
    @estimatedBudget = estimatedBudget
    @entity = entity
    @job = job
    @title = title
    @tranId = tranId
    @source = source
    @salesRep = salesRep
    @contribPct = contribPct
    @partner = partner
    @salesGroup = salesGroup
    @syncSalesTeams = syncSalesTeams
    @leadSource = leadSource
    @entityStatus = entityStatus
    @probability = probability
    @tranDate = tranDate
    @expectedCloseDate = expectedCloseDate
    @daysOpen = daysOpen
    @forecastType = forecastType
    @currencyName = currencyName
    @exchangeRate = exchangeRate
    @projectedTotal = projectedTotal
    @rangeLow = rangeLow
    @rangeHigh = rangeHigh
    @projAltSalesAmt = projAltSalesAmt
    @altSalesRangeLow = altSalesRangeLow
    @altSalesRangeHigh = altSalesRangeHigh
    @weightedTotal = weightedTotal
    @actionItem = actionItem
    @winLossReason = winLossReason
    @memo = memo
    @taxTotal = taxTotal
    @isBudgetApproved = isBudgetApproved
    @tax2Total = tax2Total
    @salesReadiness = salesReadiness
    @totalCostEstimate = totalCostEstimate
    @buyingTimeFrame = buyingTimeFrame
    @estGrossProfit = estGrossProfit
    @buyingReason = buyingReason
    @estGrossProfitPercent = estGrossProfitPercent
    @transactionBillAddress = transactionBillAddress
    @billAddressList = billAddressList
    @billAddress = billAddress
    @transactionShipAddress = transactionShipAddress
    @shipAddressList = shipAddressList
    @shipAddress = shipAddress
    @v_class = v_class
    @closeDate = closeDate
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @department = department
    @location = location
    @subsidiary = subsidiary
    @status = status
    @vatRegNum = vatRegNum
    @syncPartnerTeams = syncPartnerTeams
    @salesTeamList = salesTeamList
    @partnersList = partnersList
    @itemList = itemList
    @competitorsList = competitorsList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}SalesOrder
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   entity - ActiveNetsuite::RecordRef
#   job - ActiveNetsuite::RecordRef
#   currency - ActiveNetsuite::RecordRef
#   drAccount - ActiveNetsuite::RecordRef
#   fxAccount - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   tranId - SOAP::SOAPString
#   source - SOAP::SOAPString
#   createdFrom - ActiveNetsuite::RecordRef
#   orderStatus - ActiveNetsuite::SalesOrderOrderStatus
#   opportunity - ActiveNetsuite::RecordRef
#   salesRep - ActiveNetsuite::RecordRef
#   contribPct - SOAP::SOAPString
#   partner - ActiveNetsuite::RecordRef
#   salesGroup - ActiveNetsuite::RecordRef
#   syncSalesTeams - SOAP::SOAPBoolean
#   leadSource - ActiveNetsuite::RecordRef
#   startDate - SOAP::SOAPDateTime
#   endDate - SOAP::SOAPDateTime
#   otherRefNum - SOAP::SOAPString
#   memo - SOAP::SOAPString
#   salesEffectiveDate - SOAP::SOAPDateTime
#   excludeCommission - SOAP::SOAPBoolean
#   totalCostEstimate - SOAP::SOAPDouble
#   estGrossProfit - SOAP::SOAPDouble
#   estGrossProfitPercent - SOAP::SOAPDouble
#   exchangeRate - SOAP::SOAPDouble
#   promoCode - ActiveNetsuite::RecordRef
#   currencyName - SOAP::SOAPString
#   discountItem - ActiveNetsuite::RecordRef
#   discountRate - SOAP::SOAPString
#   isTaxable - SOAP::SOAPBoolean
#   taxItem - ActiveNetsuite::RecordRef
#   taxRate - SOAP::SOAPDouble
#   toBePrinted - SOAP::SOAPBoolean
#   toBeEmailed - SOAP::SOAPBoolean
#   email - SOAP::SOAPString
#   toBeFaxed - SOAP::SOAPBoolean
#   fax - SOAP::SOAPString
#   messageSel - ActiveNetsuite::RecordRef
#   message - SOAP::SOAPString
#   transactionBillAddress - ActiveNetsuite::BillAddress
#   billAddressList - ActiveNetsuite::RecordRef
#   billAddress - SOAP::SOAPString
#   transactionShipAddress - ActiveNetsuite::ShipAddress
#   shipAddressList - ActiveNetsuite::RecordRef
#   shipAddress - SOAP::SOAPString
#   fob - SOAP::SOAPString
#   shipDate - SOAP::SOAPDateTime
#   actualShipDate - SOAP::SOAPDateTime
#   shipMethod - ActiveNetsuite::RecordRef
#   shippingCost - SOAP::SOAPDouble
#   shippingTax1Rate - SOAP::SOAPDouble
#   isMultiShipTo - SOAP::SOAPBoolean
#   shippingTax2Rate - SOAP::SOAPString
#   shippingTaxCode - ActiveNetsuite::RecordRef
#   handlingTaxCode - ActiveNetsuite::RecordRef
#   handlingTax1Rate - SOAP::SOAPDouble
#   handlingTax2Rate - SOAP::SOAPString
#   handlingCost - SOAP::SOAPDouble
#   trackingNumbers - SOAP::SOAPString
#   linkedTrackingNumbers - SOAP::SOAPString
#   shipComplete - SOAP::SOAPBoolean
#   paymentMethod - ActiveNetsuite::RecordRef
#   shopperIpAddress - SOAP::SOAPString
#   saveOnAuthDecline - SOAP::SOAPBoolean
#   creditCard - ActiveNetsuite::RecordRef
#   revenueStatus - ActiveNetsuite::RevenueStatus
#   recognizedRevenue - SOAP::SOAPDouble
#   deferredRevenue - SOAP::SOAPDouble
#   revRecOnRevCommitment - SOAP::SOAPBoolean
#   revCommitStatus - ActiveNetsuite::RevenueCommitStatus
#   ccNumber - SOAP::SOAPString
#   ccExpireDate - SOAP::SOAPDateTime
#   ccName - SOAP::SOAPString
#   ccStreet - SOAP::SOAPString
#   ccZipCode - SOAP::SOAPString
#   payPalStatus - SOAP::SOAPString
#   creditCardProcessor - ActiveNetsuite::RecordRef
#   payPalTranId - SOAP::SOAPString
#   ccApproved - SOAP::SOAPBoolean
#   getAuth - SOAP::SOAPBoolean
#   authCode - SOAP::SOAPString
#   ccAvsStreetMatch - ActiveNetsuite::AvsMatchCode
#   ccAvsZipMatch - ActiveNetsuite::AvsMatchCode
#   ccSecurityCodeMatch - ActiveNetsuite::AvsMatchCode
#   altSalesTotal - SOAP::SOAPDouble
#   ignoreAvs - SOAP::SOAPBoolean
#   paymentEventResult - ActiveNetsuite::TransactionPaymentEventResult
#   paymentEventHoldReason - ActiveNetsuite::TransactionPaymentEventHoldReason
#   paymentEventType - ActiveNetsuite::TransactionPaymentEventType
#   paymentEventDate - SOAP::SOAPDateTime
#   paymentEventUpdatedBy - SOAP::SOAPString
#   subTotal - SOAP::SOAPDouble
#   discountTotal - SOAP::SOAPDouble
#   taxTotal - SOAP::SOAPDouble
#   altShippingCost - SOAP::SOAPDouble
#   altHandlingCost - SOAP::SOAPDouble
#   total - SOAP::SOAPDouble
#   revRecSchedule - ActiveNetsuite::RecordRef
#   revRecStartDate - SOAP::SOAPDateTime
#   revRecEndDate - SOAP::SOAPDateTime
#   paypalAuthId - SOAP::SOAPString
#   balance - SOAP::SOAPDouble
#   paypalProcess - SOAP::SOAPBoolean
#   billingSchedule - ActiveNetsuite::RecordRef
#   ccSecurityCode - SOAP::SOAPString
#   threeDStatusCode - SOAP::SOAPString
#   m_class - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   intercoTransaction - ActiveNetsuite::RecordRef
#   intercoStatus - ActiveNetsuite::IntercoStatus
#   debitCardIssueNo - SOAP::SOAPString
#   lastModifiedDate - SOAP::SOAPDateTime
#   location - ActiveNetsuite::RecordRef
#   pnRefNum - SOAP::SOAPString
#   status - SOAP::SOAPString
#   tax2Total - SOAP::SOAPDouble
#   terms - ActiveNetsuite::RecordRef
#   validFrom - SOAP::SOAPDateTime
#   vatRegNum - SOAP::SOAPString
#   giftCertApplied - SOAP::SOAPDouble
#   tranIsVsoeBundle - SOAP::SOAPBoolean
#   vsoeAutoCalc - SOAP::SOAPBoolean
#   syncPartnerTeams - SOAP::SOAPBoolean
#   salesTeamList - ActiveNetsuite::SalesOrderSalesTeamList
#   partnersList - ActiveNetsuite::SalesOrderPartnersList
#   giftCertRedemptionList - ActiveNetsuite::GiftCertRedemptionList
#   itemList - ActiveNetsuite::SalesOrderItemList
#   shipGroupList - ActiveNetsuite::SalesOrderShipGroupList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class SalesOrder < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :customForm
  attr_accessor :entity
  attr_accessor :job
  attr_accessor :currency
  attr_accessor :drAccount
  attr_accessor :fxAccount
  attr_accessor :tranDate
  attr_accessor :tranId
  attr_accessor :source
  attr_accessor :createdFrom
  attr_accessor :orderStatus
  attr_accessor :opportunity
  attr_accessor :salesRep
  attr_accessor :contribPct
  attr_accessor :partner
  attr_accessor :salesGroup
  attr_accessor :syncSalesTeams
  attr_accessor :leadSource
  attr_accessor :startDate
  attr_accessor :endDate
  attr_accessor :otherRefNum
  attr_accessor :memo
  attr_accessor :salesEffectiveDate
  attr_accessor :excludeCommission
  attr_accessor :totalCostEstimate
  attr_accessor :estGrossProfit
  attr_accessor :estGrossProfitPercent
  attr_accessor :exchangeRate
  attr_accessor :promoCode
  attr_accessor :currencyName
  attr_accessor :discountItem
  attr_accessor :discountRate
  attr_accessor :isTaxable
  attr_accessor :taxItem
  attr_accessor :taxRate
  attr_accessor :toBePrinted
  attr_accessor :toBeEmailed
  attr_accessor :email
  attr_accessor :toBeFaxed
  attr_accessor :fax
  attr_accessor :messageSel
  attr_accessor :message
  attr_accessor :transactionBillAddress
  attr_accessor :billAddressList
  attr_accessor :billAddress
  attr_accessor :transactionShipAddress
  attr_accessor :shipAddressList
  attr_accessor :shipAddress
  attr_accessor :fob
  attr_accessor :shipDate
  attr_accessor :actualShipDate
  attr_accessor :shipMethod
  attr_accessor :shippingCost
  attr_accessor :shippingTax1Rate
  attr_accessor :isMultiShipTo
  attr_accessor :shippingTax2Rate
  attr_accessor :shippingTaxCode
  attr_accessor :handlingTaxCode
  attr_accessor :handlingTax1Rate
  attr_accessor :handlingTax2Rate
  attr_accessor :handlingCost
  attr_accessor :trackingNumbers
  attr_accessor :linkedTrackingNumbers
  attr_accessor :shipComplete
  attr_accessor :paymentMethod
  attr_accessor :shopperIpAddress
  attr_accessor :saveOnAuthDecline
  attr_accessor :creditCard
  attr_accessor :revenueStatus
  attr_accessor :recognizedRevenue
  attr_accessor :deferredRevenue
  attr_accessor :revRecOnRevCommitment
  attr_accessor :revCommitStatus
  attr_accessor :ccNumber
  attr_accessor :ccExpireDate
  attr_accessor :ccName
  attr_accessor :ccStreet
  attr_accessor :ccZipCode
  attr_accessor :payPalStatus
  attr_accessor :creditCardProcessor
  attr_accessor :payPalTranId
  attr_accessor :ccApproved
  attr_accessor :getAuth
  attr_accessor :authCode
  attr_accessor :ccAvsStreetMatch
  attr_accessor :ccAvsZipMatch
  attr_accessor :ccSecurityCodeMatch
  attr_accessor :altSalesTotal
  attr_accessor :ignoreAvs
  attr_accessor :paymentEventResult
  attr_accessor :paymentEventHoldReason
  attr_accessor :paymentEventType
  attr_accessor :paymentEventDate
  attr_accessor :paymentEventUpdatedBy
  attr_accessor :subTotal
  attr_accessor :discountTotal
  attr_accessor :taxTotal
  attr_accessor :altShippingCost
  attr_accessor :altHandlingCost
  attr_accessor :total
  attr_accessor :revRecSchedule
  attr_accessor :revRecStartDate
  attr_accessor :revRecEndDate
  attr_accessor :paypalAuthId
  attr_accessor :balance
  attr_accessor :paypalProcess
  attr_accessor :billingSchedule
  attr_accessor :ccSecurityCode
  attr_accessor :threeDStatusCode
  attr_accessor :department
  attr_accessor :subsidiary
  attr_accessor :intercoTransaction
  attr_accessor :intercoStatus
  attr_accessor :debitCardIssueNo
  attr_accessor :lastModifiedDate
  attr_accessor :location
  attr_accessor :pnRefNum
  attr_accessor :status
  attr_accessor :tax2Total
  attr_accessor :terms
  attr_accessor :validFrom
  attr_accessor :vatRegNum
  attr_accessor :giftCertApplied
  attr_accessor :tranIsVsoeBundle
  attr_accessor :vsoeAutoCalc
  attr_accessor :syncPartnerTeams
  attr_accessor :salesTeamList
  attr_accessor :partnersList
  attr_accessor :giftCertRedemptionList
  attr_accessor :itemList
  attr_accessor :shipGroupList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, customForm = nil, entity = nil, job = nil, currency = nil, drAccount = nil, fxAccount = nil, tranDate = nil, tranId = nil, source = nil, createdFrom = nil, orderStatus = nil, opportunity = nil, salesRep = nil, contribPct = nil, partner = nil, salesGroup = nil, syncSalesTeams = nil, leadSource = nil, startDate = nil, endDate = nil, otherRefNum = nil, memo = nil, salesEffectiveDate = nil, excludeCommission = nil, totalCostEstimate = nil, estGrossProfit = nil, estGrossProfitPercent = nil, exchangeRate = nil, promoCode = nil, currencyName = nil, discountItem = nil, discountRate = nil, isTaxable = nil, taxItem = nil, taxRate = nil, toBePrinted = nil, toBeEmailed = nil, email = nil, toBeFaxed = nil, fax = nil, messageSel = nil, message = nil, transactionBillAddress = nil, billAddressList = nil, billAddress = nil, transactionShipAddress = nil, shipAddressList = nil, shipAddress = nil, fob = nil, shipDate = nil, actualShipDate = nil, shipMethod = nil, shippingCost = nil, shippingTax1Rate = nil, isMultiShipTo = nil, shippingTax2Rate = nil, shippingTaxCode = nil, handlingTaxCode = nil, handlingTax1Rate = nil, handlingTax2Rate = nil, handlingCost = nil, trackingNumbers = nil, linkedTrackingNumbers = nil, shipComplete = nil, paymentMethod = nil, shopperIpAddress = nil, saveOnAuthDecline = nil, creditCard = nil, revenueStatus = nil, recognizedRevenue = nil, deferredRevenue = nil, revRecOnRevCommitment = nil, revCommitStatus = nil, ccNumber = nil, ccExpireDate = nil, ccName = nil, ccStreet = nil, ccZipCode = nil, payPalStatus = nil, creditCardProcessor = nil, payPalTranId = nil, ccApproved = nil, getAuth = nil, authCode = nil, ccAvsStreetMatch = nil, ccAvsZipMatch = nil, ccSecurityCodeMatch = nil, altSalesTotal = nil, ignoreAvs = nil, paymentEventResult = nil, paymentEventHoldReason = nil, paymentEventType = nil, paymentEventDate = nil, paymentEventUpdatedBy = nil, subTotal = nil, discountTotal = nil, taxTotal = nil, altShippingCost = nil, altHandlingCost = nil, total = nil, revRecSchedule = nil, revRecStartDate = nil, revRecEndDate = nil, paypalAuthId = nil, balance = nil, paypalProcess = nil, billingSchedule = nil, ccSecurityCode = nil, threeDStatusCode = nil, v_class = nil, department = nil, subsidiary = nil, intercoTransaction = nil, intercoStatus = nil, debitCardIssueNo = nil, lastModifiedDate = nil, location = nil, pnRefNum = nil, status = nil, tax2Total = nil, terms = nil, validFrom = nil, vatRegNum = nil, giftCertApplied = nil, tranIsVsoeBundle = nil, vsoeAutoCalc = nil, syncPartnerTeams = nil, salesTeamList = nil, partnersList = nil, giftCertRedemptionList = nil, itemList = nil, shipGroupList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @customForm = customForm
    @entity = entity
    @job = job
    @currency = currency
    @drAccount = drAccount
    @fxAccount = fxAccount
    @tranDate = tranDate
    @tranId = tranId
    @source = source
    @createdFrom = createdFrom
    @orderStatus = orderStatus
    @opportunity = opportunity
    @salesRep = salesRep
    @contribPct = contribPct
    @partner = partner
    @salesGroup = salesGroup
    @syncSalesTeams = syncSalesTeams
    @leadSource = leadSource
    @startDate = startDate
    @endDate = endDate
    @otherRefNum = otherRefNum
    @memo = memo
    @salesEffectiveDate = salesEffectiveDate
    @excludeCommission = excludeCommission
    @totalCostEstimate = totalCostEstimate
    @estGrossProfit = estGrossProfit
    @estGrossProfitPercent = estGrossProfitPercent
    @exchangeRate = exchangeRate
    @promoCode = promoCode
    @currencyName = currencyName
    @discountItem = discountItem
    @discountRate = discountRate
    @isTaxable = isTaxable
    @taxItem = taxItem
    @taxRate = taxRate
    @toBePrinted = toBePrinted
    @toBeEmailed = toBeEmailed
    @email = email
    @toBeFaxed = toBeFaxed
    @fax = fax
    @messageSel = messageSel
    @message = message
    @transactionBillAddress = transactionBillAddress
    @billAddressList = billAddressList
    @billAddress = billAddress
    @transactionShipAddress = transactionShipAddress
    @shipAddressList = shipAddressList
    @shipAddress = shipAddress
    @fob = fob
    @shipDate = shipDate
    @actualShipDate = actualShipDate
    @shipMethod = shipMethod
    @shippingCost = shippingCost
    @shippingTax1Rate = shippingTax1Rate
    @isMultiShipTo = isMultiShipTo
    @shippingTax2Rate = shippingTax2Rate
    @shippingTaxCode = shippingTaxCode
    @handlingTaxCode = handlingTaxCode
    @handlingTax1Rate = handlingTax1Rate
    @handlingTax2Rate = handlingTax2Rate
    @handlingCost = handlingCost
    @trackingNumbers = trackingNumbers
    @linkedTrackingNumbers = linkedTrackingNumbers
    @shipComplete = shipComplete
    @paymentMethod = paymentMethod
    @shopperIpAddress = shopperIpAddress
    @saveOnAuthDecline = saveOnAuthDecline
    @creditCard = creditCard
    @revenueStatus = revenueStatus
    @recognizedRevenue = recognizedRevenue
    @deferredRevenue = deferredRevenue
    @revRecOnRevCommitment = revRecOnRevCommitment
    @revCommitStatus = revCommitStatus
    @ccNumber = ccNumber
    @ccExpireDate = ccExpireDate
    @ccName = ccName
    @ccStreet = ccStreet
    @ccZipCode = ccZipCode
    @payPalStatus = payPalStatus
    @creditCardProcessor = creditCardProcessor
    @payPalTranId = payPalTranId
    @ccApproved = ccApproved
    @getAuth = getAuth
    @authCode = authCode
    @ccAvsStreetMatch = ccAvsStreetMatch
    @ccAvsZipMatch = ccAvsZipMatch
    @ccSecurityCodeMatch = ccSecurityCodeMatch
    @altSalesTotal = altSalesTotal
    @ignoreAvs = ignoreAvs
    @paymentEventResult = paymentEventResult
    @paymentEventHoldReason = paymentEventHoldReason
    @paymentEventType = paymentEventType
    @paymentEventDate = paymentEventDate
    @paymentEventUpdatedBy = paymentEventUpdatedBy
    @subTotal = subTotal
    @discountTotal = discountTotal
    @taxTotal = taxTotal
    @altShippingCost = altShippingCost
    @altHandlingCost = altHandlingCost
    @total = total
    @revRecSchedule = revRecSchedule
    @revRecStartDate = revRecStartDate
    @revRecEndDate = revRecEndDate
    @paypalAuthId = paypalAuthId
    @balance = balance
    @paypalProcess = paypalProcess
    @billingSchedule = billingSchedule
    @ccSecurityCode = ccSecurityCode
    @threeDStatusCode = threeDStatusCode
    @v_class = v_class
    @department = department
    @subsidiary = subsidiary
    @intercoTransaction = intercoTransaction
    @intercoStatus = intercoStatus
    @debitCardIssueNo = debitCardIssueNo
    @lastModifiedDate = lastModifiedDate
    @location = location
    @pnRefNum = pnRefNum
    @status = status
    @tax2Total = tax2Total
    @terms = terms
    @validFrom = validFrom
    @vatRegNum = vatRegNum
    @giftCertApplied = giftCertApplied
    @tranIsVsoeBundle = tranIsVsoeBundle
    @vsoeAutoCalc = vsoeAutoCalc
    @syncPartnerTeams = syncPartnerTeams
    @salesTeamList = salesTeamList
    @partnersList = partnersList
    @giftCertRedemptionList = giftCertRedemptionList
    @itemList = itemList
    @shipGroupList = shipGroupList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillment
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   postingPeriod - ActiveNetsuite::RecordRef
#   entity - ActiveNetsuite::RecordRef
#   createdFrom - ActiveNetsuite::RecordRef
#   createdFromShipGroup - SOAP::SOAPLong
#   partner - ActiveNetsuite::RecordRef
#   transactionShipAddress - ActiveNetsuite::ShipAddress
#   shipAddressList - ActiveNetsuite::RecordRef
#   shipAddress - SOAP::SOAPString
#   shipStatus - ActiveNetsuite::ItemFulfillmentShipStatus
#   saturdayDeliveryUps - SOAP::SOAPBoolean
#   sendShipNotifyEmailUps - SOAP::SOAPBoolean
#   sendBackupEmailUps - SOAP::SOAPBoolean
#   shipNotifyEmailAddressUps - SOAP::SOAPString
#   shipNotifyEmailAddress2Ups - SOAP::SOAPString
#   backupEmailAddressUps - SOAP::SOAPString
#   shipNotifyEmailMessageUps - SOAP::SOAPString
#   thirdPartyAcctUps - SOAP::SOAPString
#   thirdPartyZipcodeUps - SOAP::SOAPString
#   thirdPartyCountryUps - ActiveNetsuite::Country
#   thirdPartyTypeUps - ActiveNetsuite::ItemFulfillmentThirdPartyTypeUps
#   partiesToTransactionUps - SOAP::SOAPBoolean
#   exportTypeUps - ActiveNetsuite::ItemFulfillmentExportTypeUps
#   methodOfTransportUps - ActiveNetsuite::ItemFulfillmentMethodOfTransportUps
#   carrierIdUps - SOAP::SOAPString
#   entryNumberUps - SOAP::SOAPString
#   inbondCodeUps - SOAP::SOAPString
#   isRoutedExportTransactionUps - SOAP::SOAPBoolean
#   licenseNumberUps - SOAP::SOAPString
#   licenseDateUps - SOAP::SOAPDateTime
#   licenseExceptionUps - ActiveNetsuite::ItemFulfillmentLicenseExceptionUps
#   eccNumberUps - SOAP::SOAPString
#   recipientTaxIdUps - SOAP::SOAPString
#   blanketStartDateUps - SOAP::SOAPDateTime
#   blanketEndDateUps - SOAP::SOAPDateTime
#   shipmentWeightUps - SOAP::SOAPDouble
#   saturdayDeliveryFedEx - SOAP::SOAPBoolean
#   saturdayPickupFedex - SOAP::SOAPBoolean
#   sendShipNotifyEmailFedEx - SOAP::SOAPBoolean
#   sendBackupEmailFedEx - SOAP::SOAPBoolean
#   signatureHomeDeliveryFedEx - SOAP::SOAPBoolean
#   shipNotifyEmailAddressFedEx - SOAP::SOAPString
#   backupEmailAddressFedEx - SOAP::SOAPString
#   shipDateFedEx - SOAP::SOAPDateTime
#   homeDeliveryTypeFedEx - ActiveNetsuite::ItemFulfillmentHomeDeliveryTypeFedEx
#   homeDeliveryDateFedEx - SOAP::SOAPDateTime
#   bookingConfirmationNumFedEx - SOAP::SOAPString
#   intlExemptionNumFedEx - SOAP::SOAPString
#   b13aFilingOptionFedEx - ActiveNetsuite::ItemFulfillmentB13AFilingOptionFedEx
#   b13aStatementDataFedEx - SOAP::SOAPString
#   thirdPartyAcctFedEx - SOAP::SOAPString
#   thirdPartyCountryFedEx - ActiveNetsuite::Country
#   thirdPartyTypeFedEx - ActiveNetsuite::ItemFulfillmentThirdPartyTypeFedEx
#   shipmentWeightFedEx - SOAP::SOAPDouble
#   termsOfSaleFedEx - ActiveNetsuite::ItemFulfillmentTermsOfSaleFedEx
#   termsFreightChargeFedEx - SOAP::SOAPDouble
#   termsInsuranceChargeFedEx - SOAP::SOAPDouble
#   insideDeliveryFedEx - SOAP::SOAPBoolean
#   insidePickupFedEx - SOAP::SOAPBoolean
#   ancillaryEndorsementFedEx - ActiveNetsuite::ItemFulfillmentAncillaryEndorsementFedEx
#   holdAtLocationFedEx - SOAP::SOAPBoolean
#   halPhoneFedEx - SOAP::SOAPString
#   halAddr1FedEx - SOAP::SOAPString
#   halAddr2FedEx - SOAP::SOAPString
#   halAddr3FedEx - SOAP::SOAPString
#   halCityFedEx - SOAP::SOAPString
#   halZipFedEx - SOAP::SOAPString
#   halStateFedEx - SOAP::SOAPString
#   halCountryFedEx - SOAP::SOAPString
#   hazmatTypeFedEx - ActiveNetsuite::ItemFulfillmentHazmatTypeFedEx
#   accessibilityTypeFedEx - ActiveNetsuite::ItemFulfillmentAccessibilityTypeFedEx
#   isCargoAircraftOnlyFedEx - SOAP::SOAPBoolean
#   tranDate - SOAP::SOAPDateTime
#   tranId - SOAP::SOAPString
#   shipMethod - ActiveNetsuite::RecordRef
#   generateIntegratedShipperLabel - SOAP::SOAPBoolean
#   shippingCost - SOAP::SOAPDouble
#   handlingCost - SOAP::SOAPDouble
#   memo - SOAP::SOAPString
#   transferLocation - ActiveNetsuite::RecordRef
#   packageList - ActiveNetsuite::ItemFulfillmentPackageList
#   packageUpsList - ActiveNetsuite::ItemFulfillmentPackageUpsList
#   packageUspsList - ActiveNetsuite::ItemFulfillmentPackageUspsList
#   packageFedExList - ActiveNetsuite::ItemFulfillmentPackageFedExList
#   itemList - ActiveNetsuite::ItemFulfillmentItemList
#   shipGroupList - ActiveNetsuite::ItemFulfillmentShipGroupList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class ItemFulfillment < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :postingPeriod
  attr_accessor :entity
  attr_accessor :createdFrom
  attr_accessor :createdFromShipGroup
  attr_accessor :partner
  attr_accessor :transactionShipAddress
  attr_accessor :shipAddressList
  attr_accessor :shipAddress
  attr_accessor :shipStatus
  attr_accessor :saturdayDeliveryUps
  attr_accessor :sendShipNotifyEmailUps
  attr_accessor :sendBackupEmailUps
  attr_accessor :shipNotifyEmailAddressUps
  attr_accessor :shipNotifyEmailAddress2Ups
  attr_accessor :backupEmailAddressUps
  attr_accessor :shipNotifyEmailMessageUps
  attr_accessor :thirdPartyAcctUps
  attr_accessor :thirdPartyZipcodeUps
  attr_accessor :thirdPartyCountryUps
  attr_accessor :thirdPartyTypeUps
  attr_accessor :partiesToTransactionUps
  attr_accessor :exportTypeUps
  attr_accessor :methodOfTransportUps
  attr_accessor :carrierIdUps
  attr_accessor :entryNumberUps
  attr_accessor :inbondCodeUps
  attr_accessor :isRoutedExportTransactionUps
  attr_accessor :licenseNumberUps
  attr_accessor :licenseDateUps
  attr_accessor :licenseExceptionUps
  attr_accessor :eccNumberUps
  attr_accessor :recipientTaxIdUps
  attr_accessor :blanketStartDateUps
  attr_accessor :blanketEndDateUps
  attr_accessor :shipmentWeightUps
  attr_accessor :saturdayDeliveryFedEx
  attr_accessor :saturdayPickupFedex
  attr_accessor :sendShipNotifyEmailFedEx
  attr_accessor :sendBackupEmailFedEx
  attr_accessor :signatureHomeDeliveryFedEx
  attr_accessor :shipNotifyEmailAddressFedEx
  attr_accessor :backupEmailAddressFedEx
  attr_accessor :shipDateFedEx
  attr_accessor :homeDeliveryTypeFedEx
  attr_accessor :homeDeliveryDateFedEx
  attr_accessor :bookingConfirmationNumFedEx
  attr_accessor :intlExemptionNumFedEx
  attr_accessor :b13aFilingOptionFedEx
  attr_accessor :b13aStatementDataFedEx
  attr_accessor :thirdPartyAcctFedEx
  attr_accessor :thirdPartyCountryFedEx
  attr_accessor :thirdPartyTypeFedEx
  attr_accessor :shipmentWeightFedEx
  attr_accessor :termsOfSaleFedEx
  attr_accessor :termsFreightChargeFedEx
  attr_accessor :termsInsuranceChargeFedEx
  attr_accessor :insideDeliveryFedEx
  attr_accessor :insidePickupFedEx
  attr_accessor :ancillaryEndorsementFedEx
  attr_accessor :holdAtLocationFedEx
  attr_accessor :halPhoneFedEx
  attr_accessor :halAddr1FedEx
  attr_accessor :halAddr2FedEx
  attr_accessor :halAddr3FedEx
  attr_accessor :halCityFedEx
  attr_accessor :halZipFedEx
  attr_accessor :halStateFedEx
  attr_accessor :halCountryFedEx
  attr_accessor :hazmatTypeFedEx
  attr_accessor :accessibilityTypeFedEx
  attr_accessor :isCargoAircraftOnlyFedEx
  attr_accessor :tranDate
  attr_accessor :tranId
  attr_accessor :shipMethod
  attr_accessor :generateIntegratedShipperLabel
  attr_accessor :shippingCost
  attr_accessor :handlingCost
  attr_accessor :memo
  attr_accessor :transferLocation
  attr_accessor :packageList
  attr_accessor :packageUpsList
  attr_accessor :packageUspsList
  attr_accessor :packageFedExList
  attr_accessor :itemList
  attr_accessor :shipGroupList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, postingPeriod = nil, entity = nil, createdFrom = nil, createdFromShipGroup = nil, partner = nil, transactionShipAddress = nil, shipAddressList = nil, shipAddress = nil, shipStatus = nil, saturdayDeliveryUps = nil, sendShipNotifyEmailUps = nil, sendBackupEmailUps = nil, shipNotifyEmailAddressUps = nil, shipNotifyEmailAddress2Ups = nil, backupEmailAddressUps = nil, shipNotifyEmailMessageUps = nil, thirdPartyAcctUps = nil, thirdPartyZipcodeUps = nil, thirdPartyCountryUps = nil, thirdPartyTypeUps = nil, partiesToTransactionUps = nil, exportTypeUps = nil, methodOfTransportUps = nil, carrierIdUps = nil, entryNumberUps = nil, inbondCodeUps = nil, isRoutedExportTransactionUps = nil, licenseNumberUps = nil, licenseDateUps = nil, licenseExceptionUps = nil, eccNumberUps = nil, recipientTaxIdUps = nil, blanketStartDateUps = nil, blanketEndDateUps = nil, shipmentWeightUps = nil, saturdayDeliveryFedEx = nil, saturdayPickupFedex = nil, sendShipNotifyEmailFedEx = nil, sendBackupEmailFedEx = nil, signatureHomeDeliveryFedEx = nil, shipNotifyEmailAddressFedEx = nil, backupEmailAddressFedEx = nil, shipDateFedEx = nil, homeDeliveryTypeFedEx = nil, homeDeliveryDateFedEx = nil, bookingConfirmationNumFedEx = nil, intlExemptionNumFedEx = nil, b13aFilingOptionFedEx = nil, b13aStatementDataFedEx = nil, thirdPartyAcctFedEx = nil, thirdPartyCountryFedEx = nil, thirdPartyTypeFedEx = nil, shipmentWeightFedEx = nil, termsOfSaleFedEx = nil, termsFreightChargeFedEx = nil, termsInsuranceChargeFedEx = nil, insideDeliveryFedEx = nil, insidePickupFedEx = nil, ancillaryEndorsementFedEx = nil, holdAtLocationFedEx = nil, halPhoneFedEx = nil, halAddr1FedEx = nil, halAddr2FedEx = nil, halAddr3FedEx = nil, halCityFedEx = nil, halZipFedEx = nil, halStateFedEx = nil, halCountryFedEx = nil, hazmatTypeFedEx = nil, accessibilityTypeFedEx = nil, isCargoAircraftOnlyFedEx = nil, tranDate = nil, tranId = nil, shipMethod = nil, generateIntegratedShipperLabel = nil, shippingCost = nil, handlingCost = nil, memo = nil, transferLocation = nil, packageList = nil, packageUpsList = nil, packageUspsList = nil, packageFedExList = nil, itemList = nil, shipGroupList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @postingPeriod = postingPeriod
    @entity = entity
    @createdFrom = createdFrom
    @createdFromShipGroup = createdFromShipGroup
    @partner = partner
    @transactionShipAddress = transactionShipAddress
    @shipAddressList = shipAddressList
    @shipAddress = shipAddress
    @shipStatus = shipStatus
    @saturdayDeliveryUps = saturdayDeliveryUps
    @sendShipNotifyEmailUps = sendShipNotifyEmailUps
    @sendBackupEmailUps = sendBackupEmailUps
    @shipNotifyEmailAddressUps = shipNotifyEmailAddressUps
    @shipNotifyEmailAddress2Ups = shipNotifyEmailAddress2Ups
    @backupEmailAddressUps = backupEmailAddressUps
    @shipNotifyEmailMessageUps = shipNotifyEmailMessageUps
    @thirdPartyAcctUps = thirdPartyAcctUps
    @thirdPartyZipcodeUps = thirdPartyZipcodeUps
    @thirdPartyCountryUps = thirdPartyCountryUps
    @thirdPartyTypeUps = thirdPartyTypeUps
    @partiesToTransactionUps = partiesToTransactionUps
    @exportTypeUps = exportTypeUps
    @methodOfTransportUps = methodOfTransportUps
    @carrierIdUps = carrierIdUps
    @entryNumberUps = entryNumberUps
    @inbondCodeUps = inbondCodeUps
    @isRoutedExportTransactionUps = isRoutedExportTransactionUps
    @licenseNumberUps = licenseNumberUps
    @licenseDateUps = licenseDateUps
    @licenseExceptionUps = licenseExceptionUps
    @eccNumberUps = eccNumberUps
    @recipientTaxIdUps = recipientTaxIdUps
    @blanketStartDateUps = blanketStartDateUps
    @blanketEndDateUps = blanketEndDateUps
    @shipmentWeightUps = shipmentWeightUps
    @saturdayDeliveryFedEx = saturdayDeliveryFedEx
    @saturdayPickupFedex = saturdayPickupFedex
    @sendShipNotifyEmailFedEx = sendShipNotifyEmailFedEx
    @sendBackupEmailFedEx = sendBackupEmailFedEx
    @signatureHomeDeliveryFedEx = signatureHomeDeliveryFedEx
    @shipNotifyEmailAddressFedEx = shipNotifyEmailAddressFedEx
    @backupEmailAddressFedEx = backupEmailAddressFedEx
    @shipDateFedEx = shipDateFedEx
    @homeDeliveryTypeFedEx = homeDeliveryTypeFedEx
    @homeDeliveryDateFedEx = homeDeliveryDateFedEx
    @bookingConfirmationNumFedEx = bookingConfirmationNumFedEx
    @intlExemptionNumFedEx = intlExemptionNumFedEx
    @b13aFilingOptionFedEx = b13aFilingOptionFedEx
    @b13aStatementDataFedEx = b13aStatementDataFedEx
    @thirdPartyAcctFedEx = thirdPartyAcctFedEx
    @thirdPartyCountryFedEx = thirdPartyCountryFedEx
    @thirdPartyTypeFedEx = thirdPartyTypeFedEx
    @shipmentWeightFedEx = shipmentWeightFedEx
    @termsOfSaleFedEx = termsOfSaleFedEx
    @termsFreightChargeFedEx = termsFreightChargeFedEx
    @termsInsuranceChargeFedEx = termsInsuranceChargeFedEx
    @insideDeliveryFedEx = insideDeliveryFedEx
    @insidePickupFedEx = insidePickupFedEx
    @ancillaryEndorsementFedEx = ancillaryEndorsementFedEx
    @holdAtLocationFedEx = holdAtLocationFedEx
    @halPhoneFedEx = halPhoneFedEx
    @halAddr1FedEx = halAddr1FedEx
    @halAddr2FedEx = halAddr2FedEx
    @halAddr3FedEx = halAddr3FedEx
    @halCityFedEx = halCityFedEx
    @halZipFedEx = halZipFedEx
    @halStateFedEx = halStateFedEx
    @halCountryFedEx = halCountryFedEx
    @hazmatTypeFedEx = hazmatTypeFedEx
    @accessibilityTypeFedEx = accessibilityTypeFedEx
    @isCargoAircraftOnlyFedEx = isCargoAircraftOnlyFedEx
    @tranDate = tranDate
    @tranId = tranId
    @shipMethod = shipMethod
    @generateIntegratedShipperLabel = generateIntegratedShipperLabel
    @shippingCost = shippingCost
    @handlingCost = handlingCost
    @memo = memo
    @transferLocation = transferLocation
    @packageList = packageList
    @packageUpsList = packageUpsList
    @packageUspsList = packageUspsList
    @packageFedExList = packageFedExList
    @itemList = itemList
    @shipGroupList = shipGroupList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}Invoice
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   entity - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   tranId - SOAP::SOAPString
#   source - SOAP::SOAPString
#   createdFrom - ActiveNetsuite::RecordRef
#   postingPeriod - ActiveNetsuite::RecordRef
#   opportunity - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   terms - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   currency - ActiveNetsuite::RecordRef
#   dueDate - SOAP::SOAPDateTime
#   discountDate - SOAP::SOAPDateTime
#   discountAmount - SOAP::SOAPDouble
#   salesRep - ActiveNetsuite::RecordRef
#   contribPct - SOAP::SOAPString
#   partner - ActiveNetsuite::RecordRef
#   leadSource - ActiveNetsuite::RecordRef
#   startDate - SOAP::SOAPDateTime
#   endDate - SOAP::SOAPDateTime
#   otherRefNum - SOAP::SOAPString
#   memo - SOAP::SOAPString
#   salesEffectiveDate - SOAP::SOAPDateTime
#   excludeCommission - SOAP::SOAPBoolean
#   totalCostEstimate - SOAP::SOAPDouble
#   estGrossProfit - SOAP::SOAPDouble
#   estGrossProfitPercent - SOAP::SOAPDouble
#   revRecSchedule - ActiveNetsuite::RecordRef
#   revRecStartDate - SOAP::SOAPDateTime
#   revRecEndDate - SOAP::SOAPDateTime
#   amountPaid - SOAP::SOAPDouble
#   amountRemaining - SOAP::SOAPDouble
#   balance - SOAP::SOAPDouble
#   account - ActiveNetsuite::RecordRef
#   onCreditHold - SOAP::SOAPString
#   exchangeRate - SOAP::SOAPDouble
#   currencyName - SOAP::SOAPString
#   promoCode - ActiveNetsuite::RecordRef
#   discountItem - ActiveNetsuite::RecordRef
#   discountRate - SOAP::SOAPString
#   isTaxable - SOAP::SOAPBoolean
#   taxItem - ActiveNetsuite::RecordRef
#   taxRate - SOAP::SOAPDouble
#   toBePrinted - SOAP::SOAPBoolean
#   toBeEmailed - SOAP::SOAPBoolean
#   toBeFaxed - SOAP::SOAPBoolean
#   fax - SOAP::SOAPString
#   messageSel - ActiveNetsuite::RecordRef
#   message - SOAP::SOAPString
#   transactionBillAddress - ActiveNetsuite::BillAddress
#   billAddressList - ActiveNetsuite::RecordRef
#   billAddress - SOAP::SOAPString
#   transactionShipAddress - ActiveNetsuite::ShipAddress
#   shipAddressList - ActiveNetsuite::RecordRef
#   shipAddress - SOAP::SOAPString
#   fob - SOAP::SOAPString
#   shipDate - SOAP::SOAPDateTime
#   shipMethod - ActiveNetsuite::RecordRef
#   shippingCost - SOAP::SOAPDouble
#   shippingTax1Rate - SOAP::SOAPDouble
#   shippingTax2Rate - SOAP::SOAPString
#   shippingTaxCode - ActiveNetsuite::RecordRef
#   handlingTaxCode - ActiveNetsuite::RecordRef
#   handlingTax1Rate - SOAP::SOAPDouble
#   handlingCost - SOAP::SOAPDouble
#   handlingTax2Rate - SOAP::SOAPString
#   trackingNumbers - SOAP::SOAPString
#   linkedTrackingNumbers - SOAP::SOAPString
#   salesGroup - ActiveNetsuite::RecordRef
#   subTotal - SOAP::SOAPDouble
#   revenueStatus - ActiveNetsuite::RevenueStatus
#   recognizedRevenue - SOAP::SOAPDouble
#   deferredRevenue - SOAP::SOAPDouble
#   revRecOnRevCommitment - SOAP::SOAPBoolean
#   syncSalesTeams - SOAP::SOAPBoolean
#   discountTotal - SOAP::SOAPDouble
#   taxTotal - SOAP::SOAPDouble
#   altShippingCost - SOAP::SOAPDouble
#   altHandlingCost - SOAP::SOAPDouble
#   total - SOAP::SOAPDouble
#   status - SOAP::SOAPString
#   job - ActiveNetsuite::RecordRef
#   billingSchedule - ActiveNetsuite::RecordRef
#   email - SOAP::SOAPString
#   tax2Total - SOAP::SOAPDouble
#   vatRegNum - SOAP::SOAPString
#   expCostDiscount - ActiveNetsuite::RecordRef
#   itemCostDiscount - ActiveNetsuite::RecordRef
#   timeDiscount - ActiveNetsuite::RecordRef
#   expCostDiscRate - SOAP::SOAPString
#   itemCostDiscRate - SOAP::SOAPString
#   timeDiscRate - SOAP::SOAPString
#   expCostDiscAmount - SOAP::SOAPDouble
#   expCostTaxRate1 - SOAP::SOAPDouble
#   expCostTaxRate2 - SOAP::SOAPDouble
#   itemCostDiscAmount - SOAP::SOAPDouble
#   expCostTaxCode - ActiveNetsuite::RecordRef
#   expCostDiscTax1Amt - SOAP::SOAPDouble
#   itemCostTaxRate1 - SOAP::SOAPDouble
#   timeDiscAmount - SOAP::SOAPDouble
#   itemCostTaxCode - ActiveNetsuite::RecordRef
#   expCostDiscTaxable - SOAP::SOAPBoolean
#   itemCostDiscTaxable - SOAP::SOAPBoolean
#   itemCostTaxRate2 - SOAP::SOAPDouble
#   itemCostDiscTax1Amt - SOAP::SOAPDouble
#   itemCostDiscPrint - SOAP::SOAPBoolean
#   timeDiscTaxable - SOAP::SOAPBoolean
#   timeTaxRate1 - SOAP::SOAPDouble
#   expCostDiscPrint - SOAP::SOAPBoolean
#   timeTaxCode - ActiveNetsuite::RecordRef
#   timeDiscPrint - SOAP::SOAPBoolean
#   giftCertApplied - SOAP::SOAPDouble
#   timeDiscTax1Amt - SOAP::SOAPDouble
#   tranIsVsoeBundle - SOAP::SOAPBoolean
#   timeTaxRate2 - SOAP::SOAPDouble
#   vsoeAutoCalc - SOAP::SOAPBoolean
#   syncPartnerTeams - SOAP::SOAPBoolean
#   salesTeamList - ActiveNetsuite::InvoiceSalesTeamList
#   partnersList - ActiveNetsuite::InvoicePartnersList
#   itemList - ActiveNetsuite::InvoiceItemList
#   itemCostList - ActiveNetsuite::InvoiceItemCostList
#   giftCertRedemptionList - ActiveNetsuite::GiftCertRedemptionList
#   expCostList - ActiveNetsuite::InvoiceExpCostList
#   timeList - ActiveNetsuite::InvoiceTimeList
#   shipGroupList - ActiveNetsuite::InvoiceShipGroupList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Invoice < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :entity
  attr_accessor :tranDate
  attr_accessor :tranId
  attr_accessor :source
  attr_accessor :createdFrom
  attr_accessor :postingPeriod
  attr_accessor :opportunity
  attr_accessor :department
  attr_accessor :terms
  attr_accessor :location
  attr_accessor :subsidiary
  attr_accessor :currency
  attr_accessor :dueDate
  attr_accessor :discountDate
  attr_accessor :discountAmount
  attr_accessor :salesRep
  attr_accessor :contribPct
  attr_accessor :partner
  attr_accessor :leadSource
  attr_accessor :startDate
  attr_accessor :endDate
  attr_accessor :otherRefNum
  attr_accessor :memo
  attr_accessor :salesEffectiveDate
  attr_accessor :excludeCommission
  attr_accessor :totalCostEstimate
  attr_accessor :estGrossProfit
  attr_accessor :estGrossProfitPercent
  attr_accessor :revRecSchedule
  attr_accessor :revRecStartDate
  attr_accessor :revRecEndDate
  attr_accessor :amountPaid
  attr_accessor :amountRemaining
  attr_accessor :balance
  attr_accessor :account
  attr_accessor :onCreditHold
  attr_accessor :exchangeRate
  attr_accessor :currencyName
  attr_accessor :promoCode
  attr_accessor :discountItem
  attr_accessor :discountRate
  attr_accessor :isTaxable
  attr_accessor :taxItem
  attr_accessor :taxRate
  attr_accessor :toBePrinted
  attr_accessor :toBeEmailed
  attr_accessor :toBeFaxed
  attr_accessor :fax
  attr_accessor :messageSel
  attr_accessor :message
  attr_accessor :transactionBillAddress
  attr_accessor :billAddressList
  attr_accessor :billAddress
  attr_accessor :transactionShipAddress
  attr_accessor :shipAddressList
  attr_accessor :shipAddress
  attr_accessor :fob
  attr_accessor :shipDate
  attr_accessor :shipMethod
  attr_accessor :shippingCost
  attr_accessor :shippingTax1Rate
  attr_accessor :shippingTax2Rate
  attr_accessor :shippingTaxCode
  attr_accessor :handlingTaxCode
  attr_accessor :handlingTax1Rate
  attr_accessor :handlingCost
  attr_accessor :handlingTax2Rate
  attr_accessor :trackingNumbers
  attr_accessor :linkedTrackingNumbers
  attr_accessor :salesGroup
  attr_accessor :subTotal
  attr_accessor :revenueStatus
  attr_accessor :recognizedRevenue
  attr_accessor :deferredRevenue
  attr_accessor :revRecOnRevCommitment
  attr_accessor :syncSalesTeams
  attr_accessor :discountTotal
  attr_accessor :taxTotal
  attr_accessor :altShippingCost
  attr_accessor :altHandlingCost
  attr_accessor :total
  attr_accessor :status
  attr_accessor :job
  attr_accessor :billingSchedule
  attr_accessor :email
  attr_accessor :tax2Total
  attr_accessor :vatRegNum
  attr_accessor :expCostDiscount
  attr_accessor :itemCostDiscount
  attr_accessor :timeDiscount
  attr_accessor :expCostDiscRate
  attr_accessor :itemCostDiscRate
  attr_accessor :timeDiscRate
  attr_accessor :expCostDiscAmount
  attr_accessor :expCostTaxRate1
  attr_accessor :expCostTaxRate2
  attr_accessor :itemCostDiscAmount
  attr_accessor :expCostTaxCode
  attr_accessor :expCostDiscTax1Amt
  attr_accessor :itemCostTaxRate1
  attr_accessor :timeDiscAmount
  attr_accessor :itemCostTaxCode
  attr_accessor :expCostDiscTaxable
  attr_accessor :itemCostDiscTaxable
  attr_accessor :itemCostTaxRate2
  attr_accessor :itemCostDiscTax1Amt
  attr_accessor :itemCostDiscPrint
  attr_accessor :timeDiscTaxable
  attr_accessor :timeTaxRate1
  attr_accessor :expCostDiscPrint
  attr_accessor :timeTaxCode
  attr_accessor :timeDiscPrint
  attr_accessor :giftCertApplied
  attr_accessor :timeDiscTax1Amt
  attr_accessor :tranIsVsoeBundle
  attr_accessor :timeTaxRate2
  attr_accessor :vsoeAutoCalc
  attr_accessor :syncPartnerTeams
  attr_accessor :salesTeamList
  attr_accessor :partnersList
  attr_accessor :itemList
  attr_accessor :itemCostList
  attr_accessor :giftCertRedemptionList
  attr_accessor :expCostList
  attr_accessor :timeList
  attr_accessor :shipGroupList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, entity = nil, tranDate = nil, tranId = nil, source = nil, createdFrom = nil, postingPeriod = nil, opportunity = nil, department = nil, v_class = nil, terms = nil, location = nil, subsidiary = nil, currency = nil, dueDate = nil, discountDate = nil, discountAmount = nil, salesRep = nil, contribPct = nil, partner = nil, leadSource = nil, startDate = nil, endDate = nil, otherRefNum = nil, memo = nil, salesEffectiveDate = nil, excludeCommission = nil, totalCostEstimate = nil, estGrossProfit = nil, estGrossProfitPercent = nil, revRecSchedule = nil, revRecStartDate = nil, revRecEndDate = nil, amountPaid = nil, amountRemaining = nil, balance = nil, account = nil, onCreditHold = nil, exchangeRate = nil, currencyName = nil, promoCode = nil, discountItem = nil, discountRate = nil, isTaxable = nil, taxItem = nil, taxRate = nil, toBePrinted = nil, toBeEmailed = nil, toBeFaxed = nil, fax = nil, messageSel = nil, message = nil, transactionBillAddress = nil, billAddressList = nil, billAddress = nil, transactionShipAddress = nil, shipAddressList = nil, shipAddress = nil, fob = nil, shipDate = nil, shipMethod = nil, shippingCost = nil, shippingTax1Rate = nil, shippingTax2Rate = nil, shippingTaxCode = nil, handlingTaxCode = nil, handlingTax1Rate = nil, handlingCost = nil, handlingTax2Rate = nil, trackingNumbers = nil, linkedTrackingNumbers = nil, salesGroup = nil, subTotal = nil, revenueStatus = nil, recognizedRevenue = nil, deferredRevenue = nil, revRecOnRevCommitment = nil, syncSalesTeams = nil, discountTotal = nil, taxTotal = nil, altShippingCost = nil, altHandlingCost = nil, total = nil, status = nil, job = nil, billingSchedule = nil, email = nil, tax2Total = nil, vatRegNum = nil, expCostDiscount = nil, itemCostDiscount = nil, timeDiscount = nil, expCostDiscRate = nil, itemCostDiscRate = nil, timeDiscRate = nil, expCostDiscAmount = nil, expCostTaxRate1 = nil, expCostTaxRate2 = nil, itemCostDiscAmount = nil, expCostTaxCode = nil, expCostDiscTax1Amt = nil, itemCostTaxRate1 = nil, timeDiscAmount = nil, itemCostTaxCode = nil, expCostDiscTaxable = nil, itemCostDiscTaxable = nil, itemCostTaxRate2 = nil, itemCostDiscTax1Amt = nil, itemCostDiscPrint = nil, timeDiscTaxable = nil, timeTaxRate1 = nil, expCostDiscPrint = nil, timeTaxCode = nil, timeDiscPrint = nil, giftCertApplied = nil, timeDiscTax1Amt = nil, tranIsVsoeBundle = nil, timeTaxRate2 = nil, vsoeAutoCalc = nil, syncPartnerTeams = nil, salesTeamList = nil, partnersList = nil, itemList = nil, itemCostList = nil, giftCertRedemptionList = nil, expCostList = nil, timeList = nil, shipGroupList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @entity = entity
    @tranDate = tranDate
    @tranId = tranId
    @source = source
    @createdFrom = createdFrom
    @postingPeriod = postingPeriod
    @opportunity = opportunity
    @department = department
    @v_class = v_class
    @terms = terms
    @location = location
    @subsidiary = subsidiary
    @currency = currency
    @dueDate = dueDate
    @discountDate = discountDate
    @discountAmount = discountAmount
    @salesRep = salesRep
    @contribPct = contribPct
    @partner = partner
    @leadSource = leadSource
    @startDate = startDate
    @endDate = endDate
    @otherRefNum = otherRefNum
    @memo = memo
    @salesEffectiveDate = salesEffectiveDate
    @excludeCommission = excludeCommission
    @totalCostEstimate = totalCostEstimate
    @estGrossProfit = estGrossProfit
    @estGrossProfitPercent = estGrossProfitPercent
    @revRecSchedule = revRecSchedule
    @revRecStartDate = revRecStartDate
    @revRecEndDate = revRecEndDate
    @amountPaid = amountPaid
    @amountRemaining = amountRemaining
    @balance = balance
    @account = account
    @onCreditHold = onCreditHold
    @exchangeRate = exchangeRate
    @currencyName = currencyName
    @promoCode = promoCode
    @discountItem = discountItem
    @discountRate = discountRate
    @isTaxable = isTaxable
    @taxItem = taxItem
    @taxRate = taxRate
    @toBePrinted = toBePrinted
    @toBeEmailed = toBeEmailed
    @toBeFaxed = toBeFaxed
    @fax = fax
    @messageSel = messageSel
    @message = message
    @transactionBillAddress = transactionBillAddress
    @billAddressList = billAddressList
    @billAddress = billAddress
    @transactionShipAddress = transactionShipAddress
    @shipAddressList = shipAddressList
    @shipAddress = shipAddress
    @fob = fob
    @shipDate = shipDate
    @shipMethod = shipMethod
    @shippingCost = shippingCost
    @shippingTax1Rate = shippingTax1Rate
    @shippingTax2Rate = shippingTax2Rate
    @shippingTaxCode = shippingTaxCode
    @handlingTaxCode = handlingTaxCode
    @handlingTax1Rate = handlingTax1Rate
    @handlingCost = handlingCost
    @handlingTax2Rate = handlingTax2Rate
    @trackingNumbers = trackingNumbers
    @linkedTrackingNumbers = linkedTrackingNumbers
    @salesGroup = salesGroup
    @subTotal = subTotal
    @revenueStatus = revenueStatus
    @recognizedRevenue = recognizedRevenue
    @deferredRevenue = deferredRevenue
    @revRecOnRevCommitment = revRecOnRevCommitment
    @syncSalesTeams = syncSalesTeams
    @discountTotal = discountTotal
    @taxTotal = taxTotal
    @altShippingCost = altShippingCost
    @altHandlingCost = altHandlingCost
    @total = total
    @status = status
    @job = job
    @billingSchedule = billingSchedule
    @email = email
    @tax2Total = tax2Total
    @vatRegNum = vatRegNum
    @expCostDiscount = expCostDiscount
    @itemCostDiscount = itemCostDiscount
    @timeDiscount = timeDiscount
    @expCostDiscRate = expCostDiscRate
    @itemCostDiscRate = itemCostDiscRate
    @timeDiscRate = timeDiscRate
    @expCostDiscAmount = expCostDiscAmount
    @expCostTaxRate1 = expCostTaxRate1
    @expCostTaxRate2 = expCostTaxRate2
    @itemCostDiscAmount = itemCostDiscAmount
    @expCostTaxCode = expCostTaxCode
    @expCostDiscTax1Amt = expCostDiscTax1Amt
    @itemCostTaxRate1 = itemCostTaxRate1
    @timeDiscAmount = timeDiscAmount
    @itemCostTaxCode = itemCostTaxCode
    @expCostDiscTaxable = expCostDiscTaxable
    @itemCostDiscTaxable = itemCostDiscTaxable
    @itemCostTaxRate2 = itemCostTaxRate2
    @itemCostDiscTax1Amt = itemCostDiscTax1Amt
    @itemCostDiscPrint = itemCostDiscPrint
    @timeDiscTaxable = timeDiscTaxable
    @timeTaxRate1 = timeTaxRate1
    @expCostDiscPrint = expCostDiscPrint
    @timeTaxCode = timeTaxCode
    @timeDiscPrint = timeDiscPrint
    @giftCertApplied = giftCertApplied
    @timeDiscTax1Amt = timeDiscTax1Amt
    @tranIsVsoeBundle = tranIsVsoeBundle
    @timeTaxRate2 = timeTaxRate2
    @vsoeAutoCalc = vsoeAutoCalc
    @syncPartnerTeams = syncPartnerTeams
    @salesTeamList = salesTeamList
    @partnersList = partnersList
    @itemList = itemList
    @itemCostList = itemCostList
    @giftCertRedemptionList = giftCertRedemptionList
    @expCostList = expCostList
    @timeList = timeList
    @shipGroupList = shipGroupList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}CashSale
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   entity - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   tranId - SOAP::SOAPString
#   source - SOAP::SOAPString
#   postingPeriod - ActiveNetsuite::RecordRef
#   createdFrom - ActiveNetsuite::RecordRef
#   opportunity - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   salesRep - ActiveNetsuite::RecordRef
#   contribPct - SOAP::SOAPString
#   partner - ActiveNetsuite::RecordRef
#   leadSource - ActiveNetsuite::RecordRef
#   startDate - SOAP::SOAPDateTime
#   endDate - SOAP::SOAPDateTime
#   otherRefNum - SOAP::SOAPString
#   memo - SOAP::SOAPString
#   salesEffectiveDate - SOAP::SOAPDateTime
#   excludeCommission - SOAP::SOAPBoolean
#   revRecSchedule - ActiveNetsuite::RecordRef
#   undepFunds - SOAP::SOAPBoolean
#   currency - ActiveNetsuite::RecordRef
#   account - ActiveNetsuite::RecordRef
#   revRecStartDate - SOAP::SOAPDateTime
#   revRecEndDate - SOAP::SOAPDateTime
#   totalCostEstimate - SOAP::SOAPDouble
#   estGrossProfit - SOAP::SOAPDouble
#   estGrossProfitPercent - SOAP::SOAPDouble
#   exchangeRate - SOAP::SOAPDouble
#   currencyName - SOAP::SOAPString
#   promoCode - ActiveNetsuite::RecordRef
#   discountItem - ActiveNetsuite::RecordRef
#   discountRate - SOAP::SOAPString
#   isTaxable - SOAP::SOAPBoolean
#   taxItem - ActiveNetsuite::RecordRef
#   taxRate - SOAP::SOAPDouble
#   toBePrinted - SOAP::SOAPBoolean
#   toBeEmailed - SOAP::SOAPBoolean
#   toBeFaxed - SOAP::SOAPBoolean
#   fax - SOAP::SOAPString
#   messageSel - ActiveNetsuite::RecordRef
#   message - SOAP::SOAPString
#   transactionBillAddress - ActiveNetsuite::BillAddress
#   billAddressList - ActiveNetsuite::RecordRef
#   billAddress - SOAP::SOAPString
#   transactionShipAddress - ActiveNetsuite::ShipAddress
#   shipAddressList - ActiveNetsuite::RecordRef
#   shipAddress - SOAP::SOAPString
#   fob - SOAP::SOAPString
#   shipDate - SOAP::SOAPDateTime
#   shipMethod - ActiveNetsuite::RecordRef
#   shippingCost - SOAP::SOAPDouble
#   shippingTax1Rate - SOAP::SOAPDouble
#   shippingTax2Rate - SOAP::SOAPString
#   shippingTaxCode - ActiveNetsuite::RecordRef
#   handlingTaxCode - ActiveNetsuite::RecordRef
#   handlingTax1Rate - SOAP::SOAPDouble
#   handlingCost - SOAP::SOAPDouble
#   handlingTax2Rate - SOAP::SOAPString
#   linkedTrackingNumbers - SOAP::SOAPString
#   trackingNumbers - SOAP::SOAPString
#   salesGroup - ActiveNetsuite::RecordRef
#   revenueStatus - ActiveNetsuite::RevenueStatus
#   recognizedRevenue - SOAP::SOAPDouble
#   deferredRevenue - SOAP::SOAPDouble
#   revRecOnRevCommitment - SOAP::SOAPBoolean
#   syncSalesTeams - SOAP::SOAPBoolean
#   paymentMethod - ActiveNetsuite::RecordRef
#   payPalStatus - SOAP::SOAPString
#   creditCard - ActiveNetsuite::RecordRef
#   ccNumber - SOAP::SOAPString
#   ccExpireDate - SOAP::SOAPDateTime
#   ccName - SOAP::SOAPString
#   ccStreet - SOAP::SOAPString
#   ccZipCode - SOAP::SOAPString
#   creditCardProcessor - ActiveNetsuite::RecordRef
#   ccApproved - SOAP::SOAPBoolean
#   authCode - SOAP::SOAPString
#   ccAvsStreetMatch - ActiveNetsuite::AvsMatchCode
#   ccAvsZipMatch - ActiveNetsuite::AvsMatchCode
#   payPalTranId - SOAP::SOAPString
#   subTotal - SOAP::SOAPDouble
#   ccIsPurchaseCardBin - SOAP::SOAPBoolean
#   ignoreAvs - SOAP::SOAPBoolean
#   ccProcessAsPurchaseCard - SOAP::SOAPBoolean
#   itemCostDiscount - ActiveNetsuite::RecordRef
#   itemCostDiscRate - SOAP::SOAPString
#   itemCostDiscAmount - SOAP::SOAPDouble
#   itemCostTaxRate1 - SOAP::SOAPDouble
#   itemCostTaxRate2 - SOAP::SOAPDouble
#   itemCostDiscTaxable - SOAP::SOAPBoolean
#   itemCostTaxCode - ActiveNetsuite::RecordRef
#   itemCostDiscTax1Amt - SOAP::SOAPDouble
#   itemCostDiscPrint - SOAP::SOAPBoolean
#   expCostDiscount - ActiveNetsuite::RecordRef
#   expCostDiscRate - SOAP::SOAPString
#   expCostDiscAmount - SOAP::SOAPDouble
#   expCostDiscTaxable - SOAP::SOAPBoolean
#   expCostDiscprint - SOAP::SOAPBoolean
#   expCostTaxRate1 - SOAP::SOAPDouble
#   timeDiscount - ActiveNetsuite::RecordRef
#   expCostTaxCode - ActiveNetsuite::RecordRef
#   timeDiscRate - SOAP::SOAPString
#   expCostTaxRate2 - SOAP::SOAPDouble
#   expCostDiscTax1Amt - SOAP::SOAPDouble
#   timeDiscAmount - SOAP::SOAPDouble
#   timeDiscTaxable - SOAP::SOAPBoolean
#   timeDiscPrint - SOAP::SOAPBoolean
#   discountTotal - SOAP::SOAPDouble
#   taxTotal - SOAP::SOAPDouble
#   timeTaxRate1 - SOAP::SOAPDouble
#   altShippingCost - SOAP::SOAPDouble
#   timeTaxCode - ActiveNetsuite::RecordRef
#   altHandlingCost - SOAP::SOAPDouble
#   total - SOAP::SOAPDouble
#   timeDiscTax1Amt - SOAP::SOAPDouble
#   ccSecurityCode - SOAP::SOAPString
#   timeTaxRate2 - SOAP::SOAPDouble
#   ccSecurityCodeMatch - ActiveNetsuite::AvsMatchCode
#   chargeIt - SOAP::SOAPBoolean
#   debitCardIssueNo - SOAP::SOAPString
#   threeDStatusCode - SOAP::SOAPString
#   pnRefNum - SOAP::SOAPString
#   paypalAuthId - SOAP::SOAPString
#   status - SOAP::SOAPString
#   paypalProcess - SOAP::SOAPBoolean
#   job - ActiveNetsuite::RecordRef
#   billingSchedule - ActiveNetsuite::RecordRef
#   email - SOAP::SOAPString
#   tax2Total - SOAP::SOAPDouble
#   validFrom - SOAP::SOAPDateTime
#   vatRegNum - SOAP::SOAPString
#   giftCertApplied - SOAP::SOAPDouble
#   tranIsVsoeBundle - SOAP::SOAPBoolean
#   vsoeAutoCalc - SOAP::SOAPBoolean
#   syncPartnerTeams - SOAP::SOAPBoolean
#   salesTeamList - ActiveNetsuite::CashSaleSalesTeamList
#   partnersList - ActiveNetsuite::CashSalePartnersList
#   itemList - ActiveNetsuite::CashSaleItemList
#   itemCostList - ActiveNetsuite::CashSaleItemCostList
#   giftCertRedemptionList - ActiveNetsuite::GiftCertRedemptionList
#   expCostList - ActiveNetsuite::CashSaleExpCostList
#   timeList - ActiveNetsuite::CashSaleTimeList
#   shipGroupList - ActiveNetsuite::CashSaleShipGroupList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CashSale < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :entity
  attr_accessor :tranDate
  attr_accessor :tranId
  attr_accessor :source
  attr_accessor :postingPeriod
  attr_accessor :createdFrom
  attr_accessor :opportunity
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiary
  attr_accessor :salesRep
  attr_accessor :contribPct
  attr_accessor :partner
  attr_accessor :leadSource
  attr_accessor :startDate
  attr_accessor :endDate
  attr_accessor :otherRefNum
  attr_accessor :memo
  attr_accessor :salesEffectiveDate
  attr_accessor :excludeCommission
  attr_accessor :revRecSchedule
  attr_accessor :undepFunds
  attr_accessor :currency
  attr_accessor :account
  attr_accessor :revRecStartDate
  attr_accessor :revRecEndDate
  attr_accessor :totalCostEstimate
  attr_accessor :estGrossProfit
  attr_accessor :estGrossProfitPercent
  attr_accessor :exchangeRate
  attr_accessor :currencyName
  attr_accessor :promoCode
  attr_accessor :discountItem
  attr_accessor :discountRate
  attr_accessor :isTaxable
  attr_accessor :taxItem
  attr_accessor :taxRate
  attr_accessor :toBePrinted
  attr_accessor :toBeEmailed
  attr_accessor :toBeFaxed
  attr_accessor :fax
  attr_accessor :messageSel
  attr_accessor :message
  attr_accessor :transactionBillAddress
  attr_accessor :billAddressList
  attr_accessor :billAddress
  attr_accessor :transactionShipAddress
  attr_accessor :shipAddressList
  attr_accessor :shipAddress
  attr_accessor :fob
  attr_accessor :shipDate
  attr_accessor :shipMethod
  attr_accessor :shippingCost
  attr_accessor :shippingTax1Rate
  attr_accessor :shippingTax2Rate
  attr_accessor :shippingTaxCode
  attr_accessor :handlingTaxCode
  attr_accessor :handlingTax1Rate
  attr_accessor :handlingCost
  attr_accessor :handlingTax2Rate
  attr_accessor :linkedTrackingNumbers
  attr_accessor :trackingNumbers
  attr_accessor :salesGroup
  attr_accessor :revenueStatus
  attr_accessor :recognizedRevenue
  attr_accessor :deferredRevenue
  attr_accessor :revRecOnRevCommitment
  attr_accessor :syncSalesTeams
  attr_accessor :paymentMethod
  attr_accessor :payPalStatus
  attr_accessor :creditCard
  attr_accessor :ccNumber
  attr_accessor :ccExpireDate
  attr_accessor :ccName
  attr_accessor :ccStreet
  attr_accessor :ccZipCode
  attr_accessor :creditCardProcessor
  attr_accessor :ccApproved
  attr_accessor :authCode
  attr_accessor :ccAvsStreetMatch
  attr_accessor :ccAvsZipMatch
  attr_accessor :payPalTranId
  attr_accessor :subTotal
  attr_accessor :ccIsPurchaseCardBin
  attr_accessor :ignoreAvs
  attr_accessor :ccProcessAsPurchaseCard
  attr_accessor :itemCostDiscount
  attr_accessor :itemCostDiscRate
  attr_accessor :itemCostDiscAmount
  attr_accessor :itemCostTaxRate1
  attr_accessor :itemCostTaxRate2
  attr_accessor :itemCostDiscTaxable
  attr_accessor :itemCostTaxCode
  attr_accessor :itemCostDiscTax1Amt
  attr_accessor :itemCostDiscPrint
  attr_accessor :expCostDiscount
  attr_accessor :expCostDiscRate
  attr_accessor :expCostDiscAmount
  attr_accessor :expCostDiscTaxable
  attr_accessor :expCostDiscprint
  attr_accessor :expCostTaxRate1
  attr_accessor :timeDiscount
  attr_accessor :expCostTaxCode
  attr_accessor :timeDiscRate
  attr_accessor :expCostTaxRate2
  attr_accessor :expCostDiscTax1Amt
  attr_accessor :timeDiscAmount
  attr_accessor :timeDiscTaxable
  attr_accessor :timeDiscPrint
  attr_accessor :discountTotal
  attr_accessor :taxTotal
  attr_accessor :timeTaxRate1
  attr_accessor :altShippingCost
  attr_accessor :timeTaxCode
  attr_accessor :altHandlingCost
  attr_accessor :total
  attr_accessor :timeDiscTax1Amt
  attr_accessor :ccSecurityCode
  attr_accessor :timeTaxRate2
  attr_accessor :ccSecurityCodeMatch
  attr_accessor :chargeIt
  attr_accessor :debitCardIssueNo
  attr_accessor :threeDStatusCode
  attr_accessor :pnRefNum
  attr_accessor :paypalAuthId
  attr_accessor :status
  attr_accessor :paypalProcess
  attr_accessor :job
  attr_accessor :billingSchedule
  attr_accessor :email
  attr_accessor :tax2Total
  attr_accessor :validFrom
  attr_accessor :vatRegNum
  attr_accessor :giftCertApplied
  attr_accessor :tranIsVsoeBundle
  attr_accessor :vsoeAutoCalc
  attr_accessor :syncPartnerTeams
  attr_accessor :salesTeamList
  attr_accessor :partnersList
  attr_accessor :itemList
  attr_accessor :itemCostList
  attr_accessor :giftCertRedemptionList
  attr_accessor :expCostList
  attr_accessor :timeList
  attr_accessor :shipGroupList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, entity = nil, tranDate = nil, tranId = nil, source = nil, postingPeriod = nil, createdFrom = nil, opportunity = nil, department = nil, v_class = nil, location = nil, subsidiary = nil, salesRep = nil, contribPct = nil, partner = nil, leadSource = nil, startDate = nil, endDate = nil, otherRefNum = nil, memo = nil, salesEffectiveDate = nil, excludeCommission = nil, revRecSchedule = nil, undepFunds = nil, currency = nil, account = nil, revRecStartDate = nil, revRecEndDate = nil, totalCostEstimate = nil, estGrossProfit = nil, estGrossProfitPercent = nil, exchangeRate = nil, currencyName = nil, promoCode = nil, discountItem = nil, discountRate = nil, isTaxable = nil, taxItem = nil, taxRate = nil, toBePrinted = nil, toBeEmailed = nil, toBeFaxed = nil, fax = nil, messageSel = nil, message = nil, transactionBillAddress = nil, billAddressList = nil, billAddress = nil, transactionShipAddress = nil, shipAddressList = nil, shipAddress = nil, fob = nil, shipDate = nil, shipMethod = nil, shippingCost = nil, shippingTax1Rate = nil, shippingTax2Rate = nil, shippingTaxCode = nil, handlingTaxCode = nil, handlingTax1Rate = nil, handlingCost = nil, handlingTax2Rate = nil, linkedTrackingNumbers = nil, trackingNumbers = nil, salesGroup = nil, revenueStatus = nil, recognizedRevenue = nil, deferredRevenue = nil, revRecOnRevCommitment = nil, syncSalesTeams = nil, paymentMethod = nil, payPalStatus = nil, creditCard = nil, ccNumber = nil, ccExpireDate = nil, ccName = nil, ccStreet = nil, ccZipCode = nil, creditCardProcessor = nil, ccApproved = nil, authCode = nil, ccAvsStreetMatch = nil, ccAvsZipMatch = nil, payPalTranId = nil, subTotal = nil, ccIsPurchaseCardBin = nil, ignoreAvs = nil, ccProcessAsPurchaseCard = nil, itemCostDiscount = nil, itemCostDiscRate = nil, itemCostDiscAmount = nil, itemCostTaxRate1 = nil, itemCostTaxRate2 = nil, itemCostDiscTaxable = nil, itemCostTaxCode = nil, itemCostDiscTax1Amt = nil, itemCostDiscPrint = nil, expCostDiscount = nil, expCostDiscRate = nil, expCostDiscAmount = nil, expCostDiscTaxable = nil, expCostDiscprint = nil, expCostTaxRate1 = nil, timeDiscount = nil, expCostTaxCode = nil, timeDiscRate = nil, expCostTaxRate2 = nil, expCostDiscTax1Amt = nil, timeDiscAmount = nil, timeDiscTaxable = nil, timeDiscPrint = nil, discountTotal = nil, taxTotal = nil, timeTaxRate1 = nil, altShippingCost = nil, timeTaxCode = nil, altHandlingCost = nil, total = nil, timeDiscTax1Amt = nil, ccSecurityCode = nil, timeTaxRate2 = nil, ccSecurityCodeMatch = nil, chargeIt = nil, debitCardIssueNo = nil, threeDStatusCode = nil, pnRefNum = nil, paypalAuthId = nil, status = nil, paypalProcess = nil, job = nil, billingSchedule = nil, email = nil, tax2Total = nil, validFrom = nil, vatRegNum = nil, giftCertApplied = nil, tranIsVsoeBundle = nil, vsoeAutoCalc = nil, syncPartnerTeams = nil, salesTeamList = nil, partnersList = nil, itemList = nil, itemCostList = nil, giftCertRedemptionList = nil, expCostList = nil, timeList = nil, shipGroupList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @entity = entity
    @tranDate = tranDate
    @tranId = tranId
    @source = source
    @postingPeriod = postingPeriod
    @createdFrom = createdFrom
    @opportunity = opportunity
    @department = department
    @v_class = v_class
    @location = location
    @subsidiary = subsidiary
    @salesRep = salesRep
    @contribPct = contribPct
    @partner = partner
    @leadSource = leadSource
    @startDate = startDate
    @endDate = endDate
    @otherRefNum = otherRefNum
    @memo = memo
    @salesEffectiveDate = salesEffectiveDate
    @excludeCommission = excludeCommission
    @revRecSchedule = revRecSchedule
    @undepFunds = undepFunds
    @currency = currency
    @account = account
    @revRecStartDate = revRecStartDate
    @revRecEndDate = revRecEndDate
    @totalCostEstimate = totalCostEstimate
    @estGrossProfit = estGrossProfit
    @estGrossProfitPercent = estGrossProfitPercent
    @exchangeRate = exchangeRate
    @currencyName = currencyName
    @promoCode = promoCode
    @discountItem = discountItem
    @discountRate = discountRate
    @isTaxable = isTaxable
    @taxItem = taxItem
    @taxRate = taxRate
    @toBePrinted = toBePrinted
    @toBeEmailed = toBeEmailed
    @toBeFaxed = toBeFaxed
    @fax = fax
    @messageSel = messageSel
    @message = message
    @transactionBillAddress = transactionBillAddress
    @billAddressList = billAddressList
    @billAddress = billAddress
    @transactionShipAddress = transactionShipAddress
    @shipAddressList = shipAddressList
    @shipAddress = shipAddress
    @fob = fob
    @shipDate = shipDate
    @shipMethod = shipMethod
    @shippingCost = shippingCost
    @shippingTax1Rate = shippingTax1Rate
    @shippingTax2Rate = shippingTax2Rate
    @shippingTaxCode = shippingTaxCode
    @handlingTaxCode = handlingTaxCode
    @handlingTax1Rate = handlingTax1Rate
    @handlingCost = handlingCost
    @handlingTax2Rate = handlingTax2Rate
    @linkedTrackingNumbers = linkedTrackingNumbers
    @trackingNumbers = trackingNumbers
    @salesGroup = salesGroup
    @revenueStatus = revenueStatus
    @recognizedRevenue = recognizedRevenue
    @deferredRevenue = deferredRevenue
    @revRecOnRevCommitment = revRecOnRevCommitment
    @syncSalesTeams = syncSalesTeams
    @paymentMethod = paymentMethod
    @payPalStatus = payPalStatus
    @creditCard = creditCard
    @ccNumber = ccNumber
    @ccExpireDate = ccExpireDate
    @ccName = ccName
    @ccStreet = ccStreet
    @ccZipCode = ccZipCode
    @creditCardProcessor = creditCardProcessor
    @ccApproved = ccApproved
    @authCode = authCode
    @ccAvsStreetMatch = ccAvsStreetMatch
    @ccAvsZipMatch = ccAvsZipMatch
    @payPalTranId = payPalTranId
    @subTotal = subTotal
    @ccIsPurchaseCardBin = ccIsPurchaseCardBin
    @ignoreAvs = ignoreAvs
    @ccProcessAsPurchaseCard = ccProcessAsPurchaseCard
    @itemCostDiscount = itemCostDiscount
    @itemCostDiscRate = itemCostDiscRate
    @itemCostDiscAmount = itemCostDiscAmount
    @itemCostTaxRate1 = itemCostTaxRate1
    @itemCostTaxRate2 = itemCostTaxRate2
    @itemCostDiscTaxable = itemCostDiscTaxable
    @itemCostTaxCode = itemCostTaxCode
    @itemCostDiscTax1Amt = itemCostDiscTax1Amt
    @itemCostDiscPrint = itemCostDiscPrint
    @expCostDiscount = expCostDiscount
    @expCostDiscRate = expCostDiscRate
    @expCostDiscAmount = expCostDiscAmount
    @expCostDiscTaxable = expCostDiscTaxable
    @expCostDiscprint = expCostDiscprint
    @expCostTaxRate1 = expCostTaxRate1
    @timeDiscount = timeDiscount
    @expCostTaxCode = expCostTaxCode
    @timeDiscRate = timeDiscRate
    @expCostTaxRate2 = expCostTaxRate2
    @expCostDiscTax1Amt = expCostDiscTax1Amt
    @timeDiscAmount = timeDiscAmount
    @timeDiscTaxable = timeDiscTaxable
    @timeDiscPrint = timeDiscPrint
    @discountTotal = discountTotal
    @taxTotal = taxTotal
    @timeTaxRate1 = timeTaxRate1
    @altShippingCost = altShippingCost
    @timeTaxCode = timeTaxCode
    @altHandlingCost = altHandlingCost
    @total = total
    @timeDiscTax1Amt = timeDiscTax1Amt
    @ccSecurityCode = ccSecurityCode
    @timeTaxRate2 = timeTaxRate2
    @ccSecurityCodeMatch = ccSecurityCodeMatch
    @chargeIt = chargeIt
    @debitCardIssueNo = debitCardIssueNo
    @threeDStatusCode = threeDStatusCode
    @pnRefNum = pnRefNum
    @paypalAuthId = paypalAuthId
    @status = status
    @paypalProcess = paypalProcess
    @job = job
    @billingSchedule = billingSchedule
    @email = email
    @tax2Total = tax2Total
    @validFrom = validFrom
    @vatRegNum = vatRegNum
    @giftCertApplied = giftCertApplied
    @tranIsVsoeBundle = tranIsVsoeBundle
    @vsoeAutoCalc = vsoeAutoCalc
    @syncPartnerTeams = syncPartnerTeams
    @salesTeamList = salesTeamList
    @partnersList = partnersList
    @itemList = itemList
    @itemCostList = itemCostList
    @giftCertRedemptionList = giftCertRedemptionList
    @expCostList = expCostList
    @timeList = timeList
    @shipGroupList = shipGroupList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}Estimate
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   entity - ActiveNetsuite::RecordRef
#   job - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   tranId - SOAP::SOAPString
#   source - SOAP::SOAPString
#   customForm - ActiveNetsuite::RecordRef
#   currency - ActiveNetsuite::RecordRef
#   title - SOAP::SOAPString
#   entityStatus - ActiveNetsuite::RecordRef
#   probability - SOAP::SOAPDouble
#   includeInForecast - SOAP::SOAPBoolean
#   forecastType - ActiveNetsuite::RecordRef
#   opportunity - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   terms - ActiveNetsuite::RecordRef
#   dueDate - SOAP::SOAPDateTime
#   location - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   billingSchedule - ActiveNetsuite::RecordRef
#   status - SOAP::SOAPString
#   salesRep - ActiveNetsuite::RecordRef
#   partner - ActiveNetsuite::RecordRef
#   contribPct - SOAP::SOAPString
#   leadSource - ActiveNetsuite::RecordRef
#   expectedCloseDate - SOAP::SOAPDateTime
#   otherRefNum - SOAP::SOAPString
#   memo - SOAP::SOAPString
#   endDate - SOAP::SOAPDateTime
#   startDate - SOAP::SOAPDateTime
#   totalCostEstimate - SOAP::SOAPDouble
#   estGrossProfit - SOAP::SOAPDouble
#   estGrossProfitPercent - SOAP::SOAPDouble
#   createdFrom - ActiveNetsuite::RecordRef
#   exchangeRate - SOAP::SOAPDouble
#   currencyName - SOAP::SOAPString
#   promoCode - ActiveNetsuite::RecordRef
#   discountItem - ActiveNetsuite::RecordRef
#   discountRate - SOAP::SOAPString
#   isTaxable - SOAP::SOAPBoolean
#   taxItem - ActiveNetsuite::RecordRef
#   taxRate - SOAP::SOAPDouble
#   vatRegNum - SOAP::SOAPString
#   toBePrinted - SOAP::SOAPBoolean
#   toBeEmailed - SOAP::SOAPBoolean
#   email - SOAP::SOAPString
#   toBeFaxed - SOAP::SOAPBoolean
#   fax - SOAP::SOAPString
#   visibleToCustomer - SOAP::SOAPBoolean
#   messageSel - ActiveNetsuite::RecordRef
#   message - SOAP::SOAPString
#   transactionBillAddress - ActiveNetsuite::BillAddress
#   billAddressList - ActiveNetsuite::RecordRef
#   billAddress - SOAP::SOAPString
#   transactionShipAddress - ActiveNetsuite::ShipAddress
#   shipAddressList - ActiveNetsuite::RecordRef
#   shipAddress - SOAP::SOAPString
#   fob - SOAP::SOAPString
#   shipDate - SOAP::SOAPDateTime
#   shipMethod - ActiveNetsuite::RecordRef
#   shippingCost - SOAP::SOAPDouble
#   shippingTax1Rate - SOAP::SOAPDouble
#   shippingTaxCode - ActiveNetsuite::RecordRef
#   shippingTax2Rate - SOAP::SOAPString
#   handlingTaxCode - ActiveNetsuite::RecordRef
#   handlingTax1Rate - SOAP::SOAPDouble
#   handlingCost - SOAP::SOAPDouble
#   trackingNumbers - SOAP::SOAPString
#   handlingTax2Rate - SOAP::SOAPString
#   linkedTrackingNumbers - SOAP::SOAPString
#   salesGroup - ActiveNetsuite::RecordRef
#   syncSalesTeams - SOAP::SOAPBoolean
#   altSalesTotal - SOAP::SOAPDouble
#   subTotal - SOAP::SOAPDouble
#   discountTotal - SOAP::SOAPDouble
#   taxTotal - SOAP::SOAPDouble
#   altShippingCost - SOAP::SOAPDouble
#   altHandlingCost - SOAP::SOAPDouble
#   total - SOAP::SOAPDouble
#   tax2Total - SOAP::SOAPDouble
#   itemList - ActiveNetsuite::EstimateItemList
#   salesTeamList - ActiveNetsuite::EstimateSalesTeamList
#   syncPartnerTeams - SOAP::SOAPBoolean
#   partnersList - ActiveNetsuite::EstimatePartnersList
#   shipGroupList - ActiveNetsuite::EstimateShipGroupList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Estimate < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :entity
  attr_accessor :job
  attr_accessor :tranDate
  attr_accessor :tranId
  attr_accessor :source
  attr_accessor :customForm
  attr_accessor :currency
  attr_accessor :title
  attr_accessor :entityStatus
  attr_accessor :probability
  attr_accessor :includeInForecast
  attr_accessor :forecastType
  attr_accessor :opportunity
  attr_accessor :department
  attr_accessor :terms
  attr_accessor :dueDate
  attr_accessor :location
  attr_accessor :subsidiary
  attr_accessor :billingSchedule
  attr_accessor :status
  attr_accessor :salesRep
  attr_accessor :partner
  attr_accessor :contribPct
  attr_accessor :leadSource
  attr_accessor :expectedCloseDate
  attr_accessor :otherRefNum
  attr_accessor :memo
  attr_accessor :endDate
  attr_accessor :startDate
  attr_accessor :totalCostEstimate
  attr_accessor :estGrossProfit
  attr_accessor :estGrossProfitPercent
  attr_accessor :createdFrom
  attr_accessor :exchangeRate
  attr_accessor :currencyName
  attr_accessor :promoCode
  attr_accessor :discountItem
  attr_accessor :discountRate
  attr_accessor :isTaxable
  attr_accessor :taxItem
  attr_accessor :taxRate
  attr_accessor :vatRegNum
  attr_accessor :toBePrinted
  attr_accessor :toBeEmailed
  attr_accessor :email
  attr_accessor :toBeFaxed
  attr_accessor :fax
  attr_accessor :visibleToCustomer
  attr_accessor :messageSel
  attr_accessor :message
  attr_accessor :transactionBillAddress
  attr_accessor :billAddressList
  attr_accessor :billAddress
  attr_accessor :transactionShipAddress
  attr_accessor :shipAddressList
  attr_accessor :shipAddress
  attr_accessor :fob
  attr_accessor :shipDate
  attr_accessor :shipMethod
  attr_accessor :shippingCost
  attr_accessor :shippingTax1Rate
  attr_accessor :shippingTaxCode
  attr_accessor :shippingTax2Rate
  attr_accessor :handlingTaxCode
  attr_accessor :handlingTax1Rate
  attr_accessor :handlingCost
  attr_accessor :trackingNumbers
  attr_accessor :handlingTax2Rate
  attr_accessor :linkedTrackingNumbers
  attr_accessor :salesGroup
  attr_accessor :syncSalesTeams
  attr_accessor :altSalesTotal
  attr_accessor :subTotal
  attr_accessor :discountTotal
  attr_accessor :taxTotal
  attr_accessor :altShippingCost
  attr_accessor :altHandlingCost
  attr_accessor :total
  attr_accessor :tax2Total
  attr_accessor :itemList
  attr_accessor :salesTeamList
  attr_accessor :syncPartnerTeams
  attr_accessor :partnersList
  attr_accessor :shipGroupList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, entity = nil, job = nil, tranDate = nil, tranId = nil, source = nil, customForm = nil, currency = nil, title = nil, entityStatus = nil, probability = nil, includeInForecast = nil, forecastType = nil, opportunity = nil, department = nil, v_class = nil, terms = nil, dueDate = nil, location = nil, subsidiary = nil, billingSchedule = nil, status = nil, salesRep = nil, partner = nil, contribPct = nil, leadSource = nil, expectedCloseDate = nil, otherRefNum = nil, memo = nil, endDate = nil, startDate = nil, totalCostEstimate = nil, estGrossProfit = nil, estGrossProfitPercent = nil, createdFrom = nil, exchangeRate = nil, currencyName = nil, promoCode = nil, discountItem = nil, discountRate = nil, isTaxable = nil, taxItem = nil, taxRate = nil, vatRegNum = nil, toBePrinted = nil, toBeEmailed = nil, email = nil, toBeFaxed = nil, fax = nil, visibleToCustomer = nil, messageSel = nil, message = nil, transactionBillAddress = nil, billAddressList = nil, billAddress = nil, transactionShipAddress = nil, shipAddressList = nil, shipAddress = nil, fob = nil, shipDate = nil, shipMethod = nil, shippingCost = nil, shippingTax1Rate = nil, shippingTaxCode = nil, shippingTax2Rate = nil, handlingTaxCode = nil, handlingTax1Rate = nil, handlingCost = nil, trackingNumbers = nil, handlingTax2Rate = nil, linkedTrackingNumbers = nil, salesGroup = nil, syncSalesTeams = nil, altSalesTotal = nil, subTotal = nil, discountTotal = nil, taxTotal = nil, altShippingCost = nil, altHandlingCost = nil, total = nil, tax2Total = nil, itemList = nil, salesTeamList = nil, syncPartnerTeams = nil, partnersList = nil, shipGroupList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @entity = entity
    @job = job
    @tranDate = tranDate
    @tranId = tranId
    @source = source
    @customForm = customForm
    @currency = currency
    @title = title
    @entityStatus = entityStatus
    @probability = probability
    @includeInForecast = includeInForecast
    @forecastType = forecastType
    @opportunity = opportunity
    @department = department
    @v_class = v_class
    @terms = terms
    @dueDate = dueDate
    @location = location
    @subsidiary = subsidiary
    @billingSchedule = billingSchedule
    @status = status
    @salesRep = salesRep
    @partner = partner
    @contribPct = contribPct
    @leadSource = leadSource
    @expectedCloseDate = expectedCloseDate
    @otherRefNum = otherRefNum
    @memo = memo
    @endDate = endDate
    @startDate = startDate
    @totalCostEstimate = totalCostEstimate
    @estGrossProfit = estGrossProfit
    @estGrossProfitPercent = estGrossProfitPercent
    @createdFrom = createdFrom
    @exchangeRate = exchangeRate
    @currencyName = currencyName
    @promoCode = promoCode
    @discountItem = discountItem
    @discountRate = discountRate
    @isTaxable = isTaxable
    @taxItem = taxItem
    @taxRate = taxRate
    @vatRegNum = vatRegNum
    @toBePrinted = toBePrinted
    @toBeEmailed = toBeEmailed
    @email = email
    @toBeFaxed = toBeFaxed
    @fax = fax
    @visibleToCustomer = visibleToCustomer
    @messageSel = messageSel
    @message = message
    @transactionBillAddress = transactionBillAddress
    @billAddressList = billAddressList
    @billAddress = billAddress
    @transactionShipAddress = transactionShipAddress
    @shipAddressList = shipAddressList
    @shipAddress = shipAddress
    @fob = fob
    @shipDate = shipDate
    @shipMethod = shipMethod
    @shippingCost = shippingCost
    @shippingTax1Rate = shippingTax1Rate
    @shippingTaxCode = shippingTaxCode
    @shippingTax2Rate = shippingTax2Rate
    @handlingTaxCode = handlingTaxCode
    @handlingTax1Rate = handlingTax1Rate
    @handlingCost = handlingCost
    @trackingNumbers = trackingNumbers
    @handlingTax2Rate = handlingTax2Rate
    @linkedTrackingNumbers = linkedTrackingNumbers
    @salesGroup = salesGroup
    @syncSalesTeams = syncSalesTeams
    @altSalesTotal = altSalesTotal
    @subTotal = subTotal
    @discountTotal = discountTotal
    @taxTotal = taxTotal
    @altShippingCost = altShippingCost
    @altHandlingCost = altHandlingCost
    @total = total
    @tax2Total = tax2Total
    @itemList = itemList
    @salesTeamList = salesTeamList
    @syncPartnerTeams = syncPartnerTeams
    @partnersList = partnersList
    @shipGroupList = shipGroupList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorBill
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   account - ActiveNetsuite::RecordRef
#   entity - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   approvalStatus - ActiveNetsuite::RecordRef
#   nextApprover - ActiveNetsuite::RecordRef
#   vatRegNum - SOAP::SOAPString
#   postingPeriod - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   currencyName - SOAP::SOAPString
#   exchangeRate - SOAP::SOAPDouble
#   terms - ActiveNetsuite::RecordRef
#   dueDate - SOAP::SOAPDateTime
#   discountDate - SOAP::SOAPDateTime
#   tranId - SOAP::SOAPString
#   userTotal - SOAP::SOAPDouble
#   discountAmount - SOAP::SOAPDouble
#   taxTotal - SOAP::SOAPDouble
#   memo - SOAP::SOAPString
#   tax2Total - SOAP::SOAPDouble
#   creditLimit - SOAP::SOAPDouble
#   currency - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   status - SOAP::SOAPString
#   landedCostMethod - ActiveNetsuite::LandedCostMethod
#   landedCostPerLine - SOAP::SOAPBoolean
#   expenseList - ActiveNetsuite::VendorBillExpenseList
#   itemList - ActiveNetsuite::VendorBillItemList
#   landedCostsList - ActiveNetsuite::PurchLandedCostList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   purchaseOrderList - ActiveNetsuite::RecordRefList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class VendorBill < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :account
  attr_accessor :entity
  attr_accessor :subsidiary
  attr_accessor :approvalStatus
  attr_accessor :nextApprover
  attr_accessor :vatRegNum
  attr_accessor :postingPeriod
  attr_accessor :tranDate
  attr_accessor :currencyName
  attr_accessor :exchangeRate
  attr_accessor :terms
  attr_accessor :dueDate
  attr_accessor :discountDate
  attr_accessor :tranId
  attr_accessor :userTotal
  attr_accessor :discountAmount
  attr_accessor :taxTotal
  attr_accessor :memo
  attr_accessor :tax2Total
  attr_accessor :creditLimit
  attr_accessor :currency
  attr_accessor :department
  attr_accessor :location
  attr_accessor :status
  attr_accessor :landedCostMethod
  attr_accessor :landedCostPerLine
  attr_accessor :expenseList
  attr_accessor :itemList
  attr_accessor :landedCostsList
  attr_accessor :customFieldList
  attr_accessor :purchaseOrderList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, account = nil, entity = nil, subsidiary = nil, approvalStatus = nil, nextApprover = nil, vatRegNum = nil, postingPeriod = nil, tranDate = nil, currencyName = nil, exchangeRate = nil, terms = nil, dueDate = nil, discountDate = nil, tranId = nil, userTotal = nil, discountAmount = nil, taxTotal = nil, memo = nil, tax2Total = nil, creditLimit = nil, currency = nil, v_class = nil, department = nil, location = nil, status = nil, landedCostMethod = nil, landedCostPerLine = nil, expenseList = nil, itemList = nil, landedCostsList = nil, customFieldList = nil, purchaseOrderList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @account = account
    @entity = entity
    @subsidiary = subsidiary
    @approvalStatus = approvalStatus
    @nextApprover = nextApprover
    @vatRegNum = vatRegNum
    @postingPeriod = postingPeriod
    @tranDate = tranDate
    @currencyName = currencyName
    @exchangeRate = exchangeRate
    @terms = terms
    @dueDate = dueDate
    @discountDate = discountDate
    @tranId = tranId
    @userTotal = userTotal
    @discountAmount = discountAmount
    @taxTotal = taxTotal
    @memo = memo
    @tax2Total = tax2Total
    @creditLimit = creditLimit
    @currency = currency
    @v_class = v_class
    @department = department
    @location = location
    @status = status
    @landedCostMethod = landedCostMethod
    @landedCostPerLine = landedCostPerLine
    @expenseList = expenseList
    @itemList = itemList
    @landedCostsList = landedCostsList
    @customFieldList = customFieldList
    @purchaseOrderList = purchaseOrderList
    @__xmlattr = {}
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}PurchaseOrder
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   entity - ActiveNetsuite::RecordRef
#   vatRegNum - SOAP::SOAPString
#   employee - ActiveNetsuite::RecordRef
#   supervisorApproval - SOAP::SOAPBoolean
#   tranDate - SOAP::SOAPDateTime
#   tranId - SOAP::SOAPString
#   createdFrom - ActiveNetsuite::RecordRef
#   terms - ActiveNetsuite::RecordRef
#   dueDate - SOAP::SOAPDateTime
#   otherRefNum - SOAP::SOAPString
#   memo - SOAP::SOAPString
#   approvalStatus - ActiveNetsuite::RecordRef
#   exchangeRate - SOAP::SOAPDouble
#   nextApprover - ActiveNetsuite::RecordRef
#   source - SOAP::SOAPString
#   currencyName - SOAP::SOAPString
#   toBePrinted - SOAP::SOAPBoolean
#   toBeEmailed - SOAP::SOAPBoolean
#   email - SOAP::SOAPString
#   toBeFaxed - SOAP::SOAPBoolean
#   fax - SOAP::SOAPString
#   message - SOAP::SOAPString
#   transactionBillAddress - ActiveNetsuite::BillAddress
#   billAddressList - ActiveNetsuite::RecordRef
#   billAddress - SOAP::SOAPString
#   currency - ActiveNetsuite::RecordRef
#   shipTo - ActiveNetsuite::RecordRef
#   subTotal - SOAP::SOAPDouble
#   taxTotal - SOAP::SOAPDouble
#   tax2Total - SOAP::SOAPDouble
#   transactionShipAddress - ActiveNetsuite::ShipAddress
#   shipAddressList - ActiveNetsuite::RecordRef
#   shipAddress - SOAP::SOAPString
#   fob - SOAP::SOAPString
#   shipDate - SOAP::SOAPDateTime
#   shipMethod - ActiveNetsuite::RecordRef
#   trackingNumbers - SOAP::SOAPString
#   linkedTrackingNumbers - SOAP::SOAPString
#   total - SOAP::SOAPDouble
#   m_class - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   intercoTransaction - ActiveNetsuite::RecordRef
#   intercoStatus - ActiveNetsuite::IntercoStatus
#   status - SOAP::SOAPString
#   orderStatus - ActiveNetsuite::PurchaseOrderOrderStatus
#   itemList - ActiveNetsuite::PurchaseOrderItemList
#   expenseList - ActiveNetsuite::PurchaseOrderExpenseList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class PurchaseOrder < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :entity
  attr_accessor :vatRegNum
  attr_accessor :employee
  attr_accessor :supervisorApproval
  attr_accessor :tranDate
  attr_accessor :tranId
  attr_accessor :createdFrom
  attr_accessor :terms
  attr_accessor :dueDate
  attr_accessor :otherRefNum
  attr_accessor :memo
  attr_accessor :approvalStatus
  attr_accessor :exchangeRate
  attr_accessor :nextApprover
  attr_accessor :source
  attr_accessor :currencyName
  attr_accessor :toBePrinted
  attr_accessor :toBeEmailed
  attr_accessor :email
  attr_accessor :toBeFaxed
  attr_accessor :fax
  attr_accessor :message
  attr_accessor :transactionBillAddress
  attr_accessor :billAddressList
  attr_accessor :billAddress
  attr_accessor :currency
  attr_accessor :shipTo
  attr_accessor :subTotal
  attr_accessor :taxTotal
  attr_accessor :tax2Total
  attr_accessor :transactionShipAddress
  attr_accessor :shipAddressList
  attr_accessor :shipAddress
  attr_accessor :fob
  attr_accessor :shipDate
  attr_accessor :shipMethod
  attr_accessor :trackingNumbers
  attr_accessor :linkedTrackingNumbers
  attr_accessor :total
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiary
  attr_accessor :intercoTransaction
  attr_accessor :intercoStatus
  attr_accessor :status
  attr_accessor :orderStatus
  attr_accessor :itemList
  attr_accessor :expenseList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, entity = nil, vatRegNum = nil, employee = nil, supervisorApproval = nil, tranDate = nil, tranId = nil, createdFrom = nil, terms = nil, dueDate = nil, otherRefNum = nil, memo = nil, approvalStatus = nil, exchangeRate = nil, nextApprover = nil, source = nil, currencyName = nil, toBePrinted = nil, toBeEmailed = nil, email = nil, toBeFaxed = nil, fax = nil, message = nil, transactionBillAddress = nil, billAddressList = nil, billAddress = nil, currency = nil, shipTo = nil, subTotal = nil, taxTotal = nil, tax2Total = nil, transactionShipAddress = nil, shipAddressList = nil, shipAddress = nil, fob = nil, shipDate = nil, shipMethod = nil, trackingNumbers = nil, linkedTrackingNumbers = nil, total = nil, v_class = nil, department = nil, location = nil, subsidiary = nil, intercoTransaction = nil, intercoStatus = nil, status = nil, orderStatus = nil, itemList = nil, expenseList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @entity = entity
    @vatRegNum = vatRegNum
    @employee = employee
    @supervisorApproval = supervisorApproval
    @tranDate = tranDate
    @tranId = tranId
    @createdFrom = createdFrom
    @terms = terms
    @dueDate = dueDate
    @otherRefNum = otherRefNum
    @memo = memo
    @approvalStatus = approvalStatus
    @exchangeRate = exchangeRate
    @nextApprover = nextApprover
    @source = source
    @currencyName = currencyName
    @toBePrinted = toBePrinted
    @toBeEmailed = toBeEmailed
    @email = email
    @toBeFaxed = toBeFaxed
    @fax = fax
    @message = message
    @transactionBillAddress = transactionBillAddress
    @billAddressList = billAddressList
    @billAddress = billAddress
    @currency = currency
    @shipTo = shipTo
    @subTotal = subTotal
    @taxTotal = taxTotal
    @tax2Total = tax2Total
    @transactionShipAddress = transactionShipAddress
    @shipAddressList = shipAddressList
    @shipAddress = shipAddress
    @fob = fob
    @shipDate = shipDate
    @shipMethod = shipMethod
    @trackingNumbers = trackingNumbers
    @linkedTrackingNumbers = linkedTrackingNumbers
    @total = total
    @v_class = v_class
    @department = department
    @location = location
    @subsidiary = subsidiary
    @intercoTransaction = intercoTransaction
    @intercoStatus = intercoStatus
    @status = status
    @orderStatus = orderStatus
    @itemList = itemList
    @expenseList = expenseList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}ItemReceipt
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   exchangeRate - SOAP::SOAPDouble
#   entity - ActiveNetsuite::RecordRef
#   currencyName - SOAP::SOAPString
#   subsidiary - ActiveNetsuite::RecordRef
#   createdFrom - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   partner - ActiveNetsuite::RecordRef
#   postingPeriod - ActiveNetsuite::RecordRef
#   tranId - SOAP::SOAPString
#   memo - SOAP::SOAPString
#   currency - ActiveNetsuite::RecordRef
#   landedCostMethod - ActiveNetsuite::LandedCostMethod
#   landedCostPerLine - SOAP::SOAPBoolean
#   itemList - ActiveNetsuite::ItemReceiptItemList
#   expenseList - ActiveNetsuite::ItemReceiptExpenseList
#   landedCostsList - ActiveNetsuite::PurchLandedCostList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class ItemReceipt < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :exchangeRate
  attr_accessor :entity
  attr_accessor :currencyName
  attr_accessor :subsidiary
  attr_accessor :createdFrom
  attr_accessor :tranDate
  attr_accessor :partner
  attr_accessor :postingPeriod
  attr_accessor :tranId
  attr_accessor :memo
  attr_accessor :currency
  attr_accessor :landedCostMethod
  attr_accessor :landedCostPerLine
  attr_accessor :itemList
  attr_accessor :expenseList
  attr_accessor :landedCostsList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, exchangeRate = nil, entity = nil, currencyName = nil, subsidiary = nil, createdFrom = nil, tranDate = nil, partner = nil, postingPeriod = nil, tranId = nil, memo = nil, currency = nil, landedCostMethod = nil, landedCostPerLine = nil, itemList = nil, expenseList = nil, landedCostsList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @exchangeRate = exchangeRate
    @entity = entity
    @currencyName = currencyName
    @subsidiary = subsidiary
    @createdFrom = createdFrom
    @tranDate = tranDate
    @partner = partner
    @postingPeriod = postingPeriod
    @tranId = tranId
    @memo = memo
    @currency = currency
    @landedCostMethod = landedCostMethod
    @landedCostPerLine = landedCostPerLine
    @itemList = itemList
    @expenseList = expenseList
    @landedCostsList = landedCostsList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorPayment
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   account - ActiveNetsuite::RecordRef
#   balance - SOAP::SOAPDouble
#   apAcct - ActiveNetsuite::RecordRef
#   entity - ActiveNetsuite::RecordRef
#   address - SOAP::SOAPString
#   tranDate - SOAP::SOAPDateTime
#   voidJournal - ActiveNetsuite::RecordRef
#   postingPeriod - ActiveNetsuite::RecordRef
#   currencyName - SOAP::SOAPString
#   exchangeRate - SOAP::SOAPDouble
#   toAch - SOAP::SOAPBoolean
#   toBePrinted - SOAP::SOAPBoolean
#   printVoucher - SOAP::SOAPBoolean
#   tranId - SOAP::SOAPString
#   total - SOAP::SOAPDouble
#   currency - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   subsidiary - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   status - SOAP::SOAPString
#   applyList - ActiveNetsuite::VendorPaymentApplyList
#   creditList - ActiveNetsuite::VendorPaymentCreditList
#   billPay - SOAP::SOAPBoolean
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class VendorPayment < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :account
  attr_accessor :balance
  attr_accessor :apAcct
  attr_accessor :entity
  attr_accessor :address
  attr_accessor :tranDate
  attr_accessor :voidJournal
  attr_accessor :postingPeriod
  attr_accessor :currencyName
  attr_accessor :exchangeRate
  attr_accessor :toAch
  attr_accessor :toBePrinted
  attr_accessor :printVoucher
  attr_accessor :tranId
  attr_accessor :total
  attr_accessor :currency
  attr_accessor :department
  attr_accessor :memo
  attr_accessor :subsidiary
  attr_accessor :location
  attr_accessor :status
  attr_accessor :applyList
  attr_accessor :creditList
  attr_accessor :billPay
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, account = nil, balance = nil, apAcct = nil, entity = nil, address = nil, tranDate = nil, voidJournal = nil, postingPeriod = nil, currencyName = nil, exchangeRate = nil, toAch = nil, toBePrinted = nil, printVoucher = nil, tranId = nil, total = nil, currency = nil, department = nil, memo = nil, subsidiary = nil, v_class = nil, location = nil, status = nil, applyList = nil, creditList = nil, billPay = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @account = account
    @balance = balance
    @apAcct = apAcct
    @entity = entity
    @address = address
    @tranDate = tranDate
    @voidJournal = voidJournal
    @postingPeriod = postingPeriod
    @currencyName = currencyName
    @exchangeRate = exchangeRate
    @toAch = toAch
    @toBePrinted = toBePrinted
    @printVoucher = printVoucher
    @tranId = tranId
    @total = total
    @currency = currency
    @department = department
    @memo = memo
    @subsidiary = subsidiary
    @v_class = v_class
    @location = location
    @status = status
    @applyList = applyList
    @creditList = creditList
    @billPay = billPay
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorCredit
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   account - ActiveNetsuite::RecordRef
#   unApplied - SOAP::SOAPDouble
#   autoApply - SOAP::SOAPBoolean
#   applied - SOAP::SOAPDouble
#   tranId - SOAP::SOAPString
#   createdFrom - ActiveNetsuite::RecordRef
#   entity - ActiveNetsuite::RecordRef
#   total - SOAP::SOAPDouble
#   userTotal - SOAP::SOAPDouble
#   currency - ActiveNetsuite::RecordRef
#   currencyName - SOAP::SOAPString
#   tranDate - SOAP::SOAPDateTime
#   exchangeRate - SOAP::SOAPDouble
#   postingPeriod - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   expenseList - ActiveNetsuite::VendorCreditExpenseList
#   itemList - ActiveNetsuite::VendorCreditItemList
#   applyList - ActiveNetsuite::VendorCreditApplyList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class VendorCredit < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :account
  attr_accessor :unApplied
  attr_accessor :autoApply
  attr_accessor :applied
  attr_accessor :tranId
  attr_accessor :createdFrom
  attr_accessor :entity
  attr_accessor :total
  attr_accessor :userTotal
  attr_accessor :currency
  attr_accessor :currencyName
  attr_accessor :tranDate
  attr_accessor :exchangeRate
  attr_accessor :postingPeriod
  attr_accessor :memo
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiary
  attr_accessor :expenseList
  attr_accessor :itemList
  attr_accessor :applyList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, account = nil, unApplied = nil, autoApply = nil, applied = nil, tranId = nil, createdFrom = nil, entity = nil, total = nil, userTotal = nil, currency = nil, currencyName = nil, tranDate = nil, exchangeRate = nil, postingPeriod = nil, memo = nil, department = nil, v_class = nil, location = nil, subsidiary = nil, expenseList = nil, itemList = nil, applyList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @account = account
    @unApplied = unApplied
    @autoApply = autoApply
    @applied = applied
    @tranId = tranId
    @createdFrom = createdFrom
    @entity = entity
    @total = total
    @userTotal = userTotal
    @currency = currency
    @currencyName = currencyName
    @tranDate = tranDate
    @exchangeRate = exchangeRate
    @postingPeriod = postingPeriod
    @memo = memo
    @department = department
    @v_class = v_class
    @location = location
    @subsidiary = subsidiary
    @expenseList = expenseList
    @itemList = itemList
    @applyList = applyList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorReturnAuthorization
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   tranId - SOAP::SOAPString
#   createdFrom - ActiveNetsuite::RecordRef
#   entity - ActiveNetsuite::RecordRef
#   orderStatus - ActiveNetsuite::VendorReturnAuthorizationOrderStatus
#   tranDate - SOAP::SOAPDateTime
#   userTotal - SOAP::SOAPDouble
#   currency - ActiveNetsuite::RecordRef
#   currencyName - SOAP::SOAPString
#   memo - SOAP::SOAPString
#   exchangeRate - SOAP::SOAPDouble
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   intercoTransaction - ActiveNetsuite::RecordRef
#   intercoStatus - ActiveNetsuite::IntercoStatus
#   expenseList - ActiveNetsuite::VendorReturnAuthorizationExpenseList
#   itemList - ActiveNetsuite::VendorReturnAuthorizationItemList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class VendorReturnAuthorization < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :tranId
  attr_accessor :createdFrom
  attr_accessor :entity
  attr_accessor :orderStatus
  attr_accessor :tranDate
  attr_accessor :userTotal
  attr_accessor :currency
  attr_accessor :currencyName
  attr_accessor :memo
  attr_accessor :exchangeRate
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiary
  attr_accessor :intercoTransaction
  attr_accessor :intercoStatus
  attr_accessor :expenseList
  attr_accessor :itemList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, tranId = nil, createdFrom = nil, entity = nil, orderStatus = nil, tranDate = nil, userTotal = nil, currency = nil, currencyName = nil, memo = nil, exchangeRate = nil, department = nil, v_class = nil, location = nil, subsidiary = nil, intercoTransaction = nil, intercoStatus = nil, expenseList = nil, itemList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @tranId = tranId
    @createdFrom = createdFrom
    @entity = entity
    @orderStatus = orderStatus
    @tranDate = tranDate
    @userTotal = userTotal
    @currency = currency
    @currencyName = currencyName
    @memo = memo
    @exchangeRate = exchangeRate
    @department = department
    @v_class = v_class
    @location = location
    @subsidiary = subsidiary
    @intercoTransaction = intercoTransaction
    @intercoStatus = intercoStatus
    @expenseList = expenseList
    @itemList = itemList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CashRefund
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   entity - ActiveNetsuite::RecordRef
#   vatRegNum - SOAP::SOAPString
#   tranDate - SOAP::SOAPDateTime
#   tranId - SOAP::SOAPString
#   source - SOAP::SOAPString
#   createdFrom - ActiveNetsuite::RecordRef
#   postingPeriod - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   leadSource - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   salesRep - ActiveNetsuite::RecordRef
#   partner - ActiveNetsuite::RecordRef
#   contribPct - SOAP::SOAPString
#   otherRefNum - SOAP::SOAPString
#   memo - SOAP::SOAPString
#   salesEffectiveDate - SOAP::SOAPDateTime
#   refundCheck - SOAP::SOAPBoolean
#   toPrint2 - SOAP::SOAPBoolean
#   excludeCommission - SOAP::SOAPBoolean
#   totalCostEstimate - SOAP::SOAPDouble
#   estGrossProfit - SOAP::SOAPDouble
#   estGrossProfitPercent - SOAP::SOAPDouble
#   account - ActiveNetsuite::RecordRef
#   currency - ActiveNetsuite::RecordRef
#   exchangeRate - SOAP::SOAPDouble
#   currencyName - SOAP::SOAPString
#   promoCode - ActiveNetsuite::RecordRef
#   discountItem - ActiveNetsuite::RecordRef
#   discountRate - SOAP::SOAPString
#   isTaxable - SOAP::SOAPBoolean
#   taxItem - ActiveNetsuite::RecordRef
#   taxRate - SOAP::SOAPDouble
#   toBePrinted - SOAP::SOAPBoolean
#   toBeEmailed - SOAP::SOAPBoolean
#   email - SOAP::SOAPString
#   toBeFaxed - SOAP::SOAPBoolean
#   fax - SOAP::SOAPString
#   messageSel - ActiveNetsuite::RecordRef
#   message - SOAP::SOAPString
#   transactionBillAddress - ActiveNetsuite::BillAddress
#   billAddressList - ActiveNetsuite::RecordRef
#   billAddress - SOAP::SOAPString
#   shipMethod - ActiveNetsuite::RecordRef
#   shippingTaxCode - ActiveNetsuite::RecordRef
#   shippingTax1Rate - SOAP::SOAPDouble
#   shippingTax2Rate - SOAP::SOAPString
#   shippingCost - SOAP::SOAPDouble
#   handlingTaxCode - ActiveNetsuite::RecordRef
#   handlingTax1Rate - SOAP::SOAPDouble
#   handlingTax2Rate - SOAP::SOAPString
#   handlingCost - SOAP::SOAPDouble
#   salesGroup - ActiveNetsuite::RecordRef
#   syncSalesTeams - SOAP::SOAPBoolean
#   paymentMethod - ActiveNetsuite::RecordRef
#   revenueStatus - ActiveNetsuite::RevenueStatus
#   recognizedRevenue - SOAP::SOAPDouble
#   deferredRevenue - SOAP::SOAPDouble
#   revRecOnRevCommitment - SOAP::SOAPBoolean
#   creditCard - ActiveNetsuite::RecordRef
#   chargeIt - SOAP::SOAPBoolean
#   ccNumber - SOAP::SOAPString
#   ccExpireDate - SOAP::SOAPDateTime
#   ccName - SOAP::SOAPString
#   ccStreet - SOAP::SOAPString
#   ccZipCode - SOAP::SOAPString
#   ccApproved - SOAP::SOAPBoolean
#   creditCardProcessor - ActiveNetsuite::RecordRef
#   debitCardIssueNo - SOAP::SOAPString
#   pnRefNum - SOAP::SOAPString
#   validFrom - SOAP::SOAPDateTime
#   payPalTranId - SOAP::SOAPString
#   subTotal - SOAP::SOAPDouble
#   ccIsPurchaseCardBin - SOAP::SOAPBoolean
#   discountTotal - SOAP::SOAPDouble
#   ccProcessAsPurchaseCard - SOAP::SOAPBoolean
#   taxTotal - SOAP::SOAPDouble
#   tax2Total - SOAP::SOAPDouble
#   altShippingCost - SOAP::SOAPDouble
#   payPalStatus - SOAP::SOAPString
#   altHandlingCost - SOAP::SOAPDouble
#   total - SOAP::SOAPDouble
#   payPalAuthId - SOAP::SOAPString
#   status - SOAP::SOAPString
#   job - ActiveNetsuite::RecordRef
#   giftCert - ActiveNetsuite::RecordRef
#   giftCertTotal - SOAP::SOAPDouble
#   giftCertApplied - SOAP::SOAPDouble
#   giftCertAvailable - SOAP::SOAPDouble
#   tranIsVsoeBundle - SOAP::SOAPBoolean
#   payPalProcess - SOAP::SOAPBoolean
#   vsoeAutoCalc - SOAP::SOAPBoolean
#   syncPartnerTeams - SOAP::SOAPBoolean
#   itemList - ActiveNetsuite::CashRefundItemList
#   salesTeamList - ActiveNetsuite::CashRefundSalesTeamList
#   partnersList - ActiveNetsuite::CashRefundPartnersList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CashRefund < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :entity
  attr_accessor :vatRegNum
  attr_accessor :tranDate
  attr_accessor :tranId
  attr_accessor :source
  attr_accessor :createdFrom
  attr_accessor :postingPeriod
  attr_accessor :department
  attr_accessor :location
  attr_accessor :leadSource
  attr_accessor :subsidiary
  attr_accessor :salesRep
  attr_accessor :partner
  attr_accessor :contribPct
  attr_accessor :otherRefNum
  attr_accessor :memo
  attr_accessor :salesEffectiveDate
  attr_accessor :refundCheck
  attr_accessor :toPrint2
  attr_accessor :excludeCommission
  attr_accessor :totalCostEstimate
  attr_accessor :estGrossProfit
  attr_accessor :estGrossProfitPercent
  attr_accessor :account
  attr_accessor :currency
  attr_accessor :exchangeRate
  attr_accessor :currencyName
  attr_accessor :promoCode
  attr_accessor :discountItem
  attr_accessor :discountRate
  attr_accessor :isTaxable
  attr_accessor :taxItem
  attr_accessor :taxRate
  attr_accessor :toBePrinted
  attr_accessor :toBeEmailed
  attr_accessor :email
  attr_accessor :toBeFaxed
  attr_accessor :fax
  attr_accessor :messageSel
  attr_accessor :message
  attr_accessor :transactionBillAddress
  attr_accessor :billAddressList
  attr_accessor :billAddress
  attr_accessor :shipMethod
  attr_accessor :shippingTaxCode
  attr_accessor :shippingTax1Rate
  attr_accessor :shippingTax2Rate
  attr_accessor :shippingCost
  attr_accessor :handlingTaxCode
  attr_accessor :handlingTax1Rate
  attr_accessor :handlingTax2Rate
  attr_accessor :handlingCost
  attr_accessor :salesGroup
  attr_accessor :syncSalesTeams
  attr_accessor :paymentMethod
  attr_accessor :revenueStatus
  attr_accessor :recognizedRevenue
  attr_accessor :deferredRevenue
  attr_accessor :revRecOnRevCommitment
  attr_accessor :creditCard
  attr_accessor :chargeIt
  attr_accessor :ccNumber
  attr_accessor :ccExpireDate
  attr_accessor :ccName
  attr_accessor :ccStreet
  attr_accessor :ccZipCode
  attr_accessor :ccApproved
  attr_accessor :creditCardProcessor
  attr_accessor :debitCardIssueNo
  attr_accessor :pnRefNum
  attr_accessor :validFrom
  attr_accessor :payPalTranId
  attr_accessor :subTotal
  attr_accessor :ccIsPurchaseCardBin
  attr_accessor :discountTotal
  attr_accessor :ccProcessAsPurchaseCard
  attr_accessor :taxTotal
  attr_accessor :tax2Total
  attr_accessor :altShippingCost
  attr_accessor :payPalStatus
  attr_accessor :altHandlingCost
  attr_accessor :total
  attr_accessor :payPalAuthId
  attr_accessor :status
  attr_accessor :job
  attr_accessor :giftCert
  attr_accessor :giftCertTotal
  attr_accessor :giftCertApplied
  attr_accessor :giftCertAvailable
  attr_accessor :tranIsVsoeBundle
  attr_accessor :payPalProcess
  attr_accessor :vsoeAutoCalc
  attr_accessor :syncPartnerTeams
  attr_accessor :itemList
  attr_accessor :salesTeamList
  attr_accessor :partnersList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, entity = nil, vatRegNum = nil, tranDate = nil, tranId = nil, source = nil, createdFrom = nil, postingPeriod = nil, department = nil, v_class = nil, location = nil, leadSource = nil, subsidiary = nil, salesRep = nil, partner = nil, contribPct = nil, otherRefNum = nil, memo = nil, salesEffectiveDate = nil, refundCheck = nil, toPrint2 = nil, excludeCommission = nil, totalCostEstimate = nil, estGrossProfit = nil, estGrossProfitPercent = nil, account = nil, currency = nil, exchangeRate = nil, currencyName = nil, promoCode = nil, discountItem = nil, discountRate = nil, isTaxable = nil, taxItem = nil, taxRate = nil, toBePrinted = nil, toBeEmailed = nil, email = nil, toBeFaxed = nil, fax = nil, messageSel = nil, message = nil, transactionBillAddress = nil, billAddressList = nil, billAddress = nil, shipMethod = nil, shippingTaxCode = nil, shippingTax1Rate = nil, shippingTax2Rate = nil, shippingCost = nil, handlingTaxCode = nil, handlingTax1Rate = nil, handlingTax2Rate = nil, handlingCost = nil, salesGroup = nil, syncSalesTeams = nil, paymentMethod = nil, revenueStatus = nil, recognizedRevenue = nil, deferredRevenue = nil, revRecOnRevCommitment = nil, creditCard = nil, chargeIt = nil, ccNumber = nil, ccExpireDate = nil, ccName = nil, ccStreet = nil, ccZipCode = nil, ccApproved = nil, creditCardProcessor = nil, debitCardIssueNo = nil, pnRefNum = nil, validFrom = nil, payPalTranId = nil, subTotal = nil, ccIsPurchaseCardBin = nil, discountTotal = nil, ccProcessAsPurchaseCard = nil, taxTotal = nil, tax2Total = nil, altShippingCost = nil, payPalStatus = nil, altHandlingCost = nil, total = nil, payPalAuthId = nil, status = nil, job = nil, giftCert = nil, giftCertTotal = nil, giftCertApplied = nil, giftCertAvailable = nil, tranIsVsoeBundle = nil, payPalProcess = nil, vsoeAutoCalc = nil, syncPartnerTeams = nil, itemList = nil, salesTeamList = nil, partnersList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @entity = entity
    @vatRegNum = vatRegNum
    @tranDate = tranDate
    @tranId = tranId
    @source = source
    @createdFrom = createdFrom
    @postingPeriod = postingPeriod
    @department = department
    @v_class = v_class
    @location = location
    @leadSource = leadSource
    @subsidiary = subsidiary
    @salesRep = salesRep
    @partner = partner
    @contribPct = contribPct
    @otherRefNum = otherRefNum
    @memo = memo
    @salesEffectiveDate = salesEffectiveDate
    @refundCheck = refundCheck
    @toPrint2 = toPrint2
    @excludeCommission = excludeCommission
    @totalCostEstimate = totalCostEstimate
    @estGrossProfit = estGrossProfit
    @estGrossProfitPercent = estGrossProfitPercent
    @account = account
    @currency = currency
    @exchangeRate = exchangeRate
    @currencyName = currencyName
    @promoCode = promoCode
    @discountItem = discountItem
    @discountRate = discountRate
    @isTaxable = isTaxable
    @taxItem = taxItem
    @taxRate = taxRate
    @toBePrinted = toBePrinted
    @toBeEmailed = toBeEmailed
    @email = email
    @toBeFaxed = toBeFaxed
    @fax = fax
    @messageSel = messageSel
    @message = message
    @transactionBillAddress = transactionBillAddress
    @billAddressList = billAddressList
    @billAddress = billAddress
    @shipMethod = shipMethod
    @shippingTaxCode = shippingTaxCode
    @shippingTax1Rate = shippingTax1Rate
    @shippingTax2Rate = shippingTax2Rate
    @shippingCost = shippingCost
    @handlingTaxCode = handlingTaxCode
    @handlingTax1Rate = handlingTax1Rate
    @handlingTax2Rate = handlingTax2Rate
    @handlingCost = handlingCost
    @salesGroup = salesGroup
    @syncSalesTeams = syncSalesTeams
    @paymentMethod = paymentMethod
    @revenueStatus = revenueStatus
    @recognizedRevenue = recognizedRevenue
    @deferredRevenue = deferredRevenue
    @revRecOnRevCommitment = revRecOnRevCommitment
    @creditCard = creditCard
    @chargeIt = chargeIt
    @ccNumber = ccNumber
    @ccExpireDate = ccExpireDate
    @ccName = ccName
    @ccStreet = ccStreet
    @ccZipCode = ccZipCode
    @ccApproved = ccApproved
    @creditCardProcessor = creditCardProcessor
    @debitCardIssueNo = debitCardIssueNo
    @pnRefNum = pnRefNum
    @validFrom = validFrom
    @payPalTranId = payPalTranId
    @subTotal = subTotal
    @ccIsPurchaseCardBin = ccIsPurchaseCardBin
    @discountTotal = discountTotal
    @ccProcessAsPurchaseCard = ccProcessAsPurchaseCard
    @taxTotal = taxTotal
    @tax2Total = tax2Total
    @altShippingCost = altShippingCost
    @payPalStatus = payPalStatus
    @altHandlingCost = altHandlingCost
    @total = total
    @payPalAuthId = payPalAuthId
    @status = status
    @job = job
    @giftCert = giftCert
    @giftCertTotal = giftCertTotal
    @giftCertApplied = giftCertApplied
    @giftCertAvailable = giftCertAvailable
    @tranIsVsoeBundle = tranIsVsoeBundle
    @payPalProcess = payPalProcess
    @vsoeAutoCalc = vsoeAutoCalc
    @syncPartnerTeams = syncPartnerTeams
    @itemList = itemList
    @salesTeamList = salesTeamList
    @partnersList = partnersList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CustomerPayment
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   arAcct - ActiveNetsuite::RecordRef
#   customer - ActiveNetsuite::RecordRef
#   balance - SOAP::SOAPDouble
#   pending - SOAP::SOAPDouble
#   currency - ActiveNetsuite::RecordRef
#   payment - SOAP::SOAPDouble
#   autoApply - SOAP::SOAPBoolean
#   tranDate - SOAP::SOAPDateTime
#   postingPeriod - ActiveNetsuite::RecordRef
#   paymentMethod - ActiveNetsuite::RecordRef
#   ccIsPurchaseCardBin - SOAP::SOAPBoolean
#   memo - SOAP::SOAPString
#   ccProcessAsPurchaseCard - SOAP::SOAPBoolean
#   checkNum - SOAP::SOAPString
#   currencyName - SOAP::SOAPString
#   exchangeRate - SOAP::SOAPDouble
#   creditCard - ActiveNetsuite::RecordRef
#   chargeIt - SOAP::SOAPBoolean
#   ccNumber - SOAP::SOAPString
#   ccExpireDate - SOAP::SOAPDateTime
#   ccName - SOAP::SOAPString
#   ccStreet - SOAP::SOAPString
#   ccZipCode - SOAP::SOAPString
#   ccApproved - SOAP::SOAPBoolean
#   authCode - SOAP::SOAPString
#   ccAvsStreetMatch - ActiveNetsuite::AvsMatchCode
#   ccAvsZipMatch - ActiveNetsuite::AvsMatchCode
#   ccSecurityCode - SOAP::SOAPString
#   ignoreAvs - SOAP::SOAPBoolean
#   ccSecurityCodeMatch - ActiveNetsuite::AvsMatchCode
#   threeDStatusCode - SOAP::SOAPString
#   pnRefNum - SOAP::SOAPString
#   creditCardProcessor - ActiveNetsuite::RecordRef
#   debitCardIssueNo - SOAP::SOAPString
#   validFrom - SOAP::SOAPDateTime
#   undepFunds - SOAP::SOAPBoolean
#   account - ActiveNetsuite::RecordRef
#   total - SOAP::SOAPDouble
#   subsidiary - ActiveNetsuite::RecordRef
#   applied - SOAP::SOAPDouble
#   unapplied - SOAP::SOAPDouble
#   m_class - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   status - SOAP::SOAPString
#   applyList - ActiveNetsuite::CustomerPaymentApplyList
#   creditList - ActiveNetsuite::CustomerPaymentCreditList
#   depositList - ActiveNetsuite::CustomerPaymentDepositList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CustomerPayment < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :arAcct
  attr_accessor :customer
  attr_accessor :balance
  attr_accessor :pending
  attr_accessor :currency
  attr_accessor :payment
  attr_accessor :autoApply
  attr_accessor :tranDate
  attr_accessor :postingPeriod
  attr_accessor :paymentMethod
  attr_accessor :ccIsPurchaseCardBin
  attr_accessor :memo
  attr_accessor :ccProcessAsPurchaseCard
  attr_accessor :checkNum
  attr_accessor :currencyName
  attr_accessor :exchangeRate
  attr_accessor :creditCard
  attr_accessor :chargeIt
  attr_accessor :ccNumber
  attr_accessor :ccExpireDate
  attr_accessor :ccName
  attr_accessor :ccStreet
  attr_accessor :ccZipCode
  attr_accessor :ccApproved
  attr_accessor :authCode
  attr_accessor :ccAvsStreetMatch
  attr_accessor :ccAvsZipMatch
  attr_accessor :ccSecurityCode
  attr_accessor :ignoreAvs
  attr_accessor :ccSecurityCodeMatch
  attr_accessor :threeDStatusCode
  attr_accessor :pnRefNum
  attr_accessor :creditCardProcessor
  attr_accessor :debitCardIssueNo
  attr_accessor :validFrom
  attr_accessor :undepFunds
  attr_accessor :account
  attr_accessor :total
  attr_accessor :subsidiary
  attr_accessor :applied
  attr_accessor :unapplied
  attr_accessor :department
  attr_accessor :location
  attr_accessor :status
  attr_accessor :applyList
  attr_accessor :creditList
  attr_accessor :depositList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, arAcct = nil, customer = nil, balance = nil, pending = nil, currency = nil, payment = nil, autoApply = nil, tranDate = nil, postingPeriod = nil, paymentMethod = nil, ccIsPurchaseCardBin = nil, memo = nil, ccProcessAsPurchaseCard = nil, checkNum = nil, currencyName = nil, exchangeRate = nil, creditCard = nil, chargeIt = nil, ccNumber = nil, ccExpireDate = nil, ccName = nil, ccStreet = nil, ccZipCode = nil, ccApproved = nil, authCode = nil, ccAvsStreetMatch = nil, ccAvsZipMatch = nil, ccSecurityCode = nil, ignoreAvs = nil, ccSecurityCodeMatch = nil, threeDStatusCode = nil, pnRefNum = nil, creditCardProcessor = nil, debitCardIssueNo = nil, validFrom = nil, undepFunds = nil, account = nil, total = nil, subsidiary = nil, applied = nil, unapplied = nil, v_class = nil, department = nil, location = nil, status = nil, applyList = nil, creditList = nil, depositList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @arAcct = arAcct
    @customer = customer
    @balance = balance
    @pending = pending
    @currency = currency
    @payment = payment
    @autoApply = autoApply
    @tranDate = tranDate
    @postingPeriod = postingPeriod
    @paymentMethod = paymentMethod
    @ccIsPurchaseCardBin = ccIsPurchaseCardBin
    @memo = memo
    @ccProcessAsPurchaseCard = ccProcessAsPurchaseCard
    @checkNum = checkNum
    @currencyName = currencyName
    @exchangeRate = exchangeRate
    @creditCard = creditCard
    @chargeIt = chargeIt
    @ccNumber = ccNumber
    @ccExpireDate = ccExpireDate
    @ccName = ccName
    @ccStreet = ccStreet
    @ccZipCode = ccZipCode
    @ccApproved = ccApproved
    @authCode = authCode
    @ccAvsStreetMatch = ccAvsStreetMatch
    @ccAvsZipMatch = ccAvsZipMatch
    @ccSecurityCode = ccSecurityCode
    @ignoreAvs = ignoreAvs
    @ccSecurityCodeMatch = ccSecurityCodeMatch
    @threeDStatusCode = threeDStatusCode
    @pnRefNum = pnRefNum
    @creditCardProcessor = creditCardProcessor
    @debitCardIssueNo = debitCardIssueNo
    @validFrom = validFrom
    @undepFunds = undepFunds
    @account = account
    @total = total
    @subsidiary = subsidiary
    @applied = applied
    @unapplied = unapplied
    @v_class = v_class
    @department = department
    @location = location
    @status = status
    @applyList = applyList
    @creditList = creditList
    @depositList = depositList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}ReturnAuthorization
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   currency - ActiveNetsuite::RecordRef
#   entity - ActiveNetsuite::RecordRef
#   vatRegNum - SOAP::SOAPString
#   tranDate - SOAP::SOAPDateTime
#   tranId - SOAP::SOAPString
#   source - SOAP::SOAPString
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   intercoTransaction - ActiveNetsuite::RecordRef
#   intercoStatus - ActiveNetsuite::IntercoStatus
#   job - ActiveNetsuite::RecordRef
#   partner - ActiveNetsuite::RecordRef
#   otherRefNum - SOAP::SOAPString
#   leadSource - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   drAccount - ActiveNetsuite::RecordRef
#   fxAccount - ActiveNetsuite::RecordRef
#   salesEffectiveDate - SOAP::SOAPDateTime
#   createdFrom - ActiveNetsuite::RecordRef
#   revRecSchedule - ActiveNetsuite::RecordRef
#   totalCostEstimate - SOAP::SOAPDouble
#   estGrossProfit - SOAP::SOAPDouble
#   estGrossProfitPercent - SOAP::SOAPDouble
#   revRecStartDate - SOAP::SOAPDateTime
#   revRecEndDate - SOAP::SOAPDateTime
#   excludeCommission - SOAP::SOAPBoolean
#   exchangeRate - SOAP::SOAPDouble
#   currencyName - SOAP::SOAPString
#   discountItem - ActiveNetsuite::RecordRef
#   discountRate - SOAP::SOAPString
#   taxItem - ActiveNetsuite::RecordRef
#   taxRate - SOAP::SOAPDouble
#   toBePrinted - SOAP::SOAPBoolean
#   toBeEmailed - SOAP::SOAPBoolean
#   toBeFaxed - SOAP::SOAPBoolean
#   messageSel - ActiveNetsuite::RecordRef
#   message - SOAP::SOAPString
#   transactionBillAddress - ActiveNetsuite::BillAddress
#   billAddressList - ActiveNetsuite::RecordRef
#   billAddress - SOAP::SOAPString
#   shipAddressList - ActiveNetsuite::RecordRef
#   shipAddress - SOAP::SOAPString
#   salesGroup - ActiveNetsuite::RecordRef
#   syncSalesTeams - SOAP::SOAPBoolean
#   revenueStatus - ActiveNetsuite::RevenueStatus
#   recognizedRevenue - SOAP::SOAPDouble
#   deferredRevenue - SOAP::SOAPDouble
#   revRecOnRevCommitment - SOAP::SOAPBoolean
#   revCommitStatus - ActiveNetsuite::RevenueCommitStatus
#   paymentMethod - ActiveNetsuite::RecordRef
#   creditCard - ActiveNetsuite::RecordRef
#   ccNumber - SOAP::SOAPString
#   altSalesTotal - SOAP::SOAPDouble
#   ccExpireDate - SOAP::SOAPDateTime
#   ccName - SOAP::SOAPString
#   ccStreet - SOAP::SOAPString
#   ccZipCode - SOAP::SOAPString
#   ccApproved - SOAP::SOAPBoolean
#   pnRefNum - SOAP::SOAPString
#   subTotal - SOAP::SOAPDouble
#   discountTotal - SOAP::SOAPDouble
#   total - SOAP::SOAPDouble
#   creditCardProcessor - ActiveNetsuite::RecordRef
#   payPalAuthId - SOAP::SOAPString
#   payPalProcess - SOAP::SOAPBoolean
#   email - SOAP::SOAPString
#   fax - SOAP::SOAPString
#   debitCardIssueNo - SOAP::SOAPString
#   isTaxable - SOAP::SOAPBoolean
#   promoCode - ActiveNetsuite::RecordRef
#   status - SOAP::SOAPString
#   taxTotal - SOAP::SOAPDouble
#   tax2Total - SOAP::SOAPDouble
#   validFrom - SOAP::SOAPDateTime
#   orderStatus - ActiveNetsuite::ReturnAuthorizationOrderStatus
#   salesRep - ActiveNetsuite::RecordRef
#   giftCert - ActiveNetsuite::RecordRef
#   contribPct - SOAP::SOAPString
#   giftCertTotal - SOAP::SOAPDouble
#   giftCertApplied - SOAP::SOAPDouble
#   giftCertAvailable - SOAP::SOAPDouble
#   tranIsVsoeBundle - SOAP::SOAPBoolean
#   vsoeAutoCalc - SOAP::SOAPBoolean
#   syncPartnerTeams - SOAP::SOAPBoolean
#   itemList - ActiveNetsuite::ReturnAuthorizationItemList
#   salesTeamList - ActiveNetsuite::ReturnAuthorizationSalesTeamList
#   partnersList - ActiveNetsuite::ReturnAuthorizationPartnersList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class ReturnAuthorization < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :currency
  attr_accessor :entity
  attr_accessor :vatRegNum
  attr_accessor :tranDate
  attr_accessor :tranId
  attr_accessor :source
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiary
  attr_accessor :intercoTransaction
  attr_accessor :intercoStatus
  attr_accessor :job
  attr_accessor :partner
  attr_accessor :otherRefNum
  attr_accessor :leadSource
  attr_accessor :memo
  attr_accessor :drAccount
  attr_accessor :fxAccount
  attr_accessor :salesEffectiveDate
  attr_accessor :createdFrom
  attr_accessor :revRecSchedule
  attr_accessor :totalCostEstimate
  attr_accessor :estGrossProfit
  attr_accessor :estGrossProfitPercent
  attr_accessor :revRecStartDate
  attr_accessor :revRecEndDate
  attr_accessor :excludeCommission
  attr_accessor :exchangeRate
  attr_accessor :currencyName
  attr_accessor :discountItem
  attr_accessor :discountRate
  attr_accessor :taxItem
  attr_accessor :taxRate
  attr_accessor :toBePrinted
  attr_accessor :toBeEmailed
  attr_accessor :toBeFaxed
  attr_accessor :messageSel
  attr_accessor :message
  attr_accessor :transactionBillAddress
  attr_accessor :billAddressList
  attr_accessor :billAddress
  attr_accessor :shipAddressList
  attr_accessor :shipAddress
  attr_accessor :salesGroup
  attr_accessor :syncSalesTeams
  attr_accessor :revenueStatus
  attr_accessor :recognizedRevenue
  attr_accessor :deferredRevenue
  attr_accessor :revRecOnRevCommitment
  attr_accessor :revCommitStatus
  attr_accessor :paymentMethod
  attr_accessor :creditCard
  attr_accessor :ccNumber
  attr_accessor :altSalesTotal
  attr_accessor :ccExpireDate
  attr_accessor :ccName
  attr_accessor :ccStreet
  attr_accessor :ccZipCode
  attr_accessor :ccApproved
  attr_accessor :pnRefNum
  attr_accessor :subTotal
  attr_accessor :discountTotal
  attr_accessor :total
  attr_accessor :creditCardProcessor
  attr_accessor :payPalAuthId
  attr_accessor :payPalProcess
  attr_accessor :email
  attr_accessor :fax
  attr_accessor :debitCardIssueNo
  attr_accessor :isTaxable
  attr_accessor :promoCode
  attr_accessor :status
  attr_accessor :taxTotal
  attr_accessor :tax2Total
  attr_accessor :validFrom
  attr_accessor :orderStatus
  attr_accessor :salesRep
  attr_accessor :giftCert
  attr_accessor :contribPct
  attr_accessor :giftCertTotal
  attr_accessor :giftCertApplied
  attr_accessor :giftCertAvailable
  attr_accessor :tranIsVsoeBundle
  attr_accessor :vsoeAutoCalc
  attr_accessor :syncPartnerTeams
  attr_accessor :itemList
  attr_accessor :salesTeamList
  attr_accessor :partnersList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, currency = nil, entity = nil, vatRegNum = nil, tranDate = nil, tranId = nil, source = nil, department = nil, v_class = nil, location = nil, subsidiary = nil, intercoTransaction = nil, intercoStatus = nil, job = nil, partner = nil, otherRefNum = nil, leadSource = nil, memo = nil, drAccount = nil, fxAccount = nil, salesEffectiveDate = nil, createdFrom = nil, revRecSchedule = nil, totalCostEstimate = nil, estGrossProfit = nil, estGrossProfitPercent = nil, revRecStartDate = nil, revRecEndDate = nil, excludeCommission = nil, exchangeRate = nil, currencyName = nil, discountItem = nil, discountRate = nil, taxItem = nil, taxRate = nil, toBePrinted = nil, toBeEmailed = nil, toBeFaxed = nil, messageSel = nil, message = nil, transactionBillAddress = nil, billAddressList = nil, billAddress = nil, shipAddressList = nil, shipAddress = nil, salesGroup = nil, syncSalesTeams = nil, revenueStatus = nil, recognizedRevenue = nil, deferredRevenue = nil, revRecOnRevCommitment = nil, revCommitStatus = nil, paymentMethod = nil, creditCard = nil, ccNumber = nil, altSalesTotal = nil, ccExpireDate = nil, ccName = nil, ccStreet = nil, ccZipCode = nil, ccApproved = nil, pnRefNum = nil, subTotal = nil, discountTotal = nil, total = nil, creditCardProcessor = nil, payPalAuthId = nil, payPalProcess = nil, email = nil, fax = nil, debitCardIssueNo = nil, isTaxable = nil, promoCode = nil, status = nil, taxTotal = nil, tax2Total = nil, validFrom = nil, orderStatus = nil, salesRep = nil, giftCert = nil, contribPct = nil, giftCertTotal = nil, giftCertApplied = nil, giftCertAvailable = nil, tranIsVsoeBundle = nil, vsoeAutoCalc = nil, syncPartnerTeams = nil, itemList = nil, salesTeamList = nil, partnersList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @currency = currency
    @entity = entity
    @vatRegNum = vatRegNum
    @tranDate = tranDate
    @tranId = tranId
    @source = source
    @department = department
    @v_class = v_class
    @location = location
    @subsidiary = subsidiary
    @intercoTransaction = intercoTransaction
    @intercoStatus = intercoStatus
    @job = job
    @partner = partner
    @otherRefNum = otherRefNum
    @leadSource = leadSource
    @memo = memo
    @drAccount = drAccount
    @fxAccount = fxAccount
    @salesEffectiveDate = salesEffectiveDate
    @createdFrom = createdFrom
    @revRecSchedule = revRecSchedule
    @totalCostEstimate = totalCostEstimate
    @estGrossProfit = estGrossProfit
    @estGrossProfitPercent = estGrossProfitPercent
    @revRecStartDate = revRecStartDate
    @revRecEndDate = revRecEndDate
    @excludeCommission = excludeCommission
    @exchangeRate = exchangeRate
    @currencyName = currencyName
    @discountItem = discountItem
    @discountRate = discountRate
    @taxItem = taxItem
    @taxRate = taxRate
    @toBePrinted = toBePrinted
    @toBeEmailed = toBeEmailed
    @toBeFaxed = toBeFaxed
    @messageSel = messageSel
    @message = message
    @transactionBillAddress = transactionBillAddress
    @billAddressList = billAddressList
    @billAddress = billAddress
    @shipAddressList = shipAddressList
    @shipAddress = shipAddress
    @salesGroup = salesGroup
    @syncSalesTeams = syncSalesTeams
    @revenueStatus = revenueStatus
    @recognizedRevenue = recognizedRevenue
    @deferredRevenue = deferredRevenue
    @revRecOnRevCommitment = revRecOnRevCommitment
    @revCommitStatus = revCommitStatus
    @paymentMethod = paymentMethod
    @creditCard = creditCard
    @ccNumber = ccNumber
    @altSalesTotal = altSalesTotal
    @ccExpireDate = ccExpireDate
    @ccName = ccName
    @ccStreet = ccStreet
    @ccZipCode = ccZipCode
    @ccApproved = ccApproved
    @pnRefNum = pnRefNum
    @subTotal = subTotal
    @discountTotal = discountTotal
    @total = total
    @creditCardProcessor = creditCardProcessor
    @payPalAuthId = payPalAuthId
    @payPalProcess = payPalProcess
    @email = email
    @fax = fax
    @debitCardIssueNo = debitCardIssueNo
    @isTaxable = isTaxable
    @promoCode = promoCode
    @status = status
    @taxTotal = taxTotal
    @tax2Total = tax2Total
    @validFrom = validFrom
    @orderStatus = orderStatus
    @salesRep = salesRep
    @giftCert = giftCert
    @contribPct = contribPct
    @giftCertTotal = giftCertTotal
    @giftCertApplied = giftCertApplied
    @giftCertAvailable = giftCertAvailable
    @tranIsVsoeBundle = tranIsVsoeBundle
    @vsoeAutoCalc = vsoeAutoCalc
    @syncPartnerTeams = syncPartnerTeams
    @itemList = itemList
    @salesTeamList = salesTeamList
    @partnersList = partnersList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CreditMemo
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   currency - ActiveNetsuite::RecordRef
#   entity - ActiveNetsuite::RecordRef
#   vatRegNum - SOAP::SOAPString
#   tranDate - SOAP::SOAPDateTime
#   tranId - SOAP::SOAPString
#   createdFrom - ActiveNetsuite::RecordRef
#   postingPeriod - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   job - ActiveNetsuite::RecordRef
#   salesRep - ActiveNetsuite::RecordRef
#   partner - ActiveNetsuite::RecordRef
#   contribPct - SOAP::SOAPString
#   otherRefNum - SOAP::SOAPString
#   memo - SOAP::SOAPString
#   excludeCommission - SOAP::SOAPBoolean
#   leadSource - ActiveNetsuite::RecordRef
#   balance - SOAP::SOAPDouble
#   account - ActiveNetsuite::RecordRef
#   exchangeRate - SOAP::SOAPDouble
#   onCreditHold - SOAP::SOAPString
#   amountPaid - SOAP::SOAPDouble
#   salesEffectiveDate - SOAP::SOAPDateTime
#   totalCostEstimate - SOAP::SOAPDouble
#   estGrossProfit - SOAP::SOAPDouble
#   estGrossProfitPercent - SOAP::SOAPDouble
#   currencyName - SOAP::SOAPString
#   promoCode - ActiveNetsuite::RecordRef
#   amountRemaining - SOAP::SOAPDouble
#   discountItem - ActiveNetsuite::RecordRef
#   source - SOAP::SOAPString
#   discountRate - SOAP::SOAPString
#   isTaxable - SOAP::SOAPBoolean
#   taxItem - ActiveNetsuite::RecordRef
#   taxRate - SOAP::SOAPDouble
#   unapplied - SOAP::SOAPDouble
#   autoApply - SOAP::SOAPBoolean
#   applied - SOAP::SOAPDouble
#   toBePrinted - SOAP::SOAPBoolean
#   toBeEmailed - SOAP::SOAPBoolean
#   email - SOAP::SOAPString
#   toBeFaxed - SOAP::SOAPBoolean
#   fax - SOAP::SOAPString
#   messageSel - ActiveNetsuite::RecordRef
#   message - SOAP::SOAPString
#   transactionBillAddress - ActiveNetsuite::BillAddress
#   billAddressList - ActiveNetsuite::RecordRef
#   billAddress - SOAP::SOAPString
#   shipMethod - ActiveNetsuite::RecordRef
#   shippingCost - SOAP::SOAPDouble
#   shippingTax1Rate - SOAP::SOAPDouble
#   shippingTaxCode - ActiveNetsuite::RecordRef
#   handlingTaxCode - ActiveNetsuite::RecordRef
#   shippingTax2Rate - SOAP::SOAPString
#   handlingTax1Rate - SOAP::SOAPDouble
#   handlingTax2Rate - SOAP::SOAPString
#   handlingCost - SOAP::SOAPDouble
#   subTotal - SOAP::SOAPDouble
#   discountTotal - SOAP::SOAPDouble
#   revenueStatus - ActiveNetsuite::RevenueStatus
#   recognizedRevenue - SOAP::SOAPDouble
#   deferredRevenue - SOAP::SOAPDouble
#   revRecOnRevCommitment - SOAP::SOAPBoolean
#   taxTotal - SOAP::SOAPDouble
#   tax2Total - SOAP::SOAPDouble
#   altShippingCost - SOAP::SOAPDouble
#   altHandlingCost - SOAP::SOAPDouble
#   total - SOAP::SOAPDouble
#   salesGroup - ActiveNetsuite::RecordRef
#   syncSalesTeams - SOAP::SOAPBoolean
#   status - SOAP::SOAPString
#   giftCert - ActiveNetsuite::RecordRef
#   giftCertTotal - SOAP::SOAPDouble
#   giftCertApplied - SOAP::SOAPDouble
#   giftCertAvailable - SOAP::SOAPDouble
#   tranIsVsoeBundle - SOAP::SOAPBoolean
#   vsoeAutoCalc - SOAP::SOAPBoolean
#   syncPartnerTeams - SOAP::SOAPBoolean
#   salesTeamList - ActiveNetsuite::CreditMemoSalesTeamList
#   itemList - ActiveNetsuite::CreditMemoItemList
#   partnersList - ActiveNetsuite::CreditMemoPartnersList
#   applyList - ActiveNetsuite::CreditMemoApplyList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CreditMemo < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :currency
  attr_accessor :entity
  attr_accessor :vatRegNum
  attr_accessor :tranDate
  attr_accessor :tranId
  attr_accessor :createdFrom
  attr_accessor :postingPeriod
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiary
  attr_accessor :job
  attr_accessor :salesRep
  attr_accessor :partner
  attr_accessor :contribPct
  attr_accessor :otherRefNum
  attr_accessor :memo
  attr_accessor :excludeCommission
  attr_accessor :leadSource
  attr_accessor :balance
  attr_accessor :account
  attr_accessor :exchangeRate
  attr_accessor :onCreditHold
  attr_accessor :amountPaid
  attr_accessor :salesEffectiveDate
  attr_accessor :totalCostEstimate
  attr_accessor :estGrossProfit
  attr_accessor :estGrossProfitPercent
  attr_accessor :currencyName
  attr_accessor :promoCode
  attr_accessor :amountRemaining
  attr_accessor :discountItem
  attr_accessor :source
  attr_accessor :discountRate
  attr_accessor :isTaxable
  attr_accessor :taxItem
  attr_accessor :taxRate
  attr_accessor :unapplied
  attr_accessor :autoApply
  attr_accessor :applied
  attr_accessor :toBePrinted
  attr_accessor :toBeEmailed
  attr_accessor :email
  attr_accessor :toBeFaxed
  attr_accessor :fax
  attr_accessor :messageSel
  attr_accessor :message
  attr_accessor :transactionBillAddress
  attr_accessor :billAddressList
  attr_accessor :billAddress
  attr_accessor :shipMethod
  attr_accessor :shippingCost
  attr_accessor :shippingTax1Rate
  attr_accessor :shippingTaxCode
  attr_accessor :handlingTaxCode
  attr_accessor :shippingTax2Rate
  attr_accessor :handlingTax1Rate
  attr_accessor :handlingTax2Rate
  attr_accessor :handlingCost
  attr_accessor :subTotal
  attr_accessor :discountTotal
  attr_accessor :revenueStatus
  attr_accessor :recognizedRevenue
  attr_accessor :deferredRevenue
  attr_accessor :revRecOnRevCommitment
  attr_accessor :taxTotal
  attr_accessor :tax2Total
  attr_accessor :altShippingCost
  attr_accessor :altHandlingCost
  attr_accessor :total
  attr_accessor :salesGroup
  attr_accessor :syncSalesTeams
  attr_accessor :status
  attr_accessor :giftCert
  attr_accessor :giftCertTotal
  attr_accessor :giftCertApplied
  attr_accessor :giftCertAvailable
  attr_accessor :tranIsVsoeBundle
  attr_accessor :vsoeAutoCalc
  attr_accessor :syncPartnerTeams
  attr_accessor :salesTeamList
  attr_accessor :itemList
  attr_accessor :partnersList
  attr_accessor :applyList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, currency = nil, entity = nil, vatRegNum = nil, tranDate = nil, tranId = nil, createdFrom = nil, postingPeriod = nil, department = nil, v_class = nil, location = nil, subsidiary = nil, job = nil, salesRep = nil, partner = nil, contribPct = nil, otherRefNum = nil, memo = nil, excludeCommission = nil, leadSource = nil, balance = nil, account = nil, exchangeRate = nil, onCreditHold = nil, amountPaid = nil, salesEffectiveDate = nil, totalCostEstimate = nil, estGrossProfit = nil, estGrossProfitPercent = nil, currencyName = nil, promoCode = nil, amountRemaining = nil, discountItem = nil, source = nil, discountRate = nil, isTaxable = nil, taxItem = nil, taxRate = nil, unapplied = nil, autoApply = nil, applied = nil, toBePrinted = nil, toBeEmailed = nil, email = nil, toBeFaxed = nil, fax = nil, messageSel = nil, message = nil, transactionBillAddress = nil, billAddressList = nil, billAddress = nil, shipMethod = nil, shippingCost = nil, shippingTax1Rate = nil, shippingTaxCode = nil, handlingTaxCode = nil, shippingTax2Rate = nil, handlingTax1Rate = nil, handlingTax2Rate = nil, handlingCost = nil, subTotal = nil, discountTotal = nil, revenueStatus = nil, recognizedRevenue = nil, deferredRevenue = nil, revRecOnRevCommitment = nil, taxTotal = nil, tax2Total = nil, altShippingCost = nil, altHandlingCost = nil, total = nil, salesGroup = nil, syncSalesTeams = nil, status = nil, giftCert = nil, giftCertTotal = nil, giftCertApplied = nil, giftCertAvailable = nil, tranIsVsoeBundle = nil, vsoeAutoCalc = nil, syncPartnerTeams = nil, salesTeamList = nil, itemList = nil, partnersList = nil, applyList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @currency = currency
    @entity = entity
    @vatRegNum = vatRegNum
    @tranDate = tranDate
    @tranId = tranId
    @createdFrom = createdFrom
    @postingPeriod = postingPeriod
    @department = department
    @v_class = v_class
    @location = location
    @subsidiary = subsidiary
    @job = job
    @salesRep = salesRep
    @partner = partner
    @contribPct = contribPct
    @otherRefNum = otherRefNum
    @memo = memo
    @excludeCommission = excludeCommission
    @leadSource = leadSource
    @balance = balance
    @account = account
    @exchangeRate = exchangeRate
    @onCreditHold = onCreditHold
    @amountPaid = amountPaid
    @salesEffectiveDate = salesEffectiveDate
    @totalCostEstimate = totalCostEstimate
    @estGrossProfit = estGrossProfit
    @estGrossProfitPercent = estGrossProfitPercent
    @currencyName = currencyName
    @promoCode = promoCode
    @amountRemaining = amountRemaining
    @discountItem = discountItem
    @source = source
    @discountRate = discountRate
    @isTaxable = isTaxable
    @taxItem = taxItem
    @taxRate = taxRate
    @unapplied = unapplied
    @autoApply = autoApply
    @applied = applied
    @toBePrinted = toBePrinted
    @toBeEmailed = toBeEmailed
    @email = email
    @toBeFaxed = toBeFaxed
    @fax = fax
    @messageSel = messageSel
    @message = message
    @transactionBillAddress = transactionBillAddress
    @billAddressList = billAddressList
    @billAddress = billAddress
    @shipMethod = shipMethod
    @shippingCost = shippingCost
    @shippingTax1Rate = shippingTax1Rate
    @shippingTaxCode = shippingTaxCode
    @handlingTaxCode = handlingTaxCode
    @shippingTax2Rate = shippingTax2Rate
    @handlingTax1Rate = handlingTax1Rate
    @handlingTax2Rate = handlingTax2Rate
    @handlingCost = handlingCost
    @subTotal = subTotal
    @discountTotal = discountTotal
    @revenueStatus = revenueStatus
    @recognizedRevenue = recognizedRevenue
    @deferredRevenue = deferredRevenue
    @revRecOnRevCommitment = revRecOnRevCommitment
    @taxTotal = taxTotal
    @tax2Total = tax2Total
    @altShippingCost = altShippingCost
    @altHandlingCost = altHandlingCost
    @total = total
    @salesGroup = salesGroup
    @syncSalesTeams = syncSalesTeams
    @status = status
    @giftCert = giftCert
    @giftCertTotal = giftCertTotal
    @giftCertApplied = giftCertApplied
    @giftCertAvailable = giftCertAvailable
    @tranIsVsoeBundle = tranIsVsoeBundle
    @vsoeAutoCalc = vsoeAutoCalc
    @syncPartnerTeams = syncPartnerTeams
    @salesTeamList = salesTeamList
    @itemList = itemList
    @partnersList = partnersList
    @applyList = applyList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CustomerRefund
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   status - SOAP::SOAPString
#   customer - ActiveNetsuite::RecordRef
#   customForm - ActiveNetsuite::RecordRef
#   balance - SOAP::SOAPDouble
#   arAcct - ActiveNetsuite::RecordRef
#   currencyName - SOAP::SOAPString
#   exchangeRate - SOAP::SOAPDouble
#   address - SOAP::SOAPString
#   total - SOAP::SOAPDouble
#   currency - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   voidJournal - ActiveNetsuite::RecordRef
#   postingPeriod - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   paymentMethod - ActiveNetsuite::RecordRef
#   account - ActiveNetsuite::RecordRef
#   toBePrinted - SOAP::SOAPBoolean
#   tranId - SOAP::SOAPString
#   debitCardIssueNo - SOAP::SOAPString
#   creditCardProcessor - ActiveNetsuite::RecordRef
#   chargeIt - SOAP::SOAPBoolean
#   pnRefNum - SOAP::SOAPString
#   validFrom - SOAP::SOAPDateTime
#   subsidiary - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   creditCard - ActiveNetsuite::RecordRef
#   ccIsPurchaseCardBin - SOAP::SOAPBoolean
#   ccNumber - SOAP::SOAPString
#   ccProcessAsPurchaseCard - SOAP::SOAPBoolean
#   ccExpireDate - SOAP::SOAPDateTime
#   ccName - SOAP::SOAPString
#   ccStreet - SOAP::SOAPString
#   ccZipCode - SOAP::SOAPString
#   ccApproved - SOAP::SOAPBoolean
#   applyList - ActiveNetsuite::CustomerRefundApplyList
#   depositList - ActiveNetsuite::CustomerRefundDepositList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CustomerRefund < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :status
  attr_accessor :customer
  attr_accessor :customForm
  attr_accessor :balance
  attr_accessor :arAcct
  attr_accessor :currencyName
  attr_accessor :exchangeRate
  attr_accessor :address
  attr_accessor :total
  attr_accessor :currency
  attr_accessor :tranDate
  attr_accessor :voidJournal
  attr_accessor :postingPeriod
  attr_accessor :memo
  attr_accessor :paymentMethod
  attr_accessor :account
  attr_accessor :toBePrinted
  attr_accessor :tranId
  attr_accessor :debitCardIssueNo
  attr_accessor :creditCardProcessor
  attr_accessor :chargeIt
  attr_accessor :pnRefNum
  attr_accessor :validFrom
  attr_accessor :subsidiary
  attr_accessor :department
  attr_accessor :location
  attr_accessor :creditCard
  attr_accessor :ccIsPurchaseCardBin
  attr_accessor :ccNumber
  attr_accessor :ccProcessAsPurchaseCard
  attr_accessor :ccExpireDate
  attr_accessor :ccName
  attr_accessor :ccStreet
  attr_accessor :ccZipCode
  attr_accessor :ccApproved
  attr_accessor :applyList
  attr_accessor :depositList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, status = nil, customer = nil, customForm = nil, balance = nil, arAcct = nil, currencyName = nil, exchangeRate = nil, address = nil, total = nil, currency = nil, tranDate = nil, voidJournal = nil, postingPeriod = nil, memo = nil, paymentMethod = nil, account = nil, toBePrinted = nil, tranId = nil, debitCardIssueNo = nil, creditCardProcessor = nil, chargeIt = nil, pnRefNum = nil, validFrom = nil, subsidiary = nil, department = nil, v_class = nil, location = nil, creditCard = nil, ccIsPurchaseCardBin = nil, ccNumber = nil, ccProcessAsPurchaseCard = nil, ccExpireDate = nil, ccName = nil, ccStreet = nil, ccZipCode = nil, ccApproved = nil, applyList = nil, depositList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @status = status
    @customer = customer
    @customForm = customForm
    @balance = balance
    @arAcct = arAcct
    @currencyName = currencyName
    @exchangeRate = exchangeRate
    @address = address
    @total = total
    @currency = currency
    @tranDate = tranDate
    @voidJournal = voidJournal
    @postingPeriod = postingPeriod
    @memo = memo
    @paymentMethod = paymentMethod
    @account = account
    @toBePrinted = toBePrinted
    @tranId = tranId
    @debitCardIssueNo = debitCardIssueNo
    @creditCardProcessor = creditCardProcessor
    @chargeIt = chargeIt
    @pnRefNum = pnRefNum
    @validFrom = validFrom
    @subsidiary = subsidiary
    @department = department
    @v_class = v_class
    @location = location
    @creditCard = creditCard
    @ccIsPurchaseCardBin = ccIsPurchaseCardBin
    @ccNumber = ccNumber
    @ccProcessAsPurchaseCard = ccProcessAsPurchaseCard
    @ccExpireDate = ccExpireDate
    @ccName = ccName
    @ccStreet = ccStreet
    @ccZipCode = ccZipCode
    @ccApproved = ccApproved
    @applyList = applyList
    @depositList = depositList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CustomerDeposit
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   status - SOAP::SOAPString
#   customer - ActiveNetsuite::RecordRef
#   salesOrder - ActiveNetsuite::RecordRef
#   customForm - ActiveNetsuite::RecordRef
#   payment - SOAP::SOAPDouble
#   currency - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   postingPeriod - ActiveNetsuite::RecordRef
#   paymentMethod - ActiveNetsuite::RecordRef
#   ccIsPurchaseCardBin - SOAP::SOAPBoolean
#   memo - SOAP::SOAPString
#   ccProcessAsPurchaseCard - SOAP::SOAPBoolean
#   currencyName - SOAP::SOAPString
#   exchangeRate - SOAP::SOAPDouble
#   checkNum - SOAP::SOAPString
#   creditCardProcessor - ActiveNetsuite::RecordRef
#   creditCard - ActiveNetsuite::RecordRef
#   ccSecurityCode - SOAP::SOAPString
#   ccNumber - SOAP::SOAPString
#   subsidiary - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   ccExpireDate - SOAP::SOAPDateTime
#   debitCardIssueNo - SOAP::SOAPString
#   validFrom - SOAP::SOAPDateTime
#   ccName - SOAP::SOAPString
#   ccStreet - SOAP::SOAPString
#   ccZipCode - SOAP::SOAPString
#   chargeIt - SOAP::SOAPBoolean
#   ccApproved - SOAP::SOAPBoolean
#   pnRefNum - SOAP::SOAPString
#   authCode - SOAP::SOAPString
#   ccAvsStreetMatch - ActiveNetsuite::AvsMatchCode
#   softDescriptor - SOAP::SOAPString
#   ccAvsZipMatch - ActiveNetsuite::AvsMatchCode
#   ccSecurityCodeMatch - ActiveNetsuite::AvsMatchCode
#   threeDStatusCode - SOAP::SOAPString
#   ignoreAvs - SOAP::SOAPBoolean
#   account - ActiveNetsuite::RecordRef
#   undepFunds - SOAP::SOAPBoolean
#   applyList - ActiveNetsuite::CustomerDepositApplyList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CustomerDeposit < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :status
  attr_accessor :customer
  attr_accessor :salesOrder
  attr_accessor :customForm
  attr_accessor :payment
  attr_accessor :currency
  attr_accessor :tranDate
  attr_accessor :postingPeriod
  attr_accessor :paymentMethod
  attr_accessor :ccIsPurchaseCardBin
  attr_accessor :memo
  attr_accessor :ccProcessAsPurchaseCard
  attr_accessor :currencyName
  attr_accessor :exchangeRate
  attr_accessor :checkNum
  attr_accessor :creditCardProcessor
  attr_accessor :creditCard
  attr_accessor :ccSecurityCode
  attr_accessor :ccNumber
  attr_accessor :subsidiary
  attr_accessor :department
  attr_accessor :location
  attr_accessor :ccExpireDate
  attr_accessor :debitCardIssueNo
  attr_accessor :validFrom
  attr_accessor :ccName
  attr_accessor :ccStreet
  attr_accessor :ccZipCode
  attr_accessor :chargeIt
  attr_accessor :ccApproved
  attr_accessor :pnRefNum
  attr_accessor :authCode
  attr_accessor :ccAvsStreetMatch
  attr_accessor :softDescriptor
  attr_accessor :ccAvsZipMatch
  attr_accessor :ccSecurityCodeMatch
  attr_accessor :threeDStatusCode
  attr_accessor :ignoreAvs
  attr_accessor :account
  attr_accessor :undepFunds
  attr_accessor :applyList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, status = nil, customer = nil, salesOrder = nil, customForm = nil, payment = nil, currency = nil, tranDate = nil, postingPeriod = nil, paymentMethod = nil, ccIsPurchaseCardBin = nil, memo = nil, ccProcessAsPurchaseCard = nil, currencyName = nil, exchangeRate = nil, checkNum = nil, creditCardProcessor = nil, creditCard = nil, ccSecurityCode = nil, ccNumber = nil, subsidiary = nil, department = nil, v_class = nil, location = nil, ccExpireDate = nil, debitCardIssueNo = nil, validFrom = nil, ccName = nil, ccStreet = nil, ccZipCode = nil, chargeIt = nil, ccApproved = nil, pnRefNum = nil, authCode = nil, ccAvsStreetMatch = nil, softDescriptor = nil, ccAvsZipMatch = nil, ccSecurityCodeMatch = nil, threeDStatusCode = nil, ignoreAvs = nil, account = nil, undepFunds = nil, applyList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @status = status
    @customer = customer
    @salesOrder = salesOrder
    @customForm = customForm
    @payment = payment
    @currency = currency
    @tranDate = tranDate
    @postingPeriod = postingPeriod
    @paymentMethod = paymentMethod
    @ccIsPurchaseCardBin = ccIsPurchaseCardBin
    @memo = memo
    @ccProcessAsPurchaseCard = ccProcessAsPurchaseCard
    @currencyName = currencyName
    @exchangeRate = exchangeRate
    @checkNum = checkNum
    @creditCardProcessor = creditCardProcessor
    @creditCard = creditCard
    @ccSecurityCode = ccSecurityCode
    @ccNumber = ccNumber
    @subsidiary = subsidiary
    @department = department
    @v_class = v_class
    @location = location
    @ccExpireDate = ccExpireDate
    @debitCardIssueNo = debitCardIssueNo
    @validFrom = validFrom
    @ccName = ccName
    @ccStreet = ccStreet
    @ccZipCode = ccZipCode
    @chargeIt = chargeIt
    @ccApproved = ccApproved
    @pnRefNum = pnRefNum
    @authCode = authCode
    @ccAvsStreetMatch = ccAvsStreetMatch
    @softDescriptor = softDescriptor
    @ccAvsZipMatch = ccAvsZipMatch
    @ccSecurityCodeMatch = ccSecurityCodeMatch
    @threeDStatusCode = threeDStatusCode
    @ignoreAvs = ignoreAvs
    @account = account
    @undepFunds = undepFunds
    @applyList = applyList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}DepositApplication
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   arAcct - SOAP::SOAPString
#   status - SOAP::SOAPString
#   customer - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   postingPeriod - ActiveNetsuite::RecordRef
#   deposit - ActiveNetsuite::RecordRef
#   depDate - SOAP::SOAPDateTime
#   currency - ActiveNetsuite::RecordRef
#   exchangeRate - SOAP::SOAPDouble
#   memo - SOAP::SOAPString
#   subsidiary - ActiveNetsuite::RecordRef
#   total - SOAP::SOAPDouble
#   department - ActiveNetsuite::RecordRef
#   applied - SOAP::SOAPDouble
#   m_class - ActiveNetsuite::RecordRef
#   unapplied - SOAP::SOAPDouble
#   location - ActiveNetsuite::RecordRef
#   tranId - SOAP::SOAPString
#   applyList - ActiveNetsuite::DepositApplicationApplyList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class DepositApplication < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :arAcct
  attr_accessor :status
  attr_accessor :customer
  attr_accessor :tranDate
  attr_accessor :postingPeriod
  attr_accessor :deposit
  attr_accessor :depDate
  attr_accessor :currency
  attr_accessor :exchangeRate
  attr_accessor :memo
  attr_accessor :subsidiary
  attr_accessor :total
  attr_accessor :department
  attr_accessor :applied
  attr_accessor :unapplied
  attr_accessor :location
  attr_accessor :tranId
  attr_accessor :applyList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, arAcct = nil, status = nil, customer = nil, tranDate = nil, postingPeriod = nil, deposit = nil, depDate = nil, currency = nil, exchangeRate = nil, memo = nil, subsidiary = nil, total = nil, department = nil, applied = nil, v_class = nil, unapplied = nil, location = nil, tranId = nil, applyList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @arAcct = arAcct
    @status = status
    @customer = customer
    @tranDate = tranDate
    @postingPeriod = postingPeriod
    @deposit = deposit
    @depDate = depDate
    @currency = currency
    @exchangeRate = exchangeRate
    @memo = memo
    @subsidiary = subsidiary
    @total = total
    @department = department
    @applied = applied
    @v_class = v_class
    @unapplied = unapplied
    @location = location
    @tranId = tranId
    @applyList = applyList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}Charge
#   nullFieldList - ActiveNetsuite::NullField
#   customForm - ActiveNetsuite::RecordRef
#   salesOrder - ActiveNetsuite::RecordRef
#   billTo - ActiveNetsuite::RecordRef
#   stage - ActiveNetsuite::ChargeStage
#   chargeDate - SOAP::SOAPDateTime
#   use - ActiveNetsuite::ChargeUse
#   chargeType - ActiveNetsuite::ChargeRuleType
#   projectTask - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   createdDate - SOAP::SOAPDateTime
#   timeRecord - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPString
#   quantity - SOAP::SOAPDouble
#   amount - SOAP::SOAPDouble
#   billingItem - ActiveNetsuite::RecordRef
#   currency - ActiveNetsuite::RecordRef
#   salesOrderLine - ActiveNetsuite::RecordRef
#   invoice - ActiveNetsuite::RecordRef
#   invoiceLine - ActiveNetsuite::RecordRef
#   runId - SOAP::SOAPString
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Charge < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :customForm
  attr_accessor :salesOrder
  attr_accessor :billTo
  attr_accessor :stage
  attr_accessor :chargeDate
  attr_accessor :use
  attr_accessor :chargeType
  attr_accessor :projectTask
  attr_accessor :description
  attr_accessor :createdDate
  attr_accessor :timeRecord
  attr_accessor :rate
  attr_accessor :quantity
  attr_accessor :amount
  attr_accessor :billingItem
  attr_accessor :currency
  attr_accessor :salesOrderLine
  attr_accessor :invoice
  attr_accessor :invoiceLine
  attr_accessor :runId

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, customForm = nil, salesOrder = nil, billTo = nil, stage = nil, chargeDate = nil, use = nil, chargeType = nil, projectTask = nil, description = nil, createdDate = nil, timeRecord = nil, rate = nil, quantity = nil, amount = nil, billingItem = nil, currency = nil, salesOrderLine = nil, invoice = nil, invoiceLine = nil, runId = nil)
    @nullFieldList = nullFieldList
    @customForm = customForm
    @salesOrder = salesOrder
    @billTo = billTo
    @stage = stage
    @chargeDate = chargeDate
    @use = use
    @chargeType = chargeType
    @projectTask = projectTask
    @description = description
    @createdDate = createdDate
    @timeRecord = timeRecord
    @rate = rate
    @quantity = quantity
    @amount = amount
    @billingItem = billingItem
    @currency = currency
    @salesOrderLine = salesOrderLine
    @invoice = invoice
    @invoiceLine = invoiceLine
    @runId = runId
    @__xmlattr = {}
  end
end

# {urn:financial_2013_2.transactions.webservices.netsuite.com}Budget
#   nullFieldList - ActiveNetsuite::NullField
#   year - ActiveNetsuite::RecordRef
#   customer - ActiveNetsuite::RecordRef
#   item - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   account - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   category - ActiveNetsuite::RecordRef
#   budgetType - ActiveNetsuite::BudgetBudgetType
#   currency - ActiveNetsuite::RecordRef
#   periodAmount1 - SOAP::SOAPDouble
#   periodAmount2 - SOAP::SOAPDouble
#   periodAmount3 - SOAP::SOAPDouble
#   periodAmount4 - SOAP::SOAPDouble
#   periodAmount5 - SOAP::SOAPDouble
#   periodAmount6 - SOAP::SOAPDouble
#   periodAmount7 - SOAP::SOAPDouble
#   periodAmount8 - SOAP::SOAPDouble
#   periodAmount9 - SOAP::SOAPDouble
#   periodAmount10 - SOAP::SOAPDouble
#   periodAmount11 - SOAP::SOAPDouble
#   periodAmount12 - SOAP::SOAPDouble
#   amount - SOAP::SOAPDouble
#   xmlattr_internalId - SOAP::SOAPString
class Budget < Record
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :year
  attr_accessor :customer
  attr_accessor :item
  attr_accessor :department
  attr_accessor :location
  attr_accessor :account
  attr_accessor :subsidiary
  attr_accessor :category
  attr_accessor :budgetType
  attr_accessor :currency
  attr_accessor :periodAmount1
  attr_accessor :periodAmount2
  attr_accessor :periodAmount3
  attr_accessor :periodAmount4
  attr_accessor :periodAmount5
  attr_accessor :periodAmount6
  attr_accessor :periodAmount7
  attr_accessor :periodAmount8
  attr_accessor :periodAmount9
  attr_accessor :periodAmount10
  attr_accessor :periodAmount11
  attr_accessor :periodAmount12
  attr_accessor :amount

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def initialize(nullFieldList = nil, year = nil, customer = nil, item = nil, v_class = nil, department = nil, location = nil, account = nil, subsidiary = nil, category = nil, budgetType = nil, currency = nil, periodAmount1 = nil, periodAmount2 = nil, periodAmount3 = nil, periodAmount4 = nil, periodAmount5 = nil, periodAmount6 = nil, periodAmount7 = nil, periodAmount8 = nil, periodAmount9 = nil, periodAmount10 = nil, periodAmount11 = nil, periodAmount12 = nil, amount = nil)
    @nullFieldList = nullFieldList
    @year = year
    @customer = customer
    @item = item
    @v_class = v_class
    @department = department
    @location = location
    @account = account
    @subsidiary = subsidiary
    @category = category
    @budgetType = budgetType
    @currency = currency
    @periodAmount1 = periodAmount1
    @periodAmount2 = periodAmount2
    @periodAmount3 = periodAmount3
    @periodAmount4 = periodAmount4
    @periodAmount5 = periodAmount5
    @periodAmount6 = periodAmount6
    @periodAmount7 = periodAmount7
    @periodAmount8 = periodAmount8
    @periodAmount9 = periodAmount9
    @periodAmount10 = periodAmount10
    @periodAmount11 = periodAmount11
    @periodAmount12 = periodAmount12
    @amount = amount
    @__xmlattr = {}
  end
end

# {urn:bank_2013_2.transactions.webservices.netsuite.com}Check
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   status - SOAP::SOAPString
#   customForm - ActiveNetsuite::RecordRef
#   account - ActiveNetsuite::RecordRef
#   balance - SOAP::SOAPDouble
#   entity - ActiveNetsuite::RecordRef
#   address - SOAP::SOAPString
#   subsidiary - ActiveNetsuite::RecordRef
#   postingPeriod - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   currency - ActiveNetsuite::RecordRef
#   voidJournal - ActiveNetsuite::RecordRef
#   exchangeRate - SOAP::SOAPDouble
#   toBePrinted - SOAP::SOAPBoolean
#   tranId - SOAP::SOAPString
#   memo - SOAP::SOAPString
#   department - ActiveNetsuite::RecordRef
#   taxTotal - SOAP::SOAPDouble
#   m_class - ActiveNetsuite::RecordRef
#   tax2Total - SOAP::SOAPDouble
#   location - ActiveNetsuite::RecordRef
#   userTotal - SOAP::SOAPDouble
#   landedCostMethod - ActiveNetsuite::LandedCostMethod
#   landedCostPerLine - SOAP::SOAPBoolean
#   expenseList - ActiveNetsuite::CheckExpenseList
#   itemList - ActiveNetsuite::CheckItemList
#   landedCostsList - ActiveNetsuite::CheckLandedCostList
#   billPay - SOAP::SOAPBoolean
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Check < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :status
  attr_accessor :customForm
  attr_accessor :account
  attr_accessor :balance
  attr_accessor :entity
  attr_accessor :address
  attr_accessor :subsidiary
  attr_accessor :postingPeriod
  attr_accessor :tranDate
  attr_accessor :currency
  attr_accessor :voidJournal
  attr_accessor :exchangeRate
  attr_accessor :toBePrinted
  attr_accessor :tranId
  attr_accessor :memo
  attr_accessor :department
  attr_accessor :taxTotal
  attr_accessor :tax2Total
  attr_accessor :location
  attr_accessor :userTotal
  attr_accessor :landedCostMethod
  attr_accessor :landedCostPerLine
  attr_accessor :expenseList
  attr_accessor :itemList
  attr_accessor :landedCostsList
  attr_accessor :billPay
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, status = nil, customForm = nil, account = nil, balance = nil, entity = nil, address = nil, subsidiary = nil, postingPeriod = nil, tranDate = nil, currency = nil, voidJournal = nil, exchangeRate = nil, toBePrinted = nil, tranId = nil, memo = nil, department = nil, taxTotal = nil, v_class = nil, tax2Total = nil, location = nil, userTotal = nil, landedCostMethod = nil, landedCostPerLine = nil, expenseList = nil, itemList = nil, landedCostsList = nil, billPay = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @status = status
    @customForm = customForm
    @account = account
    @balance = balance
    @entity = entity
    @address = address
    @subsidiary = subsidiary
    @postingPeriod = postingPeriod
    @tranDate = tranDate
    @currency = currency
    @voidJournal = voidJournal
    @exchangeRate = exchangeRate
    @toBePrinted = toBePrinted
    @tranId = tranId
    @memo = memo
    @department = department
    @taxTotal = taxTotal
    @v_class = v_class
    @tax2Total = tax2Total
    @location = location
    @userTotal = userTotal
    @landedCostMethod = landedCostMethod
    @landedCostPerLine = landedCostPerLine
    @expenseList = expenseList
    @itemList = itemList
    @landedCostsList = landedCostsList
    @billPay = billPay
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}InventoryAdjustment
#   nullFieldList - ActiveNetsuite::NullField
#   postingPeriod - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   createdDate - SOAP::SOAPDateTime
#   tranId - SOAP::SOAPString
#   lastModifiedDate - SOAP::SOAPDateTime
#   subsidiary - ActiveNetsuite::RecordRef
#   account - ActiveNetsuite::RecordRef
#   customForm - ActiveNetsuite::RecordRef
#   estimatedTotalValue - SOAP::SOAPDouble
#   customer - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   adjLocation - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   inventoryList - ActiveNetsuite::InventoryAdjustmentInventoryList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class InventoryAdjustment < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :postingPeriod
  attr_accessor :tranDate
  attr_accessor :createdDate
  attr_accessor :tranId
  attr_accessor :lastModifiedDate
  attr_accessor :subsidiary
  attr_accessor :account
  attr_accessor :customForm
  attr_accessor :estimatedTotalValue
  attr_accessor :customer
  attr_accessor :department
  attr_accessor :adjLocation
  attr_accessor :location
  attr_accessor :memo
  attr_accessor :inventoryList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, postingPeriod = nil, tranDate = nil, createdDate = nil, tranId = nil, lastModifiedDate = nil, subsidiary = nil, account = nil, customForm = nil, estimatedTotalValue = nil, customer = nil, department = nil, v_class = nil, adjLocation = nil, location = nil, memo = nil, inventoryList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @postingPeriod = postingPeriod
    @tranDate = tranDate
    @createdDate = createdDate
    @tranId = tranId
    @lastModifiedDate = lastModifiedDate
    @subsidiary = subsidiary
    @account = account
    @customForm = customForm
    @estimatedTotalValue = estimatedTotalValue
    @customer = customer
    @department = department
    @v_class = v_class
    @adjLocation = adjLocation
    @location = location
    @memo = memo
    @inventoryList = inventoryList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}AssemblyBuild
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   expirationDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   createdFrom - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   postingPeriod - ActiveNetsuite::RecordRef
#   tranId - SOAP::SOAPString
#   item - ActiveNetsuite::RecordRef
#   buildable - SOAP::SOAPDouble
#   quantity - SOAP::SOAPDouble
#   units - ActiveNetsuite::RecordRef
#   total - SOAP::SOAPDouble
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   serialNumbers - SOAP::SOAPString
#   binNumbers - SOAP::SOAPString
#   subsidiary - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   revision - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   componentList - ActiveNetsuite::AssemblyComponentList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class AssemblyBuild < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :expirationDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :createdFrom
  attr_accessor :tranDate
  attr_accessor :postingPeriod
  attr_accessor :tranId
  attr_accessor :item
  attr_accessor :buildable
  attr_accessor :quantity
  attr_accessor :units
  attr_accessor :total
  attr_accessor :inventoryDetail
  attr_accessor :serialNumbers
  attr_accessor :binNumbers
  attr_accessor :subsidiary
  attr_accessor :department
  attr_accessor :location
  attr_accessor :revision
  attr_accessor :memo
  attr_accessor :componentList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, expirationDate = nil, lastModifiedDate = nil, customForm = nil, createdFrom = nil, tranDate = nil, postingPeriod = nil, tranId = nil, item = nil, buildable = nil, quantity = nil, units = nil, total = nil, inventoryDetail = nil, serialNumbers = nil, binNumbers = nil, subsidiary = nil, department = nil, v_class = nil, location = nil, revision = nil, memo = nil, componentList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @expirationDate = expirationDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @createdFrom = createdFrom
    @tranDate = tranDate
    @postingPeriod = postingPeriod
    @tranId = tranId
    @item = item
    @buildable = buildable
    @quantity = quantity
    @units = units
    @total = total
    @inventoryDetail = inventoryDetail
    @serialNumbers = serialNumbers
    @binNumbers = binNumbers
    @subsidiary = subsidiary
    @department = department
    @v_class = v_class
    @location = location
    @revision = revision
    @memo = memo
    @componentList = componentList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}AssemblyUnbuild
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   postingPeriod - ActiveNetsuite::RecordRef
#   tranId - SOAP::SOAPString
#   item - ActiveNetsuite::RecordRef
#   built - SOAP::SOAPDouble
#   quantity - SOAP::SOAPDouble
#   units - ActiveNetsuite::RecordRef
#   total - SOAP::SOAPDouble
#   serialNumbers - SOAP::SOAPString
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   binNumbers - SOAP::SOAPString
#   subsidiary - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   componentList - ActiveNetsuite::AssemblyComponentList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class AssemblyUnbuild < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :tranDate
  attr_accessor :postingPeriod
  attr_accessor :tranId
  attr_accessor :item
  attr_accessor :built
  attr_accessor :quantity
  attr_accessor :units
  attr_accessor :total
  attr_accessor :serialNumbers
  attr_accessor :inventoryDetail
  attr_accessor :binNumbers
  attr_accessor :subsidiary
  attr_accessor :department
  attr_accessor :location
  attr_accessor :memo
  attr_accessor :componentList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, tranDate = nil, postingPeriod = nil, tranId = nil, item = nil, built = nil, quantity = nil, units = nil, total = nil, serialNumbers = nil, inventoryDetail = nil, binNumbers = nil, subsidiary = nil, department = nil, v_class = nil, location = nil, memo = nil, componentList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @tranDate = tranDate
    @postingPeriod = postingPeriod
    @tranId = tranId
    @item = item
    @built = built
    @quantity = quantity
    @units = units
    @total = total
    @serialNumbers = serialNumbers
    @inventoryDetail = inventoryDetail
    @binNumbers = binNumbers
    @subsidiary = subsidiary
    @department = department
    @v_class = v_class
    @location = location
    @memo = memo
    @componentList = componentList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}TransferOrder
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   shippingCost - SOAP::SOAPDouble
#   subTotal - SOAP::SOAPDouble
#   status - SOAP::SOAPString
#   transactionShipAddress - ActiveNetsuite::ShipAddress
#   shipAddressList - ActiveNetsuite::RecordRef
#   shipAddress - SOAP::SOAPString
#   fob - SOAP::SOAPString
#   tranDate - SOAP::SOAPDateTime
#   tranId - SOAP::SOAPString
#   source - SOAP::SOAPString
#   orderStatus - ActiveNetsuite::TransferOrderOrderStatus
#   subsidiary - ActiveNetsuite::RecordRef
#   employee - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   transferLocation - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   shipDate - SOAP::SOAPDateTime
#   shipMethod - ActiveNetsuite::RecordRef
#   trackingNumbers - SOAP::SOAPString
#   linkedTrackingNumbers - SOAP::SOAPString
#   shipComplete - SOAP::SOAPBoolean
#   altShippingCost - SOAP::SOAPDouble
#   shippingTax1Rate - SOAP::SOAPDouble
#   shippingTax2Rate - SOAP::SOAPDouble
#   handlingTax1Rate - SOAP::SOAPDouble
#   handlingTax2Rate - SOAP::SOAPDouble
#   shippingTaxCode - ActiveNetsuite::RecordRef
#   handlingTaxCode - ActiveNetsuite::RecordRef
#   total - SOAP::SOAPDouble
#   itemList - ActiveNetsuite::TransferOrderItemList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class TransferOrder < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :shippingCost
  attr_accessor :subTotal
  attr_accessor :status
  attr_accessor :transactionShipAddress
  attr_accessor :shipAddressList
  attr_accessor :shipAddress
  attr_accessor :fob
  attr_accessor :tranDate
  attr_accessor :tranId
  attr_accessor :source
  attr_accessor :orderStatus
  attr_accessor :subsidiary
  attr_accessor :employee
  attr_accessor :department
  attr_accessor :location
  attr_accessor :transferLocation
  attr_accessor :memo
  attr_accessor :shipDate
  attr_accessor :shipMethod
  attr_accessor :trackingNumbers
  attr_accessor :linkedTrackingNumbers
  attr_accessor :shipComplete
  attr_accessor :altShippingCost
  attr_accessor :shippingTax1Rate
  attr_accessor :shippingTax2Rate
  attr_accessor :handlingTax1Rate
  attr_accessor :handlingTax2Rate
  attr_accessor :shippingTaxCode
  attr_accessor :handlingTaxCode
  attr_accessor :total
  attr_accessor :itemList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, shippingCost = nil, subTotal = nil, status = nil, transactionShipAddress = nil, shipAddressList = nil, shipAddress = nil, fob = nil, tranDate = nil, tranId = nil, source = nil, orderStatus = nil, subsidiary = nil, employee = nil, department = nil, v_class = nil, location = nil, transferLocation = nil, memo = nil, shipDate = nil, shipMethod = nil, trackingNumbers = nil, linkedTrackingNumbers = nil, shipComplete = nil, altShippingCost = nil, shippingTax1Rate = nil, shippingTax2Rate = nil, handlingTax1Rate = nil, handlingTax2Rate = nil, shippingTaxCode = nil, handlingTaxCode = nil, total = nil, itemList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @shippingCost = shippingCost
    @subTotal = subTotal
    @status = status
    @transactionShipAddress = transactionShipAddress
    @shipAddressList = shipAddressList
    @shipAddress = shipAddress
    @fob = fob
    @tranDate = tranDate
    @tranId = tranId
    @source = source
    @orderStatus = orderStatus
    @subsidiary = subsidiary
    @employee = employee
    @department = department
    @v_class = v_class
    @location = location
    @transferLocation = transferLocation
    @memo = memo
    @shipDate = shipDate
    @shipMethod = shipMethod
    @trackingNumbers = trackingNumbers
    @linkedTrackingNumbers = linkedTrackingNumbers
    @shipComplete = shipComplete
    @altShippingCost = altShippingCost
    @shippingTax1Rate = shippingTax1Rate
    @shippingTax2Rate = shippingTax2Rate
    @handlingTax1Rate = handlingTax1Rate
    @handlingTax2Rate = handlingTax2Rate
    @shippingTaxCode = shippingTaxCode
    @handlingTaxCode = handlingTaxCode
    @total = total
    @itemList = itemList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}InterCompanyTransferOrder
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   shippingCost - SOAP::SOAPDouble
#   subTotal - SOAP::SOAPDouble
#   status - SOAP::SOAPString
#   transactionShipAddress - ActiveNetsuite::ShipAddress
#   shipAddressList - ActiveNetsuite::RecordRef
#   shipAddress - SOAP::SOAPString
#   fob - SOAP::SOAPString
#   tranDate - SOAP::SOAPDateTime
#   tranId - SOAP::SOAPString
#   source - SOAP::SOAPString
#   orderStatus - ActiveNetsuite::TransferOrderOrderStatus
#   subsidiary - ActiveNetsuite::RecordRef
#   toSubsidiary - ActiveNetsuite::RecordRef
#   employee - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   transferLocation - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   shipDate - SOAP::SOAPDateTime
#   shipMethod - ActiveNetsuite::RecordRef
#   trackingNumbers - SOAP::SOAPString
#   linkedTrackingNumbers - SOAP::SOAPString
#   shipComplete - SOAP::SOAPBoolean
#   altShippingCost - SOAP::SOAPDouble
#   shippingTax1Rate - SOAP::SOAPDouble
#   handlingTax1Rate - SOAP::SOAPDouble
#   shippingTax2Rate - SOAP::SOAPDouble
#   handlingTax2Rate - SOAP::SOAPDouble
#   shippingTaxCode - ActiveNetsuite::RecordRef
#   handlingTaxCode - ActiveNetsuite::RecordRef
#   total - SOAP::SOAPDouble
#   itemList - ActiveNetsuite::InterCompanyTransferOrderItemList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class InterCompanyTransferOrder < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :shippingCost
  attr_accessor :subTotal
  attr_accessor :status
  attr_accessor :transactionShipAddress
  attr_accessor :shipAddressList
  attr_accessor :shipAddress
  attr_accessor :fob
  attr_accessor :tranDate
  attr_accessor :tranId
  attr_accessor :source
  attr_accessor :orderStatus
  attr_accessor :subsidiary
  attr_accessor :toSubsidiary
  attr_accessor :employee
  attr_accessor :department
  attr_accessor :location
  attr_accessor :transferLocation
  attr_accessor :memo
  attr_accessor :shipDate
  attr_accessor :shipMethod
  attr_accessor :trackingNumbers
  attr_accessor :linkedTrackingNumbers
  attr_accessor :shipComplete
  attr_accessor :altShippingCost
  attr_accessor :shippingTax1Rate
  attr_accessor :handlingTax1Rate
  attr_accessor :shippingTax2Rate
  attr_accessor :handlingTax2Rate
  attr_accessor :shippingTaxCode
  attr_accessor :handlingTaxCode
  attr_accessor :total
  attr_accessor :itemList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, shippingCost = nil, subTotal = nil, status = nil, transactionShipAddress = nil, shipAddressList = nil, shipAddress = nil, fob = nil, tranDate = nil, tranId = nil, source = nil, orderStatus = nil, subsidiary = nil, toSubsidiary = nil, employee = nil, department = nil, v_class = nil, location = nil, transferLocation = nil, memo = nil, shipDate = nil, shipMethod = nil, trackingNumbers = nil, linkedTrackingNumbers = nil, shipComplete = nil, altShippingCost = nil, shippingTax1Rate = nil, handlingTax1Rate = nil, shippingTax2Rate = nil, handlingTax2Rate = nil, shippingTaxCode = nil, handlingTaxCode = nil, total = nil, itemList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @shippingCost = shippingCost
    @subTotal = subTotal
    @status = status
    @transactionShipAddress = transactionShipAddress
    @shipAddressList = shipAddressList
    @shipAddress = shipAddress
    @fob = fob
    @tranDate = tranDate
    @tranId = tranId
    @source = source
    @orderStatus = orderStatus
    @subsidiary = subsidiary
    @toSubsidiary = toSubsidiary
    @employee = employee
    @department = department
    @v_class = v_class
    @location = location
    @transferLocation = transferLocation
    @memo = memo
    @shipDate = shipDate
    @shipMethod = shipMethod
    @trackingNumbers = trackingNumbers
    @linkedTrackingNumbers = linkedTrackingNumbers
    @shipComplete = shipComplete
    @altShippingCost = altShippingCost
    @shippingTax1Rate = shippingTax1Rate
    @handlingTax1Rate = handlingTax1Rate
    @shippingTax2Rate = shippingTax2Rate
    @handlingTax2Rate = handlingTax2Rate
    @shippingTaxCode = shippingTaxCode
    @handlingTaxCode = handlingTaxCode
    @total = total
    @itemList = itemList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}WorkOrder
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   manufacturingRouting - ActiveNetsuite::RecordRef
#   status - SOAP::SOAPString
#   tranId - SOAP::SOAPString
#   entity - ActiveNetsuite::RecordRef
#   job - ActiveNetsuite::RecordRef
#   assemblyItem - ActiveNetsuite::RecordRef
#   expandAssembly - SOAP::SOAPBoolean
#   isWip - SOAP::SOAPBoolean
#   quantity - SOAP::SOAPDouble
#   units - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   memo - SOAP::SOAPString
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   itemList - ActiveNetsuite::WorkOrderItemList
#   location - ActiveNetsuite::RecordRef
#   salesTeamList - ActiveNetsuite::SalesTeamList
#   partnersList - ActiveNetsuite::PartnersList
#   createdFrom - ActiveNetsuite::RecordRef
#   buildable - SOAP::SOAPDouble
#   options - ActiveNetsuite::CustomFieldList
#   built - SOAP::SOAPDouble
#   startDate - SOAP::SOAPDateTime
#   endDate - SOAP::SOAPDateTime
#   revision - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class WorkOrder < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :manufacturingRouting
  attr_accessor :status
  attr_accessor :tranId
  attr_accessor :entity
  attr_accessor :job
  attr_accessor :assemblyItem
  attr_accessor :expandAssembly
  attr_accessor :isWip
  attr_accessor :quantity
  attr_accessor :units
  attr_accessor :tranDate
  attr_accessor :memo
  attr_accessor :department
  attr_accessor :itemList
  attr_accessor :location
  attr_accessor :salesTeamList
  attr_accessor :partnersList
  attr_accessor :createdFrom
  attr_accessor :buildable
  attr_accessor :options
  attr_accessor :built
  attr_accessor :startDate
  attr_accessor :endDate
  attr_accessor :revision
  attr_accessor :subsidiary
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, manufacturingRouting = nil, status = nil, tranId = nil, entity = nil, job = nil, assemblyItem = nil, expandAssembly = nil, isWip = nil, quantity = nil, units = nil, tranDate = nil, memo = nil, department = nil, v_class = nil, itemList = nil, location = nil, salesTeamList = nil, partnersList = nil, createdFrom = nil, buildable = nil, options = nil, built = nil, startDate = nil, endDate = nil, revision = nil, subsidiary = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @manufacturingRouting = manufacturingRouting
    @status = status
    @tranId = tranId
    @entity = entity
    @job = job
    @assemblyItem = assemblyItem
    @expandAssembly = expandAssembly
    @isWip = isWip
    @quantity = quantity
    @units = units
    @tranDate = tranDate
    @memo = memo
    @department = department
    @v_class = v_class
    @itemList = itemList
    @location = location
    @salesTeamList = salesTeamList
    @partnersList = partnersList
    @createdFrom = createdFrom
    @buildable = buildable
    @options = options
    @built = built
    @startDate = startDate
    @endDate = endDate
    @revision = revision
    @subsidiary = subsidiary
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}InventoryTransfer
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   tranDate - SOAP::SOAPDateTime
#   postingPeriod - ActiveNetsuite::RecordRef
#   tranId - SOAP::SOAPString
#   memo - SOAP::SOAPString
#   location - ActiveNetsuite::RecordRef
#   transferLocation - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   inventoryList - ActiveNetsuite::InventoryTransferInventoryList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class InventoryTransfer < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :tranDate
  attr_accessor :postingPeriod
  attr_accessor :tranId
  attr_accessor :memo
  attr_accessor :location
  attr_accessor :transferLocation
  attr_accessor :department
  attr_accessor :subsidiary
  attr_accessor :inventoryList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, tranDate = nil, postingPeriod = nil, tranId = nil, memo = nil, location = nil, transferLocation = nil, department = nil, v_class = nil, subsidiary = nil, inventoryList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @tranDate = tranDate
    @postingPeriod = postingPeriod
    @tranId = tranId
    @memo = memo
    @location = location
    @transferLocation = transferLocation
    @department = department
    @v_class = v_class
    @subsidiary = subsidiary
    @inventoryList = inventoryList
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}BinTransfer
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   tranDate - SOAP::SOAPDateTime
#   memo - SOAP::SOAPString
#   location - ActiveNetsuite::RecordRef
#   inventoryList - ActiveNetsuite::BinTransferInventoryList
#   subsidiary - ActiveNetsuite::RecordRef
#   tranId - SOAP::SOAPString
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class BinTransfer < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :tranDate
  attr_accessor :memo
  attr_accessor :location
  attr_accessor :inventoryList
  attr_accessor :subsidiary
  attr_accessor :tranId

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, tranDate = nil, memo = nil, location = nil, inventoryList = nil, subsidiary = nil, tranId = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @tranDate = tranDate
    @memo = memo
    @location = location
    @inventoryList = inventoryList
    @subsidiary = subsidiary
    @tranId = tranId
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}BinWorksheet
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   tranDate - SOAP::SOAPDateTime
#   memo - SOAP::SOAPString
#   location - ActiveNetsuite::RecordRef
#   tranId - SOAP::SOAPString
#   itemList - ActiveNetsuite::BinWorksheetItemList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class BinWorksheet < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :tranDate
  attr_accessor :memo
  attr_accessor :location
  attr_accessor :tranId
  attr_accessor :itemList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, tranDate = nil, memo = nil, location = nil, tranId = nil, itemList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @tranDate = tranDate
    @memo = memo
    @location = location
    @tranId = tranId
    @itemList = itemList
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}WorkOrderIssue
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   tranId - SOAP::SOAPString
#   item - ActiveNetsuite::RecordRef
#   createdFrom - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   postingPeriod - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   subsidiary - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   revision - ActiveNetsuite::RecordRef
#   componentList - ActiveNetsuite::WorkOrderIssueComponentList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class WorkOrderIssue < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :tranId
  attr_accessor :item
  attr_accessor :createdFrom
  attr_accessor :tranDate
  attr_accessor :postingPeriod
  attr_accessor :memo
  attr_accessor :subsidiary
  attr_accessor :department
  attr_accessor :location
  attr_accessor :revision
  attr_accessor :componentList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, tranId = nil, item = nil, createdFrom = nil, tranDate = nil, postingPeriod = nil, memo = nil, subsidiary = nil, department = nil, v_class = nil, location = nil, revision = nil, componentList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @tranId = tranId
    @item = item
    @createdFrom = createdFrom
    @tranDate = tranDate
    @postingPeriod = postingPeriod
    @memo = memo
    @subsidiary = subsidiary
    @department = department
    @v_class = v_class
    @location = location
    @revision = revision
    @componentList = componentList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}WorkOrderCompletion
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   tranId - SOAP::SOAPString
#   item - ActiveNetsuite::RecordRef
#   quantity - SOAP::SOAPDouble
#   scrapQuantity - SOAP::SOAPDouble
#   units - ActiveNetsuite::RecordRef
#   isBackflush - SOAP::SOAPBoolean
#   orderQuantity - SOAP::SOAPDouble
#   total - SOAP::SOAPDouble
#   createdFrom - ActiveNetsuite::RecordRef
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   tranDate - SOAP::SOAPDateTime
#   postingPeriod - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   subsidiary - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   revision - ActiveNetsuite::RecordRef
#   startOperation - ActiveNetsuite::RecordRef
#   endOperation - ActiveNetsuite::RecordRef
#   completedQuantity - SOAP::SOAPDouble
#   manufacturingRouting - ActiveNetsuite::RecordRef
#   componentList - ActiveNetsuite::WorkOrderCompletionComponentList
#   operationList - ActiveNetsuite::WorkOrderCompletionOperationList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class WorkOrderCompletion < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :tranId
  attr_accessor :item
  attr_accessor :quantity
  attr_accessor :scrapQuantity
  attr_accessor :units
  attr_accessor :isBackflush
  attr_accessor :orderQuantity
  attr_accessor :total
  attr_accessor :createdFrom
  attr_accessor :inventoryDetail
  attr_accessor :tranDate
  attr_accessor :postingPeriod
  attr_accessor :memo
  attr_accessor :subsidiary
  attr_accessor :department
  attr_accessor :location
  attr_accessor :revision
  attr_accessor :startOperation
  attr_accessor :endOperation
  attr_accessor :completedQuantity
  attr_accessor :manufacturingRouting
  attr_accessor :componentList
  attr_accessor :operationList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, tranId = nil, item = nil, quantity = nil, scrapQuantity = nil, units = nil, isBackflush = nil, orderQuantity = nil, total = nil, createdFrom = nil, inventoryDetail = nil, tranDate = nil, postingPeriod = nil, memo = nil, subsidiary = nil, department = nil, v_class = nil, location = nil, revision = nil, startOperation = nil, endOperation = nil, completedQuantity = nil, manufacturingRouting = nil, componentList = nil, operationList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @tranId = tranId
    @item = item
    @quantity = quantity
    @scrapQuantity = scrapQuantity
    @units = units
    @isBackflush = isBackflush
    @orderQuantity = orderQuantity
    @total = total
    @createdFrom = createdFrom
    @inventoryDetail = inventoryDetail
    @tranDate = tranDate
    @postingPeriod = postingPeriod
    @memo = memo
    @subsidiary = subsidiary
    @department = department
    @v_class = v_class
    @location = location
    @revision = revision
    @startOperation = startOperation
    @endOperation = endOperation
    @completedQuantity = completedQuantity
    @manufacturingRouting = manufacturingRouting
    @componentList = componentList
    @operationList = operationList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}WorkOrderClose
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   tranId - SOAP::SOAPString
#   item - ActiveNetsuite::RecordRef
#   quantity - SOAP::SOAPDouble
#   orderQuantity - SOAP::SOAPDouble
#   scrapQuantity - SOAP::SOAPDouble
#   createdFrom - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   postingPeriod - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   subsidiary - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   revision - ActiveNetsuite::RecordRef
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class WorkOrderClose < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :tranId
  attr_accessor :item
  attr_accessor :quantity
  attr_accessor :orderQuantity
  attr_accessor :scrapQuantity
  attr_accessor :createdFrom
  attr_accessor :tranDate
  attr_accessor :postingPeriod
  attr_accessor :memo
  attr_accessor :subsidiary
  attr_accessor :department
  attr_accessor :location
  attr_accessor :revision
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, tranId = nil, item = nil, quantity = nil, orderQuantity = nil, scrapQuantity = nil, createdFrom = nil, tranDate = nil, postingPeriod = nil, memo = nil, subsidiary = nil, department = nil, v_class = nil, location = nil, revision = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @tranId = tranId
    @item = item
    @quantity = quantity
    @orderQuantity = orderQuantity
    @scrapQuantity = scrapQuantity
    @createdFrom = createdFrom
    @tranDate = tranDate
    @postingPeriod = postingPeriod
    @memo = memo
    @subsidiary = subsidiary
    @department = department
    @v_class = v_class
    @location = location
    @revision = revision
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}InventoryCostRevaluation
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   postingPeriod - ActiveNetsuite::RecordRef
#   tranId - SOAP::SOAPString
#   account - ActiveNetsuite::RecordRef
#   item - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   total - SOAP::SOAPDouble
#   inventoryValue - SOAP::SOAPDouble
#   unitCost - SOAP::SOAPDouble
#   costComponentList - ActiveNetsuite::InventoryCostRevaluationCostComponentList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class InventoryCostRevaluation < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :subsidiary
  attr_accessor :tranDate
  attr_accessor :postingPeriod
  attr_accessor :tranId
  attr_accessor :account
  attr_accessor :item
  attr_accessor :department
  attr_accessor :location
  attr_accessor :memo
  attr_accessor :total
  attr_accessor :inventoryValue
  attr_accessor :unitCost
  attr_accessor :costComponentList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, subsidiary = nil, tranDate = nil, postingPeriod = nil, tranId = nil, account = nil, item = nil, department = nil, v_class = nil, location = nil, memo = nil, total = nil, inventoryValue = nil, unitCost = nil, costComponentList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @subsidiary = subsidiary
    @tranDate = tranDate
    @postingPeriod = postingPeriod
    @tranId = tranId
    @account = account
    @item = item
    @department = department
    @v_class = v_class
    @location = location
    @memo = memo
    @total = total
    @inventoryValue = inventoryValue
    @unitCost = unitCost
    @costComponentList = costComponentList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:general_2013_2.transactions.webservices.netsuite.com}JournalEntry
#   nullFieldList - ActiveNetsuite::NullField
#   postingPeriod - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   currency - ActiveNetsuite::RecordRef
#   exchangeRate - SOAP::SOAPDouble
#   tranId - SOAP::SOAPString
#   reversalDate - SOAP::SOAPDateTime
#   reversalDefer - SOAP::SOAPBoolean
#   parentExpenseAlloc - ActiveNetsuite::RecordRef
#   reversalEntry - SOAP::SOAPString
#   createdFrom - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   toSubsidiary - ActiveNetsuite::RecordRef
#   approved - SOAP::SOAPBoolean
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   lineList - ActiveNetsuite::JournalEntryLineList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class JournalEntry < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :postingPeriod
  attr_accessor :tranDate
  attr_accessor :currency
  attr_accessor :exchangeRate
  attr_accessor :tranId
  attr_accessor :reversalDate
  attr_accessor :reversalDefer
  attr_accessor :parentExpenseAlloc
  attr_accessor :reversalEntry
  attr_accessor :createdFrom
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiary
  attr_accessor :toSubsidiary
  attr_accessor :approved
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :lineList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, postingPeriod = nil, tranDate = nil, currency = nil, exchangeRate = nil, tranId = nil, reversalDate = nil, reversalDefer = nil, parentExpenseAlloc = nil, reversalEntry = nil, createdFrom = nil, department = nil, v_class = nil, location = nil, subsidiary = nil, toSubsidiary = nil, approved = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, lineList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @postingPeriod = postingPeriod
    @tranDate = tranDate
    @currency = currency
    @exchangeRate = exchangeRate
    @tranId = tranId
    @reversalDate = reversalDate
    @reversalDefer = reversalDefer
    @parentExpenseAlloc = parentExpenseAlloc
    @reversalEntry = reversalEntry
    @createdFrom = createdFrom
    @department = department
    @v_class = v_class
    @location = location
    @subsidiary = subsidiary
    @toSubsidiary = toSubsidiary
    @approved = approved
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @lineList = lineList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:general_2013_2.transactions.webservices.netsuite.com}InterCompanyJournalEntry
#   nullFieldList - ActiveNetsuite::NullField
#   postingPeriod - ActiveNetsuite::RecordRef
#   customForm - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   currency - ActiveNetsuite::RecordRef
#   exchangeRate - SOAP::SOAPDouble
#   tranId - SOAP::SOAPString
#   reversalDate - SOAP::SOAPDateTime
#   reversalDefer - SOAP::SOAPBoolean
#   parentExpenseAlloc - ActiveNetsuite::RecordRef
#   reversalEntry - SOAP::SOAPString
#   createdFrom - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   toSubsidiary - ActiveNetsuite::RecordRef
#   approved - SOAP::SOAPBoolean
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   lineList - ActiveNetsuite::InterCompanyJournalEntryLineList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class InterCompanyJournalEntry < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :postingPeriod
  attr_accessor :customForm
  attr_accessor :tranDate
  attr_accessor :currency
  attr_accessor :exchangeRate
  attr_accessor :tranId
  attr_accessor :reversalDate
  attr_accessor :reversalDefer
  attr_accessor :parentExpenseAlloc
  attr_accessor :reversalEntry
  attr_accessor :createdFrom
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiary
  attr_accessor :toSubsidiary
  attr_accessor :approved
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :lineList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, postingPeriod = nil, customForm = nil, tranDate = nil, currency = nil, exchangeRate = nil, tranId = nil, reversalDate = nil, reversalDefer = nil, parentExpenseAlloc = nil, reversalEntry = nil, createdFrom = nil, department = nil, v_class = nil, location = nil, subsidiary = nil, toSubsidiary = nil, approved = nil, createdDate = nil, lastModifiedDate = nil, lineList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @postingPeriod = postingPeriod
    @customForm = customForm
    @tranDate = tranDate
    @currency = currency
    @exchangeRate = exchangeRate
    @tranId = tranId
    @reversalDate = reversalDate
    @reversalDefer = reversalDefer
    @parentExpenseAlloc = parentExpenseAlloc
    @reversalEntry = reversalEntry
    @createdFrom = createdFrom
    @department = department
    @v_class = v_class
    @location = location
    @subsidiary = subsidiary
    @toSubsidiary = toSubsidiary
    @approved = approved
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @lineList = lineList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecord
#   nullFieldList - ActiveNetsuite::NullField
#   customRecordId - SOAP::SOAPString
#   customForm - ActiveNetsuite::RecordRef
#   isInactive - SOAP::SOAPBoolean
#   disclaimer - SOAP::SOAPString
#   created - SOAP::SOAPDateTime
#   lastModified - SOAP::SOAPDateTime
#   name - SOAP::SOAPString
#   owner - ActiveNetsuite::RecordRef
#   recType - ActiveNetsuite::RecordRef
#   enableNumbering - SOAP::SOAPBoolean
#   numberingPrefix - SOAP::SOAPString
#   numberingSuffix - SOAP::SOAPString
#   numberingMinDigits - SOAP::SOAPLong
#   description - SOAP::SOAPString
#   numberingInit - SOAP::SOAPLong
#   numberingCurrentNumber - SOAP::SOAPLong
#   allowNumberingOverride - SOAP::SOAPBoolean
#   isNumberingUpdateable - SOAP::SOAPBoolean
#   translationsList - ActiveNetsuite::CustomRecordTranslationsList
#   includeName - SOAP::SOAPBoolean
#   showId - SOAP::SOAPBoolean
#   showCreationDate - SOAP::SOAPBoolean
#   showCreationDateOnList - SOAP::SOAPBoolean
#   showLastModified - SOAP::SOAPBoolean
#   showLastModifiedOnList - SOAP::SOAPBoolean
#   showOwner - SOAP::SOAPBoolean
#   showOwnerOnList - SOAP::SOAPBoolean
#   showOwnerAllowChange - SOAP::SOAPBoolean
#   usePermissions - SOAP::SOAPBoolean
#   allowAttachments - SOAP::SOAPBoolean
#   showNotes - SOAP::SOAPBoolean
#   enablEmailMerge - SOAP::SOAPBoolean
#   isOrdered - SOAP::SOAPBoolean
#   allowInlineEditing - SOAP::SOAPBoolean
#   isAvailableOffline - SOAP::SOAPBoolean
#   allowQuickSearch - SOAP::SOAPBoolean
#   recordName - SOAP::SOAPString
#   scriptId - SOAP::SOAPString
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CustomRecord < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :customRecordId
  attr_accessor :customForm
  attr_accessor :isInactive
  attr_accessor :disclaimer
  attr_accessor :created
  attr_accessor :lastModified
  attr_accessor :name
  attr_accessor :owner
  attr_accessor :recType
  attr_accessor :enableNumbering
  attr_accessor :numberingPrefix
  attr_accessor :numberingSuffix
  attr_accessor :numberingMinDigits
  attr_accessor :description
  attr_accessor :numberingInit
  attr_accessor :numberingCurrentNumber
  attr_accessor :allowNumberingOverride
  attr_accessor :isNumberingUpdateable
  attr_accessor :translationsList
  attr_accessor :includeName
  attr_accessor :showId
  attr_accessor :showCreationDate
  attr_accessor :showCreationDateOnList
  attr_accessor :showLastModified
  attr_accessor :showLastModifiedOnList
  attr_accessor :showOwner
  attr_accessor :showOwnerOnList
  attr_accessor :showOwnerAllowChange
  attr_accessor :usePermissions
  attr_accessor :allowAttachments
  attr_accessor :showNotes
  attr_accessor :enablEmailMerge
  attr_accessor :isOrdered
  attr_accessor :allowInlineEditing
  attr_accessor :isAvailableOffline
  attr_accessor :allowQuickSearch
  attr_accessor :recordName
  attr_accessor :scriptId
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, customRecordId = nil, customForm = nil, isInactive = nil, disclaimer = nil, created = nil, lastModified = nil, name = nil, owner = nil, recType = nil, enableNumbering = nil, numberingPrefix = nil, numberingSuffix = nil, numberingMinDigits = nil, description = nil, numberingInit = nil, numberingCurrentNumber = nil, allowNumberingOverride = nil, isNumberingUpdateable = nil, translationsList = nil, includeName = nil, showId = nil, showCreationDate = nil, showCreationDateOnList = nil, showLastModified = nil, showLastModifiedOnList = nil, showOwner = nil, showOwnerOnList = nil, showOwnerAllowChange = nil, usePermissions = nil, allowAttachments = nil, showNotes = nil, enablEmailMerge = nil, isOrdered = nil, allowInlineEditing = nil, isAvailableOffline = nil, allowQuickSearch = nil, recordName = nil, scriptId = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @customRecordId = customRecordId
    @customForm = customForm
    @isInactive = isInactive
    @disclaimer = disclaimer
    @created = created
    @lastModified = lastModified
    @name = name
    @owner = owner
    @recType = recType
    @enableNumbering = enableNumbering
    @numberingPrefix = numberingPrefix
    @numberingSuffix = numberingSuffix
    @numberingMinDigits = numberingMinDigits
    @description = description
    @numberingInit = numberingInit
    @numberingCurrentNumber = numberingCurrentNumber
    @allowNumberingOverride = allowNumberingOverride
    @isNumberingUpdateable = isNumberingUpdateable
    @translationsList = translationsList
    @includeName = includeName
    @showId = showId
    @showCreationDate = showCreationDate
    @showCreationDateOnList = showCreationDateOnList
    @showLastModified = showLastModified
    @showLastModifiedOnList = showLastModifiedOnList
    @showOwner = showOwner
    @showOwnerOnList = showOwnerOnList
    @showOwnerAllowChange = showOwnerAllowChange
    @usePermissions = usePermissions
    @allowAttachments = allowAttachments
    @showNotes = showNotes
    @enablEmailMerge = enablEmailMerge
    @isOrdered = isOrdered
    @allowInlineEditing = allowInlineEditing
    @isAvailableOffline = isAvailableOffline
    @allowQuickSearch = allowQuickSearch
    @recordName = recordName
    @scriptId = scriptId
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomList
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   owner - ActiveNetsuite::RecordRef
#   isOrdered - SOAP::SOAPBoolean
#   description - SOAP::SOAPString
#   isMatrixOption - SOAP::SOAPBoolean
#   scriptId - SOAP::SOAPString
#   convertToCustomRecord - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   customValueList - ActiveNetsuite::CustomListCustomValueList
#   translationsList - ActiveNetsuite::CustomListTranslationsList
#   xmlattr_internalId - SOAP::SOAPString
class CustomList < Record
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :owner
  attr_accessor :isOrdered
  attr_accessor :description
  attr_accessor :isMatrixOption
  attr_accessor :scriptId
  attr_accessor :convertToCustomRecord
  attr_accessor :isInactive
  attr_accessor :customValueList
  attr_accessor :translationsList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, owner = nil, isOrdered = nil, description = nil, isMatrixOption = nil, scriptId = nil, convertToCustomRecord = nil, isInactive = nil, customValueList = nil, translationsList = nil)
    @nullFieldList = nullFieldList
    @name = name
    @owner = owner
    @isOrdered = isOrdered
    @description = description
    @isMatrixOption = isMatrixOption
    @scriptId = scriptId
    @convertToCustomRecord = convertToCustomRecord
    @isInactive = isInactive
    @customValueList = customValueList
    @translationsList = translationsList
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordType
#   nullFieldList - ActiveNetsuite::NullField
#   recordName - SOAP::SOAPString
#   includeName - SOAP::SOAPBoolean
#   showId - SOAP::SOAPBoolean
#   showCreationDate - SOAP::SOAPBoolean
#   showCreationDateOnList - SOAP::SOAPBoolean
#   showLastModified - SOAP::SOAPBoolean
#   showLastModifiedOnList - SOAP::SOAPBoolean
#   showOwner - SOAP::SOAPBoolean
#   showOwnerOnList - SOAP::SOAPBoolean
#   showOwnerAllowChange - SOAP::SOAPBoolean
#   accessType - ActiveNetsuite::CustomRecordTypeAccessType
#   allowAttachments - SOAP::SOAPBoolean
#   showNotes - SOAP::SOAPBoolean
#   enableMailMerge - SOAP::SOAPBoolean
#   isOrdered - SOAP::SOAPBoolean
#   isAvailableOffline - SOAP::SOAPBoolean
#   allowQuickSearch - SOAP::SOAPBoolean
#   enableDle - SOAP::SOAPBoolean
#   enableNameTranslation - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   disclaimer - SOAP::SOAPString
#   enableNumbering - SOAP::SOAPBoolean
#   numberingPrefix - SOAP::SOAPString
#   numberingSuffix - SOAP::SOAPString
#   numberingMinDigits - SOAP::SOAPLong
#   numberingInit - SOAP::SOAPLong
#   numberingCurrentNumber - SOAP::SOAPLong
#   allowNumberingOverride - SOAP::SOAPBoolean
#   isNumberingUpdateable - SOAP::SOAPBoolean
#   owner - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   tabsList - ActiveNetsuite::CustomRecordTypeTabsList
#   sublistsList - ActiveNetsuite::CustomRecordTypeSublistsList
#   formsList - ActiveNetsuite::CustomRecordTypeFormsList
#   onlineFormsList - ActiveNetsuite::CustomRecordTypeOnlineFormsList
#   permissionsList - ActiveNetsuite::CustomRecordTypePermissionsList
#   linksList - ActiveNetsuite::CustomRecordTypeLinksList
#   managersList - ActiveNetsuite::CustomRecordTypeManagersList
#   childrenList - ActiveNetsuite::CustomRecordTypeChildrenList
#   parentsList - ActiveNetsuite::CustomRecordTypeParentsList
#   translationsList - ActiveNetsuite::CustomRecordTypeTranslationsList
#   scriptId - SOAP::SOAPString
#   customFieldList - ActiveNetsuite::CustomRecordTypeFieldList
#   xmlattr_internalId - SOAP::SOAPString
class CustomRecordType < Record
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :recordName
  attr_accessor :includeName
  attr_accessor :showId
  attr_accessor :showCreationDate
  attr_accessor :showCreationDateOnList
  attr_accessor :showLastModified
  attr_accessor :showLastModifiedOnList
  attr_accessor :showOwner
  attr_accessor :showOwnerOnList
  attr_accessor :showOwnerAllowChange
  attr_accessor :accessType
  attr_accessor :allowAttachments
  attr_accessor :showNotes
  attr_accessor :enableMailMerge
  attr_accessor :isOrdered
  attr_accessor :isAvailableOffline
  attr_accessor :allowQuickSearch
  attr_accessor :enableDle
  attr_accessor :enableNameTranslation
  attr_accessor :isInactive
  attr_accessor :disclaimer
  attr_accessor :enableNumbering
  attr_accessor :numberingPrefix
  attr_accessor :numberingSuffix
  attr_accessor :numberingMinDigits
  attr_accessor :numberingInit
  attr_accessor :numberingCurrentNumber
  attr_accessor :allowNumberingOverride
  attr_accessor :isNumberingUpdateable
  attr_accessor :owner
  attr_accessor :description
  attr_accessor :tabsList
  attr_accessor :sublistsList
  attr_accessor :formsList
  attr_accessor :onlineFormsList
  attr_accessor :permissionsList
  attr_accessor :linksList
  attr_accessor :managersList
  attr_accessor :childrenList
  attr_accessor :parentsList
  attr_accessor :translationsList
  attr_accessor :scriptId
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def initialize(nullFieldList = nil, recordName = nil, includeName = nil, showId = nil, showCreationDate = nil, showCreationDateOnList = nil, showLastModified = nil, showLastModifiedOnList = nil, showOwner = nil, showOwnerOnList = nil, showOwnerAllowChange = nil, accessType = nil, allowAttachments = nil, showNotes = nil, enableMailMerge = nil, isOrdered = nil, isAvailableOffline = nil, allowQuickSearch = nil, enableDle = nil, enableNameTranslation = nil, isInactive = nil, disclaimer = nil, enableNumbering = nil, numberingPrefix = nil, numberingSuffix = nil, numberingMinDigits = nil, numberingInit = nil, numberingCurrentNumber = nil, allowNumberingOverride = nil, isNumberingUpdateable = nil, owner = nil, description = nil, tabsList = nil, sublistsList = nil, formsList = nil, onlineFormsList = nil, permissionsList = nil, linksList = nil, managersList = nil, childrenList = nil, parentsList = nil, translationsList = nil, scriptId = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @recordName = recordName
    @includeName = includeName
    @showId = showId
    @showCreationDate = showCreationDate
    @showCreationDateOnList = showCreationDateOnList
    @showLastModified = showLastModified
    @showLastModifiedOnList = showLastModifiedOnList
    @showOwner = showOwner
    @showOwnerOnList = showOwnerOnList
    @showOwnerAllowChange = showOwnerAllowChange
    @accessType = accessType
    @allowAttachments = allowAttachments
    @showNotes = showNotes
    @enableMailMerge = enableMailMerge
    @isOrdered = isOrdered
    @isAvailableOffline = isAvailableOffline
    @allowQuickSearch = allowQuickSearch
    @enableDle = enableDle
    @enableNameTranslation = enableNameTranslation
    @isInactive = isInactive
    @disclaimer = disclaimer
    @enableNumbering = enableNumbering
    @numberingPrefix = numberingPrefix
    @numberingSuffix = numberingSuffix
    @numberingMinDigits = numberingMinDigits
    @numberingInit = numberingInit
    @numberingCurrentNumber = numberingCurrentNumber
    @allowNumberingOverride = allowNumberingOverride
    @isNumberingUpdateable = isNumberingUpdateable
    @owner = owner
    @description = description
    @tabsList = tabsList
    @sublistsList = sublistsList
    @formsList = formsList
    @onlineFormsList = onlineFormsList
    @permissionsList = permissionsList
    @linksList = linksList
    @managersList = managersList
    @childrenList = childrenList
    @parentsList = parentsList
    @translationsList = translationsList
    @scriptId = scriptId
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomFieldType
# abstract
#   nullFieldList - ActiveNetsuite::NullField
#   fieldType - ActiveNetsuite::CustomizationFieldType
#   scriptId - SOAP::SOAPString
class CustomFieldType < Record
  attr_accessor :nullFieldList
  attr_accessor :fieldType
  attr_accessor :scriptId

  def initialize(nullFieldList = nil, fieldType = nil, scriptId = nil)
    @nullFieldList = nullFieldList
    @fieldType = fieldType
    @scriptId = scriptId
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}EntityCustomField
#   nullFieldList - ActiveNetsuite::NullField
#   fieldType - ActiveNetsuite::CustomizationFieldType
#   scriptId - SOAP::SOAPString
#   label - SOAP::SOAPString
#   owner - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   selectRecordType - ActiveNetsuite::RecordRef
#   storeValue - SOAP::SOAPBoolean
#   showInList - SOAP::SOAPBoolean
#   globalSearch - SOAP::SOAPBoolean
#   isParent - SOAP::SOAPBoolean
#   insertBefore - ActiveNetsuite::RecordRef
#   availableToSso - SOAP::SOAPBoolean
#   subtab - ActiveNetsuite::RecordRef
#   displayType - ActiveNetsuite::CustomizationDisplayType
#   displayWidth - SOAP::SOAPLong
#   displayHeight - SOAP::SOAPLong
#   help - SOAP::SOAPString
#   parentSubtab - ActiveNetsuite::RecordRef
#   linkText - SOAP::SOAPString
#   isMandatory - SOAP::SOAPBoolean
#   checkSpelling - SOAP::SOAPBoolean
#   maxLength - SOAP::SOAPLong
#   minValue - SOAP::SOAPDouble
#   maxValue - SOAP::SOAPDouble
#   defaultChecked - SOAP::SOAPBoolean
#   defaultValue - SOAP::SOAPString
#   isFormula - SOAP::SOAPBoolean
#   defaultSelection - ActiveNetsuite::RecordRef
#   dynamicDefault - ActiveNetsuite::CustomizationDynamicDefault
#   searchDefault - ActiveNetsuite::RecordRef
#   searchCompareField - ActiveNetsuite::RecordRef
#   sourceList - ActiveNetsuite::RecordRef
#   sourceFrom - ActiveNetsuite::RecordRef
#   sourceFilterBy - ActiveNetsuite::RecordRef
#   appliesToCustomer - SOAP::SOAPBoolean
#   appliesToProject - SOAP::SOAPBoolean
#   appliesToVendor - SOAP::SOAPBoolean
#   appliesToEmployee - SOAP::SOAPBoolean
#   appliesToOtherName - SOAP::SOAPBoolean
#   appliesToContact - SOAP::SOAPBoolean
#   appliesToPartner - SOAP::SOAPBoolean
#   appliesToWebSite - SOAP::SOAPBoolean
#   appliesToGroup - SOAP::SOAPBoolean
#   availableExternally - SOAP::SOAPBoolean
#   filterList - ActiveNetsuite::EntityCustomFieldFilterList
#   accessLevel - ActiveNetsuite::CustomizationAccessLevel
#   appliesToStatement - SOAP::SOAPBoolean
#   searchLevel - ActiveNetsuite::CustomizationSearchLevel
#   appliesToPriceList - SOAP::SOAPBoolean
#   roleAccessList - ActiveNetsuite::CustomFieldRoleAccessList
#   deptAccessList - ActiveNetsuite::CustomFieldDepartmentAccessList
#   subAccessList - ActiveNetsuite::CustomFieldSubAccessList
#   translationsList - ActiveNetsuite::CustomFieldTranslationsList
#   xmlattr_internalId - SOAP::SOAPString
class EntityCustomField < CustomFieldType
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :fieldType
  attr_accessor :scriptId
  attr_accessor :label
  attr_accessor :owner
  attr_accessor :description
  attr_accessor :selectRecordType
  attr_accessor :storeValue
  attr_accessor :showInList
  attr_accessor :globalSearch
  attr_accessor :isParent
  attr_accessor :insertBefore
  attr_accessor :availableToSso
  attr_accessor :subtab
  attr_accessor :displayType
  attr_accessor :displayWidth
  attr_accessor :displayHeight
  attr_accessor :help
  attr_accessor :parentSubtab
  attr_accessor :linkText
  attr_accessor :isMandatory
  attr_accessor :checkSpelling
  attr_accessor :maxLength
  attr_accessor :minValue
  attr_accessor :maxValue
  attr_accessor :defaultChecked
  attr_accessor :defaultValue
  attr_accessor :isFormula
  attr_accessor :defaultSelection
  attr_accessor :dynamicDefault
  attr_accessor :searchDefault
  attr_accessor :searchCompareField
  attr_accessor :sourceList
  attr_accessor :sourceFrom
  attr_accessor :sourceFilterBy
  attr_accessor :appliesToCustomer
  attr_accessor :appliesToProject
  attr_accessor :appliesToVendor
  attr_accessor :appliesToEmployee
  attr_accessor :appliesToOtherName
  attr_accessor :appliesToContact
  attr_accessor :appliesToPartner
  attr_accessor :appliesToWebSite
  attr_accessor :appliesToGroup
  attr_accessor :availableExternally
  attr_accessor :filterList
  attr_accessor :accessLevel
  attr_accessor :appliesToStatement
  attr_accessor :searchLevel
  attr_accessor :appliesToPriceList
  attr_accessor :roleAccessList
  attr_accessor :deptAccessList
  attr_accessor :subAccessList
  attr_accessor :translationsList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def initialize(nullFieldList = nil, fieldType = nil, scriptId = nil, label = nil, owner = nil, description = nil, selectRecordType = nil, storeValue = nil, showInList = nil, globalSearch = nil, isParent = nil, insertBefore = nil, availableToSso = nil, subtab = nil, displayType = nil, displayWidth = nil, displayHeight = nil, help = nil, parentSubtab = nil, linkText = nil, isMandatory = nil, checkSpelling = nil, maxLength = nil, minValue = nil, maxValue = nil, defaultChecked = nil, defaultValue = nil, isFormula = nil, defaultSelection = nil, dynamicDefault = nil, searchDefault = nil, searchCompareField = nil, sourceList = nil, sourceFrom = nil, sourceFilterBy = nil, appliesToCustomer = nil, appliesToProject = nil, appliesToVendor = nil, appliesToEmployee = nil, appliesToOtherName = nil, appliesToContact = nil, appliesToPartner = nil, appliesToWebSite = nil, appliesToGroup = nil, availableExternally = nil, filterList = nil, accessLevel = nil, appliesToStatement = nil, searchLevel = nil, appliesToPriceList = nil, roleAccessList = nil, deptAccessList = nil, subAccessList = nil, translationsList = nil)
    @nullFieldList = nullFieldList
    @fieldType = fieldType
    @scriptId = scriptId
    @label = label
    @owner = owner
    @description = description
    @selectRecordType = selectRecordType
    @storeValue = storeValue
    @showInList = showInList
    @globalSearch = globalSearch
    @isParent = isParent
    @insertBefore = insertBefore
    @availableToSso = availableToSso
    @subtab = subtab
    @displayType = displayType
    @displayWidth = displayWidth
    @displayHeight = displayHeight
    @help = help
    @parentSubtab = parentSubtab
    @linkText = linkText
    @isMandatory = isMandatory
    @checkSpelling = checkSpelling
    @maxLength = maxLength
    @minValue = minValue
    @maxValue = maxValue
    @defaultChecked = defaultChecked
    @defaultValue = defaultValue
    @isFormula = isFormula
    @defaultSelection = defaultSelection
    @dynamicDefault = dynamicDefault
    @searchDefault = searchDefault
    @searchCompareField = searchCompareField
    @sourceList = sourceList
    @sourceFrom = sourceFrom
    @sourceFilterBy = sourceFilterBy
    @appliesToCustomer = appliesToCustomer
    @appliesToProject = appliesToProject
    @appliesToVendor = appliesToVendor
    @appliesToEmployee = appliesToEmployee
    @appliesToOtherName = appliesToOtherName
    @appliesToContact = appliesToContact
    @appliesToPartner = appliesToPartner
    @appliesToWebSite = appliesToWebSite
    @appliesToGroup = appliesToGroup
    @availableExternally = availableExternally
    @filterList = filterList
    @accessLevel = accessLevel
    @appliesToStatement = appliesToStatement
    @searchLevel = searchLevel
    @appliesToPriceList = appliesToPriceList
    @roleAccessList = roleAccessList
    @deptAccessList = deptAccessList
    @subAccessList = subAccessList
    @translationsList = translationsList
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CrmCustomField
#   nullFieldList - ActiveNetsuite::NullField
#   fieldType - ActiveNetsuite::CustomizationFieldType
#   scriptId - SOAP::SOAPString
#   label - SOAP::SOAPString
#   owner - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   selectRecordType - ActiveNetsuite::RecordRef
#   storeValue - SOAP::SOAPBoolean
#   showInList - SOAP::SOAPBoolean
#   globalSearch - SOAP::SOAPBoolean
#   isParent - SOAP::SOAPBoolean
#   insertBefore - ActiveNetsuite::RecordRef
#   subtab - ActiveNetsuite::RecordRef
#   displayType - ActiveNetsuite::CustomizationDisplayType
#   displayWidth - SOAP::SOAPLong
#   displayHeight - SOAP::SOAPLong
#   help - SOAP::SOAPString
#   parentSubtab - ActiveNetsuite::RecordRef
#   linkText - SOAP::SOAPString
#   isMandatory - SOAP::SOAPBoolean
#   checkSpelling - SOAP::SOAPBoolean
#   maxLength - SOAP::SOAPLong
#   minValue - SOAP::SOAPDouble
#   maxValue - SOAP::SOAPDouble
#   defaultChecked - SOAP::SOAPBoolean
#   defaultValue - SOAP::SOAPString
#   isFormula - SOAP::SOAPBoolean
#   defaultSelection - ActiveNetsuite::RecordRef
#   dynamicDefault - ActiveNetsuite::CustomizationDynamicDefault
#   searchDefault - ActiveNetsuite::RecordRef
#   searchCompareField - ActiveNetsuite::RecordRef
#   sourceList - ActiveNetsuite::RecordRef
#   sourceFrom - ActiveNetsuite::RecordRef
#   sourceFilterBy - ActiveNetsuite::RecordRef
#   appliesToTask - SOAP::SOAPBoolean
#   appliesToMfgProjectTask - SOAP::SOAPBoolean
#   appliesToProjectTask - SOAP::SOAPBoolean
#   appliesToPhoneCall - SOAP::SOAPBoolean
#   appliesToEvent - SOAP::SOAPBoolean
#   appliesToCase - SOAP::SOAPBoolean
#   appliesToCampaign - SOAP::SOAPBoolean
#   appliesPerKeyword - SOAP::SOAPBoolean
#   appliesToSolution - SOAP::SOAPBoolean
#   appliesToIssue - SOAP::SOAPBoolean
#   availableExternally - SOAP::SOAPBoolean
#   availableToSso - SOAP::SOAPBoolean
#   showIssueChanges - SOAP::SOAPBoolean
#   filterList - ActiveNetsuite::CrmCustomFieldFilterList
#   accessLevel - ActiveNetsuite::CustomizationAccessLevel
#   searchLevel - ActiveNetsuite::CustomizationSearchLevel
#   roleAccessList - ActiveNetsuite::CustomFieldRoleAccessList
#   deptAccessList - ActiveNetsuite::CustomFieldDepartmentAccessList
#   subAccessList - ActiveNetsuite::CustomFieldSubAccessList
#   translationsList - ActiveNetsuite::CustomFieldTranslationsList
#   xmlattr_internalId - SOAP::SOAPString
class CrmCustomField < CustomFieldType
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :fieldType
  attr_accessor :scriptId
  attr_accessor :label
  attr_accessor :owner
  attr_accessor :description
  attr_accessor :selectRecordType
  attr_accessor :storeValue
  attr_accessor :showInList
  attr_accessor :globalSearch
  attr_accessor :isParent
  attr_accessor :insertBefore
  attr_accessor :subtab
  attr_accessor :displayType
  attr_accessor :displayWidth
  attr_accessor :displayHeight
  attr_accessor :help
  attr_accessor :parentSubtab
  attr_accessor :linkText
  attr_accessor :isMandatory
  attr_accessor :checkSpelling
  attr_accessor :maxLength
  attr_accessor :minValue
  attr_accessor :maxValue
  attr_accessor :defaultChecked
  attr_accessor :defaultValue
  attr_accessor :isFormula
  attr_accessor :defaultSelection
  attr_accessor :dynamicDefault
  attr_accessor :searchDefault
  attr_accessor :searchCompareField
  attr_accessor :sourceList
  attr_accessor :sourceFrom
  attr_accessor :sourceFilterBy
  attr_accessor :appliesToTask
  attr_accessor :appliesToMfgProjectTask
  attr_accessor :appliesToProjectTask
  attr_accessor :appliesToPhoneCall
  attr_accessor :appliesToEvent
  attr_accessor :appliesToCase
  attr_accessor :appliesToCampaign
  attr_accessor :appliesPerKeyword
  attr_accessor :appliesToSolution
  attr_accessor :appliesToIssue
  attr_accessor :availableExternally
  attr_accessor :availableToSso
  attr_accessor :showIssueChanges
  attr_accessor :filterList
  attr_accessor :accessLevel
  attr_accessor :searchLevel
  attr_accessor :roleAccessList
  attr_accessor :deptAccessList
  attr_accessor :subAccessList
  attr_accessor :translationsList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def initialize(nullFieldList = nil, fieldType = nil, scriptId = nil, label = nil, owner = nil, description = nil, selectRecordType = nil, storeValue = nil, showInList = nil, globalSearch = nil, isParent = nil, insertBefore = nil, subtab = nil, displayType = nil, displayWidth = nil, displayHeight = nil, help = nil, parentSubtab = nil, linkText = nil, isMandatory = nil, checkSpelling = nil, maxLength = nil, minValue = nil, maxValue = nil, defaultChecked = nil, defaultValue = nil, isFormula = nil, defaultSelection = nil, dynamicDefault = nil, searchDefault = nil, searchCompareField = nil, sourceList = nil, sourceFrom = nil, sourceFilterBy = nil, appliesToTask = nil, appliesToMfgProjectTask = nil, appliesToProjectTask = nil, appliesToPhoneCall = nil, appliesToEvent = nil, appliesToCase = nil, appliesToCampaign = nil, appliesPerKeyword = nil, appliesToSolution = nil, appliesToIssue = nil, availableExternally = nil, availableToSso = nil, showIssueChanges = nil, filterList = nil, accessLevel = nil, searchLevel = nil, roleAccessList = nil, deptAccessList = nil, subAccessList = nil, translationsList = nil)
    @nullFieldList = nullFieldList
    @fieldType = fieldType
    @scriptId = scriptId
    @label = label
    @owner = owner
    @description = description
    @selectRecordType = selectRecordType
    @storeValue = storeValue
    @showInList = showInList
    @globalSearch = globalSearch
    @isParent = isParent
    @insertBefore = insertBefore
    @subtab = subtab
    @displayType = displayType
    @displayWidth = displayWidth
    @displayHeight = displayHeight
    @help = help
    @parentSubtab = parentSubtab
    @linkText = linkText
    @isMandatory = isMandatory
    @checkSpelling = checkSpelling
    @maxLength = maxLength
    @minValue = minValue
    @maxValue = maxValue
    @defaultChecked = defaultChecked
    @defaultValue = defaultValue
    @isFormula = isFormula
    @defaultSelection = defaultSelection
    @dynamicDefault = dynamicDefault
    @searchDefault = searchDefault
    @searchCompareField = searchCompareField
    @sourceList = sourceList
    @sourceFrom = sourceFrom
    @sourceFilterBy = sourceFilterBy
    @appliesToTask = appliesToTask
    @appliesToMfgProjectTask = appliesToMfgProjectTask
    @appliesToProjectTask = appliesToProjectTask
    @appliesToPhoneCall = appliesToPhoneCall
    @appliesToEvent = appliesToEvent
    @appliesToCase = appliesToCase
    @appliesToCampaign = appliesToCampaign
    @appliesPerKeyword = appliesPerKeyword
    @appliesToSolution = appliesToSolution
    @appliesToIssue = appliesToIssue
    @availableExternally = availableExternally
    @availableToSso = availableToSso
    @showIssueChanges = showIssueChanges
    @filterList = filterList
    @accessLevel = accessLevel
    @searchLevel = searchLevel
    @roleAccessList = roleAccessList
    @deptAccessList = deptAccessList
    @subAccessList = subAccessList
    @translationsList = translationsList
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}OtherCustomField
#   nullFieldList - ActiveNetsuite::NullField
#   fieldType - ActiveNetsuite::CustomizationFieldType
#   scriptId - SOAP::SOAPString
#   recType - ActiveNetsuite::RecordRef
#   label - SOAP::SOAPString
#   owner - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   selectRecordType - ActiveNetsuite::RecordRef
#   storeValue - SOAP::SOAPBoolean
#   showInList - SOAP::SOAPBoolean
#   insertBefore - ActiveNetsuite::RecordRef
#   displayType - ActiveNetsuite::CustomizationDisplayType
#   displayWidth - SOAP::SOAPLong
#   displayHeight - SOAP::SOAPLong
#   help - SOAP::SOAPString
#   linkText - SOAP::SOAPString
#   isMandatory - SOAP::SOAPBoolean
#   checkSpelling - SOAP::SOAPBoolean
#   maxLength - SOAP::SOAPLong
#   minValue - SOAP::SOAPDouble
#   maxValue - SOAP::SOAPDouble
#   defaultChecked - SOAP::SOAPBoolean
#   defaultValue - SOAP::SOAPString
#   isFormula - SOAP::SOAPBoolean
#   defaultSelection - ActiveNetsuite::RecordRef
#   dynamicDefault - ActiveNetsuite::CustomizationDynamicDefault
#   searchDefault - ActiveNetsuite::RecordRef
#   searchCompareField - ActiveNetsuite::RecordRef
#   sourceList - ActiveNetsuite::RecordRef
#   sourceFrom - ActiveNetsuite::RecordRef
#   sourceFilterBy - ActiveNetsuite::RecordRef
#   filterList - ActiveNetsuite::OtherCustomFieldFilterList
#   accessLevel - ActiveNetsuite::CustomizationAccessLevel
#   searchLevel - ActiveNetsuite::CustomizationSearchLevel
#   roleAccessList - ActiveNetsuite::CustomFieldRoleAccessList
#   deptAccessList - ActiveNetsuite::CustomFieldDepartmentAccessList
#   subAccessList - ActiveNetsuite::CustomFieldSubAccessList
#   translationsList - ActiveNetsuite::CustomFieldTranslationsList
#   xmlattr_internalId - SOAP::SOAPString
class OtherCustomField < CustomFieldType
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :fieldType
  attr_accessor :scriptId
  attr_accessor :recType
  attr_accessor :label
  attr_accessor :owner
  attr_accessor :description
  attr_accessor :selectRecordType
  attr_accessor :storeValue
  attr_accessor :showInList
  attr_accessor :insertBefore
  attr_accessor :displayType
  attr_accessor :displayWidth
  attr_accessor :displayHeight
  attr_accessor :help
  attr_accessor :linkText
  attr_accessor :isMandatory
  attr_accessor :checkSpelling
  attr_accessor :maxLength
  attr_accessor :minValue
  attr_accessor :maxValue
  attr_accessor :defaultChecked
  attr_accessor :defaultValue
  attr_accessor :isFormula
  attr_accessor :defaultSelection
  attr_accessor :dynamicDefault
  attr_accessor :searchDefault
  attr_accessor :searchCompareField
  attr_accessor :sourceList
  attr_accessor :sourceFrom
  attr_accessor :sourceFilterBy
  attr_accessor :filterList
  attr_accessor :accessLevel
  attr_accessor :searchLevel
  attr_accessor :roleAccessList
  attr_accessor :deptAccessList
  attr_accessor :subAccessList
  attr_accessor :translationsList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def initialize(nullFieldList = nil, fieldType = nil, scriptId = nil, recType = nil, label = nil, owner = nil, description = nil, selectRecordType = nil, storeValue = nil, showInList = nil, insertBefore = nil, displayType = nil, displayWidth = nil, displayHeight = nil, help = nil, linkText = nil, isMandatory = nil, checkSpelling = nil, maxLength = nil, minValue = nil, maxValue = nil, defaultChecked = nil, defaultValue = nil, isFormula = nil, defaultSelection = nil, dynamicDefault = nil, searchDefault = nil, searchCompareField = nil, sourceList = nil, sourceFrom = nil, sourceFilterBy = nil, filterList = nil, accessLevel = nil, searchLevel = nil, roleAccessList = nil, deptAccessList = nil, subAccessList = nil, translationsList = nil)
    @nullFieldList = nullFieldList
    @fieldType = fieldType
    @scriptId = scriptId
    @recType = recType
    @label = label
    @owner = owner
    @description = description
    @selectRecordType = selectRecordType
    @storeValue = storeValue
    @showInList = showInList
    @insertBefore = insertBefore
    @displayType = displayType
    @displayWidth = displayWidth
    @displayHeight = displayHeight
    @help = help
    @linkText = linkText
    @isMandatory = isMandatory
    @checkSpelling = checkSpelling
    @maxLength = maxLength
    @minValue = minValue
    @maxValue = maxValue
    @defaultChecked = defaultChecked
    @defaultValue = defaultValue
    @isFormula = isFormula
    @defaultSelection = defaultSelection
    @dynamicDefault = dynamicDefault
    @searchDefault = searchDefault
    @searchCompareField = searchCompareField
    @sourceList = sourceList
    @sourceFrom = sourceFrom
    @sourceFilterBy = sourceFilterBy
    @filterList = filterList
    @accessLevel = accessLevel
    @searchLevel = searchLevel
    @roleAccessList = roleAccessList
    @deptAccessList = deptAccessList
    @subAccessList = subAccessList
    @translationsList = translationsList
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}ItemCustomField
#   nullFieldList - ActiveNetsuite::NullField
#   fieldType - ActiveNetsuite::CustomizationFieldType
#   scriptId - SOAP::SOAPString
#   label - SOAP::SOAPString
#   owner - ActiveNetsuite::RecordRef
#   itemMatrix - SOAP::SOAPBoolean
#   description - SOAP::SOAPString
#   selectRecordType - ActiveNetsuite::RecordRef
#   storeValue - SOAP::SOAPBoolean
#   showInList - SOAP::SOAPBoolean
#   globalSearch - SOAP::SOAPBoolean
#   isParent - SOAP::SOAPBoolean
#   insertBefore - ActiveNetsuite::RecordRef
#   subtab - ActiveNetsuite::RecordRef
#   displayType - ActiveNetsuite::CustomizationDisplayType
#   displayWidth - SOAP::SOAPLong
#   displayHeight - SOAP::SOAPLong
#   help - SOAP::SOAPString
#   parentSubtab - ActiveNetsuite::RecordRef
#   linkText - SOAP::SOAPString
#   isMandatory - SOAP::SOAPBoolean
#   checkSpelling - SOAP::SOAPBoolean
#   maxLength - SOAP::SOAPLong
#   minValue - SOAP::SOAPDouble
#   maxValue - SOAP::SOAPDouble
#   defaultChecked - SOAP::SOAPBoolean
#   defaultValue - SOAP::SOAPString
#   isFormula - SOAP::SOAPBoolean
#   defaultSelection - ActiveNetsuite::RecordRef
#   dynamicDefault - ActiveNetsuite::CustomizationDynamicDefault
#   searchDefault - ActiveNetsuite::RecordRef
#   searchCompareField - ActiveNetsuite::RecordRef
#   sourceList - ActiveNetsuite::RecordRef
#   sourceFrom - ActiveNetsuite::RecordRef
#   sourceFilterBy - ActiveNetsuite::RecordRef
#   appliesToInventory - SOAP::SOAPBoolean
#   appliesToNonInventory - SOAP::SOAPBoolean
#   appliesToService - SOAP::SOAPBoolean
#   appliesToOtherCharge - SOAP::SOAPBoolean
#   appliesToGroup - SOAP::SOAPBoolean
#   appliesToKit - SOAP::SOAPBoolean
#   appliesToItemAssembly - SOAP::SOAPBoolean
#   availableToSso - SOAP::SOAPBoolean
#   itemSubType - ActiveNetsuite::ItemCustomFieldItemSubType
#   filterList - ActiveNetsuite::ItemCustomFieldFilterList
#   appliesToPriceList - SOAP::SOAPBoolean
#   accessLevel - ActiveNetsuite::CustomizationAccessLevel
#   searchLevel - ActiveNetsuite::CustomizationSearchLevel
#   roleAccessList - ActiveNetsuite::CustomFieldRoleAccessList
#   deptAccessList - ActiveNetsuite::CustomFieldDepartmentAccessList
#   subAccessList - ActiveNetsuite::CustomFieldSubAccessList
#   translationsList - ActiveNetsuite::CustomFieldTranslationsList
#   xmlattr_internalId - SOAP::SOAPString
class ItemCustomField < CustomFieldType
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :fieldType
  attr_accessor :scriptId
  attr_accessor :label
  attr_accessor :owner
  attr_accessor :itemMatrix
  attr_accessor :description
  attr_accessor :selectRecordType
  attr_accessor :storeValue
  attr_accessor :showInList
  attr_accessor :globalSearch
  attr_accessor :isParent
  attr_accessor :insertBefore
  attr_accessor :subtab
  attr_accessor :displayType
  attr_accessor :displayWidth
  attr_accessor :displayHeight
  attr_accessor :help
  attr_accessor :parentSubtab
  attr_accessor :linkText
  attr_accessor :isMandatory
  attr_accessor :checkSpelling
  attr_accessor :maxLength
  attr_accessor :minValue
  attr_accessor :maxValue
  attr_accessor :defaultChecked
  attr_accessor :defaultValue
  attr_accessor :isFormula
  attr_accessor :defaultSelection
  attr_accessor :dynamicDefault
  attr_accessor :searchDefault
  attr_accessor :searchCompareField
  attr_accessor :sourceList
  attr_accessor :sourceFrom
  attr_accessor :sourceFilterBy
  attr_accessor :appliesToInventory
  attr_accessor :appliesToNonInventory
  attr_accessor :appliesToService
  attr_accessor :appliesToOtherCharge
  attr_accessor :appliesToGroup
  attr_accessor :appliesToKit
  attr_accessor :appliesToItemAssembly
  attr_accessor :availableToSso
  attr_accessor :itemSubType
  attr_accessor :filterList
  attr_accessor :appliesToPriceList
  attr_accessor :accessLevel
  attr_accessor :searchLevel
  attr_accessor :roleAccessList
  attr_accessor :deptAccessList
  attr_accessor :subAccessList
  attr_accessor :translationsList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def initialize(nullFieldList = nil, fieldType = nil, scriptId = nil, label = nil, owner = nil, itemMatrix = nil, description = nil, selectRecordType = nil, storeValue = nil, showInList = nil, globalSearch = nil, isParent = nil, insertBefore = nil, subtab = nil, displayType = nil, displayWidth = nil, displayHeight = nil, help = nil, parentSubtab = nil, linkText = nil, isMandatory = nil, checkSpelling = nil, maxLength = nil, minValue = nil, maxValue = nil, defaultChecked = nil, defaultValue = nil, isFormula = nil, defaultSelection = nil, dynamicDefault = nil, searchDefault = nil, searchCompareField = nil, sourceList = nil, sourceFrom = nil, sourceFilterBy = nil, appliesToInventory = nil, appliesToNonInventory = nil, appliesToService = nil, appliesToOtherCharge = nil, appliesToGroup = nil, appliesToKit = nil, appliesToItemAssembly = nil, availableToSso = nil, itemSubType = nil, filterList = nil, appliesToPriceList = nil, accessLevel = nil, searchLevel = nil, roleAccessList = nil, deptAccessList = nil, subAccessList = nil, translationsList = nil)
    @nullFieldList = nullFieldList
    @fieldType = fieldType
    @scriptId = scriptId
    @label = label
    @owner = owner
    @itemMatrix = itemMatrix
    @description = description
    @selectRecordType = selectRecordType
    @storeValue = storeValue
    @showInList = showInList
    @globalSearch = globalSearch
    @isParent = isParent
    @insertBefore = insertBefore
    @subtab = subtab
    @displayType = displayType
    @displayWidth = displayWidth
    @displayHeight = displayHeight
    @help = help
    @parentSubtab = parentSubtab
    @linkText = linkText
    @isMandatory = isMandatory
    @checkSpelling = checkSpelling
    @maxLength = maxLength
    @minValue = minValue
    @maxValue = maxValue
    @defaultChecked = defaultChecked
    @defaultValue = defaultValue
    @isFormula = isFormula
    @defaultSelection = defaultSelection
    @dynamicDefault = dynamicDefault
    @searchDefault = searchDefault
    @searchCompareField = searchCompareField
    @sourceList = sourceList
    @sourceFrom = sourceFrom
    @sourceFilterBy = sourceFilterBy
    @appliesToInventory = appliesToInventory
    @appliesToNonInventory = appliesToNonInventory
    @appliesToService = appliesToService
    @appliesToOtherCharge = appliesToOtherCharge
    @appliesToGroup = appliesToGroup
    @appliesToKit = appliesToKit
    @appliesToItemAssembly = appliesToItemAssembly
    @availableToSso = availableToSso
    @itemSubType = itemSubType
    @filterList = filterList
    @appliesToPriceList = appliesToPriceList
    @accessLevel = accessLevel
    @searchLevel = searchLevel
    @roleAccessList = roleAccessList
    @deptAccessList = deptAccessList
    @subAccessList = subAccessList
    @translationsList = translationsList
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}TransactionBodyCustomField
#   nullFieldList - ActiveNetsuite::NullField
#   fieldType - ActiveNetsuite::CustomizationFieldType
#   scriptId - SOAP::SOAPString
#   label - SOAP::SOAPString
#   owner - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   selectRecordType - ActiveNetsuite::RecordRef
#   storeValue - SOAP::SOAPBoolean
#   showInList - SOAP::SOAPBoolean
#   globalSearch - SOAP::SOAPBoolean
#   isParent - SOAP::SOAPBoolean
#   insertBefore - ActiveNetsuite::RecordRef
#   subtab - ActiveNetsuite::RecordRef
#   availableToSso - SOAP::SOAPBoolean
#   displayType - ActiveNetsuite::CustomizationDisplayType
#   displayWidth - SOAP::SOAPLong
#   displayHeight - SOAP::SOAPLong
#   help - SOAP::SOAPString
#   parentSubtab - ActiveNetsuite::RecordRef
#   linkText - SOAP::SOAPString
#   isMandatory - SOAP::SOAPBoolean
#   checkSpelling - SOAP::SOAPBoolean
#   maxLength - SOAP::SOAPLong
#   minValue - SOAP::SOAPDouble
#   maxValue - SOAP::SOAPDouble
#   defaultChecked - SOAP::SOAPBoolean
#   defaultValue - SOAP::SOAPString
#   isFormula - SOAP::SOAPBoolean
#   defaultSelection - ActiveNetsuite::RecordRef
#   dynamicDefault - ActiveNetsuite::CustomizationDynamicDefault
#   searchDefault - ActiveNetsuite::RecordRef
#   searchCompareField - ActiveNetsuite::RecordRef
#   sourceList - ActiveNetsuite::RecordRef
#   sourceFrom - ActiveNetsuite::RecordRef
#   sourceFilterBy - ActiveNetsuite::RecordRef
#   bodyPurchase - SOAP::SOAPBoolean
#   bodySale - SOAP::SOAPBoolean
#   bodyOpportunity - SOAP::SOAPBoolean
#   bodyJournal - SOAP::SOAPBoolean
#   bodyExpenseReport - SOAP::SOAPBoolean
#   bodyStore - SOAP::SOAPBoolean
#   bodyTransferOrder - SOAP::SOAPBoolean
#   bodyItemReceipt - SOAP::SOAPBoolean
#   bodyItemReceiptOrder - SOAP::SOAPBoolean
#   bodyItemFulfillment - SOAP::SOAPBoolean
#   bodyItemFulfillmentOrder - SOAP::SOAPBoolean
#   bodyInventoryAdjustment - SOAP::SOAPBoolean
#   bodyBTegata - SOAP::SOAPBoolean
#   bodyAssemblyBuild - SOAP::SOAPBoolean
#   bodyPrintFlag - SOAP::SOAPBoolean
#   bodyPickingTicket - SOAP::SOAPBoolean
#   bodyPrintPackingSlip - SOAP::SOAPBoolean
#   bodyCustomerPayment - SOAP::SOAPBoolean
#   bodyVendorPayment - SOAP::SOAPBoolean
#   bodyDeposit - SOAP::SOAPBoolean
#   bodyBom - SOAP::SOAPBoolean
#   bodyPrintStatement - SOAP::SOAPBoolean
#   filterList - ActiveNetsuite::TransactionBodyCustomFieldFilterList
#   accessLevel - ActiveNetsuite::CustomizationAccessLevel
#   searchLevel - ActiveNetsuite::CustomizationSearchLevel
#   roleAccessList - ActiveNetsuite::CustomFieldRoleAccessList
#   deptAccessList - ActiveNetsuite::CustomFieldDepartmentAccessList
#   subAccessList - ActiveNetsuite::CustomFieldSubAccessList
#   translationsList - ActiveNetsuite::CustomFieldTranslationsList
#   xmlattr_internalId - SOAP::SOAPString
class TransactionBodyCustomField < CustomFieldType
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :fieldType
  attr_accessor :scriptId
  attr_accessor :label
  attr_accessor :owner
  attr_accessor :description
  attr_accessor :selectRecordType
  attr_accessor :storeValue
  attr_accessor :showInList
  attr_accessor :globalSearch
  attr_accessor :isParent
  attr_accessor :insertBefore
  attr_accessor :subtab
  attr_accessor :availableToSso
  attr_accessor :displayType
  attr_accessor :displayWidth
  attr_accessor :displayHeight
  attr_accessor :help
  attr_accessor :parentSubtab
  attr_accessor :linkText
  attr_accessor :isMandatory
  attr_accessor :checkSpelling
  attr_accessor :maxLength
  attr_accessor :minValue
  attr_accessor :maxValue
  attr_accessor :defaultChecked
  attr_accessor :defaultValue
  attr_accessor :isFormula
  attr_accessor :defaultSelection
  attr_accessor :dynamicDefault
  attr_accessor :searchDefault
  attr_accessor :searchCompareField
  attr_accessor :sourceList
  attr_accessor :sourceFrom
  attr_accessor :sourceFilterBy
  attr_accessor :bodyPurchase
  attr_accessor :bodySale
  attr_accessor :bodyOpportunity
  attr_accessor :bodyJournal
  attr_accessor :bodyExpenseReport
  attr_accessor :bodyStore
  attr_accessor :bodyTransferOrder
  attr_accessor :bodyItemReceipt
  attr_accessor :bodyItemReceiptOrder
  attr_accessor :bodyItemFulfillment
  attr_accessor :bodyItemFulfillmentOrder
  attr_accessor :bodyInventoryAdjustment
  attr_accessor :bodyBTegata
  attr_accessor :bodyAssemblyBuild
  attr_accessor :bodyPrintFlag
  attr_accessor :bodyPickingTicket
  attr_accessor :bodyPrintPackingSlip
  attr_accessor :bodyCustomerPayment
  attr_accessor :bodyVendorPayment
  attr_accessor :bodyDeposit
  attr_accessor :bodyBom
  attr_accessor :bodyPrintStatement
  attr_accessor :filterList
  attr_accessor :accessLevel
  attr_accessor :searchLevel
  attr_accessor :roleAccessList
  attr_accessor :deptAccessList
  attr_accessor :subAccessList
  attr_accessor :translationsList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def initialize(nullFieldList = nil, fieldType = nil, scriptId = nil, label = nil, owner = nil, description = nil, selectRecordType = nil, storeValue = nil, showInList = nil, globalSearch = nil, isParent = nil, insertBefore = nil, subtab = nil, availableToSso = nil, displayType = nil, displayWidth = nil, displayHeight = nil, help = nil, parentSubtab = nil, linkText = nil, isMandatory = nil, checkSpelling = nil, maxLength = nil, minValue = nil, maxValue = nil, defaultChecked = nil, defaultValue = nil, isFormula = nil, defaultSelection = nil, dynamicDefault = nil, searchDefault = nil, searchCompareField = nil, sourceList = nil, sourceFrom = nil, sourceFilterBy = nil, bodyPurchase = nil, bodySale = nil, bodyOpportunity = nil, bodyJournal = nil, bodyExpenseReport = nil, bodyStore = nil, bodyTransferOrder = nil, bodyItemReceipt = nil, bodyItemReceiptOrder = nil, bodyItemFulfillment = nil, bodyItemFulfillmentOrder = nil, bodyInventoryAdjustment = nil, bodyBTegata = nil, bodyAssemblyBuild = nil, bodyPrintFlag = nil, bodyPickingTicket = nil, bodyPrintPackingSlip = nil, bodyCustomerPayment = nil, bodyVendorPayment = nil, bodyDeposit = nil, bodyBom = nil, bodyPrintStatement = nil, filterList = nil, accessLevel = nil, searchLevel = nil, roleAccessList = nil, deptAccessList = nil, subAccessList = nil, translationsList = nil)
    @nullFieldList = nullFieldList
    @fieldType = fieldType
    @scriptId = scriptId
    @label = label
    @owner = owner
    @description = description
    @selectRecordType = selectRecordType
    @storeValue = storeValue
    @showInList = showInList
    @globalSearch = globalSearch
    @isParent = isParent
    @insertBefore = insertBefore
    @subtab = subtab
    @availableToSso = availableToSso
    @displayType = displayType
    @displayWidth = displayWidth
    @displayHeight = displayHeight
    @help = help
    @parentSubtab = parentSubtab
    @linkText = linkText
    @isMandatory = isMandatory
    @checkSpelling = checkSpelling
    @maxLength = maxLength
    @minValue = minValue
    @maxValue = maxValue
    @defaultChecked = defaultChecked
    @defaultValue = defaultValue
    @isFormula = isFormula
    @defaultSelection = defaultSelection
    @dynamicDefault = dynamicDefault
    @searchDefault = searchDefault
    @searchCompareField = searchCompareField
    @sourceList = sourceList
    @sourceFrom = sourceFrom
    @sourceFilterBy = sourceFilterBy
    @bodyPurchase = bodyPurchase
    @bodySale = bodySale
    @bodyOpportunity = bodyOpportunity
    @bodyJournal = bodyJournal
    @bodyExpenseReport = bodyExpenseReport
    @bodyStore = bodyStore
    @bodyTransferOrder = bodyTransferOrder
    @bodyItemReceipt = bodyItemReceipt
    @bodyItemReceiptOrder = bodyItemReceiptOrder
    @bodyItemFulfillment = bodyItemFulfillment
    @bodyItemFulfillmentOrder = bodyItemFulfillmentOrder
    @bodyInventoryAdjustment = bodyInventoryAdjustment
    @bodyBTegata = bodyBTegata
    @bodyAssemblyBuild = bodyAssemblyBuild
    @bodyPrintFlag = bodyPrintFlag
    @bodyPickingTicket = bodyPickingTicket
    @bodyPrintPackingSlip = bodyPrintPackingSlip
    @bodyCustomerPayment = bodyCustomerPayment
    @bodyVendorPayment = bodyVendorPayment
    @bodyDeposit = bodyDeposit
    @bodyBom = bodyBom
    @bodyPrintStatement = bodyPrintStatement
    @filterList = filterList
    @accessLevel = accessLevel
    @searchLevel = searchLevel
    @roleAccessList = roleAccessList
    @deptAccessList = deptAccessList
    @subAccessList = subAccessList
    @translationsList = translationsList
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}TransactionColumnCustomField
#   nullFieldList - ActiveNetsuite::NullField
#   fieldType - ActiveNetsuite::CustomizationFieldType
#   scriptId - SOAP::SOAPString
#   label - SOAP::SOAPString
#   owner - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   selectRecordType - ActiveNetsuite::RecordRef
#   storeValue - SOAP::SOAPBoolean
#   insertBefore - ActiveNetsuite::RecordRef
#   availableToSso - SOAP::SOAPBoolean
#   displayType - ActiveNetsuite::CustomizationDisplayType
#   displayWidth - SOAP::SOAPLong
#   displayHeight - SOAP::SOAPLong
#   help - SOAP::SOAPString
#   linkText - SOAP::SOAPString
#   isMandatory - SOAP::SOAPBoolean
#   maxLength - SOAP::SOAPLong
#   minValue - SOAP::SOAPDouble
#   maxValue - SOAP::SOAPDouble
#   defaultChecked - SOAP::SOAPBoolean
#   defaultValue - SOAP::SOAPString
#   isFormula - SOAP::SOAPBoolean
#   defaultSelection - ActiveNetsuite::RecordRef
#   dynamicDefault - ActiveNetsuite::CustomizationDynamicDefault
#   sourceList - ActiveNetsuite::RecordRef
#   sourceFrom - ActiveNetsuite::RecordRef
#   sourceFilterBy - ActiveNetsuite::RecordRef
#   colExpense - SOAP::SOAPBoolean
#   colPurchase - SOAP::SOAPBoolean
#   colSale - SOAP::SOAPBoolean
#   colOpportunity - SOAP::SOAPBoolean
#   colStore - SOAP::SOAPBoolean
#   colStoreHidden - SOAP::SOAPBoolean
#   colJournal - SOAP::SOAPBoolean
#   colBuild - SOAP::SOAPBoolean
#   colExpenseReport - SOAP::SOAPBoolean
#   colTime - SOAP::SOAPBoolean
#   colTransferOrder - SOAP::SOAPBoolean
#   colTimeGroup - SOAP::SOAPBoolean
#   colItemReceipt - SOAP::SOAPBoolean
#   colItemReceiptOrder - SOAP::SOAPBoolean
#   colItemFulfillment - SOAP::SOAPBoolean
#   colItemFulfillmentOrder - SOAP::SOAPBoolean
#   colPrintFlag - SOAP::SOAPBoolean
#   colPickingTicket - SOAP::SOAPBoolean
#   colPackingSlip - SOAP::SOAPBoolean
#   colReturnForm - SOAP::SOAPBoolean
#   colStoreWithGroups - SOAP::SOAPBoolean
#   colGroupOnInvoices - SOAP::SOAPBoolean
#   colKitItem - SOAP::SOAPBoolean
#   filterList - ActiveNetsuite::TransactionColumnCustomFieldFilterList
#   accessLevel - ActiveNetsuite::CustomizationAccessLevel
#   searchLevel - ActiveNetsuite::CustomizationSearchLevel
#   roleAccessList - ActiveNetsuite::CustomFieldRoleAccessList
#   deptAccessList - ActiveNetsuite::CustomFieldDepartmentAccessList
#   subAccessList - ActiveNetsuite::CustomFieldSubAccessList
#   translationsList - ActiveNetsuite::CustomFieldTranslationsList
#   xmlattr_internalId - SOAP::SOAPString
class TransactionColumnCustomField < CustomFieldType
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :fieldType
  attr_accessor :scriptId
  attr_accessor :label
  attr_accessor :owner
  attr_accessor :description
  attr_accessor :selectRecordType
  attr_accessor :storeValue
  attr_accessor :insertBefore
  attr_accessor :availableToSso
  attr_accessor :displayType
  attr_accessor :displayWidth
  attr_accessor :displayHeight
  attr_accessor :help
  attr_accessor :linkText
  attr_accessor :isMandatory
  attr_accessor :maxLength
  attr_accessor :minValue
  attr_accessor :maxValue
  attr_accessor :defaultChecked
  attr_accessor :defaultValue
  attr_accessor :isFormula
  attr_accessor :defaultSelection
  attr_accessor :dynamicDefault
  attr_accessor :sourceList
  attr_accessor :sourceFrom
  attr_accessor :sourceFilterBy
  attr_accessor :colExpense
  attr_accessor :colPurchase
  attr_accessor :colSale
  attr_accessor :colOpportunity
  attr_accessor :colStore
  attr_accessor :colStoreHidden
  attr_accessor :colJournal
  attr_accessor :colBuild
  attr_accessor :colExpenseReport
  attr_accessor :colTime
  attr_accessor :colTransferOrder
  attr_accessor :colTimeGroup
  attr_accessor :colItemReceipt
  attr_accessor :colItemReceiptOrder
  attr_accessor :colItemFulfillment
  attr_accessor :colItemFulfillmentOrder
  attr_accessor :colPrintFlag
  attr_accessor :colPickingTicket
  attr_accessor :colPackingSlip
  attr_accessor :colReturnForm
  attr_accessor :colStoreWithGroups
  attr_accessor :colGroupOnInvoices
  attr_accessor :colKitItem
  attr_accessor :filterList
  attr_accessor :accessLevel
  attr_accessor :searchLevel
  attr_accessor :roleAccessList
  attr_accessor :deptAccessList
  attr_accessor :subAccessList
  attr_accessor :translationsList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def initialize(nullFieldList = nil, fieldType = nil, scriptId = nil, label = nil, owner = nil, description = nil, selectRecordType = nil, storeValue = nil, insertBefore = nil, availableToSso = nil, displayType = nil, displayWidth = nil, displayHeight = nil, help = nil, linkText = nil, isMandatory = nil, maxLength = nil, minValue = nil, maxValue = nil, defaultChecked = nil, defaultValue = nil, isFormula = nil, defaultSelection = nil, dynamicDefault = nil, sourceList = nil, sourceFrom = nil, sourceFilterBy = nil, colExpense = nil, colPurchase = nil, colSale = nil, colOpportunity = nil, colStore = nil, colStoreHidden = nil, colJournal = nil, colBuild = nil, colExpenseReport = nil, colTime = nil, colTransferOrder = nil, colTimeGroup = nil, colItemReceipt = nil, colItemReceiptOrder = nil, colItemFulfillment = nil, colItemFulfillmentOrder = nil, colPrintFlag = nil, colPickingTicket = nil, colPackingSlip = nil, colReturnForm = nil, colStoreWithGroups = nil, colGroupOnInvoices = nil, colKitItem = nil, filterList = nil, accessLevel = nil, searchLevel = nil, roleAccessList = nil, deptAccessList = nil, subAccessList = nil, translationsList = nil)
    @nullFieldList = nullFieldList
    @fieldType = fieldType
    @scriptId = scriptId
    @label = label
    @owner = owner
    @description = description
    @selectRecordType = selectRecordType
    @storeValue = storeValue
    @insertBefore = insertBefore
    @availableToSso = availableToSso
    @displayType = displayType
    @displayWidth = displayWidth
    @displayHeight = displayHeight
    @help = help
    @linkText = linkText
    @isMandatory = isMandatory
    @maxLength = maxLength
    @minValue = minValue
    @maxValue = maxValue
    @defaultChecked = defaultChecked
    @defaultValue = defaultValue
    @isFormula = isFormula
    @defaultSelection = defaultSelection
    @dynamicDefault = dynamicDefault
    @sourceList = sourceList
    @sourceFrom = sourceFrom
    @sourceFilterBy = sourceFilterBy
    @colExpense = colExpense
    @colPurchase = colPurchase
    @colSale = colSale
    @colOpportunity = colOpportunity
    @colStore = colStore
    @colStoreHidden = colStoreHidden
    @colJournal = colJournal
    @colBuild = colBuild
    @colExpenseReport = colExpenseReport
    @colTime = colTime
    @colTransferOrder = colTransferOrder
    @colTimeGroup = colTimeGroup
    @colItemReceipt = colItemReceipt
    @colItemReceiptOrder = colItemReceiptOrder
    @colItemFulfillment = colItemFulfillment
    @colItemFulfillmentOrder = colItemFulfillmentOrder
    @colPrintFlag = colPrintFlag
    @colPickingTicket = colPickingTicket
    @colPackingSlip = colPackingSlip
    @colReturnForm = colReturnForm
    @colStoreWithGroups = colStoreWithGroups
    @colGroupOnInvoices = colGroupOnInvoices
    @colKitItem = colKitItem
    @filterList = filterList
    @accessLevel = accessLevel
    @searchLevel = searchLevel
    @roleAccessList = roleAccessList
    @deptAccessList = deptAccessList
    @subAccessList = subAccessList
    @translationsList = translationsList
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}ItemOptionCustomField
#   nullFieldList - ActiveNetsuite::NullField
#   fieldType - ActiveNetsuite::CustomizationFieldType
#   scriptId - SOAP::SOAPString
#   label - SOAP::SOAPString
#   owner - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   selectRecordType - ActiveNetsuite::RecordRef
#   storeValue - SOAP::SOAPBoolean
#   insertBefore - ActiveNetsuite::RecordRef
#   displayType - ActiveNetsuite::CustomizationDisplayType
#   displayWidth - SOAP::SOAPLong
#   displayHeight - SOAP::SOAPLong
#   help - SOAP::SOAPString
#   linkText - SOAP::SOAPString
#   isMandatory - SOAP::SOAPBoolean
#   maxLength - SOAP::SOAPLong
#   minValue - SOAP::SOAPDouble
#   maxValue - SOAP::SOAPDouble
#   defaultChecked - SOAP::SOAPBoolean
#   defaultValue - SOAP::SOAPString
#   isFormula - SOAP::SOAPBoolean
#   defaultSelection - ActiveNetsuite::RecordRef
#   dynamicDefault - ActiveNetsuite::CustomizationDynamicDefault
#   searchDefault - ActiveNetsuite::RecordRef
#   searchCompareField - ActiveNetsuite::RecordRef
#   sourceList - ActiveNetsuite::RecordRef
#   sourceFrom - ActiveNetsuite::RecordRef
#   sourceFilterBy - ActiveNetsuite::RecordRef
#   colPurchase - SOAP::SOAPBoolean
#   colSale - SOAP::SOAPBoolean
#   colOpportunity - SOAP::SOAPBoolean
#   colStore - SOAP::SOAPBoolean
#   colStoreHidden - SOAP::SOAPBoolean
#   colTransferOrder - SOAP::SOAPBoolean
#   colAllItems - SOAP::SOAPBoolean
#   itemsList - ActiveNetsuite::ItemsList
#   colKitItem - SOAP::SOAPBoolean
#   filterList - ActiveNetsuite::ItemOptionCustomFieldFilterList
#   colOptionLabel - SOAP::SOAPString
#   accessLevel - ActiveNetsuite::CustomizationAccessLevel
#   searchLevel - ActiveNetsuite::CustomizationSearchLevel
#   roleAccessList - ActiveNetsuite::CustomFieldRoleAccessList
#   deptAccessList - ActiveNetsuite::CustomFieldDepartmentAccessList
#   subAccessList - ActiveNetsuite::CustomFieldSubAccessList
#   translationsList - ActiveNetsuite::CustomFieldTranslationsList
#   xmlattr_internalId - SOAP::SOAPString
class ItemOptionCustomField < CustomFieldType
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :fieldType
  attr_accessor :scriptId
  attr_accessor :label
  attr_accessor :owner
  attr_accessor :description
  attr_accessor :selectRecordType
  attr_accessor :storeValue
  attr_accessor :insertBefore
  attr_accessor :displayType
  attr_accessor :displayWidth
  attr_accessor :displayHeight
  attr_accessor :help
  attr_accessor :linkText
  attr_accessor :isMandatory
  attr_accessor :maxLength
  attr_accessor :minValue
  attr_accessor :maxValue
  attr_accessor :defaultChecked
  attr_accessor :defaultValue
  attr_accessor :isFormula
  attr_accessor :defaultSelection
  attr_accessor :dynamicDefault
  attr_accessor :searchDefault
  attr_accessor :searchCompareField
  attr_accessor :sourceList
  attr_accessor :sourceFrom
  attr_accessor :sourceFilterBy
  attr_accessor :colPurchase
  attr_accessor :colSale
  attr_accessor :colOpportunity
  attr_accessor :colStore
  attr_accessor :colStoreHidden
  attr_accessor :colTransferOrder
  attr_accessor :colAllItems
  attr_accessor :itemsList
  attr_accessor :colKitItem
  attr_accessor :filterList
  attr_accessor :colOptionLabel
  attr_accessor :accessLevel
  attr_accessor :searchLevel
  attr_accessor :roleAccessList
  attr_accessor :deptAccessList
  attr_accessor :subAccessList
  attr_accessor :translationsList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def initialize(nullFieldList = nil, fieldType = nil, scriptId = nil, label = nil, owner = nil, description = nil, selectRecordType = nil, storeValue = nil, insertBefore = nil, displayType = nil, displayWidth = nil, displayHeight = nil, help = nil, linkText = nil, isMandatory = nil, maxLength = nil, minValue = nil, maxValue = nil, defaultChecked = nil, defaultValue = nil, isFormula = nil, defaultSelection = nil, dynamicDefault = nil, searchDefault = nil, searchCompareField = nil, sourceList = nil, sourceFrom = nil, sourceFilterBy = nil, colPurchase = nil, colSale = nil, colOpportunity = nil, colStore = nil, colStoreHidden = nil, colTransferOrder = nil, colAllItems = nil, itemsList = nil, colKitItem = nil, filterList = nil, colOptionLabel = nil, accessLevel = nil, searchLevel = nil, roleAccessList = nil, deptAccessList = nil, subAccessList = nil, translationsList = nil)
    @nullFieldList = nullFieldList
    @fieldType = fieldType
    @scriptId = scriptId
    @label = label
    @owner = owner
    @description = description
    @selectRecordType = selectRecordType
    @storeValue = storeValue
    @insertBefore = insertBefore
    @displayType = displayType
    @displayWidth = displayWidth
    @displayHeight = displayHeight
    @help = help
    @linkText = linkText
    @isMandatory = isMandatory
    @maxLength = maxLength
    @minValue = minValue
    @maxValue = maxValue
    @defaultChecked = defaultChecked
    @defaultValue = defaultValue
    @isFormula = isFormula
    @defaultSelection = defaultSelection
    @dynamicDefault = dynamicDefault
    @searchDefault = searchDefault
    @searchCompareField = searchCompareField
    @sourceList = sourceList
    @sourceFrom = sourceFrom
    @sourceFilterBy = sourceFilterBy
    @colPurchase = colPurchase
    @colSale = colSale
    @colOpportunity = colOpportunity
    @colStore = colStore
    @colStoreHidden = colStoreHidden
    @colTransferOrder = colTransferOrder
    @colAllItems = colAllItems
    @itemsList = itemsList
    @colKitItem = colKitItem
    @filterList = filterList
    @colOptionLabel = colOptionLabel
    @accessLevel = accessLevel
    @searchLevel = searchLevel
    @roleAccessList = roleAccessList
    @deptAccessList = deptAccessList
    @subAccessList = subAccessList
    @translationsList = translationsList
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordCustomField
#   nullFieldList - ActiveNetsuite::NullField
#   fieldType - ActiveNetsuite::CustomizationFieldType
#   scriptId - SOAP::SOAPString
#   label - SOAP::SOAPString
#   owner - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   selectRecordType - ActiveNetsuite::RecordRef
#   storeValue - SOAP::SOAPBoolean
#   showInList - SOAP::SOAPBoolean
#   globalSearch - SOAP::SOAPBoolean
#   isParent - SOAP::SOAPBoolean
#   insertBefore - ActiveNetsuite::RecordRef
#   subtab - ActiveNetsuite::RecordRef
#   displayType - ActiveNetsuite::CustomizationDisplayType
#   displayWidth - SOAP::SOAPLong
#   displayHeight - SOAP::SOAPLong
#   help - SOAP::SOAPString
#   parentSubtab - ActiveNetsuite::RecordRef
#   linkText - SOAP::SOAPString
#   isMandatory - SOAP::SOAPBoolean
#   checkSpelling - SOAP::SOAPBoolean
#   maxLength - SOAP::SOAPLong
#   minValue - SOAP::SOAPDouble
#   maxValue - SOAP::SOAPDouble
#   defaultChecked - SOAP::SOAPBoolean
#   defaultValue - SOAP::SOAPString
#   isFormula - SOAP::SOAPBoolean
#   defaultSelection - ActiveNetsuite::RecordRef
#   dynamicDefault - ActiveNetsuite::CustomizationDynamicDefault
#   searchDefault - ActiveNetsuite::RecordRef
#   searchCompareField - ActiveNetsuite::RecordRef
#   sourceList - ActiveNetsuite::RecordRef
#   sourceFrom - ActiveNetsuite::RecordRef
#   sourcefilterby - ActiveNetsuite::RecordRef
#   recType - SOAP::SOAPString
#   roleRestrict - SOAP::SOAPBoolean
#   filterList - ActiveNetsuite::CustomRecordCustomFieldFilterList
#   accessLevel - ActiveNetsuite::CustomizationAccessLevel
#   searchLevel - ActiveNetsuite::CustomizationSearchLevel
#   roleAccessList - ActiveNetsuite::CustomFieldRoleAccessList
#   deptAccessList - ActiveNetsuite::CustomFieldDepartmentAccessList
#   subAccessList - ActiveNetsuite::CustomFieldSubAccessList
#   translationsList - ActiveNetsuite::CustomFieldTranslationsList
#   xmlattr_internalId - SOAP::SOAPString
class CustomRecordCustomField < CustomFieldType
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :fieldType
  attr_accessor :scriptId
  attr_accessor :label
  attr_accessor :owner
  attr_accessor :description
  attr_accessor :selectRecordType
  attr_accessor :storeValue
  attr_accessor :showInList
  attr_accessor :globalSearch
  attr_accessor :isParent
  attr_accessor :insertBefore
  attr_accessor :subtab
  attr_accessor :displayType
  attr_accessor :displayWidth
  attr_accessor :displayHeight
  attr_accessor :help
  attr_accessor :parentSubtab
  attr_accessor :linkText
  attr_accessor :isMandatory
  attr_accessor :checkSpelling
  attr_accessor :maxLength
  attr_accessor :minValue
  attr_accessor :maxValue
  attr_accessor :defaultChecked
  attr_accessor :defaultValue
  attr_accessor :isFormula
  attr_accessor :defaultSelection
  attr_accessor :dynamicDefault
  attr_accessor :searchDefault
  attr_accessor :searchCompareField
  attr_accessor :sourceList
  attr_accessor :sourceFrom
  attr_accessor :sourcefilterby
  attr_accessor :recType
  attr_accessor :roleRestrict
  attr_accessor :filterList
  attr_accessor :accessLevel
  attr_accessor :searchLevel
  attr_accessor :roleAccessList
  attr_accessor :deptAccessList
  attr_accessor :subAccessList
  attr_accessor :translationsList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def initialize(nullFieldList = nil, fieldType = nil, scriptId = nil, label = nil, owner = nil, description = nil, selectRecordType = nil, storeValue = nil, showInList = nil, globalSearch = nil, isParent = nil, insertBefore = nil, subtab = nil, displayType = nil, displayWidth = nil, displayHeight = nil, help = nil, parentSubtab = nil, linkText = nil, isMandatory = nil, checkSpelling = nil, maxLength = nil, minValue = nil, maxValue = nil, defaultChecked = nil, defaultValue = nil, isFormula = nil, defaultSelection = nil, dynamicDefault = nil, searchDefault = nil, searchCompareField = nil, sourceList = nil, sourceFrom = nil, sourcefilterby = nil, recType = nil, roleRestrict = nil, filterList = nil, accessLevel = nil, searchLevel = nil, roleAccessList = nil, deptAccessList = nil, subAccessList = nil, translationsList = nil)
    @nullFieldList = nullFieldList
    @fieldType = fieldType
    @scriptId = scriptId
    @label = label
    @owner = owner
    @description = description
    @selectRecordType = selectRecordType
    @storeValue = storeValue
    @showInList = showInList
    @globalSearch = globalSearch
    @isParent = isParent
    @insertBefore = insertBefore
    @subtab = subtab
    @displayType = displayType
    @displayWidth = displayWidth
    @displayHeight = displayHeight
    @help = help
    @parentSubtab = parentSubtab
    @linkText = linkText
    @isMandatory = isMandatory
    @checkSpelling = checkSpelling
    @maxLength = maxLength
    @minValue = minValue
    @maxValue = maxValue
    @defaultChecked = defaultChecked
    @defaultValue = defaultValue
    @isFormula = isFormula
    @defaultSelection = defaultSelection
    @dynamicDefault = dynamicDefault
    @searchDefault = searchDefault
    @searchCompareField = searchCompareField
    @sourceList = sourceList
    @sourceFrom = sourceFrom
    @sourcefilterby = sourcefilterby
    @recType = recType
    @roleRestrict = roleRestrict
    @filterList = filterList
    @accessLevel = accessLevel
    @searchLevel = searchLevel
    @roleAccessList = roleAccessList
    @deptAccessList = deptAccessList
    @subAccessList = subAccessList
    @translationsList = translationsList
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}ItemNumberCustomField
#   nullFieldList - ActiveNetsuite::NullField
#   fieldType - ActiveNetsuite::CustomizationFieldType
#   scriptId - SOAP::SOAPString
#   label - SOAP::SOAPString
#   owner - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   selectRecordType - ActiveNetsuite::RecordRef
#   storeValue - SOAP::SOAPBoolean
#   showInList - SOAP::SOAPBoolean
#   insertBefore - ActiveNetsuite::RecordRef
#   displayType - ActiveNetsuite::CustomizationDisplayType
#   displayWidth - SOAP::SOAPLong
#   displayHeight - SOAP::SOAPLong
#   help - SOAP::SOAPString
#   linkText - SOAP::SOAPString
#   isMandatory - SOAP::SOAPBoolean
#   checkSpelling - SOAP::SOAPBoolean
#   maxLength - SOAP::SOAPLong
#   minValue - SOAP::SOAPDouble
#   maxValue - SOAP::SOAPDouble
#   defaultChecked - SOAP::SOAPBoolean
#   defaultValue - SOAP::SOAPString
#   isFormula - SOAP::SOAPBoolean
#   defaultSelection - ActiveNetsuite::RecordRef
#   dynamicDefault - ActiveNetsuite::CustomizationDynamicDefault
#   searchDefault - ActiveNetsuite::RecordRef
#   searchCompareField - ActiveNetsuite::RecordRef
#   sourceList - ActiveNetsuite::RecordRef
#   sourceFrom - ActiveNetsuite::RecordRef
#   sourceFilterBy - ActiveNetsuite::RecordRef
#   accessLevel - ActiveNetsuite::CustomizationAccessLevel
#   searchLevel - ActiveNetsuite::CustomizationSearchLevel
#   filterList - ActiveNetsuite::ItemNumberCustomFieldFilterList
#   roleAccessList - ActiveNetsuite::CustomFieldRoleAccessList
#   deptAccessList - ActiveNetsuite::CustomFieldDepartmentAccessList
#   appliesToAllItems - SOAP::SOAPBoolean
#   appliesToSerialized - SOAP::SOAPBoolean
#   appliesToLots - SOAP::SOAPBoolean
#   appliesToGiftCerts - SOAP::SOAPBoolean
#   itemsList - ActiveNetsuite::RecordRefList
#   translationsList - ActiveNetsuite::CustomFieldTranslationsList
#   xmlattr_internalId - SOAP::SOAPString
class ItemNumberCustomField < CustomFieldType
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :fieldType
  attr_accessor :scriptId
  attr_accessor :label
  attr_accessor :owner
  attr_accessor :description
  attr_accessor :selectRecordType
  attr_accessor :storeValue
  attr_accessor :showInList
  attr_accessor :insertBefore
  attr_accessor :displayType
  attr_accessor :displayWidth
  attr_accessor :displayHeight
  attr_accessor :help
  attr_accessor :linkText
  attr_accessor :isMandatory
  attr_accessor :checkSpelling
  attr_accessor :maxLength
  attr_accessor :minValue
  attr_accessor :maxValue
  attr_accessor :defaultChecked
  attr_accessor :defaultValue
  attr_accessor :isFormula
  attr_accessor :defaultSelection
  attr_accessor :dynamicDefault
  attr_accessor :searchDefault
  attr_accessor :searchCompareField
  attr_accessor :sourceList
  attr_accessor :sourceFrom
  attr_accessor :sourceFilterBy
  attr_accessor :accessLevel
  attr_accessor :searchLevel
  attr_accessor :filterList
  attr_accessor :roleAccessList
  attr_accessor :deptAccessList
  attr_accessor :appliesToAllItems
  attr_accessor :appliesToSerialized
  attr_accessor :appliesToLots
  attr_accessor :appliesToGiftCerts
  attr_accessor :itemsList
  attr_accessor :translationsList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def initialize(nullFieldList = nil, fieldType = nil, scriptId = nil, label = nil, owner = nil, description = nil, selectRecordType = nil, storeValue = nil, showInList = nil, insertBefore = nil, displayType = nil, displayWidth = nil, displayHeight = nil, help = nil, linkText = nil, isMandatory = nil, checkSpelling = nil, maxLength = nil, minValue = nil, maxValue = nil, defaultChecked = nil, defaultValue = nil, isFormula = nil, defaultSelection = nil, dynamicDefault = nil, searchDefault = nil, searchCompareField = nil, sourceList = nil, sourceFrom = nil, sourceFilterBy = nil, accessLevel = nil, searchLevel = nil, filterList = nil, roleAccessList = nil, deptAccessList = nil, appliesToAllItems = nil, appliesToSerialized = nil, appliesToLots = nil, appliesToGiftCerts = nil, itemsList = nil, translationsList = nil)
    @nullFieldList = nullFieldList
    @fieldType = fieldType
    @scriptId = scriptId
    @label = label
    @owner = owner
    @description = description
    @selectRecordType = selectRecordType
    @storeValue = storeValue
    @showInList = showInList
    @insertBefore = insertBefore
    @displayType = displayType
    @displayWidth = displayWidth
    @displayHeight = displayHeight
    @help = help
    @linkText = linkText
    @isMandatory = isMandatory
    @checkSpelling = checkSpelling
    @maxLength = maxLength
    @minValue = minValue
    @maxValue = maxValue
    @defaultChecked = defaultChecked
    @defaultValue = defaultValue
    @isFormula = isFormula
    @defaultSelection = defaultSelection
    @dynamicDefault = dynamicDefault
    @searchDefault = searchDefault
    @searchCompareField = searchCompareField
    @sourceList = sourceList
    @sourceFrom = sourceFrom
    @sourceFilterBy = sourceFilterBy
    @accessLevel = accessLevel
    @searchLevel = searchLevel
    @filterList = filterList
    @roleAccessList = roleAccessList
    @deptAccessList = deptAccessList
    @appliesToAllItems = appliesToAllItems
    @appliesToSerialized = appliesToSerialized
    @appliesToLots = appliesToLots
    @appliesToGiftCerts = appliesToGiftCerts
    @itemsList = itemsList
    @translationsList = translationsList
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}AppDefinition
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   description - SOAP::SOAPString
#   packagesList - ActiveNetsuite::AppDefinitionPackagesList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class AppDefinition < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :description
  attr_accessor :packagesList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, description = nil, packagesList = nil)
    @nullFieldList = nullFieldList
    @name = name
    @description = description
    @packagesList = packagesList
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}AppPackage
#   nullFieldList - ActiveNetsuite::NullField
#   appDefinition - ActiveNetsuite::RecordRef
#   version - SOAP::SOAPString
#   packageFile - ActiveNetsuite::RecordRef
#   bundle - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class AppPackage < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :appDefinition
  attr_accessor :version
  attr_accessor :packageFile
  attr_accessor :bundle
  attr_accessor :description

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, appDefinition = nil, version = nil, packageFile = nil, bundle = nil, description = nil)
    @nullFieldList = nullFieldList
    @appDefinition = appDefinition
    @version = version
    @packageFile = packageFile
    @bundle = bundle
    @description = description
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}Employee
#   nullFieldList - ActiveNetsuite::NullField
#   customForm - ActiveNetsuite::RecordRef
#   template - ActiveNetsuite::RecordRef
#   entityId - SOAP::SOAPString
#   salutation - SOAP::SOAPString
#   firstName - SOAP::SOAPString
#   middleName - SOAP::SOAPString
#   lastName - SOAP::SOAPString
#   altName - SOAP::SOAPString
#   phone - SOAP::SOAPString
#   fax - SOAP::SOAPString
#   email - SOAP::SOAPString
#   defaultAddress - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   phoneticName - SOAP::SOAPString
#   lastModifiedDate - SOAP::SOAPDateTime
#   dateCreated - SOAP::SOAPDateTime
#   initials - SOAP::SOAPString
#   officePhone - SOAP::SOAPString
#   homePhone - SOAP::SOAPString
#   mobilePhone - SOAP::SOAPString
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   billingClass - ActiveNetsuite::RecordRef
#   accountNumber - SOAP::SOAPString
#   comments - SOAP::SOAPString
#   globalSubscriptionStatus - ActiveNetsuite::GlobalSubscriptionStatus
#   image - ActiveNetsuite::RecordRef
#   payFrequency - ActiveNetsuite::EmployeePayFrequency
#   lastPaidDate - SOAP::SOAPDateTime
#   currency - ActiveNetsuite::RecordRef
#   useTimeData - ActiveNetsuite::EmployeeUseTimeData
#   usePerquest - SOAP::SOAPBoolean
#   workplace - ActiveNetsuite::RecordRef
#   adpId - SOAP::SOAPString
#   directDeposit - SOAP::SOAPBoolean
#   expenseLimit - SOAP::SOAPDouble
#   purchaseOrderLimit - SOAP::SOAPDouble
#   purchaseOrderApprovalLimit - SOAP::SOAPDouble
#   socialSecurityNumber - SOAP::SOAPString
#   supervisor - ActiveNetsuite::RecordRef
#   approver - ActiveNetsuite::RecordRef
#   approvalLimit - SOAP::SOAPDouble
#   timeApprover - ActiveNetsuite::RecordRef
#   employeeType - ActiveNetsuite::RecordRef
#   isSalesRep - SOAP::SOAPBoolean
#   salesRole - ActiveNetsuite::RecordRef
#   isSupportRep - SOAP::SOAPBoolean
#   isJobResource - SOAP::SOAPBoolean
#   laborCost - SOAP::SOAPDouble
#   birthDate - SOAP::SOAPDateTime
#   hireDate - SOAP::SOAPDateTime
#   releaseDate - SOAP::SOAPDateTime
#   lastReviewDate - SOAP::SOAPDateTime
#   nextReviewDate - SOAP::SOAPDateTime
#   title - SOAP::SOAPString
#   employeeStatus - ActiveNetsuite::RecordRef
#   jobDescription - SOAP::SOAPString
#   maritalStatus - ActiveNetsuite::RecordRef
#   ethnicity - ActiveNetsuite::RecordRef
#   gender - ActiveNetsuite::Gender
#   purchaseOrderApprover - ActiveNetsuite::RecordRef
#   workCalendar - ActiveNetsuite::RecordRef
#   giveAccess - SOAP::SOAPBoolean
#   concurrentWebServicesUser - SOAP::SOAPBoolean
#   sendEmail - SOAP::SOAPBoolean
#   hasOfflineAccess - SOAP::SOAPBoolean
#   password - SOAP::SOAPString
#   password2 - SOAP::SOAPString
#   requirePwdChange - SOAP::SOAPBoolean
#   inheritIPRules - SOAP::SOAPBoolean
#   iPAddressRule - SOAP::SOAPString
#   commissionPaymentPreference - ActiveNetsuite::EmployeeCommissionPaymentPreference
#   billPay - SOAP::SOAPBoolean
#   eligibleForCommission - SOAP::SOAPBoolean
#   subscriptionsList - ActiveNetsuite::EmployeeSubscriptionsList
#   addressbookList - ActiveNetsuite::EmployeeAddressbookList
#   rolesList - ActiveNetsuite::EmployeeRolesList
#   hrEducationList - ActiveNetsuite::EmployeeHrEducationList
#   accruedTimeList - ActiveNetsuite::EmployeeAccruedTimeList
#   directDepositList - ActiveNetsuite::EmployeeDirectDepositList
#   companyContributionList - ActiveNetsuite::EmployeeCompanyContributionList
#   earningList - ActiveNetsuite::EmployeeEarningList
#   emergencyContactList - ActiveNetsuite::EmployeeEmergencyContactList
#   deductionList - ActiveNetsuite::EmployeeDeductionList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Employee < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :customForm
  attr_accessor :template
  attr_accessor :entityId
  attr_accessor :salutation
  attr_accessor :firstName
  attr_accessor :middleName
  attr_accessor :lastName
  attr_accessor :altName
  attr_accessor :phone
  attr_accessor :fax
  attr_accessor :email
  attr_accessor :defaultAddress
  attr_accessor :isInactive
  attr_accessor :phoneticName
  attr_accessor :lastModifiedDate
  attr_accessor :dateCreated
  attr_accessor :initials
  attr_accessor :officePhone
  attr_accessor :homePhone
  attr_accessor :mobilePhone
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiary
  attr_accessor :billingClass
  attr_accessor :accountNumber
  attr_accessor :comments
  attr_accessor :globalSubscriptionStatus
  attr_accessor :image
  attr_accessor :payFrequency
  attr_accessor :lastPaidDate
  attr_accessor :currency
  attr_accessor :useTimeData
  attr_accessor :usePerquest
  attr_accessor :workplace
  attr_accessor :adpId
  attr_accessor :directDeposit
  attr_accessor :expenseLimit
  attr_accessor :purchaseOrderLimit
  attr_accessor :purchaseOrderApprovalLimit
  attr_accessor :socialSecurityNumber
  attr_accessor :supervisor
  attr_accessor :approver
  attr_accessor :approvalLimit
  attr_accessor :timeApprover
  attr_accessor :employeeType
  attr_accessor :isSalesRep
  attr_accessor :salesRole
  attr_accessor :isSupportRep
  attr_accessor :isJobResource
  attr_accessor :laborCost
  attr_accessor :birthDate
  attr_accessor :hireDate
  attr_accessor :releaseDate
  attr_accessor :lastReviewDate
  attr_accessor :nextReviewDate
  attr_accessor :title
  attr_accessor :employeeStatus
  attr_accessor :jobDescription
  attr_accessor :maritalStatus
  attr_accessor :ethnicity
  attr_accessor :gender
  attr_accessor :purchaseOrderApprover
  attr_accessor :workCalendar
  attr_accessor :giveAccess
  attr_accessor :concurrentWebServicesUser
  attr_accessor :sendEmail
  attr_accessor :hasOfflineAccess
  attr_accessor :password
  attr_accessor :password2
  attr_accessor :requirePwdChange
  attr_accessor :inheritIPRules
  attr_accessor :iPAddressRule
  attr_accessor :commissionPaymentPreference
  attr_accessor :billPay
  attr_accessor :eligibleForCommission
  attr_accessor :subscriptionsList
  attr_accessor :addressbookList
  attr_accessor :rolesList
  attr_accessor :hrEducationList
  attr_accessor :accruedTimeList
  attr_accessor :directDepositList
  attr_accessor :companyContributionList
  attr_accessor :earningList
  attr_accessor :emergencyContactList
  attr_accessor :deductionList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, customForm = nil, template = nil, entityId = nil, salutation = nil, firstName = nil, middleName = nil, lastName = nil, altName = nil, phone = nil, fax = nil, email = nil, defaultAddress = nil, isInactive = nil, phoneticName = nil, lastModifiedDate = nil, dateCreated = nil, initials = nil, officePhone = nil, homePhone = nil, mobilePhone = nil, department = nil, v_class = nil, location = nil, subsidiary = nil, billingClass = nil, accountNumber = nil, comments = nil, globalSubscriptionStatus = nil, image = nil, payFrequency = nil, lastPaidDate = nil, currency = nil, useTimeData = nil, usePerquest = nil, workplace = nil, adpId = nil, directDeposit = nil, expenseLimit = nil, purchaseOrderLimit = nil, purchaseOrderApprovalLimit = nil, socialSecurityNumber = nil, supervisor = nil, approver = nil, approvalLimit = nil, timeApprover = nil, employeeType = nil, isSalesRep = nil, salesRole = nil, isSupportRep = nil, isJobResource = nil, laborCost = nil, birthDate = nil, hireDate = nil, releaseDate = nil, lastReviewDate = nil, nextReviewDate = nil, title = nil, employeeStatus = nil, jobDescription = nil, maritalStatus = nil, ethnicity = nil, gender = nil, purchaseOrderApprover = nil, workCalendar = nil, giveAccess = nil, concurrentWebServicesUser = nil, sendEmail = nil, hasOfflineAccess = nil, password = nil, password2 = nil, requirePwdChange = nil, inheritIPRules = nil, iPAddressRule = nil, commissionPaymentPreference = nil, billPay = nil, eligibleForCommission = nil, subscriptionsList = nil, addressbookList = nil, rolesList = nil, hrEducationList = nil, accruedTimeList = nil, directDepositList = nil, companyContributionList = nil, earningList = nil, emergencyContactList = nil, deductionList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @customForm = customForm
    @template = template
    @entityId = entityId
    @salutation = salutation
    @firstName = firstName
    @middleName = middleName
    @lastName = lastName
    @altName = altName
    @phone = phone
    @fax = fax
    @email = email
    @defaultAddress = defaultAddress
    @isInactive = isInactive
    @phoneticName = phoneticName
    @lastModifiedDate = lastModifiedDate
    @dateCreated = dateCreated
    @initials = initials
    @officePhone = officePhone
    @homePhone = homePhone
    @mobilePhone = mobilePhone
    @department = department
    @v_class = v_class
    @location = location
    @subsidiary = subsidiary
    @billingClass = billingClass
    @accountNumber = accountNumber
    @comments = comments
    @globalSubscriptionStatus = globalSubscriptionStatus
    @image = image
    @payFrequency = payFrequency
    @lastPaidDate = lastPaidDate
    @currency = currency
    @useTimeData = useTimeData
    @usePerquest = usePerquest
    @workplace = workplace
    @adpId = adpId
    @directDeposit = directDeposit
    @expenseLimit = expenseLimit
    @purchaseOrderLimit = purchaseOrderLimit
    @purchaseOrderApprovalLimit = purchaseOrderApprovalLimit
    @socialSecurityNumber = socialSecurityNumber
    @supervisor = supervisor
    @approver = approver
    @approvalLimit = approvalLimit
    @timeApprover = timeApprover
    @employeeType = employeeType
    @isSalesRep = isSalesRep
    @salesRole = salesRole
    @isSupportRep = isSupportRep
    @isJobResource = isJobResource
    @laborCost = laborCost
    @birthDate = birthDate
    @hireDate = hireDate
    @releaseDate = releaseDate
    @lastReviewDate = lastReviewDate
    @nextReviewDate = nextReviewDate
    @title = title
    @employeeStatus = employeeStatus
    @jobDescription = jobDescription
    @maritalStatus = maritalStatus
    @ethnicity = ethnicity
    @gender = gender
    @purchaseOrderApprover = purchaseOrderApprover
    @workCalendar = workCalendar
    @giveAccess = giveAccess
    @concurrentWebServicesUser = concurrentWebServicesUser
    @sendEmail = sendEmail
    @hasOfflineAccess = hasOfflineAccess
    @password = password
    @password2 = password2
    @requirePwdChange = requirePwdChange
    @inheritIPRules = inheritIPRules
    @iPAddressRule = iPAddressRule
    @commissionPaymentPreference = commissionPaymentPreference
    @billPay = billPay
    @eligibleForCommission = eligibleForCommission
    @subscriptionsList = subscriptionsList
    @addressbookList = addressbookList
    @rolesList = rolesList
    @hrEducationList = hrEducationList
    @accruedTimeList = accruedTimeList
    @directDepositList = directDepositList
    @companyContributionList = companyContributionList
    @earningList = earningList
    @emergencyContactList = emergencyContactList
    @deductionList = deductionList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}PayrollItem
#   nullFieldList - ActiveNetsuite::NullField
#   subsidiary - ActiveNetsuite::RecordRef
#   itemType - ActiveNetsuite::RecordRef
#   name - SOAP::SOAPString
#   vendor - ActiveNetsuite::RecordRef
#   expenseAccount - ActiveNetsuite::RecordRef
#   liabilityAccount - ActiveNetsuite::RecordRef
#   employeePaid - SOAP::SOAPBoolean
#   inactive - SOAP::SOAPBoolean
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class PayrollItem < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :subsidiary
  attr_accessor :itemType
  attr_accessor :name
  attr_accessor :vendor
  attr_accessor :expenseAccount
  attr_accessor :liabilityAccount
  attr_accessor :employeePaid
  attr_accessor :inactive
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, subsidiary = nil, itemType = nil, name = nil, vendor = nil, expenseAccount = nil, liabilityAccount = nil, employeePaid = nil, inactive = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @subsidiary = subsidiary
    @itemType = itemType
    @name = name
    @vendor = vendor
    @expenseAccount = expenseAccount
    @liabilityAccount = liabilityAccount
    @employeePaid = employeePaid
    @inactive = inactive
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:website_2013_2.lists.webservices.netsuite.com}SiteCategory
#   nullFieldList - ActiveNetsuite::NullField
#   website - ActiveNetsuite::RecordRef
#   itemId - SOAP::SOAPString
#   parentCategory - ActiveNetsuite::RecordRef
#   categoryListLayout - ActiveNetsuite::RecordRef
#   itemListLayout - ActiveNetsuite::RecordRef
#   relatedItemsListLayout - ActiveNetsuite::RecordRef
#   correlatedItemsListLayout - ActiveNetsuite::RecordRef
#   isOnline - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   description - SOAP::SOAPString
#   storeDetailedDescription - SOAP::SOAPString
#   storeDisplayThumbnail - ActiveNetsuite::RecordRef
#   storeDisplayImage - ActiveNetsuite::RecordRef
#   pageTitle - SOAP::SOAPString
#   metaTagHtml - SOAP::SOAPString
#   excludeFromSitemap - SOAP::SOAPBoolean
#   urlComponent - SOAP::SOAPString
#   sitemapPriority - ActiveNetsuite::SitemapPriority
#   searchKeywords - SOAP::SOAPString
#   presentationItemList - ActiveNetsuite::SiteCategoryPresentationItemList
#   translationsList - ActiveNetsuite::SiteCategoryTranslationList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class SiteCategory < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :website
  attr_accessor :itemId
  attr_accessor :parentCategory
  attr_accessor :categoryListLayout
  attr_accessor :itemListLayout
  attr_accessor :relatedItemsListLayout
  attr_accessor :correlatedItemsListLayout
  attr_accessor :isOnline
  attr_accessor :isInactive
  attr_accessor :description
  attr_accessor :storeDetailedDescription
  attr_accessor :storeDisplayThumbnail
  attr_accessor :storeDisplayImage
  attr_accessor :pageTitle
  attr_accessor :metaTagHtml
  attr_accessor :excludeFromSitemap
  attr_accessor :urlComponent
  attr_accessor :sitemapPriority
  attr_accessor :searchKeywords
  attr_accessor :presentationItemList
  attr_accessor :translationsList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, website = nil, itemId = nil, parentCategory = nil, categoryListLayout = nil, itemListLayout = nil, relatedItemsListLayout = nil, correlatedItemsListLayout = nil, isOnline = nil, isInactive = nil, description = nil, storeDetailedDescription = nil, storeDisplayThumbnail = nil, storeDisplayImage = nil, pageTitle = nil, metaTagHtml = nil, excludeFromSitemap = nil, urlComponent = nil, sitemapPriority = nil, searchKeywords = nil, presentationItemList = nil, translationsList = nil)
    @nullFieldList = nullFieldList
    @website = website
    @itemId = itemId
    @parentCategory = parentCategory
    @categoryListLayout = categoryListLayout
    @itemListLayout = itemListLayout
    @relatedItemsListLayout = relatedItemsListLayout
    @correlatedItemsListLayout = correlatedItemsListLayout
    @isOnline = isOnline
    @isInactive = isInactive
    @description = description
    @storeDetailedDescription = storeDetailedDescription
    @storeDisplayThumbnail = storeDisplayThumbnail
    @storeDisplayImage = storeDisplayImage
    @pageTitle = pageTitle
    @metaTagHtml = metaTagHtml
    @excludeFromSitemap = excludeFromSitemap
    @urlComponent = urlComponent
    @sitemapPriority = sitemapPriority
    @searchKeywords = searchKeywords
    @presentationItemList = presentationItemList
    @translationsList = translationsList
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.transactions.webservices.netsuite.com}TimeBill
#   nullFieldList - ActiveNetsuite::NullField
#   customForm - ActiveNetsuite::RecordRef
#   employee - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   customer - ActiveNetsuite::RecordRef
#   caseTaskEvent - ActiveNetsuite::RecordRef
#   isBillable - SOAP::SOAPBoolean
#   payrollItem - ActiveNetsuite::RecordRef
#   paidExternally - SOAP::SOAPBoolean
#   workplace - ActiveNetsuite::RecordRef
#   item - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   hours - ActiveNetsuite::Duration
#   price - ActiveNetsuite::RecordRef
#   timeType - ActiveNetsuite::TimeBillTimeType
#   rate - SOAP::SOAPDouble
#   overrideRate - SOAP::SOAPBoolean
#   temporaryLocalJurisdiction - ActiveNetsuite::RecordRef
#   temporaryStateJurisdiction - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   subsidiary - ActiveNetsuite::RecordRef
#   supervisorApproval - SOAP::SOAPBoolean
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   status - SOAP::SOAPString
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class TimeBill < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :customForm
  attr_accessor :employee
  attr_accessor :tranDate
  attr_accessor :customer
  attr_accessor :caseTaskEvent
  attr_accessor :isBillable
  attr_accessor :payrollItem
  attr_accessor :paidExternally
  attr_accessor :workplace
  attr_accessor :item
  attr_accessor :department
  attr_accessor :location
  attr_accessor :hours
  attr_accessor :price
  attr_accessor :timeType
  attr_accessor :rate
  attr_accessor :overrideRate
  attr_accessor :temporaryLocalJurisdiction
  attr_accessor :temporaryStateJurisdiction
  attr_accessor :memo
  attr_accessor :subsidiary
  attr_accessor :supervisorApproval
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :status
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, customForm = nil, employee = nil, tranDate = nil, customer = nil, caseTaskEvent = nil, isBillable = nil, payrollItem = nil, paidExternally = nil, workplace = nil, item = nil, department = nil, v_class = nil, location = nil, hours = nil, price = nil, timeType = nil, rate = nil, overrideRate = nil, temporaryLocalJurisdiction = nil, temporaryStateJurisdiction = nil, memo = nil, subsidiary = nil, supervisorApproval = nil, createdDate = nil, lastModifiedDate = nil, status = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @customForm = customForm
    @employee = employee
    @tranDate = tranDate
    @customer = customer
    @caseTaskEvent = caseTaskEvent
    @isBillable = isBillable
    @payrollItem = payrollItem
    @paidExternally = paidExternally
    @workplace = workplace
    @item = item
    @department = department
    @v_class = v_class
    @location = location
    @hours = hours
    @price = price
    @timeType = timeType
    @rate = rate
    @overrideRate = overrideRate
    @temporaryLocalJurisdiction = temporaryLocalJurisdiction
    @temporaryStateJurisdiction = temporaryStateJurisdiction
    @memo = memo
    @subsidiary = subsidiary
    @supervisorApproval = supervisorApproval
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @status = status
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.transactions.webservices.netsuite.com}ExpenseReport
#   nullFieldList - ActiveNetsuite::NullField
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   status - SOAP::SOAPString
#   customForm - ActiveNetsuite::RecordRef
#   account - ActiveNetsuite::RecordRef
#   entity - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   tranId - SOAP::SOAPString
#   postingPeriod - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   dueDate - SOAP::SOAPDateTime
#   approvalStatus - ActiveNetsuite::RecordRef
#   total - SOAP::SOAPDouble
#   nextApprover - ActiveNetsuite::RecordRef
#   advance - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   amount - SOAP::SOAPDouble
#   memo - SOAP::SOAPString
#   complete - SOAP::SOAPBoolean
#   supervisorApproval - SOAP::SOAPBoolean
#   accountingApproval - SOAP::SOAPBoolean
#   useMultiCurrency - SOAP::SOAPBoolean
#   tax2Amt - SOAP::SOAPDouble
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   expenseList - ActiveNetsuite::ExpenseReportExpenseList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class ExpenseReport < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :status
  attr_accessor :customForm
  attr_accessor :account
  attr_accessor :entity
  attr_accessor :subsidiary
  attr_accessor :tranId
  attr_accessor :postingPeriod
  attr_accessor :tranDate
  attr_accessor :dueDate
  attr_accessor :approvalStatus
  attr_accessor :total
  attr_accessor :nextApprover
  attr_accessor :advance
  attr_accessor :tax1Amt
  attr_accessor :amount
  attr_accessor :memo
  attr_accessor :complete
  attr_accessor :supervisorApproval
  attr_accessor :accountingApproval
  attr_accessor :useMultiCurrency
  attr_accessor :tax2Amt
  attr_accessor :department
  attr_accessor :location
  attr_accessor :expenseList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, createdDate = nil, lastModifiedDate = nil, status = nil, customForm = nil, account = nil, entity = nil, subsidiary = nil, tranId = nil, postingPeriod = nil, tranDate = nil, dueDate = nil, approvalStatus = nil, total = nil, nextApprover = nil, advance = nil, tax1Amt = nil, amount = nil, memo = nil, complete = nil, supervisorApproval = nil, accountingApproval = nil, useMultiCurrency = nil, tax2Amt = nil, department = nil, v_class = nil, location = nil, expenseList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @status = status
    @customForm = customForm
    @account = account
    @entity = entity
    @subsidiary = subsidiary
    @tranId = tranId
    @postingPeriod = postingPeriod
    @tranDate = tranDate
    @dueDate = dueDate
    @approvalStatus = approvalStatus
    @total = total
    @nextApprover = nextApprover
    @advance = advance
    @tax1Amt = tax1Amt
    @amount = amount
    @memo = memo
    @complete = complete
    @supervisorApproval = supervisorApproval
    @accountingApproval = accountingApproval
    @useMultiCurrency = useMultiCurrency
    @tax2Amt = tax2Amt
    @department = department
    @v_class = v_class
    @location = location
    @expenseList = expenseList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.transactions.webservices.netsuite.com}PaycheckJournal
#   nullFieldList - ActiveNetsuite::NullField
#   subsidiary - ActiveNetsuite::RecordRef
#   currency - ActiveNetsuite::RecordRef
#   exchangeRate - SOAP::SOAPDouble
#   createdDate - SOAP::SOAPDateTime
#   lastModifiedDate - SOAP::SOAPDateTime
#   customForm - ActiveNetsuite::RecordRef
#   employee - ActiveNetsuite::RecordRef
#   tranDate - SOAP::SOAPDateTime
#   postingPeriod - ActiveNetsuite::RecordRef
#   account - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   companyContributionList - ActiveNetsuite::PaycheckJournalCompanyContributionList
#   deductionList - ActiveNetsuite::PaycheckJournalDeductionList
#   employeeTaxList - ActiveNetsuite::PaycheckJournalEmployeeTaxList
#   companyTaxList - ActiveNetsuite::PaycheckJournalCompanyTaxList
#   earningList - ActiveNetsuite::PaycheckJournalEarningList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class PaycheckJournal < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :subsidiary
  attr_accessor :currency
  attr_accessor :exchangeRate
  attr_accessor :createdDate
  attr_accessor :lastModifiedDate
  attr_accessor :customForm
  attr_accessor :employee
  attr_accessor :tranDate
  attr_accessor :postingPeriod
  attr_accessor :account
  attr_accessor :department
  attr_accessor :location
  attr_accessor :companyContributionList
  attr_accessor :deductionList
  attr_accessor :employeeTaxList
  attr_accessor :companyTaxList
  attr_accessor :earningList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, subsidiary = nil, currency = nil, exchangeRate = nil, createdDate = nil, lastModifiedDate = nil, customForm = nil, employee = nil, tranDate = nil, postingPeriod = nil, account = nil, department = nil, v_class = nil, location = nil, companyContributionList = nil, deductionList = nil, employeeTaxList = nil, companyTaxList = nil, earningList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @subsidiary = subsidiary
    @currency = currency
    @exchangeRate = exchangeRate
    @createdDate = createdDate
    @lastModifiedDate = lastModifiedDate
    @customForm = customForm
    @employee = employee
    @tranDate = tranDate
    @postingPeriod = postingPeriod
    @account = account
    @department = department
    @v_class = v_class
    @location = location
    @companyContributionList = companyContributionList
    @deductionList = deductionList
    @employeeTaxList = employeeTaxList
    @companyTaxList = companyTaxList
    @earningList = earningList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}Campaign
#   nullFieldList - ActiveNetsuite::NullField
#   customForm - ActiveNetsuite::RecordRef
#   campaignId - SOAP::SOAPString
#   title - SOAP::SOAPString
#   category - ActiveNetsuite::RecordRef
#   owner - ActiveNetsuite::RecordRef
#   startDate - SOAP::SOAPDateTime
#   endDate - SOAP::SOAPDateTime
#   url - SOAP::SOAPString
#   baseCost - SOAP::SOAPDouble
#   cost - SOAP::SOAPDouble
#   expectedRevenue - SOAP::SOAPDouble
#   message - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   local - SOAP::SOAPBoolean
#   totalRevenue - SOAP::SOAPDouble
#   roi - SOAP::SOAPDouble
#   profit - SOAP::SOAPDouble
#   costPerCustomer - SOAP::SOAPDouble
#   convCostPerCustomer - SOAP::SOAPDouble
#   conversions - SOAP::SOAPLong
#   leadsGenerated - SOAP::SOAPLong
#   uniqueVisitors - SOAP::SOAPLong
#   vertical - ActiveNetsuite::RecordRef
#   audience - ActiveNetsuite::RecordRef
#   offer - ActiveNetsuite::RecordRef
#   promotionCode - ActiveNetsuite::RecordRef
#   itemList - ActiveNetsuite::RecordRefList
#   family - ActiveNetsuite::RecordRef
#   searchEngine - ActiveNetsuite::RecordRef
#   keyword - SOAP::SOAPString
#   campaignEmailList - ActiveNetsuite::CampaignEmailList
#   campaignDirectMailList - ActiveNetsuite::CampaignDirectMailList
#   campaignEventList - ActiveNetsuite::CampaignEventList
#   eventResponseList - ActiveNetsuite::CampaignEventResponseList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class Campaign < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :customForm
  attr_accessor :campaignId
  attr_accessor :title
  attr_accessor :category
  attr_accessor :owner
  attr_accessor :startDate
  attr_accessor :endDate
  attr_accessor :url
  attr_accessor :baseCost
  attr_accessor :cost
  attr_accessor :expectedRevenue
  attr_accessor :message
  attr_accessor :isInactive
  attr_accessor :local
  attr_accessor :totalRevenue
  attr_accessor :roi
  attr_accessor :profit
  attr_accessor :costPerCustomer
  attr_accessor :convCostPerCustomer
  attr_accessor :conversions
  attr_accessor :leadsGenerated
  attr_accessor :uniqueVisitors
  attr_accessor :vertical
  attr_accessor :audience
  attr_accessor :offer
  attr_accessor :promotionCode
  attr_accessor :itemList
  attr_accessor :family
  attr_accessor :searchEngine
  attr_accessor :keyword
  attr_accessor :campaignEmailList
  attr_accessor :campaignDirectMailList
  attr_accessor :campaignEventList
  attr_accessor :eventResponseList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, customForm = nil, campaignId = nil, title = nil, category = nil, owner = nil, startDate = nil, endDate = nil, url = nil, baseCost = nil, cost = nil, expectedRevenue = nil, message = nil, isInactive = nil, local = nil, totalRevenue = nil, roi = nil, profit = nil, costPerCustomer = nil, convCostPerCustomer = nil, conversions = nil, leadsGenerated = nil, uniqueVisitors = nil, vertical = nil, audience = nil, offer = nil, promotionCode = nil, itemList = nil, family = nil, searchEngine = nil, keyword = nil, campaignEmailList = nil, campaignDirectMailList = nil, campaignEventList = nil, eventResponseList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @customForm = customForm
    @campaignId = campaignId
    @title = title
    @category = category
    @owner = owner
    @startDate = startDate
    @endDate = endDate
    @url = url
    @baseCost = baseCost
    @cost = cost
    @expectedRevenue = expectedRevenue
    @message = message
    @isInactive = isInactive
    @local = local
    @totalRevenue = totalRevenue
    @roi = roi
    @profit = profit
    @costPerCustomer = costPerCustomer
    @convCostPerCustomer = convCostPerCustomer
    @conversions = conversions
    @leadsGenerated = leadsGenerated
    @uniqueVisitors = uniqueVisitors
    @vertical = vertical
    @audience = audience
    @offer = offer
    @promotionCode = promotionCode
    @itemList = itemList
    @family = family
    @searchEngine = searchEngine
    @keyword = keyword
    @campaignEmailList = campaignEmailList
    @campaignDirectMailList = campaignDirectMailList
    @campaignEventList = campaignEventList
    @eventResponseList = eventResponseList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignCategory
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   parent - ActiveNetsuite::RecordRef
#   leadSource - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   isexternal - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CampaignCategory < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :parent
  attr_accessor :leadSource
  attr_accessor :description
  attr_accessor :isexternal
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, parent = nil, leadSource = nil, description = nil, isexternal = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @parent = parent
    @leadSource = leadSource
    @description = description
    @isexternal = isexternal
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignAudience
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   description - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CampaignAudience < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :description
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, description = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @description = description
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignFamily
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   description - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CampaignFamily < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :description
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, description = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @description = description
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignSearchEngine
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   description - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CampaignSearchEngine < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :description
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, description = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @description = description
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignChannel
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   eventType - ActiveNetsuite::CampaignChannelEventType
#   description - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CampaignChannel < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :eventType
  attr_accessor :description
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, eventType = nil, description = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @eventType = eventType
    @description = description
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignOffer
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   description - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CampaignOffer < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :description
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, description = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @description = description
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignResponse
#   nullFieldList - ActiveNetsuite::NullField
#   entity - ActiveNetsuite::RecordRef
#   leadSource - ActiveNetsuite::RecordRef
#   campaignEvent - ActiveNetsuite::RecordRef
#   campaignResponseDate - SOAP::SOAPDateTime
#   channel - SOAP::SOAPString
#   response - ActiveNetsuite::CampaignResponseResponse
#   note - SOAP::SOAPString
#   responsesList - ActiveNetsuite::CampaignResponseResponsesList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CampaignResponse < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :entity
  attr_accessor :leadSource
  attr_accessor :campaignEvent
  attr_accessor :campaignResponseDate
  attr_accessor :channel
  attr_accessor :response
  attr_accessor :note
  attr_accessor :responsesList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, entity = nil, leadSource = nil, campaignEvent = nil, campaignResponseDate = nil, channel = nil, response = nil, note = nil, responsesList = nil)
    @nullFieldList = nullFieldList
    @entity = entity
    @leadSource = leadSource
    @campaignEvent = campaignEvent
    @campaignResponseDate = campaignResponseDate
    @channel = channel
    @response = response
    @note = note
    @responsesList = responsesList
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignVertical
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   description - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CampaignVertical < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :description
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, description = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @description = description
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignSubscription
#   nullFieldList - ActiveNetsuite::NullField
#   name - SOAP::SOAPString
#   description - SOAP::SOAPString
#   subscribedByDefault - SOAP::SOAPBoolean
#   unsubscribed - SOAP::SOAPBoolean
#   externalName - SOAP::SOAPString
#   externalDescription - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CampaignSubscription < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :name
  attr_accessor :description
  attr_accessor :subscribedByDefault
  attr_accessor :unsubscribed
  attr_accessor :externalName
  attr_accessor :externalDescription
  attr_accessor :isInactive

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, name = nil, description = nil, subscribedByDefault = nil, unsubscribed = nil, externalName = nil, externalDescription = nil, isInactive = nil)
    @nullFieldList = nullFieldList
    @name = name
    @description = description
    @subscribedByDefault = subscribedByDefault
    @unsubscribed = unsubscribed
    @externalName = externalName
    @externalDescription = externalDescription
    @isInactive = isInactive
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}PromotionCode
#   nullFieldList - ActiveNetsuite::NullField
#   implementation - ActiveNetsuite::RecordRef
#   customForm - ActiveNetsuite::RecordRef
#   useType - ActiveNetsuite::PromotionCodeUseType
#   displayLineDiscounts - SOAP::SOAPBoolean
#   code - SOAP::SOAPString
#   codePattern - SOAP::SOAPString
#   numberToGenerate - SOAP::SOAPLong
#   description - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   discount - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPString
#   discountType - SOAP::SOAPBoolean
#   applyDiscountTo - ActiveNetsuite::PromotionCodeApplyDiscountTo
#   freeShipMethod - ActiveNetsuite::RecordRef
#   minimumOrderAmount - SOAP::SOAPDouble
#   startDate - SOAP::SOAPDateTime
#   endDate - SOAP::SOAPDateTime
#   isPublic - SOAP::SOAPBoolean
#   currencyList - ActiveNetsuite::PromotionCodeCurrencyList
#   excludeItems - SOAP::SOAPBoolean
#   name - SOAP::SOAPString
#   itemsList - ActiveNetsuite::PromotionCodeItemsList
#   partnersList - ActiveNetsuite::PromotionCodePartnersList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class PromotionCode < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :implementation
  attr_accessor :customForm
  attr_accessor :useType
  attr_accessor :displayLineDiscounts
  attr_accessor :code
  attr_accessor :codePattern
  attr_accessor :numberToGenerate
  attr_accessor :description
  attr_accessor :isInactive
  attr_accessor :discount
  attr_accessor :rate
  attr_accessor :discountType
  attr_accessor :applyDiscountTo
  attr_accessor :freeShipMethod
  attr_accessor :minimumOrderAmount
  attr_accessor :startDate
  attr_accessor :endDate
  attr_accessor :isPublic
  attr_accessor :currencyList
  attr_accessor :excludeItems
  attr_accessor :name
  attr_accessor :itemsList
  attr_accessor :partnersList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, implementation = nil, customForm = nil, useType = nil, displayLineDiscounts = nil, code = nil, codePattern = nil, numberToGenerate = nil, description = nil, isInactive = nil, discount = nil, rate = nil, discountType = nil, applyDiscountTo = nil, freeShipMethod = nil, minimumOrderAmount = nil, startDate = nil, endDate = nil, isPublic = nil, currencyList = nil, excludeItems = nil, name = nil, itemsList = nil, partnersList = nil)
    @nullFieldList = nullFieldList
    @implementation = implementation
    @customForm = customForm
    @useType = useType
    @displayLineDiscounts = displayLineDiscounts
    @code = code
    @codePattern = codePattern
    @numberToGenerate = numberToGenerate
    @description = description
    @isInactive = isInactive
    @discount = discount
    @rate = rate
    @discountType = discountType
    @applyDiscountTo = applyDiscountTo
    @freeShipMethod = freeShipMethod
    @minimumOrderAmount = minimumOrderAmount
    @startDate = startDate
    @endDate = endDate
    @isPublic = isPublic
    @currencyList = currencyList
    @excludeItems = excludeItems
    @name = name
    @itemsList = itemsList
    @partnersList = partnersList
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CouponCode
#   nullFieldList - ActiveNetsuite::NullField
#   promotion - ActiveNetsuite::RecordRef
#   code - SOAP::SOAPString
#   recipient - ActiveNetsuite::RecordRef
#   dateSent - SOAP::SOAPDateTime
#   used - SOAP::SOAPBoolean
#   useCount - SOAP::SOAPLong
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class CouponCode < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :promotion
  attr_accessor :code
  attr_accessor :recipient
  attr_accessor :dateSent
  attr_accessor :used
  attr_accessor :useCount

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, promotion = nil, code = nil, recipient = nil, dateSent = nil, used = nil, useCount = nil)
    @nullFieldList = nullFieldList
    @promotion = promotion
    @code = code
    @recipient = recipient
    @dateSent = dateSent
    @used = used
    @useCount = useCount
    @__xmlattr = {}
  end
end

# {urn:demandplanning_2013_2.transactions.webservices.netsuite.com}ItemDemandPlan
#   nullFieldList - ActiveNetsuite::NullField
#   customForm - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   item - ActiveNetsuite::RecordRef
#   units - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   year - SOAP::SOAPLong
#   month - ActiveNetsuite::DemandPlanMonth
#   startDate - SOAP::SOAPDateTime
#   endDate - SOAP::SOAPDateTime
#   demandPlanCalendarType - ActiveNetsuite::DemandPlanCalendarType
#   demandPlanMatrix - ActiveNetsuite::DemandPlanMatrix
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class ItemDemandPlan < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :customForm
  attr_accessor :subsidiary
  attr_accessor :location
  attr_accessor :item
  attr_accessor :units
  attr_accessor :memo
  attr_accessor :year
  attr_accessor :month
  attr_accessor :startDate
  attr_accessor :endDate
  attr_accessor :demandPlanCalendarType
  attr_accessor :demandPlanMatrix
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, customForm = nil, subsidiary = nil, location = nil, item = nil, units = nil, memo = nil, year = nil, month = nil, startDate = nil, endDate = nil, demandPlanCalendarType = nil, demandPlanMatrix = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @customForm = customForm
    @subsidiary = subsidiary
    @location = location
    @item = item
    @units = units
    @memo = memo
    @year = year
    @month = month
    @startDate = startDate
    @endDate = endDate
    @demandPlanCalendarType = demandPlanCalendarType
    @demandPlanMatrix = demandPlanMatrix
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:demandplanning_2013_2.transactions.webservices.netsuite.com}ItemSupplyPlan
#   nullFieldList - ActiveNetsuite::NullField
#   customForm - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   item - ActiveNetsuite::RecordRef
#   units - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   orderList - ActiveNetsuite::ItemSupplyPlanOrderList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class ItemSupplyPlan < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :customForm
  attr_accessor :subsidiary
  attr_accessor :location
  attr_accessor :item
  attr_accessor :units
  attr_accessor :memo
  attr_accessor :orderList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, customForm = nil, subsidiary = nil, location = nil, item = nil, units = nil, memo = nil, orderList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @customForm = customForm
    @subsidiary = subsidiary
    @location = location
    @item = item
    @units = units
    @memo = memo
    @orderList = orderList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:supplychain_2013_2.lists.webservices.netsuite.com}ManufacturingCostTemplate
#   nullFieldList - ActiveNetsuite::NullField
#   customForm - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   name - SOAP::SOAPString
#   memo - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   costDetailList - ActiveNetsuite::ManufacturingCostDetailList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class ManufacturingCostTemplate < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :customForm
  attr_accessor :subsidiary
  attr_accessor :name
  attr_accessor :memo
  attr_accessor :isInactive
  attr_accessor :costDetailList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, customForm = nil, subsidiary = nil, name = nil, memo = nil, isInactive = nil, costDetailList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @customForm = customForm
    @subsidiary = subsidiary
    @name = name
    @memo = memo
    @isInactive = isInactive
    @costDetailList = costDetailList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:supplychain_2013_2.lists.webservices.netsuite.com}ManufacturingRouting
#   nullFieldList - ActiveNetsuite::NullField
#   customForm - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   item - ActiveNetsuite::RecordRef
#   locationList - ActiveNetsuite::RecordRefList
#   name - SOAP::SOAPString
#   memo - SOAP::SOAPString
#   isDefault - SOAP::SOAPBoolean
#   isInactive - SOAP::SOAPBoolean
#   routingStepList - ActiveNetsuite::ManufacturingRoutingRoutingStepList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class ManufacturingRouting < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :customForm
  attr_accessor :subsidiary
  attr_accessor :item
  attr_accessor :locationList
  attr_accessor :name
  attr_accessor :memo
  attr_accessor :isDefault
  attr_accessor :isInactive
  attr_accessor :routingStepList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, customForm = nil, subsidiary = nil, item = nil, locationList = nil, name = nil, memo = nil, isDefault = nil, isInactive = nil, routingStepList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @customForm = customForm
    @subsidiary = subsidiary
    @item = item
    @locationList = locationList
    @name = name
    @memo = memo
    @isDefault = isDefault
    @isInactive = isInactive
    @routingStepList = routingStepList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:supplychain_2013_2.lists.webservices.netsuite.com}ManufacturingOperationTask
#   nullFieldList - ActiveNetsuite::NullField
#   customForm - ActiveNetsuite::RecordRef
#   manufacturingWorkCenter - ActiveNetsuite::RecordRef
#   manufacturingCostTemplate - ActiveNetsuite::RecordRef
#   title - SOAP::SOAPString
#   operationSequence - SOAP::SOAPLong
#   workOrder - ActiveNetsuite::RecordRef
#   order - ActiveNetsuite::RecordRef
#   status - ActiveNetsuite::ManufacturingOperationTaskStatus
#   message - SOAP::SOAPString
#   estimatedWork - SOAP::SOAPDouble
#   actualWork - SOAP::SOAPDouble
#   remainingWork - SOAP::SOAPDouble
#   inputQuantity - SOAP::SOAPDouble
#   completedQuantity - SOAP::SOAPDouble
#   setupTime - SOAP::SOAPDouble
#   runRate - SOAP::SOAPDouble
#   startDate - SOAP::SOAPDateTime
#   endDate - SOAP::SOAPDateTime
#   machineResources - SOAP::SOAPLong
#   laborResources - SOAP::SOAPLong
#   costDetailList - ActiveNetsuite::ManufacturingCostDetailList
#   customFieldList - ActiveNetsuite::CustomFieldList
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class ManufacturingOperationTask < Record
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")

  attr_accessor :nullFieldList
  attr_accessor :customForm
  attr_accessor :manufacturingWorkCenter
  attr_accessor :manufacturingCostTemplate
  attr_accessor :title
  attr_accessor :operationSequence
  attr_accessor :workOrder
  attr_accessor :order
  attr_accessor :status
  attr_accessor :message
  attr_accessor :estimatedWork
  attr_accessor :actualWork
  attr_accessor :remainingWork
  attr_accessor :inputQuantity
  attr_accessor :completedQuantity
  attr_accessor :setupTime
  attr_accessor :runRate
  attr_accessor :startDate
  attr_accessor :endDate
  attr_accessor :machineResources
  attr_accessor :laborResources
  attr_accessor :costDetailList
  attr_accessor :customFieldList

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(nullFieldList = nil, customForm = nil, manufacturingWorkCenter = nil, manufacturingCostTemplate = nil, title = nil, operationSequence = nil, workOrder = nil, order = nil, status = nil, message = nil, estimatedWork = nil, actualWork = nil, remainingWork = nil, inputQuantity = nil, completedQuantity = nil, setupTime = nil, runRate = nil, startDate = nil, endDate = nil, machineResources = nil, laborResources = nil, costDetailList = nil, customFieldList = nil)
    @nullFieldList = nullFieldList
    @customForm = customForm
    @manufacturingWorkCenter = manufacturingWorkCenter
    @manufacturingCostTemplate = manufacturingCostTemplate
    @title = title
    @operationSequence = operationSequence
    @workOrder = workOrder
    @order = order
    @status = status
    @message = message
    @estimatedWork = estimatedWork
    @actualWork = actualWork
    @remainingWork = remainingWork
    @inputQuantity = inputQuantity
    @completedQuantity = completedQuantity
    @setupTime = setupTime
    @runRate = runRate
    @startDate = startDate
    @endDate = endDate
    @machineResources = machineResources
    @laborResources = laborResources
    @costDetailList = costDetailList
    @customFieldList = customFieldList
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}NullField
class NullField < ::Array
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchRecord
# abstract
class SearchRecord
  def initialize
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchRecordBasic
# abstract
class SearchRecordBasic < SearchRecord
  def initialize
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}InventoryDetailSearchBasic
#   binNumber - ActiveNetsuite::SearchMultiSelectField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   inventoryNumber - ActiveNetsuite::SearchMultiSelectField
#   quantity - ActiveNetsuite::SearchDoubleField
class InventoryDetailSearchBasic < SearchRecordBasic
  attr_accessor :binNumber
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :inventoryNumber
  attr_accessor :quantity

  def initialize(binNumber = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, inventoryNumber = nil, quantity = nil)
    @binNumber = binNumber
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @inventoryNumber = inventoryNumber
    @quantity = quantity
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}EntitySearchBasic
#   address - ActiveNetsuite::SearchStringField
#   addressee - ActiveNetsuite::SearchStringField
#   addressLabel - ActiveNetsuite::SearchStringField
#   addressPhone - ActiveNetsuite::SearchStringField
#   attention - ActiveNetsuite::SearchStringField
#   city - ActiveNetsuite::SearchStringField
#   comments - ActiveNetsuite::SearchStringField
#   country - ActiveNetsuite::SearchEnumMultiSelectField
#   county - ActiveNetsuite::SearchStringField
#   dateCreated - ActiveNetsuite::SearchDateField
#   email - ActiveNetsuite::SearchStringField
#   entityId - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   fax - ActiveNetsuite::SearchStringField
#   giveAccess - ActiveNetsuite::SearchBooleanField
#   globalSubscriptionStatus - ActiveNetsuite::SearchEnumMultiSelectField
#   image - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isDefaultBilling - ActiveNetsuite::SearchBooleanField
#   isDefaultShipping - ActiveNetsuite::SearchBooleanField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   language - ActiveNetsuite::SearchEnumMultiSelectField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   level - ActiveNetsuite::SearchEnumMultiSelectField
#   permission - ActiveNetsuite::SearchEnumMultiSelectField
#   phone - ActiveNetsuite::SearchStringField
#   phoneticName - ActiveNetsuite::SearchStringField
#   state - ActiveNetsuite::SearchStringField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   type - ActiveNetsuite::SearchEnumMultiSelectField
#   zipCode - ActiveNetsuite::SearchStringField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class EntitySearchBasic < SearchRecordBasic
  attr_accessor :address
  attr_accessor :addressee
  attr_accessor :addressLabel
  attr_accessor :addressPhone
  attr_accessor :attention
  attr_accessor :city
  attr_accessor :comments
  attr_accessor :country
  attr_accessor :county
  attr_accessor :dateCreated
  attr_accessor :email
  attr_accessor :entityId
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :fax
  attr_accessor :giveAccess
  attr_accessor :globalSubscriptionStatus
  attr_accessor :image
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isDefaultBilling
  attr_accessor :isDefaultShipping
  attr_accessor :isInactive
  attr_accessor :language
  attr_accessor :lastModifiedDate
  attr_accessor :level
  attr_accessor :permission
  attr_accessor :phone
  attr_accessor :phoneticName
  attr_accessor :state
  attr_accessor :subsidiary
  attr_accessor :type
  attr_accessor :zipCode
  attr_accessor :customFieldList

  def initialize(address = nil, addressee = nil, addressLabel = nil, addressPhone = nil, attention = nil, city = nil, comments = nil, country = nil, county = nil, dateCreated = nil, email = nil, entityId = nil, externalId = nil, externalIdString = nil, fax = nil, giveAccess = nil, globalSubscriptionStatus = nil, image = nil, internalId = nil, internalIdNumber = nil, isDefaultBilling = nil, isDefaultShipping = nil, isInactive = nil, language = nil, lastModifiedDate = nil, level = nil, permission = nil, phone = nil, phoneticName = nil, state = nil, subsidiary = nil, type = nil, zipCode = nil, customFieldList = nil)
    @address = address
    @addressee = addressee
    @addressLabel = addressLabel
    @addressPhone = addressPhone
    @attention = attention
    @city = city
    @comments = comments
    @country = country
    @county = county
    @dateCreated = dateCreated
    @email = email
    @entityId = entityId
    @externalId = externalId
    @externalIdString = externalIdString
    @fax = fax
    @giveAccess = giveAccess
    @globalSubscriptionStatus = globalSubscriptionStatus
    @image = image
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isDefaultBilling = isDefaultBilling
    @isDefaultShipping = isDefaultShipping
    @isInactive = isInactive
    @language = language
    @lastModifiedDate = lastModifiedDate
    @level = level
    @permission = permission
    @phone = phone
    @phoneticName = phoneticName
    @state = state
    @subsidiary = subsidiary
    @type = type
    @zipCode = zipCode
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ContactSearchBasic
#   address - ActiveNetsuite::SearchStringField
#   addressee - ActiveNetsuite::SearchStringField
#   addressLabel - ActiveNetsuite::SearchStringField
#   addressPhone - ActiveNetsuite::SearchStringField
#   attention - ActiveNetsuite::SearchStringField
#   availableOffline - ActiveNetsuite::SearchBooleanField
#   category - ActiveNetsuite::SearchMultiSelectField
#   city - ActiveNetsuite::SearchStringField
#   comments - ActiveNetsuite::SearchStringField
#   company - ActiveNetsuite::SearchMultiSelectField
#   contactRole - ActiveNetsuite::SearchMultiSelectField
#   contactSource - ActiveNetsuite::SearchMultiSelectField
#   country - ActiveNetsuite::SearchEnumMultiSelectField
#   county - ActiveNetsuite::SearchStringField
#   dateCreated - ActiveNetsuite::SearchDateField
#   email - ActiveNetsuite::SearchStringField
#   employer - ActiveNetsuite::SearchStringField
#   entityId - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   fax - ActiveNetsuite::SearchStringField
#   firstName - ActiveNetsuite::SearchStringField
#   giveAccess - ActiveNetsuite::SearchBooleanField
#   globalSubscriptionStatus - ActiveNetsuite::SearchEnumMultiSelectField
#   group - ActiveNetsuite::SearchMultiSelectField
#   hasDuplicates - ActiveNetsuite::SearchBooleanField
#   image - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isDefaultBilling - ActiveNetsuite::SearchBooleanField
#   isDefaultShipping - ActiveNetsuite::SearchBooleanField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   isPrivate - ActiveNetsuite::SearchBooleanField
#   language - ActiveNetsuite::SearchEnumMultiSelectField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   lastName - ActiveNetsuite::SearchStringField
#   level - ActiveNetsuite::SearchEnumMultiSelectField
#   middleName - ActiveNetsuite::SearchStringField
#   owner - ActiveNetsuite::SearchMultiSelectField
#   permission - ActiveNetsuite::SearchEnumMultiSelectField
#   phone - ActiveNetsuite::SearchStringField
#   phoneticName - ActiveNetsuite::SearchStringField
#   salutation - ActiveNetsuite::SearchStringField
#   state - ActiveNetsuite::SearchStringField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   title - ActiveNetsuite::SearchStringField
#   type - ActiveNetsuite::SearchEnumMultiSelectField
#   zipCode - ActiveNetsuite::SearchStringField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class ContactSearchBasic < SearchRecordBasic
  attr_accessor :address
  attr_accessor :addressee
  attr_accessor :addressLabel
  attr_accessor :addressPhone
  attr_accessor :attention
  attr_accessor :availableOffline
  attr_accessor :category
  attr_accessor :city
  attr_accessor :comments
  attr_accessor :company
  attr_accessor :contactRole
  attr_accessor :contactSource
  attr_accessor :country
  attr_accessor :county
  attr_accessor :dateCreated
  attr_accessor :email
  attr_accessor :employer
  attr_accessor :entityId
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :fax
  attr_accessor :firstName
  attr_accessor :giveAccess
  attr_accessor :globalSubscriptionStatus
  attr_accessor :group
  attr_accessor :hasDuplicates
  attr_accessor :image
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isDefaultBilling
  attr_accessor :isDefaultShipping
  attr_accessor :isInactive
  attr_accessor :isPrivate
  attr_accessor :language
  attr_accessor :lastModifiedDate
  attr_accessor :lastName
  attr_accessor :level
  attr_accessor :middleName
  attr_accessor :owner
  attr_accessor :permission
  attr_accessor :phone
  attr_accessor :phoneticName
  attr_accessor :salutation
  attr_accessor :state
  attr_accessor :subsidiary
  attr_accessor :title
  attr_accessor :type
  attr_accessor :zipCode
  attr_accessor :customFieldList

  def initialize(address = nil, addressee = nil, addressLabel = nil, addressPhone = nil, attention = nil, availableOffline = nil, category = nil, city = nil, comments = nil, company = nil, contactRole = nil, contactSource = nil, country = nil, county = nil, dateCreated = nil, email = nil, employer = nil, entityId = nil, externalId = nil, externalIdString = nil, fax = nil, firstName = nil, giveAccess = nil, globalSubscriptionStatus = nil, group = nil, hasDuplicates = nil, image = nil, internalId = nil, internalIdNumber = nil, isDefaultBilling = nil, isDefaultShipping = nil, isInactive = nil, isPrivate = nil, language = nil, lastModifiedDate = nil, lastName = nil, level = nil, middleName = nil, owner = nil, permission = nil, phone = nil, phoneticName = nil, salutation = nil, state = nil, subsidiary = nil, title = nil, type = nil, zipCode = nil, customFieldList = nil)
    @address = address
    @addressee = addressee
    @addressLabel = addressLabel
    @addressPhone = addressPhone
    @attention = attention
    @availableOffline = availableOffline
    @category = category
    @city = city
    @comments = comments
    @company = company
    @contactRole = contactRole
    @contactSource = contactSource
    @country = country
    @county = county
    @dateCreated = dateCreated
    @email = email
    @employer = employer
    @entityId = entityId
    @externalId = externalId
    @externalIdString = externalIdString
    @fax = fax
    @firstName = firstName
    @giveAccess = giveAccess
    @globalSubscriptionStatus = globalSubscriptionStatus
    @group = group
    @hasDuplicates = hasDuplicates
    @image = image
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isDefaultBilling = isDefaultBilling
    @isDefaultShipping = isDefaultShipping
    @isInactive = isInactive
    @isPrivate = isPrivate
    @language = language
    @lastModifiedDate = lastModifiedDate
    @lastName = lastName
    @level = level
    @middleName = middleName
    @owner = owner
    @permission = permission
    @phone = phone
    @phoneticName = phoneticName
    @salutation = salutation
    @state = state
    @subsidiary = subsidiary
    @title = title
    @type = type
    @zipCode = zipCode
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CustomerSearchBasic
#   accountNumber - ActiveNetsuite::SearchStringField
#   address - ActiveNetsuite::SearchStringField
#   addressee - ActiveNetsuite::SearchStringField
#   addressLabel - ActiveNetsuite::SearchStringField
#   addressPhone - ActiveNetsuite::SearchStringField
#   attention - ActiveNetsuite::SearchStringField
#   availableOffline - ActiveNetsuite::SearchBooleanField
#   balance - ActiveNetsuite::SearchDoubleField
#   billAddress - ActiveNetsuite::SearchStringField
#   boughtAmount - ActiveNetsuite::SearchDoubleField
#   boughtDate - ActiveNetsuite::SearchDateField
#   buyingReason - ActiveNetsuite::SearchMultiSelectField
#   buyingTimeFrame - ActiveNetsuite::SearchMultiSelectField
#   category - ActiveNetsuite::SearchMultiSelectField
#   ccCustomerCode - ActiveNetsuite::SearchStringField
#   ccDefault - ActiveNetsuite::SearchBooleanField
#   ccExpDate - ActiveNetsuite::SearchDateField
#   ccHolderName - ActiveNetsuite::SearchStringField
#   ccNumber - ActiveNetsuite::SearchStringField
#   ccType - ActiveNetsuite::SearchMultiSelectField
#   city - ActiveNetsuite::SearchStringField
#   classBought - ActiveNetsuite::SearchMultiSelectField
#   comments - ActiveNetsuite::SearchStringField
#   companyName - ActiveNetsuite::SearchStringField
#   consolBalance - ActiveNetsuite::SearchDoubleField
#   consolDaysOverdue - ActiveNetsuite::SearchLongField
#   consolDepositBalance - ActiveNetsuite::SearchDoubleField
#   consolOverdueBalance - ActiveNetsuite::SearchDoubleField
#   consolUnbilledOrders - ActiveNetsuite::SearchDoubleField
#   contact - ActiveNetsuite::SearchStringField
#   contribution - ActiveNetsuite::SearchLongField
#   conversionDate - ActiveNetsuite::SearchDateField
#   country - ActiveNetsuite::SearchEnumMultiSelectField
#   county - ActiveNetsuite::SearchStringField
#   creditHold - ActiveNetsuite::SearchEnumMultiSelectField
#   creditHoldOverride - ActiveNetsuite::SearchBooleanField
#   creditLimit - ActiveNetsuite::SearchDoubleField
#   currency - ActiveNetsuite::SearchMultiSelectField
#   custStage - ActiveNetsuite::SearchMultiSelectField
#   custStatus - ActiveNetsuite::SearchMultiSelectField
#   dateClosed - ActiveNetsuite::SearchDateField
#   dateCreated - ActiveNetsuite::SearchDateField
#   daysOverdue - ActiveNetsuite::SearchLongField
#   defaultOrderPriority - ActiveNetsuite::SearchDoubleField
#   depositBalance - ActiveNetsuite::SearchDoubleField
#   deptBought - ActiveNetsuite::SearchMultiSelectField
#   drAccount - ActiveNetsuite::SearchMultiSelectField
#   email - ActiveNetsuite::SearchStringField
#   emailPreference - ActiveNetsuite::SearchEnumMultiSelectField
#   emailTransactions - ActiveNetsuite::SearchBooleanField
#   endDate - ActiveNetsuite::SearchDateField
#   entityId - ActiveNetsuite::SearchStringField
#   entityStatus - ActiveNetsuite::SearchMultiSelectField
#   estimatedBudget - ActiveNetsuite::SearchDoubleField
#   explicitConversion - ActiveNetsuite::SearchBooleanField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   fax - ActiveNetsuite::SearchStringField
#   faxTransactions - ActiveNetsuite::SearchBooleanField
#   firstName - ActiveNetsuite::SearchStringField
#   firstOrderDate - ActiveNetsuite::SearchDateField
#   firstSaleDate - ActiveNetsuite::SearchDateField
#   fxAccount - ActiveNetsuite::SearchMultiSelectField
#   fxBalance - ActiveNetsuite::SearchDoubleField
#   fxConsolBalance - ActiveNetsuite::SearchDoubleField
#   fxConsolUnbilledOrders - ActiveNetsuite::SearchDoubleField
#   fxUnbilledOrders - ActiveNetsuite::SearchDoubleField
#   giveAccess - ActiveNetsuite::SearchBooleanField
#   globalSubscriptionStatus - ActiveNetsuite::SearchEnumMultiSelectField
#   group - ActiveNetsuite::SearchMultiSelectField
#   groupPricingLevel - ActiveNetsuite::SearchMultiSelectField
#   hasDuplicates - ActiveNetsuite::SearchBooleanField
#   image - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isBudgetApproved - ActiveNetsuite::SearchBooleanField
#   isDefaultBilling - ActiveNetsuite::SearchBooleanField
#   isDefaultShipping - ActiveNetsuite::SearchBooleanField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   isPerson - ActiveNetsuite::SearchBooleanField
#   isReportedLead - ActiveNetsuite::SearchBooleanField
#   isShipAddress - ActiveNetsuite::SearchBooleanField
#   itemPricingLevel - ActiveNetsuite::SearchMultiSelectField
#   itemPricingUnitPrice - ActiveNetsuite::SearchDoubleField
#   itemsBought - ActiveNetsuite::SearchMultiSelectField
#   itemsOrdered - ActiveNetsuite::SearchMultiSelectField
#   language - ActiveNetsuite::SearchEnumMultiSelectField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   lastName - ActiveNetsuite::SearchStringField
#   lastOrderDate - ActiveNetsuite::SearchDateField
#   lastSaleDate - ActiveNetsuite::SearchDateField
#   leadDate - ActiveNetsuite::SearchDateField
#   leadSource - ActiveNetsuite::SearchMultiSelectField
#   level - ActiveNetsuite::SearchEnumMultiSelectField
#   locationBought - ActiveNetsuite::SearchMultiSelectField
#   manualCreditHold - ActiveNetsuite::SearchBooleanField
#   merchantAccount - ActiveNetsuite::SearchMultiSelectField
#   middleName - ActiveNetsuite::SearchStringField
#   monthlyClosing - ActiveNetsuite::SearchEnumMultiSelectField
#   onCreditHold - ActiveNetsuite::SearchBooleanField
#   orderedAmount - ActiveNetsuite::SearchDoubleField
#   orderedDate - ActiveNetsuite::SearchDateField
#   otherRelationships - ActiveNetsuite::SearchEnumMultiSelectField
#   overdueBalance - ActiveNetsuite::SearchDoubleField
#   parent - ActiveNetsuite::SearchMultiSelectField
#   parentItemsBought - ActiveNetsuite::SearchMultiSelectField
#   parentItemsOrdered - ActiveNetsuite::SearchMultiSelectField
#   partner - ActiveNetsuite::SearchMultiSelectField
#   partnerContribution - ActiveNetsuite::SearchLongField
#   partnerRole - ActiveNetsuite::SearchMultiSelectField
#   partnerTeamMember - ActiveNetsuite::SearchMultiSelectField
#   pec - ActiveNetsuite::SearchStringField
#   permission - ActiveNetsuite::SearchEnumMultiSelectField
#   phone - ActiveNetsuite::SearchStringField
#   phoneticName - ActiveNetsuite::SearchStringField
#   priceLevel - ActiveNetsuite::SearchMultiSelectField
#   pricingGroup - ActiveNetsuite::SearchMultiSelectField
#   pricingItem - ActiveNetsuite::SearchMultiSelectField
#   printTransactions - ActiveNetsuite::SearchBooleanField
#   prospectDate - ActiveNetsuite::SearchDateField
#   pstExempt - ActiveNetsuite::SearchBooleanField
#   receivablesAccount - ActiveNetsuite::SearchMultiSelectField
#   reminderDate - ActiveNetsuite::SearchDateField
#   resaleNumber - ActiveNetsuite::SearchStringField
#   role - ActiveNetsuite::SearchMultiSelectField
#   salesReadiness - ActiveNetsuite::SearchMultiSelectField
#   salesRep - ActiveNetsuite::SearchMultiSelectField
#   salesTeamMember - ActiveNetsuite::SearchMultiSelectField
#   salesTeamRole - ActiveNetsuite::SearchMultiSelectField
#   salutation - ActiveNetsuite::SearchStringField
#   shipAddress - ActiveNetsuite::SearchStringField
#   shipComplete - ActiveNetsuite::SearchBooleanField
#   shippingItem - ActiveNetsuite::SearchMultiSelectField
#   stage - ActiveNetsuite::SearchEnumMultiSelectField
#   startDate - ActiveNetsuite::SearchDateField
#   state - ActiveNetsuite::SearchStringField
#   subsidBought - ActiveNetsuite::SearchMultiSelectField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   taxable - ActiveNetsuite::SearchBooleanField
#   terms - ActiveNetsuite::SearchMultiSelectField
#   territory - ActiveNetsuite::SearchMultiSelectField
#   title - ActiveNetsuite::SearchStringField
#   unbilledOrders - ActiveNetsuite::SearchDoubleField
#   url - ActiveNetsuite::SearchStringField
#   vatRegNumber - ActiveNetsuite::SearchStringField
#   webLead - ActiveNetsuite::SearchBooleanField
#   zipCode - ActiveNetsuite::SearchStringField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class CustomerSearchBasic < SearchRecordBasic
  attr_accessor :accountNumber
  attr_accessor :address
  attr_accessor :addressee
  attr_accessor :addressLabel
  attr_accessor :addressPhone
  attr_accessor :attention
  attr_accessor :availableOffline
  attr_accessor :balance
  attr_accessor :billAddress
  attr_accessor :boughtAmount
  attr_accessor :boughtDate
  attr_accessor :buyingReason
  attr_accessor :buyingTimeFrame
  attr_accessor :category
  attr_accessor :ccCustomerCode
  attr_accessor :ccDefault
  attr_accessor :ccExpDate
  attr_accessor :ccHolderName
  attr_accessor :ccNumber
  attr_accessor :ccType
  attr_accessor :city
  attr_accessor :classBought
  attr_accessor :comments
  attr_accessor :companyName
  attr_accessor :consolBalance
  attr_accessor :consolDaysOverdue
  attr_accessor :consolDepositBalance
  attr_accessor :consolOverdueBalance
  attr_accessor :consolUnbilledOrders
  attr_accessor :contact
  attr_accessor :contribution
  attr_accessor :conversionDate
  attr_accessor :country
  attr_accessor :county
  attr_accessor :creditHold
  attr_accessor :creditHoldOverride
  attr_accessor :creditLimit
  attr_accessor :currency
  attr_accessor :custStage
  attr_accessor :custStatus
  attr_accessor :dateClosed
  attr_accessor :dateCreated
  attr_accessor :daysOverdue
  attr_accessor :defaultOrderPriority
  attr_accessor :depositBalance
  attr_accessor :deptBought
  attr_accessor :drAccount
  attr_accessor :email
  attr_accessor :emailPreference
  attr_accessor :emailTransactions
  attr_accessor :endDate
  attr_accessor :entityId
  attr_accessor :entityStatus
  attr_accessor :estimatedBudget
  attr_accessor :explicitConversion
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :fax
  attr_accessor :faxTransactions
  attr_accessor :firstName
  attr_accessor :firstOrderDate
  attr_accessor :firstSaleDate
  attr_accessor :fxAccount
  attr_accessor :fxBalance
  attr_accessor :fxConsolBalance
  attr_accessor :fxConsolUnbilledOrders
  attr_accessor :fxUnbilledOrders
  attr_accessor :giveAccess
  attr_accessor :globalSubscriptionStatus
  attr_accessor :group
  attr_accessor :groupPricingLevel
  attr_accessor :hasDuplicates
  attr_accessor :image
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isBudgetApproved
  attr_accessor :isDefaultBilling
  attr_accessor :isDefaultShipping
  attr_accessor :isInactive
  attr_accessor :isPerson
  attr_accessor :isReportedLead
  attr_accessor :isShipAddress
  attr_accessor :itemPricingLevel
  attr_accessor :itemPricingUnitPrice
  attr_accessor :itemsBought
  attr_accessor :itemsOrdered
  attr_accessor :language
  attr_accessor :lastModifiedDate
  attr_accessor :lastName
  attr_accessor :lastOrderDate
  attr_accessor :lastSaleDate
  attr_accessor :leadDate
  attr_accessor :leadSource
  attr_accessor :level
  attr_accessor :locationBought
  attr_accessor :manualCreditHold
  attr_accessor :merchantAccount
  attr_accessor :middleName
  attr_accessor :monthlyClosing
  attr_accessor :onCreditHold
  attr_accessor :orderedAmount
  attr_accessor :orderedDate
  attr_accessor :otherRelationships
  attr_accessor :overdueBalance
  attr_accessor :parent
  attr_accessor :parentItemsBought
  attr_accessor :parentItemsOrdered
  attr_accessor :partner
  attr_accessor :partnerContribution
  attr_accessor :partnerRole
  attr_accessor :partnerTeamMember
  attr_accessor :pec
  attr_accessor :permission
  attr_accessor :phone
  attr_accessor :phoneticName
  attr_accessor :priceLevel
  attr_accessor :pricingGroup
  attr_accessor :pricingItem
  attr_accessor :printTransactions
  attr_accessor :prospectDate
  attr_accessor :pstExempt
  attr_accessor :receivablesAccount
  attr_accessor :reminderDate
  attr_accessor :resaleNumber
  attr_accessor :role
  attr_accessor :salesReadiness
  attr_accessor :salesRep
  attr_accessor :salesTeamMember
  attr_accessor :salesTeamRole
  attr_accessor :salutation
  attr_accessor :shipAddress
  attr_accessor :shipComplete
  attr_accessor :shippingItem
  attr_accessor :stage
  attr_accessor :startDate
  attr_accessor :state
  attr_accessor :subsidBought
  attr_accessor :subsidiary
  attr_accessor :taxable
  attr_accessor :terms
  attr_accessor :territory
  attr_accessor :title
  attr_accessor :unbilledOrders
  attr_accessor :url
  attr_accessor :vatRegNumber
  attr_accessor :webLead
  attr_accessor :zipCode
  attr_accessor :customFieldList

  def initialize(accountNumber = nil, address = nil, addressee = nil, addressLabel = nil, addressPhone = nil, attention = nil, availableOffline = nil, balance = nil, billAddress = nil, boughtAmount = nil, boughtDate = nil, buyingReason = nil, buyingTimeFrame = nil, category = nil, ccCustomerCode = nil, ccDefault = nil, ccExpDate = nil, ccHolderName = nil, ccNumber = nil, ccType = nil, city = nil, classBought = nil, comments = nil, companyName = nil, consolBalance = nil, consolDaysOverdue = nil, consolDepositBalance = nil, consolOverdueBalance = nil, consolUnbilledOrders = nil, contact = nil, contribution = nil, conversionDate = nil, country = nil, county = nil, creditHold = nil, creditHoldOverride = nil, creditLimit = nil, currency = nil, custStage = nil, custStatus = nil, dateClosed = nil, dateCreated = nil, daysOverdue = nil, defaultOrderPriority = nil, depositBalance = nil, deptBought = nil, drAccount = nil, email = nil, emailPreference = nil, emailTransactions = nil, endDate = nil, entityId = nil, entityStatus = nil, estimatedBudget = nil, explicitConversion = nil, externalId = nil, externalIdString = nil, fax = nil, faxTransactions = nil, firstName = nil, firstOrderDate = nil, firstSaleDate = nil, fxAccount = nil, fxBalance = nil, fxConsolBalance = nil, fxConsolUnbilledOrders = nil, fxUnbilledOrders = nil, giveAccess = nil, globalSubscriptionStatus = nil, group = nil, groupPricingLevel = nil, hasDuplicates = nil, image = nil, internalId = nil, internalIdNumber = nil, isBudgetApproved = nil, isDefaultBilling = nil, isDefaultShipping = nil, isInactive = nil, isPerson = nil, isReportedLead = nil, isShipAddress = nil, itemPricingLevel = nil, itemPricingUnitPrice = nil, itemsBought = nil, itemsOrdered = nil, language = nil, lastModifiedDate = nil, lastName = nil, lastOrderDate = nil, lastSaleDate = nil, leadDate = nil, leadSource = nil, level = nil, locationBought = nil, manualCreditHold = nil, merchantAccount = nil, middleName = nil, monthlyClosing = nil, onCreditHold = nil, orderedAmount = nil, orderedDate = nil, otherRelationships = nil, overdueBalance = nil, parent = nil, parentItemsBought = nil, parentItemsOrdered = nil, partner = nil, partnerContribution = nil, partnerRole = nil, partnerTeamMember = nil, pec = nil, permission = nil, phone = nil, phoneticName = nil, priceLevel = nil, pricingGroup = nil, pricingItem = nil, printTransactions = nil, prospectDate = nil, pstExempt = nil, receivablesAccount = nil, reminderDate = nil, resaleNumber = nil, role = nil, salesReadiness = nil, salesRep = nil, salesTeamMember = nil, salesTeamRole = nil, salutation = nil, shipAddress = nil, shipComplete = nil, shippingItem = nil, stage = nil, startDate = nil, state = nil, subsidBought = nil, subsidiary = nil, taxable = nil, terms = nil, territory = nil, title = nil, unbilledOrders = nil, url = nil, vatRegNumber = nil, webLead = nil, zipCode = nil, customFieldList = nil)
    @accountNumber = accountNumber
    @address = address
    @addressee = addressee
    @addressLabel = addressLabel
    @addressPhone = addressPhone
    @attention = attention
    @availableOffline = availableOffline
    @balance = balance
    @billAddress = billAddress
    @boughtAmount = boughtAmount
    @boughtDate = boughtDate
    @buyingReason = buyingReason
    @buyingTimeFrame = buyingTimeFrame
    @category = category
    @ccCustomerCode = ccCustomerCode
    @ccDefault = ccDefault
    @ccExpDate = ccExpDate
    @ccHolderName = ccHolderName
    @ccNumber = ccNumber
    @ccType = ccType
    @city = city
    @classBought = classBought
    @comments = comments
    @companyName = companyName
    @consolBalance = consolBalance
    @consolDaysOverdue = consolDaysOverdue
    @consolDepositBalance = consolDepositBalance
    @consolOverdueBalance = consolOverdueBalance
    @consolUnbilledOrders = consolUnbilledOrders
    @contact = contact
    @contribution = contribution
    @conversionDate = conversionDate
    @country = country
    @county = county
    @creditHold = creditHold
    @creditHoldOverride = creditHoldOverride
    @creditLimit = creditLimit
    @currency = currency
    @custStage = custStage
    @custStatus = custStatus
    @dateClosed = dateClosed
    @dateCreated = dateCreated
    @daysOverdue = daysOverdue
    @defaultOrderPriority = defaultOrderPriority
    @depositBalance = depositBalance
    @deptBought = deptBought
    @drAccount = drAccount
    @email = email
    @emailPreference = emailPreference
    @emailTransactions = emailTransactions
    @endDate = endDate
    @entityId = entityId
    @entityStatus = entityStatus
    @estimatedBudget = estimatedBudget
    @explicitConversion = explicitConversion
    @externalId = externalId
    @externalIdString = externalIdString
    @fax = fax
    @faxTransactions = faxTransactions
    @firstName = firstName
    @firstOrderDate = firstOrderDate
    @firstSaleDate = firstSaleDate
    @fxAccount = fxAccount
    @fxBalance = fxBalance
    @fxConsolBalance = fxConsolBalance
    @fxConsolUnbilledOrders = fxConsolUnbilledOrders
    @fxUnbilledOrders = fxUnbilledOrders
    @giveAccess = giveAccess
    @globalSubscriptionStatus = globalSubscriptionStatus
    @group = group
    @groupPricingLevel = groupPricingLevel
    @hasDuplicates = hasDuplicates
    @image = image
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isBudgetApproved = isBudgetApproved
    @isDefaultBilling = isDefaultBilling
    @isDefaultShipping = isDefaultShipping
    @isInactive = isInactive
    @isPerson = isPerson
    @isReportedLead = isReportedLead
    @isShipAddress = isShipAddress
    @itemPricingLevel = itemPricingLevel
    @itemPricingUnitPrice = itemPricingUnitPrice
    @itemsBought = itemsBought
    @itemsOrdered = itemsOrdered
    @language = language
    @lastModifiedDate = lastModifiedDate
    @lastName = lastName
    @lastOrderDate = lastOrderDate
    @lastSaleDate = lastSaleDate
    @leadDate = leadDate
    @leadSource = leadSource
    @level = level
    @locationBought = locationBought
    @manualCreditHold = manualCreditHold
    @merchantAccount = merchantAccount
    @middleName = middleName
    @monthlyClosing = monthlyClosing
    @onCreditHold = onCreditHold
    @orderedAmount = orderedAmount
    @orderedDate = orderedDate
    @otherRelationships = otherRelationships
    @overdueBalance = overdueBalance
    @parent = parent
    @parentItemsBought = parentItemsBought
    @parentItemsOrdered = parentItemsOrdered
    @partner = partner
    @partnerContribution = partnerContribution
    @partnerRole = partnerRole
    @partnerTeamMember = partnerTeamMember
    @pec = pec
    @permission = permission
    @phone = phone
    @phoneticName = phoneticName
    @priceLevel = priceLevel
    @pricingGroup = pricingGroup
    @pricingItem = pricingItem
    @printTransactions = printTransactions
    @prospectDate = prospectDate
    @pstExempt = pstExempt
    @receivablesAccount = receivablesAccount
    @reminderDate = reminderDate
    @resaleNumber = resaleNumber
    @role = role
    @salesReadiness = salesReadiness
    @salesRep = salesRep
    @salesTeamMember = salesTeamMember
    @salesTeamRole = salesTeamRole
    @salutation = salutation
    @shipAddress = shipAddress
    @shipComplete = shipComplete
    @shippingItem = shippingItem
    @stage = stage
    @startDate = startDate
    @state = state
    @subsidBought = subsidBought
    @subsidiary = subsidiary
    @taxable = taxable
    @terms = terms
    @territory = territory
    @title = title
    @unbilledOrders = unbilledOrders
    @url = url
    @vatRegNumber = vatRegNumber
    @webLead = webLead
    @zipCode = zipCode
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CalendarEventSearchBasic
#   attendee - ActiveNetsuite::SearchMultiSelectField
#   calendar - ActiveNetsuite::SearchMultiSelectField
#   completedDate - ActiveNetsuite::SearchDateField
#   createdDate - ActiveNetsuite::SearchDateField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   instanceStart - ActiveNetsuite::SearchDateField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isUpcomingEvent - ActiveNetsuite::SearchBooleanField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   location - ActiveNetsuite::SearchStringField
#   message - ActiveNetsuite::SearchStringField
#   organizer - ActiveNetsuite::SearchMultiSelectField
#   owner - ActiveNetsuite::SearchMultiSelectField
#   resource - ActiveNetsuite::SearchMultiSelectField
#   response - ActiveNetsuite::SearchEnumMultiSelectField
#   startDate - ActiveNetsuite::SearchDateField
#   status - ActiveNetsuite::SearchEnumMultiSelectField
#   title - ActiveNetsuite::SearchStringField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class CalendarEventSearchBasic < SearchRecordBasic
  attr_accessor :attendee
  attr_accessor :calendar
  attr_accessor :completedDate
  attr_accessor :createdDate
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :instanceStart
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isUpcomingEvent
  attr_accessor :lastModifiedDate
  attr_accessor :location
  attr_accessor :message
  attr_accessor :organizer
  attr_accessor :owner
  attr_accessor :resource
  attr_accessor :response
  attr_accessor :startDate
  attr_accessor :status
  attr_accessor :title
  attr_accessor :customFieldList

  def initialize(attendee = nil, calendar = nil, completedDate = nil, createdDate = nil, externalId = nil, externalIdString = nil, instanceStart = nil, internalId = nil, internalIdNumber = nil, isUpcomingEvent = nil, lastModifiedDate = nil, location = nil, message = nil, organizer = nil, owner = nil, resource = nil, response = nil, startDate = nil, status = nil, title = nil, customFieldList = nil)
    @attendee = attendee
    @calendar = calendar
    @completedDate = completedDate
    @createdDate = createdDate
    @externalId = externalId
    @externalIdString = externalIdString
    @instanceStart = instanceStart
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isUpcomingEvent = isUpcomingEvent
    @lastModifiedDate = lastModifiedDate
    @location = location
    @message = message
    @organizer = organizer
    @owner = owner
    @resource = resource
    @response = response
    @startDate = startDate
    @status = status
    @title = title
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}TaskSearchBasic
#   actualTime - ActiveNetsuite::SearchDoubleField
#   assigned - ActiveNetsuite::SearchMultiSelectField
#   company - ActiveNetsuite::SearchMultiSelectField
#   completedDate - ActiveNetsuite::SearchDateField
#   contact - ActiveNetsuite::SearchMultiSelectField
#   createdDate - ActiveNetsuite::SearchDateField
#   endDate - ActiveNetsuite::SearchDateField
#   estimatedTime - ActiveNetsuite::SearchDoubleField
#   estimatedTimeOverride - ActiveNetsuite::SearchDoubleField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isJobSummaryTask - ActiveNetsuite::SearchBooleanField
#   isJobTask - ActiveNetsuite::SearchBooleanField
#   isPrivate - ActiveNetsuite::SearchBooleanField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   milestone - ActiveNetsuite::SearchLongField
#   owner - ActiveNetsuite::SearchMultiSelectField
#   percentComplete - ActiveNetsuite::SearchLongField
#   percentTimeComplete - ActiveNetsuite::SearchLongField
#   priority - ActiveNetsuite::SearchEnumMultiSelectField
#   startDate - ActiveNetsuite::SearchDateField
#   status - ActiveNetsuite::SearchEnumMultiSelectField
#   timeRemaining - ActiveNetsuite::SearchDoubleField
#   title - ActiveNetsuite::SearchStringField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class TaskSearchBasic < SearchRecordBasic
  attr_accessor :actualTime
  attr_accessor :assigned
  attr_accessor :company
  attr_accessor :completedDate
  attr_accessor :contact
  attr_accessor :createdDate
  attr_accessor :endDate
  attr_accessor :estimatedTime
  attr_accessor :estimatedTimeOverride
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isJobSummaryTask
  attr_accessor :isJobTask
  attr_accessor :isPrivate
  attr_accessor :lastModifiedDate
  attr_accessor :milestone
  attr_accessor :owner
  attr_accessor :percentComplete
  attr_accessor :percentTimeComplete
  attr_accessor :priority
  attr_accessor :startDate
  attr_accessor :status
  attr_accessor :timeRemaining
  attr_accessor :title
  attr_accessor :customFieldList

  def initialize(actualTime = nil, assigned = nil, company = nil, completedDate = nil, contact = nil, createdDate = nil, endDate = nil, estimatedTime = nil, estimatedTimeOverride = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isJobSummaryTask = nil, isJobTask = nil, isPrivate = nil, lastModifiedDate = nil, milestone = nil, owner = nil, percentComplete = nil, percentTimeComplete = nil, priority = nil, startDate = nil, status = nil, timeRemaining = nil, title = nil, customFieldList = nil)
    @actualTime = actualTime
    @assigned = assigned
    @company = company
    @completedDate = completedDate
    @contact = contact
    @createdDate = createdDate
    @endDate = endDate
    @estimatedTime = estimatedTime
    @estimatedTimeOverride = estimatedTimeOverride
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isJobSummaryTask = isJobSummaryTask
    @isJobTask = isJobTask
    @isPrivate = isPrivate
    @lastModifiedDate = lastModifiedDate
    @milestone = milestone
    @owner = owner
    @percentComplete = percentComplete
    @percentTimeComplete = percentTimeComplete
    @priority = priority
    @startDate = startDate
    @status = status
    @timeRemaining = timeRemaining
    @title = title
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}OpportunitySearchBasic
#   amount - ActiveNetsuite::SearchDoubleField
#   availableOffline - ActiveNetsuite::SearchBooleanField
#   buyingReason - ActiveNetsuite::SearchMultiSelectField
#   buyingTimeFrame - ActiveNetsuite::SearchMultiSelectField
#   m_class - ActiveNetsuite::SearchMultiSelectField
#   closeDate - ActiveNetsuite::SearchDateField
#   competitor - ActiveNetsuite::SearchMultiSelectField
#   contribution - ActiveNetsuite::SearchLongField
#   currency - ActiveNetsuite::SearchMultiSelectField
#   custType - ActiveNetsuite::SearchMultiSelectField
#   dateCreated - ActiveNetsuite::SearchDateField
#   daysOpen - ActiveNetsuite::SearchLongField
#   daysToClose - ActiveNetsuite::SearchLongField
#   department - ActiveNetsuite::SearchMultiSelectField
#   entity - ActiveNetsuite::SearchMultiSelectField
#   entityStatus - ActiveNetsuite::SearchMultiSelectField
#   estimatedBudget - ActiveNetsuite::SearchDoubleField
#   expectedCloseDate - ActiveNetsuite::SearchDateField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   forecastType - ActiveNetsuite::SearchEnumMultiSelectField
#   foreignProjectedAmount - ActiveNetsuite::SearchDoubleField
#   foreignRangeHigh - ActiveNetsuite::SearchDoubleField
#   foreignRangeLow - ActiveNetsuite::SearchDoubleField
#   fxTranCostEstimate - ActiveNetsuite::SearchDoubleField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isBudgetApproved - ActiveNetsuite::SearchBooleanField
#   item - ActiveNetsuite::SearchMultiSelectField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   leadSource - ActiveNetsuite::SearchMultiSelectField
#   location - ActiveNetsuite::SearchMultiSelectField
#   memo - ActiveNetsuite::SearchStringField
#   number - ActiveNetsuite::SearchLongField
#   partner - ActiveNetsuite::SearchMultiSelectField
#   partnerContribution - ActiveNetsuite::SearchLongField
#   partnerRole - ActiveNetsuite::SearchMultiSelectField
#   partnerTeamMember - ActiveNetsuite::SearchMultiSelectField
#   postingPeriod - ActiveNetsuite::RecordRef
#   postingPeriodRelative - ActiveNetsuite::PostingPeriodDate
#   probability - ActiveNetsuite::SearchLongField
#   projAltSalesAmt - ActiveNetsuite::SearchDoubleField
#   projectedTotal - ActiveNetsuite::SearchDoubleField
#   rangeHigh - ActiveNetsuite::SearchDoubleField
#   rangeHighAlt - ActiveNetsuite::SearchDoubleField
#   rangeLow - ActiveNetsuite::SearchDoubleField
#   rangeLowAlt - ActiveNetsuite::SearchDoubleField
#   salesReadiness - ActiveNetsuite::SearchMultiSelectField
#   salesRep - ActiveNetsuite::SearchMultiSelectField
#   salesTeamMember - ActiveNetsuite::SearchMultiSelectField
#   salesTeamRole - ActiveNetsuite::SearchMultiSelectField
#   status - ActiveNetsuite::SearchEnumMultiSelectField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   taxPeriod - ActiveNetsuite::RecordRef
#   taxPeriodRelative - ActiveNetsuite::PostingPeriodDate
#   title - ActiveNetsuite::SearchStringField
#   tranCostEstimate - ActiveNetsuite::SearchDoubleField
#   tranDate - ActiveNetsuite::SearchDateField
#   tranEstGrossProfit - ActiveNetsuite::SearchDoubleField
#   tranEstGrossProfitPct - ActiveNetsuite::SearchDoubleField
#   tranFxEstGrossProfit - ActiveNetsuite::SearchDoubleField
#   tranId - ActiveNetsuite::SearchStringField
#   winLossReason - ActiveNetsuite::SearchMultiSelectField
#   wonBy - ActiveNetsuite::SearchMultiSelectField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class OpportunitySearchBasic < SearchRecordBasic
  attr_accessor :amount
  attr_accessor :availableOffline
  attr_accessor :buyingReason
  attr_accessor :buyingTimeFrame
  attr_accessor :closeDate
  attr_accessor :competitor
  attr_accessor :contribution
  attr_accessor :currency
  attr_accessor :custType
  attr_accessor :dateCreated
  attr_accessor :daysOpen
  attr_accessor :daysToClose
  attr_accessor :department
  attr_accessor :entity
  attr_accessor :entityStatus
  attr_accessor :estimatedBudget
  attr_accessor :expectedCloseDate
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :forecastType
  attr_accessor :foreignProjectedAmount
  attr_accessor :foreignRangeHigh
  attr_accessor :foreignRangeLow
  attr_accessor :fxTranCostEstimate
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isBudgetApproved
  attr_accessor :item
  attr_accessor :lastModifiedDate
  attr_accessor :leadSource
  attr_accessor :location
  attr_accessor :memo
  attr_accessor :number
  attr_accessor :partner
  attr_accessor :partnerContribution
  attr_accessor :partnerRole
  attr_accessor :partnerTeamMember
  attr_accessor :postingPeriod
  attr_accessor :postingPeriodRelative
  attr_accessor :probability
  attr_accessor :projAltSalesAmt
  attr_accessor :projectedTotal
  attr_accessor :rangeHigh
  attr_accessor :rangeHighAlt
  attr_accessor :rangeLow
  attr_accessor :rangeLowAlt
  attr_accessor :salesReadiness
  attr_accessor :salesRep
  attr_accessor :salesTeamMember
  attr_accessor :salesTeamRole
  attr_accessor :status
  attr_accessor :subsidiary
  attr_accessor :taxPeriod
  attr_accessor :taxPeriodRelative
  attr_accessor :title
  attr_accessor :tranCostEstimate
  attr_accessor :tranDate
  attr_accessor :tranEstGrossProfit
  attr_accessor :tranEstGrossProfitPct
  attr_accessor :tranFxEstGrossProfit
  attr_accessor :tranId
  attr_accessor :winLossReason
  attr_accessor :wonBy
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(amount = nil, availableOffline = nil, buyingReason = nil, buyingTimeFrame = nil, v_class = nil, closeDate = nil, competitor = nil, contribution = nil, currency = nil, custType = nil, dateCreated = nil, daysOpen = nil, daysToClose = nil, department = nil, entity = nil, entityStatus = nil, estimatedBudget = nil, expectedCloseDate = nil, externalId = nil, externalIdString = nil, forecastType = nil, foreignProjectedAmount = nil, foreignRangeHigh = nil, foreignRangeLow = nil, fxTranCostEstimate = nil, internalId = nil, internalIdNumber = nil, isBudgetApproved = nil, item = nil, lastModifiedDate = nil, leadSource = nil, location = nil, memo = nil, number = nil, partner = nil, partnerContribution = nil, partnerRole = nil, partnerTeamMember = nil, postingPeriod = nil, postingPeriodRelative = nil, probability = nil, projAltSalesAmt = nil, projectedTotal = nil, rangeHigh = nil, rangeHighAlt = nil, rangeLow = nil, rangeLowAlt = nil, salesReadiness = nil, salesRep = nil, salesTeamMember = nil, salesTeamRole = nil, status = nil, subsidiary = nil, taxPeriod = nil, taxPeriodRelative = nil, title = nil, tranCostEstimate = nil, tranDate = nil, tranEstGrossProfit = nil, tranEstGrossProfitPct = nil, tranFxEstGrossProfit = nil, tranId = nil, winLossReason = nil, wonBy = nil, customFieldList = nil)
    @amount = amount
    @availableOffline = availableOffline
    @buyingReason = buyingReason
    @buyingTimeFrame = buyingTimeFrame
    @v_class = v_class
    @closeDate = closeDate
    @competitor = competitor
    @contribution = contribution
    @currency = currency
    @custType = custType
    @dateCreated = dateCreated
    @daysOpen = daysOpen
    @daysToClose = daysToClose
    @department = department
    @entity = entity
    @entityStatus = entityStatus
    @estimatedBudget = estimatedBudget
    @expectedCloseDate = expectedCloseDate
    @externalId = externalId
    @externalIdString = externalIdString
    @forecastType = forecastType
    @foreignProjectedAmount = foreignProjectedAmount
    @foreignRangeHigh = foreignRangeHigh
    @foreignRangeLow = foreignRangeLow
    @fxTranCostEstimate = fxTranCostEstimate
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isBudgetApproved = isBudgetApproved
    @item = item
    @lastModifiedDate = lastModifiedDate
    @leadSource = leadSource
    @location = location
    @memo = memo
    @number = number
    @partner = partner
    @partnerContribution = partnerContribution
    @partnerRole = partnerRole
    @partnerTeamMember = partnerTeamMember
    @postingPeriod = postingPeriod
    @postingPeriodRelative = postingPeriodRelative
    @probability = probability
    @projAltSalesAmt = projAltSalesAmt
    @projectedTotal = projectedTotal
    @rangeHigh = rangeHigh
    @rangeHighAlt = rangeHighAlt
    @rangeLow = rangeLow
    @rangeLowAlt = rangeLowAlt
    @salesReadiness = salesReadiness
    @salesRep = salesRep
    @salesTeamMember = salesTeamMember
    @salesTeamRole = salesTeamRole
    @status = status
    @subsidiary = subsidiary
    @taxPeriod = taxPeriod
    @taxPeriodRelative = taxPeriodRelative
    @title = title
    @tranCostEstimate = tranCostEstimate
    @tranDate = tranDate
    @tranEstGrossProfit = tranEstGrossProfit
    @tranEstGrossProfitPct = tranEstGrossProfitPct
    @tranFxEstGrossProfit = tranFxEstGrossProfit
    @tranId = tranId
    @winLossReason = winLossReason
    @wonBy = wonBy
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}EmployeeSearchBasic
#   address - ActiveNetsuite::SearchStringField
#   addressee - ActiveNetsuite::SearchStringField
#   addressLabel - ActiveNetsuite::SearchStringField
#   addressPhone - ActiveNetsuite::SearchStringField
#   alienNumber - ActiveNetsuite::SearchStringField
#   anniversary - ActiveNetsuite::SearchDateField
#   approvalLimit - ActiveNetsuite::SearchDoubleField
#   approver - ActiveNetsuite::SearchMultiSelectField
#   attention - ActiveNetsuite::SearchStringField
#   authWorkDate - ActiveNetsuite::SearchDateField
#   billAddress - ActiveNetsuite::SearchStringField
#   billingClass - ActiveNetsuite::SearchMultiSelectField
#   birthDate - ActiveNetsuite::SearchDateField
#   birthDay - ActiveNetsuite::SearchDateField
#   cContribution - ActiveNetsuite::SearchMultiSelectField
#   city - ActiveNetsuite::SearchStringField
#   m_class - ActiveNetsuite::SearchMultiSelectField
#   comments - ActiveNetsuite::SearchStringField
#   commissionPlan - ActiveNetsuite::SearchMultiSelectField
#   concurrentWebServicesUser - ActiveNetsuite::SearchBooleanField
#   country - ActiveNetsuite::SearchEnumMultiSelectField
#   county - ActiveNetsuite::SearchStringField
#   dateCreated - ActiveNetsuite::SearchDateField
#   deduction - ActiveNetsuite::SearchMultiSelectField
#   department - ActiveNetsuite::SearchMultiSelectField
#   earning - ActiveNetsuite::SearchMultiSelectField
#   education - ActiveNetsuite::SearchMultiSelectField
#   eligibleForCommission - ActiveNetsuite::SearchBooleanField
#   email - ActiveNetsuite::SearchStringField
#   employeeStatus - ActiveNetsuite::SearchMultiSelectField
#   employeeType - ActiveNetsuite::SearchMultiSelectField
#   employeeTypeKpi - ActiveNetsuite::SearchBooleanField
#   entityId - ActiveNetsuite::SearchStringField
#   ethnicity - ActiveNetsuite::SearchMultiSelectField
#   expenseLimit - ActiveNetsuite::SearchDoubleField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   fax - ActiveNetsuite::SearchStringField
#   firstName - ActiveNetsuite::SearchStringField
#   gender - ActiveNetsuite::SearchEnumMultiSelectField
#   giveAccess - ActiveNetsuite::SearchBooleanField
#   globalSubscriptionStatus - ActiveNetsuite::SearchEnumMultiSelectField
#   group - ActiveNetsuite::SearchMultiSelectField
#   hireDate - ActiveNetsuite::SearchDateField
#   i9Verified - ActiveNetsuite::SearchBooleanField
#   image - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isDefaultBilling - ActiveNetsuite::SearchBooleanField
#   isDefaultShipping - ActiveNetsuite::SearchBooleanField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   isJobResource - ActiveNetsuite::SearchBooleanField
#   isTemplate - ActiveNetsuite::SearchBooleanField
#   jobDescription - ActiveNetsuite::SearchStringField
#   laborCost - ActiveNetsuite::SearchDoubleField
#   language - ActiveNetsuite::SearchEnumMultiSelectField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   lastName - ActiveNetsuite::SearchStringField
#   lastPaidDate - ActiveNetsuite::SearchDateField
#   lastReviewDate - ActiveNetsuite::SearchDateField
#   level - ActiveNetsuite::SearchEnumMultiSelectField
#   location - ActiveNetsuite::SearchMultiSelectField
#   maritalStatus - ActiveNetsuite::SearchMultiSelectField
#   middleName - ActiveNetsuite::SearchStringField
#   nextReviewDate - ActiveNetsuite::SearchDateField
#   offlineAccess - ActiveNetsuite::SearchBooleanField
#   payFrequency - ActiveNetsuite::SearchEnumMultiSelectField
#   permChangeDate - ActiveNetsuite::SearchDateField
#   permission - ActiveNetsuite::SearchEnumMultiSelectField
#   permissionChange - ActiveNetsuite::SearchEnumMultiSelectField
#   phone - ActiveNetsuite::SearchStringField
#   phoneticName - ActiveNetsuite::SearchStringField
#   primaryEarningAmount - ActiveNetsuite::SearchDoubleField
#   primaryEarningItem - ActiveNetsuite::SearchStringField
#   primaryEarningType - ActiveNetsuite::SearchStringField
#   purchaseOrderApprovalLimit - ActiveNetsuite::SearchDoubleField
#   purchaseOrderApprover - ActiveNetsuite::SearchMultiSelectField
#   purchaseOrderLimit - ActiveNetsuite::SearchDoubleField
#   releaseDate - ActiveNetsuite::SearchDateField
#   residentStatus - ActiveNetsuite::SearchMultiSelectField
#   role - ActiveNetsuite::SearchMultiSelectField
#   roleChange - ActiveNetsuite::SearchMultiSelectField
#   roleChangeDate - ActiveNetsuite::SearchDateField
#   salesRep - ActiveNetsuite::SearchBooleanField
#   salesRole - ActiveNetsuite::SearchMultiSelectField
#   salutation - ActiveNetsuite::SearchStringField
#   socialSecurityNumber - ActiveNetsuite::SearchStringField
#   state - ActiveNetsuite::SearchStringField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   supervisor - ActiveNetsuite::SearchMultiSelectField
#   supportRep - ActiveNetsuite::SearchBooleanField
#   timeApprover - ActiveNetsuite::SearchMultiSelectField
#   title - ActiveNetsuite::SearchStringField
#   type - ActiveNetsuite::SearchMultiSelectField
#   usePerquest - ActiveNetsuite::SearchBooleanField
#   useTimeData - ActiveNetsuite::SearchBooleanField
#   visaExpDate - ActiveNetsuite::SearchDateField
#   visaType - ActiveNetsuite::SearchMultiSelectField
#   withholding - ActiveNetsuite::SearchMultiSelectField
#   workCalendar - ActiveNetsuite::SearchMultiSelectField
#   workplace - ActiveNetsuite::SearchMultiSelectField
#   zipCode - ActiveNetsuite::SearchStringField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class EmployeeSearchBasic < SearchRecordBasic
  attr_accessor :address
  attr_accessor :addressee
  attr_accessor :addressLabel
  attr_accessor :addressPhone
  attr_accessor :alienNumber
  attr_accessor :anniversary
  attr_accessor :approvalLimit
  attr_accessor :approver
  attr_accessor :attention
  attr_accessor :authWorkDate
  attr_accessor :billAddress
  attr_accessor :billingClass
  attr_accessor :birthDate
  attr_accessor :birthDay
  attr_accessor :cContribution
  attr_accessor :city
  attr_accessor :comments
  attr_accessor :commissionPlan
  attr_accessor :concurrentWebServicesUser
  attr_accessor :country
  attr_accessor :county
  attr_accessor :dateCreated
  attr_accessor :deduction
  attr_accessor :department
  attr_accessor :earning
  attr_accessor :education
  attr_accessor :eligibleForCommission
  attr_accessor :email
  attr_accessor :employeeStatus
  attr_accessor :employeeType
  attr_accessor :employeeTypeKpi
  attr_accessor :entityId
  attr_accessor :ethnicity
  attr_accessor :expenseLimit
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :fax
  attr_accessor :firstName
  attr_accessor :gender
  attr_accessor :giveAccess
  attr_accessor :globalSubscriptionStatus
  attr_accessor :group
  attr_accessor :hireDate
  attr_accessor :i9Verified
  attr_accessor :image
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isDefaultBilling
  attr_accessor :isDefaultShipping
  attr_accessor :isInactive
  attr_accessor :isJobResource
  attr_accessor :isTemplate
  attr_accessor :jobDescription
  attr_accessor :laborCost
  attr_accessor :language
  attr_accessor :lastModifiedDate
  attr_accessor :lastName
  attr_accessor :lastPaidDate
  attr_accessor :lastReviewDate
  attr_accessor :level
  attr_accessor :location
  attr_accessor :maritalStatus
  attr_accessor :middleName
  attr_accessor :nextReviewDate
  attr_accessor :offlineAccess
  attr_accessor :payFrequency
  attr_accessor :permChangeDate
  attr_accessor :permission
  attr_accessor :permissionChange
  attr_accessor :phone
  attr_accessor :phoneticName
  attr_accessor :primaryEarningAmount
  attr_accessor :primaryEarningItem
  attr_accessor :primaryEarningType
  attr_accessor :purchaseOrderApprovalLimit
  attr_accessor :purchaseOrderApprover
  attr_accessor :purchaseOrderLimit
  attr_accessor :releaseDate
  attr_accessor :residentStatus
  attr_accessor :role
  attr_accessor :roleChange
  attr_accessor :roleChangeDate
  attr_accessor :salesRep
  attr_accessor :salesRole
  attr_accessor :salutation
  attr_accessor :socialSecurityNumber
  attr_accessor :state
  attr_accessor :subsidiary
  attr_accessor :supervisor
  attr_accessor :supportRep
  attr_accessor :timeApprover
  attr_accessor :title
  attr_accessor :type
  attr_accessor :usePerquest
  attr_accessor :useTimeData
  attr_accessor :visaExpDate
  attr_accessor :visaType
  attr_accessor :withholding
  attr_accessor :workCalendar
  attr_accessor :workplace
  attr_accessor :zipCode
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(address = nil, addressee = nil, addressLabel = nil, addressPhone = nil, alienNumber = nil, anniversary = nil, approvalLimit = nil, approver = nil, attention = nil, authWorkDate = nil, billAddress = nil, billingClass = nil, birthDate = nil, birthDay = nil, cContribution = nil, city = nil, v_class = nil, comments = nil, commissionPlan = nil, concurrentWebServicesUser = nil, country = nil, county = nil, dateCreated = nil, deduction = nil, department = nil, earning = nil, education = nil, eligibleForCommission = nil, email = nil, employeeStatus = nil, employeeType = nil, employeeTypeKpi = nil, entityId = nil, ethnicity = nil, expenseLimit = nil, externalId = nil, externalIdString = nil, fax = nil, firstName = nil, gender = nil, giveAccess = nil, globalSubscriptionStatus = nil, group = nil, hireDate = nil, i9Verified = nil, image = nil, internalId = nil, internalIdNumber = nil, isDefaultBilling = nil, isDefaultShipping = nil, isInactive = nil, isJobResource = nil, isTemplate = nil, jobDescription = nil, laborCost = nil, language = nil, lastModifiedDate = nil, lastName = nil, lastPaidDate = nil, lastReviewDate = nil, level = nil, location = nil, maritalStatus = nil, middleName = nil, nextReviewDate = nil, offlineAccess = nil, payFrequency = nil, permChangeDate = nil, permission = nil, permissionChange = nil, phone = nil, phoneticName = nil, primaryEarningAmount = nil, primaryEarningItem = nil, primaryEarningType = nil, purchaseOrderApprovalLimit = nil, purchaseOrderApprover = nil, purchaseOrderLimit = nil, releaseDate = nil, residentStatus = nil, role = nil, roleChange = nil, roleChangeDate = nil, salesRep = nil, salesRole = nil, salutation = nil, socialSecurityNumber = nil, state = nil, subsidiary = nil, supervisor = nil, supportRep = nil, timeApprover = nil, title = nil, type = nil, usePerquest = nil, useTimeData = nil, visaExpDate = nil, visaType = nil, withholding = nil, workCalendar = nil, workplace = nil, zipCode = nil, customFieldList = nil)
    @address = address
    @addressee = addressee
    @addressLabel = addressLabel
    @addressPhone = addressPhone
    @alienNumber = alienNumber
    @anniversary = anniversary
    @approvalLimit = approvalLimit
    @approver = approver
    @attention = attention
    @authWorkDate = authWorkDate
    @billAddress = billAddress
    @billingClass = billingClass
    @birthDate = birthDate
    @birthDay = birthDay
    @cContribution = cContribution
    @city = city
    @v_class = v_class
    @comments = comments
    @commissionPlan = commissionPlan
    @concurrentWebServicesUser = concurrentWebServicesUser
    @country = country
    @county = county
    @dateCreated = dateCreated
    @deduction = deduction
    @department = department
    @earning = earning
    @education = education
    @eligibleForCommission = eligibleForCommission
    @email = email
    @employeeStatus = employeeStatus
    @employeeType = employeeType
    @employeeTypeKpi = employeeTypeKpi
    @entityId = entityId
    @ethnicity = ethnicity
    @expenseLimit = expenseLimit
    @externalId = externalId
    @externalIdString = externalIdString
    @fax = fax
    @firstName = firstName
    @gender = gender
    @giveAccess = giveAccess
    @globalSubscriptionStatus = globalSubscriptionStatus
    @group = group
    @hireDate = hireDate
    @i9Verified = i9Verified
    @image = image
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isDefaultBilling = isDefaultBilling
    @isDefaultShipping = isDefaultShipping
    @isInactive = isInactive
    @isJobResource = isJobResource
    @isTemplate = isTemplate
    @jobDescription = jobDescription
    @laborCost = laborCost
    @language = language
    @lastModifiedDate = lastModifiedDate
    @lastName = lastName
    @lastPaidDate = lastPaidDate
    @lastReviewDate = lastReviewDate
    @level = level
    @location = location
    @maritalStatus = maritalStatus
    @middleName = middleName
    @nextReviewDate = nextReviewDate
    @offlineAccess = offlineAccess
    @payFrequency = payFrequency
    @permChangeDate = permChangeDate
    @permission = permission
    @permissionChange = permissionChange
    @phone = phone
    @phoneticName = phoneticName
    @primaryEarningAmount = primaryEarningAmount
    @primaryEarningItem = primaryEarningItem
    @primaryEarningType = primaryEarningType
    @purchaseOrderApprovalLimit = purchaseOrderApprovalLimit
    @purchaseOrderApprover = purchaseOrderApprover
    @purchaseOrderLimit = purchaseOrderLimit
    @releaseDate = releaseDate
    @residentStatus = residentStatus
    @role = role
    @roleChange = roleChange
    @roleChangeDate = roleChangeDate
    @salesRep = salesRep
    @salesRole = salesRole
    @salutation = salutation
    @socialSecurityNumber = socialSecurityNumber
    @state = state
    @subsidiary = subsidiary
    @supervisor = supervisor
    @supportRep = supportRep
    @timeApprover = timeApprover
    @title = title
    @type = type
    @usePerquest = usePerquest
    @useTimeData = useTimeData
    @visaExpDate = visaExpDate
    @visaType = visaType
    @withholding = withholding
    @workCalendar = workCalendar
    @workplace = workplace
    @zipCode = zipCode
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}PhoneCallSearchBasic
#   assigned - ActiveNetsuite::SearchMultiSelectField
#   company - ActiveNetsuite::SearchMultiSelectField
#   completedDate - ActiveNetsuite::SearchDateField
#   contact - ActiveNetsuite::SearchMultiSelectField
#   createdBy - ActiveNetsuite::SearchMultiSelectField
#   createdDate - ActiveNetsuite::SearchDateField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isPrivate - ActiveNetsuite::SearchBooleanField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   owner - ActiveNetsuite::SearchBooleanField
#   phone - ActiveNetsuite::SearchStringField
#   priority - ActiveNetsuite::SearchEnumMultiSelectField
#   startDate - ActiveNetsuite::SearchDateField
#   status - ActiveNetsuite::SearchEnumMultiSelectField
#   title - ActiveNetsuite::SearchStringField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class PhoneCallSearchBasic < SearchRecordBasic
  attr_accessor :assigned
  attr_accessor :company
  attr_accessor :completedDate
  attr_accessor :contact
  attr_accessor :createdBy
  attr_accessor :createdDate
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isPrivate
  attr_accessor :lastModifiedDate
  attr_accessor :owner
  attr_accessor :phone
  attr_accessor :priority
  attr_accessor :startDate
  attr_accessor :status
  attr_accessor :title
  attr_accessor :customFieldList

  def initialize(assigned = nil, company = nil, completedDate = nil, contact = nil, createdBy = nil, createdDate = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isPrivate = nil, lastModifiedDate = nil, owner = nil, phone = nil, priority = nil, startDate = nil, status = nil, title = nil, customFieldList = nil)
    @assigned = assigned
    @company = company
    @completedDate = completedDate
    @contact = contact
    @createdBy = createdBy
    @createdDate = createdDate
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isPrivate = isPrivate
    @lastModifiedDate = lastModifiedDate
    @owner = owner
    @phone = phone
    @priority = priority
    @startDate = startDate
    @status = status
    @title = title
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}SupportCaseSearchBasic
#   assigned - ActiveNetsuite::SearchMultiSelectField
#   awaitingReply - ActiveNetsuite::SearchBooleanField
#   caseNumber - ActiveNetsuite::SearchStringField
#   category - ActiveNetsuite::SearchMultiSelectField
#   closedDate - ActiveNetsuite::SearchDateField
#   company - ActiveNetsuite::SearchStringField
#   contact - ActiveNetsuite::SearchStringField
#   createdDate - ActiveNetsuite::SearchDateField
#   email - ActiveNetsuite::SearchStringField
#   escalateTo - ActiveNetsuite::SearchMultiSelectField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   helpDesk - ActiveNetsuite::SearchBooleanField
#   inboundEmail - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   issue - ActiveNetsuite::SearchMultiSelectField
#   item - ActiveNetsuite::SearchMultiSelectField
#   lastMessage - ActiveNetsuite::SearchBooleanField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   lastReopenedDate - ActiveNetsuite::SearchDateField
#   locked - ActiveNetsuite::SearchBooleanField
#   message - ActiveNetsuite::SearchStringField
#   messageAuthor - ActiveNetsuite::SearchMultiSelectField
#   messageDate - ActiveNetsuite::SearchDateField
#   messageType - ActiveNetsuite::SearchBooleanField
#   m_module - ActiveNetsuite::SearchMultiSelectField
#   number - ActiveNetsuite::SearchLongField
#   origin - ActiveNetsuite::SearchMultiSelectField
#   priority - ActiveNetsuite::SearchMultiSelectField
#   product - ActiveNetsuite::SearchMultiSelectField
#   serialNumber - ActiveNetsuite::SearchStringField
#   stage - ActiveNetsuite::SearchEnumMultiSelectField
#   startDate - ActiveNetsuite::SearchDateField
#   status - ActiveNetsuite::SearchMultiSelectField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   title - ActiveNetsuite::SearchStringField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class SupportCaseSearchBasic < SearchRecordBasic
  attr_accessor :assigned
  attr_accessor :awaitingReply
  attr_accessor :caseNumber
  attr_accessor :category
  attr_accessor :closedDate
  attr_accessor :company
  attr_accessor :contact
  attr_accessor :createdDate
  attr_accessor :email
  attr_accessor :escalateTo
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :helpDesk
  attr_accessor :inboundEmail
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :issue
  attr_accessor :item
  attr_accessor :lastMessage
  attr_accessor :lastModifiedDate
  attr_accessor :lastReopenedDate
  attr_accessor :locked
  attr_accessor :message
  attr_accessor :messageAuthor
  attr_accessor :messageDate
  attr_accessor :messageType
  attr_accessor :number
  attr_accessor :origin
  attr_accessor :priority
  attr_accessor :product
  attr_accessor :serialNumber
  attr_accessor :stage
  attr_accessor :startDate
  attr_accessor :status
  attr_accessor :subsidiary
  attr_accessor :title
  attr_accessor :customFieldList

  def m_module
    @v_module
  end

  def m_module=(value)
    @v_module = value
  end

  def initialize(assigned = nil, awaitingReply = nil, caseNumber = nil, category = nil, closedDate = nil, company = nil, contact = nil, createdDate = nil, email = nil, escalateTo = nil, externalId = nil, externalIdString = nil, helpDesk = nil, inboundEmail = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, issue = nil, item = nil, lastMessage = nil, lastModifiedDate = nil, lastReopenedDate = nil, locked = nil, message = nil, messageAuthor = nil, messageDate = nil, messageType = nil, v_module = nil, number = nil, origin = nil, priority = nil, product = nil, serialNumber = nil, stage = nil, startDate = nil, status = nil, subsidiary = nil, title = nil, customFieldList = nil)
    @assigned = assigned
    @awaitingReply = awaitingReply
    @caseNumber = caseNumber
    @category = category
    @closedDate = closedDate
    @company = company
    @contact = contact
    @createdDate = createdDate
    @email = email
    @escalateTo = escalateTo
    @externalId = externalId
    @externalIdString = externalIdString
    @helpDesk = helpDesk
    @inboundEmail = inboundEmail
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @issue = issue
    @item = item
    @lastMessage = lastMessage
    @lastModifiedDate = lastModifiedDate
    @lastReopenedDate = lastReopenedDate
    @locked = locked
    @message = message
    @messageAuthor = messageAuthor
    @messageDate = messageDate
    @messageType = messageType
    @v_module = v_module
    @number = number
    @origin = origin
    @priority = priority
    @product = product
    @serialNumber = serialNumber
    @stage = stage
    @startDate = startDate
    @status = status
    @subsidiary = subsidiary
    @title = title
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}MessageSearchBasic
#   author - ActiveNetsuite::SearchMultiSelectField
#   authorEmail - ActiveNetsuite::SearchStringField
#   bcc - ActiveNetsuite::SearchStringField
#   cc - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   hasAttachment - ActiveNetsuite::SearchBooleanField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   internalOnly - ActiveNetsuite::SearchBooleanField
#   message - ActiveNetsuite::SearchStringField
#   messageDate - ActiveNetsuite::SearchDateField
#   messageType - ActiveNetsuite::SearchEnumMultiSelectField
#   recipient - ActiveNetsuite::SearchMultiSelectField
#   recipientEmail - ActiveNetsuite::SearchStringField
#   subject - ActiveNetsuite::SearchStringField
class MessageSearchBasic < SearchRecordBasic
  attr_accessor :author
  attr_accessor :authorEmail
  attr_accessor :bcc
  attr_accessor :cc
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :hasAttachment
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :internalOnly
  attr_accessor :message
  attr_accessor :messageDate
  attr_accessor :messageType
  attr_accessor :recipient
  attr_accessor :recipientEmail
  attr_accessor :subject

  def initialize(author = nil, authorEmail = nil, bcc = nil, cc = nil, externalId = nil, externalIdString = nil, hasAttachment = nil, internalId = nil, internalIdNumber = nil, internalOnly = nil, message = nil, messageDate = nil, messageType = nil, recipient = nil, recipientEmail = nil, subject = nil)
    @author = author
    @authorEmail = authorEmail
    @bcc = bcc
    @cc = cc
    @externalId = externalId
    @externalIdString = externalIdString
    @hasAttachment = hasAttachment
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @internalOnly = internalOnly
    @message = message
    @messageDate = messageDate
    @messageType = messageType
    @recipient = recipient
    @recipientEmail = recipientEmail
    @subject = subject
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}NoteSearchBasic
#   author - ActiveNetsuite::SearchMultiSelectField
#   direction - ActiveNetsuite::SearchBooleanField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   note - ActiveNetsuite::SearchStringField
#   noteDate - ActiveNetsuite::SearchDateField
#   noteType - ActiveNetsuite::SearchMultiSelectField
#   title - ActiveNetsuite::SearchStringField
class NoteSearchBasic < SearchRecordBasic
  attr_accessor :author
  attr_accessor :direction
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :note
  attr_accessor :noteDate
  attr_accessor :noteType
  attr_accessor :title

  def initialize(author = nil, direction = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, note = nil, noteDate = nil, noteType = nil, title = nil)
    @author = author
    @direction = direction
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @note = note
    @noteDate = noteDate
    @noteType = noteType
    @title = title
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CustomRecordSearchBasic
#   recType - ActiveNetsuite::RecordRef
#   availableOffline - ActiveNetsuite::SearchBooleanField
#   created - ActiveNetsuite::SearchDateField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   id - ActiveNetsuite::SearchLongField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   lastModified - ActiveNetsuite::SearchDateField
#   lastModifiedBy - ActiveNetsuite::SearchMultiSelectField
#   name - ActiveNetsuite::SearchStringField
#   owner - ActiveNetsuite::SearchMultiSelectField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class CustomRecordSearchBasic < SearchRecordBasic
  attr_accessor :recType
  attr_accessor :availableOffline
  attr_accessor :created
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :id
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :lastModified
  attr_accessor :lastModifiedBy
  attr_accessor :name
  attr_accessor :owner
  attr_accessor :customFieldList

  def initialize(recType = nil, availableOffline = nil, created = nil, externalId = nil, externalIdString = nil, id = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, lastModified = nil, lastModifiedBy = nil, name = nil, owner = nil, customFieldList = nil)
    @recType = recType
    @availableOffline = availableOffline
    @created = created
    @externalId = externalId
    @externalIdString = externalIdString
    @id = id
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @lastModified = lastModified
    @lastModifiedBy = lastModifiedBy
    @name = name
    @owner = owner
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}AccountSearchBasic
#   balance - ActiveNetsuite::SearchDoubleField
#   cashFlowRateType - ActiveNetsuite::SearchEnumMultiSelectField
#   category1099Misc - ActiveNetsuite::SearchMultiSelectField
#   description - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   generalRateType - ActiveNetsuite::SearchEnumMultiSelectField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
#   number - ActiveNetsuite::SearchStringField
#   parent - ActiveNetsuite::SearchMultiSelectField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   type - ActiveNetsuite::SearchEnumMultiSelectField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class AccountSearchBasic < SearchRecordBasic
  attr_accessor :balance
  attr_accessor :cashFlowRateType
  attr_accessor :category1099Misc
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :generalRateType
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :number
  attr_accessor :parent
  attr_accessor :subsidiary
  attr_accessor :type
  attr_accessor :customFieldList

  def initialize(balance = nil, cashFlowRateType = nil, category1099Misc = nil, description = nil, externalId = nil, externalIdString = nil, generalRateType = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, name = nil, number = nil, parent = nil, subsidiary = nil, type = nil, customFieldList = nil)
    @balance = balance
    @cashFlowRateType = cashFlowRateType
    @category1099Misc = category1099Misc
    @description = description
    @externalId = externalId
    @externalIdString = externalIdString
    @generalRateType = generalRateType
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @name = name
    @number = number
    @parent = parent
    @subsidiary = subsidiary
    @type = type
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}RevRecScheduleSearchBasic
#   amount - ActiveNetsuite::SearchDoubleField
#   defRev - ActiveNetsuite::SearchMultiSelectField
#   entity - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   incomeAcct - ActiveNetsuite::SearchMultiSelectField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   jeDoc - ActiveNetsuite::SearchMultiSelectField
#   name - ActiveNetsuite::SearchMultiSelectField
#   postPeriod - ActiveNetsuite::SearchMultiSelectField
#   srcDoc - ActiveNetsuite::SearchMultiSelectField
#   srcDocDate - ActiveNetsuite::SearchDateField
#   srcTranPostPeriod - ActiveNetsuite::SearchMultiSelectField
class RevRecScheduleSearchBasic < SearchRecordBasic
  attr_accessor :amount
  attr_accessor :defRev
  attr_accessor :entity
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :incomeAcct
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :jeDoc
  attr_accessor :name
  attr_accessor :postPeriod
  attr_accessor :srcDoc
  attr_accessor :srcDocDate
  attr_accessor :srcTranPostPeriod

  def initialize(amount = nil, defRev = nil, entity = nil, externalId = nil, externalIdString = nil, incomeAcct = nil, internalId = nil, internalIdNumber = nil, jeDoc = nil, name = nil, postPeriod = nil, srcDoc = nil, srcDocDate = nil, srcTranPostPeriod = nil)
    @amount = amount
    @defRev = defRev
    @entity = entity
    @externalId = externalId
    @externalIdString = externalIdString
    @incomeAcct = incomeAcct
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @jeDoc = jeDoc
    @name = name
    @postPeriod = postPeriod
    @srcDoc = srcDoc
    @srcDocDate = srcDocDate
    @srcTranPostPeriod = srcTranPostPeriod
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}RevRecTemplateSearchBasic
#   amorMethod - ActiveNetsuite::SearchEnumMultiSelectField
#   amorPeriod - ActiveNetsuite::SearchLongField
#   amorStartOffset - ActiveNetsuite::SearchLongField
#   amorTermSrc - ActiveNetsuite::SearchEnumMultiSelectField
#   amorType - ActiveNetsuite::SearchEnumMultiSelectField
#   contraAccount - ActiveNetsuite::SearchMultiSelectField
#   deferralAccount - ActiveNetsuite::SearchMultiSelectField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
#   periodOffset - ActiveNetsuite::SearchLongField
#   targetAccount - ActiveNetsuite::SearchMultiSelectField
#   useForeignAmounts - ActiveNetsuite::SearchBooleanField
class RevRecTemplateSearchBasic < SearchRecordBasic
  attr_accessor :amorMethod
  attr_accessor :amorPeriod
  attr_accessor :amorStartOffset
  attr_accessor :amorTermSrc
  attr_accessor :amorType
  attr_accessor :contraAccount
  attr_accessor :deferralAccount
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :periodOffset
  attr_accessor :targetAccount
  attr_accessor :useForeignAmounts

  def initialize(amorMethod = nil, amorPeriod = nil, amorStartOffset = nil, amorTermSrc = nil, amorType = nil, contraAccount = nil, deferralAccount = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, name = nil, periodOffset = nil, targetAccount = nil, useForeignAmounts = nil)
    @amorMethod = amorMethod
    @amorPeriod = amorPeriod
    @amorStartOffset = amorStartOffset
    @amorTermSrc = amorTermSrc
    @amorType = amorType
    @contraAccount = contraAccount
    @deferralAccount = deferralAccount
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @name = name
    @periodOffset = periodOffset
    @targetAccount = targetAccount
    @useForeignAmounts = useForeignAmounts
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}BinSearchBasic
#   binNumber - ActiveNetsuite::SearchStringField
#   inactive - ActiveNetsuite::SearchBooleanField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   location - ActiveNetsuite::SearchMultiSelectField
#   memo - ActiveNetsuite::SearchStringField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class BinSearchBasic < SearchRecordBasic
  attr_accessor :binNumber
  attr_accessor :inactive
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :location
  attr_accessor :memo
  attr_accessor :customFieldList

  def initialize(binNumber = nil, inactive = nil, internalId = nil, internalIdNumber = nil, location = nil, memo = nil, customFieldList = nil)
    @binNumber = binNumber
    @inactive = inactive
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @location = location
    @memo = memo
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}DepartmentSearchBasic
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
#   nameNoHierarchy - ActiveNetsuite::SearchStringField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class DepartmentSearchBasic < SearchRecordBasic
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :nameNoHierarchy
  attr_accessor :subsidiary
  attr_accessor :customFieldList

  def initialize(externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, name = nil, nameNoHierarchy = nil, subsidiary = nil, customFieldList = nil)
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @name = name
    @nameNoHierarchy = nameNoHierarchy
    @subsidiary = subsidiary
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}LocationSearchBasic
#   address - ActiveNetsuite::SearchStringField
#   city - ActiveNetsuite::SearchStringField
#   country - ActiveNetsuite::SearchEnumMultiSelectField
#   county - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   isOffice - ActiveNetsuite::SearchBooleanField
#   makeInventoryAvailable - ActiveNetsuite::SearchBooleanField
#   makeInventoryAvailableStore - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
#   nameNoHierarchy - ActiveNetsuite::SearchStringField
#   phone - ActiveNetsuite::SearchStringField
#   state - ActiveNetsuite::SearchStringField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   tranprefix - ActiveNetsuite::SearchStringField
#   zip - ActiveNetsuite::SearchStringField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class LocationSearchBasic < SearchRecordBasic
  attr_accessor :address
  attr_accessor :city
  attr_accessor :country
  attr_accessor :county
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :isOffice
  attr_accessor :makeInventoryAvailable
  attr_accessor :makeInventoryAvailableStore
  attr_accessor :name
  attr_accessor :nameNoHierarchy
  attr_accessor :phone
  attr_accessor :state
  attr_accessor :subsidiary
  attr_accessor :tranprefix
  attr_accessor :zip
  attr_accessor :customFieldList

  def initialize(address = nil, city = nil, country = nil, county = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, isOffice = nil, makeInventoryAvailable = nil, makeInventoryAvailableStore = nil, name = nil, nameNoHierarchy = nil, phone = nil, state = nil, subsidiary = nil, tranprefix = nil, zip = nil, customFieldList = nil)
    @address = address
    @city = city
    @country = country
    @county = county
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @isOffice = isOffice
    @makeInventoryAvailable = makeInventoryAvailable
    @makeInventoryAvailableStore = makeInventoryAvailableStore
    @name = name
    @nameNoHierarchy = nameNoHierarchy
    @phone = phone
    @state = state
    @subsidiary = subsidiary
    @tranprefix = tranprefix
    @zip = zip
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ClassificationSearchBasic
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
#   nameNoHierarchy - ActiveNetsuite::SearchStringField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class ClassificationSearchBasic < SearchRecordBasic
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :nameNoHierarchy
  attr_accessor :subsidiary
  attr_accessor :customFieldList

  def initialize(externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, name = nil, nameNoHierarchy = nil, subsidiary = nil, customFieldList = nil)
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @name = name
    @nameNoHierarchy = nameNoHierarchy
    @subsidiary = subsidiary
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}TransactionSearchBasic
#   account - ActiveNetsuite::SearchMultiSelectField
#   accountType - ActiveNetsuite::SearchMultiSelectField
#   actualShipDate - ActiveNetsuite::SearchDateField
#   altSalesAmount - ActiveNetsuite::SearchDoubleField
#   altSalesNetAmount - ActiveNetsuite::SearchDoubleField
#   amount - ActiveNetsuite::SearchDoubleField
#   amountPaid - ActiveNetsuite::SearchDoubleField
#   amountRemaining - ActiveNetsuite::SearchDoubleField
#   amountUnbilled - ActiveNetsuite::SearchDoubleField
#   anyLineItem - ActiveNetsuite::SearchMultiSelectField
#   appliedToForeignAmount - ActiveNetsuite::SearchDoubleField
#   appliedToIsFxVariance - ActiveNetsuite::SearchBooleanField
#   appliedToLinkAmount - ActiveNetsuite::SearchDoubleField
#   appliedToLinkType - ActiveNetsuite::SearchEnumMultiSelectField
#   appliedToTransaction - ActiveNetsuite::SearchMultiSelectField
#   applyingForeignAmount - ActiveNetsuite::SearchDoubleField
#   applyingIsFxVariance - ActiveNetsuite::SearchBooleanField
#   applyingLinkAmount - ActiveNetsuite::SearchDoubleField
#   applyingLinkType - ActiveNetsuite::SearchEnumMultiSelectField
#   applyingTransaction - ActiveNetsuite::SearchMultiSelectField
#   approvalStatus - ActiveNetsuite::SearchEnumMultiSelectField
#   authCode - ActiveNetsuite::SearchStringField
#   avsStreetMatch - ActiveNetsuite::SearchEnumMultiSelectField
#   avsZipMatch - ActiveNetsuite::SearchEnumMultiSelectField
#   billable - ActiveNetsuite::SearchBooleanField
#   billAddress - ActiveNetsuite::SearchStringField
#   billAddressee - ActiveNetsuite::SearchStringField
#   billAttention - ActiveNetsuite::SearchStringField
#   billCity - ActiveNetsuite::SearchStringField
#   billCountry - ActiveNetsuite::SearchEnumMultiSelectField
#   billCounty - ActiveNetsuite::SearchStringField
#   billedDate - ActiveNetsuite::SearchDateField
#   billingSchedule - ActiveNetsuite::SearchMultiSelectField
#   billingStatus - ActiveNetsuite::SearchBooleanField
#   billingTransaction - ActiveNetsuite::SearchMultiSelectField
#   billPhone - ActiveNetsuite::SearchStringField
#   billState - ActiveNetsuite::SearchStringField
#   billVarianceStatus - ActiveNetsuite::SearchEnumMultiSelectField
#   billZip - ActiveNetsuite::SearchStringField
#   binNumber - ActiveNetsuite::SearchStringField
#   binNumberQuantity - ActiveNetsuite::SearchDoubleField
#   bomQuantity - ActiveNetsuite::SearchDoubleField
#   buildEntireAssembly - ActiveNetsuite::SearchBooleanField
#   buildVariance - ActiveNetsuite::SearchDoubleField
#   built - ActiveNetsuite::SearchDoubleField
#   ccCustomerCode - ActiveNetsuite::SearchStringField
#   ccExpireDate - ActiveNetsuite::SearchDateField
#   ccName - ActiveNetsuite::SearchStringField
#   ccNumber - ActiveNetsuite::SearchStringField
#   chargeType - ActiveNetsuite::SearchEnumMultiSelectField
#   m_class - ActiveNetsuite::SearchMultiSelectField
#   cleared - ActiveNetsuite::SearchBooleanField
#   closed - ActiveNetsuite::SearchBooleanField
#   closeDate - ActiveNetsuite::SearchDateField
#   cogs - ActiveNetsuite::SearchBooleanField
#   commissionEffectiveDate - ActiveNetsuite::SearchDateField
#   commit - ActiveNetsuite::SearchEnumMultiSelectField
#   componentYield - ActiveNetsuite::SearchDoubleField
#   confirmationNumber - ActiveNetsuite::SearchStringField
#   contribution - ActiveNetsuite::SearchLongField
#   costComponentAmount - ActiveNetsuite::SearchDoubleField
#   costComponentCategory - ActiveNetsuite::SearchMultiSelectField
#   costComponentItem - ActiveNetsuite::SearchMultiSelectField
#   costComponentQuantity - ActiveNetsuite::SearchDoubleField
#   costComponentStandardCost - ActiveNetsuite::SearchDoubleField
#   costEstimate - ActiveNetsuite::SearchDoubleField
#   costEstimateRate - ActiveNetsuite::SearchDoubleField
#   costEstimateType - ActiveNetsuite::SearchEnumMultiSelectField
#   createdBy - ActiveNetsuite::SearchMultiSelectField
#   createdFrom - ActiveNetsuite::SearchMultiSelectField
#   creditAmount - ActiveNetsuite::SearchDoubleField
#   cscMatch - ActiveNetsuite::SearchEnumMultiSelectField
#   currency - ActiveNetsuite::SearchMultiSelectField
#   customerSubOf - ActiveNetsuite::SearchMultiSelectField
#   customForm - ActiveNetsuite::SearchMultiSelectField
#   custType - ActiveNetsuite::SearchMultiSelectField
#   dateCreated - ActiveNetsuite::SearchDateField
#   daysOpen - ActiveNetsuite::SearchLongField
#   daysOverdue - ActiveNetsuite::SearchLongField
#   debitAmount - ActiveNetsuite::SearchDoubleField
#   deferredRevenue - ActiveNetsuite::SearchDoubleField
#   deferRevRec - ActiveNetsuite::SearchBooleanField
#   department - ActiveNetsuite::SearchMultiSelectField
#   depositDate - ActiveNetsuite::SearchDateField
#   depositTransaction - ActiveNetsuite::SearchMultiSelectField
#   drAccount - ActiveNetsuite::SearchMultiSelectField
#   dueDate - ActiveNetsuite::SearchDateField
#   email - ActiveNetsuite::SearchStringField
#   employee - ActiveNetsuite::SearchMultiSelectField
#   endDate - ActiveNetsuite::SearchDateField
#   entity - ActiveNetsuite::SearchMultiSelectField
#   entityStatus - ActiveNetsuite::SearchMultiSelectField
#   estGrossProfit - ActiveNetsuite::SearchDoubleField
#   estGrossProfitPct - ActiveNetsuite::SearchDoubleField
#   exchangeRate - ActiveNetsuite::SearchDoubleField
#   excludeCommission - ActiveNetsuite::SearchBooleanField
#   expectedCloseDate - ActiveNetsuite::SearchDateField
#   expectedReceiptDate - ActiveNetsuite::SearchDateField
#   expenseCategory - ActiveNetsuite::SearchMultiSelectField
#   expenseDate - ActiveNetsuite::SearchDateField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   finChrg - ActiveNetsuite::SearchBooleanField
#   forecastType - ActiveNetsuite::SearchEnumMultiSelectField
#   fulfillingTransaction - ActiveNetsuite::SearchMultiSelectField
#   fxAccount - ActiveNetsuite::SearchMultiSelectField
#   fxAmount - ActiveNetsuite::SearchDoubleField
#   fxCostEstimate - ActiveNetsuite::SearchDoubleField
#   fxCostEstimateRate - ActiveNetsuite::SearchDoubleField
#   fxEstGrossProfit - ActiveNetsuite::SearchDoubleField
#   fxTranCostEstimate - ActiveNetsuite::SearchDoubleField
#   fxVsoeAllocation - ActiveNetsuite::SearchDoubleField
#   fxVsoeAmount - ActiveNetsuite::SearchDoubleField
#   fxVsoePrice - ActiveNetsuite::SearchDoubleField
#   gcoAvailabelToCharge - ActiveNetsuite::SearchBooleanField
#   gcoAvailableToRefund - ActiveNetsuite::SearchBooleanField
#   gcoAvsStreetMatch - ActiveNetsuite::SearchEnumMultiSelectField
#   gcoAvsZipMatch - ActiveNetsuite::SearchEnumMultiSelectField
#   gcoBuyerAccountAge - ActiveNetsuite::SearchLongField
#   gcoBuyerIp - ActiveNetsuite::SearchStringField
#   gcoChargeAmount - ActiveNetsuite::SearchDoubleField
#   gcoChargebackAmount - ActiveNetsuite::SearchDoubleField
#   gcoConfirmedChargedTotal - ActiveNetsuite::SearchDoubleField
#   gcoConfirmedRefundedTotal - ActiveNetsuite::SearchDoubleField
#   gcoCreditcardNumber - ActiveNetsuite::SearchStringField
#   gcoCscMatch - ActiveNetsuite::SearchEnumMultiSelectField
#   gcoFinancialState - ActiveNetsuite::SearchStringField
#   gcoFulfillmentState - ActiveNetsuite::SearchStringField
#   gcoOrderId - ActiveNetsuite::SearchStringField
#   gcoOrderTotal - ActiveNetsuite::SearchDoubleField
#   gcoPromotionAmount - ActiveNetsuite::SearchDoubleField
#   gcoPromotionName - ActiveNetsuite::SearchStringField
#   gcoRefundAmount - ActiveNetsuite::SearchDoubleField
#   gcoShippingTotal - ActiveNetsuite::SearchDoubleField
#   gcoStateChangedDetail - ActiveNetsuite::SearchStringField
#   giftCertificate - ActiveNetsuite::SearchStringField
#   grossAmount - ActiveNetsuite::SearchDoubleField
#   includeInForecast - ActiveNetsuite::SearchBooleanField
#   intercoStatus - ActiveNetsuite::SearchEnumMultiSelectField
#   intercoTransaction - ActiveNetsuite::SearchMultiSelectField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   inVsoeBundle - ActiveNetsuite::SearchBooleanField
#   isAllocation - ActiveNetsuite::SearchBooleanField
#   isBackflush - ActiveNetsuite::SearchBooleanField
#   isGcoChargeback - ActiveNetsuite::SearchBooleanField
#   isGcoChargeConfirmed - ActiveNetsuite::SearchBooleanField
#   isGcoPaymentGuaranteed - ActiveNetsuite::SearchBooleanField
#   isGcoRefundConfirmed - ActiveNetsuite::SearchBooleanField
#   isIntercompanyAdjustment - ActiveNetsuite::SearchBooleanField
#   isMultiShipTo - ActiveNetsuite::SearchBooleanField
#   isPayPalMeth - ActiveNetsuite::SearchBooleanField
#   isReversal - ActiveNetsuite::SearchBooleanField
#   isRevRecTransaction - ActiveNetsuite::SearchBooleanField
#   isScrap - ActiveNetsuite::SearchBooleanField
#   isShipAddress - ActiveNetsuite::SearchBooleanField
#   isTransferPriceCosting - ActiveNetsuite::SearchBooleanField
#   isVsoeAlloc - ActiveNetsuite::SearchBooleanField
#   isWip - ActiveNetsuite::SearchBooleanField
#   item - ActiveNetsuite::SearchMultiSelectField
#   itemRevision - ActiveNetsuite::SearchMultiSelectField
#   itemSubOf - ActiveNetsuite::SearchMultiSelectField
#   landedCostPerLine - ActiveNetsuite::SearchBooleanField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   leadSource - ActiveNetsuite::SearchMultiSelectField
#   location - ActiveNetsuite::SearchMultiSelectField
#   mainLine - ActiveNetsuite::SearchBooleanField
#   mainName - ActiveNetsuite::SearchMultiSelectField
#   manufacturingRouting - ActiveNetsuite::SearchMultiSelectField
#   matchBillToReceipt - ActiveNetsuite::SearchBooleanField
#   memo - ActiveNetsuite::SearchStringField
#   memoMain - ActiveNetsuite::SearchStringField
#   memorized - ActiveNetsuite::SearchBooleanField
#   merchantAccount - ActiveNetsuite::SearchStringField
#   message - ActiveNetsuite::SearchStringField
#   multiSubsidiary - ActiveNetsuite::SearchBooleanField
#   nameText - ActiveNetsuite::SearchStringField
#   netAmount - ActiveNetsuite::SearchDoubleField
#   nextApprover - ActiveNetsuite::SearchMultiSelectField
#   nextBillDate - ActiveNetsuite::SearchDateField
#   nonReimbursable - ActiveNetsuite::SearchBooleanField
#   number - ActiveNetsuite::SearchLongField
#   opportunity - ActiveNetsuite::SearchMultiSelectField
#   orderPriority - ActiveNetsuite::SearchDoubleField
#   otherRefNum - ActiveNetsuite::SearchTextNumberField
#   otherRefNumNonDeposit - ActiveNetsuite::SearchTextNumberField
#   overheadParentItem - ActiveNetsuite::SearchMultiSelectField
#   packageCount - ActiveNetsuite::SearchLongField
#   paidTransaction - ActiveNetsuite::SearchMultiSelectField
#   parent - ActiveNetsuite::SearchLongField
#   partner - ActiveNetsuite::SearchMultiSelectField
#   partnerContribution - ActiveNetsuite::SearchLongField
#   partnerRole - ActiveNetsuite::SearchMultiSelectField
#   partnerTeamMember - ActiveNetsuite::SearchMultiSelectField
#   payingTransaction - ActiveNetsuite::SearchMultiSelectField
#   paymentApproved - ActiveNetsuite::SearchBooleanField
#   paymentEventDate - ActiveNetsuite::SearchDateField
#   paymentEventHoldReason - ActiveNetsuite::SearchEnumMultiSelectField
#   paymentEventPurchaseCardUsed - ActiveNetsuite::SearchBooleanField
#   paymentEventPurchaseDataSent - ActiveNetsuite::SearchBooleanField
#   paymentEventResult - ActiveNetsuite::SearchEnumMultiSelectField
#   paymentEventType - ActiveNetsuite::SearchEnumMultiSelectField
#   paymentMethod - ActiveNetsuite::SearchMultiSelectField
#   payPalPending - ActiveNetsuite::SearchBooleanField
#   payPalStatus - ActiveNetsuite::SearchStringField
#   payPalTranId - ActiveNetsuite::SearchStringField
#   pnRefNum - ActiveNetsuite::SearchStringField
#   poAsText - ActiveNetsuite::SearchStringField
#   posting - ActiveNetsuite::SearchBooleanField
#   postingPeriod - ActiveNetsuite::RecordRef
#   postingPeriodRelative - ActiveNetsuite::PostingPeriodDate
#   priceLevel - ActiveNetsuite::SearchMultiSelectField
#   printedPickingTicket - ActiveNetsuite::SearchBooleanField
#   probability - ActiveNetsuite::SearchLongField
#   projectedAmount - ActiveNetsuite::SearchDoubleField
#   promoCode - ActiveNetsuite::SearchMultiSelectField
#   purchaseOrder - ActiveNetsuite::SearchMultiSelectField
#   quantity - ActiveNetsuite::SearchDoubleField
#   quantityBilled - ActiveNetsuite::SearchDoubleField
#   quantityCommitted - ActiveNetsuite::SearchDoubleField
#   quantityPacked - ActiveNetsuite::SearchDoubleField
#   quantityPicked - ActiveNetsuite::SearchDoubleField
#   quantityRevCommitted - ActiveNetsuite::SearchDoubleField
#   quantityShipRecv - ActiveNetsuite::SearchDoubleField
#   recognizedRevenue - ActiveNetsuite::SearchDoubleField
#   recordType - ActiveNetsuite::SearchStringField
#   refNumber - ActiveNetsuite::SearchLongField
#   revCommitStatus - ActiveNetsuite::SearchEnumMultiSelectField
#   revCommittingStatus - ActiveNetsuite::SearchBooleanField
#   revCommittingTransaction - ActiveNetsuite::SearchMultiSelectField
#   revenueStatus - ActiveNetsuite::SearchEnumMultiSelectField
#   reversalDate - ActiveNetsuite::SearchDateField
#   reversalNumber - ActiveNetsuite::SearchStringField
#   revRecEndDate - ActiveNetsuite::SearchDateField
#   revRecOnRevCommitment - ActiveNetsuite::SearchBooleanField
#   revRecStartDate - ActiveNetsuite::SearchDateField
#   revRecTermInMonths - ActiveNetsuite::SearchLongField
#   salesEffectiveDate - ActiveNetsuite::SearchDateField
#   salesOrder - ActiveNetsuite::SearchMultiSelectField
#   salesRep - ActiveNetsuite::SearchMultiSelectField
#   salesTeamMember - ActiveNetsuite::SearchMultiSelectField
#   salesTeamRole - ActiveNetsuite::SearchMultiSelectField
#   serialNumber - ActiveNetsuite::SearchStringField
#   serialNumberCost - ActiveNetsuite::SearchDoubleField
#   serialNumberCostAdjustment - ActiveNetsuite::SearchDoubleField
#   serialNumberQuantity - ActiveNetsuite::SearchDoubleField
#   serialNumbers - ActiveNetsuite::SearchStringField
#   shipAddress - ActiveNetsuite::SearchStringField
#   shipAddressee - ActiveNetsuite::SearchStringField
#   shipAttention - ActiveNetsuite::SearchStringField
#   shipCity - ActiveNetsuite::SearchStringField
#   shipComplete - ActiveNetsuite::SearchBooleanField
#   shipCountry - ActiveNetsuite::SearchEnumMultiSelectField
#   shipCounty - ActiveNetsuite::SearchStringField
#   shipDate - ActiveNetsuite::SearchDateField
#   shipGroup - ActiveNetsuite::SearchLongField
#   shipMethod - ActiveNetsuite::SearchMultiSelectField
#   shipPhone - ActiveNetsuite::SearchStringField
#   shipping - ActiveNetsuite::SearchBooleanField
#   shipRecvStatus - ActiveNetsuite::SearchBooleanField
#   shipRecvStatusLine - ActiveNetsuite::SearchBooleanField
#   shipState - ActiveNetsuite::SearchMultiSelectField
#   shipTo - ActiveNetsuite::SearchMultiSelectField
#   shipZip - ActiveNetsuite::SearchStringField
#   source - ActiveNetsuite::SearchEnumMultiSelectField
#   startDate - ActiveNetsuite::SearchDateField
#   status - ActiveNetsuite::SearchEnumMultiSelectField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   taxItem - ActiveNetsuite::SearchMultiSelectField
#   taxLine - ActiveNetsuite::SearchBooleanField
#   taxPeriod - ActiveNetsuite::RecordRef
#   taxPeriodRelative - ActiveNetsuite::PostingPeriodDate
#   taxRate - ActiveNetsuite::SearchDoubleField
#   terms - ActiveNetsuite::SearchMultiSelectField
#   title - ActiveNetsuite::SearchStringField
#   toBeEmailed - ActiveNetsuite::SearchBooleanField
#   toBePrinted - ActiveNetsuite::SearchBooleanField
#   toSubsidiary - ActiveNetsuite::SearchMultiSelectField
#   totalAmount - ActiveNetsuite::SearchDoubleField
#   trackingNumbers - ActiveNetsuite::SearchStringField
#   tranCostEstimate - ActiveNetsuite::SearchDoubleField
#   tranDate - ActiveNetsuite::SearchDateField
#   tranEstGrossProfit - ActiveNetsuite::SearchDoubleField
#   tranEstGrossProfitPct - ActiveNetsuite::SearchDoubleField
#   tranFxEstGrossProfit - ActiveNetsuite::SearchDoubleField
#   tranId - ActiveNetsuite::SearchStringField
#   tranIsVsoeBundle - ActiveNetsuite::SearchBooleanField
#   transactionDiscount - ActiveNetsuite::SearchBooleanField
#   transactionLineType - ActiveNetsuite::SearchEnumMultiSelectField
#   transferLocation - ActiveNetsuite::SearchMultiSelectField
#   transferOrderQuantityCommitted - ActiveNetsuite::SearchDoubleField
#   transferOrderQuantityPacked - ActiveNetsuite::SearchDoubleField
#   transferOrderQuantityPicked - ActiveNetsuite::SearchDoubleField
#   transferOrderQuantityReceived - ActiveNetsuite::SearchDoubleField
#   transferOrderQuantityShipped - ActiveNetsuite::SearchDoubleField
#   type - ActiveNetsuite::SearchEnumMultiSelectField
#   unit - ActiveNetsuite::SearchMultiSelectField
#   unitCostOverride - ActiveNetsuite::SearchDoubleField
#   vendType - ActiveNetsuite::SearchMultiSelectField
#   visibleToCustomer - ActiveNetsuite::SearchBooleanField
#   voided - ActiveNetsuite::SearchBooleanField
#   vsoeAllocation - ActiveNetsuite::SearchDoubleField
#   vsoeAmount - ActiveNetsuite::SearchDoubleField
#   vsoeDeferral - ActiveNetsuite::SearchEnumMultiSelectField
#   vsoeDelivered - ActiveNetsuite::SearchBooleanField
#   vsoePermitDiscount - ActiveNetsuite::SearchEnumMultiSelectField
#   vsoePrice - ActiveNetsuite::SearchDoubleField
#   webSite - ActiveNetsuite::SearchMultiSelectField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class TransactionSearchBasic < SearchRecordBasic
  attr_accessor :account
  attr_accessor :accountType
  attr_accessor :actualShipDate
  attr_accessor :altSalesAmount
  attr_accessor :altSalesNetAmount
  attr_accessor :amount
  attr_accessor :amountPaid
  attr_accessor :amountRemaining
  attr_accessor :amountUnbilled
  attr_accessor :anyLineItem
  attr_accessor :appliedToForeignAmount
  attr_accessor :appliedToIsFxVariance
  attr_accessor :appliedToLinkAmount
  attr_accessor :appliedToLinkType
  attr_accessor :appliedToTransaction
  attr_accessor :applyingForeignAmount
  attr_accessor :applyingIsFxVariance
  attr_accessor :applyingLinkAmount
  attr_accessor :applyingLinkType
  attr_accessor :applyingTransaction
  attr_accessor :approvalStatus
  attr_accessor :authCode
  attr_accessor :avsStreetMatch
  attr_accessor :avsZipMatch
  attr_accessor :billable
  attr_accessor :billAddress
  attr_accessor :billAddressee
  attr_accessor :billAttention
  attr_accessor :billCity
  attr_accessor :billCountry
  attr_accessor :billCounty
  attr_accessor :billedDate
  attr_accessor :billingSchedule
  attr_accessor :billingStatus
  attr_accessor :billingTransaction
  attr_accessor :billPhone
  attr_accessor :billState
  attr_accessor :billVarianceStatus
  attr_accessor :billZip
  attr_accessor :binNumber
  attr_accessor :binNumberQuantity
  attr_accessor :bomQuantity
  attr_accessor :buildEntireAssembly
  attr_accessor :buildVariance
  attr_accessor :built
  attr_accessor :ccCustomerCode
  attr_accessor :ccExpireDate
  attr_accessor :ccName
  attr_accessor :ccNumber
  attr_accessor :chargeType
  attr_accessor :cleared
  attr_accessor :closed
  attr_accessor :closeDate
  attr_accessor :cogs
  attr_accessor :commissionEffectiveDate
  attr_accessor :commit
  attr_accessor :componentYield
  attr_accessor :confirmationNumber
  attr_accessor :contribution
  attr_accessor :costComponentAmount
  attr_accessor :costComponentCategory
  attr_accessor :costComponentItem
  attr_accessor :costComponentQuantity
  attr_accessor :costComponentStandardCost
  attr_accessor :costEstimate
  attr_accessor :costEstimateRate
  attr_accessor :costEstimateType
  attr_accessor :createdBy
  attr_accessor :createdFrom
  attr_accessor :creditAmount
  attr_accessor :cscMatch
  attr_accessor :currency
  attr_accessor :customerSubOf
  attr_accessor :customForm
  attr_accessor :custType
  attr_accessor :dateCreated
  attr_accessor :daysOpen
  attr_accessor :daysOverdue
  attr_accessor :debitAmount
  attr_accessor :deferredRevenue
  attr_accessor :deferRevRec
  attr_accessor :department
  attr_accessor :depositDate
  attr_accessor :depositTransaction
  attr_accessor :drAccount
  attr_accessor :dueDate
  attr_accessor :email
  attr_accessor :employee
  attr_accessor :endDate
  attr_accessor :entity
  attr_accessor :entityStatus
  attr_accessor :estGrossProfit
  attr_accessor :estGrossProfitPct
  attr_accessor :exchangeRate
  attr_accessor :excludeCommission
  attr_accessor :expectedCloseDate
  attr_accessor :expectedReceiptDate
  attr_accessor :expenseCategory
  attr_accessor :expenseDate
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :finChrg
  attr_accessor :forecastType
  attr_accessor :fulfillingTransaction
  attr_accessor :fxAccount
  attr_accessor :fxAmount
  attr_accessor :fxCostEstimate
  attr_accessor :fxCostEstimateRate
  attr_accessor :fxEstGrossProfit
  attr_accessor :fxTranCostEstimate
  attr_accessor :fxVsoeAllocation
  attr_accessor :fxVsoeAmount
  attr_accessor :fxVsoePrice
  attr_accessor :gcoAvailabelToCharge
  attr_accessor :gcoAvailableToRefund
  attr_accessor :gcoAvsStreetMatch
  attr_accessor :gcoAvsZipMatch
  attr_accessor :gcoBuyerAccountAge
  attr_accessor :gcoBuyerIp
  attr_accessor :gcoChargeAmount
  attr_accessor :gcoChargebackAmount
  attr_accessor :gcoConfirmedChargedTotal
  attr_accessor :gcoConfirmedRefundedTotal
  attr_accessor :gcoCreditcardNumber
  attr_accessor :gcoCscMatch
  attr_accessor :gcoFinancialState
  attr_accessor :gcoFulfillmentState
  attr_accessor :gcoOrderId
  attr_accessor :gcoOrderTotal
  attr_accessor :gcoPromotionAmount
  attr_accessor :gcoPromotionName
  attr_accessor :gcoRefundAmount
  attr_accessor :gcoShippingTotal
  attr_accessor :gcoStateChangedDetail
  attr_accessor :giftCertificate
  attr_accessor :grossAmount
  attr_accessor :includeInForecast
  attr_accessor :intercoStatus
  attr_accessor :intercoTransaction
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :inVsoeBundle
  attr_accessor :isAllocation
  attr_accessor :isBackflush
  attr_accessor :isGcoChargeback
  attr_accessor :isGcoChargeConfirmed
  attr_accessor :isGcoPaymentGuaranteed
  attr_accessor :isGcoRefundConfirmed
  attr_accessor :isIntercompanyAdjustment
  attr_accessor :isMultiShipTo
  attr_accessor :isPayPalMeth
  attr_accessor :isReversal
  attr_accessor :isRevRecTransaction
  attr_accessor :isScrap
  attr_accessor :isShipAddress
  attr_accessor :isTransferPriceCosting
  attr_accessor :isVsoeAlloc
  attr_accessor :isWip
  attr_accessor :item
  attr_accessor :itemRevision
  attr_accessor :itemSubOf
  attr_accessor :landedCostPerLine
  attr_accessor :lastModifiedDate
  attr_accessor :leadSource
  attr_accessor :location
  attr_accessor :mainLine
  attr_accessor :mainName
  attr_accessor :manufacturingRouting
  attr_accessor :matchBillToReceipt
  attr_accessor :memo
  attr_accessor :memoMain
  attr_accessor :memorized
  attr_accessor :merchantAccount
  attr_accessor :message
  attr_accessor :multiSubsidiary
  attr_accessor :nameText
  attr_accessor :netAmount
  attr_accessor :nextApprover
  attr_accessor :nextBillDate
  attr_accessor :nonReimbursable
  attr_accessor :number
  attr_accessor :opportunity
  attr_accessor :orderPriority
  attr_accessor :otherRefNum
  attr_accessor :otherRefNumNonDeposit
  attr_accessor :overheadParentItem
  attr_accessor :packageCount
  attr_accessor :paidTransaction
  attr_accessor :parent
  attr_accessor :partner
  attr_accessor :partnerContribution
  attr_accessor :partnerRole
  attr_accessor :partnerTeamMember
  attr_accessor :payingTransaction
  attr_accessor :paymentApproved
  attr_accessor :paymentEventDate
  attr_accessor :paymentEventHoldReason
  attr_accessor :paymentEventPurchaseCardUsed
  attr_accessor :paymentEventPurchaseDataSent
  attr_accessor :paymentEventResult
  attr_accessor :paymentEventType
  attr_accessor :paymentMethod
  attr_accessor :payPalPending
  attr_accessor :payPalStatus
  attr_accessor :payPalTranId
  attr_accessor :pnRefNum
  attr_accessor :poAsText
  attr_accessor :posting
  attr_accessor :postingPeriod
  attr_accessor :postingPeriodRelative
  attr_accessor :priceLevel
  attr_accessor :printedPickingTicket
  attr_accessor :probability
  attr_accessor :projectedAmount
  attr_accessor :promoCode
  attr_accessor :purchaseOrder
  attr_accessor :quantity
  attr_accessor :quantityBilled
  attr_accessor :quantityCommitted
  attr_accessor :quantityPacked
  attr_accessor :quantityPicked
  attr_accessor :quantityRevCommitted
  attr_accessor :quantityShipRecv
  attr_accessor :recognizedRevenue
  attr_accessor :recordType
  attr_accessor :refNumber
  attr_accessor :revCommitStatus
  attr_accessor :revCommittingStatus
  attr_accessor :revCommittingTransaction
  attr_accessor :revenueStatus
  attr_accessor :reversalDate
  attr_accessor :reversalNumber
  attr_accessor :revRecEndDate
  attr_accessor :revRecOnRevCommitment
  attr_accessor :revRecStartDate
  attr_accessor :revRecTermInMonths
  attr_accessor :salesEffectiveDate
  attr_accessor :salesOrder
  attr_accessor :salesRep
  attr_accessor :salesTeamMember
  attr_accessor :salesTeamRole
  attr_accessor :serialNumber
  attr_accessor :serialNumberCost
  attr_accessor :serialNumberCostAdjustment
  attr_accessor :serialNumberQuantity
  attr_accessor :serialNumbers
  attr_accessor :shipAddress
  attr_accessor :shipAddressee
  attr_accessor :shipAttention
  attr_accessor :shipCity
  attr_accessor :shipComplete
  attr_accessor :shipCountry
  attr_accessor :shipCounty
  attr_accessor :shipDate
  attr_accessor :shipGroup
  attr_accessor :shipMethod
  attr_accessor :shipPhone
  attr_accessor :shipping
  attr_accessor :shipRecvStatus
  attr_accessor :shipRecvStatusLine
  attr_accessor :shipState
  attr_accessor :shipTo
  attr_accessor :shipZip
  attr_accessor :source
  attr_accessor :startDate
  attr_accessor :status
  attr_accessor :subsidiary
  attr_accessor :taxItem
  attr_accessor :taxLine
  attr_accessor :taxPeriod
  attr_accessor :taxPeriodRelative
  attr_accessor :taxRate
  attr_accessor :terms
  attr_accessor :title
  attr_accessor :toBeEmailed
  attr_accessor :toBePrinted
  attr_accessor :toSubsidiary
  attr_accessor :totalAmount
  attr_accessor :trackingNumbers
  attr_accessor :tranCostEstimate
  attr_accessor :tranDate
  attr_accessor :tranEstGrossProfit
  attr_accessor :tranEstGrossProfitPct
  attr_accessor :tranFxEstGrossProfit
  attr_accessor :tranId
  attr_accessor :tranIsVsoeBundle
  attr_accessor :transactionDiscount
  attr_accessor :transactionLineType
  attr_accessor :transferLocation
  attr_accessor :transferOrderQuantityCommitted
  attr_accessor :transferOrderQuantityPacked
  attr_accessor :transferOrderQuantityPicked
  attr_accessor :transferOrderQuantityReceived
  attr_accessor :transferOrderQuantityShipped
  attr_accessor :type
  attr_accessor :unit
  attr_accessor :unitCostOverride
  attr_accessor :vendType
  attr_accessor :visibleToCustomer
  attr_accessor :voided
  attr_accessor :vsoeAllocation
  attr_accessor :vsoeAmount
  attr_accessor :vsoeDeferral
  attr_accessor :vsoeDelivered
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoePrice
  attr_accessor :webSite
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(account = nil, accountType = nil, actualShipDate = nil, altSalesAmount = nil, altSalesNetAmount = nil, amount = nil, amountPaid = nil, amountRemaining = nil, amountUnbilled = nil, anyLineItem = nil, appliedToForeignAmount = nil, appliedToIsFxVariance = nil, appliedToLinkAmount = nil, appliedToLinkType = nil, appliedToTransaction = nil, applyingForeignAmount = nil, applyingIsFxVariance = nil, applyingLinkAmount = nil, applyingLinkType = nil, applyingTransaction = nil, approvalStatus = nil, authCode = nil, avsStreetMatch = nil, avsZipMatch = nil, billable = nil, billAddress = nil, billAddressee = nil, billAttention = nil, billCity = nil, billCountry = nil, billCounty = nil, billedDate = nil, billingSchedule = nil, billingStatus = nil, billingTransaction = nil, billPhone = nil, billState = nil, billVarianceStatus = nil, billZip = nil, binNumber = nil, binNumberQuantity = nil, bomQuantity = nil, buildEntireAssembly = nil, buildVariance = nil, built = nil, ccCustomerCode = nil, ccExpireDate = nil, ccName = nil, ccNumber = nil, chargeType = nil, v_class = nil, cleared = nil, closed = nil, closeDate = nil, cogs = nil, commissionEffectiveDate = nil, commit = nil, componentYield = nil, confirmationNumber = nil, contribution = nil, costComponentAmount = nil, costComponentCategory = nil, costComponentItem = nil, costComponentQuantity = nil, costComponentStandardCost = nil, costEstimate = nil, costEstimateRate = nil, costEstimateType = nil, createdBy = nil, createdFrom = nil, creditAmount = nil, cscMatch = nil, currency = nil, customerSubOf = nil, customForm = nil, custType = nil, dateCreated = nil, daysOpen = nil, daysOverdue = nil, debitAmount = nil, deferredRevenue = nil, deferRevRec = nil, department = nil, depositDate = nil, depositTransaction = nil, drAccount = nil, dueDate = nil, email = nil, employee = nil, endDate = nil, entity = nil, entityStatus = nil, estGrossProfit = nil, estGrossProfitPct = nil, exchangeRate = nil, excludeCommission = nil, expectedCloseDate = nil, expectedReceiptDate = nil, expenseCategory = nil, expenseDate = nil, externalId = nil, externalIdString = nil, finChrg = nil, forecastType = nil, fulfillingTransaction = nil, fxAccount = nil, fxAmount = nil, fxCostEstimate = nil, fxCostEstimateRate = nil, fxEstGrossProfit = nil, fxTranCostEstimate = nil, fxVsoeAllocation = nil, fxVsoeAmount = nil, fxVsoePrice = nil, gcoAvailabelToCharge = nil, gcoAvailableToRefund = nil, gcoAvsStreetMatch = nil, gcoAvsZipMatch = nil, gcoBuyerAccountAge = nil, gcoBuyerIp = nil, gcoChargeAmount = nil, gcoChargebackAmount = nil, gcoConfirmedChargedTotal = nil, gcoConfirmedRefundedTotal = nil, gcoCreditcardNumber = nil, gcoCscMatch = nil, gcoFinancialState = nil, gcoFulfillmentState = nil, gcoOrderId = nil, gcoOrderTotal = nil, gcoPromotionAmount = nil, gcoPromotionName = nil, gcoRefundAmount = nil, gcoShippingTotal = nil, gcoStateChangedDetail = nil, giftCertificate = nil, grossAmount = nil, includeInForecast = nil, intercoStatus = nil, intercoTransaction = nil, internalId = nil, internalIdNumber = nil, inVsoeBundle = nil, isAllocation = nil, isBackflush = nil, isGcoChargeback = nil, isGcoChargeConfirmed = nil, isGcoPaymentGuaranteed = nil, isGcoRefundConfirmed = nil, isIntercompanyAdjustment = nil, isMultiShipTo = nil, isPayPalMeth = nil, isReversal = nil, isRevRecTransaction = nil, isScrap = nil, isShipAddress = nil, isTransferPriceCosting = nil, isVsoeAlloc = nil, isWip = nil, item = nil, itemRevision = nil, itemSubOf = nil, landedCostPerLine = nil, lastModifiedDate = nil, leadSource = nil, location = nil, mainLine = nil, mainName = nil, manufacturingRouting = nil, matchBillToReceipt = nil, memo = nil, memoMain = nil, memorized = nil, merchantAccount = nil, message = nil, multiSubsidiary = nil, nameText = nil, netAmount = nil, nextApprover = nil, nextBillDate = nil, nonReimbursable = nil, number = nil, opportunity = nil, orderPriority = nil, otherRefNum = nil, otherRefNumNonDeposit = nil, overheadParentItem = nil, packageCount = nil, paidTransaction = nil, parent = nil, partner = nil, partnerContribution = nil, partnerRole = nil, partnerTeamMember = nil, payingTransaction = nil, paymentApproved = nil, paymentEventDate = nil, paymentEventHoldReason = nil, paymentEventPurchaseCardUsed = nil, paymentEventPurchaseDataSent = nil, paymentEventResult = nil, paymentEventType = nil, paymentMethod = nil, payPalPending = nil, payPalStatus = nil, payPalTranId = nil, pnRefNum = nil, poAsText = nil, posting = nil, postingPeriod = nil, postingPeriodRelative = nil, priceLevel = nil, printedPickingTicket = nil, probability = nil, projectedAmount = nil, promoCode = nil, purchaseOrder = nil, quantity = nil, quantityBilled = nil, quantityCommitted = nil, quantityPacked = nil, quantityPicked = nil, quantityRevCommitted = nil, quantityShipRecv = nil, recognizedRevenue = nil, recordType = nil, refNumber = nil, revCommitStatus = nil, revCommittingStatus = nil, revCommittingTransaction = nil, revenueStatus = nil, reversalDate = nil, reversalNumber = nil, revRecEndDate = nil, revRecOnRevCommitment = nil, revRecStartDate = nil, revRecTermInMonths = nil, salesEffectiveDate = nil, salesOrder = nil, salesRep = nil, salesTeamMember = nil, salesTeamRole = nil, serialNumber = nil, serialNumberCost = nil, serialNumberCostAdjustment = nil, serialNumberQuantity = nil, serialNumbers = nil, shipAddress = nil, shipAddressee = nil, shipAttention = nil, shipCity = nil, shipComplete = nil, shipCountry = nil, shipCounty = nil, shipDate = nil, shipGroup = nil, shipMethod = nil, shipPhone = nil, shipping = nil, shipRecvStatus = nil, shipRecvStatusLine = nil, shipState = nil, shipTo = nil, shipZip = nil, source = nil, startDate = nil, status = nil, subsidiary = nil, taxItem = nil, taxLine = nil, taxPeriod = nil, taxPeriodRelative = nil, taxRate = nil, terms = nil, title = nil, toBeEmailed = nil, toBePrinted = nil, toSubsidiary = nil, totalAmount = nil, trackingNumbers = nil, tranCostEstimate = nil, tranDate = nil, tranEstGrossProfit = nil, tranEstGrossProfitPct = nil, tranFxEstGrossProfit = nil, tranId = nil, tranIsVsoeBundle = nil, transactionDiscount = nil, transactionLineType = nil, transferLocation = nil, transferOrderQuantityCommitted = nil, transferOrderQuantityPacked = nil, transferOrderQuantityPicked = nil, transferOrderQuantityReceived = nil, transferOrderQuantityShipped = nil, type = nil, unit = nil, unitCostOverride = nil, vendType = nil, visibleToCustomer = nil, voided = nil, vsoeAllocation = nil, vsoeAmount = nil, vsoeDeferral = nil, vsoeDelivered = nil, vsoePermitDiscount = nil, vsoePrice = nil, webSite = nil, customFieldList = nil)
    @account = account
    @accountType = accountType
    @actualShipDate = actualShipDate
    @altSalesAmount = altSalesAmount
    @altSalesNetAmount = altSalesNetAmount
    @amount = amount
    @amountPaid = amountPaid
    @amountRemaining = amountRemaining
    @amountUnbilled = amountUnbilled
    @anyLineItem = anyLineItem
    @appliedToForeignAmount = appliedToForeignAmount
    @appliedToIsFxVariance = appliedToIsFxVariance
    @appliedToLinkAmount = appliedToLinkAmount
    @appliedToLinkType = appliedToLinkType
    @appliedToTransaction = appliedToTransaction
    @applyingForeignAmount = applyingForeignAmount
    @applyingIsFxVariance = applyingIsFxVariance
    @applyingLinkAmount = applyingLinkAmount
    @applyingLinkType = applyingLinkType
    @applyingTransaction = applyingTransaction
    @approvalStatus = approvalStatus
    @authCode = authCode
    @avsStreetMatch = avsStreetMatch
    @avsZipMatch = avsZipMatch
    @billable = billable
    @billAddress = billAddress
    @billAddressee = billAddressee
    @billAttention = billAttention
    @billCity = billCity
    @billCountry = billCountry
    @billCounty = billCounty
    @billedDate = billedDate
    @billingSchedule = billingSchedule
    @billingStatus = billingStatus
    @billingTransaction = billingTransaction
    @billPhone = billPhone
    @billState = billState
    @billVarianceStatus = billVarianceStatus
    @billZip = billZip
    @binNumber = binNumber
    @binNumberQuantity = binNumberQuantity
    @bomQuantity = bomQuantity
    @buildEntireAssembly = buildEntireAssembly
    @buildVariance = buildVariance
    @built = built
    @ccCustomerCode = ccCustomerCode
    @ccExpireDate = ccExpireDate
    @ccName = ccName
    @ccNumber = ccNumber
    @chargeType = chargeType
    @v_class = v_class
    @cleared = cleared
    @closed = closed
    @closeDate = closeDate
    @cogs = cogs
    @commissionEffectiveDate = commissionEffectiveDate
    @commit = commit
    @componentYield = componentYield
    @confirmationNumber = confirmationNumber
    @contribution = contribution
    @costComponentAmount = costComponentAmount
    @costComponentCategory = costComponentCategory
    @costComponentItem = costComponentItem
    @costComponentQuantity = costComponentQuantity
    @costComponentStandardCost = costComponentStandardCost
    @costEstimate = costEstimate
    @costEstimateRate = costEstimateRate
    @costEstimateType = costEstimateType
    @createdBy = createdBy
    @createdFrom = createdFrom
    @creditAmount = creditAmount
    @cscMatch = cscMatch
    @currency = currency
    @customerSubOf = customerSubOf
    @customForm = customForm
    @custType = custType
    @dateCreated = dateCreated
    @daysOpen = daysOpen
    @daysOverdue = daysOverdue
    @debitAmount = debitAmount
    @deferredRevenue = deferredRevenue
    @deferRevRec = deferRevRec
    @department = department
    @depositDate = depositDate
    @depositTransaction = depositTransaction
    @drAccount = drAccount
    @dueDate = dueDate
    @email = email
    @employee = employee
    @endDate = endDate
    @entity = entity
    @entityStatus = entityStatus
    @estGrossProfit = estGrossProfit
    @estGrossProfitPct = estGrossProfitPct
    @exchangeRate = exchangeRate
    @excludeCommission = excludeCommission
    @expectedCloseDate = expectedCloseDate
    @expectedReceiptDate = expectedReceiptDate
    @expenseCategory = expenseCategory
    @expenseDate = expenseDate
    @externalId = externalId
    @externalIdString = externalIdString
    @finChrg = finChrg
    @forecastType = forecastType
    @fulfillingTransaction = fulfillingTransaction
    @fxAccount = fxAccount
    @fxAmount = fxAmount
    @fxCostEstimate = fxCostEstimate
    @fxCostEstimateRate = fxCostEstimateRate
    @fxEstGrossProfit = fxEstGrossProfit
    @fxTranCostEstimate = fxTranCostEstimate
    @fxVsoeAllocation = fxVsoeAllocation
    @fxVsoeAmount = fxVsoeAmount
    @fxVsoePrice = fxVsoePrice
    @gcoAvailabelToCharge = gcoAvailabelToCharge
    @gcoAvailableToRefund = gcoAvailableToRefund
    @gcoAvsStreetMatch = gcoAvsStreetMatch
    @gcoAvsZipMatch = gcoAvsZipMatch
    @gcoBuyerAccountAge = gcoBuyerAccountAge
    @gcoBuyerIp = gcoBuyerIp
    @gcoChargeAmount = gcoChargeAmount
    @gcoChargebackAmount = gcoChargebackAmount
    @gcoConfirmedChargedTotal = gcoConfirmedChargedTotal
    @gcoConfirmedRefundedTotal = gcoConfirmedRefundedTotal
    @gcoCreditcardNumber = gcoCreditcardNumber
    @gcoCscMatch = gcoCscMatch
    @gcoFinancialState = gcoFinancialState
    @gcoFulfillmentState = gcoFulfillmentState
    @gcoOrderId = gcoOrderId
    @gcoOrderTotal = gcoOrderTotal
    @gcoPromotionAmount = gcoPromotionAmount
    @gcoPromotionName = gcoPromotionName
    @gcoRefundAmount = gcoRefundAmount
    @gcoShippingTotal = gcoShippingTotal
    @gcoStateChangedDetail = gcoStateChangedDetail
    @giftCertificate = giftCertificate
    @grossAmount = grossAmount
    @includeInForecast = includeInForecast
    @intercoStatus = intercoStatus
    @intercoTransaction = intercoTransaction
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @inVsoeBundle = inVsoeBundle
    @isAllocation = isAllocation
    @isBackflush = isBackflush
    @isGcoChargeback = isGcoChargeback
    @isGcoChargeConfirmed = isGcoChargeConfirmed
    @isGcoPaymentGuaranteed = isGcoPaymentGuaranteed
    @isGcoRefundConfirmed = isGcoRefundConfirmed
    @isIntercompanyAdjustment = isIntercompanyAdjustment
    @isMultiShipTo = isMultiShipTo
    @isPayPalMeth = isPayPalMeth
    @isReversal = isReversal
    @isRevRecTransaction = isRevRecTransaction
    @isScrap = isScrap
    @isShipAddress = isShipAddress
    @isTransferPriceCosting = isTransferPriceCosting
    @isVsoeAlloc = isVsoeAlloc
    @isWip = isWip
    @item = item
    @itemRevision = itemRevision
    @itemSubOf = itemSubOf
    @landedCostPerLine = landedCostPerLine
    @lastModifiedDate = lastModifiedDate
    @leadSource = leadSource
    @location = location
    @mainLine = mainLine
    @mainName = mainName
    @manufacturingRouting = manufacturingRouting
    @matchBillToReceipt = matchBillToReceipt
    @memo = memo
    @memoMain = memoMain
    @memorized = memorized
    @merchantAccount = merchantAccount
    @message = message
    @multiSubsidiary = multiSubsidiary
    @nameText = nameText
    @netAmount = netAmount
    @nextApprover = nextApprover
    @nextBillDate = nextBillDate
    @nonReimbursable = nonReimbursable
    @number = number
    @opportunity = opportunity
    @orderPriority = orderPriority
    @otherRefNum = otherRefNum
    @otherRefNumNonDeposit = otherRefNumNonDeposit
    @overheadParentItem = overheadParentItem
    @packageCount = packageCount
    @paidTransaction = paidTransaction
    @parent = parent
    @partner = partner
    @partnerContribution = partnerContribution
    @partnerRole = partnerRole
    @partnerTeamMember = partnerTeamMember
    @payingTransaction = payingTransaction
    @paymentApproved = paymentApproved
    @paymentEventDate = paymentEventDate
    @paymentEventHoldReason = paymentEventHoldReason
    @paymentEventPurchaseCardUsed = paymentEventPurchaseCardUsed
    @paymentEventPurchaseDataSent = paymentEventPurchaseDataSent
    @paymentEventResult = paymentEventResult
    @paymentEventType = paymentEventType
    @paymentMethod = paymentMethod
    @payPalPending = payPalPending
    @payPalStatus = payPalStatus
    @payPalTranId = payPalTranId
    @pnRefNum = pnRefNum
    @poAsText = poAsText
    @posting = posting
    @postingPeriod = postingPeriod
    @postingPeriodRelative = postingPeriodRelative
    @priceLevel = priceLevel
    @printedPickingTicket = printedPickingTicket
    @probability = probability
    @projectedAmount = projectedAmount
    @promoCode = promoCode
    @purchaseOrder = purchaseOrder
    @quantity = quantity
    @quantityBilled = quantityBilled
    @quantityCommitted = quantityCommitted
    @quantityPacked = quantityPacked
    @quantityPicked = quantityPicked
    @quantityRevCommitted = quantityRevCommitted
    @quantityShipRecv = quantityShipRecv
    @recognizedRevenue = recognizedRevenue
    @recordType = recordType
    @refNumber = refNumber
    @revCommitStatus = revCommitStatus
    @revCommittingStatus = revCommittingStatus
    @revCommittingTransaction = revCommittingTransaction
    @revenueStatus = revenueStatus
    @reversalDate = reversalDate
    @reversalNumber = reversalNumber
    @revRecEndDate = revRecEndDate
    @revRecOnRevCommitment = revRecOnRevCommitment
    @revRecStartDate = revRecStartDate
    @revRecTermInMonths = revRecTermInMonths
    @salesEffectiveDate = salesEffectiveDate
    @salesOrder = salesOrder
    @salesRep = salesRep
    @salesTeamMember = salesTeamMember
    @salesTeamRole = salesTeamRole
    @serialNumber = serialNumber
    @serialNumberCost = serialNumberCost
    @serialNumberCostAdjustment = serialNumberCostAdjustment
    @serialNumberQuantity = serialNumberQuantity
    @serialNumbers = serialNumbers
    @shipAddress = shipAddress
    @shipAddressee = shipAddressee
    @shipAttention = shipAttention
    @shipCity = shipCity
    @shipComplete = shipComplete
    @shipCountry = shipCountry
    @shipCounty = shipCounty
    @shipDate = shipDate
    @shipGroup = shipGroup
    @shipMethod = shipMethod
    @shipPhone = shipPhone
    @shipping = shipping
    @shipRecvStatus = shipRecvStatus
    @shipRecvStatusLine = shipRecvStatusLine
    @shipState = shipState
    @shipTo = shipTo
    @shipZip = shipZip
    @source = source
    @startDate = startDate
    @status = status
    @subsidiary = subsidiary
    @taxItem = taxItem
    @taxLine = taxLine
    @taxPeriod = taxPeriod
    @taxPeriodRelative = taxPeriodRelative
    @taxRate = taxRate
    @terms = terms
    @title = title
    @toBeEmailed = toBeEmailed
    @toBePrinted = toBePrinted
    @toSubsidiary = toSubsidiary
    @totalAmount = totalAmount
    @trackingNumbers = trackingNumbers
    @tranCostEstimate = tranCostEstimate
    @tranDate = tranDate
    @tranEstGrossProfit = tranEstGrossProfit
    @tranEstGrossProfitPct = tranEstGrossProfitPct
    @tranFxEstGrossProfit = tranFxEstGrossProfit
    @tranId = tranId
    @tranIsVsoeBundle = tranIsVsoeBundle
    @transactionDiscount = transactionDiscount
    @transactionLineType = transactionLineType
    @transferLocation = transferLocation
    @transferOrderQuantityCommitted = transferOrderQuantityCommitted
    @transferOrderQuantityPacked = transferOrderQuantityPacked
    @transferOrderQuantityPicked = transferOrderQuantityPicked
    @transferOrderQuantityReceived = transferOrderQuantityReceived
    @transferOrderQuantityShipped = transferOrderQuantityShipped
    @type = type
    @unit = unit
    @unitCostOverride = unitCostOverride
    @vendType = vendType
    @visibleToCustomer = visibleToCustomer
    @voided = voided
    @vsoeAllocation = vsoeAllocation
    @vsoeAmount = vsoeAmount
    @vsoeDeferral = vsoeDeferral
    @vsoeDelivered = vsoeDelivered
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoePrice = vsoePrice
    @webSite = webSite
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ItemSearchBasic
#   account - ActiveNetsuite::SearchMultiSelectField
#   allowedShippingMethod - ActiveNetsuite::SearchMultiSelectField
#   alternateDemandSourceItem - ActiveNetsuite::SearchMultiSelectField
#   atpLeadTime - ActiveNetsuite::SearchDoubleField
#   atpMethod - ActiveNetsuite::SearchEnumMultiSelectField
#   autoLeadTime - ActiveNetsuite::SearchBooleanField
#   autoPreferredStockLevel - ActiveNetsuite::SearchBooleanField
#   autoReorderPoint - ActiveNetsuite::SearchBooleanField
#   availableToPartners - ActiveNetsuite::SearchBooleanField
#   averageCost - ActiveNetsuite::SearchDoubleField
#   backwardConsumptionDays - ActiveNetsuite::SearchLongField
#   binNumber - ActiveNetsuite::SearchStringField
#   binOnHandAvail - ActiveNetsuite::SearchDoubleField
#   binOnHandCount - ActiveNetsuite::SearchDoubleField
#   bomQuantity - ActiveNetsuite::SearchDoubleField
#   buildEntireAssembly - ActiveNetsuite::SearchBooleanField
#   buildTime - ActiveNetsuite::SearchDoubleField
#   buyItNowPrice - ActiveNetsuite::SearchDoubleField
#   caption - ActiveNetsuite::SearchStringField
#   category - ActiveNetsuite::SearchMultiSelectField
#   m_class - ActiveNetsuite::SearchMultiSelectField
#   component - ActiveNetsuite::SearchMultiSelectField
#   componentOf - ActiveNetsuite::SearchMultiSelectField
#   componentYield - ActiveNetsuite::SearchDoubleField
#   copyDescription - ActiveNetsuite::SearchBooleanField
#   correlatedItem - ActiveNetsuite::SearchMultiSelectField
#   correlatedItemCorrelation - ActiveNetsuite::SearchDoubleField
#   correlatedItemCount - ActiveNetsuite::SearchLongField
#   correlatedItemLift - ActiveNetsuite::SearchDoubleField
#   correlatedItemPurchaseRate - ActiveNetsuite::SearchDoubleField
#   cost - ActiveNetsuite::SearchDoubleField
#   costAccountingStatus - ActiveNetsuite::SearchEnumMultiSelectField
#   costCategory - ActiveNetsuite::SearchMultiSelectField
#   costEstimate - ActiveNetsuite::SearchDoubleField
#   costEstimateType - ActiveNetsuite::SearchEnumMultiSelectField
#   costingMethod - ActiveNetsuite::SearchEnumMultiSelectField
#   countryOfManufacture - ActiveNetsuite::SearchEnumMultiSelectField
#   created - ActiveNetsuite::SearchDateField
#   createJob - ActiveNetsuite::SearchBooleanField
#   dateViewed - ActiveNetsuite::SearchDateField
#   daysBeforeExpiration - ActiveNetsuite::SearchDoubleField
#   defaultReturnCost - ActiveNetsuite::SearchDoubleField
#   defaultShippingMethod - ActiveNetsuite::SearchMultiSelectField
#   demandModifier - ActiveNetsuite::SearchDoubleField
#   demandSource - ActiveNetsuite::SearchEnumMultiSelectField
#   department - ActiveNetsuite::SearchMultiSelectField
#   displayIneBayStore - ActiveNetsuite::SearchBooleanField
#   displayName - ActiveNetsuite::SearchStringField
#   dontShowPrice - ActiveNetsuite::SearchBooleanField
#   eBayItemDescription - ActiveNetsuite::SearchStringField
#   eBayItemSubtitle - ActiveNetsuite::SearchStringField
#   eBayItemTitle - ActiveNetsuite::SearchStringField
#   ebayRelistingOption - ActiveNetsuite::SearchEnumMultiSelectField
#   effectiveBomControl - ActiveNetsuite::SearchEnumMultiSelectField
#   effectiveDate - ActiveNetsuite::SearchDateField
#   effectiveRevision - ActiveNetsuite::SearchMultiSelectField
#   endAuctionsWhenOutOfStock - ActiveNetsuite::SearchBooleanField
#   excludeFromSitemap - ActiveNetsuite::SearchBooleanField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   featuredDescription - ActiveNetsuite::SearchStringField
#   feedDescription - ActiveNetsuite::SearchStringField
#   feedName - ActiveNetsuite::SearchStringField
#   fixedLotSize - ActiveNetsuite::SearchDoubleField
#   forwardConsumptionDays - ActiveNetsuite::SearchLongField
#   froogleProductFeed - ActiveNetsuite::SearchBooleanField
#   fxCost - ActiveNetsuite::SearchDoubleField
#   giftCertAuthCode - ActiveNetsuite::SearchStringField
#   giftCertEmail - ActiveNetsuite::SearchStringField
#   giftCertExpDate - ActiveNetsuite::SearchDateField
#   giftCertFrom - ActiveNetsuite::SearchStringField
#   giftCertMsg - ActiveNetsuite::SearchStringField
#   giftCertOrigAmt - ActiveNetsuite::SearchStringField
#   giftCertRecipient - ActiveNetsuite::SearchStringField
#   imageUrl - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   inventoryLocation - ActiveNetsuite::SearchMultiSelectField
#   invtClassification - ActiveNetsuite::SearchEnumMultiSelectField
#   invtCountInterval - ActiveNetsuite::SearchLongField
#   isAvailable - ActiveNetsuite::SearchBooleanField
#   isDropShipItem - ActiveNetsuite::SearchBooleanField
#   isFulfillable - ActiveNetsuite::SearchBooleanField
#   isGcoCompliant - ActiveNetsuite::SearchBooleanField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   isLotItem - ActiveNetsuite::SearchBooleanField
#   isOnline - ActiveNetsuite::SearchBooleanField
#   isPreferredVendor - ActiveNetsuite::SearchBooleanField
#   isSerialItem - ActiveNetsuite::SearchBooleanField
#   isSpecialOrderItem - ActiveNetsuite::SearchBooleanField
#   isSpecialWorkOrderItem - ActiveNetsuite::SearchBooleanField
#   issueProduct - ActiveNetsuite::SearchMultiSelectField
#   isTaxable - ActiveNetsuite::SearchBooleanField
#   isVsoeBundle - ActiveNetsuite::SearchBooleanField
#   isWip - ActiveNetsuite::SearchBooleanField
#   itemId - ActiveNetsuite::SearchStringField
#   itemUrl - ActiveNetsuite::SearchStringField
#   lastInvtCountDate - ActiveNetsuite::SearchDateField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   lastPurchasePrice - ActiveNetsuite::SearchDoubleField
#   lastQuantityAvailableChange - ActiveNetsuite::SearchDateField
#   leadTime - ActiveNetsuite::SearchLongField
#   listingDuration - ActiveNetsuite::SearchEnumMultiSelectField
#   location - ActiveNetsuite::SearchMultiSelectField
#   locationAtpLeadTime - ActiveNetsuite::SearchDoubleField
#   locationAverageCost - ActiveNetsuite::SearchDoubleField
#   locationBuildTime - ActiveNetsuite::SearchDoubleField
#   locationCost - ActiveNetsuite::SearchDoubleField
#   locationCostAccountingStatus - ActiveNetsuite::SearchEnumMultiSelectField
#   locationDefaultReturnCost - ActiveNetsuite::SearchDoubleField
#   locationDemandSource - ActiveNetsuite::SearchEnumMultiSelectField
#   locationFixedLotSize - ActiveNetsuite::SearchDoubleField
#   locationInventoryCostTemplate - ActiveNetsuite::SearchMultiSelectField
#   locationInvtClassification - ActiveNetsuite::SearchEnumMultiSelectField
#   locationInvtCountInterval - ActiveNetsuite::SearchLongField
#   locationLastInvtCountDate - ActiveNetsuite::SearchDateField
#   locationLeadTime - ActiveNetsuite::SearchLongField
#   locationNextInvtCountDate - ActiveNetsuite::SearchDateField
#   locationPeriodicLotSizeDays - ActiveNetsuite::SearchLongField
#   locationPeriodicLotSizeType - ActiveNetsuite::SearchEnumMultiSelectField
#   locationPreferredStockLevel - ActiveNetsuite::SearchDoubleField
#   locationQuantityAvailable - ActiveNetsuite::SearchDoubleField
#   locationQuantityBackOrdered - ActiveNetsuite::SearchDoubleField
#   locationQuantityCommitted - ActiveNetsuite::SearchDoubleField
#   locationQuantityInTransit - ActiveNetsuite::SearchDoubleField
#   locationQuantityOnHand - ActiveNetsuite::SearchDoubleField
#   locationQuantityOnOrder - ActiveNetsuite::SearchDoubleField
#   locationReorderPoint - ActiveNetsuite::SearchDoubleField
#   locationSafetyStockLevel - ActiveNetsuite::SearchDoubleField
#   locationSupplyLotSizingMethod - ActiveNetsuite::SearchEnumMultiSelectField
#   locationSupplyType - ActiveNetsuite::SearchEnumMultiSelectField
#   locationTotalValue - ActiveNetsuite::SearchDoubleField
#   locBackwardConsumptionDays - ActiveNetsuite::SearchLongField
#   locForwardConsumptionDays - ActiveNetsuite::SearchLongField
#   manufacturer - ActiveNetsuite::SearchStringField
#   manufactureraddr1 - ActiveNetsuite::SearchStringField
#   manufacturerCity - ActiveNetsuite::SearchStringField
#   manufacturerState - ActiveNetsuite::SearchStringField
#   manufacturerTariff - ActiveNetsuite::SearchStringField
#   manufacturerTaxId - ActiveNetsuite::SearchStringField
#   manufacturerZip - ActiveNetsuite::SearchStringField
#   manufacturingChargeItem - ActiveNetsuite::SearchBooleanField
#   matchBillToReceipt - ActiveNetsuite::SearchBooleanField
#   matrix - ActiveNetsuite::SearchBooleanField
#   matrixChild - ActiveNetsuite::SearchBooleanField
#   metaTagHtml - ActiveNetsuite::SearchStringField
#   minimumQuantity - ActiveNetsuite::SearchLongField
#   mpn - ActiveNetsuite::SearchStringField
#   multManufactureAddr - ActiveNetsuite::SearchBooleanField
#   nexTagCategory - ActiveNetsuite::SearchStringField
#   nexTagProductFeed - ActiveNetsuite::SearchBooleanField
#   nextInvtCountDate - ActiveNetsuite::SearchDateField
#   numActiveListings - ActiveNetsuite::SearchLongField
#   numberAllowedDownloads - ActiveNetsuite::SearchDoubleField
#   numCurrentlyListed - ActiveNetsuite::SearchLongField
#   obsoleteDate - ActiveNetsuite::SearchDateField
#   obsoleteRevision - ActiveNetsuite::SearchMultiSelectField
#   offerSupport - ActiveNetsuite::SearchBooleanField
#   onlineCustomerPrice - ActiveNetsuite::SearchDoubleField
#   onSpecial - ActiveNetsuite::SearchBooleanField
#   otherVendor - ActiveNetsuite::SearchMultiSelectField
#   outOfStockBehavior - ActiveNetsuite::SearchMultiSelectField
#   overallQuantityPricingType - ActiveNetsuite::SearchEnumMultiSelectField
#   overheadType - ActiveNetsuite::SearchEnumMultiSelectField
#   pageTitle - ActiveNetsuite::SearchStringField
#   parent - ActiveNetsuite::SearchMultiSelectField
#   periodicLotSizeDays - ActiveNetsuite::SearchLongField
#   periodicLotSizeType - ActiveNetsuite::SearchEnumMultiSelectField
#   preferenceCriterion - ActiveNetsuite::SearchStringField
#   preferredBin - ActiveNetsuite::SearchBooleanField
#   preferredLocation - ActiveNetsuite::SearchMultiSelectField
#   preferredStockLevel - ActiveNetsuite::SearchDoubleField
#   preferredStockLevelDays - ActiveNetsuite::SearchLongField
#   price - ActiveNetsuite::SearchDoubleField
#   pricesIncludeTax - ActiveNetsuite::SearchBooleanField
#   pricingGroup - ActiveNetsuite::SearchMultiSelectField
#   primaryCategory - ActiveNetsuite::SearchLongField
#   purchaseUnit - ActiveNetsuite::SearchMultiSelectField
#   quantityAvailable - ActiveNetsuite::SearchDoubleField
#   quantityBackOrdered - ActiveNetsuite::SearchDoubleField
#   quantityCommitted - ActiveNetsuite::SearchDoubleField
#   quantityOnHand - ActiveNetsuite::SearchDoubleField
#   quantityOnOrder - ActiveNetsuite::SearchDoubleField
#   quantityPricingSchedule - ActiveNetsuite::SearchMultiSelectField
#   reorderMultiple - ActiveNetsuite::SearchLongField
#   reorderPoint - ActiveNetsuite::SearchDoubleField
#   reservePrice - ActiveNetsuite::SearchDoubleField
#   revRecSchedule - ActiveNetsuite::SearchMultiSelectField
#   roundUpAsComponent - ActiveNetsuite::SearchBooleanField
#   safetyStockLevel - ActiveNetsuite::SearchDoubleField
#   safetyStockLevelDays - ActiveNetsuite::SearchLongField
#   salesDescription - ActiveNetsuite::SearchStringField
#   saleUnit - ActiveNetsuite::SearchMultiSelectField
#   scheduleBCode - ActiveNetsuite::SearchEnumMultiSelectField
#   scheduleBNumber - ActiveNetsuite::SearchStringField
#   scheduleBQuantity - ActiveNetsuite::SearchStringField
#   searchKeywords - ActiveNetsuite::SearchStringField
#   seasonalDemand - ActiveNetsuite::SearchBooleanField
#   sellOnEBay - ActiveNetsuite::SearchBooleanField
#   serialNumber - ActiveNetsuite::SearchStringField
#   serialNumberLocation - ActiveNetsuite::SearchMultiSelectField
#   shipIndividually - ActiveNetsuite::SearchBooleanField
#   shipPackage - ActiveNetsuite::SearchMultiSelectField
#   shippingCarrier - ActiveNetsuite::SearchEnumMultiSelectField
#   shippingRate - ActiveNetsuite::SearchDoubleField
#   shoppingDotComCategory - ActiveNetsuite::SearchStringField
#   shoppingProductFeed - ActiveNetsuite::SearchBooleanField
#   shopzillaCategoryId - ActiveNetsuite::SearchLongField
#   shopzillaProductFeed - ActiveNetsuite::SearchBooleanField
#   sitemapPriority - ActiveNetsuite::SearchEnumMultiSelectField
#   softDescriptor - ActiveNetsuite::SearchMultiSelectField
#   startingPrice - ActiveNetsuite::SearchDoubleField
#   stockDescription - ActiveNetsuite::SearchStringField
#   stockUnit - ActiveNetsuite::SearchMultiSelectField
#   storeDescription - ActiveNetsuite::SearchStringField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   subType - ActiveNetsuite::SearchEnumMultiSelectField
#   supplyLotSizingMethod - ActiveNetsuite::SearchEnumMultiSelectField
#   supplyReplenishmentMethod - ActiveNetsuite::SearchEnumMultiSelectField
#   supplyType - ActiveNetsuite::SearchEnumMultiSelectField
#   taxCode - ActiveNetsuite::SearchMultiSelectField
#   taxSchedule - ActiveNetsuite::SearchMultiSelectField
#   thumbnailUrl - ActiveNetsuite::SearchStringField
#   totalValue - ActiveNetsuite::SearchDoubleField
#   trackLandedCost - ActiveNetsuite::SearchBooleanField
#   transferPrice - ActiveNetsuite::SearchDoubleField
#   type - ActiveNetsuite::SearchEnumMultiSelectField
#   unitsType - ActiveNetsuite::SearchMultiSelectField
#   upcCode - ActiveNetsuite::SearchStringField
#   urlComponent - ActiveNetsuite::SearchStringField
#   useBins - ActiveNetsuite::SearchBooleanField
#   useComponentYield - ActiveNetsuite::SearchBooleanField
#   useMarginalRates - ActiveNetsuite::SearchBooleanField
#   vendor - ActiveNetsuite::SearchMultiSelectField
#   vendorCode - ActiveNetsuite::SearchStringField
#   vendorCost - ActiveNetsuite::SearchDoubleField
#   vendorCostEntered - ActiveNetsuite::SearchDoubleField
#   vendorName - ActiveNetsuite::SearchStringField
#   vendorPriceCurrency - ActiveNetsuite::SearchMultiSelectField
#   vsoeDeferral - ActiveNetsuite::SearchEnumMultiSelectField
#   vsoeDelivered - ActiveNetsuite::SearchBooleanField
#   vsoePermitDiscount - ActiveNetsuite::SearchEnumMultiSelectField
#   vsoePrice - ActiveNetsuite::SearchDoubleField
#   webSite - ActiveNetsuite::SearchMultiSelectField
#   weight - ActiveNetsuite::SearchDoubleField
#   yahooProductFeed - ActiveNetsuite::SearchBooleanField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class ItemSearchBasic < SearchRecordBasic
  attr_accessor :account
  attr_accessor :allowedShippingMethod
  attr_accessor :alternateDemandSourceItem
  attr_accessor :atpLeadTime
  attr_accessor :atpMethod
  attr_accessor :autoLeadTime
  attr_accessor :autoPreferredStockLevel
  attr_accessor :autoReorderPoint
  attr_accessor :availableToPartners
  attr_accessor :averageCost
  attr_accessor :backwardConsumptionDays
  attr_accessor :binNumber
  attr_accessor :binOnHandAvail
  attr_accessor :binOnHandCount
  attr_accessor :bomQuantity
  attr_accessor :buildEntireAssembly
  attr_accessor :buildTime
  attr_accessor :buyItNowPrice
  attr_accessor :caption
  attr_accessor :category
  attr_accessor :component
  attr_accessor :componentOf
  attr_accessor :componentYield
  attr_accessor :copyDescription
  attr_accessor :correlatedItem
  attr_accessor :correlatedItemCorrelation
  attr_accessor :correlatedItemCount
  attr_accessor :correlatedItemLift
  attr_accessor :correlatedItemPurchaseRate
  attr_accessor :cost
  attr_accessor :costAccountingStatus
  attr_accessor :costCategory
  attr_accessor :costEstimate
  attr_accessor :costEstimateType
  attr_accessor :costingMethod
  attr_accessor :countryOfManufacture
  attr_accessor :created
  attr_accessor :createJob
  attr_accessor :dateViewed
  attr_accessor :daysBeforeExpiration
  attr_accessor :defaultReturnCost
  attr_accessor :defaultShippingMethod
  attr_accessor :demandModifier
  attr_accessor :demandSource
  attr_accessor :department
  attr_accessor :displayIneBayStore
  attr_accessor :displayName
  attr_accessor :dontShowPrice
  attr_accessor :eBayItemDescription
  attr_accessor :eBayItemSubtitle
  attr_accessor :eBayItemTitle
  attr_accessor :ebayRelistingOption
  attr_accessor :effectiveBomControl
  attr_accessor :effectiveDate
  attr_accessor :effectiveRevision
  attr_accessor :endAuctionsWhenOutOfStock
  attr_accessor :excludeFromSitemap
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :featuredDescription
  attr_accessor :feedDescription
  attr_accessor :feedName
  attr_accessor :fixedLotSize
  attr_accessor :forwardConsumptionDays
  attr_accessor :froogleProductFeed
  attr_accessor :fxCost
  attr_accessor :giftCertAuthCode
  attr_accessor :giftCertEmail
  attr_accessor :giftCertExpDate
  attr_accessor :giftCertFrom
  attr_accessor :giftCertMsg
  attr_accessor :giftCertOrigAmt
  attr_accessor :giftCertRecipient
  attr_accessor :imageUrl
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :inventoryLocation
  attr_accessor :invtClassification
  attr_accessor :invtCountInterval
  attr_accessor :isAvailable
  attr_accessor :isDropShipItem
  attr_accessor :isFulfillable
  attr_accessor :isGcoCompliant
  attr_accessor :isInactive
  attr_accessor :isLotItem
  attr_accessor :isOnline
  attr_accessor :isPreferredVendor
  attr_accessor :isSerialItem
  attr_accessor :isSpecialOrderItem
  attr_accessor :isSpecialWorkOrderItem
  attr_accessor :issueProduct
  attr_accessor :isTaxable
  attr_accessor :isVsoeBundle
  attr_accessor :isWip
  attr_accessor :itemId
  attr_accessor :itemUrl
  attr_accessor :lastInvtCountDate
  attr_accessor :lastModifiedDate
  attr_accessor :lastPurchasePrice
  attr_accessor :lastQuantityAvailableChange
  attr_accessor :leadTime
  attr_accessor :listingDuration
  attr_accessor :location
  attr_accessor :locationAtpLeadTime
  attr_accessor :locationAverageCost
  attr_accessor :locationBuildTime
  attr_accessor :locationCost
  attr_accessor :locationCostAccountingStatus
  attr_accessor :locationDefaultReturnCost
  attr_accessor :locationDemandSource
  attr_accessor :locationFixedLotSize
  attr_accessor :locationInventoryCostTemplate
  attr_accessor :locationInvtClassification
  attr_accessor :locationInvtCountInterval
  attr_accessor :locationLastInvtCountDate
  attr_accessor :locationLeadTime
  attr_accessor :locationNextInvtCountDate
  attr_accessor :locationPeriodicLotSizeDays
  attr_accessor :locationPeriodicLotSizeType
  attr_accessor :locationPreferredStockLevel
  attr_accessor :locationQuantityAvailable
  attr_accessor :locationQuantityBackOrdered
  attr_accessor :locationQuantityCommitted
  attr_accessor :locationQuantityInTransit
  attr_accessor :locationQuantityOnHand
  attr_accessor :locationQuantityOnOrder
  attr_accessor :locationReorderPoint
  attr_accessor :locationSafetyStockLevel
  attr_accessor :locationSupplyLotSizingMethod
  attr_accessor :locationSupplyType
  attr_accessor :locationTotalValue
  attr_accessor :locBackwardConsumptionDays
  attr_accessor :locForwardConsumptionDays
  attr_accessor :manufacturer
  attr_accessor :manufactureraddr1
  attr_accessor :manufacturerCity
  attr_accessor :manufacturerState
  attr_accessor :manufacturerTariff
  attr_accessor :manufacturerTaxId
  attr_accessor :manufacturerZip
  attr_accessor :manufacturingChargeItem
  attr_accessor :matchBillToReceipt
  attr_accessor :matrix
  attr_accessor :matrixChild
  attr_accessor :metaTagHtml
  attr_accessor :minimumQuantity
  attr_accessor :mpn
  attr_accessor :multManufactureAddr
  attr_accessor :nexTagCategory
  attr_accessor :nexTagProductFeed
  attr_accessor :nextInvtCountDate
  attr_accessor :numActiveListings
  attr_accessor :numberAllowedDownloads
  attr_accessor :numCurrentlyListed
  attr_accessor :obsoleteDate
  attr_accessor :obsoleteRevision
  attr_accessor :offerSupport
  attr_accessor :onlineCustomerPrice
  attr_accessor :onSpecial
  attr_accessor :otherVendor
  attr_accessor :outOfStockBehavior
  attr_accessor :overallQuantityPricingType
  attr_accessor :overheadType
  attr_accessor :pageTitle
  attr_accessor :parent
  attr_accessor :periodicLotSizeDays
  attr_accessor :periodicLotSizeType
  attr_accessor :preferenceCriterion
  attr_accessor :preferredBin
  attr_accessor :preferredLocation
  attr_accessor :preferredStockLevel
  attr_accessor :preferredStockLevelDays
  attr_accessor :price
  attr_accessor :pricesIncludeTax
  attr_accessor :pricingGroup
  attr_accessor :primaryCategory
  attr_accessor :purchaseUnit
  attr_accessor :quantityAvailable
  attr_accessor :quantityBackOrdered
  attr_accessor :quantityCommitted
  attr_accessor :quantityOnHand
  attr_accessor :quantityOnOrder
  attr_accessor :quantityPricingSchedule
  attr_accessor :reorderMultiple
  attr_accessor :reorderPoint
  attr_accessor :reservePrice
  attr_accessor :revRecSchedule
  attr_accessor :roundUpAsComponent
  attr_accessor :safetyStockLevel
  attr_accessor :safetyStockLevelDays
  attr_accessor :salesDescription
  attr_accessor :saleUnit
  attr_accessor :scheduleBCode
  attr_accessor :scheduleBNumber
  attr_accessor :scheduleBQuantity
  attr_accessor :searchKeywords
  attr_accessor :seasonalDemand
  attr_accessor :sellOnEBay
  attr_accessor :serialNumber
  attr_accessor :serialNumberLocation
  attr_accessor :shipIndividually
  attr_accessor :shipPackage
  attr_accessor :shippingCarrier
  attr_accessor :shippingRate
  attr_accessor :shoppingDotComCategory
  attr_accessor :shoppingProductFeed
  attr_accessor :shopzillaCategoryId
  attr_accessor :shopzillaProductFeed
  attr_accessor :sitemapPriority
  attr_accessor :softDescriptor
  attr_accessor :startingPrice
  attr_accessor :stockDescription
  attr_accessor :stockUnit
  attr_accessor :storeDescription
  attr_accessor :subsidiary
  attr_accessor :subType
  attr_accessor :supplyLotSizingMethod
  attr_accessor :supplyReplenishmentMethod
  attr_accessor :supplyType
  attr_accessor :taxCode
  attr_accessor :taxSchedule
  attr_accessor :thumbnailUrl
  attr_accessor :totalValue
  attr_accessor :trackLandedCost
  attr_accessor :transferPrice
  attr_accessor :type
  attr_accessor :unitsType
  attr_accessor :upcCode
  attr_accessor :urlComponent
  attr_accessor :useBins
  attr_accessor :useComponentYield
  attr_accessor :useMarginalRates
  attr_accessor :vendor
  attr_accessor :vendorCode
  attr_accessor :vendorCost
  attr_accessor :vendorCostEntered
  attr_accessor :vendorName
  attr_accessor :vendorPriceCurrency
  attr_accessor :vsoeDeferral
  attr_accessor :vsoeDelivered
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoePrice
  attr_accessor :webSite
  attr_accessor :weight
  attr_accessor :yahooProductFeed
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(account = nil, allowedShippingMethod = nil, alternateDemandSourceItem = nil, atpLeadTime = nil, atpMethod = nil, autoLeadTime = nil, autoPreferredStockLevel = nil, autoReorderPoint = nil, availableToPartners = nil, averageCost = nil, backwardConsumptionDays = nil, binNumber = nil, binOnHandAvail = nil, binOnHandCount = nil, bomQuantity = nil, buildEntireAssembly = nil, buildTime = nil, buyItNowPrice = nil, caption = nil, category = nil, v_class = nil, component = nil, componentOf = nil, componentYield = nil, copyDescription = nil, correlatedItem = nil, correlatedItemCorrelation = nil, correlatedItemCount = nil, correlatedItemLift = nil, correlatedItemPurchaseRate = nil, cost = nil, costAccountingStatus = nil, costCategory = nil, costEstimate = nil, costEstimateType = nil, costingMethod = nil, countryOfManufacture = nil, created = nil, createJob = nil, dateViewed = nil, daysBeforeExpiration = nil, defaultReturnCost = nil, defaultShippingMethod = nil, demandModifier = nil, demandSource = nil, department = nil, displayIneBayStore = nil, displayName = nil, dontShowPrice = nil, eBayItemDescription = nil, eBayItemSubtitle = nil, eBayItemTitle = nil, ebayRelistingOption = nil, effectiveBomControl = nil, effectiveDate = nil, effectiveRevision = nil, endAuctionsWhenOutOfStock = nil, excludeFromSitemap = nil, externalId = nil, externalIdString = nil, featuredDescription = nil, feedDescription = nil, feedName = nil, fixedLotSize = nil, forwardConsumptionDays = nil, froogleProductFeed = nil, fxCost = nil, giftCertAuthCode = nil, giftCertEmail = nil, giftCertExpDate = nil, giftCertFrom = nil, giftCertMsg = nil, giftCertOrigAmt = nil, giftCertRecipient = nil, imageUrl = nil, internalId = nil, internalIdNumber = nil, inventoryLocation = nil, invtClassification = nil, invtCountInterval = nil, isAvailable = nil, isDropShipItem = nil, isFulfillable = nil, isGcoCompliant = nil, isInactive = nil, isLotItem = nil, isOnline = nil, isPreferredVendor = nil, isSerialItem = nil, isSpecialOrderItem = nil, isSpecialWorkOrderItem = nil, issueProduct = nil, isTaxable = nil, isVsoeBundle = nil, isWip = nil, itemId = nil, itemUrl = nil, lastInvtCountDate = nil, lastModifiedDate = nil, lastPurchasePrice = nil, lastQuantityAvailableChange = nil, leadTime = nil, listingDuration = nil, location = nil, locationAtpLeadTime = nil, locationAverageCost = nil, locationBuildTime = nil, locationCost = nil, locationCostAccountingStatus = nil, locationDefaultReturnCost = nil, locationDemandSource = nil, locationFixedLotSize = nil, locationInventoryCostTemplate = nil, locationInvtClassification = nil, locationInvtCountInterval = nil, locationLastInvtCountDate = nil, locationLeadTime = nil, locationNextInvtCountDate = nil, locationPeriodicLotSizeDays = nil, locationPeriodicLotSizeType = nil, locationPreferredStockLevel = nil, locationQuantityAvailable = nil, locationQuantityBackOrdered = nil, locationQuantityCommitted = nil, locationQuantityInTransit = nil, locationQuantityOnHand = nil, locationQuantityOnOrder = nil, locationReorderPoint = nil, locationSafetyStockLevel = nil, locationSupplyLotSizingMethod = nil, locationSupplyType = nil, locationTotalValue = nil, locBackwardConsumptionDays = nil, locForwardConsumptionDays = nil, manufacturer = nil, manufactureraddr1 = nil, manufacturerCity = nil, manufacturerState = nil, manufacturerTariff = nil, manufacturerTaxId = nil, manufacturerZip = nil, manufacturingChargeItem = nil, matchBillToReceipt = nil, matrix = nil, matrixChild = nil, metaTagHtml = nil, minimumQuantity = nil, mpn = nil, multManufactureAddr = nil, nexTagCategory = nil, nexTagProductFeed = nil, nextInvtCountDate = nil, numActiveListings = nil, numberAllowedDownloads = nil, numCurrentlyListed = nil, obsoleteDate = nil, obsoleteRevision = nil, offerSupport = nil, onlineCustomerPrice = nil, onSpecial = nil, otherVendor = nil, outOfStockBehavior = nil, overallQuantityPricingType = nil, overheadType = nil, pageTitle = nil, parent = nil, periodicLotSizeDays = nil, periodicLotSizeType = nil, preferenceCriterion = nil, preferredBin = nil, preferredLocation = nil, preferredStockLevel = nil, preferredStockLevelDays = nil, price = nil, pricesIncludeTax = nil, pricingGroup = nil, primaryCategory = nil, purchaseUnit = nil, quantityAvailable = nil, quantityBackOrdered = nil, quantityCommitted = nil, quantityOnHand = nil, quantityOnOrder = nil, quantityPricingSchedule = nil, reorderMultiple = nil, reorderPoint = nil, reservePrice = nil, revRecSchedule = nil, roundUpAsComponent = nil, safetyStockLevel = nil, safetyStockLevelDays = nil, salesDescription = nil, saleUnit = nil, scheduleBCode = nil, scheduleBNumber = nil, scheduleBQuantity = nil, searchKeywords = nil, seasonalDemand = nil, sellOnEBay = nil, serialNumber = nil, serialNumberLocation = nil, shipIndividually = nil, shipPackage = nil, shippingCarrier = nil, shippingRate = nil, shoppingDotComCategory = nil, shoppingProductFeed = nil, shopzillaCategoryId = nil, shopzillaProductFeed = nil, sitemapPriority = nil, softDescriptor = nil, startingPrice = nil, stockDescription = nil, stockUnit = nil, storeDescription = nil, subsidiary = nil, subType = nil, supplyLotSizingMethod = nil, supplyReplenishmentMethod = nil, supplyType = nil, taxCode = nil, taxSchedule = nil, thumbnailUrl = nil, totalValue = nil, trackLandedCost = nil, transferPrice = nil, type = nil, unitsType = nil, upcCode = nil, urlComponent = nil, useBins = nil, useComponentYield = nil, useMarginalRates = nil, vendor = nil, vendorCode = nil, vendorCost = nil, vendorCostEntered = nil, vendorName = nil, vendorPriceCurrency = nil, vsoeDeferral = nil, vsoeDelivered = nil, vsoePermitDiscount = nil, vsoePrice = nil, webSite = nil, weight = nil, yahooProductFeed = nil, customFieldList = nil)
    @account = account
    @allowedShippingMethod = allowedShippingMethod
    @alternateDemandSourceItem = alternateDemandSourceItem
    @atpLeadTime = atpLeadTime
    @atpMethod = atpMethod
    @autoLeadTime = autoLeadTime
    @autoPreferredStockLevel = autoPreferredStockLevel
    @autoReorderPoint = autoReorderPoint
    @availableToPartners = availableToPartners
    @averageCost = averageCost
    @backwardConsumptionDays = backwardConsumptionDays
    @binNumber = binNumber
    @binOnHandAvail = binOnHandAvail
    @binOnHandCount = binOnHandCount
    @bomQuantity = bomQuantity
    @buildEntireAssembly = buildEntireAssembly
    @buildTime = buildTime
    @buyItNowPrice = buyItNowPrice
    @caption = caption
    @category = category
    @v_class = v_class
    @component = component
    @componentOf = componentOf
    @componentYield = componentYield
    @copyDescription = copyDescription
    @correlatedItem = correlatedItem
    @correlatedItemCorrelation = correlatedItemCorrelation
    @correlatedItemCount = correlatedItemCount
    @correlatedItemLift = correlatedItemLift
    @correlatedItemPurchaseRate = correlatedItemPurchaseRate
    @cost = cost
    @costAccountingStatus = costAccountingStatus
    @costCategory = costCategory
    @costEstimate = costEstimate
    @costEstimateType = costEstimateType
    @costingMethod = costingMethod
    @countryOfManufacture = countryOfManufacture
    @created = created
    @createJob = createJob
    @dateViewed = dateViewed
    @daysBeforeExpiration = daysBeforeExpiration
    @defaultReturnCost = defaultReturnCost
    @defaultShippingMethod = defaultShippingMethod
    @demandModifier = demandModifier
    @demandSource = demandSource
    @department = department
    @displayIneBayStore = displayIneBayStore
    @displayName = displayName
    @dontShowPrice = dontShowPrice
    @eBayItemDescription = eBayItemDescription
    @eBayItemSubtitle = eBayItemSubtitle
    @eBayItemTitle = eBayItemTitle
    @ebayRelistingOption = ebayRelistingOption
    @effectiveBomControl = effectiveBomControl
    @effectiveDate = effectiveDate
    @effectiveRevision = effectiveRevision
    @endAuctionsWhenOutOfStock = endAuctionsWhenOutOfStock
    @excludeFromSitemap = excludeFromSitemap
    @externalId = externalId
    @externalIdString = externalIdString
    @featuredDescription = featuredDescription
    @feedDescription = feedDescription
    @feedName = feedName
    @fixedLotSize = fixedLotSize
    @forwardConsumptionDays = forwardConsumptionDays
    @froogleProductFeed = froogleProductFeed
    @fxCost = fxCost
    @giftCertAuthCode = giftCertAuthCode
    @giftCertEmail = giftCertEmail
    @giftCertExpDate = giftCertExpDate
    @giftCertFrom = giftCertFrom
    @giftCertMsg = giftCertMsg
    @giftCertOrigAmt = giftCertOrigAmt
    @giftCertRecipient = giftCertRecipient
    @imageUrl = imageUrl
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @inventoryLocation = inventoryLocation
    @invtClassification = invtClassification
    @invtCountInterval = invtCountInterval
    @isAvailable = isAvailable
    @isDropShipItem = isDropShipItem
    @isFulfillable = isFulfillable
    @isGcoCompliant = isGcoCompliant
    @isInactive = isInactive
    @isLotItem = isLotItem
    @isOnline = isOnline
    @isPreferredVendor = isPreferredVendor
    @isSerialItem = isSerialItem
    @isSpecialOrderItem = isSpecialOrderItem
    @isSpecialWorkOrderItem = isSpecialWorkOrderItem
    @issueProduct = issueProduct
    @isTaxable = isTaxable
    @isVsoeBundle = isVsoeBundle
    @isWip = isWip
    @itemId = itemId
    @itemUrl = itemUrl
    @lastInvtCountDate = lastInvtCountDate
    @lastModifiedDate = lastModifiedDate
    @lastPurchasePrice = lastPurchasePrice
    @lastQuantityAvailableChange = lastQuantityAvailableChange
    @leadTime = leadTime
    @listingDuration = listingDuration
    @location = location
    @locationAtpLeadTime = locationAtpLeadTime
    @locationAverageCost = locationAverageCost
    @locationBuildTime = locationBuildTime
    @locationCost = locationCost
    @locationCostAccountingStatus = locationCostAccountingStatus
    @locationDefaultReturnCost = locationDefaultReturnCost
    @locationDemandSource = locationDemandSource
    @locationFixedLotSize = locationFixedLotSize
    @locationInventoryCostTemplate = locationInventoryCostTemplate
    @locationInvtClassification = locationInvtClassification
    @locationInvtCountInterval = locationInvtCountInterval
    @locationLastInvtCountDate = locationLastInvtCountDate
    @locationLeadTime = locationLeadTime
    @locationNextInvtCountDate = locationNextInvtCountDate
    @locationPeriodicLotSizeDays = locationPeriodicLotSizeDays
    @locationPeriodicLotSizeType = locationPeriodicLotSizeType
    @locationPreferredStockLevel = locationPreferredStockLevel
    @locationQuantityAvailable = locationQuantityAvailable
    @locationQuantityBackOrdered = locationQuantityBackOrdered
    @locationQuantityCommitted = locationQuantityCommitted
    @locationQuantityInTransit = locationQuantityInTransit
    @locationQuantityOnHand = locationQuantityOnHand
    @locationQuantityOnOrder = locationQuantityOnOrder
    @locationReorderPoint = locationReorderPoint
    @locationSafetyStockLevel = locationSafetyStockLevel
    @locationSupplyLotSizingMethod = locationSupplyLotSizingMethod
    @locationSupplyType = locationSupplyType
    @locationTotalValue = locationTotalValue
    @locBackwardConsumptionDays = locBackwardConsumptionDays
    @locForwardConsumptionDays = locForwardConsumptionDays
    @manufacturer = manufacturer
    @manufactureraddr1 = manufactureraddr1
    @manufacturerCity = manufacturerCity
    @manufacturerState = manufacturerState
    @manufacturerTariff = manufacturerTariff
    @manufacturerTaxId = manufacturerTaxId
    @manufacturerZip = manufacturerZip
    @manufacturingChargeItem = manufacturingChargeItem
    @matchBillToReceipt = matchBillToReceipt
    @matrix = matrix
    @matrixChild = matrixChild
    @metaTagHtml = metaTagHtml
    @minimumQuantity = minimumQuantity
    @mpn = mpn
    @multManufactureAddr = multManufactureAddr
    @nexTagCategory = nexTagCategory
    @nexTagProductFeed = nexTagProductFeed
    @nextInvtCountDate = nextInvtCountDate
    @numActiveListings = numActiveListings
    @numberAllowedDownloads = numberAllowedDownloads
    @numCurrentlyListed = numCurrentlyListed
    @obsoleteDate = obsoleteDate
    @obsoleteRevision = obsoleteRevision
    @offerSupport = offerSupport
    @onlineCustomerPrice = onlineCustomerPrice
    @onSpecial = onSpecial
    @otherVendor = otherVendor
    @outOfStockBehavior = outOfStockBehavior
    @overallQuantityPricingType = overallQuantityPricingType
    @overheadType = overheadType
    @pageTitle = pageTitle
    @parent = parent
    @periodicLotSizeDays = periodicLotSizeDays
    @periodicLotSizeType = periodicLotSizeType
    @preferenceCriterion = preferenceCriterion
    @preferredBin = preferredBin
    @preferredLocation = preferredLocation
    @preferredStockLevel = preferredStockLevel
    @preferredStockLevelDays = preferredStockLevelDays
    @price = price
    @pricesIncludeTax = pricesIncludeTax
    @pricingGroup = pricingGroup
    @primaryCategory = primaryCategory
    @purchaseUnit = purchaseUnit
    @quantityAvailable = quantityAvailable
    @quantityBackOrdered = quantityBackOrdered
    @quantityCommitted = quantityCommitted
    @quantityOnHand = quantityOnHand
    @quantityOnOrder = quantityOnOrder
    @quantityPricingSchedule = quantityPricingSchedule
    @reorderMultiple = reorderMultiple
    @reorderPoint = reorderPoint
    @reservePrice = reservePrice
    @revRecSchedule = revRecSchedule
    @roundUpAsComponent = roundUpAsComponent
    @safetyStockLevel = safetyStockLevel
    @safetyStockLevelDays = safetyStockLevelDays
    @salesDescription = salesDescription
    @saleUnit = saleUnit
    @scheduleBCode = scheduleBCode
    @scheduleBNumber = scheduleBNumber
    @scheduleBQuantity = scheduleBQuantity
    @searchKeywords = searchKeywords
    @seasonalDemand = seasonalDemand
    @sellOnEBay = sellOnEBay
    @serialNumber = serialNumber
    @serialNumberLocation = serialNumberLocation
    @shipIndividually = shipIndividually
    @shipPackage = shipPackage
    @shippingCarrier = shippingCarrier
    @shippingRate = shippingRate
    @shoppingDotComCategory = shoppingDotComCategory
    @shoppingProductFeed = shoppingProductFeed
    @shopzillaCategoryId = shopzillaCategoryId
    @shopzillaProductFeed = shopzillaProductFeed
    @sitemapPriority = sitemapPriority
    @softDescriptor = softDescriptor
    @startingPrice = startingPrice
    @stockDescription = stockDescription
    @stockUnit = stockUnit
    @storeDescription = storeDescription
    @subsidiary = subsidiary
    @subType = subType
    @supplyLotSizingMethod = supplyLotSizingMethod
    @supplyReplenishmentMethod = supplyReplenishmentMethod
    @supplyType = supplyType
    @taxCode = taxCode
    @taxSchedule = taxSchedule
    @thumbnailUrl = thumbnailUrl
    @totalValue = totalValue
    @trackLandedCost = trackLandedCost
    @transferPrice = transferPrice
    @type = type
    @unitsType = unitsType
    @upcCode = upcCode
    @urlComponent = urlComponent
    @useBins = useBins
    @useComponentYield = useComponentYield
    @useMarginalRates = useMarginalRates
    @vendor = vendor
    @vendorCode = vendorCode
    @vendorCost = vendorCost
    @vendorCostEntered = vendorCostEntered
    @vendorName = vendorName
    @vendorPriceCurrency = vendorPriceCurrency
    @vsoeDeferral = vsoeDeferral
    @vsoeDelivered = vsoeDelivered
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoePrice = vsoePrice
    @webSite = webSite
    @weight = weight
    @yahooProductFeed = yahooProductFeed
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}PartnerSearchBasic
#   address - ActiveNetsuite::SearchStringField
#   addressee - ActiveNetsuite::SearchStringField
#   addressLabel - ActiveNetsuite::SearchStringField
#   addressPhone - ActiveNetsuite::SearchStringField
#   assignTasks - ActiveNetsuite::SearchBooleanField
#   attention - ActiveNetsuite::SearchStringField
#   billAddress - ActiveNetsuite::SearchStringField
#   category - ActiveNetsuite::SearchMultiSelectField
#   city - ActiveNetsuite::SearchStringField
#   m_class - ActiveNetsuite::SearchMultiSelectField
#   comments - ActiveNetsuite::SearchStringField
#   commissionPlan - ActiveNetsuite::SearchMultiSelectField
#   country - ActiveNetsuite::SearchEnumMultiSelectField
#   county - ActiveNetsuite::SearchStringField
#   dateCreated - ActiveNetsuite::SearchDateField
#   department - ActiveNetsuite::SearchMultiSelectField
#   eligibleForCommission - ActiveNetsuite::SearchBooleanField
#   email - ActiveNetsuite::SearchStringField
#   emailPreference - ActiveNetsuite::SearchEnumMultiSelectField
#   entityId - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   fax - ActiveNetsuite::SearchStringField
#   firstName - ActiveNetsuite::SearchStringField
#   giveAccess - ActiveNetsuite::SearchBooleanField
#   globalSubscriptionStatus - ActiveNetsuite::SearchEnumMultiSelectField
#   group - ActiveNetsuite::SearchMultiSelectField
#   hasDuplicates - ActiveNetsuite::SearchBooleanField
#   image - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isDefaultBilling - ActiveNetsuite::SearchBooleanField
#   isDefaultShipping - ActiveNetsuite::SearchBooleanField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   isPerson - ActiveNetsuite::SearchBooleanField
#   language - ActiveNetsuite::SearchEnumMultiSelectField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   lastName - ActiveNetsuite::SearchStringField
#   level - ActiveNetsuite::SearchEnumMultiSelectField
#   location - ActiveNetsuite::SearchMultiSelectField
#   middleName - ActiveNetsuite::SearchStringField
#   otherRelationships - ActiveNetsuite::SearchEnumMultiSelectField
#   parent - ActiveNetsuite::SearchMultiSelectField
#   partnerCode - ActiveNetsuite::SearchStringField
#   permission - ActiveNetsuite::SearchEnumMultiSelectField
#   phone - ActiveNetsuite::SearchStringField
#   phoneticName - ActiveNetsuite::SearchStringField
#   promoCode - ActiveNetsuite::SearchMultiSelectField
#   salutation - ActiveNetsuite::SearchStringField
#   shipAddress - ActiveNetsuite::SearchStringField
#   state - ActiveNetsuite::SearchStringField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   title - ActiveNetsuite::SearchStringField
#   uRL - ActiveNetsuite::SearchStringField
#   zipCode - ActiveNetsuite::SearchStringField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class PartnerSearchBasic < SearchRecordBasic
  attr_accessor :address
  attr_accessor :addressee
  attr_accessor :addressLabel
  attr_accessor :addressPhone
  attr_accessor :assignTasks
  attr_accessor :attention
  attr_accessor :billAddress
  attr_accessor :category
  attr_accessor :city
  attr_accessor :comments
  attr_accessor :commissionPlan
  attr_accessor :country
  attr_accessor :county
  attr_accessor :dateCreated
  attr_accessor :department
  attr_accessor :eligibleForCommission
  attr_accessor :email
  attr_accessor :emailPreference
  attr_accessor :entityId
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :fax
  attr_accessor :firstName
  attr_accessor :giveAccess
  attr_accessor :globalSubscriptionStatus
  attr_accessor :group
  attr_accessor :hasDuplicates
  attr_accessor :image
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isDefaultBilling
  attr_accessor :isDefaultShipping
  attr_accessor :isInactive
  attr_accessor :isPerson
  attr_accessor :language
  attr_accessor :lastModifiedDate
  attr_accessor :lastName
  attr_accessor :level
  attr_accessor :location
  attr_accessor :middleName
  attr_accessor :otherRelationships
  attr_accessor :parent
  attr_accessor :partnerCode
  attr_accessor :permission
  attr_accessor :phone
  attr_accessor :phoneticName
  attr_accessor :promoCode
  attr_accessor :salutation
  attr_accessor :shipAddress
  attr_accessor :state
  attr_accessor :subsidiary
  attr_accessor :title
  attr_accessor :uRL
  attr_accessor :zipCode
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(address = nil, addressee = nil, addressLabel = nil, addressPhone = nil, assignTasks = nil, attention = nil, billAddress = nil, category = nil, city = nil, v_class = nil, comments = nil, commissionPlan = nil, country = nil, county = nil, dateCreated = nil, department = nil, eligibleForCommission = nil, email = nil, emailPreference = nil, entityId = nil, externalId = nil, externalIdString = nil, fax = nil, firstName = nil, giveAccess = nil, globalSubscriptionStatus = nil, group = nil, hasDuplicates = nil, image = nil, internalId = nil, internalIdNumber = nil, isDefaultBilling = nil, isDefaultShipping = nil, isInactive = nil, isPerson = nil, language = nil, lastModifiedDate = nil, lastName = nil, level = nil, location = nil, middleName = nil, otherRelationships = nil, parent = nil, partnerCode = nil, permission = nil, phone = nil, phoneticName = nil, promoCode = nil, salutation = nil, shipAddress = nil, state = nil, subsidiary = nil, title = nil, uRL = nil, zipCode = nil, customFieldList = nil)
    @address = address
    @addressee = addressee
    @addressLabel = addressLabel
    @addressPhone = addressPhone
    @assignTasks = assignTasks
    @attention = attention
    @billAddress = billAddress
    @category = category
    @city = city
    @v_class = v_class
    @comments = comments
    @commissionPlan = commissionPlan
    @country = country
    @county = county
    @dateCreated = dateCreated
    @department = department
    @eligibleForCommission = eligibleForCommission
    @email = email
    @emailPreference = emailPreference
    @entityId = entityId
    @externalId = externalId
    @externalIdString = externalIdString
    @fax = fax
    @firstName = firstName
    @giveAccess = giveAccess
    @globalSubscriptionStatus = globalSubscriptionStatus
    @group = group
    @hasDuplicates = hasDuplicates
    @image = image
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isDefaultBilling = isDefaultBilling
    @isDefaultShipping = isDefaultShipping
    @isInactive = isInactive
    @isPerson = isPerson
    @language = language
    @lastModifiedDate = lastModifiedDate
    @lastName = lastName
    @level = level
    @location = location
    @middleName = middleName
    @otherRelationships = otherRelationships
    @parent = parent
    @partnerCode = partnerCode
    @permission = permission
    @phone = phone
    @phoneticName = phoneticName
    @promoCode = promoCode
    @salutation = salutation
    @shipAddress = shipAddress
    @state = state
    @subsidiary = subsidiary
    @title = title
    @uRL = uRL
    @zipCode = zipCode
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}VendorSearchBasic
#   accountNumber - ActiveNetsuite::SearchStringField
#   address - ActiveNetsuite::SearchStringField
#   addressee - ActiveNetsuite::SearchStringField
#   addressLabel - ActiveNetsuite::SearchStringField
#   addressPhone - ActiveNetsuite::SearchStringField
#   attention - ActiveNetsuite::SearchStringField
#   balance - ActiveNetsuite::SearchDoubleField
#   billAddress - ActiveNetsuite::SearchStringField
#   category - ActiveNetsuite::SearchMultiSelectField
#   city - ActiveNetsuite::SearchStringField
#   comments - ActiveNetsuite::SearchStringField
#   contact - ActiveNetsuite::SearchStringField
#   country - ActiveNetsuite::SearchEnumMultiSelectField
#   county - ActiveNetsuite::SearchStringField
#   creditLimit - ActiveNetsuite::SearchDoubleField
#   currency - ActiveNetsuite::SearchMultiSelectField
#   currentExchangeRate - ActiveNetsuite::SearchDoubleField
#   dateCreated - ActiveNetsuite::SearchDateField
#   eligibleForCommission - ActiveNetsuite::SearchBooleanField
#   email - ActiveNetsuite::SearchStringField
#   emailPreference - ActiveNetsuite::SearchEnumMultiSelectField
#   emailTransactions - ActiveNetsuite::SearchBooleanField
#   entityId - ActiveNetsuite::SearchStringField
#   expenseAccount - ActiveNetsuite::SearchMultiSelectField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   fax - ActiveNetsuite::SearchStringField
#   faxTransactions - ActiveNetsuite::SearchBooleanField
#   firstName - ActiveNetsuite::SearchStringField
#   fxBalance - ActiveNetsuite::SearchDoubleField
#   fxUnbilledOrders - ActiveNetsuite::SearchDoubleField
#   giveAccess - ActiveNetsuite::SearchBooleanField
#   globalSubscriptionStatus - ActiveNetsuite::SearchEnumMultiSelectField
#   group - ActiveNetsuite::SearchMultiSelectField
#   hasDuplicates - ActiveNetsuite::SearchBooleanField
#   image - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   is1099Eligible - ActiveNetsuite::SearchBooleanField
#   isDefaultBilling - ActiveNetsuite::SearchBooleanField
#   isDefaultShipping - ActiveNetsuite::SearchBooleanField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   isJobResourceVend - ActiveNetsuite::SearchBooleanField
#   isPerson - ActiveNetsuite::SearchBooleanField
#   laborCost - ActiveNetsuite::SearchDoubleField
#   language - ActiveNetsuite::SearchEnumMultiSelectField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   lastName - ActiveNetsuite::SearchStringField
#   level - ActiveNetsuite::SearchEnumMultiSelectField
#   middleName - ActiveNetsuite::SearchStringField
#   otherRelationships - ActiveNetsuite::SearchEnumMultiSelectField
#   payablesAccount - ActiveNetsuite::SearchMultiSelectField
#   pec - ActiveNetsuite::SearchStringField
#   permission - ActiveNetsuite::SearchEnumMultiSelectField
#   phone - ActiveNetsuite::SearchStringField
#   phoneticName - ActiveNetsuite::SearchStringField
#   printTransactions - ActiveNetsuite::SearchBooleanField
#   salutation - ActiveNetsuite::SearchStringField
#   shipAddress - ActiveNetsuite::SearchStringField
#   state - ActiveNetsuite::SearchStringField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   taxIdNum - ActiveNetsuite::SearchStringField
#   title - ActiveNetsuite::SearchStringField
#   unbilledOrders - ActiveNetsuite::SearchDoubleField
#   url - ActiveNetsuite::SearchStringField
#   vatRegNumber - ActiveNetsuite::SearchStringField
#   workCalendar - ActiveNetsuite::SearchMultiSelectField
#   zipCode - ActiveNetsuite::SearchStringField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class VendorSearchBasic < SearchRecordBasic
  attr_accessor :accountNumber
  attr_accessor :address
  attr_accessor :addressee
  attr_accessor :addressLabel
  attr_accessor :addressPhone
  attr_accessor :attention
  attr_accessor :balance
  attr_accessor :billAddress
  attr_accessor :category
  attr_accessor :city
  attr_accessor :comments
  attr_accessor :contact
  attr_accessor :country
  attr_accessor :county
  attr_accessor :creditLimit
  attr_accessor :currency
  attr_accessor :currentExchangeRate
  attr_accessor :dateCreated
  attr_accessor :eligibleForCommission
  attr_accessor :email
  attr_accessor :emailPreference
  attr_accessor :emailTransactions
  attr_accessor :entityId
  attr_accessor :expenseAccount
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :fax
  attr_accessor :faxTransactions
  attr_accessor :firstName
  attr_accessor :fxBalance
  attr_accessor :fxUnbilledOrders
  attr_accessor :giveAccess
  attr_accessor :globalSubscriptionStatus
  attr_accessor :group
  attr_accessor :hasDuplicates
  attr_accessor :image
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :is1099Eligible
  attr_accessor :isDefaultBilling
  attr_accessor :isDefaultShipping
  attr_accessor :isInactive
  attr_accessor :isJobResourceVend
  attr_accessor :isPerson
  attr_accessor :laborCost
  attr_accessor :language
  attr_accessor :lastModifiedDate
  attr_accessor :lastName
  attr_accessor :level
  attr_accessor :middleName
  attr_accessor :otherRelationships
  attr_accessor :payablesAccount
  attr_accessor :pec
  attr_accessor :permission
  attr_accessor :phone
  attr_accessor :phoneticName
  attr_accessor :printTransactions
  attr_accessor :salutation
  attr_accessor :shipAddress
  attr_accessor :state
  attr_accessor :subsidiary
  attr_accessor :taxIdNum
  attr_accessor :title
  attr_accessor :unbilledOrders
  attr_accessor :url
  attr_accessor :vatRegNumber
  attr_accessor :workCalendar
  attr_accessor :zipCode
  attr_accessor :customFieldList

  def initialize(accountNumber = nil, address = nil, addressee = nil, addressLabel = nil, addressPhone = nil, attention = nil, balance = nil, billAddress = nil, category = nil, city = nil, comments = nil, contact = nil, country = nil, county = nil, creditLimit = nil, currency = nil, currentExchangeRate = nil, dateCreated = nil, eligibleForCommission = nil, email = nil, emailPreference = nil, emailTransactions = nil, entityId = nil, expenseAccount = nil, externalId = nil, externalIdString = nil, fax = nil, faxTransactions = nil, firstName = nil, fxBalance = nil, fxUnbilledOrders = nil, giveAccess = nil, globalSubscriptionStatus = nil, group = nil, hasDuplicates = nil, image = nil, internalId = nil, internalIdNumber = nil, is1099Eligible = nil, isDefaultBilling = nil, isDefaultShipping = nil, isInactive = nil, isJobResourceVend = nil, isPerson = nil, laborCost = nil, language = nil, lastModifiedDate = nil, lastName = nil, level = nil, middleName = nil, otherRelationships = nil, payablesAccount = nil, pec = nil, permission = nil, phone = nil, phoneticName = nil, printTransactions = nil, salutation = nil, shipAddress = nil, state = nil, subsidiary = nil, taxIdNum = nil, title = nil, unbilledOrders = nil, url = nil, vatRegNumber = nil, workCalendar = nil, zipCode = nil, customFieldList = nil)
    @accountNumber = accountNumber
    @address = address
    @addressee = addressee
    @addressLabel = addressLabel
    @addressPhone = addressPhone
    @attention = attention
    @balance = balance
    @billAddress = billAddress
    @category = category
    @city = city
    @comments = comments
    @contact = contact
    @country = country
    @county = county
    @creditLimit = creditLimit
    @currency = currency
    @currentExchangeRate = currentExchangeRate
    @dateCreated = dateCreated
    @eligibleForCommission = eligibleForCommission
    @email = email
    @emailPreference = emailPreference
    @emailTransactions = emailTransactions
    @entityId = entityId
    @expenseAccount = expenseAccount
    @externalId = externalId
    @externalIdString = externalIdString
    @fax = fax
    @faxTransactions = faxTransactions
    @firstName = firstName
    @fxBalance = fxBalance
    @fxUnbilledOrders = fxUnbilledOrders
    @giveAccess = giveAccess
    @globalSubscriptionStatus = globalSubscriptionStatus
    @group = group
    @hasDuplicates = hasDuplicates
    @image = image
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @is1099Eligible = is1099Eligible
    @isDefaultBilling = isDefaultBilling
    @isDefaultShipping = isDefaultShipping
    @isInactive = isInactive
    @isJobResourceVend = isJobResourceVend
    @isPerson = isPerson
    @laborCost = laborCost
    @language = language
    @lastModifiedDate = lastModifiedDate
    @lastName = lastName
    @level = level
    @middleName = middleName
    @otherRelationships = otherRelationships
    @payablesAccount = payablesAccount
    @pec = pec
    @permission = permission
    @phone = phone
    @phoneticName = phoneticName
    @printTransactions = printTransactions
    @salutation = salutation
    @shipAddress = shipAddress
    @state = state
    @subsidiary = subsidiary
    @taxIdNum = taxIdNum
    @title = title
    @unbilledOrders = unbilledOrders
    @url = url
    @vatRegNumber = vatRegNumber
    @workCalendar = workCalendar
    @zipCode = zipCode
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}SiteCategorySearchBasic
#   dateViewed - ActiveNetsuite::SearchDateField
#   description - ActiveNetsuite::SearchStringField
#   excludeFromSitemap - ActiveNetsuite::SearchBooleanField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   name - ActiveNetsuite::SearchMultiSelectField
#   sitemapPriority - ActiveNetsuite::SearchEnumMultiSelectField
class SiteCategorySearchBasic < SearchRecordBasic
  attr_accessor :dateViewed
  attr_accessor :description
  attr_accessor :excludeFromSitemap
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :name
  attr_accessor :sitemapPriority

  def initialize(dateViewed = nil, description = nil, excludeFromSitemap = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, name = nil, sitemapPriority = nil)
    @dateViewed = dateViewed
    @description = description
    @excludeFromSitemap = excludeFromSitemap
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @name = name
    @sitemapPriority = sitemapPriority
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}TimeBillSearchBasic
#   approved - ActiveNetsuite::SearchBooleanField
#   billable - ActiveNetsuite::SearchBooleanField
#   m_class - ActiveNetsuite::SearchMultiSelectField
#   customer - ActiveNetsuite::SearchMultiSelectField
#   date - ActiveNetsuite::SearchDateField
#   dateCreated - ActiveNetsuite::SearchDateField
#   department - ActiveNetsuite::SearchMultiSelectField
#   duration - ActiveNetsuite::SearchDoubleField
#   employee - ActiveNetsuite::SearchMultiSelectField
#   exempt - ActiveNetsuite::SearchBooleanField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   item - ActiveNetsuite::SearchMultiSelectField
#   lastModified - ActiveNetsuite::SearchDateField
#   location - ActiveNetsuite::SearchMultiSelectField
#   memo - ActiveNetsuite::SearchStringField
#   paidByPayroll - ActiveNetsuite::SearchBooleanField
#   paidExternally - ActiveNetsuite::SearchBooleanField
#   payItem - ActiveNetsuite::SearchMultiSelectField
#   productive - ActiveNetsuite::SearchBooleanField
#   status - ActiveNetsuite::SearchBooleanField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   temporaryLocalJurisdiction - ActiveNetsuite::SearchMultiSelectField
#   temporaryStateJurisdiction - ActiveNetsuite::SearchMultiSelectField
#   type - ActiveNetsuite::SearchEnumMultiSelectField
#   utilized - ActiveNetsuite::SearchBooleanField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class TimeBillSearchBasic < SearchRecordBasic
  attr_accessor :approved
  attr_accessor :billable
  attr_accessor :customer
  attr_accessor :date
  attr_accessor :dateCreated
  attr_accessor :department
  attr_accessor :duration
  attr_accessor :employee
  attr_accessor :exempt
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :item
  attr_accessor :lastModified
  attr_accessor :location
  attr_accessor :memo
  attr_accessor :paidByPayroll
  attr_accessor :paidExternally
  attr_accessor :payItem
  attr_accessor :productive
  attr_accessor :status
  attr_accessor :subsidiary
  attr_accessor :temporaryLocalJurisdiction
  attr_accessor :temporaryStateJurisdiction
  attr_accessor :type
  attr_accessor :utilized
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(approved = nil, billable = nil, v_class = nil, customer = nil, date = nil, dateCreated = nil, department = nil, duration = nil, employee = nil, exempt = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, item = nil, lastModified = nil, location = nil, memo = nil, paidByPayroll = nil, paidExternally = nil, payItem = nil, productive = nil, status = nil, subsidiary = nil, temporaryLocalJurisdiction = nil, temporaryStateJurisdiction = nil, type = nil, utilized = nil, customFieldList = nil)
    @approved = approved
    @billable = billable
    @v_class = v_class
    @customer = customer
    @date = date
    @dateCreated = dateCreated
    @department = department
    @duration = duration
    @employee = employee
    @exempt = exempt
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @item = item
    @lastModified = lastModified
    @location = location
    @memo = memo
    @paidByPayroll = paidByPayroll
    @paidExternally = paidExternally
    @payItem = payItem
    @productive = productive
    @status = status
    @subsidiary = subsidiary
    @temporaryLocalJurisdiction = temporaryLocalJurisdiction
    @temporaryStateJurisdiction = temporaryStateJurisdiction
    @type = type
    @utilized = utilized
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}SolutionSearchBasic
#   abstract - ActiveNetsuite::SearchStringField
#   assigned - ActiveNetsuite::SearchMultiSelectField
#   caseCount - ActiveNetsuite::SearchLongField
#   code - ActiveNetsuite::SearchStringField
#   createdDate - ActiveNetsuite::SearchDateField
#   description - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   find - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   isOnline - ActiveNetsuite::SearchBooleanField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   number - ActiveNetsuite::SearchLongField
#   status - ActiveNetsuite::SearchEnumMultiSelectField
#   title - ActiveNetsuite::SearchStringField
#   topic - ActiveNetsuite::SearchMultiSelectField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class SolutionSearchBasic < SearchRecordBasic
  attr_accessor :abstract
  attr_accessor :assigned
  attr_accessor :caseCount
  attr_accessor :code
  attr_accessor :createdDate
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :find
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :isOnline
  attr_accessor :lastModifiedDate
  attr_accessor :number
  attr_accessor :status
  attr_accessor :title
  attr_accessor :topic
  attr_accessor :customFieldList

  def initialize(abstract = nil, assigned = nil, caseCount = nil, code = nil, createdDate = nil, description = nil, externalId = nil, externalIdString = nil, find = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, isOnline = nil, lastModifiedDate = nil, number = nil, status = nil, title = nil, topic = nil, customFieldList = nil)
    @abstract = abstract
    @assigned = assigned
    @caseCount = caseCount
    @code = code
    @createdDate = createdDate
    @description = description
    @externalId = externalId
    @externalIdString = externalIdString
    @find = find
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @isOnline = isOnline
    @lastModifiedDate = lastModifiedDate
    @number = number
    @status = status
    @title = title
    @topic = topic
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}TopicSearchBasic
#   description - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
class TopicSearchBasic < SearchRecordBasic
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :name

  def initialize(description = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, name = nil)
    @description = description
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}SubsidiarySearchBasic
#   address - ActiveNetsuite::SearchStringField
#   city - ActiveNetsuite::SearchStringField
#   country - ActiveNetsuite::SearchEnumMultiSelectField
#   currency - ActiveNetsuite::SearchMultiSelectField
#   email - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   fax - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isElimination - ActiveNetsuite::SearchBooleanField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   legalName - ActiveNetsuite::SearchStringField
#   name - ActiveNetsuite::SearchStringField
#   nameNoHierarchy - ActiveNetsuite::SearchStringField
#   phone - ActiveNetsuite::SearchStringField
#   state - ActiveNetsuite::SearchStringField
#   taxIdNum - ActiveNetsuite::SearchStringField
#   tranPrefix - ActiveNetsuite::SearchStringField
#   url - ActiveNetsuite::SearchStringField
#   zip - ActiveNetsuite::SearchStringField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class SubsidiarySearchBasic < SearchRecordBasic
  attr_accessor :address
  attr_accessor :city
  attr_accessor :country
  attr_accessor :currency
  attr_accessor :email
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :fax
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isElimination
  attr_accessor :isInactive
  attr_accessor :legalName
  attr_accessor :name
  attr_accessor :nameNoHierarchy
  attr_accessor :phone
  attr_accessor :state
  attr_accessor :taxIdNum
  attr_accessor :tranPrefix
  attr_accessor :url
  attr_accessor :zip
  attr_accessor :customFieldList

  def initialize(address = nil, city = nil, country = nil, currency = nil, email = nil, externalId = nil, externalIdString = nil, fax = nil, internalId = nil, internalIdNumber = nil, isElimination = nil, isInactive = nil, legalName = nil, name = nil, nameNoHierarchy = nil, phone = nil, state = nil, taxIdNum = nil, tranPrefix = nil, url = nil, zip = nil, customFieldList = nil)
    @address = address
    @city = city
    @country = country
    @currency = currency
    @email = email
    @externalId = externalId
    @externalIdString = externalIdString
    @fax = fax
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isElimination = isElimination
    @isInactive = isInactive
    @legalName = legalName
    @name = name
    @nameNoHierarchy = nameNoHierarchy
    @phone = phone
    @state = state
    @taxIdNum = taxIdNum
    @tranPrefix = tranPrefix
    @url = url
    @zip = zip
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}GiftCertificateSearchBasic
#   amountAvailableBilled - ActiveNetsuite::SearchDoubleField
#   amountRemaining - ActiveNetsuite::SearchDoubleField
#   createdDate - ActiveNetsuite::SearchDateField
#   email - ActiveNetsuite::SearchStringField
#   expirationDate - ActiveNetsuite::SearchDateField
#   giftCertCode - ActiveNetsuite::SearchStringField
#   incomeAccount - ActiveNetsuite::SearchMultiSelectField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isActive - ActiveNetsuite::SearchBooleanField
#   item - ActiveNetsuite::SearchMultiSelectField
#   liabilityAccount - ActiveNetsuite::SearchMultiSelectField
#   message - ActiveNetsuite::SearchStringField
#   name - ActiveNetsuite::SearchStringField
#   originalAmount - ActiveNetsuite::SearchDoubleField
#   purchaseDate - ActiveNetsuite::SearchDateField
#   sender - ActiveNetsuite::SearchStringField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class GiftCertificateSearchBasic < SearchRecordBasic
  attr_accessor :amountAvailableBilled
  attr_accessor :amountRemaining
  attr_accessor :createdDate
  attr_accessor :email
  attr_accessor :expirationDate
  attr_accessor :giftCertCode
  attr_accessor :incomeAccount
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isActive
  attr_accessor :item
  attr_accessor :liabilityAccount
  attr_accessor :message
  attr_accessor :name
  attr_accessor :originalAmount
  attr_accessor :purchaseDate
  attr_accessor :sender
  attr_accessor :customFieldList

  def initialize(amountAvailableBilled = nil, amountRemaining = nil, createdDate = nil, email = nil, expirationDate = nil, giftCertCode = nil, incomeAccount = nil, internalId = nil, internalIdNumber = nil, isActive = nil, item = nil, liabilityAccount = nil, message = nil, name = nil, originalAmount = nil, purchaseDate = nil, sender = nil, customFieldList = nil)
    @amountAvailableBilled = amountAvailableBilled
    @amountRemaining = amountRemaining
    @createdDate = createdDate
    @email = email
    @expirationDate = expirationDate
    @giftCertCode = giftCertCode
    @incomeAccount = incomeAccount
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isActive = isActive
    @item = item
    @liabilityAccount = liabilityAccount
    @message = message
    @name = name
    @originalAmount = originalAmount
    @purchaseDate = purchaseDate
    @sender = sender
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}FolderSearchBasic
#   m_class - ActiveNetsuite::SearchMultiSelectField
#   department - ActiveNetsuite::SearchMultiSelectField
#   description - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   group - ActiveNetsuite::SearchMultiSelectField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   isTopLevel - ActiveNetsuite::SearchBooleanField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   location - ActiveNetsuite::SearchMultiSelectField
#   name - ActiveNetsuite::SearchStringField
#   numFiles - ActiveNetsuite::SearchLongField
#   owner - ActiveNetsuite::SearchMultiSelectField
#   parent - ActiveNetsuite::SearchMultiSelectField
#   predecessor - ActiveNetsuite::SearchMultiSelectField
#   private - ActiveNetsuite::SearchBooleanField
#   size - ActiveNetsuite::SearchLongField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
class FolderSearchBasic < SearchRecordBasic
  attr_accessor :department
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :group
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :isTopLevel
  attr_accessor :lastModifiedDate
  attr_accessor :location
  attr_accessor :name
  attr_accessor :numFiles
  attr_accessor :owner
  attr_accessor :parent
  attr_accessor :predecessor
  attr_accessor :private
  attr_accessor :size
  attr_accessor :subsidiary

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(v_class = nil, department = nil, description = nil, externalId = nil, externalIdString = nil, group = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, isTopLevel = nil, lastModifiedDate = nil, location = nil, name = nil, numFiles = nil, owner = nil, parent = nil, predecessor = nil, private = nil, size = nil, subsidiary = nil)
    @v_class = v_class
    @department = department
    @description = description
    @externalId = externalId
    @externalIdString = externalIdString
    @group = group
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @isTopLevel = isTopLevel
    @lastModifiedDate = lastModifiedDate
    @location = location
    @name = name
    @numFiles = numFiles
    @owner = owner
    @parent = parent
    @predecessor = predecessor
    @private = private
    @size = size
    @subsidiary = subsidiary
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}FileSearchBasic
#   availableWithoutLogin - ActiveNetsuite::SearchBooleanField
#   created - ActiveNetsuite::SearchDateField
#   dateViewed - ActiveNetsuite::SearchDateField
#   description - ActiveNetsuite::SearchStringField
#   documentSize - ActiveNetsuite::SearchLongField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   fileType - ActiveNetsuite::SearchEnumMultiSelectField
#   folder - ActiveNetsuite::SearchMultiSelectField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isAvailable - ActiveNetsuite::SearchBooleanField
#   isLink - ActiveNetsuite::SearchBooleanField
#   modified - ActiveNetsuite::SearchDateField
#   name - ActiveNetsuite::SearchStringField
#   owner - ActiveNetsuite::SearchMultiSelectField
#   url - ActiveNetsuite::SearchStringField
class FileSearchBasic < SearchRecordBasic
  attr_accessor :availableWithoutLogin
  attr_accessor :created
  attr_accessor :dateViewed
  attr_accessor :description
  attr_accessor :documentSize
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :fileType
  attr_accessor :folder
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isAvailable
  attr_accessor :isLink
  attr_accessor :modified
  attr_accessor :name
  attr_accessor :owner
  attr_accessor :url

  def initialize(availableWithoutLogin = nil, created = nil, dateViewed = nil, description = nil, documentSize = nil, externalId = nil, externalIdString = nil, fileType = nil, folder = nil, internalId = nil, internalIdNumber = nil, isAvailable = nil, isLink = nil, modified = nil, name = nil, owner = nil, url = nil)
    @availableWithoutLogin = availableWithoutLogin
    @created = created
    @dateViewed = dateViewed
    @description = description
    @documentSize = documentSize
    @externalId = externalId
    @externalIdString = externalIdString
    @fileType = fileType
    @folder = folder
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isAvailable = isAvailable
    @isLink = isLink
    @modified = modified
    @name = name
    @owner = owner
    @url = url
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}JobSearchBasic
#   accountNumber - ActiveNetsuite::SearchStringField
#   actualTime - ActiveNetsuite::SearchDoubleField
#   address - ActiveNetsuite::SearchStringField
#   addressee - ActiveNetsuite::SearchStringField
#   addressLabel - ActiveNetsuite::SearchStringField
#   addressPhone - ActiveNetsuite::SearchStringField
#   allocatePayrollExpenses - ActiveNetsuite::SearchBooleanField
#   allowAllResourcesForTasks - ActiveNetsuite::SearchBooleanField
#   allowExpenses - ActiveNetsuite::SearchBooleanField
#   allowTime - ActiveNetsuite::SearchBooleanField
#   applyProjectExpenseTypeToAll - ActiveNetsuite::SearchBooleanField
#   attention - ActiveNetsuite::SearchStringField
#   billingSchedule - ActiveNetsuite::SearchMultiSelectField
#   calculatedEndDate - ActiveNetsuite::SearchDateField
#   calculatedEndDateBaseline - ActiveNetsuite::SearchDateField
#   category - ActiveNetsuite::SearchMultiSelectField
#   city - ActiveNetsuite::SearchStringField
#   comments - ActiveNetsuite::SearchStringField
#   contact - ActiveNetsuite::SearchStringField
#   country - ActiveNetsuite::SearchEnumMultiSelectField
#   county - ActiveNetsuite::SearchStringField
#   customer - ActiveNetsuite::SearchMultiSelectField
#   dateCreated - ActiveNetsuite::SearchDateField
#   email - ActiveNetsuite::SearchStringField
#   endDate - ActiveNetsuite::SearchDateField
#   entityId - ActiveNetsuite::SearchStringField
#   estCost - ActiveNetsuite::SearchDoubleField
#   estEndDate - ActiveNetsuite::SearchDateField
#   estimatedGrossProfit - ActiveNetsuite::SearchDoubleField
#   estimatedGrossProfitPercent - ActiveNetsuite::SearchDoubleField
#   estimatedLaborCost - ActiveNetsuite::SearchDoubleField
#   estimatedLaborCostBaseline - ActiveNetsuite::SearchDoubleField
#   estimatedLaborRevenue - ActiveNetsuite::SearchDoubleField
#   estimatedTime - ActiveNetsuite::SearchDoubleField
#   estimatedTimeOverride - ActiveNetsuite::SearchDoubleField
#   estimatedTimeOverrideBaseline - ActiveNetsuite::SearchDoubleField
#   estRevenue - ActiveNetsuite::SearchDoubleField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   fax - ActiveNetsuite::SearchStringField
#   giveAccess - ActiveNetsuite::SearchBooleanField
#   globalSubscriptionStatus - ActiveNetsuite::SearchEnumMultiSelectField
#   image - ActiveNetsuite::SearchStringField
#   includeCrmTasksInTotals - ActiveNetsuite::SearchBooleanField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isDefaultBilling - ActiveNetsuite::SearchBooleanField
#   isDefaultShipping - ActiveNetsuite::SearchBooleanField
#   isExemptTime - ActiveNetsuite::SearchBooleanField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   isProductiveTime - ActiveNetsuite::SearchBooleanField
#   isUtilizedTime - ActiveNetsuite::SearchBooleanField
#   jobBillingType - ActiveNetsuite::SearchEnumMultiSelectField
#   jobItem - ActiveNetsuite::SearchMultiSelectField
#   jobPrice - ActiveNetsuite::SearchDoubleField
#   jobResource - ActiveNetsuite::SearchMultiSelectField
#   jobResourceRole - ActiveNetsuite::SearchMultiSelectField
#   language - ActiveNetsuite::SearchEnumMultiSelectField
#   lastBaselineDate - ActiveNetsuite::SearchDateField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   level - ActiveNetsuite::SearchEnumMultiSelectField
#   limitTimeToAssignees - ActiveNetsuite::SearchBooleanField
#   materializeTime - ActiveNetsuite::SearchBooleanField
#   parent - ActiveNetsuite::SearchMultiSelectField
#   pctComplete - ActiveNetsuite::SearchLongField
#   percentTimeComplete - ActiveNetsuite::SearchLongField
#   permission - ActiveNetsuite::SearchEnumMultiSelectField
#   phone - ActiveNetsuite::SearchStringField
#   phoneticName - ActiveNetsuite::SearchStringField
#   projectedEndDateBaseline - ActiveNetsuite::SearchDateField
#   projectExpenseType - ActiveNetsuite::SearchMultiSelectField
#   startDate - ActiveNetsuite::SearchDateField
#   startDateBaseline - ActiveNetsuite::SearchDateField
#   state - ActiveNetsuite::SearchStringField
#   status - ActiveNetsuite::SearchMultiSelectField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   timeRemaining - ActiveNetsuite::SearchDoubleField
#   type - ActiveNetsuite::SearchMultiSelectField
#   zipCode - ActiveNetsuite::SearchStringField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class JobSearchBasic < SearchRecordBasic
  attr_accessor :accountNumber
  attr_accessor :actualTime
  attr_accessor :address
  attr_accessor :addressee
  attr_accessor :addressLabel
  attr_accessor :addressPhone
  attr_accessor :allocatePayrollExpenses
  attr_accessor :allowAllResourcesForTasks
  attr_accessor :allowExpenses
  attr_accessor :allowTime
  attr_accessor :applyProjectExpenseTypeToAll
  attr_accessor :attention
  attr_accessor :billingSchedule
  attr_accessor :calculatedEndDate
  attr_accessor :calculatedEndDateBaseline
  attr_accessor :category
  attr_accessor :city
  attr_accessor :comments
  attr_accessor :contact
  attr_accessor :country
  attr_accessor :county
  attr_accessor :customer
  attr_accessor :dateCreated
  attr_accessor :email
  attr_accessor :endDate
  attr_accessor :entityId
  attr_accessor :estCost
  attr_accessor :estEndDate
  attr_accessor :estimatedGrossProfit
  attr_accessor :estimatedGrossProfitPercent
  attr_accessor :estimatedLaborCost
  attr_accessor :estimatedLaborCostBaseline
  attr_accessor :estimatedLaborRevenue
  attr_accessor :estimatedTime
  attr_accessor :estimatedTimeOverride
  attr_accessor :estimatedTimeOverrideBaseline
  attr_accessor :estRevenue
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :fax
  attr_accessor :giveAccess
  attr_accessor :globalSubscriptionStatus
  attr_accessor :image
  attr_accessor :includeCrmTasksInTotals
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isDefaultBilling
  attr_accessor :isDefaultShipping
  attr_accessor :isExemptTime
  attr_accessor :isInactive
  attr_accessor :isProductiveTime
  attr_accessor :isUtilizedTime
  attr_accessor :jobBillingType
  attr_accessor :jobItem
  attr_accessor :jobPrice
  attr_accessor :jobResource
  attr_accessor :jobResourceRole
  attr_accessor :language
  attr_accessor :lastBaselineDate
  attr_accessor :lastModifiedDate
  attr_accessor :level
  attr_accessor :limitTimeToAssignees
  attr_accessor :materializeTime
  attr_accessor :parent
  attr_accessor :pctComplete
  attr_accessor :percentTimeComplete
  attr_accessor :permission
  attr_accessor :phone
  attr_accessor :phoneticName
  attr_accessor :projectedEndDateBaseline
  attr_accessor :projectExpenseType
  attr_accessor :startDate
  attr_accessor :startDateBaseline
  attr_accessor :state
  attr_accessor :status
  attr_accessor :subsidiary
  attr_accessor :timeRemaining
  attr_accessor :type
  attr_accessor :zipCode
  attr_accessor :customFieldList

  def initialize(accountNumber = nil, actualTime = nil, address = nil, addressee = nil, addressLabel = nil, addressPhone = nil, allocatePayrollExpenses = nil, allowAllResourcesForTasks = nil, allowExpenses = nil, allowTime = nil, applyProjectExpenseTypeToAll = nil, attention = nil, billingSchedule = nil, calculatedEndDate = nil, calculatedEndDateBaseline = nil, category = nil, city = nil, comments = nil, contact = nil, country = nil, county = nil, customer = nil, dateCreated = nil, email = nil, endDate = nil, entityId = nil, estCost = nil, estEndDate = nil, estimatedGrossProfit = nil, estimatedGrossProfitPercent = nil, estimatedLaborCost = nil, estimatedLaborCostBaseline = nil, estimatedLaborRevenue = nil, estimatedTime = nil, estimatedTimeOverride = nil, estimatedTimeOverrideBaseline = nil, estRevenue = nil, externalId = nil, externalIdString = nil, fax = nil, giveAccess = nil, globalSubscriptionStatus = nil, image = nil, includeCrmTasksInTotals = nil, internalId = nil, internalIdNumber = nil, isDefaultBilling = nil, isDefaultShipping = nil, isExemptTime = nil, isInactive = nil, isProductiveTime = nil, isUtilizedTime = nil, jobBillingType = nil, jobItem = nil, jobPrice = nil, jobResource = nil, jobResourceRole = nil, language = nil, lastBaselineDate = nil, lastModifiedDate = nil, level = nil, limitTimeToAssignees = nil, materializeTime = nil, parent = nil, pctComplete = nil, percentTimeComplete = nil, permission = nil, phone = nil, phoneticName = nil, projectedEndDateBaseline = nil, projectExpenseType = nil, startDate = nil, startDateBaseline = nil, state = nil, status = nil, subsidiary = nil, timeRemaining = nil, type = nil, zipCode = nil, customFieldList = nil)
    @accountNumber = accountNumber
    @actualTime = actualTime
    @address = address
    @addressee = addressee
    @addressLabel = addressLabel
    @addressPhone = addressPhone
    @allocatePayrollExpenses = allocatePayrollExpenses
    @allowAllResourcesForTasks = allowAllResourcesForTasks
    @allowExpenses = allowExpenses
    @allowTime = allowTime
    @applyProjectExpenseTypeToAll = applyProjectExpenseTypeToAll
    @attention = attention
    @billingSchedule = billingSchedule
    @calculatedEndDate = calculatedEndDate
    @calculatedEndDateBaseline = calculatedEndDateBaseline
    @category = category
    @city = city
    @comments = comments
    @contact = contact
    @country = country
    @county = county
    @customer = customer
    @dateCreated = dateCreated
    @email = email
    @endDate = endDate
    @entityId = entityId
    @estCost = estCost
    @estEndDate = estEndDate
    @estimatedGrossProfit = estimatedGrossProfit
    @estimatedGrossProfitPercent = estimatedGrossProfitPercent
    @estimatedLaborCost = estimatedLaborCost
    @estimatedLaborCostBaseline = estimatedLaborCostBaseline
    @estimatedLaborRevenue = estimatedLaborRevenue
    @estimatedTime = estimatedTime
    @estimatedTimeOverride = estimatedTimeOverride
    @estimatedTimeOverrideBaseline = estimatedTimeOverrideBaseline
    @estRevenue = estRevenue
    @externalId = externalId
    @externalIdString = externalIdString
    @fax = fax
    @giveAccess = giveAccess
    @globalSubscriptionStatus = globalSubscriptionStatus
    @image = image
    @includeCrmTasksInTotals = includeCrmTasksInTotals
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isDefaultBilling = isDefaultBilling
    @isDefaultShipping = isDefaultShipping
    @isExemptTime = isExemptTime
    @isInactive = isInactive
    @isProductiveTime = isProductiveTime
    @isUtilizedTime = isUtilizedTime
    @jobBillingType = jobBillingType
    @jobItem = jobItem
    @jobPrice = jobPrice
    @jobResource = jobResource
    @jobResourceRole = jobResourceRole
    @language = language
    @lastBaselineDate = lastBaselineDate
    @lastModifiedDate = lastModifiedDate
    @level = level
    @limitTimeToAssignees = limitTimeToAssignees
    @materializeTime = materializeTime
    @parent = parent
    @pctComplete = pctComplete
    @percentTimeComplete = percentTimeComplete
    @permission = permission
    @phone = phone
    @phoneticName = phoneticName
    @projectedEndDateBaseline = projectedEndDateBaseline
    @projectExpenseType = projectExpenseType
    @startDate = startDate
    @startDateBaseline = startDateBaseline
    @state = state
    @status = status
    @subsidiary = subsidiary
    @timeRemaining = timeRemaining
    @type = type
    @zipCode = zipCode
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}IssueSearchBasic
#   ageInMonths - ActiveNetsuite::SearchLongField
#   assigned - ActiveNetsuite::SearchMultiSelectField
#   buildBroken - ActiveNetsuite::SearchMultiSelectField
#   buildBrokenName - ActiveNetsuite::SearchStringField
#   buildFixed - ActiveNetsuite::SearchMultiSelectField
#   buildFixedName - ActiveNetsuite::SearchStringField
#   buildTarget - ActiveNetsuite::SearchMultiSelectField
#   buildTargetName - ActiveNetsuite::SearchStringField
#   caseCount - ActiveNetsuite::SearchLongField
#   caseNumber - ActiveNetsuite::SearchStringField
#   closedDate - ActiveNetsuite::SearchDateField
#   createdDate - ActiveNetsuite::SearchDateField
#   dateReleased - ActiveNetsuite::SearchDateField
#   details - ActiveNetsuite::SearchStringField
#   duplicateOf - ActiveNetsuite::SearchMultiSelectField
#   eFix - ActiveNetsuite::SearchBooleanField
#   employeeOrTeam - ActiveNetsuite::SearchMultiSelectField
#   eventStatus - ActiveNetsuite::SearchEnumMultiSelectField
#   externalAbstract - ActiveNetsuite::SearchStringField
#   externalDetails - ActiveNetsuite::SearchStringField
#   externalFixedIn - ActiveNetsuite::SearchMultiSelectField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   externalStatus - ActiveNetsuite::SearchMultiSelectField
#   fixed - ActiveNetsuite::SearchDateField
#   fixedBy - ActiveNetsuite::SearchMultiSelectField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isOwner - ActiveNetsuite::SearchBooleanField
#   isReviewed - ActiveNetsuite::SearchBooleanField
#   isShowStopper - ActiveNetsuite::SearchBooleanField
#   issueAbstract - ActiveNetsuite::SearchStringField
#   issueNumber - ActiveNetsuite::SearchStringField
#   item - ActiveNetsuite::SearchMultiSelectField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   m_module - ActiveNetsuite::SearchMultiSelectField
#   number - ActiveNetsuite::SearchLongField
#   originalFixedIn - ActiveNetsuite::SearchStringField
#   priority - ActiveNetsuite::SearchMultiSelectField
#   product - ActiveNetsuite::SearchMultiSelectField
#   productTeam - ActiveNetsuite::SearchMultiSelectField
#   relatedIssue - ActiveNetsuite::SearchMultiSelectField
#   relationship - ActiveNetsuite::SearchEnumMultiSelectField
#   relationshipComment - ActiveNetsuite::SearchStringField
#   reportedBy - ActiveNetsuite::SearchMultiSelectField
#   reproduce - ActiveNetsuite::SearchMultiSelectField
#   resolved - ActiveNetsuite::SearchDateField
#   resolvedBy - ActiveNetsuite::SearchMultiSelectField
#   reviewer - ActiveNetsuite::SearchMultiSelectField
#   severity - ActiveNetsuite::SearchMultiSelectField
#   source - ActiveNetsuite::SearchEnumMultiSelectField
#   status - ActiveNetsuite::SearchMultiSelectField
#   tags - ActiveNetsuite::SearchMultiSelectField
#   tracking - ActiveNetsuite::SearchBooleanField
#   type - ActiveNetsuite::SearchMultiSelectField
#   userType - ActiveNetsuite::SearchMultiSelectField
#   versionBroken - ActiveNetsuite::SearchMultiSelectField
#   versionFixed - ActiveNetsuite::SearchMultiSelectField
#   versionTarget - ActiveNetsuite::SearchMultiSelectField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class IssueSearchBasic < SearchRecordBasic
  attr_accessor :ageInMonths
  attr_accessor :assigned
  attr_accessor :buildBroken
  attr_accessor :buildBrokenName
  attr_accessor :buildFixed
  attr_accessor :buildFixedName
  attr_accessor :buildTarget
  attr_accessor :buildTargetName
  attr_accessor :caseCount
  attr_accessor :caseNumber
  attr_accessor :closedDate
  attr_accessor :createdDate
  attr_accessor :dateReleased
  attr_accessor :details
  attr_accessor :duplicateOf
  attr_accessor :eFix
  attr_accessor :employeeOrTeam
  attr_accessor :eventStatus
  attr_accessor :externalAbstract
  attr_accessor :externalDetails
  attr_accessor :externalFixedIn
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :externalStatus
  attr_accessor :fixed
  attr_accessor :fixedBy
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isOwner
  attr_accessor :isReviewed
  attr_accessor :isShowStopper
  attr_accessor :issueAbstract
  attr_accessor :issueNumber
  attr_accessor :item
  attr_accessor :lastModifiedDate
  attr_accessor :number
  attr_accessor :originalFixedIn
  attr_accessor :priority
  attr_accessor :product
  attr_accessor :productTeam
  attr_accessor :relatedIssue
  attr_accessor :relationship
  attr_accessor :relationshipComment
  attr_accessor :reportedBy
  attr_accessor :reproduce
  attr_accessor :resolved
  attr_accessor :resolvedBy
  attr_accessor :reviewer
  attr_accessor :severity
  attr_accessor :source
  attr_accessor :status
  attr_accessor :tags
  attr_accessor :tracking
  attr_accessor :type
  attr_accessor :userType
  attr_accessor :versionBroken
  attr_accessor :versionFixed
  attr_accessor :versionTarget
  attr_accessor :customFieldList

  def m_module
    @v_module
  end

  def m_module=(value)
    @v_module = value
  end

  def initialize(ageInMonths = nil, assigned = nil, buildBroken = nil, buildBrokenName = nil, buildFixed = nil, buildFixedName = nil, buildTarget = nil, buildTargetName = nil, caseCount = nil, caseNumber = nil, closedDate = nil, createdDate = nil, dateReleased = nil, details = nil, duplicateOf = nil, eFix = nil, employeeOrTeam = nil, eventStatus = nil, externalAbstract = nil, externalDetails = nil, externalFixedIn = nil, externalId = nil, externalIdString = nil, externalStatus = nil, fixed = nil, fixedBy = nil, internalId = nil, internalIdNumber = nil, isOwner = nil, isReviewed = nil, isShowStopper = nil, issueAbstract = nil, issueNumber = nil, item = nil, lastModifiedDate = nil, v_module = nil, number = nil, originalFixedIn = nil, priority = nil, product = nil, productTeam = nil, relatedIssue = nil, relationship = nil, relationshipComment = nil, reportedBy = nil, reproduce = nil, resolved = nil, resolvedBy = nil, reviewer = nil, severity = nil, source = nil, status = nil, tags = nil, tracking = nil, type = nil, userType = nil, versionBroken = nil, versionFixed = nil, versionTarget = nil, customFieldList = nil)
    @ageInMonths = ageInMonths
    @assigned = assigned
    @buildBroken = buildBroken
    @buildBrokenName = buildBrokenName
    @buildFixed = buildFixed
    @buildFixedName = buildFixedName
    @buildTarget = buildTarget
    @buildTargetName = buildTargetName
    @caseCount = caseCount
    @caseNumber = caseNumber
    @closedDate = closedDate
    @createdDate = createdDate
    @dateReleased = dateReleased
    @details = details
    @duplicateOf = duplicateOf
    @eFix = eFix
    @employeeOrTeam = employeeOrTeam
    @eventStatus = eventStatus
    @externalAbstract = externalAbstract
    @externalDetails = externalDetails
    @externalFixedIn = externalFixedIn
    @externalId = externalId
    @externalIdString = externalIdString
    @externalStatus = externalStatus
    @fixed = fixed
    @fixedBy = fixedBy
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isOwner = isOwner
    @isReviewed = isReviewed
    @isShowStopper = isShowStopper
    @issueAbstract = issueAbstract
    @issueNumber = issueNumber
    @item = item
    @lastModifiedDate = lastModifiedDate
    @v_module = v_module
    @number = number
    @originalFixedIn = originalFixedIn
    @priority = priority
    @product = product
    @productTeam = productTeam
    @relatedIssue = relatedIssue
    @relationship = relationship
    @relationshipComment = relationshipComment
    @reportedBy = reportedBy
    @reproduce = reproduce
    @resolved = resolved
    @resolvedBy = resolvedBy
    @reviewer = reviewer
    @severity = severity
    @source = source
    @status = status
    @tags = tags
    @tracking = tracking
    @type = type
    @userType = userType
    @versionBroken = versionBroken
    @versionFixed = versionFixed
    @versionTarget = versionTarget
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}GroupMemberSearchBasic
#   groupId - ActiveNetsuite::SearchMultiSelectField
class GroupMemberSearchBasic < SearchRecordBasic
  attr_accessor :groupId

  def initialize(groupId = nil)
    @groupId = groupId
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CampaignSearchBasic
#   audience - ActiveNetsuite::SearchMultiSelectField
#   baseCost - ActiveNetsuite::SearchDoubleField
#   campaignEventType - ActiveNetsuite::SearchEnumMultiSelectField
#   campaignId - ActiveNetsuite::SearchStringField
#   category - ActiveNetsuite::SearchMultiSelectField
#   channel - ActiveNetsuite::SearchMultiSelectField
#   cost - ActiveNetsuite::SearchDoubleField
#   createdDate - ActiveNetsuite::SearchDateField
#   endDate - ActiveNetsuite::SearchDateField
#   event - ActiveNetsuite::SearchStringField
#   expectedRevenue - ActiveNetsuite::SearchDoubleField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   family - ActiveNetsuite::SearchMultiSelectField
#   group - ActiveNetsuite::SearchMultiSelectField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   isSalesCampaign - ActiveNetsuite::SearchBooleanField
#   item - ActiveNetsuite::SearchMultiSelectField
#   keyword - ActiveNetsuite::SearchStringField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   manager - ActiveNetsuite::SearchMultiSelectField
#   managerRole - ActiveNetsuite::SearchMultiSelectField
#   number - ActiveNetsuite::SearchLongField
#   offer - ActiveNetsuite::SearchMultiSelectField
#   promoCode - ActiveNetsuite::SearchMultiSelectField
#   recipient - ActiveNetsuite::SearchMultiSelectField
#   response - ActiveNetsuite::SearchEnumMultiSelectField
#   responseCategory - ActiveNetsuite::SearchEnumMultiSelectField
#   responseCode - ActiveNetsuite::SearchLongField
#   responseComments - ActiveNetsuite::SearchStringField
#   responseDate - ActiveNetsuite::SearchDateField
#   scheduleDate - ActiveNetsuite::SearchDateField
#   searchEngine - ActiveNetsuite::SearchMultiSelectField
#   startDate - ActiveNetsuite::SearchDateField
#   status - ActiveNetsuite::SearchEnumMultiSelectField
#   subscription - ActiveNetsuite::SearchMultiSelectField
#   template - ActiveNetsuite::SearchMultiSelectField
#   title - ActiveNetsuite::SearchStringField
#   vertical - ActiveNetsuite::SearchMultiSelectField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class CampaignSearchBasic < SearchRecordBasic
  attr_accessor :audience
  attr_accessor :baseCost
  attr_accessor :campaignEventType
  attr_accessor :campaignId
  attr_accessor :category
  attr_accessor :channel
  attr_accessor :cost
  attr_accessor :createdDate
  attr_accessor :endDate
  attr_accessor :event
  attr_accessor :expectedRevenue
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :family
  attr_accessor :group
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :isSalesCampaign
  attr_accessor :item
  attr_accessor :keyword
  attr_accessor :lastModifiedDate
  attr_accessor :manager
  attr_accessor :managerRole
  attr_accessor :number
  attr_accessor :offer
  attr_accessor :promoCode
  attr_accessor :recipient
  attr_accessor :response
  attr_accessor :responseCategory
  attr_accessor :responseCode
  attr_accessor :responseComments
  attr_accessor :responseDate
  attr_accessor :scheduleDate
  attr_accessor :searchEngine
  attr_accessor :startDate
  attr_accessor :status
  attr_accessor :subscription
  attr_accessor :template
  attr_accessor :title
  attr_accessor :vertical
  attr_accessor :customFieldList

  def initialize(audience = nil, baseCost = nil, campaignEventType = nil, campaignId = nil, category = nil, channel = nil, cost = nil, createdDate = nil, endDate = nil, event = nil, expectedRevenue = nil, externalId = nil, externalIdString = nil, family = nil, group = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, isSalesCampaign = nil, item = nil, keyword = nil, lastModifiedDate = nil, manager = nil, managerRole = nil, number = nil, offer = nil, promoCode = nil, recipient = nil, response = nil, responseCategory = nil, responseCode = nil, responseComments = nil, responseDate = nil, scheduleDate = nil, searchEngine = nil, startDate = nil, status = nil, subscription = nil, template = nil, title = nil, vertical = nil, customFieldList = nil)
    @audience = audience
    @baseCost = baseCost
    @campaignEventType = campaignEventType
    @campaignId = campaignId
    @category = category
    @channel = channel
    @cost = cost
    @createdDate = createdDate
    @endDate = endDate
    @event = event
    @expectedRevenue = expectedRevenue
    @externalId = externalId
    @externalIdString = externalIdString
    @family = family
    @group = group
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @isSalesCampaign = isSalesCampaign
    @item = item
    @keyword = keyword
    @lastModifiedDate = lastModifiedDate
    @manager = manager
    @managerRole = managerRole
    @number = number
    @offer = offer
    @promoCode = promoCode
    @recipient = recipient
    @response = response
    @responseCategory = responseCategory
    @responseCode = responseCode
    @responseComments = responseComments
    @responseDate = responseDate
    @scheduleDate = scheduleDate
    @searchEngine = searchEngine
    @startDate = startDate
    @status = status
    @subscription = subscription
    @template = template
    @title = title
    @vertical = vertical
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}EntityGroupSearchBasic
#   email - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   groupName - ActiveNetsuite::SearchStringField
#   groupOwner - ActiveNetsuite::SearchMultiSelectField
#   groupType - ActiveNetsuite::SearchMultiSelectField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isDynamic - ActiveNetsuite::SearchBooleanField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   isManufacturingWorkCenter - ActiveNetsuite::SearchBooleanField
#   isPrivate - ActiveNetsuite::SearchBooleanField
#   laborResources - ActiveNetsuite::SearchLongField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   machineResources - ActiveNetsuite::SearchLongField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class EntityGroupSearchBasic < SearchRecordBasic
  attr_accessor :email
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :groupName
  attr_accessor :groupOwner
  attr_accessor :groupType
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isDynamic
  attr_accessor :isInactive
  attr_accessor :isManufacturingWorkCenter
  attr_accessor :isPrivate
  attr_accessor :laborResources
  attr_accessor :lastModifiedDate
  attr_accessor :machineResources
  attr_accessor :subsidiary
  attr_accessor :customFieldList

  def initialize(email = nil, externalId = nil, externalIdString = nil, groupName = nil, groupOwner = nil, groupType = nil, internalId = nil, internalIdNumber = nil, isDynamic = nil, isInactive = nil, isManufacturingWorkCenter = nil, isPrivate = nil, laborResources = nil, lastModifiedDate = nil, machineResources = nil, subsidiary = nil, customFieldList = nil)
    @email = email
    @externalId = externalId
    @externalIdString = externalIdString
    @groupName = groupName
    @groupOwner = groupOwner
    @groupType = groupType
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isDynamic = isDynamic
    @isInactive = isInactive
    @isManufacturingWorkCenter = isManufacturingWorkCenter
    @isPrivate = isPrivate
    @laborResources = laborResources
    @lastModifiedDate = lastModifiedDate
    @machineResources = machineResources
    @subsidiary = subsidiary
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}PromotionCodeSearchBasic
#   applyDiscountTo - ActiveNetsuite::SearchEnumMultiSelectField
#   code - ActiveNetsuite::SearchStringField
#   description - ActiveNetsuite::SearchStringField
#   discount - ActiveNetsuite::SearchMultiSelectField
#   discountAmount - ActiveNetsuite::SearchDoubleField
#   endDate - ActiveNetsuite::SearchDateField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   freeShipItem - ActiveNetsuite::SearchMultiSelectField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   isPublic - ActiveNetsuite::SearchBooleanField
#   item - ActiveNetsuite::SearchMultiSelectField
#   name - ActiveNetsuite::SearchStringField
#   partner - ActiveNetsuite::SearchMultiSelectField
#   startDate - ActiveNetsuite::SearchDateField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class PromotionCodeSearchBasic < SearchRecordBasic
  attr_accessor :applyDiscountTo
  attr_accessor :code
  attr_accessor :description
  attr_accessor :discount
  attr_accessor :discountAmount
  attr_accessor :endDate
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :freeShipItem
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :isPublic
  attr_accessor :item
  attr_accessor :name
  attr_accessor :partner
  attr_accessor :startDate
  attr_accessor :customFieldList

  def initialize(applyDiscountTo = nil, code = nil, description = nil, discount = nil, discountAmount = nil, endDate = nil, externalId = nil, externalIdString = nil, freeShipItem = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, isPublic = nil, item = nil, name = nil, partner = nil, startDate = nil, customFieldList = nil)
    @applyDiscountTo = applyDiscountTo
    @code = code
    @description = description
    @discount = discount
    @discountAmount = discountAmount
    @endDate = endDate
    @externalId = externalId
    @externalIdString = externalIdString
    @freeShipItem = freeShipItem
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @isPublic = isPublic
    @item = item
    @name = name
    @partner = partner
    @startDate = startDate
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}BudgetSearchBasic
#   account - ActiveNetsuite::SearchMultiSelectField
#   amount - ActiveNetsuite::SearchDoubleField
#   category - ActiveNetsuite::SearchMultiSelectField
#   m_class - ActiveNetsuite::SearchMultiSelectField
#   currency - ActiveNetsuite::SearchMultiSelectField
#   customer - ActiveNetsuite::SearchMultiSelectField
#   department - ActiveNetsuite::SearchMultiSelectField
#   global - ActiveNetsuite::SearchBooleanField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   item - ActiveNetsuite::SearchMultiSelectField
#   location - ActiveNetsuite::SearchMultiSelectField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   year - ActiveNetsuite::SearchMultiSelectField
#   year2 - ActiveNetsuite::SearchMultiSelectField
class BudgetSearchBasic < SearchRecordBasic
  attr_accessor :account
  attr_accessor :amount
  attr_accessor :category
  attr_accessor :currency
  attr_accessor :customer
  attr_accessor :department
  attr_accessor :global
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :item
  attr_accessor :location
  attr_accessor :subsidiary
  attr_accessor :year
  attr_accessor :year2

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(account = nil, amount = nil, category = nil, v_class = nil, currency = nil, customer = nil, department = nil, global = nil, internalId = nil, internalIdNumber = nil, item = nil, location = nil, subsidiary = nil, year = nil, year2 = nil)
    @account = account
    @amount = amount
    @category = category
    @v_class = v_class
    @currency = currency
    @customer = customer
    @department = department
    @global = global
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @item = item
    @location = location
    @subsidiary = subsidiary
    @year = year
    @year2 = year2
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ProjectTaskSearchBasic
#   actualWork - ActiveNetsuite::SearchDoubleField
#   assignee - ActiveNetsuite::SearchMultiSelectField
#   company - ActiveNetsuite::SearchMultiSelectField
#   constraintType - ActiveNetsuite::SearchEnumMultiSelectField
#   contact - ActiveNetsuite::SearchMultiSelectField
#   cost - ActiveNetsuite::SearchDoubleField
#   costBase - ActiveNetsuite::SearchDoubleField
#   costBaseBaseline - ActiveNetsuite::SearchDoubleField
#   costBaseline - ActiveNetsuite::SearchDoubleField
#   costBaseVariance - ActiveNetsuite::SearchDoubleField
#   costVariance - ActiveNetsuite::SearchDoubleField
#   costVariancePercent - ActiveNetsuite::SearchDoubleField
#   createdDate - ActiveNetsuite::SearchDateField
#   endDate - ActiveNetsuite::SearchDateField
#   endDateBaseline - ActiveNetsuite::SearchDateField
#   endDateVariance - ActiveNetsuite::SearchDoubleField
#   estimatedWork - ActiveNetsuite::SearchDoubleField
#   estimatedWorkBaseline - ActiveNetsuite::SearchDoubleField
#   estimatedWorkVariance - ActiveNetsuite::SearchDoubleField
#   estimatedWorkVariancePercent - ActiveNetsuite::SearchDoubleField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   finishByDate - ActiveNetsuite::SearchDateField
#   id - ActiveNetsuite::SearchLongField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isMilestone - ActiveNetsuite::SearchBooleanField
#   isSummaryTask - ActiveNetsuite::SearchBooleanField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   owner - ActiveNetsuite::SearchMultiSelectField
#   parent - ActiveNetsuite::SearchMultiSelectField
#   percentWorkComplete - ActiveNetsuite::SearchDoubleField
#   predecessor - ActiveNetsuite::SearchMultiSelectField
#   predecessors - ActiveNetsuite::SearchStringField
#   priority - ActiveNetsuite::SearchEnumMultiSelectField
#   remainingWork - ActiveNetsuite::SearchDoubleField
#   startDate - ActiveNetsuite::SearchDateField
#   startDateBaseline - ActiveNetsuite::SearchDateField
#   startDateVariance - ActiveNetsuite::SearchDoubleField
#   status - ActiveNetsuite::SearchEnumMultiSelectField
#   successor - ActiveNetsuite::SearchMultiSelectField
#   title - ActiveNetsuite::SearchStringField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class ProjectTaskSearchBasic < SearchRecordBasic
  attr_accessor :actualWork
  attr_accessor :assignee
  attr_accessor :company
  attr_accessor :constraintType
  attr_accessor :contact
  attr_accessor :cost
  attr_accessor :costBase
  attr_accessor :costBaseBaseline
  attr_accessor :costBaseline
  attr_accessor :costBaseVariance
  attr_accessor :costVariance
  attr_accessor :costVariancePercent
  attr_accessor :createdDate
  attr_accessor :endDate
  attr_accessor :endDateBaseline
  attr_accessor :endDateVariance
  attr_accessor :estimatedWork
  attr_accessor :estimatedWorkBaseline
  attr_accessor :estimatedWorkVariance
  attr_accessor :estimatedWorkVariancePercent
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :finishByDate
  attr_accessor :id
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isMilestone
  attr_accessor :isSummaryTask
  attr_accessor :lastModifiedDate
  attr_accessor :owner
  attr_accessor :parent
  attr_accessor :percentWorkComplete
  attr_accessor :predecessor
  attr_accessor :predecessors
  attr_accessor :priority
  attr_accessor :remainingWork
  attr_accessor :startDate
  attr_accessor :startDateBaseline
  attr_accessor :startDateVariance
  attr_accessor :status
  attr_accessor :successor
  attr_accessor :title
  attr_accessor :customFieldList

  def initialize(actualWork = nil, assignee = nil, company = nil, constraintType = nil, contact = nil, cost = nil, costBase = nil, costBaseBaseline = nil, costBaseline = nil, costBaseVariance = nil, costVariance = nil, costVariancePercent = nil, createdDate = nil, endDate = nil, endDateBaseline = nil, endDateVariance = nil, estimatedWork = nil, estimatedWorkBaseline = nil, estimatedWorkVariance = nil, estimatedWorkVariancePercent = nil, externalId = nil, externalIdString = nil, finishByDate = nil, id = nil, internalId = nil, internalIdNumber = nil, isMilestone = nil, isSummaryTask = nil, lastModifiedDate = nil, owner = nil, parent = nil, percentWorkComplete = nil, predecessor = nil, predecessors = nil, priority = nil, remainingWork = nil, startDate = nil, startDateBaseline = nil, startDateVariance = nil, status = nil, successor = nil, title = nil, customFieldList = nil)
    @actualWork = actualWork
    @assignee = assignee
    @company = company
    @constraintType = constraintType
    @contact = contact
    @cost = cost
    @costBase = costBase
    @costBaseBaseline = costBaseBaseline
    @costBaseline = costBaseline
    @costBaseVariance = costBaseVariance
    @costVariance = costVariance
    @costVariancePercent = costVariancePercent
    @createdDate = createdDate
    @endDate = endDate
    @endDateBaseline = endDateBaseline
    @endDateVariance = endDateVariance
    @estimatedWork = estimatedWork
    @estimatedWorkBaseline = estimatedWorkBaseline
    @estimatedWorkVariance = estimatedWorkVariance
    @estimatedWorkVariancePercent = estimatedWorkVariancePercent
    @externalId = externalId
    @externalIdString = externalIdString
    @finishByDate = finishByDate
    @id = id
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isMilestone = isMilestone
    @isSummaryTask = isSummaryTask
    @lastModifiedDate = lastModifiedDate
    @owner = owner
    @parent = parent
    @percentWorkComplete = percentWorkComplete
    @predecessor = predecessor
    @predecessors = predecessors
    @priority = priority
    @remainingWork = remainingWork
    @startDate = startDate
    @startDateBaseline = startDateBaseline
    @startDateVariance = startDateVariance
    @status = status
    @successor = successor
    @title = title
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ProjectTaskAssignmentSearchBasic
#   actualWork - ActiveNetsuite::SearchDoubleField
#   cost - ActiveNetsuite::SearchDoubleField
#   costBase - ActiveNetsuite::SearchDoubleField
#   endDate - ActiveNetsuite::SearchDateField
#   estimatedWork - ActiveNetsuite::SearchDoubleField
#   estimatedWorkBaseline - ActiveNetsuite::SearchDoubleField
#   grossProfit - ActiveNetsuite::SearchDoubleField
#   grossProfitBase - ActiveNetsuite::SearchDoubleField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   price - ActiveNetsuite::SearchDoubleField
#   priceBase - ActiveNetsuite::SearchDoubleField
#   resource - ActiveNetsuite::SearchMultiSelectField
#   resourceName - ActiveNetsuite::SearchStringField
#   serviceItem - ActiveNetsuite::SearchStringField
#   serviceItemDesc - ActiveNetsuite::SearchStringField
#   startDate - ActiveNetsuite::SearchDateField
#   unitCost - ActiveNetsuite::SearchDoubleField
#   unitCostBase - ActiveNetsuite::SearchDoubleField
#   unitPrice - ActiveNetsuite::SearchDoubleField
#   unitPriceBase - ActiveNetsuite::SearchDoubleField
#   units - ActiveNetsuite::SearchDoubleField
#   workCalendar - ActiveNetsuite::SearchMultiSelectField
class ProjectTaskAssignmentSearchBasic < SearchRecordBasic
  attr_accessor :actualWork
  attr_accessor :cost
  attr_accessor :costBase
  attr_accessor :endDate
  attr_accessor :estimatedWork
  attr_accessor :estimatedWorkBaseline
  attr_accessor :grossProfit
  attr_accessor :grossProfitBase
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :price
  attr_accessor :priceBase
  attr_accessor :resource
  attr_accessor :resourceName
  attr_accessor :serviceItem
  attr_accessor :serviceItemDesc
  attr_accessor :startDate
  attr_accessor :unitCost
  attr_accessor :unitCostBase
  attr_accessor :unitPrice
  attr_accessor :unitPriceBase
  attr_accessor :units
  attr_accessor :workCalendar

  def initialize(actualWork = nil, cost = nil, costBase = nil, endDate = nil, estimatedWork = nil, estimatedWorkBaseline = nil, grossProfit = nil, grossProfitBase = nil, internalId = nil, internalIdNumber = nil, price = nil, priceBase = nil, resource = nil, resourceName = nil, serviceItem = nil, serviceItemDesc = nil, startDate = nil, unitCost = nil, unitCostBase = nil, unitPrice = nil, unitPriceBase = nil, units = nil, workCalendar = nil)
    @actualWork = actualWork
    @cost = cost
    @costBase = costBase
    @endDate = endDate
    @estimatedWork = estimatedWork
    @estimatedWorkBaseline = estimatedWorkBaseline
    @grossProfit = grossProfit
    @grossProfitBase = grossProfitBase
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @price = price
    @priceBase = priceBase
    @resource = resource
    @resourceName = resourceName
    @serviceItem = serviceItem
    @serviceItemDesc = serviceItemDesc
    @startDate = startDate
    @unitCost = unitCost
    @unitCostBase = unitCostBase
    @unitPrice = unitPrice
    @unitPriceBase = unitPriceBase
    @units = units
    @workCalendar = workCalendar
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}AccountingPeriodSearchBasic
#   allLocked - ActiveNetsuite::SearchBooleanField
#   allowNonGlChanges - ActiveNetsuite::SearchBooleanField
#   apLocked - ActiveNetsuite::SearchBooleanField
#   arLocked - ActiveNetsuite::SearchBooleanField
#   closed - ActiveNetsuite::SearchBooleanField
#   closedOnDate - ActiveNetsuite::SearchDateField
#   endDate - ActiveNetsuite::SearchDateField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isAdjust - ActiveNetsuite::SearchBooleanField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   isQuarter - ActiveNetsuite::SearchBooleanField
#   isYear - ActiveNetsuite::SearchBooleanField
#   parent - ActiveNetsuite::SearchMultiSelectField
#   payrollLocked - ActiveNetsuite::SearchBooleanField
#   periodName - ActiveNetsuite::SearchStringField
#   startDate - ActiveNetsuite::SearchDateField
class AccountingPeriodSearchBasic < SearchRecordBasic
  attr_accessor :allLocked
  attr_accessor :allowNonGlChanges
  attr_accessor :apLocked
  attr_accessor :arLocked
  attr_accessor :closed
  attr_accessor :closedOnDate
  attr_accessor :endDate
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isAdjust
  attr_accessor :isInactive
  attr_accessor :isQuarter
  attr_accessor :isYear
  attr_accessor :parent
  attr_accessor :payrollLocked
  attr_accessor :periodName
  attr_accessor :startDate

  def initialize(allLocked = nil, allowNonGlChanges = nil, apLocked = nil, arLocked = nil, closed = nil, closedOnDate = nil, endDate = nil, internalId = nil, internalIdNumber = nil, isAdjust = nil, isInactive = nil, isQuarter = nil, isYear = nil, parent = nil, payrollLocked = nil, periodName = nil, startDate = nil)
    @allLocked = allLocked
    @allowNonGlChanges = allowNonGlChanges
    @apLocked = apLocked
    @arLocked = arLocked
    @closed = closed
    @closedOnDate = closedOnDate
    @endDate = endDate
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isAdjust = isAdjust
    @isInactive = isInactive
    @isQuarter = isQuarter
    @isYear = isYear
    @parent = parent
    @payrollLocked = payrollLocked
    @periodName = periodName
    @startDate = startDate
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ContactCategorySearchBasic
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
#   private - ActiveNetsuite::SearchBooleanField
#   sync - ActiveNetsuite::SearchBooleanField
class ContactCategorySearchBasic < SearchRecordBasic
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :private
  attr_accessor :sync

  def initialize(externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, name = nil, private = nil, sync = nil)
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @name = name
    @private = private
    @sync = sync
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ContactRoleSearchBasic
#   description - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
class ContactRoleSearchBasic < SearchRecordBasic
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :name

  def initialize(description = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, name = nil)
    @description = description
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CustomerCategorySearchBasic
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
class CustomerCategorySearchBasic < SearchRecordBasic
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :name

  def initialize(externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, name = nil)
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CustomerStatusSearchBasic
#   description - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   includeInLeadReports - ActiveNetsuite::SearchBooleanField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
#   probability - ActiveNetsuite::SearchDoubleField
class CustomerStatusSearchBasic < SearchRecordBasic
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :includeInLeadReports
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :probability

  def initialize(description = nil, externalId = nil, externalIdString = nil, includeInLeadReports = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, name = nil, probability = nil)
    @description = description
    @externalId = externalId
    @externalIdString = externalIdString
    @includeInLeadReports = includeInLeadReports
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @name = name
    @probability = probability
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ExpenseCategorySearchBasic
#   account - ActiveNetsuite::SearchMultiSelectField
#   description - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
#   rateRequired - ActiveNetsuite::SearchBooleanField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class ExpenseCategorySearchBasic < SearchRecordBasic
  attr_accessor :account
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :rateRequired
  attr_accessor :customFieldList

  def initialize(account = nil, description = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, name = nil, rateRequired = nil, customFieldList = nil)
    @account = account
    @description = description
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @name = name
    @rateRequired = rateRequired
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}JobStatusSearchBasic
#   description - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
class JobStatusSearchBasic < SearchRecordBasic
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :name

  def initialize(description = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, name = nil)
    @description = description
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}JobTypeSearchBasic
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
#   parent - ActiveNetsuite::SearchMultiSelectField
class JobTypeSearchBasic < SearchRecordBasic
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :parent

  def initialize(externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, name = nil, parent = nil)
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @name = name
    @parent = parent
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}NoteTypeSearchBasic
#   description - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
class NoteTypeSearchBasic < SearchRecordBasic
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :name

  def initialize(description = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, name = nil)
    @description = description
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}PartnerCategorySearchBasic
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
#   parent - ActiveNetsuite::SearchMultiSelectField
class PartnerCategorySearchBasic < SearchRecordBasic
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :parent

  def initialize(externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, name = nil, parent = nil)
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @name = name
    @parent = parent
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}PaymentMethodSearchBasic
#   account - ActiveNetsuite::SearchMultiSelectField
#   creditCard - ActiveNetsuite::SearchBooleanField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isDebitCard - ActiveNetsuite::SearchBooleanField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
class PaymentMethodSearchBasic < SearchRecordBasic
  attr_accessor :account
  attr_accessor :creditCard
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isDebitCard
  attr_accessor :isInactive
  attr_accessor :name

  def initialize(account = nil, creditCard = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isDebitCard = nil, isInactive = nil, name = nil)
    @account = account
    @creditCard = creditCard
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isDebitCard = isDebitCard
    @isInactive = isInactive
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}PriceLevelSearchBasic
#   discountPct - ActiveNetsuite::SearchDoubleField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   isOnline - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
class PriceLevelSearchBasic < SearchRecordBasic
  attr_accessor :discountPct
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :isOnline
  attr_accessor :name

  def initialize(discountPct = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, isOnline = nil, name = nil)
    @discountPct = discountPct
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @isOnline = isOnline
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}SalesRoleSearchBasic
#   description - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
class SalesRoleSearchBasic < SearchRecordBasic
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :name

  def initialize(description = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, name = nil)
    @description = description
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}TermSearchBasic
#   dateDriven - ActiveNetsuite::SearchBooleanField
#   dayDiscountExpires - ActiveNetsuite::SearchLongField
#   dayOfMonthNetDue - ActiveNetsuite::SearchLongField
#   daysUntilExpiry - ActiveNetsuite::SearchLongField
#   daysUntilNetDue - ActiveNetsuite::SearchLongField
#   discountPercent - ActiveNetsuite::SearchDoubleField
#   discountPercentDateDriven - ActiveNetsuite::SearchDoubleField
#   dueNextMonthIfWithinDays - ActiveNetsuite::SearchLongField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
#   preferred - ActiveNetsuite::SearchBooleanField
class TermSearchBasic < SearchRecordBasic
  attr_accessor :dateDriven
  attr_accessor :dayDiscountExpires
  attr_accessor :dayOfMonthNetDue
  attr_accessor :daysUntilExpiry
  attr_accessor :daysUntilNetDue
  attr_accessor :discountPercent
  attr_accessor :discountPercentDateDriven
  attr_accessor :dueNextMonthIfWithinDays
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :preferred

  def initialize(dateDriven = nil, dayDiscountExpires = nil, dayOfMonthNetDue = nil, daysUntilExpiry = nil, daysUntilNetDue = nil, discountPercent = nil, discountPercentDateDriven = nil, dueNextMonthIfWithinDays = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, name = nil, preferred = nil)
    @dateDriven = dateDriven
    @dayDiscountExpires = dayDiscountExpires
    @dayOfMonthNetDue = dayOfMonthNetDue
    @daysUntilExpiry = daysUntilExpiry
    @daysUntilNetDue = daysUntilNetDue
    @discountPercent = discountPercent
    @discountPercentDateDriven = discountPercentDateDriven
    @dueNextMonthIfWithinDays = dueNextMonthIfWithinDays
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @name = name
    @preferred = preferred
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}VendorCategorySearchBasic
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   isTaxAgency - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
class VendorCategorySearchBasic < SearchRecordBasic
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :isTaxAgency
  attr_accessor :name

  def initialize(externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, isTaxAgency = nil, name = nil)
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @isTaxAgency = isTaxAgency
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}WinLossReasonSearchBasic
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
class WinLossReasonSearchBasic < SearchRecordBasic
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :name

  def initialize(externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, name = nil)
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}OriginatingLeadSearchBasic
#   accountNumber - ActiveNetsuite::SearchStringField
#   availableOffline - ActiveNetsuite::SearchBooleanField
#   balance - ActiveNetsuite::SearchDoubleField
#   boughtAmount - ActiveNetsuite::SearchDoubleField
#   boughtDate - ActiveNetsuite::SearchDateField
#   buyingReason - ActiveNetsuite::SearchMultiSelectField
#   buyingTimeFrame - ActiveNetsuite::SearchMultiSelectField
#   category - ActiveNetsuite::SearchMultiSelectField
#   ccCustomerCode - ActiveNetsuite::SearchStringField
#   ccDefault - ActiveNetsuite::SearchBooleanField
#   ccExpDate - ActiveNetsuite::SearchDateField
#   ccHolderName - ActiveNetsuite::SearchStringField
#   ccNumber - ActiveNetsuite::SearchStringField
#   ccType - ActiveNetsuite::SearchMultiSelectField
#   classBought - ActiveNetsuite::SearchMultiSelectField
#   companyName - ActiveNetsuite::SearchStringField
#   contact - ActiveNetsuite::SearchStringField
#   contribution - ActiveNetsuite::SearchLongField
#   conversionDate - ActiveNetsuite::SearchDateField
#   creditHoldOverride - ActiveNetsuite::SearchBooleanField
#   creditLimit - ActiveNetsuite::SearchDoubleField
#   currency - ActiveNetsuite::SearchMultiSelectField
#   custStage - ActiveNetsuite::SearchMultiSelectField
#   custStatus - ActiveNetsuite::SearchMultiSelectField
#   dateClosed - ActiveNetsuite::SearchDateField
#   daysOverdue - ActiveNetsuite::SearchLongField
#   depositBalance - ActiveNetsuite::SearchDoubleField
#   deptBought - ActiveNetsuite::SearchMultiSelectField
#   emailTransactions - ActiveNetsuite::SearchBooleanField
#   endDate - ActiveNetsuite::SearchDateField
#   entityStatus - ActiveNetsuite::SearchMultiSelectField
#   estimatedBudget - ActiveNetsuite::SearchDoubleField
#   explicitConversion - ActiveNetsuite::SearchBooleanField
#   faxTransactions - ActiveNetsuite::SearchBooleanField
#   firstName - ActiveNetsuite::SearchStringField
#   firstOrderDate - ActiveNetsuite::SearchDateField
#   firstSaleDate - ActiveNetsuite::SearchDateField
#   group - ActiveNetsuite::SearchMultiSelectField
#   groupPricingLevel - ActiveNetsuite::SearchMultiSelectField
#   hasDuplicates - ActiveNetsuite::SearchBooleanField
#   isBudgetApproved - ActiveNetsuite::SearchBooleanField
#   isPerson - ActiveNetsuite::SearchBooleanField
#   isReportedLead - ActiveNetsuite::SearchBooleanField
#   isShipAddress - ActiveNetsuite::SearchBooleanField
#   itemPricingLevel - ActiveNetsuite::SearchMultiSelectField
#   itemPricingUnitPrice - ActiveNetsuite::SearchDoubleField
#   itemsBought - ActiveNetsuite::SearchMultiSelectField
#   itemsOrdered - ActiveNetsuite::SearchMultiSelectField
#   lastName - ActiveNetsuite::SearchStringField
#   leadDate - ActiveNetsuite::SearchDateField
#   leadSource - ActiveNetsuite::SearchMultiSelectField
#   locationBought - ActiveNetsuite::SearchMultiSelectField
#   manualCreditHold - ActiveNetsuite::SearchBooleanField
#   merchantAccount - ActiveNetsuite::SearchMultiSelectField
#   middleName - ActiveNetsuite::SearchStringField
#   onCreditHold - ActiveNetsuite::SearchBooleanField
#   orderedAmount - ActiveNetsuite::SearchDoubleField
#   orderedDate - ActiveNetsuite::SearchDateField
#   otherRelationships - ActiveNetsuite::SearchEnumMultiSelectField
#   overdueBalance - ActiveNetsuite::SearchDoubleField
#   parent - ActiveNetsuite::SearchMultiSelectField
#   parentItemsBought - ActiveNetsuite::SearchMultiSelectField
#   parentItemsOrdered - ActiveNetsuite::SearchMultiSelectField
#   partner - ActiveNetsuite::SearchMultiSelectField
#   partnerContribution - ActiveNetsuite::SearchLongField
#   partnerRole - ActiveNetsuite::SearchMultiSelectField
#   partnerTeamMember - ActiveNetsuite::SearchMultiSelectField
#   pec - ActiveNetsuite::SearchStringField
#   priceLevel - ActiveNetsuite::SearchMultiSelectField
#   pricingGroup - ActiveNetsuite::SearchMultiSelectField
#   pricingItem - ActiveNetsuite::SearchMultiSelectField
#   printTransactions - ActiveNetsuite::SearchBooleanField
#   prospectDate - ActiveNetsuite::SearchDateField
#   pstExempt - ActiveNetsuite::SearchBooleanField
#   reminderDate - ActiveNetsuite::SearchDateField
#   resaleNumber - ActiveNetsuite::SearchStringField
#   role - ActiveNetsuite::SearchMultiSelectField
#   salesReadiness - ActiveNetsuite::SearchMultiSelectField
#   salesRep - ActiveNetsuite::SearchMultiSelectField
#   salesTeamMember - ActiveNetsuite::SearchMultiSelectField
#   salesTeamRole - ActiveNetsuite::SearchMultiSelectField
#   salutation - ActiveNetsuite::SearchStringField
#   shipComplete - ActiveNetsuite::SearchBooleanField
#   shippingItem - ActiveNetsuite::SearchMultiSelectField
#   stage - ActiveNetsuite::SearchMultiSelectField
#   startDate - ActiveNetsuite::SearchDateField
#   subsidBought - ActiveNetsuite::SearchMultiSelectField
#   taxable - ActiveNetsuite::SearchBooleanField
#   terms - ActiveNetsuite::SearchMultiSelectField
#   territory - ActiveNetsuite::SearchMultiSelectField
#   title - ActiveNetsuite::SearchStringField
#   unbilledOrders - ActiveNetsuite::SearchDoubleField
#   url - ActiveNetsuite::SearchStringField
#   vatRegNumber - ActiveNetsuite::SearchStringField
#   webLead - ActiveNetsuite::SearchBooleanField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class OriginatingLeadSearchBasic < SearchRecordBasic
  attr_accessor :accountNumber
  attr_accessor :availableOffline
  attr_accessor :balance
  attr_accessor :boughtAmount
  attr_accessor :boughtDate
  attr_accessor :buyingReason
  attr_accessor :buyingTimeFrame
  attr_accessor :category
  attr_accessor :ccCustomerCode
  attr_accessor :ccDefault
  attr_accessor :ccExpDate
  attr_accessor :ccHolderName
  attr_accessor :ccNumber
  attr_accessor :ccType
  attr_accessor :classBought
  attr_accessor :companyName
  attr_accessor :contact
  attr_accessor :contribution
  attr_accessor :conversionDate
  attr_accessor :creditHoldOverride
  attr_accessor :creditLimit
  attr_accessor :currency
  attr_accessor :custStage
  attr_accessor :custStatus
  attr_accessor :dateClosed
  attr_accessor :daysOverdue
  attr_accessor :depositBalance
  attr_accessor :deptBought
  attr_accessor :emailTransactions
  attr_accessor :endDate
  attr_accessor :entityStatus
  attr_accessor :estimatedBudget
  attr_accessor :explicitConversion
  attr_accessor :faxTransactions
  attr_accessor :firstName
  attr_accessor :firstOrderDate
  attr_accessor :firstSaleDate
  attr_accessor :group
  attr_accessor :groupPricingLevel
  attr_accessor :hasDuplicates
  attr_accessor :isBudgetApproved
  attr_accessor :isPerson
  attr_accessor :isReportedLead
  attr_accessor :isShipAddress
  attr_accessor :itemPricingLevel
  attr_accessor :itemPricingUnitPrice
  attr_accessor :itemsBought
  attr_accessor :itemsOrdered
  attr_accessor :lastName
  attr_accessor :leadDate
  attr_accessor :leadSource
  attr_accessor :locationBought
  attr_accessor :manualCreditHold
  attr_accessor :merchantAccount
  attr_accessor :middleName
  attr_accessor :onCreditHold
  attr_accessor :orderedAmount
  attr_accessor :orderedDate
  attr_accessor :otherRelationships
  attr_accessor :overdueBalance
  attr_accessor :parent
  attr_accessor :parentItemsBought
  attr_accessor :parentItemsOrdered
  attr_accessor :partner
  attr_accessor :partnerContribution
  attr_accessor :partnerRole
  attr_accessor :partnerTeamMember
  attr_accessor :pec
  attr_accessor :priceLevel
  attr_accessor :pricingGroup
  attr_accessor :pricingItem
  attr_accessor :printTransactions
  attr_accessor :prospectDate
  attr_accessor :pstExempt
  attr_accessor :reminderDate
  attr_accessor :resaleNumber
  attr_accessor :role
  attr_accessor :salesReadiness
  attr_accessor :salesRep
  attr_accessor :salesTeamMember
  attr_accessor :salesTeamRole
  attr_accessor :salutation
  attr_accessor :shipComplete
  attr_accessor :shippingItem
  attr_accessor :stage
  attr_accessor :startDate
  attr_accessor :subsidBought
  attr_accessor :taxable
  attr_accessor :terms
  attr_accessor :territory
  attr_accessor :title
  attr_accessor :unbilledOrders
  attr_accessor :url
  attr_accessor :vatRegNumber
  attr_accessor :webLead
  attr_accessor :customFieldList

  def initialize(accountNumber = nil, availableOffline = nil, balance = nil, boughtAmount = nil, boughtDate = nil, buyingReason = nil, buyingTimeFrame = nil, category = nil, ccCustomerCode = nil, ccDefault = nil, ccExpDate = nil, ccHolderName = nil, ccNumber = nil, ccType = nil, classBought = nil, companyName = nil, contact = nil, contribution = nil, conversionDate = nil, creditHoldOverride = nil, creditLimit = nil, currency = nil, custStage = nil, custStatus = nil, dateClosed = nil, daysOverdue = nil, depositBalance = nil, deptBought = nil, emailTransactions = nil, endDate = nil, entityStatus = nil, estimatedBudget = nil, explicitConversion = nil, faxTransactions = nil, firstName = nil, firstOrderDate = nil, firstSaleDate = nil, group = nil, groupPricingLevel = nil, hasDuplicates = nil, isBudgetApproved = nil, isPerson = nil, isReportedLead = nil, isShipAddress = nil, itemPricingLevel = nil, itemPricingUnitPrice = nil, itemsBought = nil, itemsOrdered = nil, lastName = nil, leadDate = nil, leadSource = nil, locationBought = nil, manualCreditHold = nil, merchantAccount = nil, middleName = nil, onCreditHold = nil, orderedAmount = nil, orderedDate = nil, otherRelationships = nil, overdueBalance = nil, parent = nil, parentItemsBought = nil, parentItemsOrdered = nil, partner = nil, partnerContribution = nil, partnerRole = nil, partnerTeamMember = nil, pec = nil, priceLevel = nil, pricingGroup = nil, pricingItem = nil, printTransactions = nil, prospectDate = nil, pstExempt = nil, reminderDate = nil, resaleNumber = nil, role = nil, salesReadiness = nil, salesRep = nil, salesTeamMember = nil, salesTeamRole = nil, salutation = nil, shipComplete = nil, shippingItem = nil, stage = nil, startDate = nil, subsidBought = nil, taxable = nil, terms = nil, territory = nil, title = nil, unbilledOrders = nil, url = nil, vatRegNumber = nil, webLead = nil, customFieldList = nil)
    @accountNumber = accountNumber
    @availableOffline = availableOffline
    @balance = balance
    @boughtAmount = boughtAmount
    @boughtDate = boughtDate
    @buyingReason = buyingReason
    @buyingTimeFrame = buyingTimeFrame
    @category = category
    @ccCustomerCode = ccCustomerCode
    @ccDefault = ccDefault
    @ccExpDate = ccExpDate
    @ccHolderName = ccHolderName
    @ccNumber = ccNumber
    @ccType = ccType
    @classBought = classBought
    @companyName = companyName
    @contact = contact
    @contribution = contribution
    @conversionDate = conversionDate
    @creditHoldOverride = creditHoldOverride
    @creditLimit = creditLimit
    @currency = currency
    @custStage = custStage
    @custStatus = custStatus
    @dateClosed = dateClosed
    @daysOverdue = daysOverdue
    @depositBalance = depositBalance
    @deptBought = deptBought
    @emailTransactions = emailTransactions
    @endDate = endDate
    @entityStatus = entityStatus
    @estimatedBudget = estimatedBudget
    @explicitConversion = explicitConversion
    @faxTransactions = faxTransactions
    @firstName = firstName
    @firstOrderDate = firstOrderDate
    @firstSaleDate = firstSaleDate
    @group = group
    @groupPricingLevel = groupPricingLevel
    @hasDuplicates = hasDuplicates
    @isBudgetApproved = isBudgetApproved
    @isPerson = isPerson
    @isReportedLead = isReportedLead
    @isShipAddress = isShipAddress
    @itemPricingLevel = itemPricingLevel
    @itemPricingUnitPrice = itemPricingUnitPrice
    @itemsBought = itemsBought
    @itemsOrdered = itemsOrdered
    @lastName = lastName
    @leadDate = leadDate
    @leadSource = leadSource
    @locationBought = locationBought
    @manualCreditHold = manualCreditHold
    @merchantAccount = merchantAccount
    @middleName = middleName
    @onCreditHold = onCreditHold
    @orderedAmount = orderedAmount
    @orderedDate = orderedDate
    @otherRelationships = otherRelationships
    @overdueBalance = overdueBalance
    @parent = parent
    @parentItemsBought = parentItemsBought
    @parentItemsOrdered = parentItemsOrdered
    @partner = partner
    @partnerContribution = partnerContribution
    @partnerRole = partnerRole
    @partnerTeamMember = partnerTeamMember
    @pec = pec
    @priceLevel = priceLevel
    @pricingGroup = pricingGroup
    @pricingItem = pricingItem
    @printTransactions = printTransactions
    @prospectDate = prospectDate
    @pstExempt = pstExempt
    @reminderDate = reminderDate
    @resaleNumber = resaleNumber
    @role = role
    @salesReadiness = salesReadiness
    @salesRep = salesRep
    @salesTeamMember = salesTeamMember
    @salesTeamRole = salesTeamRole
    @salutation = salutation
    @shipComplete = shipComplete
    @shippingItem = shippingItem
    @stage = stage
    @startDate = startDate
    @subsidBought = subsidBought
    @taxable = taxable
    @terms = terms
    @territory = territory
    @title = title
    @unbilledOrders = unbilledOrders
    @url = url
    @vatRegNumber = vatRegNumber
    @webLead = webLead
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}UnitsTypeSearchBasic
#   abbreviation - ActiveNetsuite::SearchStringField
#   baseUnit - ActiveNetsuite::SearchBooleanField
#   conversionRate - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInActive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
#   pluralAbbreviation - ActiveNetsuite::SearchStringField
#   pluralName - ActiveNetsuite::SearchStringField
#   unitName - ActiveNetsuite::SearchStringField
class UnitsTypeSearchBasic < SearchRecordBasic
  attr_accessor :abbreviation
  attr_accessor :baseUnit
  attr_accessor :conversionRate
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInActive
  attr_accessor :name
  attr_accessor :pluralAbbreviation
  attr_accessor :pluralName
  attr_accessor :unitName

  def initialize(abbreviation = nil, baseUnit = nil, conversionRate = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInActive = nil, name = nil, pluralAbbreviation = nil, pluralName = nil, unitName = nil)
    @abbreviation = abbreviation
    @baseUnit = baseUnit
    @conversionRate = conversionRate
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInActive = isInActive
    @name = name
    @pluralAbbreviation = pluralAbbreviation
    @pluralName = pluralName
    @unitName = unitName
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CustomListSearchBasic
#   description - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   isOrdered - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
#   owner - ActiveNetsuite::SearchMultiSelectField
#   scriptId - ActiveNetsuite::SearchStringField
class CustomListSearchBasic < SearchRecordBasic
  attr_accessor :description
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :isOrdered
  attr_accessor :name
  attr_accessor :owner
  attr_accessor :scriptId

  def initialize(description = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, isOrdered = nil, name = nil, owner = nil, scriptId = nil)
    @description = description
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @isOrdered = isOrdered
    @name = name
    @owner = owner
    @scriptId = scriptId
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}PricingGroupSearchBasic
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
class PricingGroupSearchBasic < SearchRecordBasic
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :name

  def initialize(externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, name = nil)
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}InventoryNumberSearchBasic
#   expirationDate - ActiveNetsuite::SearchDateField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   inventoryNumber - ActiveNetsuite::SearchStringField
#   isOnHand - ActiveNetsuite::SearchBooleanField
#   item - ActiveNetsuite::SearchMultiSelectField
#   location - ActiveNetsuite::SearchMultiSelectField
#   memo - ActiveNetsuite::SearchStringField
#   quantityAvailable - ActiveNetsuite::SearchDoubleField
#   quantityInTransit - ActiveNetsuite::SearchDoubleField
#   quantityOnHand - ActiveNetsuite::SearchDoubleField
#   quantityOnOrder - ActiveNetsuite::SearchDoubleField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class InventoryNumberSearchBasic < SearchRecordBasic
  attr_accessor :expirationDate
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :inventoryNumber
  attr_accessor :isOnHand
  attr_accessor :item
  attr_accessor :location
  attr_accessor :memo
  attr_accessor :quantityAvailable
  attr_accessor :quantityInTransit
  attr_accessor :quantityOnHand
  attr_accessor :quantityOnOrder
  attr_accessor :customFieldList

  def initialize(expirationDate = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, inventoryNumber = nil, isOnHand = nil, item = nil, location = nil, memo = nil, quantityAvailable = nil, quantityInTransit = nil, quantityOnHand = nil, quantityOnOrder = nil, customFieldList = nil)
    @expirationDate = expirationDate
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @inventoryNumber = inventoryNumber
    @isOnHand = isOnHand
    @item = item
    @location = location
    @memo = memo
    @quantityAvailable = quantityAvailable
    @quantityInTransit = quantityInTransit
    @quantityOnHand = quantityOnHand
    @quantityOnOrder = quantityOnOrder
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}InventoryNumberBinSearchBasic
#   binNumber - ActiveNetsuite::SearchMultiSelectField
#   inventoryNumber - ActiveNetsuite::SearchStringField
#   location - ActiveNetsuite::SearchMultiSelectField
#   quantityAvailable - ActiveNetsuite::SearchDoubleField
#   quantityOnHand - ActiveNetsuite::SearchDoubleField
class InventoryNumberBinSearchBasic < SearchRecordBasic
  attr_accessor :binNumber
  attr_accessor :inventoryNumber
  attr_accessor :location
  attr_accessor :quantityAvailable
  attr_accessor :quantityOnHand

  def initialize(binNumber = nil, inventoryNumber = nil, location = nil, quantityAvailable = nil, quantityOnHand = nil)
    @binNumber = binNumber
    @inventoryNumber = inventoryNumber
    @location = location
    @quantityAvailable = quantityAvailable
    @quantityOnHand = quantityOnHand
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ItemBinNumberSearchBasic
#   binNumber - ActiveNetsuite::SearchMultiSelectField
#   location - ActiveNetsuite::SearchMultiSelectField
#   quantityAvailable - ActiveNetsuite::SearchDoubleField
#   quantityOnHand - ActiveNetsuite::SearchDoubleField
class ItemBinNumberSearchBasic < SearchRecordBasic
  attr_accessor :binNumber
  attr_accessor :location
  attr_accessor :quantityAvailable
  attr_accessor :quantityOnHand

  def initialize(binNumber = nil, location = nil, quantityAvailable = nil, quantityOnHand = nil)
    @binNumber = binNumber
    @location = location
    @quantityAvailable = quantityAvailable
    @quantityOnHand = quantityOnHand
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}AppDefinitionSearchBasic
#   description - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   name - ActiveNetsuite::SearchStringField
class AppDefinitionSearchBasic < SearchRecordBasic
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :name

  def initialize(description = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, name = nil)
    @description = description
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}AppPackageSearchBasic
#   appDefinition - ActiveNetsuite::SearchMultiSelectField
#   description - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   version - ActiveNetsuite::SearchStringField
class AppPackageSearchBasic < SearchRecordBasic
  attr_accessor :appDefinition
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :version

  def initialize(appDefinition = nil, description = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, version = nil)
    @appDefinition = appDefinition
    @description = description
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @version = version
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}NexusSearchBasic
#   country - ActiveNetsuite::SearchEnumMultiSelectField
#   description - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   state - ActiveNetsuite::SearchMultiSelectField
class NexusSearchBasic < SearchRecordBasic
  attr_accessor :country
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :state

  def initialize(country = nil, description = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, state = nil)
    @country = country
    @description = description
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @state = state
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}OtherNameCategorySearchBasic
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
class OtherNameCategorySearchBasic < SearchRecordBasic
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :name

  def initialize(externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, name = nil)
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CustomerMessageSearchBasic
#   description - ActiveNetsuite::SearchStringField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   name - ActiveNetsuite::SearchStringField
#   preferred - ActiveNetsuite::SearchBooleanField
class CustomerMessageSearchBasic < SearchRecordBasic
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :preferred

  def initialize(description = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, name = nil, preferred = nil)
    @description = description
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @name = name
    @preferred = preferred
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ItemDemandPlanSearchBasic
#   alternateSourceItem - ActiveNetsuite::SearchMultiSelectField
#   analysisDuration - ActiveNetsuite::SearchLongField
#   demandDate - ActiveNetsuite::SearchDateField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   item - ActiveNetsuite::SearchMultiSelectField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   location - ActiveNetsuite::SearchMultiSelectField
#   memo - ActiveNetsuite::SearchStringField
#   projectionDuration - ActiveNetsuite::SearchLongField
#   projectionInterval - ActiveNetsuite::SearchMultiSelectField
#   projectionMethod - ActiveNetsuite::SearchEnumMultiSelectField
#   projectionStartDate - ActiveNetsuite::SearchDateField
#   quantity - ActiveNetsuite::SearchDoubleField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   units - ActiveNetsuite::SearchMultiSelectField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class ItemDemandPlanSearchBasic < SearchRecordBasic
  attr_accessor :alternateSourceItem
  attr_accessor :analysisDuration
  attr_accessor :demandDate
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :item
  attr_accessor :lastModifiedDate
  attr_accessor :location
  attr_accessor :memo
  attr_accessor :projectionDuration
  attr_accessor :projectionInterval
  attr_accessor :projectionMethod
  attr_accessor :projectionStartDate
  attr_accessor :quantity
  attr_accessor :subsidiary
  attr_accessor :units
  attr_accessor :customFieldList

  def initialize(alternateSourceItem = nil, analysisDuration = nil, demandDate = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, item = nil, lastModifiedDate = nil, location = nil, memo = nil, projectionDuration = nil, projectionInterval = nil, projectionMethod = nil, projectionStartDate = nil, quantity = nil, subsidiary = nil, units = nil, customFieldList = nil)
    @alternateSourceItem = alternateSourceItem
    @analysisDuration = analysisDuration
    @demandDate = demandDate
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @item = item
    @lastModifiedDate = lastModifiedDate
    @location = location
    @memo = memo
    @projectionDuration = projectionDuration
    @projectionInterval = projectionInterval
    @projectionMethod = projectionMethod
    @projectionStartDate = projectionStartDate
    @quantity = quantity
    @subsidiary = subsidiary
    @units = units
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ItemSupplyPlanSearchBasic
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   item - ActiveNetsuite::SearchMultiSelectField
#   lastModifiedDate - ActiveNetsuite::SearchDateField
#   location - ActiveNetsuite::SearchMultiSelectField
#   memo - ActiveNetsuite::SearchStringField
#   orderCreated - ActiveNetsuite::SearchBooleanField
#   orderDate - ActiveNetsuite::SearchDateField
#   orderType - ActiveNetsuite::SearchMultiSelectField
#   quantity - ActiveNetsuite::SearchDoubleField
#   receiptDate - ActiveNetsuite::SearchDateField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   units - ActiveNetsuite::SearchMultiSelectField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class ItemSupplyPlanSearchBasic < SearchRecordBasic
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :item
  attr_accessor :lastModifiedDate
  attr_accessor :location
  attr_accessor :memo
  attr_accessor :orderCreated
  attr_accessor :orderDate
  attr_accessor :orderType
  attr_accessor :quantity
  attr_accessor :receiptDate
  attr_accessor :subsidiary
  attr_accessor :units
  attr_accessor :customFieldList

  def initialize(externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, item = nil, lastModifiedDate = nil, location = nil, memo = nil, orderCreated = nil, orderDate = nil, orderType = nil, quantity = nil, receiptDate = nil, subsidiary = nil, units = nil, customFieldList = nil)
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @item = item
    @lastModifiedDate = lastModifiedDate
    @location = location
    @memo = memo
    @orderCreated = orderCreated
    @orderDate = orderDate
    @orderType = orderType
    @quantity = quantity
    @receiptDate = receiptDate
    @subsidiary = subsidiary
    @units = units
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CurrencyRateSearchBasic
#   baseCurrency - ActiveNetsuite::SearchMultiSelectField
#   effectiveDate - ActiveNetsuite::SearchDateField
#   exchangeRate - ActiveNetsuite::SearchDoubleField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   transactionCurrency - ActiveNetsuite::SearchMultiSelectField
class CurrencyRateSearchBasic < SearchRecordBasic
  attr_accessor :baseCurrency
  attr_accessor :effectiveDate
  attr_accessor :exchangeRate
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :transactionCurrency

  def initialize(baseCurrency = nil, effectiveDate = nil, exchangeRate = nil, internalId = nil, internalIdNumber = nil, transactionCurrency = nil)
    @baseCurrency = baseCurrency
    @effectiveDate = effectiveDate
    @exchangeRate = exchangeRate
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @transactionCurrency = transactionCurrency
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ItemRevisionSearchBasic
#   effectiveDate - ActiveNetsuite::SearchDateField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   item - ActiveNetsuite::SearchMultiSelectField
#   name - ActiveNetsuite::SearchStringField
#   obsoleteDate - ActiveNetsuite::SearchDateField
class ItemRevisionSearchBasic < SearchRecordBasic
  attr_accessor :effectiveDate
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :item
  attr_accessor :name
  attr_accessor :obsoleteDate

  def initialize(effectiveDate = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, item = nil, name = nil, obsoleteDate = nil)
    @effectiveDate = effectiveDate
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @item = item
    @name = name
    @obsoleteDate = obsoleteDate
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CouponCodeSearchBasic
#   code - ActiveNetsuite::SearchStringField
#   dateSent - ActiveNetsuite::SearchDateField
#   id - ActiveNetsuite::SearchLongField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   promotion - ActiveNetsuite::SearchMultiSelectField
#   recipient - ActiveNetsuite::SearchMultiSelectField
#   useCount - ActiveNetsuite::SearchLongField
#   used - ActiveNetsuite::SearchBooleanField
class CouponCodeSearchBasic < SearchRecordBasic
  attr_accessor :code
  attr_accessor :dateSent
  attr_accessor :id
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :promotion
  attr_accessor :recipient
  attr_accessor :useCount
  attr_accessor :used

  def initialize(code = nil, dateSent = nil, id = nil, internalId = nil, internalIdNumber = nil, promotion = nil, recipient = nil, useCount = nil, used = nil)
    @code = code
    @dateSent = dateSent
    @id = id
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @promotion = promotion
    @recipient = recipient
    @useCount = useCount
    @used = used
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}PayrollItemSearchBasic
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   expenseAccount - ActiveNetsuite::SearchMultiSelectField
#   itemTypeNoHierarchy - ActiveNetsuite::SearchEnumMultiSelectField
#   liabilityAccount - ActiveNetsuite::SearchMultiSelectField
#   name - ActiveNetsuite::SearchStringField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   vendor - ActiveNetsuite::SearchMultiSelectField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class PayrollItemSearchBasic < SearchRecordBasic
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :expenseAccount
  attr_accessor :itemTypeNoHierarchy
  attr_accessor :liabilityAccount
  attr_accessor :name
  attr_accessor :subsidiary
  attr_accessor :vendor
  attr_accessor :customFieldList

  def initialize(externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, expenseAccount = nil, itemTypeNoHierarchy = nil, liabilityAccount = nil, name = nil, subsidiary = nil, vendor = nil, customFieldList = nil)
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @expenseAccount = expenseAccount
    @itemTypeNoHierarchy = itemTypeNoHierarchy
    @liabilityAccount = liabilityAccount
    @name = name
    @subsidiary = subsidiary
    @vendor = vendor
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ManufacturingCostTemplateSearchBasic
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   item - ActiveNetsuite::SearchMultiSelectField
#   memo - ActiveNetsuite::SearchStringField
#   name - ActiveNetsuite::SearchStringField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class ManufacturingCostTemplateSearchBasic < SearchRecordBasic
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isInactive
  attr_accessor :item
  attr_accessor :memo
  attr_accessor :name
  attr_accessor :subsidiary
  attr_accessor :customFieldList

  def initialize(externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isInactive = nil, item = nil, memo = nil, name = nil, subsidiary = nil, customFieldList = nil)
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isInactive = isInactive
    @item = item
    @memo = memo
    @name = name
    @subsidiary = subsidiary
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ManufacturingRoutingSearchBasic
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   isDefault - ActiveNetsuite::SearchBooleanField
#   isInactive - ActiveNetsuite::SearchBooleanField
#   subsidiary - ActiveNetsuite::SearchMultiSelectField
#   item - ActiveNetsuite::SearchMultiSelectField
#   location - ActiveNetsuite::SearchMultiSelectField
#   manufacturingCostTemplate - ActiveNetsuite::SearchMultiSelectField
#   manufacturingWorkCenter - ActiveNetsuite::SearchMultiSelectField
#   memo - ActiveNetsuite::SearchStringField
#   name - ActiveNetsuite::SearchStringField
#   operationName - ActiveNetsuite::SearchStringField
#   operationYield - ActiveNetsuite::SearchDoubleField
#   runRate - ActiveNetsuite::SearchDoubleField
#   sequence - ActiveNetsuite::SearchLongField
#   setupTime - ActiveNetsuite::SearchDoubleField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class ManufacturingRoutingSearchBasic < SearchRecordBasic
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :isDefault
  attr_accessor :isInactive
  attr_accessor :subsidiary
  attr_accessor :item
  attr_accessor :location
  attr_accessor :manufacturingCostTemplate
  attr_accessor :manufacturingWorkCenter
  attr_accessor :memo
  attr_accessor :name
  attr_accessor :operationName
  attr_accessor :operationYield
  attr_accessor :runRate
  attr_accessor :sequence
  attr_accessor :setupTime
  attr_accessor :customFieldList

  def initialize(externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, isDefault = nil, isInactive = nil, subsidiary = nil, item = nil, location = nil, manufacturingCostTemplate = nil, manufacturingWorkCenter = nil, memo = nil, name = nil, operationName = nil, operationYield = nil, runRate = nil, sequence = nil, setupTime = nil, customFieldList = nil)
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @isDefault = isDefault
    @isInactive = isInactive
    @subsidiary = subsidiary
    @item = item
    @location = location
    @manufacturingCostTemplate = manufacturingCostTemplate
    @manufacturingWorkCenter = manufacturingWorkCenter
    @memo = memo
    @name = name
    @operationName = operationName
    @operationYield = operationYield
    @runRate = runRate
    @sequence = sequence
    @setupTime = setupTime
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ManufacturingOperationTaskSearchBasic
#   actualRunTime - ActiveNetsuite::SearchDoubleField
#   actualSetupTime - ActiveNetsuite::SearchDoubleField
#   completedQuantity - ActiveNetsuite::SearchDoubleField
#   endDate - ActiveNetsuite::SearchDateField
#   estimatedWork - ActiveNetsuite::SearchDoubleField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   id - ActiveNetsuite::SearchLongField
#   inputQuantity - ActiveNetsuite::SearchDoubleField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   laborResources - ActiveNetsuite::SearchLongField
#   machineResources - ActiveNetsuite::SearchLongField
#   manufacturingCostTemplate - ActiveNetsuite::SearchMultiSelectField
#   manufacturingWorkCenter - ActiveNetsuite::SearchMultiSelectField
#   name - ActiveNetsuite::SearchStringField
#   order - ActiveNetsuite::SearchDoubleField
#   predecessor - ActiveNetsuite::SearchMultiSelectField
#   remainingQuantity - ActiveNetsuite::SearchDoubleField
#   runRate - ActiveNetsuite::SearchDoubleField
#   runTime - ActiveNetsuite::SearchDoubleField
#   sequence - ActiveNetsuite::SearchLongField
#   setupTime - ActiveNetsuite::SearchDoubleField
#   startDate - ActiveNetsuite::SearchDateField
#   status - ActiveNetsuite::SearchMultiSelectField
#   workOrder - ActiveNetsuite::SearchMultiSelectField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class ManufacturingOperationTaskSearchBasic < SearchRecordBasic
  attr_accessor :actualRunTime
  attr_accessor :actualSetupTime
  attr_accessor :completedQuantity
  attr_accessor :endDate
  attr_accessor :estimatedWork
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :id
  attr_accessor :inputQuantity
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :laborResources
  attr_accessor :machineResources
  attr_accessor :manufacturingCostTemplate
  attr_accessor :manufacturingWorkCenter
  attr_accessor :name
  attr_accessor :order
  attr_accessor :predecessor
  attr_accessor :remainingQuantity
  attr_accessor :runRate
  attr_accessor :runTime
  attr_accessor :sequence
  attr_accessor :setupTime
  attr_accessor :startDate
  attr_accessor :status
  attr_accessor :workOrder
  attr_accessor :customFieldList

  def initialize(actualRunTime = nil, actualSetupTime = nil, completedQuantity = nil, endDate = nil, estimatedWork = nil, externalId = nil, externalIdString = nil, id = nil, inputQuantity = nil, internalId = nil, internalIdNumber = nil, laborResources = nil, machineResources = nil, manufacturingCostTemplate = nil, manufacturingWorkCenter = nil, name = nil, order = nil, predecessor = nil, remainingQuantity = nil, runRate = nil, runTime = nil, sequence = nil, setupTime = nil, startDate = nil, status = nil, workOrder = nil, customFieldList = nil)
    @actualRunTime = actualRunTime
    @actualSetupTime = actualSetupTime
    @completedQuantity = completedQuantity
    @endDate = endDate
    @estimatedWork = estimatedWork
    @externalId = externalId
    @externalIdString = externalIdString
    @id = id
    @inputQuantity = inputQuantity
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @laborResources = laborResources
    @machineResources = machineResources
    @manufacturingCostTemplate = manufacturingCostTemplate
    @manufacturingWorkCenter = manufacturingWorkCenter
    @name = name
    @order = order
    @predecessor = predecessor
    @remainingQuantity = remainingQuantity
    @runRate = runRate
    @runTime = runTime
    @sequence = sequence
    @setupTime = setupTime
    @startDate = startDate
    @status = status
    @workOrder = workOrder
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ResourceAllocationSearchBasic
#   allocationType - ActiveNetsuite::SearchMultiSelectField
#   allocationUnit - ActiveNetsuite::SearchEnumMultiSelectField
#   customer - ActiveNetsuite::SearchMultiSelectField
#   endDate - ActiveNetsuite::SearchDateField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   notes - ActiveNetsuite::SearchStringField
#   numberHours - ActiveNetsuite::SearchDoubleField
#   percentOfTime - ActiveNetsuite::SearchDoubleField
#   project - ActiveNetsuite::SearchMultiSelectField
#   requestedBy - ActiveNetsuite::SearchMultiSelectField
#   resource - ActiveNetsuite::SearchMultiSelectField
#   startDate - ActiveNetsuite::SearchDateField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class ResourceAllocationSearchBasic < SearchRecordBasic
  attr_accessor :allocationType
  attr_accessor :allocationUnit
  attr_accessor :customer
  attr_accessor :endDate
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :notes
  attr_accessor :numberHours
  attr_accessor :percentOfTime
  attr_accessor :project
  attr_accessor :requestedBy
  attr_accessor :resource
  attr_accessor :startDate
  attr_accessor :customFieldList

  def initialize(allocationType = nil, allocationUnit = nil, customer = nil, endDate = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, notes = nil, numberHours = nil, percentOfTime = nil, project = nil, requestedBy = nil, resource = nil, startDate = nil, customFieldList = nil)
    @allocationType = allocationType
    @allocationUnit = allocationUnit
    @customer = customer
    @endDate = endDate
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @notes = notes
    @numberHours = numberHours
    @percentOfTime = percentOfTime
    @project = project
    @requestedBy = requestedBy
    @resource = resource
    @startDate = startDate
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ChargeSearchBasic
#   amount - ActiveNetsuite::SearchDoubleField
#   billingItem - ActiveNetsuite::SearchMultiSelectField
#   billTo - ActiveNetsuite::SearchMultiSelectField
#   chargeDate - ActiveNetsuite::SearchDateField
#   chargeType - ActiveNetsuite::SearchEnumMultiSelectField
#   createdDate - ActiveNetsuite::SearchDateField
#   currency - ActiveNetsuite::SearchMultiSelectField
#   externalId - ActiveNetsuite::SearchMultiSelectField
#   externalIdString - ActiveNetsuite::SearchStringField
#   internalId - ActiveNetsuite::SearchMultiSelectField
#   internalIdNumber - ActiveNetsuite::SearchLongField
#   modifiedDate - ActiveNetsuite::SearchDateField
#   postingPeriod - ActiveNetsuite::RecordRef
#   postingPeriodRelative - ActiveNetsuite::PostingPeriodDate
#   quantity - ActiveNetsuite::SearchDoubleField
#   rate - ActiveNetsuite::SearchDoubleField
#   rule - ActiveNetsuite::SearchMultiSelectField
#   runId - ActiveNetsuite::SearchStringField
#   salesOrder - ActiveNetsuite::SearchLongField
#   stage - ActiveNetsuite::SearchEnumMultiSelectField
#   use - ActiveNetsuite::SearchEnumMultiSelectField
#   customFieldList - ActiveNetsuite::SearchCustomFieldList
class ChargeSearchBasic < SearchRecordBasic
  attr_accessor :amount
  attr_accessor :billingItem
  attr_accessor :billTo
  attr_accessor :chargeDate
  attr_accessor :chargeType
  attr_accessor :createdDate
  attr_accessor :currency
  attr_accessor :externalId
  attr_accessor :externalIdString
  attr_accessor :internalId
  attr_accessor :internalIdNumber
  attr_accessor :modifiedDate
  attr_accessor :postingPeriod
  attr_accessor :postingPeriodRelative
  attr_accessor :quantity
  attr_accessor :rate
  attr_accessor :rule
  attr_accessor :runId
  attr_accessor :salesOrder
  attr_accessor :stage
  attr_accessor :use
  attr_accessor :customFieldList

  def initialize(amount = nil, billingItem = nil, billTo = nil, chargeDate = nil, chargeType = nil, createdDate = nil, currency = nil, externalId = nil, externalIdString = nil, internalId = nil, internalIdNumber = nil, modifiedDate = nil, postingPeriod = nil, postingPeriodRelative = nil, quantity = nil, rate = nil, rule = nil, runId = nil, salesOrder = nil, stage = nil, use = nil, customFieldList = nil)
    @amount = amount
    @billingItem = billingItem
    @billTo = billTo
    @chargeDate = chargeDate
    @chargeType = chargeType
    @createdDate = createdDate
    @currency = currency
    @externalId = externalId
    @externalIdString = externalIdString
    @internalId = internalId
    @internalIdNumber = internalIdNumber
    @modifiedDate = modifiedDate
    @postingPeriod = postingPeriod
    @postingPeriodRelative = postingPeriodRelative
    @quantity = quantity
    @rate = rate
    @rule = rule
    @runId = runId
    @salesOrder = salesOrder
    @stage = stage
    @use = use
    @customFieldList = customFieldList
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}CalendarEventSearch
#   basic - ActiveNetsuite::CalendarEventSearchBasic
#   attendeeJoin - ActiveNetsuite::EntitySearchBasic
#   attendeeContactJoin - ActiveNetsuite::ContactSearchBasic
#   attendeeCustomerJoin - ActiveNetsuite::CustomerSearchBasic
#   caseJoin - ActiveNetsuite::SupportCaseSearchBasic
#   fileJoin - ActiveNetsuite::FileSearchBasic
#   opportunityJoin - ActiveNetsuite::OpportunitySearchBasic
#   originatingLeadJoin - ActiveNetsuite::OriginatingLeadSearchBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class CalendarEventSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :attendeeJoin
  attr_accessor :attendeeContactJoin
  attr_accessor :attendeeCustomerJoin
  attr_accessor :caseJoin
  attr_accessor :fileJoin
  attr_accessor :opportunityJoin
  attr_accessor :originatingLeadJoin
  attr_accessor :transactionJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, attendeeJoin = nil, attendeeContactJoin = nil, attendeeCustomerJoin = nil, caseJoin = nil, fileJoin = nil, opportunityJoin = nil, originatingLeadJoin = nil, transactionJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @attendeeJoin = attendeeJoin
    @attendeeContactJoin = attendeeContactJoin
    @attendeeCustomerJoin = attendeeCustomerJoin
    @caseJoin = caseJoin
    @fileJoin = fileJoin
    @opportunityJoin = opportunityJoin
    @originatingLeadJoin = originatingLeadJoin
    @transactionJoin = transactionJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}CalendarEventSearchAdvanced
#   criteria - ActiveNetsuite::CalendarEventSearch
#   columns - ActiveNetsuite::CalendarEventSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class CalendarEventSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}TaskSearch
#   basic - ActiveNetsuite::TaskSearchBasic
#   caseJoin - ActiveNetsuite::SupportCaseSearchBasic
#   companyCustomerJoin - ActiveNetsuite::CustomerSearchBasic
#   contactJoin - ActiveNetsuite::ContactSearchBasic
#   employeeJoin - ActiveNetsuite::EmployeeSearchBasic
#   fileJoin - ActiveNetsuite::FileSearchBasic
#   jobJoin - ActiveNetsuite::JobSearchBasic
#   opportunityJoin - ActiveNetsuite::OpportunitySearchBasic
#   originatingLeadJoin - ActiveNetsuite::OriginatingLeadSearchBasic
#   timeJoin - ActiveNetsuite::TimeBillSearchBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class TaskSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :caseJoin
  attr_accessor :companyCustomerJoin
  attr_accessor :contactJoin
  attr_accessor :employeeJoin
  attr_accessor :fileJoin
  attr_accessor :jobJoin
  attr_accessor :opportunityJoin
  attr_accessor :originatingLeadJoin
  attr_accessor :timeJoin
  attr_accessor :transactionJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, caseJoin = nil, companyCustomerJoin = nil, contactJoin = nil, employeeJoin = nil, fileJoin = nil, jobJoin = nil, opportunityJoin = nil, originatingLeadJoin = nil, timeJoin = nil, transactionJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @caseJoin = caseJoin
    @companyCustomerJoin = companyCustomerJoin
    @contactJoin = contactJoin
    @employeeJoin = employeeJoin
    @fileJoin = fileJoin
    @jobJoin = jobJoin
    @opportunityJoin = opportunityJoin
    @originatingLeadJoin = originatingLeadJoin
    @timeJoin = timeJoin
    @transactionJoin = transactionJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}TaskSearchAdvanced
#   criteria - ActiveNetsuite::TaskSearch
#   columns - ActiveNetsuite::TaskSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class TaskSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}PhoneCallSearch
#   basic - ActiveNetsuite::PhoneCallSearchBasic
#   caseJoin - ActiveNetsuite::SupportCaseSearchBasic
#   companyCustomerJoin - ActiveNetsuite::CustomerSearchBasic
#   contactJoin - ActiveNetsuite::ContactSearchBasic
#   employeeJoin - ActiveNetsuite::EmployeeSearchBasic
#   fileJoin - ActiveNetsuite::FileSearchBasic
#   opportunityJoin - ActiveNetsuite::OpportunitySearchBasic
#   originatingLeadJoin - ActiveNetsuite::OriginatingLeadSearchBasic
#   participantJoin - ActiveNetsuite::EntitySearchBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class PhoneCallSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :caseJoin
  attr_accessor :companyCustomerJoin
  attr_accessor :contactJoin
  attr_accessor :employeeJoin
  attr_accessor :fileJoin
  attr_accessor :opportunityJoin
  attr_accessor :originatingLeadJoin
  attr_accessor :participantJoin
  attr_accessor :transactionJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, caseJoin = nil, companyCustomerJoin = nil, contactJoin = nil, employeeJoin = nil, fileJoin = nil, opportunityJoin = nil, originatingLeadJoin = nil, participantJoin = nil, transactionJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @caseJoin = caseJoin
    @companyCustomerJoin = companyCustomerJoin
    @contactJoin = contactJoin
    @employeeJoin = employeeJoin
    @fileJoin = fileJoin
    @opportunityJoin = opportunityJoin
    @originatingLeadJoin = originatingLeadJoin
    @participantJoin = participantJoin
    @transactionJoin = transactionJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}PhoneCallSearchAdvanced
#   criteria - ActiveNetsuite::PhoneCallSearch
#   columns - ActiveNetsuite::PhoneCallSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class PhoneCallSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}ProjectTaskSearch
#   basic - ActiveNetsuite::ProjectTaskSearchBasic
#   jobJoin - ActiveNetsuite::JobSearchBasic
#   predecessorJoin - ActiveNetsuite::ProjectTaskSearchBasic
#   projectTaskAssignmentJoin - ActiveNetsuite::ProjectTaskAssignmentSearchBasic
#   successorJoin - ActiveNetsuite::ProjectTaskSearchBasic
#   timeJoin - ActiveNetsuite::TimeBillSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class ProjectTaskSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :jobJoin
  attr_accessor :predecessorJoin
  attr_accessor :projectTaskAssignmentJoin
  attr_accessor :successorJoin
  attr_accessor :timeJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, jobJoin = nil, predecessorJoin = nil, projectTaskAssignmentJoin = nil, successorJoin = nil, timeJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @jobJoin = jobJoin
    @predecessorJoin = predecessorJoin
    @projectTaskAssignmentJoin = projectTaskAssignmentJoin
    @successorJoin = successorJoin
    @timeJoin = timeJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}ProjectTaskSearchAdvanced
#   criteria - ActiveNetsuite::ProjectTaskSearch
#   columns - ActiveNetsuite::ProjectTaskSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class ProjectTaskSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}ResourceAllocationSearch
#   basic - ActiveNetsuite::ResourceAllocationSearchBasic
#   customerJoin - ActiveNetsuite::CustomerSearchBasic
#   employeeJoin - ActiveNetsuite::EmployeeSearchBasic
#   jobJoin - ActiveNetsuite::JobSearchBasic
#   requestedByJoin - ActiveNetsuite::EntitySearchBasic
#   resourceJoin - ActiveNetsuite::EntitySearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   vendorJoin - ActiveNetsuite::VendorSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class ResourceAllocationSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :customerJoin
  attr_accessor :employeeJoin
  attr_accessor :jobJoin
  attr_accessor :requestedByJoin
  attr_accessor :resourceJoin
  attr_accessor :userJoin
  attr_accessor :vendorJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, customerJoin = nil, employeeJoin = nil, jobJoin = nil, requestedByJoin = nil, resourceJoin = nil, userJoin = nil, vendorJoin = nil, customSearchJoin = [])
    @basic = basic
    @customerJoin = customerJoin
    @employeeJoin = employeeJoin
    @jobJoin = jobJoin
    @requestedByJoin = requestedByJoin
    @resourceJoin = resourceJoin
    @userJoin = userJoin
    @vendorJoin = vendorJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}ResourceAllocationSearchAdvanced
#   criteria - ActiveNetsuite::ResourceAllocationSearch
#   columns - ActiveNetsuite::ResourceAllocationSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class ResourceAllocationSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:communication_2013_2.general.webservices.netsuite.com}NoteSearch
#   basic - ActiveNetsuite::NoteSearchBasic
#   authorJoin - ActiveNetsuite::EmployeeSearchBasic
#   callJoin - ActiveNetsuite::PhoneCallSearchBasic
#   campaignJoin - ActiveNetsuite::CampaignSearchBasic
#   caseJoin - ActiveNetsuite::SupportCaseSearchBasic
#   contactJoin - ActiveNetsuite::ContactSearchBasic
#   customerJoin - ActiveNetsuite::CustomerSearchBasic
#   employeeJoin - ActiveNetsuite::EmployeeSearchBasic
#   entityJoin - ActiveNetsuite::EntitySearchBasic
#   eventJoin - ActiveNetsuite::CalendarEventSearchBasic
#   issueJoin - ActiveNetsuite::IssueSearchBasic
#   itemJoin - ActiveNetsuite::ItemSearchBasic
#   opportunityJoin - ActiveNetsuite::OpportunitySearchBasic
#   originatingLeadJoin - ActiveNetsuite::OriginatingLeadSearchBasic
#   partnerJoin - ActiveNetsuite::PartnerSearchBasic
#   solutionJoin - ActiveNetsuite::SolutionSearchBasic
#   taskJoin - ActiveNetsuite::TaskSearchBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   vendorJoin - ActiveNetsuite::VendorSearchBasic
class NoteSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :authorJoin
  attr_accessor :callJoin
  attr_accessor :campaignJoin
  attr_accessor :caseJoin
  attr_accessor :contactJoin
  attr_accessor :customerJoin
  attr_accessor :employeeJoin
  attr_accessor :entityJoin
  attr_accessor :eventJoin
  attr_accessor :issueJoin
  attr_accessor :itemJoin
  attr_accessor :opportunityJoin
  attr_accessor :originatingLeadJoin
  attr_accessor :partnerJoin
  attr_accessor :solutionJoin
  attr_accessor :taskJoin
  attr_accessor :transactionJoin
  attr_accessor :userJoin
  attr_accessor :vendorJoin

  def initialize(basic = nil, authorJoin = nil, callJoin = nil, campaignJoin = nil, caseJoin = nil, contactJoin = nil, customerJoin = nil, employeeJoin = nil, entityJoin = nil, eventJoin = nil, issueJoin = nil, itemJoin = nil, opportunityJoin = nil, originatingLeadJoin = nil, partnerJoin = nil, solutionJoin = nil, taskJoin = nil, transactionJoin = nil, userJoin = nil, vendorJoin = nil)
    @basic = basic
    @authorJoin = authorJoin
    @callJoin = callJoin
    @campaignJoin = campaignJoin
    @caseJoin = caseJoin
    @contactJoin = contactJoin
    @customerJoin = customerJoin
    @employeeJoin = employeeJoin
    @entityJoin = entityJoin
    @eventJoin = eventJoin
    @issueJoin = issueJoin
    @itemJoin = itemJoin
    @opportunityJoin = opportunityJoin
    @originatingLeadJoin = originatingLeadJoin
    @partnerJoin = partnerJoin
    @solutionJoin = solutionJoin
    @taskJoin = taskJoin
    @transactionJoin = transactionJoin
    @userJoin = userJoin
    @vendorJoin = vendorJoin
  end
end

# {urn:communication_2013_2.general.webservices.netsuite.com}NoteSearchAdvanced
#   criteria - ActiveNetsuite::NoteSearch
#   columns - ActiveNetsuite::NoteSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class NoteSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:communication_2013_2.general.webservices.netsuite.com}MessageSearch
#   basic - ActiveNetsuite::MessageSearchBasic
#   attachmentsJoin - ActiveNetsuite::FileSearchBasic
#   authorJoin - ActiveNetsuite::EntitySearchBasic
#   campaignJoin - ActiveNetsuite::CampaignSearchBasic
#   caseJoin - ActiveNetsuite::SupportCaseSearchBasic
#   contactJoin - ActiveNetsuite::ContactSearchBasic
#   customerJoin - ActiveNetsuite::CustomerSearchBasic
#   employeeJoin - ActiveNetsuite::EmployeeSearchBasic
#   entityJoin - ActiveNetsuite::EntitySearchBasic
#   opportunityJoin - ActiveNetsuite::OpportunitySearchBasic
#   originatingLeadJoin - ActiveNetsuite::OriginatingLeadSearchBasic
#   partnerJoin - ActiveNetsuite::PartnerSearchBasic
#   recipientJoin - ActiveNetsuite::EntitySearchBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   vendorJoin - ActiveNetsuite::VendorSearchBasic
class MessageSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :attachmentsJoin
  attr_accessor :authorJoin
  attr_accessor :campaignJoin
  attr_accessor :caseJoin
  attr_accessor :contactJoin
  attr_accessor :customerJoin
  attr_accessor :employeeJoin
  attr_accessor :entityJoin
  attr_accessor :opportunityJoin
  attr_accessor :originatingLeadJoin
  attr_accessor :partnerJoin
  attr_accessor :recipientJoin
  attr_accessor :transactionJoin
  attr_accessor :userJoin
  attr_accessor :vendorJoin

  def initialize(basic = nil, attachmentsJoin = nil, authorJoin = nil, campaignJoin = nil, caseJoin = nil, contactJoin = nil, customerJoin = nil, employeeJoin = nil, entityJoin = nil, opportunityJoin = nil, originatingLeadJoin = nil, partnerJoin = nil, recipientJoin = nil, transactionJoin = nil, userJoin = nil, vendorJoin = nil)
    @basic = basic
    @attachmentsJoin = attachmentsJoin
    @authorJoin = authorJoin
    @campaignJoin = campaignJoin
    @caseJoin = caseJoin
    @contactJoin = contactJoin
    @customerJoin = customerJoin
    @employeeJoin = employeeJoin
    @entityJoin = entityJoin
    @opportunityJoin = opportunityJoin
    @originatingLeadJoin = originatingLeadJoin
    @partnerJoin = partnerJoin
    @recipientJoin = recipientJoin
    @transactionJoin = transactionJoin
    @userJoin = userJoin
    @vendorJoin = vendorJoin
  end
end

# {urn:communication_2013_2.general.webservices.netsuite.com}MessageSearchAdvanced
#   criteria - ActiveNetsuite::MessageSearch
#   columns - ActiveNetsuite::MessageSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class MessageSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:filecabinet_2013_2.documents.webservices.netsuite.com}FileSearch
#   basic - ActiveNetsuite::FileSearchBasic
#   shopperJoin - ActiveNetsuite::CustomerSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class FileSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :shopperJoin
  attr_accessor :userJoin

  def initialize(basic = nil, shopperJoin = nil, userJoin = nil)
    @basic = basic
    @shopperJoin = shopperJoin
    @userJoin = userJoin
  end
end

# {urn:filecabinet_2013_2.documents.webservices.netsuite.com}FileSearchAdvanced
#   criteria - ActiveNetsuite::FileSearch
#   columns - ActiveNetsuite::FileSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class FileSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:filecabinet_2013_2.documents.webservices.netsuite.com}FolderSearch
#   basic - ActiveNetsuite::FolderSearchBasic
#   fileJoin - ActiveNetsuite::FileSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class FolderSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :fileJoin
  attr_accessor :userJoin

  def initialize(basic = nil, fileJoin = nil, userJoin = nil)
    @basic = basic
    @fileJoin = fileJoin
    @userJoin = userJoin
  end
end

# {urn:filecabinet_2013_2.documents.webservices.netsuite.com}FolderSearchAdvanced
#   criteria - ActiveNetsuite::FolderSearch
#   columns - ActiveNetsuite::FolderSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class FolderSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}ContactSearch
#   basic - ActiveNetsuite::ContactSearchBasic
#   callJoin - ActiveNetsuite::PhoneCallSearchBasic
#   campaignResponseJoin - ActiveNetsuite::CampaignSearchBasic
#   caseJoin - ActiveNetsuite::SupportCaseSearchBasic
#   customerJoin - ActiveNetsuite::CustomerSearchBasic
#   customerPrimaryJoin - ActiveNetsuite::CustomerSearchBasic
#   eventJoin - ActiveNetsuite::CalendarEventSearchBasic
#   fileJoin - ActiveNetsuite::FileSearchBasic
#   jobJoin - ActiveNetsuite::JobSearchBasic
#   jobPrimaryJoin - ActiveNetsuite::JobSearchBasic
#   messagesJoin - ActiveNetsuite::MessageSearchBasic
#   messagesFromJoin - ActiveNetsuite::MessageSearchBasic
#   messagesToJoin - ActiveNetsuite::MessageSearchBasic
#   opportunityJoin - ActiveNetsuite::OpportunitySearchBasic
#   parentCustomerJoin - ActiveNetsuite::CustomerSearchBasic
#   parentJobJoin - ActiveNetsuite::JobSearchBasic
#   parentPartnerJoin - ActiveNetsuite::PartnerSearchBasic
#   parentVendorJoin - ActiveNetsuite::VendorSearchBasic
#   partnerJoin - ActiveNetsuite::PartnerSearchBasic
#   partnerPrimaryJoin - ActiveNetsuite::PartnerSearchBasic
#   purchasedItemJoin - ActiveNetsuite::ItemSearchBasic
#   taskJoin - ActiveNetsuite::TaskSearchBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchBasic
#   upsellItemJoin - ActiveNetsuite::ItemSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchBasic
#   vendorJoin - ActiveNetsuite::VendorSearchBasic
#   vendorPrimaryJoin - ActiveNetsuite::VendorSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class ContactSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :callJoin
  attr_accessor :campaignResponseJoin
  attr_accessor :caseJoin
  attr_accessor :customerJoin
  attr_accessor :customerPrimaryJoin
  attr_accessor :eventJoin
  attr_accessor :fileJoin
  attr_accessor :jobJoin
  attr_accessor :jobPrimaryJoin
  attr_accessor :messagesJoin
  attr_accessor :messagesFromJoin
  attr_accessor :messagesToJoin
  attr_accessor :opportunityJoin
  attr_accessor :parentCustomerJoin
  attr_accessor :parentJobJoin
  attr_accessor :parentPartnerJoin
  attr_accessor :parentVendorJoin
  attr_accessor :partnerJoin
  attr_accessor :partnerPrimaryJoin
  attr_accessor :purchasedItemJoin
  attr_accessor :taskJoin
  attr_accessor :transactionJoin
  attr_accessor :upsellItemJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :vendorJoin
  attr_accessor :vendorPrimaryJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, callJoin = nil, campaignResponseJoin = nil, caseJoin = nil, customerJoin = nil, customerPrimaryJoin = nil, eventJoin = nil, fileJoin = nil, jobJoin = nil, jobPrimaryJoin = nil, messagesJoin = nil, messagesFromJoin = nil, messagesToJoin = nil, opportunityJoin = nil, parentCustomerJoin = nil, parentJobJoin = nil, parentPartnerJoin = nil, parentVendorJoin = nil, partnerJoin = nil, partnerPrimaryJoin = nil, purchasedItemJoin = nil, taskJoin = nil, transactionJoin = nil, upsellItemJoin = nil, userJoin = nil, userNotesJoin = nil, vendorJoin = nil, vendorPrimaryJoin = nil, customSearchJoin = [])
    @basic = basic
    @callJoin = callJoin
    @campaignResponseJoin = campaignResponseJoin
    @caseJoin = caseJoin
    @customerJoin = customerJoin
    @customerPrimaryJoin = customerPrimaryJoin
    @eventJoin = eventJoin
    @fileJoin = fileJoin
    @jobJoin = jobJoin
    @jobPrimaryJoin = jobPrimaryJoin
    @messagesJoin = messagesJoin
    @messagesFromJoin = messagesFromJoin
    @messagesToJoin = messagesToJoin
    @opportunityJoin = opportunityJoin
    @parentCustomerJoin = parentCustomerJoin
    @parentJobJoin = parentJobJoin
    @parentPartnerJoin = parentPartnerJoin
    @parentVendorJoin = parentVendorJoin
    @partnerJoin = partnerJoin
    @partnerPrimaryJoin = partnerPrimaryJoin
    @purchasedItemJoin = purchasedItemJoin
    @taskJoin = taskJoin
    @transactionJoin = transactionJoin
    @upsellItemJoin = upsellItemJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @vendorJoin = vendorJoin
    @vendorPrimaryJoin = vendorPrimaryJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}ContactSearchAdvanced
#   criteria - ActiveNetsuite::ContactSearch
#   columns - ActiveNetsuite::ContactSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class ContactSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerSearch
#   basic - ActiveNetsuite::CustomerSearchBasic
#   callJoin - ActiveNetsuite::PhoneCallSearchBasic
#   campaignResponseJoin - ActiveNetsuite::CampaignSearchBasic
#   caseJoin - ActiveNetsuite::SupportCaseSearchBasic
#   contactJoin - ActiveNetsuite::ContactSearchBasic
#   contactPrimaryJoin - ActiveNetsuite::ContactSearchBasic
#   eventJoin - ActiveNetsuite::CalendarEventSearchBasic
#   fileJoin - ActiveNetsuite::FileSearchBasic
#   hostedPageJoin - ActiveNetsuite::FileSearchBasic
#   jobJoin - ActiveNetsuite::JobSearchBasic
#   leadSourceJoin - ActiveNetsuite::CampaignSearchBasic
#   messagesJoin - ActiveNetsuite::MessageSearchBasic
#   messagesFromJoin - ActiveNetsuite::MessageSearchBasic
#   messagesToJoin - ActiveNetsuite::MessageSearchBasic
#   opportunityJoin - ActiveNetsuite::OpportunitySearchBasic
#   originatingLeadJoin - ActiveNetsuite::OriginatingLeadSearchBasic
#   parentCustomerJoin - ActiveNetsuite::CustomerSearchBasic
#   partnerJoin - ActiveNetsuite::PartnerSearchBasic
#   purchasedItemJoin - ActiveNetsuite::ItemSearchBasic
#   resourceAllocationJoin - ActiveNetsuite::ResourceAllocationSearchBasic
#   salesRepJoin - ActiveNetsuite::EmployeeSearchBasic
#   subCustomerJoin - ActiveNetsuite::CustomerSearchBasic
#   taskJoin - ActiveNetsuite::TaskSearchBasic
#   timeJoin - ActiveNetsuite::TimeBillSearchBasic
#   topLevelParentJoin - ActiveNetsuite::CustomerSearchBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchBasic
#   upsellItemJoin - ActiveNetsuite::ItemSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchBasic
#   webSiteCategoryJoin - ActiveNetsuite::SiteCategorySearchBasic
#   webSiteItemJoin - ActiveNetsuite::ItemSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class CustomerSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :callJoin
  attr_accessor :campaignResponseJoin
  attr_accessor :caseJoin
  attr_accessor :contactJoin
  attr_accessor :contactPrimaryJoin
  attr_accessor :eventJoin
  attr_accessor :fileJoin
  attr_accessor :hostedPageJoin
  attr_accessor :jobJoin
  attr_accessor :leadSourceJoin
  attr_accessor :messagesJoin
  attr_accessor :messagesFromJoin
  attr_accessor :messagesToJoin
  attr_accessor :opportunityJoin
  attr_accessor :originatingLeadJoin
  attr_accessor :parentCustomerJoin
  attr_accessor :partnerJoin
  attr_accessor :purchasedItemJoin
  attr_accessor :resourceAllocationJoin
  attr_accessor :salesRepJoin
  attr_accessor :subCustomerJoin
  attr_accessor :taskJoin
  attr_accessor :timeJoin
  attr_accessor :topLevelParentJoin
  attr_accessor :transactionJoin
  attr_accessor :upsellItemJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :webSiteCategoryJoin
  attr_accessor :webSiteItemJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, callJoin = nil, campaignResponseJoin = nil, caseJoin = nil, contactJoin = nil, contactPrimaryJoin = nil, eventJoin = nil, fileJoin = nil, hostedPageJoin = nil, jobJoin = nil, leadSourceJoin = nil, messagesJoin = nil, messagesFromJoin = nil, messagesToJoin = nil, opportunityJoin = nil, originatingLeadJoin = nil, parentCustomerJoin = nil, partnerJoin = nil, purchasedItemJoin = nil, resourceAllocationJoin = nil, salesRepJoin = nil, subCustomerJoin = nil, taskJoin = nil, timeJoin = nil, topLevelParentJoin = nil, transactionJoin = nil, upsellItemJoin = nil, userJoin = nil, userNotesJoin = nil, webSiteCategoryJoin = nil, webSiteItemJoin = nil, customSearchJoin = [])
    @basic = basic
    @callJoin = callJoin
    @campaignResponseJoin = campaignResponseJoin
    @caseJoin = caseJoin
    @contactJoin = contactJoin
    @contactPrimaryJoin = contactPrimaryJoin
    @eventJoin = eventJoin
    @fileJoin = fileJoin
    @hostedPageJoin = hostedPageJoin
    @jobJoin = jobJoin
    @leadSourceJoin = leadSourceJoin
    @messagesJoin = messagesJoin
    @messagesFromJoin = messagesFromJoin
    @messagesToJoin = messagesToJoin
    @opportunityJoin = opportunityJoin
    @originatingLeadJoin = originatingLeadJoin
    @parentCustomerJoin = parentCustomerJoin
    @partnerJoin = partnerJoin
    @purchasedItemJoin = purchasedItemJoin
    @resourceAllocationJoin = resourceAllocationJoin
    @salesRepJoin = salesRepJoin
    @subCustomerJoin = subCustomerJoin
    @taskJoin = taskJoin
    @timeJoin = timeJoin
    @topLevelParentJoin = topLevelParentJoin
    @transactionJoin = transactionJoin
    @upsellItemJoin = upsellItemJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @webSiteCategoryJoin = webSiteCategoryJoin
    @webSiteItemJoin = webSiteItemJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerSearchAdvanced
#   criteria - ActiveNetsuite::CustomerSearch
#   columns - ActiveNetsuite::CustomerSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class CustomerSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}PartnerSearch
#   basic - ActiveNetsuite::PartnerSearchBasic
#   campaignResponseJoin - ActiveNetsuite::CampaignSearchBasic
#   contactJoin - ActiveNetsuite::ContactSearchBasic
#   contactPrimaryJoin - ActiveNetsuite::ContactSearchBasic
#   customerJoin - ActiveNetsuite::CustomerSearchBasic
#   fileJoin - ActiveNetsuite::FileSearchBasic
#   messagesJoin - ActiveNetsuite::MessageSearchBasic
#   messagesFromJoin - ActiveNetsuite::MessageSearchBasic
#   messagesToJoin - ActiveNetsuite::MessageSearchBasic
#   opportunityJoin - ActiveNetsuite::OpportunitySearchBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class PartnerSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :campaignResponseJoin
  attr_accessor :contactJoin
  attr_accessor :contactPrimaryJoin
  attr_accessor :customerJoin
  attr_accessor :fileJoin
  attr_accessor :messagesJoin
  attr_accessor :messagesFromJoin
  attr_accessor :messagesToJoin
  attr_accessor :opportunityJoin
  attr_accessor :transactionJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, campaignResponseJoin = nil, contactJoin = nil, contactPrimaryJoin = nil, customerJoin = nil, fileJoin = nil, messagesJoin = nil, messagesFromJoin = nil, messagesToJoin = nil, opportunityJoin = nil, transactionJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @campaignResponseJoin = campaignResponseJoin
    @contactJoin = contactJoin
    @contactPrimaryJoin = contactPrimaryJoin
    @customerJoin = customerJoin
    @fileJoin = fileJoin
    @messagesJoin = messagesJoin
    @messagesFromJoin = messagesFromJoin
    @messagesToJoin = messagesToJoin
    @opportunityJoin = opportunityJoin
    @transactionJoin = transactionJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}PartnerSearchAdvanced
#   criteria - ActiveNetsuite::PartnerSearch
#   columns - ActiveNetsuite::PartnerSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class PartnerSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}VendorSearch
#   basic - ActiveNetsuite::VendorSearchBasic
#   campaignResponseJoin - ActiveNetsuite::CampaignSearchBasic
#   contactJoin - ActiveNetsuite::ContactSearchBasic
#   contactPrimaryJoin - ActiveNetsuite::ContactSearchBasic
#   fileJoin - ActiveNetsuite::FileSearchBasic
#   messagesJoin - ActiveNetsuite::MessageSearchBasic
#   messagesFromJoin - ActiveNetsuite::MessageSearchBasic
#   messagesToJoin - ActiveNetsuite::MessageSearchBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class VendorSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :campaignResponseJoin
  attr_accessor :contactJoin
  attr_accessor :contactPrimaryJoin
  attr_accessor :fileJoin
  attr_accessor :messagesJoin
  attr_accessor :messagesFromJoin
  attr_accessor :messagesToJoin
  attr_accessor :transactionJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, campaignResponseJoin = nil, contactJoin = nil, contactPrimaryJoin = nil, fileJoin = nil, messagesJoin = nil, messagesFromJoin = nil, messagesToJoin = nil, transactionJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @campaignResponseJoin = campaignResponseJoin
    @contactJoin = contactJoin
    @contactPrimaryJoin = contactPrimaryJoin
    @fileJoin = fileJoin
    @messagesJoin = messagesJoin
    @messagesFromJoin = messagesFromJoin
    @messagesToJoin = messagesToJoin
    @transactionJoin = transactionJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}VendorSearchAdvanced
#   criteria - ActiveNetsuite::VendorSearch
#   columns - ActiveNetsuite::VendorSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class VendorSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}EntityGroupSearch
#   basic - ActiveNetsuite::EntityGroupSearchBasic
#   groupMemberJoin - ActiveNetsuite::EntitySearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class EntityGroupSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :groupMemberJoin
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, groupMemberJoin = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @groupMemberJoin = groupMemberJoin
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}EntityGroupSearchAdvanced
#   criteria - ActiveNetsuite::EntityGroupSearch
#   columns - ActiveNetsuite::EntityGroupSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class EntityGroupSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}JobSearch
#   basic - ActiveNetsuite::JobSearchBasic
#   contactPrimaryJoin - ActiveNetsuite::ContactSearchBasic
#   customerJoin - ActiveNetsuite::CustomerSearchBasic
#   projectTaskJoin - ActiveNetsuite::ProjectTaskSearchBasic
#   resourceAllocationJoin - ActiveNetsuite::ResourceAllocationSearchBasic
#   taskJoin - ActiveNetsuite::TaskSearchBasic
#   timeJoin - ActiveNetsuite::TimeBillSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class JobSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :contactPrimaryJoin
  attr_accessor :customerJoin
  attr_accessor :projectTaskJoin
  attr_accessor :resourceAllocationJoin
  attr_accessor :taskJoin
  attr_accessor :timeJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, contactPrimaryJoin = nil, customerJoin = nil, projectTaskJoin = nil, resourceAllocationJoin = nil, taskJoin = nil, timeJoin = nil, customSearchJoin = [])
    @basic = basic
    @contactPrimaryJoin = contactPrimaryJoin
    @customerJoin = customerJoin
    @projectTaskJoin = projectTaskJoin
    @resourceAllocationJoin = resourceAllocationJoin
    @taskJoin = taskJoin
    @timeJoin = timeJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}JobSearchAdvanced
#   criteria - ActiveNetsuite::JobSearch
#   columns - ActiveNetsuite::JobSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class JobSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerStatusSearch
#   basic - ActiveNetsuite::CustomerStatusSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class CustomerStatusSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerStatusSearchAdvanced
#   criteria - ActiveNetsuite::CustomerStatusSearch
#   columns - ActiveNetsuite::CustomerStatusSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class CustomerStatusSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}JobStatusSearch
#   basic - ActiveNetsuite::JobStatusSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class JobStatusSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}JobStatusSearchAdvanced
#   criteria - ActiveNetsuite::JobStatusSearch
#   columns - ActiveNetsuite::JobStatusSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class JobStatusSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}JobTypeSearch
#   basic - ActiveNetsuite::JobTypeSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class JobTypeSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}JobTypeSearchAdvanced
#   criteria - ActiveNetsuite::JobTypeSearch
#   columns - ActiveNetsuite::JobTypeSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class JobTypeSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}OriginatingLeadSearch
#   basic - ActiveNetsuite::OriginatingLeadSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class OriginatingLeadSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :customSearchJoin

  def initialize(basic = nil, customSearchJoin = [])
    @basic = basic
    @customSearchJoin = customSearchJoin
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}SupportCaseSearch
#   basic - ActiveNetsuite::SupportCaseSearchBasic
#   contactJoin - ActiveNetsuite::ContactSearchBasic
#   customerJoin - ActiveNetsuite::CustomerSearchBasic
#   employeeJoin - ActiveNetsuite::EmployeeSearchBasic
#   fileJoin - ActiveNetsuite::FileSearchBasic
#   issueJoin - ActiveNetsuite::IssueSearchBasic
#   itemJoin - ActiveNetsuite::ItemSearchBasic
#   messagesJoin - ActiveNetsuite::MessageSearchBasic
#   timeJoin - ActiveNetsuite::TimeBillSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class SupportCaseSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :contactJoin
  attr_accessor :customerJoin
  attr_accessor :employeeJoin
  attr_accessor :fileJoin
  attr_accessor :issueJoin
  attr_accessor :itemJoin
  attr_accessor :messagesJoin
  attr_accessor :timeJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, contactJoin = nil, customerJoin = nil, employeeJoin = nil, fileJoin = nil, issueJoin = nil, itemJoin = nil, messagesJoin = nil, timeJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @contactJoin = contactJoin
    @customerJoin = customerJoin
    @employeeJoin = employeeJoin
    @fileJoin = fileJoin
    @issueJoin = issueJoin
    @itemJoin = itemJoin
    @messagesJoin = messagesJoin
    @timeJoin = timeJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}SupportCaseSearchAdvanced
#   criteria - ActiveNetsuite::SupportCaseSearch
#   columns - ActiveNetsuite::SupportCaseSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class SupportCaseSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}SolutionSearch
#   basic - ActiveNetsuite::SolutionSearchBasic
#   caseJoin - ActiveNetsuite::SupportCaseSearchBasic
#   relatedSolutionJoin - ActiveNetsuite::SolutionSearchBasic
#   topicJoin - ActiveNetsuite::TopicSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class SolutionSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :caseJoin
  attr_accessor :relatedSolutionJoin
  attr_accessor :topicJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, caseJoin = nil, relatedSolutionJoin = nil, topicJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @caseJoin = caseJoin
    @relatedSolutionJoin = relatedSolutionJoin
    @topicJoin = topicJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}SolutionSearchAdvanced
#   criteria - ActiveNetsuite::SolutionSearch
#   columns - ActiveNetsuite::SolutionSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class SolutionSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}TopicSearch
#   basic - ActiveNetsuite::TopicSearchBasic
#   solutionJoin - ActiveNetsuite::SolutionSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class TopicSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :solutionJoin
  attr_accessor :userJoin

  def initialize(basic = nil, solutionJoin = nil, userJoin = nil)
    @basic = basic
    @solutionJoin = solutionJoin
    @userJoin = userJoin
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}TopicSearchAdvanced
#   criteria - ActiveNetsuite::TopicSearch
#   columns - ActiveNetsuite::TopicSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class TopicSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}IssueSearch
#   basic - ActiveNetsuite::IssueSearchBasic
#   caseJoin - ActiveNetsuite::SupportCaseSearchBasic
#   employeeJoin - ActiveNetsuite::EmployeeSearchBasic
#   fileJoin - ActiveNetsuite::FileSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class IssueSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :caseJoin
  attr_accessor :employeeJoin
  attr_accessor :fileJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, caseJoin = nil, employeeJoin = nil, fileJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @caseJoin = caseJoin
    @employeeJoin = employeeJoin
    @fileJoin = fileJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}IssueSearchAdvanced
#   criteria - ActiveNetsuite::IssueSearch
#   columns - ActiveNetsuite::IssueSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class IssueSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}AccountSearch
#   basic - ActiveNetsuite::AccountSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class AccountSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}AccountSearchAdvanced
#   criteria - ActiveNetsuite::AccountSearch
#   columns - ActiveNetsuite::AccountSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class AccountSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}DepartmentSearch
#   basic - ActiveNetsuite::DepartmentSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class DepartmentSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}DepartmentSearchAdvanced
#   criteria - ActiveNetsuite::DepartmentSearch
#   columns - ActiveNetsuite::DepartmentSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class DepartmentSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ClassificationSearch
#   basic - ActiveNetsuite::ClassificationSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class ClassificationSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ClassificationSearchAdvanced
#   criteria - ActiveNetsuite::ClassificationSearch
#   columns - ActiveNetsuite::ClassificationSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class ClassificationSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}LocationSearch
#   basic - ActiveNetsuite::LocationSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class LocationSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}LocationSearchAdvanced
#   criteria - ActiveNetsuite::LocationSearch
#   columns - ActiveNetsuite::LocationSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class LocationSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ItemSearch
#   basic - ActiveNetsuite::ItemSearchBasic
#   binNumberJoin - ActiveNetsuite::BinSearchBasic
#   binOnHandJoin - ActiveNetsuite::ItemBinNumberSearchBasic
#   correlatedItemJoin - ActiveNetsuite::ItemSearchBasic
#   effectiveRevisionJoin - ActiveNetsuite::ItemRevisionSearchBasic
#   fileJoin - ActiveNetsuite::FileSearchBasic
#   inventoryDetailJoin - ActiveNetsuite::InventoryDetailSearchBasic
#   inventoryLocationJoin - ActiveNetsuite::LocationSearchBasic
#   inventoryNumberJoin - ActiveNetsuite::InventoryNumberSearchBasic
#   inventoryNumberBinOnHandJoin - ActiveNetsuite::InventoryNumberBinSearchBasic
#   memberItemJoin - ActiveNetsuite::ItemSearchBasic
#   obsoleteRevisionJoin - ActiveNetsuite::ItemRevisionSearchBasic
#   parentJoin - ActiveNetsuite::ItemSearchBasic
#   preferredLocationJoin - ActiveNetsuite::LocationSearchBasic
#   preferredVendorJoin - ActiveNetsuite::VendorSearchBasic
#   shopperJoin - ActiveNetsuite::CustomerSearchBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchBasic
#   vendorJoin - ActiveNetsuite::VendorSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class ItemSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :binNumberJoin
  attr_accessor :binOnHandJoin
  attr_accessor :correlatedItemJoin
  attr_accessor :effectiveRevisionJoin
  attr_accessor :fileJoin
  attr_accessor :inventoryDetailJoin
  attr_accessor :inventoryLocationJoin
  attr_accessor :inventoryNumberJoin
  attr_accessor :inventoryNumberBinOnHandJoin
  attr_accessor :memberItemJoin
  attr_accessor :obsoleteRevisionJoin
  attr_accessor :parentJoin
  attr_accessor :preferredLocationJoin
  attr_accessor :preferredVendorJoin
  attr_accessor :shopperJoin
  attr_accessor :transactionJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :vendorJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, binNumberJoin = nil, binOnHandJoin = nil, correlatedItemJoin = nil, effectiveRevisionJoin = nil, fileJoin = nil, inventoryDetailJoin = nil, inventoryLocationJoin = nil, inventoryNumberJoin = nil, inventoryNumberBinOnHandJoin = nil, memberItemJoin = nil, obsoleteRevisionJoin = nil, parentJoin = nil, preferredLocationJoin = nil, preferredVendorJoin = nil, shopperJoin = nil, transactionJoin = nil, userJoin = nil, userNotesJoin = nil, vendorJoin = nil, customSearchJoin = [])
    @basic = basic
    @binNumberJoin = binNumberJoin
    @binOnHandJoin = binOnHandJoin
    @correlatedItemJoin = correlatedItemJoin
    @effectiveRevisionJoin = effectiveRevisionJoin
    @fileJoin = fileJoin
    @inventoryDetailJoin = inventoryDetailJoin
    @inventoryLocationJoin = inventoryLocationJoin
    @inventoryNumberJoin = inventoryNumberJoin
    @inventoryNumberBinOnHandJoin = inventoryNumberBinOnHandJoin
    @memberItemJoin = memberItemJoin
    @obsoleteRevisionJoin = obsoleteRevisionJoin
    @parentJoin = parentJoin
    @preferredLocationJoin = preferredLocationJoin
    @preferredVendorJoin = preferredVendorJoin
    @shopperJoin = shopperJoin
    @transactionJoin = transactionJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @vendorJoin = vendorJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ItemSearchAdvanced
#   criteria - ActiveNetsuite::ItemSearch
#   columns - ActiveNetsuite::ItemSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class ItemSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}BinSearch
#   basic - ActiveNetsuite::BinSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class BinSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}BinSearchAdvanced
#   criteria - ActiveNetsuite::BinSearch
#   columns - ActiveNetsuite::BinSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class BinSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}SubsidiarySearch
#   basic - ActiveNetsuite::SubsidiarySearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class SubsidiarySearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}SubsidiarySearchAdvanced
#   criteria - ActiveNetsuite::SubsidiarySearch
#   columns - ActiveNetsuite::SubsidiarySearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class SubsidiarySearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}GiftCertificateSearch
#   basic - ActiveNetsuite::GiftCertificateSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class GiftCertificateSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}GiftCertificateSearchAdvanced
#   criteria - ActiveNetsuite::GiftCertificateSearch
#   columns - ActiveNetsuite::GiftCertificateSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class GiftCertificateSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}AccountingPeriodSearch
#   basic - ActiveNetsuite::AccountingPeriodSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchBasic
class AccountingPeriodSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin
  attr_accessor :userNotesJoin

  def initialize(basic = nil, userJoin = nil, userNotesJoin = nil)
    @basic = basic
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}AccountingPeriodSearchAdvanced
#   criteria - ActiveNetsuite::AccountingPeriodSearch
#   columns - ActiveNetsuite::AccountingPeriodSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class AccountingPeriodSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ContactCategorySearch
#   basic - ActiveNetsuite::ContactCategorySearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class ContactCategorySearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ContactCategorySearchAdvanced
#   criteria - ActiveNetsuite::ContactCategorySearch
#   columns - ActiveNetsuite::ContactCategorySearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class ContactCategorySearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ContactRoleSearch
#   basic - ActiveNetsuite::ContactRoleSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class ContactRoleSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ContactRoleSearchAdvanced
#   criteria - ActiveNetsuite::ContactRoleSearch
#   columns - ActiveNetsuite::ContactRoleSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class ContactRoleSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}CustomerCategorySearch
#   basic - ActiveNetsuite::CustomerCategorySearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class CustomerCategorySearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}CustomerCategorySearchAdvanced
#   criteria - ActiveNetsuite::CustomerCategorySearch
#   columns - ActiveNetsuite::CustomerCategorySearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class CustomerCategorySearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ExpenseCategorySearch
#   basic - ActiveNetsuite::ExpenseCategorySearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class ExpenseCategorySearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ExpenseCategorySearchAdvanced
#   criteria - ActiveNetsuite::ExpenseCategorySearch
#   columns - ActiveNetsuite::ExpenseCategorySearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class ExpenseCategorySearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}NoteTypeSearch
#   basic - ActiveNetsuite::NoteTypeSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class NoteTypeSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}NoteTypeSearchAdvanced
#   criteria - ActiveNetsuite::NoteTypeSearch
#   columns - ActiveNetsuite::NoteTypeSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class NoteTypeSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}PartnerCategorySearch
#   basic - ActiveNetsuite::PartnerCategorySearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class PartnerCategorySearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}PartnerCategorySearchAdvanced
#   criteria - ActiveNetsuite::PartnerCategorySearch
#   columns - ActiveNetsuite::PartnerCategorySearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class PartnerCategorySearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}PaymentMethodSearch
#   basic - ActiveNetsuite::PaymentMethodSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class PaymentMethodSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}PaymentMethodSearchAdvanced
#   criteria - ActiveNetsuite::PaymentMethodSearch
#   columns - ActiveNetsuite::PaymentMethodSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class PaymentMethodSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}PriceLevelSearch
#   basic - ActiveNetsuite::PriceLevelSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class PriceLevelSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}PriceLevelSearchAdvanced
#   criteria - ActiveNetsuite::PriceLevelSearch
#   columns - ActiveNetsuite::PriceLevelSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class PriceLevelSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}SalesRoleSearch
#   basic - ActiveNetsuite::SalesRoleSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class SalesRoleSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}SalesRoleSearchAdvanced
#   criteria - ActiveNetsuite::SalesRoleSearch
#   columns - ActiveNetsuite::SalesRoleSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class SalesRoleSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}TermSearch
#   basic - ActiveNetsuite::TermSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class TermSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}TermSearchAdvanced
#   criteria - ActiveNetsuite::TermSearch
#   columns - ActiveNetsuite::TermSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class TermSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}VendorCategorySearch
#   basic - ActiveNetsuite::VendorCategorySearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class VendorCategorySearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}VendorCategorySearchAdvanced
#   criteria - ActiveNetsuite::VendorCategorySearch
#   columns - ActiveNetsuite::VendorCategorySearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class VendorCategorySearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}WinLossReasonSearch
#   basic - ActiveNetsuite::WinLossReasonSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class WinLossReasonSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}WinLossReasonSearchAdvanced
#   criteria - ActiveNetsuite::WinLossReasonSearch
#   columns - ActiveNetsuite::WinLossReasonSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class WinLossReasonSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}UnitsTypeSearch
#   basic - ActiveNetsuite::UnitsTypeSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class UnitsTypeSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}UnitsTypeSearchAdvanced
#   criteria - ActiveNetsuite::UnitsTypeSearch
#   columns - ActiveNetsuite::UnitsTypeSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class UnitsTypeSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}PricingGroupSearch
#   basic - ActiveNetsuite::PricingGroupSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class PricingGroupSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}PricingGroupSearchAdvanced
#   criteria - ActiveNetsuite::PricingGroupSearch
#   columns - ActiveNetsuite::PricingGroupSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class PricingGroupSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}InventoryNumberSearch
#   basic - ActiveNetsuite::InventoryNumberSearchBasic
#   itemJoin - ActiveNetsuite::ItemSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class InventoryNumberSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :itemJoin
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, itemJoin = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @itemJoin = itemJoin
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}InventoryNumberSearchAdvanced
#   criteria - ActiveNetsuite::InventoryNumberSearch
#   columns - ActiveNetsuite::InventoryNumberSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class InventoryNumberSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}RevRecScheduleSearch
#   basic - ActiveNetsuite::RevRecScheduleSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class RevRecScheduleSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}RevRecScheduleSearchAdvanced
#   criteria - ActiveNetsuite::RevRecScheduleSearch
#   columns - ActiveNetsuite::RevRecScheduleSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class RevRecScheduleSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}RevRecTemplateSearch
#   basic - ActiveNetsuite::RevRecTemplateSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class RevRecTemplateSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}RevRecTemplateSearchAdvanced
#   criteria - ActiveNetsuite::RevRecTemplateSearch
#   columns - ActiveNetsuite::RevRecTemplateSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class RevRecTemplateSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}NexusSearch
#   basic - ActiveNetsuite::NexusSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class NexusSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}NexusSearchAdvanced
#   criteria - ActiveNetsuite::NexusSearch
#   columns - ActiveNetsuite::NexusSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class NexusSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}OtherNameCategorySearch
#   basic - ActiveNetsuite::OtherNameCategorySearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class OtherNameCategorySearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}OtherNameCategorySearchAdvanced
#   criteria - ActiveNetsuite::OtherNameCategorySearch
#   columns - ActiveNetsuite::OtherNameCategorySearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class OtherNameCategorySearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}CustomerMessageSearch
#   basic - ActiveNetsuite::CustomerMessageSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class CustomerMessageSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}CustomerMessageSearchAdvanced
#   criteria - ActiveNetsuite::CustomerMessageSearch
#   columns - ActiveNetsuite::CustomerMessageSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class CustomerMessageSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}CurrencyRateSearch
#   basic - ActiveNetsuite::CurrencyRateSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class CurrencyRateSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}CurrencyRateSearchAdvanced
#   criteria - ActiveNetsuite::CurrencyRateSearch
#   columns - ActiveNetsuite::CurrencyRateSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class CurrencyRateSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ItemRevisionSearch
#   basic - ActiveNetsuite::ItemRevisionSearchBasic
#   itemJoin - ActiveNetsuite::ItemSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class ItemRevisionSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :itemJoin
  attr_accessor :userJoin

  def initialize(basic = nil, itemJoin = nil, userJoin = nil)
    @basic = basic
    @itemJoin = itemJoin
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ItemRevisionSearchAdvanced
#   criteria - ActiveNetsuite::ItemRevisionSearch
#   columns - ActiveNetsuite::ItemRevisionSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class ItemRevisionSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}OpportunitySearch
#   basic - ActiveNetsuite::OpportunitySearchBasic
#   actualJoin - ActiveNetsuite::TransactionSearchBasic
#   callJoin - ActiveNetsuite::PhoneCallSearchBasic
#   customerJoin - ActiveNetsuite::CustomerSearchBasic
#   decisionMakerJoin - ActiveNetsuite::ContactSearchBasic
#   estimateJoin - ActiveNetsuite::TransactionSearchBasic
#   eventJoin - ActiveNetsuite::CalendarEventSearchBasic
#   fileJoin - ActiveNetsuite::FileSearchBasic
#   itemJoin - ActiveNetsuite::ItemSearchBasic
#   leadSourceJoin - ActiveNetsuite::CampaignSearchBasic
#   messagesJoin - ActiveNetsuite::MessageSearchBasic
#   orderJoin - ActiveNetsuite::TransactionSearchBasic
#   originatingLeadJoin - ActiveNetsuite::OriginatingLeadSearchBasic
#   partnerJoin - ActiveNetsuite::PartnerSearchBasic
#   salesRepJoin - ActiveNetsuite::EmployeeSearchBasic
#   taskJoin - ActiveNetsuite::TaskSearchBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class OpportunitySearch < SearchRecord
  attr_accessor :basic
  attr_accessor :actualJoin
  attr_accessor :callJoin
  attr_accessor :customerJoin
  attr_accessor :decisionMakerJoin
  attr_accessor :estimateJoin
  attr_accessor :eventJoin
  attr_accessor :fileJoin
  attr_accessor :itemJoin
  attr_accessor :leadSourceJoin
  attr_accessor :messagesJoin
  attr_accessor :orderJoin
  attr_accessor :originatingLeadJoin
  attr_accessor :partnerJoin
  attr_accessor :salesRepJoin
  attr_accessor :taskJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, actualJoin = nil, callJoin = nil, customerJoin = nil, decisionMakerJoin = nil, estimateJoin = nil, eventJoin = nil, fileJoin = nil, itemJoin = nil, leadSourceJoin = nil, messagesJoin = nil, orderJoin = nil, originatingLeadJoin = nil, partnerJoin = nil, salesRepJoin = nil, taskJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @actualJoin = actualJoin
    @callJoin = callJoin
    @customerJoin = customerJoin
    @decisionMakerJoin = decisionMakerJoin
    @estimateJoin = estimateJoin
    @eventJoin = eventJoin
    @fileJoin = fileJoin
    @itemJoin = itemJoin
    @leadSourceJoin = leadSourceJoin
    @messagesJoin = messagesJoin
    @orderJoin = orderJoin
    @originatingLeadJoin = originatingLeadJoin
    @partnerJoin = partnerJoin
    @salesRepJoin = salesRepJoin
    @taskJoin = taskJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}OpportunitySearchAdvanced
#   criteria - ActiveNetsuite::OpportunitySearch
#   columns - ActiveNetsuite::OpportunitySearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class OpportunitySearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}TransactionSearch
#   basic - ActiveNetsuite::TransactionSearchBasic
#   accountJoin - ActiveNetsuite::AccountSearchBasic
#   accountingPeriodJoin - ActiveNetsuite::AccountingPeriodSearchBasic
#   appliedToTransactionJoin - ActiveNetsuite::TransactionSearchBasic
#   applyingTransactionJoin - ActiveNetsuite::TransactionSearchBasic
#   billingTransactionJoin - ActiveNetsuite::TransactionSearchBasic
#   binNumberJoin - ActiveNetsuite::BinSearchBasic
#   callJoin - ActiveNetsuite::PhoneCallSearchBasic
#   classJoin - ActiveNetsuite::ClassificationSearchBasic
#   cogsPurchaseJoin - ActiveNetsuite::TransactionSearchBasic
#   cogsSaleJoin - ActiveNetsuite::TransactionSearchBasic
#   contactPrimaryJoin - ActiveNetsuite::ContactSearchBasic
#   createdFromJoin - ActiveNetsuite::TransactionSearchBasic
#   customerJoin - ActiveNetsuite::CustomerSearchBasic
#   customerMainJoin - ActiveNetsuite::CustomerSearchBasic
#   departmentJoin - ActiveNetsuite::DepartmentSearchBasic
#   depositTransactionJoin - ActiveNetsuite::TransactionSearchBasic
#   employeeJoin - ActiveNetsuite::EmployeeSearchBasic
#   eventJoin - ActiveNetsuite::CalendarEventSearchBasic
#   expenseCategoryJoin - ActiveNetsuite::ExpenseCategorySearchBasic
#   fileJoin - ActiveNetsuite::FileSearchBasic
#   fulfillingTransactionJoin - ActiveNetsuite::TransactionSearchBasic
#   inventoryDetailJoin - ActiveNetsuite::InventoryDetailSearchBasic
#   itemJoin - ActiveNetsuite::ItemSearchBasic
#   itemNumberJoin - ActiveNetsuite::InventoryNumberSearchBasic
#   jobJoin - ActiveNetsuite::JobSearchBasic
#   jobMainJoin - ActiveNetsuite::JobSearchBasic
#   leadSourceJoin - ActiveNetsuite::CampaignSearchBasic
#   locationJoin - ActiveNetsuite::LocationSearchBasic
#   messagesJoin - ActiveNetsuite::MessageSearchBasic
#   opportunityJoin - ActiveNetsuite::OpportunitySearchBasic
#   paidTransactionJoin - ActiveNetsuite::TransactionSearchBasic
#   partnerJoin - ActiveNetsuite::PartnerSearchBasic
#   payingTransactionJoin - ActiveNetsuite::TransactionSearchBasic
#   payrollItemJoin - ActiveNetsuite::PayrollItemSearchBasic
#   purchaseOrderJoin - ActiveNetsuite::TransactionSearchBasic
#   requestorJoin - ActiveNetsuite::EmployeeSearchBasic
#   revCommittingTransactionJoin - ActiveNetsuite::TransactionSearchBasic
#   revisionJoin - ActiveNetsuite::ItemRevisionSearchBasic
#   rgPostingTransactionJoin - ActiveNetsuite::TransactionSearchBasic
#   salesOrderJoin - ActiveNetsuite::TransactionSearchBasic
#   salesRepJoin - ActiveNetsuite::EmployeeSearchBasic
#   subsidiaryJoin - ActiveNetsuite::SubsidiarySearchBasic
#   taskJoin - ActiveNetsuite::TaskSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchBasic
#   vendorJoin - ActiveNetsuite::VendorSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class TransactionSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :accountJoin
  attr_accessor :accountingPeriodJoin
  attr_accessor :appliedToTransactionJoin
  attr_accessor :applyingTransactionJoin
  attr_accessor :billingTransactionJoin
  attr_accessor :binNumberJoin
  attr_accessor :callJoin
  attr_accessor :classJoin
  attr_accessor :cogsPurchaseJoin
  attr_accessor :cogsSaleJoin
  attr_accessor :contactPrimaryJoin
  attr_accessor :createdFromJoin
  attr_accessor :customerJoin
  attr_accessor :customerMainJoin
  attr_accessor :departmentJoin
  attr_accessor :depositTransactionJoin
  attr_accessor :employeeJoin
  attr_accessor :eventJoin
  attr_accessor :expenseCategoryJoin
  attr_accessor :fileJoin
  attr_accessor :fulfillingTransactionJoin
  attr_accessor :inventoryDetailJoin
  attr_accessor :itemJoin
  attr_accessor :itemNumberJoin
  attr_accessor :jobJoin
  attr_accessor :jobMainJoin
  attr_accessor :leadSourceJoin
  attr_accessor :locationJoin
  attr_accessor :messagesJoin
  attr_accessor :opportunityJoin
  attr_accessor :paidTransactionJoin
  attr_accessor :partnerJoin
  attr_accessor :payingTransactionJoin
  attr_accessor :payrollItemJoin
  attr_accessor :purchaseOrderJoin
  attr_accessor :requestorJoin
  attr_accessor :revCommittingTransactionJoin
  attr_accessor :revisionJoin
  attr_accessor :rgPostingTransactionJoin
  attr_accessor :salesOrderJoin
  attr_accessor :salesRepJoin
  attr_accessor :subsidiaryJoin
  attr_accessor :taskJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :vendorJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, accountJoin = nil, accountingPeriodJoin = nil, appliedToTransactionJoin = nil, applyingTransactionJoin = nil, billingTransactionJoin = nil, binNumberJoin = nil, callJoin = nil, classJoin = nil, cogsPurchaseJoin = nil, cogsSaleJoin = nil, contactPrimaryJoin = nil, createdFromJoin = nil, customerJoin = nil, customerMainJoin = nil, departmentJoin = nil, depositTransactionJoin = nil, employeeJoin = nil, eventJoin = nil, expenseCategoryJoin = nil, fileJoin = nil, fulfillingTransactionJoin = nil, inventoryDetailJoin = nil, itemJoin = nil, itemNumberJoin = nil, jobJoin = nil, jobMainJoin = nil, leadSourceJoin = nil, locationJoin = nil, messagesJoin = nil, opportunityJoin = nil, paidTransactionJoin = nil, partnerJoin = nil, payingTransactionJoin = nil, payrollItemJoin = nil, purchaseOrderJoin = nil, requestorJoin = nil, revCommittingTransactionJoin = nil, revisionJoin = nil, rgPostingTransactionJoin = nil, salesOrderJoin = nil, salesRepJoin = nil, subsidiaryJoin = nil, taskJoin = nil, userJoin = nil, userNotesJoin = nil, vendorJoin = nil, customSearchJoin = [])
    @basic = basic
    @accountJoin = accountJoin
    @accountingPeriodJoin = accountingPeriodJoin
    @appliedToTransactionJoin = appliedToTransactionJoin
    @applyingTransactionJoin = applyingTransactionJoin
    @billingTransactionJoin = billingTransactionJoin
    @binNumberJoin = binNumberJoin
    @callJoin = callJoin
    @classJoin = classJoin
    @cogsPurchaseJoin = cogsPurchaseJoin
    @cogsSaleJoin = cogsSaleJoin
    @contactPrimaryJoin = contactPrimaryJoin
    @createdFromJoin = createdFromJoin
    @customerJoin = customerJoin
    @customerMainJoin = customerMainJoin
    @departmentJoin = departmentJoin
    @depositTransactionJoin = depositTransactionJoin
    @employeeJoin = employeeJoin
    @eventJoin = eventJoin
    @expenseCategoryJoin = expenseCategoryJoin
    @fileJoin = fileJoin
    @fulfillingTransactionJoin = fulfillingTransactionJoin
    @inventoryDetailJoin = inventoryDetailJoin
    @itemJoin = itemJoin
    @itemNumberJoin = itemNumberJoin
    @jobJoin = jobJoin
    @jobMainJoin = jobMainJoin
    @leadSourceJoin = leadSourceJoin
    @locationJoin = locationJoin
    @messagesJoin = messagesJoin
    @opportunityJoin = opportunityJoin
    @paidTransactionJoin = paidTransactionJoin
    @partnerJoin = partnerJoin
    @payingTransactionJoin = payingTransactionJoin
    @payrollItemJoin = payrollItemJoin
    @purchaseOrderJoin = purchaseOrderJoin
    @requestorJoin = requestorJoin
    @revCommittingTransactionJoin = revCommittingTransactionJoin
    @revisionJoin = revisionJoin
    @rgPostingTransactionJoin = rgPostingTransactionJoin
    @salesOrderJoin = salesOrderJoin
    @salesRepJoin = salesRepJoin
    @subsidiaryJoin = subsidiaryJoin
    @taskJoin = taskJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @vendorJoin = vendorJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}TransactionSearchAdvanced
#   criteria - ActiveNetsuite::TransactionSearch
#   columns - ActiveNetsuite::TransactionSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class TransactionSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}ChargeSearch
#   basic - ActiveNetsuite::ChargeSearchBasic
#   jobJoin - ActiveNetsuite::JobSearchBasic
#   timeJoin - ActiveNetsuite::TimeBillSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class ChargeSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :jobJoin
  attr_accessor :timeJoin
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, jobJoin = nil, timeJoin = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @jobJoin = jobJoin
    @timeJoin = timeJoin
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}ChargeSearchAdvanced
#   criteria - ActiveNetsuite::ChargeSearch
#   columns - ActiveNetsuite::ChargeSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class ChargeSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:financial_2013_2.transactions.webservices.netsuite.com}BudgetSearch
#   basic - ActiveNetsuite::BudgetSearchBasic
class BudgetSearch < SearchRecord
  attr_accessor :basic

  def initialize(basic = nil)
    @basic = basic
  end
end

# {urn:financial_2013_2.transactions.webservices.netsuite.com}BudgetSearchAdvanced
#   criteria - ActiveNetsuite::BudgetSearch
#   columns - ActiveNetsuite::BudgetSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class BudgetSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordSearch
#   basic - ActiveNetsuite::CustomRecordSearchBasic
#   fileJoin - ActiveNetsuite::FileSearchBasic
#   messagesJoin - ActiveNetsuite::MessageSearchBasic
#   ownerJoin - ActiveNetsuite::EmployeeSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class CustomRecordSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :fileJoin
  attr_accessor :messagesJoin
  attr_accessor :ownerJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, fileJoin = nil, messagesJoin = nil, ownerJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @fileJoin = fileJoin
    @messagesJoin = messagesJoin
    @ownerJoin = ownerJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordSearchAdvanced
#   criteria - ActiveNetsuite::CustomRecordSearch
#   columns - ActiveNetsuite::CustomRecordSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class CustomRecordSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomListSearch
#   basic - ActiveNetsuite::CustomListSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class CustomListSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomListSearchAdvanced
#   criteria - ActiveNetsuite::CustomListSearch
#   columns - ActiveNetsuite::CustomListSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class CustomListSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}AppDefinitionSearch
#   basic - ActiveNetsuite::AppDefinitionSearchBasic
#   appPackageJoin - ActiveNetsuite::AppPackageSearchBasic
#   creatorJoin - ActiveNetsuite::EmployeeSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class AppDefinitionSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :appPackageJoin
  attr_accessor :creatorJoin
  attr_accessor :userJoin

  def initialize(basic = nil, appPackageJoin = nil, creatorJoin = nil, userJoin = nil)
    @basic = basic
    @appPackageJoin = appPackageJoin
    @creatorJoin = creatorJoin
    @userJoin = userJoin
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}AppDefinitionSearchAdvanced
#   criteria - ActiveNetsuite::AppDefinitionSearch
#   columns - ActiveNetsuite::AppDefinitionSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class AppDefinitionSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}AppPackageSearch
#   basic - ActiveNetsuite::AppPackageSearchBasic
#   appDefinitionJoin - ActiveNetsuite::AppDefinitionSearchBasic
#   creatorJoin - ActiveNetsuite::EmployeeSearchBasic
#   packageFileJoin - ActiveNetsuite::FileSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class AppPackageSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :appDefinitionJoin
  attr_accessor :creatorJoin
  attr_accessor :packageFileJoin
  attr_accessor :userJoin

  def initialize(basic = nil, appDefinitionJoin = nil, creatorJoin = nil, packageFileJoin = nil, userJoin = nil)
    @basic = basic
    @appDefinitionJoin = appDefinitionJoin
    @creatorJoin = creatorJoin
    @packageFileJoin = packageFileJoin
    @userJoin = userJoin
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}AppPackageSearchAdvanced
#   criteria - ActiveNetsuite::AppPackageSearch
#   columns - ActiveNetsuite::AppPackageSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class AppPackageSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeSearch
#   basic - ActiveNetsuite::EmployeeSearchBasic
#   campaignResponseJoin - ActiveNetsuite::CampaignSearchBasic
#   departmentJoin - ActiveNetsuite::DepartmentSearchBasic
#   fileJoin - ActiveNetsuite::FileSearchBasic
#   locationJoin - ActiveNetsuite::LocationSearchBasic
#   messagesJoin - ActiveNetsuite::MessageSearchBasic
#   messagesFromJoin - ActiveNetsuite::MessageSearchBasic
#   messagesToJoin - ActiveNetsuite::MessageSearchBasic
#   resourceAllocationJoin - ActiveNetsuite::ResourceAllocationSearchBasic
#   subsidiaryJoin - ActiveNetsuite::SubsidiarySearchBasic
#   timeJoin - ActiveNetsuite::TimeBillSearchBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class EmployeeSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :campaignResponseJoin
  attr_accessor :departmentJoin
  attr_accessor :fileJoin
  attr_accessor :locationJoin
  attr_accessor :messagesJoin
  attr_accessor :messagesFromJoin
  attr_accessor :messagesToJoin
  attr_accessor :resourceAllocationJoin
  attr_accessor :subsidiaryJoin
  attr_accessor :timeJoin
  attr_accessor :transactionJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, campaignResponseJoin = nil, departmentJoin = nil, fileJoin = nil, locationJoin = nil, messagesJoin = nil, messagesFromJoin = nil, messagesToJoin = nil, resourceAllocationJoin = nil, subsidiaryJoin = nil, timeJoin = nil, transactionJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @campaignResponseJoin = campaignResponseJoin
    @departmentJoin = departmentJoin
    @fileJoin = fileJoin
    @locationJoin = locationJoin
    @messagesJoin = messagesJoin
    @messagesFromJoin = messagesFromJoin
    @messagesToJoin = messagesToJoin
    @resourceAllocationJoin = resourceAllocationJoin
    @subsidiaryJoin = subsidiaryJoin
    @timeJoin = timeJoin
    @transactionJoin = transactionJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeSearchAdvanced
#   criteria - ActiveNetsuite::EmployeeSearch
#   columns - ActiveNetsuite::EmployeeSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class EmployeeSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}PayrollItemSearch
#   basic - ActiveNetsuite::PayrollItemSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class PayrollItemSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :customSearchJoin

  def initialize(basic = nil, customSearchJoin = [])
    @basic = basic
    @customSearchJoin = customSearchJoin
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}PayrollItemSearchAdvanced
#   criteria - ActiveNetsuite::PayrollItemSearch
#   columns - ActiveNetsuite::PayrollItemSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class PayrollItemSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:website_2013_2.lists.webservices.netsuite.com}SiteCategorySearch
#   basic - ActiveNetsuite::SiteCategorySearchBasic
#   shopperJoin - ActiveNetsuite::CustomerSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class SiteCategorySearch < SearchRecord
  attr_accessor :basic
  attr_accessor :shopperJoin
  attr_accessor :userJoin

  def initialize(basic = nil, shopperJoin = nil, userJoin = nil)
    @basic = basic
    @shopperJoin = shopperJoin
    @userJoin = userJoin
  end
end

# {urn:website_2013_2.lists.webservices.netsuite.com}SiteCategorySearchAdvanced
#   criteria - ActiveNetsuite::SiteCategorySearch
#   columns - ActiveNetsuite::SiteCategorySearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class SiteCategorySearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.transactions.webservices.netsuite.com}TimeBillSearch
#   basic - ActiveNetsuite::TimeBillSearchBasic
#   callJoin - ActiveNetsuite::PhoneCallSearchBasic
#   caseJoin - ActiveNetsuite::SupportCaseSearchBasic
#   classJoin - ActiveNetsuite::ClassificationSearchBasic
#   customerJoin - ActiveNetsuite::CustomerSearchBasic
#   departmentJoin - ActiveNetsuite::DepartmentSearchBasic
#   employeeJoin - ActiveNetsuite::EmployeeSearchBasic
#   eventJoin - ActiveNetsuite::CalendarEventSearchBasic
#   itemJoin - ActiveNetsuite::ItemSearchBasic
#   jobJoin - ActiveNetsuite::JobSearchBasic
#   locationJoin - ActiveNetsuite::LocationSearchBasic
#   projectTaskJoin - ActiveNetsuite::ProjectTaskSearchBasic
#   projectTaskAssignmentJoin - ActiveNetsuite::ProjectTaskAssignmentSearchBasic
#   resourceAllocationJoin - ActiveNetsuite::ResourceAllocationSearchBasic
#   taskJoin - ActiveNetsuite::TaskSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   vendorJoin - ActiveNetsuite::VendorSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class TimeBillSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :callJoin
  attr_accessor :caseJoin
  attr_accessor :classJoin
  attr_accessor :customerJoin
  attr_accessor :departmentJoin
  attr_accessor :employeeJoin
  attr_accessor :eventJoin
  attr_accessor :itemJoin
  attr_accessor :jobJoin
  attr_accessor :locationJoin
  attr_accessor :projectTaskJoin
  attr_accessor :projectTaskAssignmentJoin
  attr_accessor :resourceAllocationJoin
  attr_accessor :taskJoin
  attr_accessor :userJoin
  attr_accessor :vendorJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, callJoin = nil, caseJoin = nil, classJoin = nil, customerJoin = nil, departmentJoin = nil, employeeJoin = nil, eventJoin = nil, itemJoin = nil, jobJoin = nil, locationJoin = nil, projectTaskJoin = nil, projectTaskAssignmentJoin = nil, resourceAllocationJoin = nil, taskJoin = nil, userJoin = nil, vendorJoin = nil, customSearchJoin = [])
    @basic = basic
    @callJoin = callJoin
    @caseJoin = caseJoin
    @classJoin = classJoin
    @customerJoin = customerJoin
    @departmentJoin = departmentJoin
    @employeeJoin = employeeJoin
    @eventJoin = eventJoin
    @itemJoin = itemJoin
    @jobJoin = jobJoin
    @locationJoin = locationJoin
    @projectTaskJoin = projectTaskJoin
    @projectTaskAssignmentJoin = projectTaskAssignmentJoin
    @resourceAllocationJoin = resourceAllocationJoin
    @taskJoin = taskJoin
    @userJoin = userJoin
    @vendorJoin = vendorJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:employees_2013_2.transactions.webservices.netsuite.com}TimeBillSearchAdvanced
#   criteria - ActiveNetsuite::TimeBillSearch
#   columns - ActiveNetsuite::TimeBillSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class TimeBillSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignSearch
#   basic - ActiveNetsuite::CampaignSearchBasic
#   campaignRecipientJoin - ActiveNetsuite::EntitySearchBasic
#   fileJoin - ActiveNetsuite::FileSearchBasic
#   messagesJoin - ActiveNetsuite::MessageSearchBasic
#   originatingLeadJoin - ActiveNetsuite::OriginatingLeadSearchBasic
#   promotionCodeJoin - ActiveNetsuite::PromotionCodeSearchBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class CampaignSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :campaignRecipientJoin
  attr_accessor :fileJoin
  attr_accessor :messagesJoin
  attr_accessor :originatingLeadJoin
  attr_accessor :promotionCodeJoin
  attr_accessor :transactionJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, campaignRecipientJoin = nil, fileJoin = nil, messagesJoin = nil, originatingLeadJoin = nil, promotionCodeJoin = nil, transactionJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @campaignRecipientJoin = campaignRecipientJoin
    @fileJoin = fileJoin
    @messagesJoin = messagesJoin
    @originatingLeadJoin = originatingLeadJoin
    @promotionCodeJoin = promotionCodeJoin
    @transactionJoin = transactionJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignSearchAdvanced
#   criteria - ActiveNetsuite::CampaignSearch
#   columns - ActiveNetsuite::CampaignSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class CampaignSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}PromotionCodeSearch
#   basic - ActiveNetsuite::PromotionCodeSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class PromotionCodeSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}PromotionCodeSearchAdvanced
#   criteria - ActiveNetsuite::PromotionCodeSearch
#   columns - ActiveNetsuite::PromotionCodeSearchRow
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
#   xmlattr_savedSearchId - SOAP::SOAPString
class PromotionCodeSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CouponCodeSearch
#   basic - ActiveNetsuite::CouponCodeSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
class CouponCodeSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CouponCodeSearchAdvanced
#   criteria - ActiveNetsuite::CouponCodeSearch
#   columns - ActiveNetsuite::CouponCodeSearchRow
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
#   xmlattr_savedSearchId - SOAP::SOAPString
class CouponCodeSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:demandplanning_2013_2.transactions.webservices.netsuite.com}ItemDemandPlanSearch
#   basic - ActiveNetsuite::ItemDemandPlanSearchBasic
#   itemJoin - ActiveNetsuite::ItemSearchBasic
#   lastAlternateSourceItemJoin - ActiveNetsuite::ItemSearchBasic
#   locationJoin - ActiveNetsuite::LocationSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class ItemDemandPlanSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :itemJoin
  attr_accessor :lastAlternateSourceItemJoin
  attr_accessor :locationJoin
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, itemJoin = nil, lastAlternateSourceItemJoin = nil, locationJoin = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @itemJoin = itemJoin
    @lastAlternateSourceItemJoin = lastAlternateSourceItemJoin
    @locationJoin = locationJoin
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:demandplanning_2013_2.transactions.webservices.netsuite.com}ItemDemandPlanSearchAdvanced
#   criteria - ActiveNetsuite::ItemDemandPlanSearch
#   columns - ActiveNetsuite::ItemDemandPlanSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class ItemDemandPlanSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:demandplanning_2013_2.transactions.webservices.netsuite.com}ItemSupplyPlanSearch
#   basic - ActiveNetsuite::ItemSupplyPlanSearchBasic
#   itemJoin - ActiveNetsuite::ItemSearchBasic
#   locationJoin - ActiveNetsuite::LocationSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class ItemSupplyPlanSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :itemJoin
  attr_accessor :locationJoin
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, itemJoin = nil, locationJoin = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @itemJoin = itemJoin
    @locationJoin = locationJoin
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:demandplanning_2013_2.transactions.webservices.netsuite.com}ItemSupplyPlanSearchAdvanced
#   criteria - ActiveNetsuite::ItemSupplyPlanSearch
#   columns - ActiveNetsuite::ItemSupplyPlanSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class ItemSupplyPlanSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:supplychain_2013_2.lists.webservices.netsuite.com}ManufacturingCostTemplateSearch
#   basic - ActiveNetsuite::ManufacturingCostTemplateSearchBasic
#   itemJoin - ActiveNetsuite::ItemSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class ManufacturingCostTemplateSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :itemJoin
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, itemJoin = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @itemJoin = itemJoin
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:supplychain_2013_2.lists.webservices.netsuite.com}ManufacturingCostTemplateSearchAdvanced
#   criteria - ActiveNetsuite::ManufacturingCostTemplateSearch
#   columns - ActiveNetsuite::ManufacturingCostTemplateSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class ManufacturingCostTemplateSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:supplychain_2013_2.lists.webservices.netsuite.com}ManufacturingRoutingSearch
#   basic - ActiveNetsuite::ManufacturingRoutingSearchBasic
#   itemJoin - ActiveNetsuite::ItemSearchBasic
#   locationJoin - ActiveNetsuite::LocationSearchBasic
#   manufacturingCostTemplateJoin - ActiveNetsuite::ManufacturingCostTemplateSearchBasic
#   manufacturingWorkCenterJoin - ActiveNetsuite::EntityGroupSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class ManufacturingRoutingSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :itemJoin
  attr_accessor :locationJoin
  attr_accessor :manufacturingCostTemplateJoin
  attr_accessor :manufacturingWorkCenterJoin
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, itemJoin = nil, locationJoin = nil, manufacturingCostTemplateJoin = nil, manufacturingWorkCenterJoin = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @itemJoin = itemJoin
    @locationJoin = locationJoin
    @manufacturingCostTemplateJoin = manufacturingCostTemplateJoin
    @manufacturingWorkCenterJoin = manufacturingWorkCenterJoin
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:supplychain_2013_2.lists.webservices.netsuite.com}ManufacturingRoutingSearchAdvanced
#   criteria - ActiveNetsuite::ManufacturingRoutingSearch
#   columns - ActiveNetsuite::ManufacturingRoutingSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class ManufacturingRoutingSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:supplychain_2013_2.lists.webservices.netsuite.com}ManufacturingOperationTaskSearch
#   basic - ActiveNetsuite::ManufacturingOperationTaskSearchBasic
#   predecessorJoin - ActiveNetsuite::ManufacturingOperationTaskSearchBasic
#   userJoin - ActiveNetsuite::EmployeeSearchBasic
#   workOrderJoin - ActiveNetsuite::TransactionSearchBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchJoin
class ManufacturingOperationTaskSearch < SearchRecord
  attr_accessor :basic
  attr_accessor :predecessorJoin
  attr_accessor :userJoin
  attr_accessor :workOrderJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, predecessorJoin = nil, userJoin = nil, workOrderJoin = nil, customSearchJoin = [])
    @basic = basic
    @predecessorJoin = predecessorJoin
    @userJoin = userJoin
    @workOrderJoin = workOrderJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:supplychain_2013_2.lists.webservices.netsuite.com}ManufacturingOperationTaskSearchAdvanced
#   criteria - ActiveNetsuite::ManufacturingOperationTaskSearch
#   columns - ActiveNetsuite::ManufacturingOperationTaskSearchRow
#   xmlattr_savedSearchId - SOAP::SOAPString
#   xmlattr_savedSearchScriptId - SOAP::SOAPString
class ManufacturingOperationTaskSearchAdvanced < SearchRecord
  AttrSavedSearchId = XSD::QName.new(nil, "savedSearchId")
  AttrSavedSearchScriptId = XSD::QName.new(nil, "savedSearchScriptId")

  attr_accessor :criteria
  attr_accessor :columns

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_savedSearchId
    __xmlattr[AttrSavedSearchId]
  end

  def xmlattr_savedSearchId=(value)
    __xmlattr[AttrSavedSearchId] = value
  end

  def xmlattr_savedSearchScriptId
    __xmlattr[AttrSavedSearchScriptId]
  end

  def xmlattr_savedSearchScriptId=(value)
    __xmlattr[AttrSavedSearchScriptId] = value
  end

  def initialize(criteria = nil, columns = nil)
    @criteria = criteria
    @columns = columns
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchRow
# abstract
class SearchRow
  def initialize
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchRowBasic
# abstract
class SearchRowBasic < SearchRow
  def initialize
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}InventoryDetailSearchRowBasic
#   binNumber - ActiveNetsuite::SearchColumnSelectField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   inventoryNumber - ActiveNetsuite::SearchColumnSelectField
#   quantity - ActiveNetsuite::SearchColumnDoubleField
class InventoryDetailSearchRowBasic < SearchRowBasic
  attr_accessor :binNumber
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :inventoryNumber
  attr_accessor :quantity

  def initialize(binNumber = [], externalId = [], internalId = [], inventoryNumber = [], quantity = [])
    @binNumber = binNumber
    @externalId = externalId
    @internalId = internalId
    @inventoryNumber = inventoryNumber
    @quantity = quantity
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}EntitySearchRowBasic
#   address - ActiveNetsuite::SearchColumnStringField
#   address1 - ActiveNetsuite::SearchColumnStringField
#   address2 - ActiveNetsuite::SearchColumnStringField
#   address3 - ActiveNetsuite::SearchColumnStringField
#   addressee - ActiveNetsuite::SearchColumnStringField
#   addressInternalId - ActiveNetsuite::SearchColumnStringField
#   addressLabel - ActiveNetsuite::SearchColumnStringField
#   addressPhone - ActiveNetsuite::SearchColumnStringField
#   altEmail - ActiveNetsuite::SearchColumnStringField
#   altName - ActiveNetsuite::SearchColumnStringField
#   altPhone - ActiveNetsuite::SearchColumnStringField
#   attention - ActiveNetsuite::SearchColumnStringField
#   billAddress1 - ActiveNetsuite::SearchColumnStringField
#   billAddress2 - ActiveNetsuite::SearchColumnStringField
#   billAddress3 - ActiveNetsuite::SearchColumnStringField
#   billAddressee - ActiveNetsuite::SearchColumnStringField
#   billAttention - ActiveNetsuite::SearchColumnStringField
#   billCity - ActiveNetsuite::SearchColumnStringField
#   billCountry - ActiveNetsuite::SearchColumnEnumSelectField
#   billCountryCode - ActiveNetsuite::SearchColumnStringField
#   billPhone - ActiveNetsuite::SearchColumnStringField
#   billState - ActiveNetsuite::SearchColumnStringField
#   billZipCode - ActiveNetsuite::SearchColumnStringField
#   city - ActiveNetsuite::SearchColumnStringField
#   comments - ActiveNetsuite::SearchColumnStringField
#   country - ActiveNetsuite::SearchColumnEnumSelectField
#   countryCode - ActiveNetsuite::SearchColumnStringField
#   dateCreated - ActiveNetsuite::SearchColumnDateField
#   email - ActiveNetsuite::SearchColumnStringField
#   entityId - ActiveNetsuite::SearchColumnStringField
#   entityNumber - ActiveNetsuite::SearchColumnLongField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   fax - ActiveNetsuite::SearchColumnStringField
#   globalSubscriptionStatus - ActiveNetsuite::SearchColumnEnumSelectField
#   image - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isDefaultBilling - ActiveNetsuite::SearchColumnBooleanField
#   isDefaultShipping - ActiveNetsuite::SearchColumnBooleanField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   language - ActiveNetsuite::SearchColumnEnumSelectField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   level - ActiveNetsuite::SearchColumnEnumSelectField
#   permission - ActiveNetsuite::SearchColumnEnumSelectField
#   phone - ActiveNetsuite::SearchColumnStringField
#   phoneticName - ActiveNetsuite::SearchColumnStringField
#   shipAddress1 - ActiveNetsuite::SearchColumnStringField
#   shipAddress2 - ActiveNetsuite::SearchColumnStringField
#   shipAddress3 - ActiveNetsuite::SearchColumnStringField
#   shipAddressee - ActiveNetsuite::SearchColumnStringField
#   shipAttention - ActiveNetsuite::SearchColumnStringField
#   shipCity - ActiveNetsuite::SearchColumnStringField
#   shipCountry - ActiveNetsuite::SearchColumnEnumSelectField
#   shipCountryCode - ActiveNetsuite::SearchColumnStringField
#   shipPhone - ActiveNetsuite::SearchColumnStringField
#   shipState - ActiveNetsuite::SearchColumnStringField
#   shipZip - ActiveNetsuite::SearchColumnStringField
#   state - ActiveNetsuite::SearchColumnStringField
#   subscription - ActiveNetsuite::SearchColumnSelectField
#   subscriptionDate - ActiveNetsuite::SearchColumnDateField
#   subscriptionStatus - ActiveNetsuite::SearchColumnBooleanField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
#   type - ActiveNetsuite::SearchColumnEnumSelectField
#   zipCode - ActiveNetsuite::SearchColumnStringField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class EntitySearchRowBasic < SearchRowBasic
  attr_accessor :address
  attr_accessor :address1
  attr_accessor :address2
  attr_accessor :address3
  attr_accessor :addressee
  attr_accessor :addressInternalId
  attr_accessor :addressLabel
  attr_accessor :addressPhone
  attr_accessor :altEmail
  attr_accessor :altName
  attr_accessor :altPhone
  attr_accessor :attention
  attr_accessor :billAddress1
  attr_accessor :billAddress2
  attr_accessor :billAddress3
  attr_accessor :billAddressee
  attr_accessor :billAttention
  attr_accessor :billCity
  attr_accessor :billCountry
  attr_accessor :billCountryCode
  attr_accessor :billPhone
  attr_accessor :billState
  attr_accessor :billZipCode
  attr_accessor :city
  attr_accessor :comments
  attr_accessor :country
  attr_accessor :countryCode
  attr_accessor :dateCreated
  attr_accessor :email
  attr_accessor :entityId
  attr_accessor :entityNumber
  attr_accessor :externalId
  attr_accessor :fax
  attr_accessor :globalSubscriptionStatus
  attr_accessor :image
  attr_accessor :internalId
  attr_accessor :isDefaultBilling
  attr_accessor :isDefaultShipping
  attr_accessor :isInactive
  attr_accessor :language
  attr_accessor :lastModifiedDate
  attr_accessor :level
  attr_accessor :permission
  attr_accessor :phone
  attr_accessor :phoneticName
  attr_accessor :shipAddress1
  attr_accessor :shipAddress2
  attr_accessor :shipAddress3
  attr_accessor :shipAddressee
  attr_accessor :shipAttention
  attr_accessor :shipCity
  attr_accessor :shipCountry
  attr_accessor :shipCountryCode
  attr_accessor :shipPhone
  attr_accessor :shipState
  attr_accessor :shipZip
  attr_accessor :state
  attr_accessor :subscription
  attr_accessor :subscriptionDate
  attr_accessor :subscriptionStatus
  attr_accessor :subsidiary
  attr_accessor :type
  attr_accessor :zipCode
  attr_accessor :customFieldList

  def initialize(address = [], address1 = [], address2 = [], address3 = [], addressee = [], addressInternalId = [], addressLabel = [], addressPhone = [], altEmail = [], altName = [], altPhone = [], attention = [], billAddress1 = [], billAddress2 = [], billAddress3 = [], billAddressee = [], billAttention = [], billCity = [], billCountry = [], billCountryCode = [], billPhone = [], billState = [], billZipCode = [], city = [], comments = [], country = [], countryCode = [], dateCreated = [], email = [], entityId = [], entityNumber = [], externalId = [], fax = [], globalSubscriptionStatus = [], image = [], internalId = [], isDefaultBilling = [], isDefaultShipping = [], isInactive = [], language = [], lastModifiedDate = [], level = [], permission = [], phone = [], phoneticName = [], shipAddress1 = [], shipAddress2 = [], shipAddress3 = [], shipAddressee = [], shipAttention = [], shipCity = [], shipCountry = [], shipCountryCode = [], shipPhone = [], shipState = [], shipZip = [], state = [], subscription = [], subscriptionDate = [], subscriptionStatus = [], subsidiary = [], type = [], zipCode = [], customFieldList = nil)
    @address = address
    @address1 = address1
    @address2 = address2
    @address3 = address3
    @addressee = addressee
    @addressInternalId = addressInternalId
    @addressLabel = addressLabel
    @addressPhone = addressPhone
    @altEmail = altEmail
    @altName = altName
    @altPhone = altPhone
    @attention = attention
    @billAddress1 = billAddress1
    @billAddress2 = billAddress2
    @billAddress3 = billAddress3
    @billAddressee = billAddressee
    @billAttention = billAttention
    @billCity = billCity
    @billCountry = billCountry
    @billCountryCode = billCountryCode
    @billPhone = billPhone
    @billState = billState
    @billZipCode = billZipCode
    @city = city
    @comments = comments
    @country = country
    @countryCode = countryCode
    @dateCreated = dateCreated
    @email = email
    @entityId = entityId
    @entityNumber = entityNumber
    @externalId = externalId
    @fax = fax
    @globalSubscriptionStatus = globalSubscriptionStatus
    @image = image
    @internalId = internalId
    @isDefaultBilling = isDefaultBilling
    @isDefaultShipping = isDefaultShipping
    @isInactive = isInactive
    @language = language
    @lastModifiedDate = lastModifiedDate
    @level = level
    @permission = permission
    @phone = phone
    @phoneticName = phoneticName
    @shipAddress1 = shipAddress1
    @shipAddress2 = shipAddress2
    @shipAddress3 = shipAddress3
    @shipAddressee = shipAddressee
    @shipAttention = shipAttention
    @shipCity = shipCity
    @shipCountry = shipCountry
    @shipCountryCode = shipCountryCode
    @shipPhone = shipPhone
    @shipState = shipState
    @shipZip = shipZip
    @state = state
    @subscription = subscription
    @subscriptionDate = subscriptionDate
    @subscriptionStatus = subscriptionStatus
    @subsidiary = subsidiary
    @type = type
    @zipCode = zipCode
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ContactSearchRowBasic
#   address - ActiveNetsuite::SearchColumnStringField
#   address1 - ActiveNetsuite::SearchColumnStringField
#   address2 - ActiveNetsuite::SearchColumnStringField
#   address3 - ActiveNetsuite::SearchColumnStringField
#   addressee - ActiveNetsuite::SearchColumnStringField
#   addressInternalId - ActiveNetsuite::SearchColumnStringField
#   addressLabel - ActiveNetsuite::SearchColumnStringField
#   addressPhone - ActiveNetsuite::SearchColumnStringField
#   altEmail - ActiveNetsuite::SearchColumnStringField
#   altName - ActiveNetsuite::SearchColumnStringField
#   altPhone - ActiveNetsuite::SearchColumnStringField
#   attention - ActiveNetsuite::SearchColumnStringField
#   availableOffline - ActiveNetsuite::SearchColumnBooleanField
#   billAddress1 - ActiveNetsuite::SearchColumnStringField
#   billAddress2 - ActiveNetsuite::SearchColumnStringField
#   billAddress3 - ActiveNetsuite::SearchColumnStringField
#   billAddressee - ActiveNetsuite::SearchColumnStringField
#   billAttention - ActiveNetsuite::SearchColumnStringField
#   billCity - ActiveNetsuite::SearchColumnStringField
#   billCountry - ActiveNetsuite::SearchColumnEnumSelectField
#   billCountryCode - ActiveNetsuite::SearchColumnStringField
#   billPhone - ActiveNetsuite::SearchColumnStringField
#   billState - ActiveNetsuite::SearchColumnStringField
#   billZipCode - ActiveNetsuite::SearchColumnStringField
#   category - ActiveNetsuite::SearchColumnSelectField
#   city - ActiveNetsuite::SearchColumnStringField
#   comments - ActiveNetsuite::SearchColumnStringField
#   company - ActiveNetsuite::SearchColumnSelectField
#   contactRole - ActiveNetsuite::SearchColumnSelectField
#   contactSource - ActiveNetsuite::SearchColumnStringField
#   country - ActiveNetsuite::SearchColumnEnumSelectField
#   countryCode - ActiveNetsuite::SearchColumnStringField
#   dateCreated - ActiveNetsuite::SearchColumnDateField
#   email - ActiveNetsuite::SearchColumnStringField
#   entityId - ActiveNetsuite::SearchColumnStringField
#   entityNumber - ActiveNetsuite::SearchColumnLongField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   fax - ActiveNetsuite::SearchColumnStringField
#   firstName - ActiveNetsuite::SearchColumnStringField
#   giveAccess - ActiveNetsuite::SearchColumnBooleanField
#   globalSubscriptionStatus - ActiveNetsuite::SearchColumnEnumSelectField
#   hasDuplicates - ActiveNetsuite::SearchColumnBooleanField
#   homePhone - ActiveNetsuite::SearchColumnStringField
#   image - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isDefaultBilling - ActiveNetsuite::SearchColumnBooleanField
#   isDefaultShipping - ActiveNetsuite::SearchColumnBooleanField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   language - ActiveNetsuite::SearchColumnEnumSelectField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   lastName - ActiveNetsuite::SearchColumnStringField
#   level - ActiveNetsuite::SearchColumnEnumSelectField
#   middleName - ActiveNetsuite::SearchColumnStringField
#   mobilePhone - ActiveNetsuite::SearchColumnStringField
#   owner - ActiveNetsuite::SearchColumnSelectField
#   permission - ActiveNetsuite::SearchColumnEnumSelectField
#   phone - ActiveNetsuite::SearchColumnStringField
#   phoneticName - ActiveNetsuite::SearchColumnStringField
#   salutation - ActiveNetsuite::SearchColumnStringField
#   shipAddress1 - ActiveNetsuite::SearchColumnStringField
#   shipAddress2 - ActiveNetsuite::SearchColumnStringField
#   shipAddress3 - ActiveNetsuite::SearchColumnStringField
#   shipAddressee - ActiveNetsuite::SearchColumnStringField
#   shipAttention - ActiveNetsuite::SearchColumnStringField
#   shipCity - ActiveNetsuite::SearchColumnStringField
#   shipCountry - ActiveNetsuite::SearchColumnEnumSelectField
#   shipCountryCode - ActiveNetsuite::SearchColumnStringField
#   shipPhone - ActiveNetsuite::SearchColumnStringField
#   shipState - ActiveNetsuite::SearchColumnStringField
#   shipZip - ActiveNetsuite::SearchColumnStringField
#   state - ActiveNetsuite::SearchColumnStringField
#   subscription - ActiveNetsuite::SearchColumnSelectField
#   subscriptionDate - ActiveNetsuite::SearchColumnDateField
#   subscriptionStatus - ActiveNetsuite::SearchColumnBooleanField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
#   title - ActiveNetsuite::SearchColumnStringField
#   type - ActiveNetsuite::SearchColumnEnumSelectField
#   zipCode - ActiveNetsuite::SearchColumnStringField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class ContactSearchRowBasic < SearchRowBasic
  attr_accessor :address
  attr_accessor :address1
  attr_accessor :address2
  attr_accessor :address3
  attr_accessor :addressee
  attr_accessor :addressInternalId
  attr_accessor :addressLabel
  attr_accessor :addressPhone
  attr_accessor :altEmail
  attr_accessor :altName
  attr_accessor :altPhone
  attr_accessor :attention
  attr_accessor :availableOffline
  attr_accessor :billAddress1
  attr_accessor :billAddress2
  attr_accessor :billAddress3
  attr_accessor :billAddressee
  attr_accessor :billAttention
  attr_accessor :billCity
  attr_accessor :billCountry
  attr_accessor :billCountryCode
  attr_accessor :billPhone
  attr_accessor :billState
  attr_accessor :billZipCode
  attr_accessor :category
  attr_accessor :city
  attr_accessor :comments
  attr_accessor :company
  attr_accessor :contactRole
  attr_accessor :contactSource
  attr_accessor :country
  attr_accessor :countryCode
  attr_accessor :dateCreated
  attr_accessor :email
  attr_accessor :entityId
  attr_accessor :entityNumber
  attr_accessor :externalId
  attr_accessor :fax
  attr_accessor :firstName
  attr_accessor :giveAccess
  attr_accessor :globalSubscriptionStatus
  attr_accessor :hasDuplicates
  attr_accessor :homePhone
  attr_accessor :image
  attr_accessor :internalId
  attr_accessor :isDefaultBilling
  attr_accessor :isDefaultShipping
  attr_accessor :isInactive
  attr_accessor :language
  attr_accessor :lastModifiedDate
  attr_accessor :lastName
  attr_accessor :level
  attr_accessor :middleName
  attr_accessor :mobilePhone
  attr_accessor :owner
  attr_accessor :permission
  attr_accessor :phone
  attr_accessor :phoneticName
  attr_accessor :salutation
  attr_accessor :shipAddress1
  attr_accessor :shipAddress2
  attr_accessor :shipAddress3
  attr_accessor :shipAddressee
  attr_accessor :shipAttention
  attr_accessor :shipCity
  attr_accessor :shipCountry
  attr_accessor :shipCountryCode
  attr_accessor :shipPhone
  attr_accessor :shipState
  attr_accessor :shipZip
  attr_accessor :state
  attr_accessor :subscription
  attr_accessor :subscriptionDate
  attr_accessor :subscriptionStatus
  attr_accessor :subsidiary
  attr_accessor :title
  attr_accessor :type
  attr_accessor :zipCode
  attr_accessor :customFieldList

  def initialize(address = [], address1 = [], address2 = [], address3 = [], addressee = [], addressInternalId = [], addressLabel = [], addressPhone = [], altEmail = [], altName = [], altPhone = [], attention = [], availableOffline = [], billAddress1 = [], billAddress2 = [], billAddress3 = [], billAddressee = [], billAttention = [], billCity = [], billCountry = [], billCountryCode = [], billPhone = [], billState = [], billZipCode = [], category = [], city = [], comments = [], company = [], contactRole = [], contactSource = [], country = [], countryCode = [], dateCreated = [], email = [], entityId = [], entityNumber = [], externalId = [], fax = [], firstName = [], giveAccess = [], globalSubscriptionStatus = [], hasDuplicates = [], homePhone = [], image = [], internalId = [], isDefaultBilling = [], isDefaultShipping = [], isInactive = [], language = [], lastModifiedDate = [], lastName = [], level = [], middleName = [], mobilePhone = [], owner = [], permission = [], phone = [], phoneticName = [], salutation = [], shipAddress1 = [], shipAddress2 = [], shipAddress3 = [], shipAddressee = [], shipAttention = [], shipCity = [], shipCountry = [], shipCountryCode = [], shipPhone = [], shipState = [], shipZip = [], state = [], subscription = [], subscriptionDate = [], subscriptionStatus = [], subsidiary = [], title = [], type = [], zipCode = [], customFieldList = nil)
    @address = address
    @address1 = address1
    @address2 = address2
    @address3 = address3
    @addressee = addressee
    @addressInternalId = addressInternalId
    @addressLabel = addressLabel
    @addressPhone = addressPhone
    @altEmail = altEmail
    @altName = altName
    @altPhone = altPhone
    @attention = attention
    @availableOffline = availableOffline
    @billAddress1 = billAddress1
    @billAddress2 = billAddress2
    @billAddress3 = billAddress3
    @billAddressee = billAddressee
    @billAttention = billAttention
    @billCity = billCity
    @billCountry = billCountry
    @billCountryCode = billCountryCode
    @billPhone = billPhone
    @billState = billState
    @billZipCode = billZipCode
    @category = category
    @city = city
    @comments = comments
    @company = company
    @contactRole = contactRole
    @contactSource = contactSource
    @country = country
    @countryCode = countryCode
    @dateCreated = dateCreated
    @email = email
    @entityId = entityId
    @entityNumber = entityNumber
    @externalId = externalId
    @fax = fax
    @firstName = firstName
    @giveAccess = giveAccess
    @globalSubscriptionStatus = globalSubscriptionStatus
    @hasDuplicates = hasDuplicates
    @homePhone = homePhone
    @image = image
    @internalId = internalId
    @isDefaultBilling = isDefaultBilling
    @isDefaultShipping = isDefaultShipping
    @isInactive = isInactive
    @language = language
    @lastModifiedDate = lastModifiedDate
    @lastName = lastName
    @level = level
    @middleName = middleName
    @mobilePhone = mobilePhone
    @owner = owner
    @permission = permission
    @phone = phone
    @phoneticName = phoneticName
    @salutation = salutation
    @shipAddress1 = shipAddress1
    @shipAddress2 = shipAddress2
    @shipAddress3 = shipAddress3
    @shipAddressee = shipAddressee
    @shipAttention = shipAttention
    @shipCity = shipCity
    @shipCountry = shipCountry
    @shipCountryCode = shipCountryCode
    @shipPhone = shipPhone
    @shipState = shipState
    @shipZip = shipZip
    @state = state
    @subscription = subscription
    @subscriptionDate = subscriptionDate
    @subscriptionStatus = subscriptionStatus
    @subsidiary = subsidiary
    @title = title
    @type = type
    @zipCode = zipCode
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CustomerSearchRowBasic
#   accountNumber - ActiveNetsuite::SearchColumnStringField
#   address - ActiveNetsuite::SearchColumnStringField
#   address1 - ActiveNetsuite::SearchColumnStringField
#   address2 - ActiveNetsuite::SearchColumnStringField
#   address3 - ActiveNetsuite::SearchColumnStringField
#   addressee - ActiveNetsuite::SearchColumnStringField
#   addressInternalId - ActiveNetsuite::SearchColumnStringField
#   addressLabel - ActiveNetsuite::SearchColumnStringField
#   addressPhone - ActiveNetsuite::SearchColumnStringField
#   altContact - ActiveNetsuite::SearchColumnStringField
#   altEmail - ActiveNetsuite::SearchColumnStringField
#   altName - ActiveNetsuite::SearchColumnStringField
#   altPhone - ActiveNetsuite::SearchColumnStringField
#   attention - ActiveNetsuite::SearchColumnStringField
#   availableOffline - ActiveNetsuite::SearchColumnBooleanField
#   balance - ActiveNetsuite::SearchColumnDoubleField
#   billAddress - ActiveNetsuite::SearchColumnStringField
#   billAddress1 - ActiveNetsuite::SearchColumnStringField
#   billAddress2 - ActiveNetsuite::SearchColumnStringField
#   billAddress3 - ActiveNetsuite::SearchColumnStringField
#   billAddressee - ActiveNetsuite::SearchColumnStringField
#   billAttention - ActiveNetsuite::SearchColumnStringField
#   billCity - ActiveNetsuite::SearchColumnStringField
#   billCountry - ActiveNetsuite::SearchColumnEnumSelectField
#   billCountryCode - ActiveNetsuite::SearchColumnStringField
#   billPhone - ActiveNetsuite::SearchColumnStringField
#   billState - ActiveNetsuite::SearchColumnStringField
#   billZipCode - ActiveNetsuite::SearchColumnStringField
#   buyingReason - ActiveNetsuite::SearchColumnStringField
#   buyingTimeFrame - ActiveNetsuite::SearchColumnStringField
#   category - ActiveNetsuite::SearchColumnSelectField
#   ccCustomerCode - ActiveNetsuite::SearchColumnStringField
#   ccDefault - ActiveNetsuite::SearchColumnBooleanField
#   ccExpDate - ActiveNetsuite::SearchColumnDateField
#   ccHolderName - ActiveNetsuite::SearchColumnStringField
#   ccInternalId - ActiveNetsuite::SearchColumnStringField
#   ccNumber - ActiveNetsuite::SearchColumnStringField
#   ccType - ActiveNetsuite::SearchColumnSelectField
#   city - ActiveNetsuite::SearchColumnStringField
#   comments - ActiveNetsuite::SearchColumnStringField
#   companyName - ActiveNetsuite::SearchColumnStringField
#   consolBalance - ActiveNetsuite::SearchColumnDoubleField
#   consolDaysOverdue - ActiveNetsuite::SearchColumnLongField
#   consolDepositBalance - ActiveNetsuite::SearchColumnDoubleField
#   consolOverdueBalance - ActiveNetsuite::SearchColumnDoubleField
#   consolUnbilledOrders - ActiveNetsuite::SearchColumnDoubleField
#   contact - ActiveNetsuite::SearchColumnStringField
#   contribution - ActiveNetsuite::SearchColumnDoubleField
#   contributionPrimary - ActiveNetsuite::SearchColumnDoubleField
#   conversionDate - ActiveNetsuite::SearchColumnDateField
#   country - ActiveNetsuite::SearchColumnEnumSelectField
#   countryCode - ActiveNetsuite::SearchColumnStringField
#   creditHold - ActiveNetsuite::SearchColumnEnumSelectField
#   creditHoldOverride - ActiveNetsuite::SearchColumnBooleanField
#   creditLimit - ActiveNetsuite::SearchColumnDoubleField
#   currency - ActiveNetsuite::SearchColumnSelectField
#   dateClosed - ActiveNetsuite::SearchColumnDateField
#   dateCreated - ActiveNetsuite::SearchColumnDateField
#   daysOverdue - ActiveNetsuite::SearchColumnLongField
#   defaultOrderPriority - ActiveNetsuite::SearchColumnDoubleField
#   depositBalance - ActiveNetsuite::SearchColumnDoubleField
#   drAccount - ActiveNetsuite::SearchColumnStringField
#   email - ActiveNetsuite::SearchColumnStringField
#   emailPreference - ActiveNetsuite::SearchColumnEnumSelectField
#   emailTransactions - ActiveNetsuite::SearchColumnBooleanField
#   endDate - ActiveNetsuite::SearchColumnDateField
#   entityId - ActiveNetsuite::SearchColumnStringField
#   entityNumber - ActiveNetsuite::SearchColumnLongField
#   entityStatus - ActiveNetsuite::SearchColumnSelectField
#   estimatedBudget - ActiveNetsuite::SearchColumnDoubleField
#   explicitConversion - ActiveNetsuite::SearchColumnBooleanField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   fax - ActiveNetsuite::SearchColumnStringField
#   faxTransactions - ActiveNetsuite::SearchColumnBooleanField
#   firstName - ActiveNetsuite::SearchColumnStringField
#   firstOrderDate - ActiveNetsuite::SearchColumnDateField
#   firstSaleDate - ActiveNetsuite::SearchColumnDateField
#   fxAccount - ActiveNetsuite::SearchColumnStringField
#   fxBalance - ActiveNetsuite::SearchColumnDoubleField
#   fxConsolBalance - ActiveNetsuite::SearchColumnDoubleField
#   fxConsolUnbilledOrders - ActiveNetsuite::SearchColumnDoubleField
#   fxUnbilledOrders - ActiveNetsuite::SearchColumnDoubleField
#   giveAccess - ActiveNetsuite::SearchColumnBooleanField
#   globalSubscriptionStatus - ActiveNetsuite::SearchColumnEnumSelectField
#   groupPricingLevel - ActiveNetsuite::SearchColumnStringField
#   hasDuplicates - ActiveNetsuite::SearchColumnBooleanField
#   homePhone - ActiveNetsuite::SearchColumnStringField
#   image - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isBudgetApproved - ActiveNetsuite::SearchColumnBooleanField
#   isDefaultBilling - ActiveNetsuite::SearchColumnBooleanField
#   isDefaultShipping - ActiveNetsuite::SearchColumnBooleanField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   isPerson - ActiveNetsuite::SearchColumnBooleanField
#   isShipAddress - ActiveNetsuite::SearchColumnBooleanField
#   itemPricingLevel - ActiveNetsuite::SearchColumnStringField
#   itemPricingUnitPrice - ActiveNetsuite::SearchColumnDoubleField
#   jobEndDate - ActiveNetsuite::SearchColumnDateField
#   jobProjectedEnd - ActiveNetsuite::SearchColumnDateField
#   jobStartDate - ActiveNetsuite::SearchColumnDateField
#   jobType - ActiveNetsuite::SearchColumnSelectField
#   language - ActiveNetsuite::SearchColumnEnumSelectField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   lastName - ActiveNetsuite::SearchColumnStringField
#   lastOrderDate - ActiveNetsuite::SearchColumnDateField
#   lastSaleDate - ActiveNetsuite::SearchColumnDateField
#   leadDate - ActiveNetsuite::SearchColumnDateField
#   leadSource - ActiveNetsuite::SearchColumnSelectField
#   level - ActiveNetsuite::SearchColumnEnumSelectField
#   manualCreditHold - ActiveNetsuite::SearchColumnBooleanField
#   middleName - ActiveNetsuite::SearchColumnStringField
#   mobilePhone - ActiveNetsuite::SearchColumnStringField
#   monthlyClosing - ActiveNetsuite::SearchColumnEnumSelectField
#   onCreditHold - ActiveNetsuite::SearchColumnBooleanField
#   overdueBalance - ActiveNetsuite::SearchColumnDoubleField
#   parent - ActiveNetsuite::SearchColumnSelectField
#   partner - ActiveNetsuite::SearchColumnSelectField
#   partnerContribution - ActiveNetsuite::SearchColumnDoubleField
#   partnerRole - ActiveNetsuite::SearchColumnStringField
#   partnerTeamMember - ActiveNetsuite::SearchColumnSelectField
#   pec - ActiveNetsuite::SearchColumnStringField
#   permission - ActiveNetsuite::SearchColumnEnumSelectField
#   phone - ActiveNetsuite::SearchColumnStringField
#   phoneticName - ActiveNetsuite::SearchColumnStringField
#   prefCCProcessor - ActiveNetsuite::SearchColumnSelectField
#   priceLevel - ActiveNetsuite::SearchColumnSelectField
#   pricingGroup - ActiveNetsuite::SearchColumnStringField
#   pricingItem - ActiveNetsuite::SearchColumnStringField
#   printTransactions - ActiveNetsuite::SearchColumnBooleanField
#   prospectDate - ActiveNetsuite::SearchColumnDateField
#   receivablesAccount - ActiveNetsuite::SearchColumnStringField
#   reminderDays - ActiveNetsuite::SearchColumnLongField
#   resaleNumber - ActiveNetsuite::SearchColumnStringField
#   role - ActiveNetsuite::SearchColumnStringField
#   salesReadiness - ActiveNetsuite::SearchColumnStringField
#   salesRep - ActiveNetsuite::SearchColumnSelectField
#   salesTeamMember - ActiveNetsuite::SearchColumnSelectField
#   salesTeamRole - ActiveNetsuite::SearchColumnSelectField
#   salutation - ActiveNetsuite::SearchColumnStringField
#   shipAddress - ActiveNetsuite::SearchColumnStringField
#   shipAddress1 - ActiveNetsuite::SearchColumnStringField
#   shipAddress2 - ActiveNetsuite::SearchColumnStringField
#   shipAddress3 - ActiveNetsuite::SearchColumnStringField
#   shipAddressee - ActiveNetsuite::SearchColumnStringField
#   shipAttention - ActiveNetsuite::SearchColumnStringField
#   shipCity - ActiveNetsuite::SearchColumnStringField
#   shipComplete - ActiveNetsuite::SearchColumnBooleanField
#   shipCountry - ActiveNetsuite::SearchColumnEnumSelectField
#   shipCountryCode - ActiveNetsuite::SearchColumnStringField
#   shipPhone - ActiveNetsuite::SearchColumnStringField
#   shippingItem - ActiveNetsuite::SearchColumnSelectField
#   shipState - ActiveNetsuite::SearchColumnStringField
#   shipZip - ActiveNetsuite::SearchColumnStringField
#   stage - ActiveNetsuite::SearchColumnEnumSelectField
#   startDate - ActiveNetsuite::SearchColumnDateField
#   state - ActiveNetsuite::SearchColumnStringField
#   subscription - ActiveNetsuite::SearchColumnSelectField
#   subscriptionDate - ActiveNetsuite::SearchColumnDateField
#   subscriptionStatus - ActiveNetsuite::SearchColumnBooleanField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
#   taxable - ActiveNetsuite::SearchColumnBooleanField
#   taxItem - ActiveNetsuite::SearchColumnSelectField
#   terms - ActiveNetsuite::SearchColumnSelectField
#   territory - ActiveNetsuite::SearchColumnSelectField
#   title - ActiveNetsuite::SearchColumnStringField
#   unbilledOrders - ActiveNetsuite::SearchColumnDoubleField
#   url - ActiveNetsuite::SearchColumnStringField
#   vatRegNumber - ActiveNetsuite::SearchColumnStringField
#   webLead - ActiveNetsuite::SearchColumnBooleanField
#   zipCode - ActiveNetsuite::SearchColumnStringField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class CustomerSearchRowBasic < SearchRowBasic
  attr_accessor :accountNumber
  attr_accessor :address
  attr_accessor :address1
  attr_accessor :address2
  attr_accessor :address3
  attr_accessor :addressee
  attr_accessor :addressInternalId
  attr_accessor :addressLabel
  attr_accessor :addressPhone
  attr_accessor :altContact
  attr_accessor :altEmail
  attr_accessor :altName
  attr_accessor :altPhone
  attr_accessor :attention
  attr_accessor :availableOffline
  attr_accessor :balance
  attr_accessor :billAddress
  attr_accessor :billAddress1
  attr_accessor :billAddress2
  attr_accessor :billAddress3
  attr_accessor :billAddressee
  attr_accessor :billAttention
  attr_accessor :billCity
  attr_accessor :billCountry
  attr_accessor :billCountryCode
  attr_accessor :billPhone
  attr_accessor :billState
  attr_accessor :billZipCode
  attr_accessor :buyingReason
  attr_accessor :buyingTimeFrame
  attr_accessor :category
  attr_accessor :ccCustomerCode
  attr_accessor :ccDefault
  attr_accessor :ccExpDate
  attr_accessor :ccHolderName
  attr_accessor :ccInternalId
  attr_accessor :ccNumber
  attr_accessor :ccType
  attr_accessor :city
  attr_accessor :comments
  attr_accessor :companyName
  attr_accessor :consolBalance
  attr_accessor :consolDaysOverdue
  attr_accessor :consolDepositBalance
  attr_accessor :consolOverdueBalance
  attr_accessor :consolUnbilledOrders
  attr_accessor :contact
  attr_accessor :contribution
  attr_accessor :contributionPrimary
  attr_accessor :conversionDate
  attr_accessor :country
  attr_accessor :countryCode
  attr_accessor :creditHold
  attr_accessor :creditHoldOverride
  attr_accessor :creditLimit
  attr_accessor :currency
  attr_accessor :dateClosed
  attr_accessor :dateCreated
  attr_accessor :daysOverdue
  attr_accessor :defaultOrderPriority
  attr_accessor :depositBalance
  attr_accessor :drAccount
  attr_accessor :email
  attr_accessor :emailPreference
  attr_accessor :emailTransactions
  attr_accessor :endDate
  attr_accessor :entityId
  attr_accessor :entityNumber
  attr_accessor :entityStatus
  attr_accessor :estimatedBudget
  attr_accessor :explicitConversion
  attr_accessor :externalId
  attr_accessor :fax
  attr_accessor :faxTransactions
  attr_accessor :firstName
  attr_accessor :firstOrderDate
  attr_accessor :firstSaleDate
  attr_accessor :fxAccount
  attr_accessor :fxBalance
  attr_accessor :fxConsolBalance
  attr_accessor :fxConsolUnbilledOrders
  attr_accessor :fxUnbilledOrders
  attr_accessor :giveAccess
  attr_accessor :globalSubscriptionStatus
  attr_accessor :groupPricingLevel
  attr_accessor :hasDuplicates
  attr_accessor :homePhone
  attr_accessor :image
  attr_accessor :internalId
  attr_accessor :isBudgetApproved
  attr_accessor :isDefaultBilling
  attr_accessor :isDefaultShipping
  attr_accessor :isInactive
  attr_accessor :isPerson
  attr_accessor :isShipAddress
  attr_accessor :itemPricingLevel
  attr_accessor :itemPricingUnitPrice
  attr_accessor :jobEndDate
  attr_accessor :jobProjectedEnd
  attr_accessor :jobStartDate
  attr_accessor :jobType
  attr_accessor :language
  attr_accessor :lastModifiedDate
  attr_accessor :lastName
  attr_accessor :lastOrderDate
  attr_accessor :lastSaleDate
  attr_accessor :leadDate
  attr_accessor :leadSource
  attr_accessor :level
  attr_accessor :manualCreditHold
  attr_accessor :middleName
  attr_accessor :mobilePhone
  attr_accessor :monthlyClosing
  attr_accessor :onCreditHold
  attr_accessor :overdueBalance
  attr_accessor :parent
  attr_accessor :partner
  attr_accessor :partnerContribution
  attr_accessor :partnerRole
  attr_accessor :partnerTeamMember
  attr_accessor :pec
  attr_accessor :permission
  attr_accessor :phone
  attr_accessor :phoneticName
  attr_accessor :prefCCProcessor
  attr_accessor :priceLevel
  attr_accessor :pricingGroup
  attr_accessor :pricingItem
  attr_accessor :printTransactions
  attr_accessor :prospectDate
  attr_accessor :receivablesAccount
  attr_accessor :reminderDays
  attr_accessor :resaleNumber
  attr_accessor :role
  attr_accessor :salesReadiness
  attr_accessor :salesRep
  attr_accessor :salesTeamMember
  attr_accessor :salesTeamRole
  attr_accessor :salutation
  attr_accessor :shipAddress
  attr_accessor :shipAddress1
  attr_accessor :shipAddress2
  attr_accessor :shipAddress3
  attr_accessor :shipAddressee
  attr_accessor :shipAttention
  attr_accessor :shipCity
  attr_accessor :shipComplete
  attr_accessor :shipCountry
  attr_accessor :shipCountryCode
  attr_accessor :shipPhone
  attr_accessor :shippingItem
  attr_accessor :shipState
  attr_accessor :shipZip
  attr_accessor :stage
  attr_accessor :startDate
  attr_accessor :state
  attr_accessor :subscription
  attr_accessor :subscriptionDate
  attr_accessor :subscriptionStatus
  attr_accessor :subsidiary
  attr_accessor :taxable
  attr_accessor :taxItem
  attr_accessor :terms
  attr_accessor :territory
  attr_accessor :title
  attr_accessor :unbilledOrders
  attr_accessor :url
  attr_accessor :vatRegNumber
  attr_accessor :webLead
  attr_accessor :zipCode
  attr_accessor :customFieldList

  def initialize(accountNumber = [], address = [], address1 = [], address2 = [], address3 = [], addressee = [], addressInternalId = [], addressLabel = [], addressPhone = [], altContact = [], altEmail = [], altName = [], altPhone = [], attention = [], availableOffline = [], balance = [], billAddress = [], billAddress1 = [], billAddress2 = [], billAddress3 = [], billAddressee = [], billAttention = [], billCity = [], billCountry = [], billCountryCode = [], billPhone = [], billState = [], billZipCode = [], buyingReason = [], buyingTimeFrame = [], category = [], ccCustomerCode = [], ccDefault = [], ccExpDate = [], ccHolderName = [], ccInternalId = [], ccNumber = [], ccType = [], city = [], comments = [], companyName = [], consolBalance = [], consolDaysOverdue = [], consolDepositBalance = [], consolOverdueBalance = [], consolUnbilledOrders = [], contact = [], contribution = [], contributionPrimary = [], conversionDate = [], country = [], countryCode = [], creditHold = [], creditHoldOverride = [], creditLimit = [], currency = [], dateClosed = [], dateCreated = [], daysOverdue = [], defaultOrderPriority = [], depositBalance = [], drAccount = [], email = [], emailPreference = [], emailTransactions = [], endDate = [], entityId = [], entityNumber = [], entityStatus = [], estimatedBudget = [], explicitConversion = [], externalId = [], fax = [], faxTransactions = [], firstName = [], firstOrderDate = [], firstSaleDate = [], fxAccount = [], fxBalance = [], fxConsolBalance = [], fxConsolUnbilledOrders = [], fxUnbilledOrders = [], giveAccess = [], globalSubscriptionStatus = [], groupPricingLevel = [], hasDuplicates = [], homePhone = [], image = [], internalId = [], isBudgetApproved = [], isDefaultBilling = [], isDefaultShipping = [], isInactive = [], isPerson = [], isShipAddress = [], itemPricingLevel = [], itemPricingUnitPrice = [], jobEndDate = [], jobProjectedEnd = [], jobStartDate = [], jobType = [], language = [], lastModifiedDate = [], lastName = [], lastOrderDate = [], lastSaleDate = [], leadDate = [], leadSource = [], level = [], manualCreditHold = [], middleName = [], mobilePhone = [], monthlyClosing = [], onCreditHold = [], overdueBalance = [], parent = [], partner = [], partnerContribution = [], partnerRole = [], partnerTeamMember = [], pec = [], permission = [], phone = [], phoneticName = [], prefCCProcessor = [], priceLevel = [], pricingGroup = [], pricingItem = [], printTransactions = [], prospectDate = [], receivablesAccount = [], reminderDays = [], resaleNumber = [], role = [], salesReadiness = [], salesRep = [], salesTeamMember = [], salesTeamRole = [], salutation = [], shipAddress = [], shipAddress1 = [], shipAddress2 = [], shipAddress3 = [], shipAddressee = [], shipAttention = [], shipCity = [], shipComplete = [], shipCountry = [], shipCountryCode = [], shipPhone = [], shippingItem = [], shipState = [], shipZip = [], stage = [], startDate = [], state = [], subscription = [], subscriptionDate = [], subscriptionStatus = [], subsidiary = [], taxable = [], taxItem = [], terms = [], territory = [], title = [], unbilledOrders = [], url = [], vatRegNumber = [], webLead = [], zipCode = [], customFieldList = nil)
    @accountNumber = accountNumber
    @address = address
    @address1 = address1
    @address2 = address2
    @address3 = address3
    @addressee = addressee
    @addressInternalId = addressInternalId
    @addressLabel = addressLabel
    @addressPhone = addressPhone
    @altContact = altContact
    @altEmail = altEmail
    @altName = altName
    @altPhone = altPhone
    @attention = attention
    @availableOffline = availableOffline
    @balance = balance
    @billAddress = billAddress
    @billAddress1 = billAddress1
    @billAddress2 = billAddress2
    @billAddress3 = billAddress3
    @billAddressee = billAddressee
    @billAttention = billAttention
    @billCity = billCity
    @billCountry = billCountry
    @billCountryCode = billCountryCode
    @billPhone = billPhone
    @billState = billState
    @billZipCode = billZipCode
    @buyingReason = buyingReason
    @buyingTimeFrame = buyingTimeFrame
    @category = category
    @ccCustomerCode = ccCustomerCode
    @ccDefault = ccDefault
    @ccExpDate = ccExpDate
    @ccHolderName = ccHolderName
    @ccInternalId = ccInternalId
    @ccNumber = ccNumber
    @ccType = ccType
    @city = city
    @comments = comments
    @companyName = companyName
    @consolBalance = consolBalance
    @consolDaysOverdue = consolDaysOverdue
    @consolDepositBalance = consolDepositBalance
    @consolOverdueBalance = consolOverdueBalance
    @consolUnbilledOrders = consolUnbilledOrders
    @contact = contact
    @contribution = contribution
    @contributionPrimary = contributionPrimary
    @conversionDate = conversionDate
    @country = country
    @countryCode = countryCode
    @creditHold = creditHold
    @creditHoldOverride = creditHoldOverride
    @creditLimit = creditLimit
    @currency = currency
    @dateClosed = dateClosed
    @dateCreated = dateCreated
    @daysOverdue = daysOverdue
    @defaultOrderPriority = defaultOrderPriority
    @depositBalance = depositBalance
    @drAccount = drAccount
    @email = email
    @emailPreference = emailPreference
    @emailTransactions = emailTransactions
    @endDate = endDate
    @entityId = entityId
    @entityNumber = entityNumber
    @entityStatus = entityStatus
    @estimatedBudget = estimatedBudget
    @explicitConversion = explicitConversion
    @externalId = externalId
    @fax = fax
    @faxTransactions = faxTransactions
    @firstName = firstName
    @firstOrderDate = firstOrderDate
    @firstSaleDate = firstSaleDate
    @fxAccount = fxAccount
    @fxBalance = fxBalance
    @fxConsolBalance = fxConsolBalance
    @fxConsolUnbilledOrders = fxConsolUnbilledOrders
    @fxUnbilledOrders = fxUnbilledOrders
    @giveAccess = giveAccess
    @globalSubscriptionStatus = globalSubscriptionStatus
    @groupPricingLevel = groupPricingLevel
    @hasDuplicates = hasDuplicates
    @homePhone = homePhone
    @image = image
    @internalId = internalId
    @isBudgetApproved = isBudgetApproved
    @isDefaultBilling = isDefaultBilling
    @isDefaultShipping = isDefaultShipping
    @isInactive = isInactive
    @isPerson = isPerson
    @isShipAddress = isShipAddress
    @itemPricingLevel = itemPricingLevel
    @itemPricingUnitPrice = itemPricingUnitPrice
    @jobEndDate = jobEndDate
    @jobProjectedEnd = jobProjectedEnd
    @jobStartDate = jobStartDate
    @jobType = jobType
    @language = language
    @lastModifiedDate = lastModifiedDate
    @lastName = lastName
    @lastOrderDate = lastOrderDate
    @lastSaleDate = lastSaleDate
    @leadDate = leadDate
    @leadSource = leadSource
    @level = level
    @manualCreditHold = manualCreditHold
    @middleName = middleName
    @mobilePhone = mobilePhone
    @monthlyClosing = monthlyClosing
    @onCreditHold = onCreditHold
    @overdueBalance = overdueBalance
    @parent = parent
    @partner = partner
    @partnerContribution = partnerContribution
    @partnerRole = partnerRole
    @partnerTeamMember = partnerTeamMember
    @pec = pec
    @permission = permission
    @phone = phone
    @phoneticName = phoneticName
    @prefCCProcessor = prefCCProcessor
    @priceLevel = priceLevel
    @pricingGroup = pricingGroup
    @pricingItem = pricingItem
    @printTransactions = printTransactions
    @prospectDate = prospectDate
    @receivablesAccount = receivablesAccount
    @reminderDays = reminderDays
    @resaleNumber = resaleNumber
    @role = role
    @salesReadiness = salesReadiness
    @salesRep = salesRep
    @salesTeamMember = salesTeamMember
    @salesTeamRole = salesTeamRole
    @salutation = salutation
    @shipAddress = shipAddress
    @shipAddress1 = shipAddress1
    @shipAddress2 = shipAddress2
    @shipAddress3 = shipAddress3
    @shipAddressee = shipAddressee
    @shipAttention = shipAttention
    @shipCity = shipCity
    @shipComplete = shipComplete
    @shipCountry = shipCountry
    @shipCountryCode = shipCountryCode
    @shipPhone = shipPhone
    @shippingItem = shippingItem
    @shipState = shipState
    @shipZip = shipZip
    @stage = stage
    @startDate = startDate
    @state = state
    @subscription = subscription
    @subscriptionDate = subscriptionDate
    @subscriptionStatus = subscriptionStatus
    @subsidiary = subsidiary
    @taxable = taxable
    @taxItem = taxItem
    @terms = terms
    @territory = territory
    @title = title
    @unbilledOrders = unbilledOrders
    @url = url
    @vatRegNumber = vatRegNumber
    @webLead = webLead
    @zipCode = zipCode
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CalendarEventSearchRowBasic
#   attendee - ActiveNetsuite::SearchColumnSelectField
#   company - ActiveNetsuite::SearchColumnSelectField
#   completedDate - ActiveNetsuite::SearchColumnDateField
#   contact - ActiveNetsuite::SearchColumnSelectField
#   createdDate - ActiveNetsuite::SearchColumnDateField
#   endTime - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   instanceEnd - ActiveNetsuite::SearchColumnDateField
#   instanceStart - ActiveNetsuite::SearchColumnDateField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   location - ActiveNetsuite::SearchColumnStringField
#   markdone - ActiveNetsuite::SearchColumnStringField
#   message - ActiveNetsuite::SearchColumnStringField
#   organizer - ActiveNetsuite::SearchColumnSelectField
#   owner - ActiveNetsuite::SearchColumnSelectField
#   recurrence - ActiveNetsuite::SearchColumnStringField
#   resource - ActiveNetsuite::SearchColumnSelectField
#   response - ActiveNetsuite::SearchColumnEnumSelectField
#   startDate - ActiveNetsuite::SearchColumnStringField
#   startTime - ActiveNetsuite::SearchColumnStringField
#   status - ActiveNetsuite::SearchColumnEnumSelectField
#   title - ActiveNetsuite::SearchColumnStringField
#   transaction - ActiveNetsuite::SearchColumnSelectField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class CalendarEventSearchRowBasic < SearchRowBasic
  attr_accessor :attendee
  attr_accessor :company
  attr_accessor :completedDate
  attr_accessor :contact
  attr_accessor :createdDate
  attr_accessor :endTime
  attr_accessor :externalId
  attr_accessor :instanceEnd
  attr_accessor :instanceStart
  attr_accessor :internalId
  attr_accessor :lastModifiedDate
  attr_accessor :location
  attr_accessor :markdone
  attr_accessor :message
  attr_accessor :organizer
  attr_accessor :owner
  attr_accessor :recurrence
  attr_accessor :resource
  attr_accessor :response
  attr_accessor :startDate
  attr_accessor :startTime
  attr_accessor :status
  attr_accessor :title
  attr_accessor :transaction
  attr_accessor :customFieldList

  def initialize(attendee = [], company = [], completedDate = [], contact = [], createdDate = [], endTime = [], externalId = [], instanceEnd = [], instanceStart = [], internalId = [], lastModifiedDate = [], location = [], markdone = [], message = [], organizer = [], owner = [], recurrence = [], resource = [], response = [], startDate = [], startTime = [], status = [], title = [], transaction = [], customFieldList = nil)
    @attendee = attendee
    @company = company
    @completedDate = completedDate
    @contact = contact
    @createdDate = createdDate
    @endTime = endTime
    @externalId = externalId
    @instanceEnd = instanceEnd
    @instanceStart = instanceStart
    @internalId = internalId
    @lastModifiedDate = lastModifiedDate
    @location = location
    @markdone = markdone
    @message = message
    @organizer = organizer
    @owner = owner
    @recurrence = recurrence
    @resource = resource
    @response = response
    @startDate = startDate
    @startTime = startTime
    @status = status
    @title = title
    @transaction = transaction
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}TaskSearchRowBasic
#   accessLevel - ActiveNetsuite::SearchColumnStringField
#   actualTime - ActiveNetsuite::SearchColumnDoubleField
#   assigned - ActiveNetsuite::SearchColumnSelectField
#   company - ActiveNetsuite::SearchColumnSelectField
#   completedDate - ActiveNetsuite::SearchColumnDateField
#   contact - ActiveNetsuite::SearchColumnSelectField
#   createdDate - ActiveNetsuite::SearchColumnDateField
#   dueDate - ActiveNetsuite::SearchColumnDateField
#   estimatedTime - ActiveNetsuite::SearchColumnDoubleField
#   estimatedTimeOverride - ActiveNetsuite::SearchColumnDoubleField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isJobSummaryTask - ActiveNetsuite::SearchColumnBooleanField
#   isJobTask - ActiveNetsuite::SearchColumnBooleanField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   markdone - ActiveNetsuite::SearchColumnStringField
#   message - ActiveNetsuite::SearchColumnStringField
#   milestone - ActiveNetsuite::SearchColumnSelectField
#   order - ActiveNetsuite::SearchColumnLongField
#   owner - ActiveNetsuite::SearchColumnSelectField
#   percentComplete - ActiveNetsuite::SearchColumnDoubleField
#   percentTimeComplete - ActiveNetsuite::SearchColumnDoubleField
#   priority - ActiveNetsuite::SearchColumnEnumSelectField
#   startDate - ActiveNetsuite::SearchColumnDateField
#   startTime - ActiveNetsuite::SearchColumnStringField
#   status - ActiveNetsuite::SearchColumnEnumSelectField
#   timeRemaining - ActiveNetsuite::SearchColumnDoubleField
#   title - ActiveNetsuite::SearchColumnStringField
#   transaction - ActiveNetsuite::SearchColumnSelectField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class TaskSearchRowBasic < SearchRowBasic
  attr_accessor :accessLevel
  attr_accessor :actualTime
  attr_accessor :assigned
  attr_accessor :company
  attr_accessor :completedDate
  attr_accessor :contact
  attr_accessor :createdDate
  attr_accessor :dueDate
  attr_accessor :estimatedTime
  attr_accessor :estimatedTimeOverride
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isJobSummaryTask
  attr_accessor :isJobTask
  attr_accessor :lastModifiedDate
  attr_accessor :markdone
  attr_accessor :message
  attr_accessor :milestone
  attr_accessor :order
  attr_accessor :owner
  attr_accessor :percentComplete
  attr_accessor :percentTimeComplete
  attr_accessor :priority
  attr_accessor :startDate
  attr_accessor :startTime
  attr_accessor :status
  attr_accessor :timeRemaining
  attr_accessor :title
  attr_accessor :transaction
  attr_accessor :customFieldList

  def initialize(accessLevel = [], actualTime = [], assigned = [], company = [], completedDate = [], contact = [], createdDate = [], dueDate = [], estimatedTime = [], estimatedTimeOverride = [], externalId = [], internalId = [], isJobSummaryTask = [], isJobTask = [], lastModifiedDate = [], markdone = [], message = [], milestone = [], order = [], owner = [], percentComplete = [], percentTimeComplete = [], priority = [], startDate = [], startTime = [], status = [], timeRemaining = [], title = [], transaction = [], customFieldList = nil)
    @accessLevel = accessLevel
    @actualTime = actualTime
    @assigned = assigned
    @company = company
    @completedDate = completedDate
    @contact = contact
    @createdDate = createdDate
    @dueDate = dueDate
    @estimatedTime = estimatedTime
    @estimatedTimeOverride = estimatedTimeOverride
    @externalId = externalId
    @internalId = internalId
    @isJobSummaryTask = isJobSummaryTask
    @isJobTask = isJobTask
    @lastModifiedDate = lastModifiedDate
    @markdone = markdone
    @message = message
    @milestone = milestone
    @order = order
    @owner = owner
    @percentComplete = percentComplete
    @percentTimeComplete = percentTimeComplete
    @priority = priority
    @startDate = startDate
    @startTime = startTime
    @status = status
    @timeRemaining = timeRemaining
    @title = title
    @transaction = transaction
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}OpportunitySearchRowBasic
#   actionItem - ActiveNetsuite::SearchColumnStringField
#   availableOffline - ActiveNetsuite::SearchColumnBooleanField
#   buyingReason - ActiveNetsuite::SearchColumnStringField
#   buyingTimeFrame - ActiveNetsuite::SearchColumnStringField
#   m_class - ActiveNetsuite::SearchColumnSelectField
#   closeDate - ActiveNetsuite::SearchColumnDateField
#   competitor - ActiveNetsuite::SearchColumnSelectField
#   contribution - ActiveNetsuite::SearchColumnDoubleField
#   contributionPrimary - ActiveNetsuite::SearchColumnDoubleField
#   currency - ActiveNetsuite::SearchColumnSelectField
#   custType - ActiveNetsuite::SearchColumnStringField
#   dateCreated - ActiveNetsuite::SearchColumnDateField
#   daysOpen - ActiveNetsuite::SearchColumnLongField
#   daysToClose - ActiveNetsuite::SearchColumnLongField
#   decisionMaker - ActiveNetsuite::SearchColumnSelectField
#   department - ActiveNetsuite::SearchColumnSelectField
#   entity - ActiveNetsuite::SearchColumnSelectField
#   entityStatus - ActiveNetsuite::SearchColumnSelectField
#   estimatedBudget - ActiveNetsuite::SearchColumnDoubleField
#   expectedCloseDate - ActiveNetsuite::SearchColumnDateField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   forecastType - ActiveNetsuite::SearchColumnEnumSelectField
#   foreignProjectedAmount - ActiveNetsuite::SearchColumnDoubleField
#   foreignRangeHigh - ActiveNetsuite::SearchColumnDoubleField
#   foreignRangeLow - ActiveNetsuite::SearchColumnDoubleField
#   fxTranCostEstimate - ActiveNetsuite::SearchColumnDoubleField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isBudgetApproved - ActiveNetsuite::SearchColumnBooleanField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   leadSource - ActiveNetsuite::SearchColumnSelectField
#   location - ActiveNetsuite::SearchColumnSelectField
#   memo - ActiveNetsuite::SearchColumnStringField
#   partner - ActiveNetsuite::SearchColumnSelectField
#   partnerContribution - ActiveNetsuite::SearchColumnDoubleField
#   partnerRole - ActiveNetsuite::SearchColumnSelectField
#   partnerTeamMember - ActiveNetsuite::SearchColumnSelectField
#   period - ActiveNetsuite::SearchColumnStringField
#   probability - ActiveNetsuite::SearchColumnDoubleField
#   projAltSalesAmt - ActiveNetsuite::SearchColumnDoubleField
#   projectedTotal - ActiveNetsuite::SearchColumnDoubleField
#   rangeHigh - ActiveNetsuite::SearchColumnDoubleField
#   rangeHighAlt - ActiveNetsuite::SearchColumnDoubleField
#   rangeLow - ActiveNetsuite::SearchColumnDoubleField
#   rangeLowAlt - ActiveNetsuite::SearchColumnDoubleField
#   salesReadiness - ActiveNetsuite::SearchColumnStringField
#   salesRep - ActiveNetsuite::SearchColumnSelectField
#   salesTeamMember - ActiveNetsuite::SearchColumnSelectField
#   salesTeamRole - ActiveNetsuite::SearchColumnSelectField
#   status - ActiveNetsuite::SearchColumnEnumSelectField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
#   taxPeriod - ActiveNetsuite::SearchColumnSelectField
#   title - ActiveNetsuite::SearchColumnStringField
#   total - ActiveNetsuite::SearchColumnDoubleField
#   tranCostEstimate - ActiveNetsuite::SearchColumnDoubleField
#   tranDate - ActiveNetsuite::SearchColumnDateField
#   tranEstGrossProfit - ActiveNetsuite::SearchColumnDoubleField
#   tranEstGrossProfitPct - ActiveNetsuite::SearchColumnDoubleField
#   tranFxEstGrossProfit - ActiveNetsuite::SearchColumnDoubleField
#   tranId - ActiveNetsuite::SearchColumnStringField
#   weightedTotal - ActiveNetsuite::SearchColumnDoubleField
#   winLossReason - ActiveNetsuite::SearchColumnSelectField
#   wonBy - ActiveNetsuite::SearchColumnSelectField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class OpportunitySearchRowBasic < SearchRowBasic
  attr_accessor :actionItem
  attr_accessor :availableOffline
  attr_accessor :buyingReason
  attr_accessor :buyingTimeFrame
  attr_accessor :closeDate
  attr_accessor :competitor
  attr_accessor :contribution
  attr_accessor :contributionPrimary
  attr_accessor :currency
  attr_accessor :custType
  attr_accessor :dateCreated
  attr_accessor :daysOpen
  attr_accessor :daysToClose
  attr_accessor :decisionMaker
  attr_accessor :department
  attr_accessor :entity
  attr_accessor :entityStatus
  attr_accessor :estimatedBudget
  attr_accessor :expectedCloseDate
  attr_accessor :externalId
  attr_accessor :forecastType
  attr_accessor :foreignProjectedAmount
  attr_accessor :foreignRangeHigh
  attr_accessor :foreignRangeLow
  attr_accessor :fxTranCostEstimate
  attr_accessor :internalId
  attr_accessor :isBudgetApproved
  attr_accessor :lastModifiedDate
  attr_accessor :leadSource
  attr_accessor :location
  attr_accessor :memo
  attr_accessor :partner
  attr_accessor :partnerContribution
  attr_accessor :partnerRole
  attr_accessor :partnerTeamMember
  attr_accessor :period
  attr_accessor :probability
  attr_accessor :projAltSalesAmt
  attr_accessor :projectedTotal
  attr_accessor :rangeHigh
  attr_accessor :rangeHighAlt
  attr_accessor :rangeLow
  attr_accessor :rangeLowAlt
  attr_accessor :salesReadiness
  attr_accessor :salesRep
  attr_accessor :salesTeamMember
  attr_accessor :salesTeamRole
  attr_accessor :status
  attr_accessor :subsidiary
  attr_accessor :taxPeriod
  attr_accessor :title
  attr_accessor :total
  attr_accessor :tranCostEstimate
  attr_accessor :tranDate
  attr_accessor :tranEstGrossProfit
  attr_accessor :tranEstGrossProfitPct
  attr_accessor :tranFxEstGrossProfit
  attr_accessor :tranId
  attr_accessor :weightedTotal
  attr_accessor :winLossReason
  attr_accessor :wonBy
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(actionItem = [], availableOffline = [], buyingReason = [], buyingTimeFrame = [], v_class = [], closeDate = [], competitor = [], contribution = [], contributionPrimary = [], currency = [], custType = [], dateCreated = [], daysOpen = [], daysToClose = [], decisionMaker = [], department = [], entity = [], entityStatus = [], estimatedBudget = [], expectedCloseDate = [], externalId = [], forecastType = [], foreignProjectedAmount = [], foreignRangeHigh = [], foreignRangeLow = [], fxTranCostEstimate = [], internalId = [], isBudgetApproved = [], lastModifiedDate = [], leadSource = [], location = [], memo = [], partner = [], partnerContribution = [], partnerRole = [], partnerTeamMember = [], period = [], probability = [], projAltSalesAmt = [], projectedTotal = [], rangeHigh = [], rangeHighAlt = [], rangeLow = [], rangeLowAlt = [], salesReadiness = [], salesRep = [], salesTeamMember = [], salesTeamRole = [], status = [], subsidiary = [], taxPeriod = [], title = [], total = [], tranCostEstimate = [], tranDate = [], tranEstGrossProfit = [], tranEstGrossProfitPct = [], tranFxEstGrossProfit = [], tranId = [], weightedTotal = [], winLossReason = [], wonBy = [], customFieldList = nil)
    @actionItem = actionItem
    @availableOffline = availableOffline
    @buyingReason = buyingReason
    @buyingTimeFrame = buyingTimeFrame
    @v_class = v_class
    @closeDate = closeDate
    @competitor = competitor
    @contribution = contribution
    @contributionPrimary = contributionPrimary
    @currency = currency
    @custType = custType
    @dateCreated = dateCreated
    @daysOpen = daysOpen
    @daysToClose = daysToClose
    @decisionMaker = decisionMaker
    @department = department
    @entity = entity
    @entityStatus = entityStatus
    @estimatedBudget = estimatedBudget
    @expectedCloseDate = expectedCloseDate
    @externalId = externalId
    @forecastType = forecastType
    @foreignProjectedAmount = foreignProjectedAmount
    @foreignRangeHigh = foreignRangeHigh
    @foreignRangeLow = foreignRangeLow
    @fxTranCostEstimate = fxTranCostEstimate
    @internalId = internalId
    @isBudgetApproved = isBudgetApproved
    @lastModifiedDate = lastModifiedDate
    @leadSource = leadSource
    @location = location
    @memo = memo
    @partner = partner
    @partnerContribution = partnerContribution
    @partnerRole = partnerRole
    @partnerTeamMember = partnerTeamMember
    @period = period
    @probability = probability
    @projAltSalesAmt = projAltSalesAmt
    @projectedTotal = projectedTotal
    @rangeHigh = rangeHigh
    @rangeHighAlt = rangeHighAlt
    @rangeLow = rangeLow
    @rangeLowAlt = rangeLowAlt
    @salesReadiness = salesReadiness
    @salesRep = salesRep
    @salesTeamMember = salesTeamMember
    @salesTeamRole = salesTeamRole
    @status = status
    @subsidiary = subsidiary
    @taxPeriod = taxPeriod
    @title = title
    @total = total
    @tranCostEstimate = tranCostEstimate
    @tranDate = tranDate
    @tranEstGrossProfit = tranEstGrossProfit
    @tranEstGrossProfitPct = tranEstGrossProfitPct
    @tranFxEstGrossProfit = tranFxEstGrossProfit
    @tranId = tranId
    @weightedTotal = weightedTotal
    @winLossReason = winLossReason
    @wonBy = wonBy
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}EmployeeSearchRowBasic
#   accountNumber - ActiveNetsuite::SearchColumnStringField
#   address - ActiveNetsuite::SearchColumnStringField
#   address1 - ActiveNetsuite::SearchColumnStringField
#   address2 - ActiveNetsuite::SearchColumnStringField
#   address3 - ActiveNetsuite::SearchColumnStringField
#   addressee - ActiveNetsuite::SearchColumnStringField
#   addressInternalId - ActiveNetsuite::SearchColumnStringField
#   addressLabel - ActiveNetsuite::SearchColumnStringField
#   addressPhone - ActiveNetsuite::SearchColumnStringField
#   alienNumber - ActiveNetsuite::SearchColumnStringField
#   altEmail - ActiveNetsuite::SearchColumnStringField
#   altName - ActiveNetsuite::SearchColumnStringField
#   altPhone - ActiveNetsuite::SearchColumnStringField
#   approvalLimit - ActiveNetsuite::SearchColumnDoubleField
#   approver - ActiveNetsuite::SearchColumnSelectField
#   attention - ActiveNetsuite::SearchColumnStringField
#   authWorkDate - ActiveNetsuite::SearchColumnDateField
#   billAddress - ActiveNetsuite::SearchColumnStringField
#   billAddress1 - ActiveNetsuite::SearchColumnStringField
#   billAddress2 - ActiveNetsuite::SearchColumnStringField
#   billAddress3 - ActiveNetsuite::SearchColumnStringField
#   billAddressee - ActiveNetsuite::SearchColumnStringField
#   billAttention - ActiveNetsuite::SearchColumnStringField
#   billCity - ActiveNetsuite::SearchColumnStringField
#   billCountry - ActiveNetsuite::SearchColumnEnumSelectField
#   billCountryCode - ActiveNetsuite::SearchColumnStringField
#   billingClass - ActiveNetsuite::SearchColumnSelectField
#   billPhone - ActiveNetsuite::SearchColumnStringField
#   billState - ActiveNetsuite::SearchColumnStringField
#   billZipCode - ActiveNetsuite::SearchColumnStringField
#   birthDate - ActiveNetsuite::SearchColumnDateField
#   birthDay - ActiveNetsuite::SearchColumnDateField
#   city - ActiveNetsuite::SearchColumnStringField
#   m_class - ActiveNetsuite::SearchColumnSelectField
#   comments - ActiveNetsuite::SearchColumnStringField
#   concurrentWebServicesUser - ActiveNetsuite::SearchColumnBooleanField
#   country - ActiveNetsuite::SearchColumnEnumSelectField
#   countryCode - ActiveNetsuite::SearchColumnStringField
#   dateCreated - ActiveNetsuite::SearchColumnDateField
#   department - ActiveNetsuite::SearchColumnSelectField
#   eligibleForCommission - ActiveNetsuite::SearchColumnBooleanField
#   email - ActiveNetsuite::SearchColumnStringField
#   employeeStatus - ActiveNetsuite::SearchColumnSelectField
#   employeeType - ActiveNetsuite::SearchColumnSelectField
#   entityId - ActiveNetsuite::SearchColumnStringField
#   entityNumber - ActiveNetsuite::SearchColumnLongField
#   ethnicity - ActiveNetsuite::SearchColumnSelectField
#   expenseLimit - ActiveNetsuite::SearchColumnDoubleField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   fax - ActiveNetsuite::SearchColumnStringField
#   firstName - ActiveNetsuite::SearchColumnStringField
#   gender - ActiveNetsuite::SearchColumnEnumSelectField
#   giveAccess - ActiveNetsuite::SearchColumnBooleanField
#   globalSubscriptionStatus - ActiveNetsuite::SearchColumnEnumSelectField
#   hireDate - ActiveNetsuite::SearchColumnDateField
#   homePhone - ActiveNetsuite::SearchColumnStringField
#   i9Verified - ActiveNetsuite::SearchColumnBooleanField
#   image - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isDefaultBilling - ActiveNetsuite::SearchColumnBooleanField
#   isDefaultShipping - ActiveNetsuite::SearchColumnBooleanField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   isJobResource - ActiveNetsuite::SearchColumnBooleanField
#   isSalesRep - ActiveNetsuite::SearchColumnBooleanField
#   isSupportRep - ActiveNetsuite::SearchColumnBooleanField
#   isTemplate - ActiveNetsuite::SearchColumnBooleanField
#   laborCost - ActiveNetsuite::SearchColumnDoubleField
#   language - ActiveNetsuite::SearchColumnEnumSelectField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   lastName - ActiveNetsuite::SearchColumnStringField
#   lastPaidDate - ActiveNetsuite::SearchColumnDateField
#   lastReviewDate - ActiveNetsuite::SearchColumnDateField
#   level - ActiveNetsuite::SearchColumnEnumSelectField
#   location - ActiveNetsuite::SearchColumnSelectField
#   maritalStatus - ActiveNetsuite::SearchColumnSelectField
#   middleName - ActiveNetsuite::SearchColumnStringField
#   mobilePhone - ActiveNetsuite::SearchColumnStringField
#   nextReviewDate - ActiveNetsuite::SearchColumnDateField
#   offlineAccess - ActiveNetsuite::SearchColumnBooleanField
#   payFrequency - ActiveNetsuite::SearchColumnEnumSelectField
#   permChangeDate - ActiveNetsuite::SearchColumnDateField
#   permChangeLevel - ActiveNetsuite::SearchColumnStringField
#   permission - ActiveNetsuite::SearchColumnEnumSelectField
#   permissionChange - ActiveNetsuite::SearchColumnEnumSelectField
#   phone - ActiveNetsuite::SearchColumnStringField
#   phoneticName - ActiveNetsuite::SearchColumnStringField
#   primaryEarningAmount - ActiveNetsuite::SearchColumnDoubleField
#   primaryEarningItem - ActiveNetsuite::SearchColumnStringField
#   primaryEarningType - ActiveNetsuite::SearchColumnStringField
#   purchaseOrderApprovalLimit - ActiveNetsuite::SearchColumnDoubleField
#   purchaseOrderApprover - ActiveNetsuite::SearchColumnSelectField
#   purchaseOrderLimit - ActiveNetsuite::SearchColumnDoubleField
#   releaseDate - ActiveNetsuite::SearchColumnDateField
#   residentStatus - ActiveNetsuite::SearchColumnSelectField
#   role - ActiveNetsuite::SearchColumnSelectField
#   roleChange - ActiveNetsuite::SearchColumnStringField
#   roleChangeAction - ActiveNetsuite::SearchColumnStringField
#   roleChangeDate - ActiveNetsuite::SearchColumnDateField
#   salesRole - ActiveNetsuite::SearchColumnSelectField
#   salutation - ActiveNetsuite::SearchColumnStringField
#   shipAddress1 - ActiveNetsuite::SearchColumnStringField
#   shipAddress2 - ActiveNetsuite::SearchColumnStringField
#   shipAddress3 - ActiveNetsuite::SearchColumnStringField
#   shipAddressee - ActiveNetsuite::SearchColumnStringField
#   shipAttention - ActiveNetsuite::SearchColumnStringField
#   shipCity - ActiveNetsuite::SearchColumnStringField
#   shipCountry - ActiveNetsuite::SearchColumnEnumSelectField
#   shipCountryCode - ActiveNetsuite::SearchColumnStringField
#   shipPhone - ActiveNetsuite::SearchColumnStringField
#   shipState - ActiveNetsuite::SearchColumnStringField
#   shipZip - ActiveNetsuite::SearchColumnStringField
#   socialSecurityNumber - ActiveNetsuite::SearchColumnStringField
#   state - ActiveNetsuite::SearchColumnEnumSelectField
#   subscription - ActiveNetsuite::SearchColumnSelectField
#   subscriptionDate - ActiveNetsuite::SearchColumnDateField
#   subscriptionStatus - ActiveNetsuite::SearchColumnBooleanField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
#   supervisor - ActiveNetsuite::SearchColumnSelectField
#   timeApprover - ActiveNetsuite::SearchColumnSelectField
#   title - ActiveNetsuite::SearchColumnStringField
#   type - ActiveNetsuite::SearchColumnSelectField
#   usePerquest - ActiveNetsuite::SearchColumnBooleanField
#   useTimeData - ActiveNetsuite::SearchColumnBooleanField
#   visaExpDate - ActiveNetsuite::SearchColumnDateField
#   visaType - ActiveNetsuite::SearchColumnSelectField
#   workCalendar - ActiveNetsuite::SearchColumnStringField
#   workplace - ActiveNetsuite::SearchColumnSelectField
#   zipCode - ActiveNetsuite::SearchColumnStringField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class EmployeeSearchRowBasic < SearchRowBasic
  attr_accessor :accountNumber
  attr_accessor :address
  attr_accessor :address1
  attr_accessor :address2
  attr_accessor :address3
  attr_accessor :addressee
  attr_accessor :addressInternalId
  attr_accessor :addressLabel
  attr_accessor :addressPhone
  attr_accessor :alienNumber
  attr_accessor :altEmail
  attr_accessor :altName
  attr_accessor :altPhone
  attr_accessor :approvalLimit
  attr_accessor :approver
  attr_accessor :attention
  attr_accessor :authWorkDate
  attr_accessor :billAddress
  attr_accessor :billAddress1
  attr_accessor :billAddress2
  attr_accessor :billAddress3
  attr_accessor :billAddressee
  attr_accessor :billAttention
  attr_accessor :billCity
  attr_accessor :billCountry
  attr_accessor :billCountryCode
  attr_accessor :billingClass
  attr_accessor :billPhone
  attr_accessor :billState
  attr_accessor :billZipCode
  attr_accessor :birthDate
  attr_accessor :birthDay
  attr_accessor :city
  attr_accessor :comments
  attr_accessor :concurrentWebServicesUser
  attr_accessor :country
  attr_accessor :countryCode
  attr_accessor :dateCreated
  attr_accessor :department
  attr_accessor :eligibleForCommission
  attr_accessor :email
  attr_accessor :employeeStatus
  attr_accessor :employeeType
  attr_accessor :entityId
  attr_accessor :entityNumber
  attr_accessor :ethnicity
  attr_accessor :expenseLimit
  attr_accessor :externalId
  attr_accessor :fax
  attr_accessor :firstName
  attr_accessor :gender
  attr_accessor :giveAccess
  attr_accessor :globalSubscriptionStatus
  attr_accessor :hireDate
  attr_accessor :homePhone
  attr_accessor :i9Verified
  attr_accessor :image
  attr_accessor :internalId
  attr_accessor :isDefaultBilling
  attr_accessor :isDefaultShipping
  attr_accessor :isInactive
  attr_accessor :isJobResource
  attr_accessor :isSalesRep
  attr_accessor :isSupportRep
  attr_accessor :isTemplate
  attr_accessor :laborCost
  attr_accessor :language
  attr_accessor :lastModifiedDate
  attr_accessor :lastName
  attr_accessor :lastPaidDate
  attr_accessor :lastReviewDate
  attr_accessor :level
  attr_accessor :location
  attr_accessor :maritalStatus
  attr_accessor :middleName
  attr_accessor :mobilePhone
  attr_accessor :nextReviewDate
  attr_accessor :offlineAccess
  attr_accessor :payFrequency
  attr_accessor :permChangeDate
  attr_accessor :permChangeLevel
  attr_accessor :permission
  attr_accessor :permissionChange
  attr_accessor :phone
  attr_accessor :phoneticName
  attr_accessor :primaryEarningAmount
  attr_accessor :primaryEarningItem
  attr_accessor :primaryEarningType
  attr_accessor :purchaseOrderApprovalLimit
  attr_accessor :purchaseOrderApprover
  attr_accessor :purchaseOrderLimit
  attr_accessor :releaseDate
  attr_accessor :residentStatus
  attr_accessor :role
  attr_accessor :roleChange
  attr_accessor :roleChangeAction
  attr_accessor :roleChangeDate
  attr_accessor :salesRole
  attr_accessor :salutation
  attr_accessor :shipAddress1
  attr_accessor :shipAddress2
  attr_accessor :shipAddress3
  attr_accessor :shipAddressee
  attr_accessor :shipAttention
  attr_accessor :shipCity
  attr_accessor :shipCountry
  attr_accessor :shipCountryCode
  attr_accessor :shipPhone
  attr_accessor :shipState
  attr_accessor :shipZip
  attr_accessor :socialSecurityNumber
  attr_accessor :state
  attr_accessor :subscription
  attr_accessor :subscriptionDate
  attr_accessor :subscriptionStatus
  attr_accessor :subsidiary
  attr_accessor :supervisor
  attr_accessor :timeApprover
  attr_accessor :title
  attr_accessor :type
  attr_accessor :usePerquest
  attr_accessor :useTimeData
  attr_accessor :visaExpDate
  attr_accessor :visaType
  attr_accessor :workCalendar
  attr_accessor :workplace
  attr_accessor :zipCode
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(accountNumber = [], address = [], address1 = [], address2 = [], address3 = [], addressee = [], addressInternalId = [], addressLabel = [], addressPhone = [], alienNumber = [], altEmail = [], altName = [], altPhone = [], approvalLimit = [], approver = [], attention = [], authWorkDate = [], billAddress = [], billAddress1 = [], billAddress2 = [], billAddress3 = [], billAddressee = [], billAttention = [], billCity = [], billCountry = [], billCountryCode = [], billingClass = [], billPhone = [], billState = [], billZipCode = [], birthDate = [], birthDay = [], city = [], v_class = [], comments = [], concurrentWebServicesUser = [], country = [], countryCode = [], dateCreated = [], department = [], eligibleForCommission = [], email = [], employeeStatus = [], employeeType = [], entityId = [], entityNumber = [], ethnicity = [], expenseLimit = [], externalId = [], fax = [], firstName = [], gender = [], giveAccess = [], globalSubscriptionStatus = [], hireDate = [], homePhone = [], i9Verified = [], image = [], internalId = [], isDefaultBilling = [], isDefaultShipping = [], isInactive = [], isJobResource = [], isSalesRep = [], isSupportRep = [], isTemplate = [], laborCost = [], language = [], lastModifiedDate = [], lastName = [], lastPaidDate = [], lastReviewDate = [], level = [], location = [], maritalStatus = [], middleName = [], mobilePhone = [], nextReviewDate = [], offlineAccess = [], payFrequency = [], permChangeDate = [], permChangeLevel = [], permission = [], permissionChange = [], phone = [], phoneticName = [], primaryEarningAmount = [], primaryEarningItem = [], primaryEarningType = [], purchaseOrderApprovalLimit = [], purchaseOrderApprover = [], purchaseOrderLimit = [], releaseDate = [], residentStatus = [], role = [], roleChange = [], roleChangeAction = [], roleChangeDate = [], salesRole = [], salutation = [], shipAddress1 = [], shipAddress2 = [], shipAddress3 = [], shipAddressee = [], shipAttention = [], shipCity = [], shipCountry = [], shipCountryCode = [], shipPhone = [], shipState = [], shipZip = [], socialSecurityNumber = [], state = [], subscription = [], subscriptionDate = [], subscriptionStatus = [], subsidiary = [], supervisor = [], timeApprover = [], title = [], type = [], usePerquest = [], useTimeData = [], visaExpDate = [], visaType = [], workCalendar = [], workplace = [], zipCode = [], customFieldList = nil)
    @accountNumber = accountNumber
    @address = address
    @address1 = address1
    @address2 = address2
    @address3 = address3
    @addressee = addressee
    @addressInternalId = addressInternalId
    @addressLabel = addressLabel
    @addressPhone = addressPhone
    @alienNumber = alienNumber
    @altEmail = altEmail
    @altName = altName
    @altPhone = altPhone
    @approvalLimit = approvalLimit
    @approver = approver
    @attention = attention
    @authWorkDate = authWorkDate
    @billAddress = billAddress
    @billAddress1 = billAddress1
    @billAddress2 = billAddress2
    @billAddress3 = billAddress3
    @billAddressee = billAddressee
    @billAttention = billAttention
    @billCity = billCity
    @billCountry = billCountry
    @billCountryCode = billCountryCode
    @billingClass = billingClass
    @billPhone = billPhone
    @billState = billState
    @billZipCode = billZipCode
    @birthDate = birthDate
    @birthDay = birthDay
    @city = city
    @v_class = v_class
    @comments = comments
    @concurrentWebServicesUser = concurrentWebServicesUser
    @country = country
    @countryCode = countryCode
    @dateCreated = dateCreated
    @department = department
    @eligibleForCommission = eligibleForCommission
    @email = email
    @employeeStatus = employeeStatus
    @employeeType = employeeType
    @entityId = entityId
    @entityNumber = entityNumber
    @ethnicity = ethnicity
    @expenseLimit = expenseLimit
    @externalId = externalId
    @fax = fax
    @firstName = firstName
    @gender = gender
    @giveAccess = giveAccess
    @globalSubscriptionStatus = globalSubscriptionStatus
    @hireDate = hireDate
    @homePhone = homePhone
    @i9Verified = i9Verified
    @image = image
    @internalId = internalId
    @isDefaultBilling = isDefaultBilling
    @isDefaultShipping = isDefaultShipping
    @isInactive = isInactive
    @isJobResource = isJobResource
    @isSalesRep = isSalesRep
    @isSupportRep = isSupportRep
    @isTemplate = isTemplate
    @laborCost = laborCost
    @language = language
    @lastModifiedDate = lastModifiedDate
    @lastName = lastName
    @lastPaidDate = lastPaidDate
    @lastReviewDate = lastReviewDate
    @level = level
    @location = location
    @maritalStatus = maritalStatus
    @middleName = middleName
    @mobilePhone = mobilePhone
    @nextReviewDate = nextReviewDate
    @offlineAccess = offlineAccess
    @payFrequency = payFrequency
    @permChangeDate = permChangeDate
    @permChangeLevel = permChangeLevel
    @permission = permission
    @permissionChange = permissionChange
    @phone = phone
    @phoneticName = phoneticName
    @primaryEarningAmount = primaryEarningAmount
    @primaryEarningItem = primaryEarningItem
    @primaryEarningType = primaryEarningType
    @purchaseOrderApprovalLimit = purchaseOrderApprovalLimit
    @purchaseOrderApprover = purchaseOrderApprover
    @purchaseOrderLimit = purchaseOrderLimit
    @releaseDate = releaseDate
    @residentStatus = residentStatus
    @role = role
    @roleChange = roleChange
    @roleChangeAction = roleChangeAction
    @roleChangeDate = roleChangeDate
    @salesRole = salesRole
    @salutation = salutation
    @shipAddress1 = shipAddress1
    @shipAddress2 = shipAddress2
    @shipAddress3 = shipAddress3
    @shipAddressee = shipAddressee
    @shipAttention = shipAttention
    @shipCity = shipCity
    @shipCountry = shipCountry
    @shipCountryCode = shipCountryCode
    @shipPhone = shipPhone
    @shipState = shipState
    @shipZip = shipZip
    @socialSecurityNumber = socialSecurityNumber
    @state = state
    @subscription = subscription
    @subscriptionDate = subscriptionDate
    @subscriptionStatus = subscriptionStatus
    @subsidiary = subsidiary
    @supervisor = supervisor
    @timeApprover = timeApprover
    @title = title
    @type = type
    @usePerquest = usePerquest
    @useTimeData = useTimeData
    @visaExpDate = visaExpDate
    @visaType = visaType
    @workCalendar = workCalendar
    @workplace = workplace
    @zipCode = zipCode
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}PhoneCallSearchRowBasic
#   accessLevel - ActiveNetsuite::SearchColumnStringField
#   assigned - ActiveNetsuite::SearchColumnSelectField
#   company - ActiveNetsuite::SearchColumnSelectField
#   completedDate - ActiveNetsuite::SearchColumnDateField
#   contact - ActiveNetsuite::SearchColumnSelectField
#   createdDate - ActiveNetsuite::SearchColumnDateField
#   endDate - ActiveNetsuite::SearchColumnDateField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   markdone - ActiveNetsuite::SearchColumnStringField
#   message - ActiveNetsuite::SearchColumnStringField
#   owner - ActiveNetsuite::SearchColumnSelectField
#   phone - ActiveNetsuite::SearchColumnStringField
#   priority - ActiveNetsuite::SearchColumnEnumSelectField
#   startDate - ActiveNetsuite::SearchColumnDateField
#   startTime - ActiveNetsuite::SearchColumnDateField
#   status - ActiveNetsuite::SearchColumnEnumSelectField
#   title - ActiveNetsuite::SearchColumnStringField
#   transaction - ActiveNetsuite::SearchColumnSelectField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class PhoneCallSearchRowBasic < SearchRowBasic
  attr_accessor :accessLevel
  attr_accessor :assigned
  attr_accessor :company
  attr_accessor :completedDate
  attr_accessor :contact
  attr_accessor :createdDate
  attr_accessor :endDate
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :lastModifiedDate
  attr_accessor :markdone
  attr_accessor :message
  attr_accessor :owner
  attr_accessor :phone
  attr_accessor :priority
  attr_accessor :startDate
  attr_accessor :startTime
  attr_accessor :status
  attr_accessor :title
  attr_accessor :transaction
  attr_accessor :customFieldList

  def initialize(accessLevel = [], assigned = [], company = [], completedDate = [], contact = [], createdDate = [], endDate = [], externalId = [], internalId = [], lastModifiedDate = [], markdone = [], message = [], owner = [], phone = [], priority = [], startDate = [], startTime = [], status = [], title = [], transaction = [], customFieldList = nil)
    @accessLevel = accessLevel
    @assigned = assigned
    @company = company
    @completedDate = completedDate
    @contact = contact
    @createdDate = createdDate
    @endDate = endDate
    @externalId = externalId
    @internalId = internalId
    @lastModifiedDate = lastModifiedDate
    @markdone = markdone
    @message = message
    @owner = owner
    @phone = phone
    @priority = priority
    @startDate = startDate
    @startTime = startTime
    @status = status
    @title = title
    @transaction = transaction
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}SupportCaseSearchRowBasic
#   assigned - ActiveNetsuite::SearchColumnSelectField
#   awaitingReply - ActiveNetsuite::SearchColumnBooleanField
#   caseNumber - ActiveNetsuite::SearchColumnStringField
#   category - ActiveNetsuite::SearchColumnSelectField
#   company - ActiveNetsuite::SearchColumnSelectField
#   contact - ActiveNetsuite::SearchColumnSelectField
#   createdDate - ActiveNetsuite::SearchColumnDateField
#   customerStage - ActiveNetsuite::SearchColumnEnumSelectField
#   email - ActiveNetsuite::SearchColumnStringField
#   endDate - ActiveNetsuite::SearchColumnDateField
#   escalatee - ActiveNetsuite::SearchColumnSelectField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   helpDesk - ActiveNetsuite::SearchColumnBooleanField
#   inboundEmail - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   issue - ActiveNetsuite::SearchColumnSelectField
#   issueNumber - ActiveNetsuite::SearchColumnStringField
#   item - ActiveNetsuite::SearchColumnSelectField
#   lastMessageDate - ActiveNetsuite::SearchColumnDateField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   lastReopenedDate - ActiveNetsuite::SearchColumnDateField
#   locked - ActiveNetsuite::SearchColumnBooleanField
#   m_module - ActiveNetsuite::SearchColumnSelectField
#   origin - ActiveNetsuite::SearchColumnSelectField
#   priority - ActiveNetsuite::SearchColumnSelectField
#   product - ActiveNetsuite::SearchColumnSelectField
#   serialNumber - ActiveNetsuite::SearchColumnStringField
#   stage - ActiveNetsuite::SearchColumnEnumSelectField
#   startDate - ActiveNetsuite::SearchColumnDateField
#   status - ActiveNetsuite::SearchColumnSelectField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
#   title - ActiveNetsuite::SearchColumnStringField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class SupportCaseSearchRowBasic < SearchRowBasic
  attr_accessor :assigned
  attr_accessor :awaitingReply
  attr_accessor :caseNumber
  attr_accessor :category
  attr_accessor :company
  attr_accessor :contact
  attr_accessor :createdDate
  attr_accessor :customerStage
  attr_accessor :email
  attr_accessor :endDate
  attr_accessor :escalatee
  attr_accessor :externalId
  attr_accessor :helpDesk
  attr_accessor :inboundEmail
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :issue
  attr_accessor :issueNumber
  attr_accessor :item
  attr_accessor :lastMessageDate
  attr_accessor :lastModifiedDate
  attr_accessor :lastReopenedDate
  attr_accessor :locked
  attr_accessor :origin
  attr_accessor :priority
  attr_accessor :product
  attr_accessor :serialNumber
  attr_accessor :stage
  attr_accessor :startDate
  attr_accessor :status
  attr_accessor :subsidiary
  attr_accessor :title
  attr_accessor :customFieldList

  def m_module
    @v_module
  end

  def m_module=(value)
    @v_module = value
  end

  def initialize(assigned = [], awaitingReply = [], caseNumber = [], category = [], company = [], contact = [], createdDate = [], customerStage = [], email = [], endDate = [], escalatee = [], externalId = [], helpDesk = [], inboundEmail = [], internalId = [], isInactive = [], issue = [], issueNumber = [], item = [], lastMessageDate = [], lastModifiedDate = [], lastReopenedDate = [], locked = [], v_module = [], origin = [], priority = [], product = [], serialNumber = [], stage = [], startDate = [], status = [], subsidiary = [], title = [], customFieldList = nil)
    @assigned = assigned
    @awaitingReply = awaitingReply
    @caseNumber = caseNumber
    @category = category
    @company = company
    @contact = contact
    @createdDate = createdDate
    @customerStage = customerStage
    @email = email
    @endDate = endDate
    @escalatee = escalatee
    @externalId = externalId
    @helpDesk = helpDesk
    @inboundEmail = inboundEmail
    @internalId = internalId
    @isInactive = isInactive
    @issue = issue
    @issueNumber = issueNumber
    @item = item
    @lastMessageDate = lastMessageDate
    @lastModifiedDate = lastModifiedDate
    @lastReopenedDate = lastReopenedDate
    @locked = locked
    @v_module = v_module
    @origin = origin
    @priority = priority
    @product = product
    @serialNumber = serialNumber
    @stage = stage
    @startDate = startDate
    @status = status
    @subsidiary = subsidiary
    @title = title
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}MessageSearchRowBasic
#   author - ActiveNetsuite::SearchColumnSelectField
#   authorEmail - ActiveNetsuite::SearchColumnStringField
#   bcc - ActiveNetsuite::SearchColumnStringField
#   cc - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   hasAttachment - ActiveNetsuite::SearchColumnBooleanField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   internalOnly - ActiveNetsuite::SearchColumnBooleanField
#   isEmailed - ActiveNetsuite::SearchColumnBooleanField
#   isIncoming - ActiveNetsuite::SearchColumnBooleanField
#   message - ActiveNetsuite::SearchColumnStringField
#   messageDate - ActiveNetsuite::SearchColumnDateField
#   messageType - ActiveNetsuite::SearchColumnEnumSelectField
#   recipient - ActiveNetsuite::SearchColumnSelectField
#   recipientEmail - ActiveNetsuite::SearchColumnStringField
#   subject - ActiveNetsuite::SearchColumnStringField
class MessageSearchRowBasic < SearchRowBasic
  attr_accessor :author
  attr_accessor :authorEmail
  attr_accessor :bcc
  attr_accessor :cc
  attr_accessor :externalId
  attr_accessor :hasAttachment
  attr_accessor :internalId
  attr_accessor :internalOnly
  attr_accessor :isEmailed
  attr_accessor :isIncoming
  attr_accessor :message
  attr_accessor :messageDate
  attr_accessor :messageType
  attr_accessor :recipient
  attr_accessor :recipientEmail
  attr_accessor :subject

  def initialize(author = [], authorEmail = [], bcc = [], cc = [], externalId = [], hasAttachment = [], internalId = [], internalOnly = [], isEmailed = [], isIncoming = [], message = [], messageDate = [], messageType = [], recipient = [], recipientEmail = [], subject = [])
    @author = author
    @authorEmail = authorEmail
    @bcc = bcc
    @cc = cc
    @externalId = externalId
    @hasAttachment = hasAttachment
    @internalId = internalId
    @internalOnly = internalOnly
    @isEmailed = isEmailed
    @isIncoming = isIncoming
    @message = message
    @messageDate = messageDate
    @messageType = messageType
    @recipient = recipient
    @recipientEmail = recipientEmail
    @subject = subject
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}NoteSearchRowBasic
#   author - ActiveNetsuite::SearchColumnSelectField
#   direction - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   note - ActiveNetsuite::SearchColumnStringField
#   noteDate - ActiveNetsuite::SearchColumnDateField
#   noteType - ActiveNetsuite::SearchColumnStringField
#   title - ActiveNetsuite::SearchColumnStringField
class NoteSearchRowBasic < SearchRowBasic
  attr_accessor :author
  attr_accessor :direction
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :note
  attr_accessor :noteDate
  attr_accessor :noteType
  attr_accessor :title

  def initialize(author = [], direction = [], externalId = [], internalId = [], note = [], noteDate = [], noteType = [], title = [])
    @author = author
    @direction = direction
    @externalId = externalId
    @internalId = internalId
    @note = note
    @noteDate = noteDate
    @noteType = noteType
    @title = title
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CustomRecordSearchRowBasic
#   recType - ActiveNetsuite::RecordRef
#   altName - ActiveNetsuite::SearchColumnStringField
#   availableOffline - ActiveNetsuite::SearchColumnBooleanField
#   created - ActiveNetsuite::SearchColumnDateField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   id - ActiveNetsuite::SearchColumnLongField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   lastModified - ActiveNetsuite::SearchColumnDateField
#   lastModifiedBy - ActiveNetsuite::SearchColumnSelectField
#   name - ActiveNetsuite::SearchColumnStringField
#   owner - ActiveNetsuite::SearchColumnSelectField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class CustomRecordSearchRowBasic < SearchRowBasic
  attr_accessor :recType
  attr_accessor :altName
  attr_accessor :availableOffline
  attr_accessor :created
  attr_accessor :externalId
  attr_accessor :id
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :lastModified
  attr_accessor :lastModifiedBy
  attr_accessor :name
  attr_accessor :owner
  attr_accessor :customFieldList

  def initialize(recType = nil, altName = [], availableOffline = [], created = [], externalId = [], id = [], internalId = [], isInactive = [], lastModified = [], lastModifiedBy = [], name = [], owner = [], customFieldList = nil)
    @recType = recType
    @altName = altName
    @availableOffline = availableOffline
    @created = created
    @externalId = externalId
    @id = id
    @internalId = internalId
    @isInactive = isInactive
    @lastModified = lastModified
    @lastModifiedBy = lastModifiedBy
    @name = name
    @owner = owner
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}AccountSearchRowBasic
#   balance - ActiveNetsuite::SearchColumnDoubleField
#   cashFlowRateType - ActiveNetsuite::SearchColumnEnumSelectField
#   category1099Misc - ActiveNetsuite::SearchColumnSelectField
#   description - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   generalRateType - ActiveNetsuite::SearchColumnEnumSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
#   number - ActiveNetsuite::SearchColumnStringField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
#   type - ActiveNetsuite::SearchColumnEnumSelectField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class AccountSearchRowBasic < SearchRowBasic
  attr_accessor :balance
  attr_accessor :cashFlowRateType
  attr_accessor :category1099Misc
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :generalRateType
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :number
  attr_accessor :subsidiary
  attr_accessor :type
  attr_accessor :customFieldList

  def initialize(balance = [], cashFlowRateType = [], category1099Misc = [], description = [], externalId = [], generalRateType = [], internalId = [], isInactive = [], name = [], number = [], subsidiary = [], type = [], customFieldList = nil)
    @balance = balance
    @cashFlowRateType = cashFlowRateType
    @category1099Misc = category1099Misc
    @description = description
    @externalId = externalId
    @generalRateType = generalRateType
    @internalId = internalId
    @isInactive = isInactive
    @name = name
    @number = number
    @subsidiary = subsidiary
    @type = type
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}RevRecScheduleSearchRowBasic
#   amount - ActiveNetsuite::SearchColumnDoubleField
#   defRev - ActiveNetsuite::SearchColumnStringField
#   entity - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnStringField
#   incomeAcct - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   jeDoc - ActiveNetsuite::SearchColumnStringField
#   jeDocUrl - ActiveNetsuite::SearchColumnStringField
#   name - ActiveNetsuite::SearchColumnStringField
#   nameUrl - ActiveNetsuite::SearchColumnStringField
#   postPeriod - ActiveNetsuite::SearchColumnStringField
#   srcDoc - ActiveNetsuite::SearchColumnStringField
#   srcDocLine - ActiveNetsuite::SearchColumnStringField
class RevRecScheduleSearchRowBasic < SearchRowBasic
  attr_accessor :amount
  attr_accessor :defRev
  attr_accessor :entity
  attr_accessor :externalId
  attr_accessor :incomeAcct
  attr_accessor :internalId
  attr_accessor :jeDoc
  attr_accessor :jeDocUrl
  attr_accessor :name
  attr_accessor :nameUrl
  attr_accessor :postPeriod
  attr_accessor :srcDoc
  attr_accessor :srcDocLine

  def initialize(amount = [], defRev = [], entity = [], externalId = [], incomeAcct = [], internalId = [], jeDoc = [], jeDocUrl = [], name = [], nameUrl = [], postPeriod = [], srcDoc = [], srcDocLine = [])
    @amount = amount
    @defRev = defRev
    @entity = entity
    @externalId = externalId
    @incomeAcct = incomeAcct
    @internalId = internalId
    @jeDoc = jeDoc
    @jeDocUrl = jeDocUrl
    @name = name
    @nameUrl = nameUrl
    @postPeriod = postPeriod
    @srcDoc = srcDoc
    @srcDocLine = srcDocLine
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}RevRecTemplateSearchRowBasic
#   amorMethod - ActiveNetsuite::SearchColumnStringField
#   amorPeriod - ActiveNetsuite::SearchColumnStringField
#   amorStartOffset - ActiveNetsuite::SearchColumnStringField
#   amorTermSrc - ActiveNetsuite::SearchColumnStringField
#   amorType - ActiveNetsuite::SearchColumnStringField
#   contraAccount - ActiveNetsuite::SearchColumnStringField
#   deferralAccount - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnLongField
#   isInactive - ActiveNetsuite::SearchColumnStringField
#   name - ActiveNetsuite::SearchColumnStringField
#   periodOffset - ActiveNetsuite::SearchColumnStringField
#   targetAccount - ActiveNetsuite::SearchColumnStringField
#   useForeignAmounts - ActiveNetsuite::SearchColumnBooleanField
class RevRecTemplateSearchRowBasic < SearchRowBasic
  attr_accessor :amorMethod
  attr_accessor :amorPeriod
  attr_accessor :amorStartOffset
  attr_accessor :amorTermSrc
  attr_accessor :amorType
  attr_accessor :contraAccount
  attr_accessor :deferralAccount
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :periodOffset
  attr_accessor :targetAccount
  attr_accessor :useForeignAmounts

  def initialize(amorMethod = [], amorPeriod = [], amorStartOffset = [], amorTermSrc = [], amorType = [], contraAccount = [], deferralAccount = [], externalId = [], internalId = [], isInactive = [], name = [], periodOffset = [], targetAccount = [], useForeignAmounts = [])
    @amorMethod = amorMethod
    @amorPeriod = amorPeriod
    @amorStartOffset = amorStartOffset
    @amorTermSrc = amorTermSrc
    @amorType = amorType
    @contraAccount = contraAccount
    @deferralAccount = deferralAccount
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @name = name
    @periodOffset = periodOffset
    @targetAccount = targetAccount
    @useForeignAmounts = useForeignAmounts
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}BinSearchRowBasic
#   binNumber - ActiveNetsuite::SearchColumnStringField
#   inactive - ActiveNetsuite::SearchColumnBooleanField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   location - ActiveNetsuite::SearchColumnStringField
#   memo - ActiveNetsuite::SearchColumnStringField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class BinSearchRowBasic < SearchRowBasic
  attr_accessor :binNumber
  attr_accessor :inactive
  attr_accessor :internalId
  attr_accessor :location
  attr_accessor :memo
  attr_accessor :customFieldList

  def initialize(binNumber = [], inactive = [], internalId = [], location = [], memo = [], customFieldList = nil)
    @binNumber = binNumber
    @inactive = inactive
    @internalId = internalId
    @location = location
    @memo = memo
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}DepartmentSearchRowBasic
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
#   nameNoHierarchy - ActiveNetsuite::SearchColumnStringField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class DepartmentSearchRowBasic < SearchRowBasic
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :nameNoHierarchy
  attr_accessor :subsidiary
  attr_accessor :customFieldList

  def initialize(externalId = [], internalId = [], isInactive = [], name = [], nameNoHierarchy = [], subsidiary = [], customFieldList = nil)
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @name = name
    @nameNoHierarchy = nameNoHierarchy
    @subsidiary = subsidiary
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}LocationSearchRowBasic
#   address1 - ActiveNetsuite::SearchColumnStringField
#   address2 - ActiveNetsuite::SearchColumnStringField
#   address3 - ActiveNetsuite::SearchColumnStringField
#   city - ActiveNetsuite::SearchColumnStringField
#   country - ActiveNetsuite::SearchColumnEnumSelectField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   isOffice - ActiveNetsuite::SearchColumnBooleanField
#   makeInventoryAvailable - ActiveNetsuite::SearchColumnBooleanField
#   makeInventoryAvailableStore - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
#   nameNoHierarchy - ActiveNetsuite::SearchColumnStringField
#   phone - ActiveNetsuite::SearchColumnStringField
#   state - ActiveNetsuite::SearchColumnStringField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
#   tranPrefix - ActiveNetsuite::SearchColumnStringField
#   zip - ActiveNetsuite::SearchColumnStringField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class LocationSearchRowBasic < SearchRowBasic
  attr_accessor :address1
  attr_accessor :address2
  attr_accessor :address3
  attr_accessor :city
  attr_accessor :country
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :isOffice
  attr_accessor :makeInventoryAvailable
  attr_accessor :makeInventoryAvailableStore
  attr_accessor :name
  attr_accessor :nameNoHierarchy
  attr_accessor :phone
  attr_accessor :state
  attr_accessor :subsidiary
  attr_accessor :tranPrefix
  attr_accessor :zip
  attr_accessor :customFieldList

  def initialize(address1 = [], address2 = [], address3 = [], city = [], country = [], externalId = [], internalId = [], isInactive = [], isOffice = [], makeInventoryAvailable = [], makeInventoryAvailableStore = [], name = [], nameNoHierarchy = [], phone = [], state = [], subsidiary = [], tranPrefix = [], zip = [], customFieldList = nil)
    @address1 = address1
    @address2 = address2
    @address3 = address3
    @city = city
    @country = country
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @isOffice = isOffice
    @makeInventoryAvailable = makeInventoryAvailable
    @makeInventoryAvailableStore = makeInventoryAvailableStore
    @name = name
    @nameNoHierarchy = nameNoHierarchy
    @phone = phone
    @state = state
    @subsidiary = subsidiary
    @tranPrefix = tranPrefix
    @zip = zip
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ClassificationSearchRowBasic
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
#   nameNoHierarchy - ActiveNetsuite::SearchColumnStringField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class ClassificationSearchRowBasic < SearchRowBasic
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :nameNoHierarchy
  attr_accessor :subsidiary
  attr_accessor :customFieldList

  def initialize(externalId = [], internalId = [], isInactive = [], name = [], nameNoHierarchy = [], subsidiary = [], customFieldList = nil)
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @name = name
    @nameNoHierarchy = nameNoHierarchy
    @subsidiary = subsidiary
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}TransactionSearchRowBasic
#   abbrev - ActiveNetsuite::SearchColumnStringField
#   account - ActiveNetsuite::SearchColumnSelectField
#   accountType - ActiveNetsuite::SearchColumnStringField
#   actualShipDate - ActiveNetsuite::SearchColumnDateField
#   altSalesAmount - ActiveNetsuite::SearchColumnDoubleField
#   altSalesNetAmount - ActiveNetsuite::SearchColumnDoubleField
#   amount - ActiveNetsuite::SearchColumnDoubleField
#   amountPaid - ActiveNetsuite::SearchColumnDoubleField
#   amountRemaining - ActiveNetsuite::SearchColumnDoubleField
#   amountUnbilled - ActiveNetsuite::SearchColumnDoubleField
#   appliedToForeignAmount - ActiveNetsuite::SearchColumnDoubleField
#   appliedToIsFxVariance - ActiveNetsuite::SearchColumnBooleanField
#   appliedToLinkAmount - ActiveNetsuite::SearchColumnDoubleField
#   appliedToLinkType - ActiveNetsuite::SearchColumnStringField
#   appliedToTransaction - ActiveNetsuite::SearchColumnSelectField
#   applyingForeignAmount - ActiveNetsuite::SearchColumnDoubleField
#   applyingIsFxVariance - ActiveNetsuite::SearchColumnBooleanField
#   applyingLinkAmount - ActiveNetsuite::SearchColumnDoubleField
#   applyingLinkType - ActiveNetsuite::SearchColumnStringField
#   applyingTransaction - ActiveNetsuite::SearchColumnSelectField
#   approvalStatus - ActiveNetsuite::SearchColumnEnumSelectField
#   authCode - ActiveNetsuite::SearchColumnStringField
#   avsStreetMatch - ActiveNetsuite::SearchColumnEnumSelectField
#   avsZipMatch - ActiveNetsuite::SearchColumnEnumSelectField
#   billable - ActiveNetsuite::SearchColumnBooleanField
#   billAddress - ActiveNetsuite::SearchColumnStringField
#   billAddress1 - ActiveNetsuite::SearchColumnStringField
#   billAddress2 - ActiveNetsuite::SearchColumnStringField
#   billAddress3 - ActiveNetsuite::SearchColumnStringField
#   billAddressee - ActiveNetsuite::SearchColumnStringField
#   billAttention - ActiveNetsuite::SearchColumnStringField
#   billCity - ActiveNetsuite::SearchColumnStringField
#   billCountry - ActiveNetsuite::SearchColumnEnumSelectField
#   billCountryCode - ActiveNetsuite::SearchColumnStringField
#   billedDate - ActiveNetsuite::SearchColumnDateField
#   billingAmount - ActiveNetsuite::SearchColumnDoubleField
#   billingSchedule - ActiveNetsuite::SearchColumnSelectField
#   billingTransaction - ActiveNetsuite::SearchColumnSelectField
#   billPhone - ActiveNetsuite::SearchColumnStringField
#   billState - ActiveNetsuite::SearchColumnStringField
#   billVarianceStatus - ActiveNetsuite::SearchColumnEnumSelectField
#   billZip - ActiveNetsuite::SearchColumnStringField
#   binNumber - ActiveNetsuite::SearchColumnStringField
#   binNumberQuantity - ActiveNetsuite::SearchColumnDoubleField
#   bomQuantity - ActiveNetsuite::SearchColumnDoubleField
#   buildEntireAssembly - ActiveNetsuite::SearchColumnBooleanField
#   buildVariance - ActiveNetsuite::SearchColumnDoubleField
#   built - ActiveNetsuite::SearchColumnDoubleField
#   ccCustomerCode - ActiveNetsuite::SearchColumnStringField
#   ccExpDate - ActiveNetsuite::SearchColumnDateField
#   ccHolderName - ActiveNetsuite::SearchColumnStringField
#   ccNumber - ActiveNetsuite::SearchColumnStringField
#   ccStreet - ActiveNetsuite::SearchColumnStringField
#   ccZipCode - ActiveNetsuite::SearchColumnStringField
#   m_class - ActiveNetsuite::SearchColumnSelectField
#   cleared - ActiveNetsuite::SearchColumnBooleanField
#   closed - ActiveNetsuite::SearchColumnBooleanField
#   closeDate - ActiveNetsuite::SearchColumnDateField
#   cogsAmount - ActiveNetsuite::SearchColumnDoubleField
#   commissionEffectiveDate - ActiveNetsuite::SearchColumnDateField
#   commit - ActiveNetsuite::SearchColumnEnumSelectField
#   componentYield - ActiveNetsuite::SearchColumnDoubleField
#   confirmationNumber - ActiveNetsuite::SearchColumnStringField
#   contribution - ActiveNetsuite::SearchColumnDoubleField
#   contributionPrimary - ActiveNetsuite::SearchColumnDoubleField
#   costComponentAmount - ActiveNetsuite::SearchColumnDoubleField
#   costComponentCategory - ActiveNetsuite::SearchColumnStringField
#   costComponentItem - ActiveNetsuite::SearchColumnStringField
#   costComponentQuantity - ActiveNetsuite::SearchColumnDoubleField
#   costComponentStandardCost - ActiveNetsuite::SearchColumnDoubleField
#   costEstimate - ActiveNetsuite::SearchColumnDoubleField
#   costEstimateRate - ActiveNetsuite::SearchColumnDoubleField
#   costEstimateType - ActiveNetsuite::SearchColumnEnumSelectField
#   createdBy - ActiveNetsuite::SearchColumnSelectField
#   createdFrom - ActiveNetsuite::SearchColumnSelectField
#   creditAmount - ActiveNetsuite::SearchColumnDoubleField
#   cscMatch - ActiveNetsuite::SearchColumnEnumSelectField
#   currency - ActiveNetsuite::SearchColumnSelectField
#   customForm - ActiveNetsuite::SearchColumnSelectField
#   custType - ActiveNetsuite::SearchColumnSelectField
#   dateCreated - ActiveNetsuite::SearchColumnDateField
#   daysOpen - ActiveNetsuite::SearchColumnLongField
#   daysOverdue - ActiveNetsuite::SearchColumnLongField
#   debitAmount - ActiveNetsuite::SearchColumnDoubleField
#   deferredRevenue - ActiveNetsuite::SearchColumnDoubleField
#   deferRevRec - ActiveNetsuite::SearchColumnBooleanField
#   department - ActiveNetsuite::SearchColumnSelectField
#   depositDate - ActiveNetsuite::SearchColumnDateField
#   depositTransaction - ActiveNetsuite::SearchColumnSelectField
#   discountAmount - ActiveNetsuite::SearchColumnDoubleField
#   drAccount - ActiveNetsuite::SearchColumnStringField
#   dueDate - ActiveNetsuite::SearchColumnDateField
#   effectiveRate - ActiveNetsuite::SearchColumnDoubleField
#   email - ActiveNetsuite::SearchColumnStringField
#   endDate - ActiveNetsuite::SearchColumnDateField
#   entity - ActiveNetsuite::SearchColumnSelectField
#   entityStatus - ActiveNetsuite::SearchColumnSelectField
#   estGrossProfit - ActiveNetsuite::SearchColumnDoubleField
#   estGrossProfitPct - ActiveNetsuite::SearchColumnDoubleField
#   estGrossProfitPercent - ActiveNetsuite::SearchColumnDoubleField
#   exchangeRate - ActiveNetsuite::SearchColumnDoubleField
#   excludeCommission - ActiveNetsuite::SearchColumnBooleanField
#   expectedCloseDate - ActiveNetsuite::SearchColumnDateField
#   expectedReceiptDate - ActiveNetsuite::SearchColumnDateField
#   expenseCategory - ActiveNetsuite::SearchColumnSelectField
#   expenseDate - ActiveNetsuite::SearchColumnDateField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   forecastType - ActiveNetsuite::SearchColumnEnumSelectField
#   fulfillingTransaction - ActiveNetsuite::SearchColumnSelectField
#   fxAccount - ActiveNetsuite::SearchColumnStringField
#   fxAmount - ActiveNetsuite::SearchColumnDoubleField
#   fxCostEstimate - ActiveNetsuite::SearchColumnDoubleField
#   fxCostEstimateRate - ActiveNetsuite::SearchColumnDoubleField
#   fxEstGrossProfit - ActiveNetsuite::SearchColumnDoubleField
#   fxTranCostEstimate - ActiveNetsuite::SearchColumnDoubleField
#   fxVsoeAllocation - ActiveNetsuite::SearchColumnDoubleField
#   fxVsoeAmount - ActiveNetsuite::SearchColumnDoubleField
#   fxVsoePrice - ActiveNetsuite::SearchColumnDoubleField
#   gcoAvailabelToCharge - ActiveNetsuite::SearchColumnBooleanField
#   gcoAvailableToRefund - ActiveNetsuite::SearchColumnBooleanField
#   gcoAvsStreetMatch - ActiveNetsuite::SearchColumnEnumSelectField
#   gcoAvsZipMatch - ActiveNetsuite::SearchColumnEnumSelectField
#   gcoBuyerAccountAge - ActiveNetsuite::SearchColumnLongField
#   gcoBuyerIp - ActiveNetsuite::SearchColumnStringField
#   gcoChargeAmount - ActiveNetsuite::SearchColumnDoubleField
#   gcoChargebackAmount - ActiveNetsuite::SearchColumnDoubleField
#   gcoConfirmedChargedTotal - ActiveNetsuite::SearchColumnDoubleField
#   gcoConfirmedRefundedTotal - ActiveNetsuite::SearchColumnDoubleField
#   gcoCreditcardNumber - ActiveNetsuite::SearchColumnStringField
#   gcoCscMatch - ActiveNetsuite::SearchColumnEnumSelectField
#   gcoFinancialState - ActiveNetsuite::SearchColumnStringField
#   gcoFulfillmentState - ActiveNetsuite::SearchColumnStringField
#   gcoOrderId - ActiveNetsuite::SearchColumnStringField
#   gcoOrderTotal - ActiveNetsuite::SearchColumnDoubleField
#   gcoPromotionAmount - ActiveNetsuite::SearchColumnDoubleField
#   gcoPromotionName - ActiveNetsuite::SearchColumnStringField
#   gcoRefundAmount - ActiveNetsuite::SearchColumnDoubleField
#   gcoShippingTotal - ActiveNetsuite::SearchColumnDoubleField
#   gcoStateChangedDetail - ActiveNetsuite::SearchColumnStringField
#   giftCert - ActiveNetsuite::SearchColumnStringField
#   grossAmount - ActiveNetsuite::SearchColumnDoubleField
#   includeInForecast - ActiveNetsuite::SearchColumnBooleanField
#   intercoStatus - ActiveNetsuite::SearchColumnEnumSelectField
#   intercoTransaction - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   inVsoeBundle - ActiveNetsuite::SearchColumnBooleanField
#   isAllocation - ActiveNetsuite::SearchColumnBooleanField
#   isBackflush - ActiveNetsuite::SearchColumnBooleanField
#   isGcoChargeback - ActiveNetsuite::SearchColumnBooleanField
#   isGcoChargeConfirmed - ActiveNetsuite::SearchColumnBooleanField
#   isGcoPaymentGuaranteed - ActiveNetsuite::SearchColumnBooleanField
#   isGcoRefundConfirmed - ActiveNetsuite::SearchColumnBooleanField
#   isIntercompanyAdjustment - ActiveNetsuite::SearchColumnBooleanField
#   isMultiShipTo - ActiveNetsuite::SearchColumnBooleanField
#   isReversal - ActiveNetsuite::SearchColumnBooleanField
#   isRevRecTransaction - ActiveNetsuite::SearchColumnBooleanField
#   isScrap - ActiveNetsuite::SearchColumnBooleanField
#   isShipAddress - ActiveNetsuite::SearchColumnBooleanField
#   isTransferPriceCosting - ActiveNetsuite::SearchColumnBooleanField
#   isWip - ActiveNetsuite::SearchColumnBooleanField
#   item - ActiveNetsuite::SearchColumnSelectField
#   itemRevision - ActiveNetsuite::SearchColumnSelectField
#   landedCostPerLine - ActiveNetsuite::SearchColumnBooleanField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   leadSource - ActiveNetsuite::SearchColumnSelectField
#   line - ActiveNetsuite::SearchColumnLongField
#   lineSequenceNumber - ActiveNetsuite::SearchColumnLongField
#   location - ActiveNetsuite::SearchColumnSelectField
#   mainLine - ActiveNetsuite::SearchColumnBooleanField
#   mainName - ActiveNetsuite::SearchColumnStringField
#   manufacturingRouting - ActiveNetsuite::SearchColumnSelectField
#   matchBillToReceipt - ActiveNetsuite::SearchColumnBooleanField
#   memo - ActiveNetsuite::SearchColumnStringField
#   memoMain - ActiveNetsuite::SearchColumnStringField
#   memorized - ActiveNetsuite::SearchColumnBooleanField
#   merchantAccount - ActiveNetsuite::SearchColumnSelectField
#   message - ActiveNetsuite::SearchColumnStringField
#   multiSubsidiary - ActiveNetsuite::SearchColumnBooleanField
#   netAmount - ActiveNetsuite::SearchColumnDoubleField
#   netAmountNoTax - ActiveNetsuite::SearchColumnDoubleField
#   nextApprover - ActiveNetsuite::SearchColumnSelectField
#   nextBillDate - ActiveNetsuite::SearchColumnDateField
#   nonReimbursable - ActiveNetsuite::SearchColumnBooleanField
#   opportunity - ActiveNetsuite::SearchColumnSelectField
#   options - ActiveNetsuite::SearchColumnStringField
#   orderPriority - ActiveNetsuite::SearchColumnDoubleField
#   originator - ActiveNetsuite::SearchColumnEnumSelectField
#   otherRefNum - ActiveNetsuite::SearchColumnTextNumberField
#   overheadParentItem - ActiveNetsuite::SearchColumnSelectField
#   packageCount - ActiveNetsuite::SearchColumnLongField
#   paidAmount - ActiveNetsuite::SearchColumnDoubleField
#   paidTransaction - ActiveNetsuite::SearchColumnSelectField
#   partner - ActiveNetsuite::SearchColumnSelectField
#   partnerContribution - ActiveNetsuite::SearchColumnDoubleField
#   partnerRole - ActiveNetsuite::SearchColumnSelectField
#   partnerTeamMember - ActiveNetsuite::SearchColumnSelectField
#   payingAmount - ActiveNetsuite::SearchColumnDoubleField
#   payingTransaction - ActiveNetsuite::SearchColumnSelectField
#   paymentApproved - ActiveNetsuite::SearchColumnBooleanField
#   paymentEventDate - ActiveNetsuite::SearchColumnDateField
#   paymentEventHoldReason - ActiveNetsuite::SearchColumnEnumSelectField
#   paymentEventPurchaseCardUsed - ActiveNetsuite::SearchColumnBooleanField
#   paymentEventPurchaseDataSent - ActiveNetsuite::SearchColumnBooleanField
#   paymentEventResult - ActiveNetsuite::SearchColumnEnumSelectField
#   paymentEventType - ActiveNetsuite::SearchColumnEnumSelectField
#   paymentMethod - ActiveNetsuite::SearchColumnSelectField
#   payPalPending - ActiveNetsuite::SearchColumnBooleanField
#   payPalStatus - ActiveNetsuite::SearchColumnStringField
#   payPalTranId - ActiveNetsuite::SearchColumnStringField
#   payrollBatch - ActiveNetsuite::SearchColumnStringField
#   pnRefNum - ActiveNetsuite::SearchColumnStringField
#   poRate - ActiveNetsuite::SearchColumnDoubleField
#   posting - ActiveNetsuite::SearchColumnBooleanField
#   postingPeriod - ActiveNetsuite::SearchColumnSelectField
#   priceLevel - ActiveNetsuite::SearchColumnSelectField
#   print - ActiveNetsuite::SearchColumnStringField
#   probability - ActiveNetsuite::SearchColumnDoubleField
#   projectedAmount - ActiveNetsuite::SearchColumnDoubleField
#   promoCode - ActiveNetsuite::SearchColumnSelectField
#   purchaseOrder - ActiveNetsuite::SearchColumnSelectField
#   quantity - ActiveNetsuite::SearchColumnDoubleField
#   quantityBilled - ActiveNetsuite::SearchColumnDoubleField
#   quantityCommitted - ActiveNetsuite::SearchColumnDoubleField
#   quantityPacked - ActiveNetsuite::SearchColumnDoubleField
#   quantityPicked - ActiveNetsuite::SearchColumnDoubleField
#   quantityRevCommitted - ActiveNetsuite::SearchColumnDoubleField
#   quantityShipRecv - ActiveNetsuite::SearchColumnDoubleField
#   quantityUom - ActiveNetsuite::SearchColumnDoubleField
#   rate - ActiveNetsuite::SearchColumnDoubleField
#   realizedGainPostingTransaction - ActiveNetsuite::SearchColumnStringField
#   recognizedRevenue - ActiveNetsuite::SearchColumnDoubleField
#   recordType - ActiveNetsuite::SearchColumnStringField
#   refNumber - ActiveNetsuite::SearchColumnLongField
#   revCommitStatus - ActiveNetsuite::SearchColumnEnumSelectField
#   revCommittingTransaction - ActiveNetsuite::SearchColumnSelectField
#   revenueStatus - ActiveNetsuite::SearchColumnEnumSelectField
#   reversalDate - ActiveNetsuite::SearchColumnDateField
#   reversalNumber - ActiveNetsuite::SearchColumnStringField
#   revRecEndDate - ActiveNetsuite::SearchColumnDateField
#   revRecOnRevCommitment - ActiveNetsuite::SearchColumnBooleanField
#   revRecStartDate - ActiveNetsuite::SearchColumnDateField
#   rgAccount - ActiveNetsuite::SearchColumnSelectField
#   rgAmount - ActiveNetsuite::SearchColumnDoubleField
#   salesEffectiveDate - ActiveNetsuite::SearchColumnDateField
#   salesOrder - ActiveNetsuite::SearchColumnSelectField
#   salesRep - ActiveNetsuite::SearchColumnSelectField
#   salesTeamMember - ActiveNetsuite::SearchColumnSelectField
#   salesTeamRole - ActiveNetsuite::SearchColumnSelectField
#   serialNumber - ActiveNetsuite::SearchColumnStringField
#   serialNumberCost - ActiveNetsuite::SearchColumnDoubleField
#   serialNumberCostAdjustment - ActiveNetsuite::SearchColumnDoubleField
#   serialNumberQuantity - ActiveNetsuite::SearchColumnDoubleField
#   serialNumbers - ActiveNetsuite::SearchColumnStringField
#   shipAddress - ActiveNetsuite::SearchColumnStringField
#   shipAddress1 - ActiveNetsuite::SearchColumnStringField
#   shipAddress2 - ActiveNetsuite::SearchColumnStringField
#   shipAddress3 - ActiveNetsuite::SearchColumnStringField
#   shipAddressee - ActiveNetsuite::SearchColumnStringField
#   shipAttention - ActiveNetsuite::SearchColumnStringField
#   shipCity - ActiveNetsuite::SearchColumnStringField
#   shipComplete - ActiveNetsuite::SearchColumnBooleanField
#   shipCountry - ActiveNetsuite::SearchColumnEnumSelectField
#   shipCountryCode - ActiveNetsuite::SearchColumnStringField
#   shipDate - ActiveNetsuite::SearchColumnDateField
#   shipGroup - ActiveNetsuite::SearchColumnLongField
#   shipMethod - ActiveNetsuite::SearchColumnSelectField
#   shipPhone - ActiveNetsuite::SearchColumnStringField
#   shippingAmount - ActiveNetsuite::SearchColumnDoubleField
#   shipRecvStatusLine - ActiveNetsuite::SearchColumnBooleanField
#   shipState - ActiveNetsuite::SearchColumnStringField
#   shipTo - ActiveNetsuite::SearchColumnSelectField
#   shipZip - ActiveNetsuite::SearchColumnStringField
#   signedAmount - ActiveNetsuite::SearchColumnDoubleField
#   source - ActiveNetsuite::SearchColumnStringField
#   startDate - ActiveNetsuite::SearchColumnDateField
#   status - ActiveNetsuite::SearchColumnEnumSelectField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
#   taxAmount - ActiveNetsuite::SearchColumnDoubleField
#   taxCode - ActiveNetsuite::SearchColumnSelectField
#   taxLine - ActiveNetsuite::SearchColumnBooleanField
#   taxPeriod - ActiveNetsuite::SearchColumnSelectField
#   taxTotal - ActiveNetsuite::SearchColumnDoubleField
#   termInMonths - ActiveNetsuite::SearchColumnLongField
#   terms - ActiveNetsuite::SearchColumnSelectField
#   title - ActiveNetsuite::SearchColumnStringField
#   toBeEmailed - ActiveNetsuite::SearchColumnBooleanField
#   toBePrinted - ActiveNetsuite::SearchColumnBooleanField
#   toSubsidiary - ActiveNetsuite::SearchColumnSelectField
#   total - ActiveNetsuite::SearchColumnDoubleField
#   totalCostEstimate - ActiveNetsuite::SearchColumnDoubleField
#   trackingNumbers - ActiveNetsuite::SearchColumnStringField
#   tranDate - ActiveNetsuite::SearchColumnDateField
#   tranEstGrossProfit - ActiveNetsuite::SearchColumnDoubleField
#   tranFxEstGrossProfit - ActiveNetsuite::SearchColumnDoubleField
#   tranId - ActiveNetsuite::SearchColumnStringField
#   tranIsVsoeBundle - ActiveNetsuite::SearchColumnBooleanField
#   transactionDiscount - ActiveNetsuite::SearchColumnBooleanField
#   transactionLineType - ActiveNetsuite::SearchColumnEnumSelectField
#   transferLocation - ActiveNetsuite::SearchColumnSelectField
#   transferOrderItemLine - ActiveNetsuite::SearchColumnStringField
#   transferOrderQuantityCommitted - ActiveNetsuite::SearchColumnDoubleField
#   transferOrderQuantityPacked - ActiveNetsuite::SearchColumnDoubleField
#   transferOrderQuantityPicked - ActiveNetsuite::SearchColumnDoubleField
#   transferOrderQuantityReceived - ActiveNetsuite::SearchColumnDoubleField
#   transferOrderQuantityShipped - ActiveNetsuite::SearchColumnDoubleField
#   type - ActiveNetsuite::SearchColumnEnumSelectField
#   unit - ActiveNetsuite::SearchColumnStringField
#   unitCostOverride - ActiveNetsuite::SearchColumnDoubleField
#   vendType - ActiveNetsuite::SearchColumnSelectField
#   visibleToCustomer - ActiveNetsuite::SearchColumnBooleanField
#   vsoeAllocation - ActiveNetsuite::SearchColumnDoubleField
#   vsoeAmount - ActiveNetsuite::SearchColumnDoubleField
#   vsoeDeferral - ActiveNetsuite::SearchColumnEnumSelectField
#   vsoeDelivered - ActiveNetsuite::SearchColumnBooleanField
#   vsoePermitDiscount - ActiveNetsuite::SearchColumnEnumSelectField
#   vsoePrice - ActiveNetsuite::SearchColumnDoubleField
#   webSite - ActiveNetsuite::SearchColumnStringField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class TransactionSearchRowBasic < SearchRowBasic
  attr_accessor :abbrev
  attr_accessor :account
  attr_accessor :accountType
  attr_accessor :actualShipDate
  attr_accessor :altSalesAmount
  attr_accessor :altSalesNetAmount
  attr_accessor :amount
  attr_accessor :amountPaid
  attr_accessor :amountRemaining
  attr_accessor :amountUnbilled
  attr_accessor :appliedToForeignAmount
  attr_accessor :appliedToIsFxVariance
  attr_accessor :appliedToLinkAmount
  attr_accessor :appliedToLinkType
  attr_accessor :appliedToTransaction
  attr_accessor :applyingForeignAmount
  attr_accessor :applyingIsFxVariance
  attr_accessor :applyingLinkAmount
  attr_accessor :applyingLinkType
  attr_accessor :applyingTransaction
  attr_accessor :approvalStatus
  attr_accessor :authCode
  attr_accessor :avsStreetMatch
  attr_accessor :avsZipMatch
  attr_accessor :billable
  attr_accessor :billAddress
  attr_accessor :billAddress1
  attr_accessor :billAddress2
  attr_accessor :billAddress3
  attr_accessor :billAddressee
  attr_accessor :billAttention
  attr_accessor :billCity
  attr_accessor :billCountry
  attr_accessor :billCountryCode
  attr_accessor :billedDate
  attr_accessor :billingAmount
  attr_accessor :billingSchedule
  attr_accessor :billingTransaction
  attr_accessor :billPhone
  attr_accessor :billState
  attr_accessor :billVarianceStatus
  attr_accessor :billZip
  attr_accessor :binNumber
  attr_accessor :binNumberQuantity
  attr_accessor :bomQuantity
  attr_accessor :buildEntireAssembly
  attr_accessor :buildVariance
  attr_accessor :built
  attr_accessor :ccCustomerCode
  attr_accessor :ccExpDate
  attr_accessor :ccHolderName
  attr_accessor :ccNumber
  attr_accessor :ccStreet
  attr_accessor :ccZipCode
  attr_accessor :cleared
  attr_accessor :closed
  attr_accessor :closeDate
  attr_accessor :cogsAmount
  attr_accessor :commissionEffectiveDate
  attr_accessor :commit
  attr_accessor :componentYield
  attr_accessor :confirmationNumber
  attr_accessor :contribution
  attr_accessor :contributionPrimary
  attr_accessor :costComponentAmount
  attr_accessor :costComponentCategory
  attr_accessor :costComponentItem
  attr_accessor :costComponentQuantity
  attr_accessor :costComponentStandardCost
  attr_accessor :costEstimate
  attr_accessor :costEstimateRate
  attr_accessor :costEstimateType
  attr_accessor :createdBy
  attr_accessor :createdFrom
  attr_accessor :creditAmount
  attr_accessor :cscMatch
  attr_accessor :currency
  attr_accessor :customForm
  attr_accessor :custType
  attr_accessor :dateCreated
  attr_accessor :daysOpen
  attr_accessor :daysOverdue
  attr_accessor :debitAmount
  attr_accessor :deferredRevenue
  attr_accessor :deferRevRec
  attr_accessor :department
  attr_accessor :depositDate
  attr_accessor :depositTransaction
  attr_accessor :discountAmount
  attr_accessor :drAccount
  attr_accessor :dueDate
  attr_accessor :effectiveRate
  attr_accessor :email
  attr_accessor :endDate
  attr_accessor :entity
  attr_accessor :entityStatus
  attr_accessor :estGrossProfit
  attr_accessor :estGrossProfitPct
  attr_accessor :estGrossProfitPercent
  attr_accessor :exchangeRate
  attr_accessor :excludeCommission
  attr_accessor :expectedCloseDate
  attr_accessor :expectedReceiptDate
  attr_accessor :expenseCategory
  attr_accessor :expenseDate
  attr_accessor :externalId
  attr_accessor :forecastType
  attr_accessor :fulfillingTransaction
  attr_accessor :fxAccount
  attr_accessor :fxAmount
  attr_accessor :fxCostEstimate
  attr_accessor :fxCostEstimateRate
  attr_accessor :fxEstGrossProfit
  attr_accessor :fxTranCostEstimate
  attr_accessor :fxVsoeAllocation
  attr_accessor :fxVsoeAmount
  attr_accessor :fxVsoePrice
  attr_accessor :gcoAvailabelToCharge
  attr_accessor :gcoAvailableToRefund
  attr_accessor :gcoAvsStreetMatch
  attr_accessor :gcoAvsZipMatch
  attr_accessor :gcoBuyerAccountAge
  attr_accessor :gcoBuyerIp
  attr_accessor :gcoChargeAmount
  attr_accessor :gcoChargebackAmount
  attr_accessor :gcoConfirmedChargedTotal
  attr_accessor :gcoConfirmedRefundedTotal
  attr_accessor :gcoCreditcardNumber
  attr_accessor :gcoCscMatch
  attr_accessor :gcoFinancialState
  attr_accessor :gcoFulfillmentState
  attr_accessor :gcoOrderId
  attr_accessor :gcoOrderTotal
  attr_accessor :gcoPromotionAmount
  attr_accessor :gcoPromotionName
  attr_accessor :gcoRefundAmount
  attr_accessor :gcoShippingTotal
  attr_accessor :gcoStateChangedDetail
  attr_accessor :giftCert
  attr_accessor :grossAmount
  attr_accessor :includeInForecast
  attr_accessor :intercoStatus
  attr_accessor :intercoTransaction
  attr_accessor :internalId
  attr_accessor :inVsoeBundle
  attr_accessor :isAllocation
  attr_accessor :isBackflush
  attr_accessor :isGcoChargeback
  attr_accessor :isGcoChargeConfirmed
  attr_accessor :isGcoPaymentGuaranteed
  attr_accessor :isGcoRefundConfirmed
  attr_accessor :isIntercompanyAdjustment
  attr_accessor :isMultiShipTo
  attr_accessor :isReversal
  attr_accessor :isRevRecTransaction
  attr_accessor :isScrap
  attr_accessor :isShipAddress
  attr_accessor :isTransferPriceCosting
  attr_accessor :isWip
  attr_accessor :item
  attr_accessor :itemRevision
  attr_accessor :landedCostPerLine
  attr_accessor :lastModifiedDate
  attr_accessor :leadSource
  attr_accessor :line
  attr_accessor :lineSequenceNumber
  attr_accessor :location
  attr_accessor :mainLine
  attr_accessor :mainName
  attr_accessor :manufacturingRouting
  attr_accessor :matchBillToReceipt
  attr_accessor :memo
  attr_accessor :memoMain
  attr_accessor :memorized
  attr_accessor :merchantAccount
  attr_accessor :message
  attr_accessor :multiSubsidiary
  attr_accessor :netAmount
  attr_accessor :netAmountNoTax
  attr_accessor :nextApprover
  attr_accessor :nextBillDate
  attr_accessor :nonReimbursable
  attr_accessor :opportunity
  attr_accessor :options
  attr_accessor :orderPriority
  attr_accessor :originator
  attr_accessor :otherRefNum
  attr_accessor :overheadParentItem
  attr_accessor :packageCount
  attr_accessor :paidAmount
  attr_accessor :paidTransaction
  attr_accessor :partner
  attr_accessor :partnerContribution
  attr_accessor :partnerRole
  attr_accessor :partnerTeamMember
  attr_accessor :payingAmount
  attr_accessor :payingTransaction
  attr_accessor :paymentApproved
  attr_accessor :paymentEventDate
  attr_accessor :paymentEventHoldReason
  attr_accessor :paymentEventPurchaseCardUsed
  attr_accessor :paymentEventPurchaseDataSent
  attr_accessor :paymentEventResult
  attr_accessor :paymentEventType
  attr_accessor :paymentMethod
  attr_accessor :payPalPending
  attr_accessor :payPalStatus
  attr_accessor :payPalTranId
  attr_accessor :payrollBatch
  attr_accessor :pnRefNum
  attr_accessor :poRate
  attr_accessor :posting
  attr_accessor :postingPeriod
  attr_accessor :priceLevel
  attr_accessor :print
  attr_accessor :probability
  attr_accessor :projectedAmount
  attr_accessor :promoCode
  attr_accessor :purchaseOrder
  attr_accessor :quantity
  attr_accessor :quantityBilled
  attr_accessor :quantityCommitted
  attr_accessor :quantityPacked
  attr_accessor :quantityPicked
  attr_accessor :quantityRevCommitted
  attr_accessor :quantityShipRecv
  attr_accessor :quantityUom
  attr_accessor :rate
  attr_accessor :realizedGainPostingTransaction
  attr_accessor :recognizedRevenue
  attr_accessor :recordType
  attr_accessor :refNumber
  attr_accessor :revCommitStatus
  attr_accessor :revCommittingTransaction
  attr_accessor :revenueStatus
  attr_accessor :reversalDate
  attr_accessor :reversalNumber
  attr_accessor :revRecEndDate
  attr_accessor :revRecOnRevCommitment
  attr_accessor :revRecStartDate
  attr_accessor :rgAccount
  attr_accessor :rgAmount
  attr_accessor :salesEffectiveDate
  attr_accessor :salesOrder
  attr_accessor :salesRep
  attr_accessor :salesTeamMember
  attr_accessor :salesTeamRole
  attr_accessor :serialNumber
  attr_accessor :serialNumberCost
  attr_accessor :serialNumberCostAdjustment
  attr_accessor :serialNumberQuantity
  attr_accessor :serialNumbers
  attr_accessor :shipAddress
  attr_accessor :shipAddress1
  attr_accessor :shipAddress2
  attr_accessor :shipAddress3
  attr_accessor :shipAddressee
  attr_accessor :shipAttention
  attr_accessor :shipCity
  attr_accessor :shipComplete
  attr_accessor :shipCountry
  attr_accessor :shipCountryCode
  attr_accessor :shipDate
  attr_accessor :shipGroup
  attr_accessor :shipMethod
  attr_accessor :shipPhone
  attr_accessor :shippingAmount
  attr_accessor :shipRecvStatusLine
  attr_accessor :shipState
  attr_accessor :shipTo
  attr_accessor :shipZip
  attr_accessor :signedAmount
  attr_accessor :source
  attr_accessor :startDate
  attr_accessor :status
  attr_accessor :subsidiary
  attr_accessor :taxAmount
  attr_accessor :taxCode
  attr_accessor :taxLine
  attr_accessor :taxPeriod
  attr_accessor :taxTotal
  attr_accessor :termInMonths
  attr_accessor :terms
  attr_accessor :title
  attr_accessor :toBeEmailed
  attr_accessor :toBePrinted
  attr_accessor :toSubsidiary
  attr_accessor :total
  attr_accessor :totalCostEstimate
  attr_accessor :trackingNumbers
  attr_accessor :tranDate
  attr_accessor :tranEstGrossProfit
  attr_accessor :tranFxEstGrossProfit
  attr_accessor :tranId
  attr_accessor :tranIsVsoeBundle
  attr_accessor :transactionDiscount
  attr_accessor :transactionLineType
  attr_accessor :transferLocation
  attr_accessor :transferOrderItemLine
  attr_accessor :transferOrderQuantityCommitted
  attr_accessor :transferOrderQuantityPacked
  attr_accessor :transferOrderQuantityPicked
  attr_accessor :transferOrderQuantityReceived
  attr_accessor :transferOrderQuantityShipped
  attr_accessor :type
  attr_accessor :unit
  attr_accessor :unitCostOverride
  attr_accessor :vendType
  attr_accessor :visibleToCustomer
  attr_accessor :vsoeAllocation
  attr_accessor :vsoeAmount
  attr_accessor :vsoeDeferral
  attr_accessor :vsoeDelivered
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoePrice
  attr_accessor :webSite
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(abbrev = [], account = [], accountType = [], actualShipDate = [], altSalesAmount = [], altSalesNetAmount = [], amount = [], amountPaid = [], amountRemaining = [], amountUnbilled = [], appliedToForeignAmount = [], appliedToIsFxVariance = [], appliedToLinkAmount = [], appliedToLinkType = [], appliedToTransaction = [], applyingForeignAmount = [], applyingIsFxVariance = [], applyingLinkAmount = [], applyingLinkType = [], applyingTransaction = [], approvalStatus = [], authCode = [], avsStreetMatch = [], avsZipMatch = [], billable = [], billAddress = [], billAddress1 = [], billAddress2 = [], billAddress3 = [], billAddressee = [], billAttention = [], billCity = [], billCountry = [], billCountryCode = [], billedDate = [], billingAmount = [], billingSchedule = [], billingTransaction = [], billPhone = [], billState = [], billVarianceStatus = [], billZip = [], binNumber = [], binNumberQuantity = [], bomQuantity = [], buildEntireAssembly = [], buildVariance = [], built = [], ccCustomerCode = [], ccExpDate = [], ccHolderName = [], ccNumber = [], ccStreet = [], ccZipCode = [], v_class = [], cleared = [], closed = [], closeDate = [], cogsAmount = [], commissionEffectiveDate = [], commit = [], componentYield = [], confirmationNumber = [], contribution = [], contributionPrimary = [], costComponentAmount = [], costComponentCategory = [], costComponentItem = [], costComponentQuantity = [], costComponentStandardCost = [], costEstimate = [], costEstimateRate = [], costEstimateType = [], createdBy = [], createdFrom = [], creditAmount = [], cscMatch = [], currency = [], customForm = [], custType = [], dateCreated = [], daysOpen = [], daysOverdue = [], debitAmount = [], deferredRevenue = [], deferRevRec = [], department = [], depositDate = [], depositTransaction = [], discountAmount = [], drAccount = [], dueDate = [], effectiveRate = [], email = [], endDate = [], entity = [], entityStatus = [], estGrossProfit = [], estGrossProfitPct = [], estGrossProfitPercent = [], exchangeRate = [], excludeCommission = [], expectedCloseDate = [], expectedReceiptDate = [], expenseCategory = [], expenseDate = [], externalId = [], forecastType = [], fulfillingTransaction = [], fxAccount = [], fxAmount = [], fxCostEstimate = [], fxCostEstimateRate = [], fxEstGrossProfit = [], fxTranCostEstimate = [], fxVsoeAllocation = [], fxVsoeAmount = [], fxVsoePrice = [], gcoAvailabelToCharge = [], gcoAvailableToRefund = [], gcoAvsStreetMatch = [], gcoAvsZipMatch = [], gcoBuyerAccountAge = [], gcoBuyerIp = [], gcoChargeAmount = [], gcoChargebackAmount = [], gcoConfirmedChargedTotal = [], gcoConfirmedRefundedTotal = [], gcoCreditcardNumber = [], gcoCscMatch = [], gcoFinancialState = [], gcoFulfillmentState = [], gcoOrderId = [], gcoOrderTotal = [], gcoPromotionAmount = [], gcoPromotionName = [], gcoRefundAmount = [], gcoShippingTotal = [], gcoStateChangedDetail = [], giftCert = [], grossAmount = [], includeInForecast = [], intercoStatus = [], intercoTransaction = [], internalId = [], inVsoeBundle = [], isAllocation = [], isBackflush = [], isGcoChargeback = [], isGcoChargeConfirmed = [], isGcoPaymentGuaranteed = [], isGcoRefundConfirmed = [], isIntercompanyAdjustment = [], isMultiShipTo = [], isReversal = [], isRevRecTransaction = [], isScrap = [], isShipAddress = [], isTransferPriceCosting = [], isWip = [], item = [], itemRevision = [], landedCostPerLine = [], lastModifiedDate = [], leadSource = [], line = [], lineSequenceNumber = [], location = [], mainLine = [], mainName = [], manufacturingRouting = [], matchBillToReceipt = [], memo = [], memoMain = [], memorized = [], merchantAccount = [], message = [], multiSubsidiary = [], netAmount = [], netAmountNoTax = [], nextApprover = [], nextBillDate = [], nonReimbursable = [], opportunity = [], options = [], orderPriority = [], originator = [], otherRefNum = [], overheadParentItem = [], packageCount = [], paidAmount = [], paidTransaction = [], partner = [], partnerContribution = [], partnerRole = [], partnerTeamMember = [], payingAmount = [], payingTransaction = [], paymentApproved = [], paymentEventDate = [], paymentEventHoldReason = [], paymentEventPurchaseCardUsed = [], paymentEventPurchaseDataSent = [], paymentEventResult = [], paymentEventType = [], paymentMethod = [], payPalPending = [], payPalStatus = [], payPalTranId = [], payrollBatch = [], pnRefNum = [], poRate = [], posting = [], postingPeriod = [], priceLevel = [], print = [], probability = [], projectedAmount = [], promoCode = [], purchaseOrder = [], quantity = [], quantityBilled = [], quantityCommitted = [], quantityPacked = [], quantityPicked = [], quantityRevCommitted = [], quantityShipRecv = [], quantityUom = [], rate = [], realizedGainPostingTransaction = [], recognizedRevenue = [], recordType = [], refNumber = [], revCommitStatus = [], revCommittingTransaction = [], revenueStatus = [], reversalDate = [], reversalNumber = [], revRecEndDate = [], revRecOnRevCommitment = [], revRecStartDate = [], rgAccount = [], rgAmount = [], salesEffectiveDate = [], salesOrder = [], salesRep = [], salesTeamMember = [], salesTeamRole = [], serialNumber = [], serialNumberCost = [], serialNumberCostAdjustment = [], serialNumberQuantity = [], serialNumbers = [], shipAddress = [], shipAddress1 = [], shipAddress2 = [], shipAddress3 = [], shipAddressee = [], shipAttention = [], shipCity = [], shipComplete = [], shipCountry = [], shipCountryCode = [], shipDate = [], shipGroup = [], shipMethod = [], shipPhone = [], shippingAmount = [], shipRecvStatusLine = [], shipState = [], shipTo = [], shipZip = [], signedAmount = [], source = [], startDate = [], status = [], subsidiary = [], taxAmount = [], taxCode = [], taxLine = [], taxPeriod = [], taxTotal = [], termInMonths = [], terms = [], title = [], toBeEmailed = [], toBePrinted = [], toSubsidiary = [], total = [], totalCostEstimate = [], trackingNumbers = [], tranDate = [], tranEstGrossProfit = [], tranFxEstGrossProfit = [], tranId = [], tranIsVsoeBundle = [], transactionDiscount = [], transactionLineType = [], transferLocation = [], transferOrderItemLine = [], transferOrderQuantityCommitted = [], transferOrderQuantityPacked = [], transferOrderQuantityPicked = [], transferOrderQuantityReceived = [], transferOrderQuantityShipped = [], type = [], unit = [], unitCostOverride = [], vendType = [], visibleToCustomer = [], vsoeAllocation = [], vsoeAmount = [], vsoeDeferral = [], vsoeDelivered = [], vsoePermitDiscount = [], vsoePrice = [], webSite = [], customFieldList = nil)
    @abbrev = abbrev
    @account = account
    @accountType = accountType
    @actualShipDate = actualShipDate
    @altSalesAmount = altSalesAmount
    @altSalesNetAmount = altSalesNetAmount
    @amount = amount
    @amountPaid = amountPaid
    @amountRemaining = amountRemaining
    @amountUnbilled = amountUnbilled
    @appliedToForeignAmount = appliedToForeignAmount
    @appliedToIsFxVariance = appliedToIsFxVariance
    @appliedToLinkAmount = appliedToLinkAmount
    @appliedToLinkType = appliedToLinkType
    @appliedToTransaction = appliedToTransaction
    @applyingForeignAmount = applyingForeignAmount
    @applyingIsFxVariance = applyingIsFxVariance
    @applyingLinkAmount = applyingLinkAmount
    @applyingLinkType = applyingLinkType
    @applyingTransaction = applyingTransaction
    @approvalStatus = approvalStatus
    @authCode = authCode
    @avsStreetMatch = avsStreetMatch
    @avsZipMatch = avsZipMatch
    @billable = billable
    @billAddress = billAddress
    @billAddress1 = billAddress1
    @billAddress2 = billAddress2
    @billAddress3 = billAddress3
    @billAddressee = billAddressee
    @billAttention = billAttention
    @billCity = billCity
    @billCountry = billCountry
    @billCountryCode = billCountryCode
    @billedDate = billedDate
    @billingAmount = billingAmount
    @billingSchedule = billingSchedule
    @billingTransaction = billingTransaction
    @billPhone = billPhone
    @billState = billState
    @billVarianceStatus = billVarianceStatus
    @billZip = billZip
    @binNumber = binNumber
    @binNumberQuantity = binNumberQuantity
    @bomQuantity = bomQuantity
    @buildEntireAssembly = buildEntireAssembly
    @buildVariance = buildVariance
    @built = built
    @ccCustomerCode = ccCustomerCode
    @ccExpDate = ccExpDate
    @ccHolderName = ccHolderName
    @ccNumber = ccNumber
    @ccStreet = ccStreet
    @ccZipCode = ccZipCode
    @v_class = v_class
    @cleared = cleared
    @closed = closed
    @closeDate = closeDate
    @cogsAmount = cogsAmount
    @commissionEffectiveDate = commissionEffectiveDate
    @commit = commit
    @componentYield = componentYield
    @confirmationNumber = confirmationNumber
    @contribution = contribution
    @contributionPrimary = contributionPrimary
    @costComponentAmount = costComponentAmount
    @costComponentCategory = costComponentCategory
    @costComponentItem = costComponentItem
    @costComponentQuantity = costComponentQuantity
    @costComponentStandardCost = costComponentStandardCost
    @costEstimate = costEstimate
    @costEstimateRate = costEstimateRate
    @costEstimateType = costEstimateType
    @createdBy = createdBy
    @createdFrom = createdFrom
    @creditAmount = creditAmount
    @cscMatch = cscMatch
    @currency = currency
    @customForm = customForm
    @custType = custType
    @dateCreated = dateCreated
    @daysOpen = daysOpen
    @daysOverdue = daysOverdue
    @debitAmount = debitAmount
    @deferredRevenue = deferredRevenue
    @deferRevRec = deferRevRec
    @department = department
    @depositDate = depositDate
    @depositTransaction = depositTransaction
    @discountAmount = discountAmount
    @drAccount = drAccount
    @dueDate = dueDate
    @effectiveRate = effectiveRate
    @email = email
    @endDate = endDate
    @entity = entity
    @entityStatus = entityStatus
    @estGrossProfit = estGrossProfit
    @estGrossProfitPct = estGrossProfitPct
    @estGrossProfitPercent = estGrossProfitPercent
    @exchangeRate = exchangeRate
    @excludeCommission = excludeCommission
    @expectedCloseDate = expectedCloseDate
    @expectedReceiptDate = expectedReceiptDate
    @expenseCategory = expenseCategory
    @expenseDate = expenseDate
    @externalId = externalId
    @forecastType = forecastType
    @fulfillingTransaction = fulfillingTransaction
    @fxAccount = fxAccount
    @fxAmount = fxAmount
    @fxCostEstimate = fxCostEstimate
    @fxCostEstimateRate = fxCostEstimateRate
    @fxEstGrossProfit = fxEstGrossProfit
    @fxTranCostEstimate = fxTranCostEstimate
    @fxVsoeAllocation = fxVsoeAllocation
    @fxVsoeAmount = fxVsoeAmount
    @fxVsoePrice = fxVsoePrice
    @gcoAvailabelToCharge = gcoAvailabelToCharge
    @gcoAvailableToRefund = gcoAvailableToRefund
    @gcoAvsStreetMatch = gcoAvsStreetMatch
    @gcoAvsZipMatch = gcoAvsZipMatch
    @gcoBuyerAccountAge = gcoBuyerAccountAge
    @gcoBuyerIp = gcoBuyerIp
    @gcoChargeAmount = gcoChargeAmount
    @gcoChargebackAmount = gcoChargebackAmount
    @gcoConfirmedChargedTotal = gcoConfirmedChargedTotal
    @gcoConfirmedRefundedTotal = gcoConfirmedRefundedTotal
    @gcoCreditcardNumber = gcoCreditcardNumber
    @gcoCscMatch = gcoCscMatch
    @gcoFinancialState = gcoFinancialState
    @gcoFulfillmentState = gcoFulfillmentState
    @gcoOrderId = gcoOrderId
    @gcoOrderTotal = gcoOrderTotal
    @gcoPromotionAmount = gcoPromotionAmount
    @gcoPromotionName = gcoPromotionName
    @gcoRefundAmount = gcoRefundAmount
    @gcoShippingTotal = gcoShippingTotal
    @gcoStateChangedDetail = gcoStateChangedDetail
    @giftCert = giftCert
    @grossAmount = grossAmount
    @includeInForecast = includeInForecast
    @intercoStatus = intercoStatus
    @intercoTransaction = intercoTransaction
    @internalId = internalId
    @inVsoeBundle = inVsoeBundle
    @isAllocation = isAllocation
    @isBackflush = isBackflush
    @isGcoChargeback = isGcoChargeback
    @isGcoChargeConfirmed = isGcoChargeConfirmed
    @isGcoPaymentGuaranteed = isGcoPaymentGuaranteed
    @isGcoRefundConfirmed = isGcoRefundConfirmed
    @isIntercompanyAdjustment = isIntercompanyAdjustment
    @isMultiShipTo = isMultiShipTo
    @isReversal = isReversal
    @isRevRecTransaction = isRevRecTransaction
    @isScrap = isScrap
    @isShipAddress = isShipAddress
    @isTransferPriceCosting = isTransferPriceCosting
    @isWip = isWip
    @item = item
    @itemRevision = itemRevision
    @landedCostPerLine = landedCostPerLine
    @lastModifiedDate = lastModifiedDate
    @leadSource = leadSource
    @line = line
    @lineSequenceNumber = lineSequenceNumber
    @location = location
    @mainLine = mainLine
    @mainName = mainName
    @manufacturingRouting = manufacturingRouting
    @matchBillToReceipt = matchBillToReceipt
    @memo = memo
    @memoMain = memoMain
    @memorized = memorized
    @merchantAccount = merchantAccount
    @message = message
    @multiSubsidiary = multiSubsidiary
    @netAmount = netAmount
    @netAmountNoTax = netAmountNoTax
    @nextApprover = nextApprover
    @nextBillDate = nextBillDate
    @nonReimbursable = nonReimbursable
    @opportunity = opportunity
    @options = options
    @orderPriority = orderPriority
    @originator = originator
    @otherRefNum = otherRefNum
    @overheadParentItem = overheadParentItem
    @packageCount = packageCount
    @paidAmount = paidAmount
    @paidTransaction = paidTransaction
    @partner = partner
    @partnerContribution = partnerContribution
    @partnerRole = partnerRole
    @partnerTeamMember = partnerTeamMember
    @payingAmount = payingAmount
    @payingTransaction = payingTransaction
    @paymentApproved = paymentApproved
    @paymentEventDate = paymentEventDate
    @paymentEventHoldReason = paymentEventHoldReason
    @paymentEventPurchaseCardUsed = paymentEventPurchaseCardUsed
    @paymentEventPurchaseDataSent = paymentEventPurchaseDataSent
    @paymentEventResult = paymentEventResult
    @paymentEventType = paymentEventType
    @paymentMethod = paymentMethod
    @payPalPending = payPalPending
    @payPalStatus = payPalStatus
    @payPalTranId = payPalTranId
    @payrollBatch = payrollBatch
    @pnRefNum = pnRefNum
    @poRate = poRate
    @posting = posting
    @postingPeriod = postingPeriod
    @priceLevel = priceLevel
    @print = print
    @probability = probability
    @projectedAmount = projectedAmount
    @promoCode = promoCode
    @purchaseOrder = purchaseOrder
    @quantity = quantity
    @quantityBilled = quantityBilled
    @quantityCommitted = quantityCommitted
    @quantityPacked = quantityPacked
    @quantityPicked = quantityPicked
    @quantityRevCommitted = quantityRevCommitted
    @quantityShipRecv = quantityShipRecv
    @quantityUom = quantityUom
    @rate = rate
    @realizedGainPostingTransaction = realizedGainPostingTransaction
    @recognizedRevenue = recognizedRevenue
    @recordType = recordType
    @refNumber = refNumber
    @revCommitStatus = revCommitStatus
    @revCommittingTransaction = revCommittingTransaction
    @revenueStatus = revenueStatus
    @reversalDate = reversalDate
    @reversalNumber = reversalNumber
    @revRecEndDate = revRecEndDate
    @revRecOnRevCommitment = revRecOnRevCommitment
    @revRecStartDate = revRecStartDate
    @rgAccount = rgAccount
    @rgAmount = rgAmount
    @salesEffectiveDate = salesEffectiveDate
    @salesOrder = salesOrder
    @salesRep = salesRep
    @salesTeamMember = salesTeamMember
    @salesTeamRole = salesTeamRole
    @serialNumber = serialNumber
    @serialNumberCost = serialNumberCost
    @serialNumberCostAdjustment = serialNumberCostAdjustment
    @serialNumberQuantity = serialNumberQuantity
    @serialNumbers = serialNumbers
    @shipAddress = shipAddress
    @shipAddress1 = shipAddress1
    @shipAddress2 = shipAddress2
    @shipAddress3 = shipAddress3
    @shipAddressee = shipAddressee
    @shipAttention = shipAttention
    @shipCity = shipCity
    @shipComplete = shipComplete
    @shipCountry = shipCountry
    @shipCountryCode = shipCountryCode
    @shipDate = shipDate
    @shipGroup = shipGroup
    @shipMethod = shipMethod
    @shipPhone = shipPhone
    @shippingAmount = shippingAmount
    @shipRecvStatusLine = shipRecvStatusLine
    @shipState = shipState
    @shipTo = shipTo
    @shipZip = shipZip
    @signedAmount = signedAmount
    @source = source
    @startDate = startDate
    @status = status
    @subsidiary = subsidiary
    @taxAmount = taxAmount
    @taxCode = taxCode
    @taxLine = taxLine
    @taxPeriod = taxPeriod
    @taxTotal = taxTotal
    @termInMonths = termInMonths
    @terms = terms
    @title = title
    @toBeEmailed = toBeEmailed
    @toBePrinted = toBePrinted
    @toSubsidiary = toSubsidiary
    @total = total
    @totalCostEstimate = totalCostEstimate
    @trackingNumbers = trackingNumbers
    @tranDate = tranDate
    @tranEstGrossProfit = tranEstGrossProfit
    @tranFxEstGrossProfit = tranFxEstGrossProfit
    @tranId = tranId
    @tranIsVsoeBundle = tranIsVsoeBundle
    @transactionDiscount = transactionDiscount
    @transactionLineType = transactionLineType
    @transferLocation = transferLocation
    @transferOrderItemLine = transferOrderItemLine
    @transferOrderQuantityCommitted = transferOrderQuantityCommitted
    @transferOrderQuantityPacked = transferOrderQuantityPacked
    @transferOrderQuantityPicked = transferOrderQuantityPicked
    @transferOrderQuantityReceived = transferOrderQuantityReceived
    @transferOrderQuantityShipped = transferOrderQuantityShipped
    @type = type
    @unit = unit
    @unitCostOverride = unitCostOverride
    @vendType = vendType
    @visibleToCustomer = visibleToCustomer
    @vsoeAllocation = vsoeAllocation
    @vsoeAmount = vsoeAmount
    @vsoeDeferral = vsoeDeferral
    @vsoeDelivered = vsoeDelivered
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoePrice = vsoePrice
    @webSite = webSite
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ItemSearchRowBasic
#   allowedShippingMethod - ActiveNetsuite::SearchColumnSelectField
#   alternateDemandSourceItem - ActiveNetsuite::SearchColumnStringField
#   assetAccount - ActiveNetsuite::SearchColumnSelectField
#   atpLeadTime - ActiveNetsuite::SearchColumnDoubleField
#   atpMethod - ActiveNetsuite::SearchColumnEnumSelectField
#   autoLeadTime - ActiveNetsuite::SearchColumnBooleanField
#   autoPreferredStockLevel - ActiveNetsuite::SearchColumnBooleanField
#   autoReorderPoint - ActiveNetsuite::SearchColumnBooleanField
#   availableToPartners - ActiveNetsuite::SearchColumnBooleanField
#   averageCost - ActiveNetsuite::SearchColumnDoubleField
#   backwardConsumptionDays - ActiveNetsuite::SearchColumnLongField
#   basePrice - ActiveNetsuite::SearchColumnDoubleField
#   billExchRateVarianceAcct - ActiveNetsuite::SearchColumnSelectField
#   billPriceVarianceAcct - ActiveNetsuite::SearchColumnSelectField
#   billQtyVarianceAcct - ActiveNetsuite::SearchColumnSelectField
#   binNumber - ActiveNetsuite::SearchColumnStringField
#   binOnHandAvail - ActiveNetsuite::SearchColumnDoubleField
#   binOnHandCount - ActiveNetsuite::SearchColumnDoubleField
#   bomQuantity - ActiveNetsuite::SearchColumnDoubleField
#   buildEntireAssembly - ActiveNetsuite::SearchColumnBooleanField
#   buildTime - ActiveNetsuite::SearchColumnDoubleField
#   buyItNowPrice - ActiveNetsuite::SearchColumnDoubleField
#   category - ActiveNetsuite::SearchColumnStringField
#   categoryPreferred - ActiveNetsuite::SearchColumnStringField
#   m_class - ActiveNetsuite::SearchColumnSelectField
#   componentYield - ActiveNetsuite::SearchColumnDoubleField
#   copyDescription - ActiveNetsuite::SearchColumnBooleanField
#   correlatedItem - ActiveNetsuite::SearchColumnSelectField
#   correlatedItemCorrelation - ActiveNetsuite::SearchColumnDoubleField
#   correlatedItemCount - ActiveNetsuite::SearchColumnLongField
#   correlatedItemLift - ActiveNetsuite::SearchColumnDoubleField
#   correlatedItemPurchaseRate - ActiveNetsuite::SearchColumnDoubleField
#   cost - ActiveNetsuite::SearchColumnDoubleField
#   costAccountingStatus - ActiveNetsuite::SearchColumnEnumSelectField
#   costCategory - ActiveNetsuite::SearchColumnStringField
#   costEstimate - ActiveNetsuite::SearchColumnDoubleField
#   costEstimateType - ActiveNetsuite::SearchColumnEnumSelectField
#   costingMethod - ActiveNetsuite::SearchColumnEnumSelectField
#   countryOfManufacture - ActiveNetsuite::SearchColumnEnumSelectField
#   created - ActiveNetsuite::SearchColumnDateField
#   createJob - ActiveNetsuite::SearchColumnBooleanField
#   custReturnVarianceAccount - ActiveNetsuite::SearchColumnSelectField
#   dateViewed - ActiveNetsuite::SearchColumnDateField
#   daysBeforeExpiration - ActiveNetsuite::SearchColumnStringField
#   defaultReturnCost - ActiveNetsuite::SearchColumnDoubleField
#   defaultShippingMethod - ActiveNetsuite::SearchColumnStringField
#   deferredExpenseAccount - ActiveNetsuite::SearchColumnSelectField
#   deferredRevenueAccount - ActiveNetsuite::SearchColumnSelectField
#   demandModifier - ActiveNetsuite::SearchColumnDoubleField
#   demandSource - ActiveNetsuite::SearchColumnEnumSelectField
#   department - ActiveNetsuite::SearchColumnSelectField
#   departmentnohierarchy - ActiveNetsuite::SearchColumnSelectField
#   displayIneBayStore - ActiveNetsuite::SearchColumnBooleanField
#   displayName - ActiveNetsuite::SearchColumnStringField
#   dontShowPrice - ActiveNetsuite::SearchColumnBooleanField
#   eBayItemDescription - ActiveNetsuite::SearchColumnStringField
#   eBayItemSubtitle - ActiveNetsuite::SearchColumnStringField
#   eBayItemTitle - ActiveNetsuite::SearchColumnStringField
#   ebayRelistingOption - ActiveNetsuite::SearchColumnEnumSelectField
#   effectiveBomControl - ActiveNetsuite::SearchColumnEnumSelectField
#   effectiveDate - ActiveNetsuite::SearchColumnDateField
#   effectiveRevision - ActiveNetsuite::SearchColumnSelectField
#   endAuctionsWhenOutOfStock - ActiveNetsuite::SearchColumnBooleanField
#   excludeFromSitemap - ActiveNetsuite::SearchColumnBooleanField
#   expenseAccount - ActiveNetsuite::SearchColumnSelectField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   featuredDescription - ActiveNetsuite::SearchColumnStringField
#   feedDescription - ActiveNetsuite::SearchColumnStringField
#   feedName - ActiveNetsuite::SearchColumnStringField
#   fixedLotSize - ActiveNetsuite::SearchColumnDoubleField
#   forwardConsumptionDays - ActiveNetsuite::SearchColumnLongField
#   froogleProductFeed - ActiveNetsuite::SearchColumnBooleanField
#   fxCost - ActiveNetsuite::SearchColumnDoubleField
#   gainLossAccount - ActiveNetsuite::SearchColumnSelectField
#   giftCertAuthCode - ActiveNetsuite::SearchColumnStringField
#   giftCertEmail - ActiveNetsuite::SearchColumnStringField
#   giftCertExpirationDate - ActiveNetsuite::SearchColumnStringField
#   giftCertFrom - ActiveNetsuite::SearchColumnStringField
#   giftCertMessage - ActiveNetsuite::SearchColumnStringField
#   giftCertOriginalAmount - ActiveNetsuite::SearchColumnStringField
#   giftCertRecipient - ActiveNetsuite::SearchColumnStringField
#   hits - ActiveNetsuite::SearchColumnLongField
#   imageUrl - ActiveNetsuite::SearchColumnStringField
#   incomeAccount - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   inventoryLocation - ActiveNetsuite::SearchColumnSelectField
#   invtClassification - ActiveNetsuite::SearchColumnEnumSelectField
#   invtCountInterval - ActiveNetsuite::SearchColumnLongField
#   isAvailable - ActiveNetsuite::SearchColumnBooleanField
#   isDropShipItem - ActiveNetsuite::SearchColumnBooleanField
#   isFulfillable - ActiveNetsuite::SearchColumnBooleanField
#   isGcoCompliant - ActiveNetsuite::SearchColumnBooleanField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   isLotItem - ActiveNetsuite::SearchColumnBooleanField
#   isOnline - ActiveNetsuite::SearchColumnBooleanField
#   isSerialItem - ActiveNetsuite::SearchColumnBooleanField
#   isSpecialOrderItem - ActiveNetsuite::SearchColumnBooleanField
#   isSpecialWorkOrderItem - ActiveNetsuite::SearchColumnBooleanField
#   issueProduct - ActiveNetsuite::SearchColumnSelectField
#   isTaxable - ActiveNetsuite::SearchColumnBooleanField
#   isVsoeBundle - ActiveNetsuite::SearchColumnBooleanField
#   isWip - ActiveNetsuite::SearchColumnBooleanField
#   itemId - ActiveNetsuite::SearchColumnStringField
#   itemUrl - ActiveNetsuite::SearchColumnStringField
#   lastInvtCountDate - ActiveNetsuite::SearchColumnDateField
#   lastPurchasePrice - ActiveNetsuite::SearchColumnDoubleField
#   lastQuantityAvailableChange - ActiveNetsuite::SearchColumnDateField
#   leadTime - ActiveNetsuite::SearchColumnLongField
#   liabilityAccount - ActiveNetsuite::SearchColumnSelectField
#   listingDuration - ActiveNetsuite::SearchColumnEnumSelectField
#   location - ActiveNetsuite::SearchColumnSelectField
#   locationAtpLeadTime - ActiveNetsuite::SearchColumnDoubleField
#   locationAverageCost - ActiveNetsuite::SearchColumnDoubleField
#   locationBinQuantityAvailable - ActiveNetsuite::SearchColumnStringField
#   locationBuildTime - ActiveNetsuite::SearchColumnDoubleField
#   locationCost - ActiveNetsuite::SearchColumnDoubleField
#   locationCostAccountingStatus - ActiveNetsuite::SearchColumnEnumSelectField
#   locationDefaultReturnCost - ActiveNetsuite::SearchColumnDoubleField
#   locationDemandSource - ActiveNetsuite::SearchColumnEnumSelectField
#   locationFixedLotSize - ActiveNetsuite::SearchColumnDoubleField
#   locationInventoryCostTemplate - ActiveNetsuite::SearchColumnStringField
#   locationInvtClassification - ActiveNetsuite::SearchColumnEnumSelectField
#   locationInvtCountInterval - ActiveNetsuite::SearchColumnLongField
#   locationLastInvtCountDate - ActiveNetsuite::SearchColumnDateField
#   locationLeadTime - ActiveNetsuite::SearchColumnLongField
#   locationNextInvtCountDate - ActiveNetsuite::SearchColumnDateField
#   locationPeriodicLotSizeDays - ActiveNetsuite::SearchColumnLongField
#   locationPeriodicLotSizeType - ActiveNetsuite::SearchColumnEnumSelectField
#   locationPreferredStockLevel - ActiveNetsuite::SearchColumnDoubleField
#   locationQuantityAvailable - ActiveNetsuite::SearchColumnDoubleField
#   locationQuantityBackOrdered - ActiveNetsuite::SearchColumnDoubleField
#   locationQuantityCommitted - ActiveNetsuite::SearchColumnDoubleField
#   locationQuantityInTransit - ActiveNetsuite::SearchColumnDoubleField
#   locationQuantityOnHand - ActiveNetsuite::SearchColumnDoubleField
#   locationQuantityOnOrder - ActiveNetsuite::SearchColumnDoubleField
#   locationReOrderPoint - ActiveNetsuite::SearchColumnDoubleField
#   locationSafetyStockLevel - ActiveNetsuite::SearchColumnDoubleField
#   locationSupplyLotSizingMethod - ActiveNetsuite::SearchColumnEnumSelectField
#   locationSupplyType - ActiveNetsuite::SearchColumnEnumSelectField
#   locationTotalValue - ActiveNetsuite::SearchColumnDoubleField
#   locBackwardConsumptionDays - ActiveNetsuite::SearchColumnLongField
#   locForwardConsumptionDays - ActiveNetsuite::SearchColumnLongField
#   manufacturer - ActiveNetsuite::SearchColumnStringField
#   manufacturerAddr1 - ActiveNetsuite::SearchColumnStringField
#   manufacturerCity - ActiveNetsuite::SearchColumnStringField
#   manufacturerState - ActiveNetsuite::SearchColumnStringField
#   manufacturerTariff - ActiveNetsuite::SearchColumnStringField
#   manufacturerTaxId - ActiveNetsuite::SearchColumnStringField
#   manufacturerZip - ActiveNetsuite::SearchColumnStringField
#   manufacturingChargeItem - ActiveNetsuite::SearchColumnBooleanField
#   matchBillToReceipt - ActiveNetsuite::SearchColumnBooleanField
#   memberItem - ActiveNetsuite::SearchColumnSelectField
#   memberQuantity - ActiveNetsuite::SearchColumnDoubleField
#   metaTagHtml - ActiveNetsuite::SearchColumnStringField
#   minimumQuantity - ActiveNetsuite::SearchColumnStringField
#   modified - ActiveNetsuite::SearchColumnDateField
#   mpn - ActiveNetsuite::SearchColumnStringField
#   multManufactureAddr - ActiveNetsuite::SearchColumnBooleanField
#   nextagCategory - ActiveNetsuite::SearchColumnStringField
#   nextagProductFeed - ActiveNetsuite::SearchColumnBooleanField
#   nextInvtCountDate - ActiveNetsuite::SearchColumnDateField
#   noPriceMessage - ActiveNetsuite::SearchColumnStringField
#   numActiveListings - ActiveNetsuite::SearchColumnLongField
#   numberAllowedDownloads - ActiveNetsuite::SearchColumnStringField
#   numCurrentlyListed - ActiveNetsuite::SearchColumnLongField
#   obsoleteDate - ActiveNetsuite::SearchColumnDateField
#   obsoleteRevision - ActiveNetsuite::SearchColumnSelectField
#   offerSupport - ActiveNetsuite::SearchColumnBooleanField
#   onlineCustomerPrice - ActiveNetsuite::SearchColumnDoubleField
#   onlinePrice - ActiveNetsuite::SearchColumnDoubleField
#   onSpecial - ActiveNetsuite::SearchColumnBooleanField
#   otherPrices - ActiveNetsuite::SearchColumnDoubleField
#   otherVendor - ActiveNetsuite::SearchColumnSelectField
#   outOfStockBehavior - ActiveNetsuite::SearchColumnStringField
#   outOfStockMessage - ActiveNetsuite::SearchColumnStringField
#   overallQuantityPricingType - ActiveNetsuite::SearchColumnEnumSelectField
#   overheadType - ActiveNetsuite::SearchColumnEnumSelectField
#   pageTitle - ActiveNetsuite::SearchColumnStringField
#   parent - ActiveNetsuite::SearchColumnSelectField
#   periodicLotSizeDays - ActiveNetsuite::SearchColumnLongField
#   periodicLotSizeType - ActiveNetsuite::SearchColumnEnumSelectField
#   preferenceCriterion - ActiveNetsuite::SearchColumnStringField
#   preferredBin - ActiveNetsuite::SearchColumnBooleanField
#   preferredLocation - ActiveNetsuite::SearchColumnSelectField
#   preferredStockLevel - ActiveNetsuite::SearchColumnDoubleField
#   preferredStockLevelDays - ActiveNetsuite::SearchColumnLongField
#   pricesIncludeTax - ActiveNetsuite::SearchColumnBooleanField
#   pricingGroup - ActiveNetsuite::SearchColumnSelectField
#   primaryCategory - ActiveNetsuite::SearchColumnStringField
#   prodPriceVarianceAcct - ActiveNetsuite::SearchColumnSelectField
#   prodQtyVarianceAcct - ActiveNetsuite::SearchColumnSelectField
#   purchaseDescription - ActiveNetsuite::SearchColumnStringField
#   purchasePriceVarianceAcct - ActiveNetsuite::SearchColumnSelectField
#   purchaseUnit - ActiveNetsuite::SearchColumnSelectField
#   quantityAvailable - ActiveNetsuite::SearchColumnDoubleField
#   quantityBackOrdered - ActiveNetsuite::SearchColumnDoubleField
#   quantityCommitted - ActiveNetsuite::SearchColumnDoubleField
#   quantityOnHand - ActiveNetsuite::SearchColumnDoubleField
#   quantityOnOrder - ActiveNetsuite::SearchColumnDoubleField
#   quantityPricingSchedule - ActiveNetsuite::SearchColumnSelectField
#   reorderMultiple - ActiveNetsuite::SearchColumnLongField
#   reOrderPoint - ActiveNetsuite::SearchColumnDoubleField
#   reservePrice - ActiveNetsuite::SearchColumnDoubleField
#   revRecSchedule - ActiveNetsuite::SearchColumnSelectField
#   roundUpAsComponent - ActiveNetsuite::SearchColumnBooleanField
#   safetyStockLevel - ActiveNetsuite::SearchColumnDoubleField
#   safetyStockLevelDays - ActiveNetsuite::SearchColumnLongField
#   salesDescription - ActiveNetsuite::SearchColumnStringField
#   salesTaxCode - ActiveNetsuite::SearchColumnSelectField
#   saleUnit - ActiveNetsuite::SearchColumnSelectField
#   scheduleBCode - ActiveNetsuite::SearchColumnEnumSelectField
#   scheduleBNumber - ActiveNetsuite::SearchColumnStringField
#   scheduleBQuantity - ActiveNetsuite::SearchColumnStringField
#   scrapAcct - ActiveNetsuite::SearchColumnSelectField
#   searchKeywords - ActiveNetsuite::SearchColumnStringField
#   seasonalDemand - ActiveNetsuite::SearchColumnBooleanField
#   sellOnEBay - ActiveNetsuite::SearchColumnBooleanField
#   serialNumber - ActiveNetsuite::SearchColumnStringField
#   serialNumberLocation - ActiveNetsuite::SearchColumnStringField
#   shipIndividually - ActiveNetsuite::SearchColumnBooleanField
#   shipPackage - ActiveNetsuite::SearchColumnSelectField
#   shippingCarrier - ActiveNetsuite::SearchColumnEnumSelectField
#   shippingRate - ActiveNetsuite::SearchColumnDoubleField
#   shoppingDotComCategory - ActiveNetsuite::SearchColumnStringField
#   shoppingProductFeed - ActiveNetsuite::SearchColumnBooleanField
#   shopzillaCategoryId - ActiveNetsuite::SearchColumnLongField
#   shopzillaProductFeed - ActiveNetsuite::SearchColumnBooleanField
#   sitemapPriority - ActiveNetsuite::SearchColumnEnumSelectField
#   softDescriptor - ActiveNetsuite::SearchColumnSelectField
#   startingPrice - ActiveNetsuite::SearchColumnDoubleField
#   stockDescription - ActiveNetsuite::SearchColumnStringField
#   stockUnit - ActiveNetsuite::SearchColumnSelectField
#   storeDescription - ActiveNetsuite::SearchColumnStringField
#   storeDetailedDescription - ActiveNetsuite::SearchColumnStringField
#   storeDisplayImage - ActiveNetsuite::SearchColumnSelectField
#   storeDisplayName - ActiveNetsuite::SearchColumnStringField
#   storeDisplayThumbnail - ActiveNetsuite::SearchColumnSelectField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
#   subType - ActiveNetsuite::SearchColumnEnumSelectField
#   supplyLotSizingMethod - ActiveNetsuite::SearchColumnEnumSelectField
#   supplyReplenishmentMethod - ActiveNetsuite::SearchColumnEnumSelectField
#   supplyType - ActiveNetsuite::SearchColumnEnumSelectField
#   taxSchedule - ActiveNetsuite::SearchColumnSelectField
#   thumbNailUrl - ActiveNetsuite::SearchColumnStringField
#   totalValue - ActiveNetsuite::SearchColumnDoubleField
#   trackLandedCost - ActiveNetsuite::SearchColumnBooleanField
#   transferPrice - ActiveNetsuite::SearchColumnDoubleField
#   type - ActiveNetsuite::SearchColumnEnumSelectField
#   unbuildVarianceAccount - ActiveNetsuite::SearchColumnSelectField
#   unitsType - ActiveNetsuite::SearchColumnSelectField
#   upcCode - ActiveNetsuite::SearchColumnStringField
#   urlComponent - ActiveNetsuite::SearchColumnStringField
#   useBins - ActiveNetsuite::SearchColumnBooleanField
#   useComponentYield - ActiveNetsuite::SearchColumnBooleanField
#   useMarginalRates - ActiveNetsuite::SearchColumnBooleanField
#   vendor - ActiveNetsuite::SearchColumnSelectField
#   vendorCode - ActiveNetsuite::SearchColumnStringField
#   vendorCost - ActiveNetsuite::SearchColumnDoubleField
#   vendorCostEntered - ActiveNetsuite::SearchColumnDoubleField
#   vendorName - ActiveNetsuite::SearchColumnStringField
#   vendorPriceCurrency - ActiveNetsuite::SearchColumnStringField
#   vendorSchedule - ActiveNetsuite::SearchColumnSelectField
#   vendReturnVarianceAccount - ActiveNetsuite::SearchColumnSelectField
#   vsoeDeferral - ActiveNetsuite::SearchColumnEnumSelectField
#   vsoeDelivered - ActiveNetsuite::SearchColumnBooleanField
#   vsoePermitDiscount - ActiveNetsuite::SearchColumnEnumSelectField
#   vsoePrice - ActiveNetsuite::SearchColumnDoubleField
#   webSite - ActiveNetsuite::SearchColumnSelectField
#   weight - ActiveNetsuite::SearchColumnDoubleField
#   weightUnit - ActiveNetsuite::SearchColumnEnumSelectField
#   wipAcct - ActiveNetsuite::SearchColumnSelectField
#   wipVarianceAcct - ActiveNetsuite::SearchColumnSelectField
#   yahooProductFeed - ActiveNetsuite::SearchColumnBooleanField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class ItemSearchRowBasic < SearchRowBasic
  attr_accessor :allowedShippingMethod
  attr_accessor :alternateDemandSourceItem
  attr_accessor :assetAccount
  attr_accessor :atpLeadTime
  attr_accessor :atpMethod
  attr_accessor :autoLeadTime
  attr_accessor :autoPreferredStockLevel
  attr_accessor :autoReorderPoint
  attr_accessor :availableToPartners
  attr_accessor :averageCost
  attr_accessor :backwardConsumptionDays
  attr_accessor :basePrice
  attr_accessor :billExchRateVarianceAcct
  attr_accessor :billPriceVarianceAcct
  attr_accessor :billQtyVarianceAcct
  attr_accessor :binNumber
  attr_accessor :binOnHandAvail
  attr_accessor :binOnHandCount
  attr_accessor :bomQuantity
  attr_accessor :buildEntireAssembly
  attr_accessor :buildTime
  attr_accessor :buyItNowPrice
  attr_accessor :category
  attr_accessor :categoryPreferred
  attr_accessor :componentYield
  attr_accessor :copyDescription
  attr_accessor :correlatedItem
  attr_accessor :correlatedItemCorrelation
  attr_accessor :correlatedItemCount
  attr_accessor :correlatedItemLift
  attr_accessor :correlatedItemPurchaseRate
  attr_accessor :cost
  attr_accessor :costAccountingStatus
  attr_accessor :costCategory
  attr_accessor :costEstimate
  attr_accessor :costEstimateType
  attr_accessor :costingMethod
  attr_accessor :countryOfManufacture
  attr_accessor :created
  attr_accessor :createJob
  attr_accessor :custReturnVarianceAccount
  attr_accessor :dateViewed
  attr_accessor :daysBeforeExpiration
  attr_accessor :defaultReturnCost
  attr_accessor :defaultShippingMethod
  attr_accessor :deferredExpenseAccount
  attr_accessor :deferredRevenueAccount
  attr_accessor :demandModifier
  attr_accessor :demandSource
  attr_accessor :department
  attr_accessor :departmentnohierarchy
  attr_accessor :displayIneBayStore
  attr_accessor :displayName
  attr_accessor :dontShowPrice
  attr_accessor :eBayItemDescription
  attr_accessor :eBayItemSubtitle
  attr_accessor :eBayItemTitle
  attr_accessor :ebayRelistingOption
  attr_accessor :effectiveBomControl
  attr_accessor :effectiveDate
  attr_accessor :effectiveRevision
  attr_accessor :endAuctionsWhenOutOfStock
  attr_accessor :excludeFromSitemap
  attr_accessor :expenseAccount
  attr_accessor :externalId
  attr_accessor :featuredDescription
  attr_accessor :feedDescription
  attr_accessor :feedName
  attr_accessor :fixedLotSize
  attr_accessor :forwardConsumptionDays
  attr_accessor :froogleProductFeed
  attr_accessor :fxCost
  attr_accessor :gainLossAccount
  attr_accessor :giftCertAuthCode
  attr_accessor :giftCertEmail
  attr_accessor :giftCertExpirationDate
  attr_accessor :giftCertFrom
  attr_accessor :giftCertMessage
  attr_accessor :giftCertOriginalAmount
  attr_accessor :giftCertRecipient
  attr_accessor :hits
  attr_accessor :imageUrl
  attr_accessor :incomeAccount
  attr_accessor :internalId
  attr_accessor :inventoryLocation
  attr_accessor :invtClassification
  attr_accessor :invtCountInterval
  attr_accessor :isAvailable
  attr_accessor :isDropShipItem
  attr_accessor :isFulfillable
  attr_accessor :isGcoCompliant
  attr_accessor :isInactive
  attr_accessor :isLotItem
  attr_accessor :isOnline
  attr_accessor :isSerialItem
  attr_accessor :isSpecialOrderItem
  attr_accessor :isSpecialWorkOrderItem
  attr_accessor :issueProduct
  attr_accessor :isTaxable
  attr_accessor :isVsoeBundle
  attr_accessor :isWip
  attr_accessor :itemId
  attr_accessor :itemUrl
  attr_accessor :lastInvtCountDate
  attr_accessor :lastPurchasePrice
  attr_accessor :lastQuantityAvailableChange
  attr_accessor :leadTime
  attr_accessor :liabilityAccount
  attr_accessor :listingDuration
  attr_accessor :location
  attr_accessor :locationAtpLeadTime
  attr_accessor :locationAverageCost
  attr_accessor :locationBinQuantityAvailable
  attr_accessor :locationBuildTime
  attr_accessor :locationCost
  attr_accessor :locationCostAccountingStatus
  attr_accessor :locationDefaultReturnCost
  attr_accessor :locationDemandSource
  attr_accessor :locationFixedLotSize
  attr_accessor :locationInventoryCostTemplate
  attr_accessor :locationInvtClassification
  attr_accessor :locationInvtCountInterval
  attr_accessor :locationLastInvtCountDate
  attr_accessor :locationLeadTime
  attr_accessor :locationNextInvtCountDate
  attr_accessor :locationPeriodicLotSizeDays
  attr_accessor :locationPeriodicLotSizeType
  attr_accessor :locationPreferredStockLevel
  attr_accessor :locationQuantityAvailable
  attr_accessor :locationQuantityBackOrdered
  attr_accessor :locationQuantityCommitted
  attr_accessor :locationQuantityInTransit
  attr_accessor :locationQuantityOnHand
  attr_accessor :locationQuantityOnOrder
  attr_accessor :locationReOrderPoint
  attr_accessor :locationSafetyStockLevel
  attr_accessor :locationSupplyLotSizingMethod
  attr_accessor :locationSupplyType
  attr_accessor :locationTotalValue
  attr_accessor :locBackwardConsumptionDays
  attr_accessor :locForwardConsumptionDays
  attr_accessor :manufacturer
  attr_accessor :manufacturerAddr1
  attr_accessor :manufacturerCity
  attr_accessor :manufacturerState
  attr_accessor :manufacturerTariff
  attr_accessor :manufacturerTaxId
  attr_accessor :manufacturerZip
  attr_accessor :manufacturingChargeItem
  attr_accessor :matchBillToReceipt
  attr_accessor :memberItem
  attr_accessor :memberQuantity
  attr_accessor :metaTagHtml
  attr_accessor :minimumQuantity
  attr_accessor :modified
  attr_accessor :mpn
  attr_accessor :multManufactureAddr
  attr_accessor :nextagCategory
  attr_accessor :nextagProductFeed
  attr_accessor :nextInvtCountDate
  attr_accessor :noPriceMessage
  attr_accessor :numActiveListings
  attr_accessor :numberAllowedDownloads
  attr_accessor :numCurrentlyListed
  attr_accessor :obsoleteDate
  attr_accessor :obsoleteRevision
  attr_accessor :offerSupport
  attr_accessor :onlineCustomerPrice
  attr_accessor :onlinePrice
  attr_accessor :onSpecial
  attr_accessor :otherPrices
  attr_accessor :otherVendor
  attr_accessor :outOfStockBehavior
  attr_accessor :outOfStockMessage
  attr_accessor :overallQuantityPricingType
  attr_accessor :overheadType
  attr_accessor :pageTitle
  attr_accessor :parent
  attr_accessor :periodicLotSizeDays
  attr_accessor :periodicLotSizeType
  attr_accessor :preferenceCriterion
  attr_accessor :preferredBin
  attr_accessor :preferredLocation
  attr_accessor :preferredStockLevel
  attr_accessor :preferredStockLevelDays
  attr_accessor :pricesIncludeTax
  attr_accessor :pricingGroup
  attr_accessor :primaryCategory
  attr_accessor :prodPriceVarianceAcct
  attr_accessor :prodQtyVarianceAcct
  attr_accessor :purchaseDescription
  attr_accessor :purchasePriceVarianceAcct
  attr_accessor :purchaseUnit
  attr_accessor :quantityAvailable
  attr_accessor :quantityBackOrdered
  attr_accessor :quantityCommitted
  attr_accessor :quantityOnHand
  attr_accessor :quantityOnOrder
  attr_accessor :quantityPricingSchedule
  attr_accessor :reorderMultiple
  attr_accessor :reOrderPoint
  attr_accessor :reservePrice
  attr_accessor :revRecSchedule
  attr_accessor :roundUpAsComponent
  attr_accessor :safetyStockLevel
  attr_accessor :safetyStockLevelDays
  attr_accessor :salesDescription
  attr_accessor :salesTaxCode
  attr_accessor :saleUnit
  attr_accessor :scheduleBCode
  attr_accessor :scheduleBNumber
  attr_accessor :scheduleBQuantity
  attr_accessor :scrapAcct
  attr_accessor :searchKeywords
  attr_accessor :seasonalDemand
  attr_accessor :sellOnEBay
  attr_accessor :serialNumber
  attr_accessor :serialNumberLocation
  attr_accessor :shipIndividually
  attr_accessor :shipPackage
  attr_accessor :shippingCarrier
  attr_accessor :shippingRate
  attr_accessor :shoppingDotComCategory
  attr_accessor :shoppingProductFeed
  attr_accessor :shopzillaCategoryId
  attr_accessor :shopzillaProductFeed
  attr_accessor :sitemapPriority
  attr_accessor :softDescriptor
  attr_accessor :startingPrice
  attr_accessor :stockDescription
  attr_accessor :stockUnit
  attr_accessor :storeDescription
  attr_accessor :storeDetailedDescription
  attr_accessor :storeDisplayImage
  attr_accessor :storeDisplayName
  attr_accessor :storeDisplayThumbnail
  attr_accessor :subsidiary
  attr_accessor :subType
  attr_accessor :supplyLotSizingMethod
  attr_accessor :supplyReplenishmentMethod
  attr_accessor :supplyType
  attr_accessor :taxSchedule
  attr_accessor :thumbNailUrl
  attr_accessor :totalValue
  attr_accessor :trackLandedCost
  attr_accessor :transferPrice
  attr_accessor :type
  attr_accessor :unbuildVarianceAccount
  attr_accessor :unitsType
  attr_accessor :upcCode
  attr_accessor :urlComponent
  attr_accessor :useBins
  attr_accessor :useComponentYield
  attr_accessor :useMarginalRates
  attr_accessor :vendor
  attr_accessor :vendorCode
  attr_accessor :vendorCost
  attr_accessor :vendorCostEntered
  attr_accessor :vendorName
  attr_accessor :vendorPriceCurrency
  attr_accessor :vendorSchedule
  attr_accessor :vendReturnVarianceAccount
  attr_accessor :vsoeDeferral
  attr_accessor :vsoeDelivered
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoePrice
  attr_accessor :webSite
  attr_accessor :weight
  attr_accessor :weightUnit
  attr_accessor :wipAcct
  attr_accessor :wipVarianceAcct
  attr_accessor :yahooProductFeed
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(allowedShippingMethod = [], alternateDemandSourceItem = [], assetAccount = [], atpLeadTime = [], atpMethod = [], autoLeadTime = [], autoPreferredStockLevel = [], autoReorderPoint = [], availableToPartners = [], averageCost = [], backwardConsumptionDays = [], basePrice = [], billExchRateVarianceAcct = [], billPriceVarianceAcct = [], billQtyVarianceAcct = [], binNumber = [], binOnHandAvail = [], binOnHandCount = [], bomQuantity = [], buildEntireAssembly = [], buildTime = [], buyItNowPrice = [], category = [], categoryPreferred = [], v_class = [], componentYield = [], copyDescription = [], correlatedItem = [], correlatedItemCorrelation = [], correlatedItemCount = [], correlatedItemLift = [], correlatedItemPurchaseRate = [], cost = [], costAccountingStatus = [], costCategory = [], costEstimate = [], costEstimateType = [], costingMethod = [], countryOfManufacture = [], created = [], createJob = [], custReturnVarianceAccount = [], dateViewed = [], daysBeforeExpiration = [], defaultReturnCost = [], defaultShippingMethod = [], deferredExpenseAccount = [], deferredRevenueAccount = [], demandModifier = [], demandSource = [], department = [], departmentnohierarchy = [], displayIneBayStore = [], displayName = [], dontShowPrice = [], eBayItemDescription = [], eBayItemSubtitle = [], eBayItemTitle = [], ebayRelistingOption = [], effectiveBomControl = [], effectiveDate = [], effectiveRevision = [], endAuctionsWhenOutOfStock = [], excludeFromSitemap = [], expenseAccount = [], externalId = [], featuredDescription = [], feedDescription = [], feedName = [], fixedLotSize = [], forwardConsumptionDays = [], froogleProductFeed = [], fxCost = [], gainLossAccount = [], giftCertAuthCode = [], giftCertEmail = [], giftCertExpirationDate = [], giftCertFrom = [], giftCertMessage = [], giftCertOriginalAmount = [], giftCertRecipient = [], hits = [], imageUrl = [], incomeAccount = [], internalId = [], inventoryLocation = [], invtClassification = [], invtCountInterval = [], isAvailable = [], isDropShipItem = [], isFulfillable = [], isGcoCompliant = [], isInactive = [], isLotItem = [], isOnline = [], isSerialItem = [], isSpecialOrderItem = [], isSpecialWorkOrderItem = [], issueProduct = [], isTaxable = [], isVsoeBundle = [], isWip = [], itemId = [], itemUrl = [], lastInvtCountDate = [], lastPurchasePrice = [], lastQuantityAvailableChange = [], leadTime = [], liabilityAccount = [], listingDuration = [], location = [], locationAtpLeadTime = [], locationAverageCost = [], locationBinQuantityAvailable = [], locationBuildTime = [], locationCost = [], locationCostAccountingStatus = [], locationDefaultReturnCost = [], locationDemandSource = [], locationFixedLotSize = [], locationInventoryCostTemplate = [], locationInvtClassification = [], locationInvtCountInterval = [], locationLastInvtCountDate = [], locationLeadTime = [], locationNextInvtCountDate = [], locationPeriodicLotSizeDays = [], locationPeriodicLotSizeType = [], locationPreferredStockLevel = [], locationQuantityAvailable = [], locationQuantityBackOrdered = [], locationQuantityCommitted = [], locationQuantityInTransit = [], locationQuantityOnHand = [], locationQuantityOnOrder = [], locationReOrderPoint = [], locationSafetyStockLevel = [], locationSupplyLotSizingMethod = [], locationSupplyType = [], locationTotalValue = [], locBackwardConsumptionDays = [], locForwardConsumptionDays = [], manufacturer = [], manufacturerAddr1 = [], manufacturerCity = [], manufacturerState = [], manufacturerTariff = [], manufacturerTaxId = [], manufacturerZip = [], manufacturingChargeItem = [], matchBillToReceipt = [], memberItem = [], memberQuantity = [], metaTagHtml = [], minimumQuantity = [], modified = [], mpn = [], multManufactureAddr = [], nextagCategory = [], nextagProductFeed = [], nextInvtCountDate = [], noPriceMessage = [], numActiveListings = [], numberAllowedDownloads = [], numCurrentlyListed = [], obsoleteDate = [], obsoleteRevision = [], offerSupport = [], onlineCustomerPrice = [], onlinePrice = [], onSpecial = [], otherPrices = [], otherVendor = [], outOfStockBehavior = [], outOfStockMessage = [], overallQuantityPricingType = [], overheadType = [], pageTitle = [], parent = [], periodicLotSizeDays = [], periodicLotSizeType = [], preferenceCriterion = [], preferredBin = [], preferredLocation = [], preferredStockLevel = [], preferredStockLevelDays = [], pricesIncludeTax = [], pricingGroup = [], primaryCategory = [], prodPriceVarianceAcct = [], prodQtyVarianceAcct = [], purchaseDescription = [], purchasePriceVarianceAcct = [], purchaseUnit = [], quantityAvailable = [], quantityBackOrdered = [], quantityCommitted = [], quantityOnHand = [], quantityOnOrder = [], quantityPricingSchedule = [], reorderMultiple = [], reOrderPoint = [], reservePrice = [], revRecSchedule = [], roundUpAsComponent = [], safetyStockLevel = [], safetyStockLevelDays = [], salesDescription = [], salesTaxCode = [], saleUnit = [], scheduleBCode = [], scheduleBNumber = [], scheduleBQuantity = [], scrapAcct = [], searchKeywords = [], seasonalDemand = [], sellOnEBay = [], serialNumber = [], serialNumberLocation = [], shipIndividually = [], shipPackage = [], shippingCarrier = [], shippingRate = [], shoppingDotComCategory = [], shoppingProductFeed = [], shopzillaCategoryId = [], shopzillaProductFeed = [], sitemapPriority = [], softDescriptor = [], startingPrice = [], stockDescription = [], stockUnit = [], storeDescription = [], storeDetailedDescription = [], storeDisplayImage = [], storeDisplayName = [], storeDisplayThumbnail = [], subsidiary = [], subType = [], supplyLotSizingMethod = [], supplyReplenishmentMethod = [], supplyType = [], taxSchedule = [], thumbNailUrl = [], totalValue = [], trackLandedCost = [], transferPrice = [], type = [], unbuildVarianceAccount = [], unitsType = [], upcCode = [], urlComponent = [], useBins = [], useComponentYield = [], useMarginalRates = [], vendor = [], vendorCode = [], vendorCost = [], vendorCostEntered = [], vendorName = [], vendorPriceCurrency = [], vendorSchedule = [], vendReturnVarianceAccount = [], vsoeDeferral = [], vsoeDelivered = [], vsoePermitDiscount = [], vsoePrice = [], webSite = [], weight = [], weightUnit = [], wipAcct = [], wipVarianceAcct = [], yahooProductFeed = [], customFieldList = nil)
    @allowedShippingMethod = allowedShippingMethod
    @alternateDemandSourceItem = alternateDemandSourceItem
    @assetAccount = assetAccount
    @atpLeadTime = atpLeadTime
    @atpMethod = atpMethod
    @autoLeadTime = autoLeadTime
    @autoPreferredStockLevel = autoPreferredStockLevel
    @autoReorderPoint = autoReorderPoint
    @availableToPartners = availableToPartners
    @averageCost = averageCost
    @backwardConsumptionDays = backwardConsumptionDays
    @basePrice = basePrice
    @billExchRateVarianceAcct = billExchRateVarianceAcct
    @billPriceVarianceAcct = billPriceVarianceAcct
    @billQtyVarianceAcct = billQtyVarianceAcct
    @binNumber = binNumber
    @binOnHandAvail = binOnHandAvail
    @binOnHandCount = binOnHandCount
    @bomQuantity = bomQuantity
    @buildEntireAssembly = buildEntireAssembly
    @buildTime = buildTime
    @buyItNowPrice = buyItNowPrice
    @category = category
    @categoryPreferred = categoryPreferred
    @v_class = v_class
    @componentYield = componentYield
    @copyDescription = copyDescription
    @correlatedItem = correlatedItem
    @correlatedItemCorrelation = correlatedItemCorrelation
    @correlatedItemCount = correlatedItemCount
    @correlatedItemLift = correlatedItemLift
    @correlatedItemPurchaseRate = correlatedItemPurchaseRate
    @cost = cost
    @costAccountingStatus = costAccountingStatus
    @costCategory = costCategory
    @costEstimate = costEstimate
    @costEstimateType = costEstimateType
    @costingMethod = costingMethod
    @countryOfManufacture = countryOfManufacture
    @created = created
    @createJob = createJob
    @custReturnVarianceAccount = custReturnVarianceAccount
    @dateViewed = dateViewed
    @daysBeforeExpiration = daysBeforeExpiration
    @defaultReturnCost = defaultReturnCost
    @defaultShippingMethod = defaultShippingMethod
    @deferredExpenseAccount = deferredExpenseAccount
    @deferredRevenueAccount = deferredRevenueAccount
    @demandModifier = demandModifier
    @demandSource = demandSource
    @department = department
    @departmentnohierarchy = departmentnohierarchy
    @displayIneBayStore = displayIneBayStore
    @displayName = displayName
    @dontShowPrice = dontShowPrice
    @eBayItemDescription = eBayItemDescription
    @eBayItemSubtitle = eBayItemSubtitle
    @eBayItemTitle = eBayItemTitle
    @ebayRelistingOption = ebayRelistingOption
    @effectiveBomControl = effectiveBomControl
    @effectiveDate = effectiveDate
    @effectiveRevision = effectiveRevision
    @endAuctionsWhenOutOfStock = endAuctionsWhenOutOfStock
    @excludeFromSitemap = excludeFromSitemap
    @expenseAccount = expenseAccount
    @externalId = externalId
    @featuredDescription = featuredDescription
    @feedDescription = feedDescription
    @feedName = feedName
    @fixedLotSize = fixedLotSize
    @forwardConsumptionDays = forwardConsumptionDays
    @froogleProductFeed = froogleProductFeed
    @fxCost = fxCost
    @gainLossAccount = gainLossAccount
    @giftCertAuthCode = giftCertAuthCode
    @giftCertEmail = giftCertEmail
    @giftCertExpirationDate = giftCertExpirationDate
    @giftCertFrom = giftCertFrom
    @giftCertMessage = giftCertMessage
    @giftCertOriginalAmount = giftCertOriginalAmount
    @giftCertRecipient = giftCertRecipient
    @hits = hits
    @imageUrl = imageUrl
    @incomeAccount = incomeAccount
    @internalId = internalId
    @inventoryLocation = inventoryLocation
    @invtClassification = invtClassification
    @invtCountInterval = invtCountInterval
    @isAvailable = isAvailable
    @isDropShipItem = isDropShipItem
    @isFulfillable = isFulfillable
    @isGcoCompliant = isGcoCompliant
    @isInactive = isInactive
    @isLotItem = isLotItem
    @isOnline = isOnline
    @isSerialItem = isSerialItem
    @isSpecialOrderItem = isSpecialOrderItem
    @isSpecialWorkOrderItem = isSpecialWorkOrderItem
    @issueProduct = issueProduct
    @isTaxable = isTaxable
    @isVsoeBundle = isVsoeBundle
    @isWip = isWip
    @itemId = itemId
    @itemUrl = itemUrl
    @lastInvtCountDate = lastInvtCountDate
    @lastPurchasePrice = lastPurchasePrice
    @lastQuantityAvailableChange = lastQuantityAvailableChange
    @leadTime = leadTime
    @liabilityAccount = liabilityAccount
    @listingDuration = listingDuration
    @location = location
    @locationAtpLeadTime = locationAtpLeadTime
    @locationAverageCost = locationAverageCost
    @locationBinQuantityAvailable = locationBinQuantityAvailable
    @locationBuildTime = locationBuildTime
    @locationCost = locationCost
    @locationCostAccountingStatus = locationCostAccountingStatus
    @locationDefaultReturnCost = locationDefaultReturnCost
    @locationDemandSource = locationDemandSource
    @locationFixedLotSize = locationFixedLotSize
    @locationInventoryCostTemplate = locationInventoryCostTemplate
    @locationInvtClassification = locationInvtClassification
    @locationInvtCountInterval = locationInvtCountInterval
    @locationLastInvtCountDate = locationLastInvtCountDate
    @locationLeadTime = locationLeadTime
    @locationNextInvtCountDate = locationNextInvtCountDate
    @locationPeriodicLotSizeDays = locationPeriodicLotSizeDays
    @locationPeriodicLotSizeType = locationPeriodicLotSizeType
    @locationPreferredStockLevel = locationPreferredStockLevel
    @locationQuantityAvailable = locationQuantityAvailable
    @locationQuantityBackOrdered = locationQuantityBackOrdered
    @locationQuantityCommitted = locationQuantityCommitted
    @locationQuantityInTransit = locationQuantityInTransit
    @locationQuantityOnHand = locationQuantityOnHand
    @locationQuantityOnOrder = locationQuantityOnOrder
    @locationReOrderPoint = locationReOrderPoint
    @locationSafetyStockLevel = locationSafetyStockLevel
    @locationSupplyLotSizingMethod = locationSupplyLotSizingMethod
    @locationSupplyType = locationSupplyType
    @locationTotalValue = locationTotalValue
    @locBackwardConsumptionDays = locBackwardConsumptionDays
    @locForwardConsumptionDays = locForwardConsumptionDays
    @manufacturer = manufacturer
    @manufacturerAddr1 = manufacturerAddr1
    @manufacturerCity = manufacturerCity
    @manufacturerState = manufacturerState
    @manufacturerTariff = manufacturerTariff
    @manufacturerTaxId = manufacturerTaxId
    @manufacturerZip = manufacturerZip
    @manufacturingChargeItem = manufacturingChargeItem
    @matchBillToReceipt = matchBillToReceipt
    @memberItem = memberItem
    @memberQuantity = memberQuantity
    @metaTagHtml = metaTagHtml
    @minimumQuantity = minimumQuantity
    @modified = modified
    @mpn = mpn
    @multManufactureAddr = multManufactureAddr
    @nextagCategory = nextagCategory
    @nextagProductFeed = nextagProductFeed
    @nextInvtCountDate = nextInvtCountDate
    @noPriceMessage = noPriceMessage
    @numActiveListings = numActiveListings
    @numberAllowedDownloads = numberAllowedDownloads
    @numCurrentlyListed = numCurrentlyListed
    @obsoleteDate = obsoleteDate
    @obsoleteRevision = obsoleteRevision
    @offerSupport = offerSupport
    @onlineCustomerPrice = onlineCustomerPrice
    @onlinePrice = onlinePrice
    @onSpecial = onSpecial
    @otherPrices = otherPrices
    @otherVendor = otherVendor
    @outOfStockBehavior = outOfStockBehavior
    @outOfStockMessage = outOfStockMessage
    @overallQuantityPricingType = overallQuantityPricingType
    @overheadType = overheadType
    @pageTitle = pageTitle
    @parent = parent
    @periodicLotSizeDays = periodicLotSizeDays
    @periodicLotSizeType = periodicLotSizeType
    @preferenceCriterion = preferenceCriterion
    @preferredBin = preferredBin
    @preferredLocation = preferredLocation
    @preferredStockLevel = preferredStockLevel
    @preferredStockLevelDays = preferredStockLevelDays
    @pricesIncludeTax = pricesIncludeTax
    @pricingGroup = pricingGroup
    @primaryCategory = primaryCategory
    @prodPriceVarianceAcct = prodPriceVarianceAcct
    @prodQtyVarianceAcct = prodQtyVarianceAcct
    @purchaseDescription = purchaseDescription
    @purchasePriceVarianceAcct = purchasePriceVarianceAcct
    @purchaseUnit = purchaseUnit
    @quantityAvailable = quantityAvailable
    @quantityBackOrdered = quantityBackOrdered
    @quantityCommitted = quantityCommitted
    @quantityOnHand = quantityOnHand
    @quantityOnOrder = quantityOnOrder
    @quantityPricingSchedule = quantityPricingSchedule
    @reorderMultiple = reorderMultiple
    @reOrderPoint = reOrderPoint
    @reservePrice = reservePrice
    @revRecSchedule = revRecSchedule
    @roundUpAsComponent = roundUpAsComponent
    @safetyStockLevel = safetyStockLevel
    @safetyStockLevelDays = safetyStockLevelDays
    @salesDescription = salesDescription
    @salesTaxCode = salesTaxCode
    @saleUnit = saleUnit
    @scheduleBCode = scheduleBCode
    @scheduleBNumber = scheduleBNumber
    @scheduleBQuantity = scheduleBQuantity
    @scrapAcct = scrapAcct
    @searchKeywords = searchKeywords
    @seasonalDemand = seasonalDemand
    @sellOnEBay = sellOnEBay
    @serialNumber = serialNumber
    @serialNumberLocation = serialNumberLocation
    @shipIndividually = shipIndividually
    @shipPackage = shipPackage
    @shippingCarrier = shippingCarrier
    @shippingRate = shippingRate
    @shoppingDotComCategory = shoppingDotComCategory
    @shoppingProductFeed = shoppingProductFeed
    @shopzillaCategoryId = shopzillaCategoryId
    @shopzillaProductFeed = shopzillaProductFeed
    @sitemapPriority = sitemapPriority
    @softDescriptor = softDescriptor
    @startingPrice = startingPrice
    @stockDescription = stockDescription
    @stockUnit = stockUnit
    @storeDescription = storeDescription
    @storeDetailedDescription = storeDetailedDescription
    @storeDisplayImage = storeDisplayImage
    @storeDisplayName = storeDisplayName
    @storeDisplayThumbnail = storeDisplayThumbnail
    @subsidiary = subsidiary
    @subType = subType
    @supplyLotSizingMethod = supplyLotSizingMethod
    @supplyReplenishmentMethod = supplyReplenishmentMethod
    @supplyType = supplyType
    @taxSchedule = taxSchedule
    @thumbNailUrl = thumbNailUrl
    @totalValue = totalValue
    @trackLandedCost = trackLandedCost
    @transferPrice = transferPrice
    @type = type
    @unbuildVarianceAccount = unbuildVarianceAccount
    @unitsType = unitsType
    @upcCode = upcCode
    @urlComponent = urlComponent
    @useBins = useBins
    @useComponentYield = useComponentYield
    @useMarginalRates = useMarginalRates
    @vendor = vendor
    @vendorCode = vendorCode
    @vendorCost = vendorCost
    @vendorCostEntered = vendorCostEntered
    @vendorName = vendorName
    @vendorPriceCurrency = vendorPriceCurrency
    @vendorSchedule = vendorSchedule
    @vendReturnVarianceAccount = vendReturnVarianceAccount
    @vsoeDeferral = vsoeDeferral
    @vsoeDelivered = vsoeDelivered
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoePrice = vsoePrice
    @webSite = webSite
    @weight = weight
    @weightUnit = weightUnit
    @wipAcct = wipAcct
    @wipVarianceAcct = wipVarianceAcct
    @yahooProductFeed = yahooProductFeed
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}PartnerSearchRowBasic
#   address - ActiveNetsuite::SearchColumnStringField
#   address1 - ActiveNetsuite::SearchColumnStringField
#   address2 - ActiveNetsuite::SearchColumnStringField
#   address3 - ActiveNetsuite::SearchColumnStringField
#   addressee - ActiveNetsuite::SearchColumnStringField
#   addressInternalId - ActiveNetsuite::SearchColumnStringField
#   addressLabel - ActiveNetsuite::SearchColumnStringField
#   addressPhone - ActiveNetsuite::SearchColumnStringField
#   altEmail - ActiveNetsuite::SearchColumnStringField
#   altName - ActiveNetsuite::SearchColumnStringField
#   altPhone - ActiveNetsuite::SearchColumnStringField
#   assignTasks - ActiveNetsuite::SearchColumnBooleanField
#   attention - ActiveNetsuite::SearchColumnStringField
#   billAddress - ActiveNetsuite::SearchColumnStringField
#   billAddress1 - ActiveNetsuite::SearchColumnStringField
#   billAddress2 - ActiveNetsuite::SearchColumnStringField
#   billAddress3 - ActiveNetsuite::SearchColumnStringField
#   billAddressee - ActiveNetsuite::SearchColumnStringField
#   billAttention - ActiveNetsuite::SearchColumnStringField
#   billCity - ActiveNetsuite::SearchColumnStringField
#   billCountry - ActiveNetsuite::SearchColumnEnumSelectField
#   billCountryCode - ActiveNetsuite::SearchColumnStringField
#   billPhone - ActiveNetsuite::SearchColumnStringField
#   billState - ActiveNetsuite::SearchColumnStringField
#   billZipCode - ActiveNetsuite::SearchColumnStringField
#   category - ActiveNetsuite::SearchColumnStringField
#   city - ActiveNetsuite::SearchColumnStringField
#   m_class - ActiveNetsuite::SearchColumnSelectField
#   comments - ActiveNetsuite::SearchColumnStringField
#   companyName - ActiveNetsuite::SearchColumnStringField
#   country - ActiveNetsuite::SearchColumnEnumSelectField
#   countryCode - ActiveNetsuite::SearchColumnStringField
#   dateCreated - ActiveNetsuite::SearchColumnDateField
#   department - ActiveNetsuite::SearchColumnSelectField
#   eligibleForCommission - ActiveNetsuite::SearchColumnBooleanField
#   email - ActiveNetsuite::SearchColumnStringField
#   emailPreference - ActiveNetsuite::SearchColumnEnumSelectField
#   entityId - ActiveNetsuite::SearchColumnStringField
#   entityNumber - ActiveNetsuite::SearchColumnLongField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   fax - ActiveNetsuite::SearchColumnStringField
#   firstName - ActiveNetsuite::SearchColumnStringField
#   giveAccess - ActiveNetsuite::SearchColumnBooleanField
#   globalSubscriptionStatus - ActiveNetsuite::SearchColumnEnumSelectField
#   hasDuplicates - ActiveNetsuite::SearchColumnBooleanField
#   homePhone - ActiveNetsuite::SearchColumnStringField
#   image - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isDefaultBilling - ActiveNetsuite::SearchColumnBooleanField
#   isDefaultShipping - ActiveNetsuite::SearchColumnBooleanField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   isPerson - ActiveNetsuite::SearchColumnBooleanField
#   language - ActiveNetsuite::SearchColumnEnumSelectField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   lastName - ActiveNetsuite::SearchColumnStringField
#   level - ActiveNetsuite::SearchColumnEnumSelectField
#   location - ActiveNetsuite::SearchColumnSelectField
#   middleName - ActiveNetsuite::SearchColumnStringField
#   mobilePhone - ActiveNetsuite::SearchColumnStringField
#   parent - ActiveNetsuite::SearchColumnSelectField
#   partnerCode - ActiveNetsuite::SearchColumnStringField
#   permission - ActiveNetsuite::SearchColumnEnumSelectField
#   phone - ActiveNetsuite::SearchColumnStringField
#   phoneticName - ActiveNetsuite::SearchColumnStringField
#   promoCode - ActiveNetsuite::SearchColumnStringField
#   salutation - ActiveNetsuite::SearchColumnStringField
#   shipAddress - ActiveNetsuite::SearchColumnStringField
#   shipAddress1 - ActiveNetsuite::SearchColumnStringField
#   shipAddress2 - ActiveNetsuite::SearchColumnStringField
#   shipAddress3 - ActiveNetsuite::SearchColumnStringField
#   shipAddressee - ActiveNetsuite::SearchColumnStringField
#   shipAttention - ActiveNetsuite::SearchColumnStringField
#   shipCity - ActiveNetsuite::SearchColumnStringField
#   shipCountry - ActiveNetsuite::SearchColumnEnumSelectField
#   shipCountryCode - ActiveNetsuite::SearchColumnStringField
#   shipPhone - ActiveNetsuite::SearchColumnStringField
#   shipState - ActiveNetsuite::SearchColumnStringField
#   shipZip - ActiveNetsuite::SearchColumnStringField
#   state - ActiveNetsuite::SearchColumnStringField
#   subscription - ActiveNetsuite::SearchColumnSelectField
#   subscriptionDate - ActiveNetsuite::SearchColumnDateField
#   subscriptionStatus - ActiveNetsuite::SearchColumnBooleanField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
#   title - ActiveNetsuite::SearchColumnStringField
#   url - ActiveNetsuite::SearchColumnStringField
#   zipCode - ActiveNetsuite::SearchColumnStringField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class PartnerSearchRowBasic < SearchRowBasic
  attr_accessor :address
  attr_accessor :address1
  attr_accessor :address2
  attr_accessor :address3
  attr_accessor :addressee
  attr_accessor :addressInternalId
  attr_accessor :addressLabel
  attr_accessor :addressPhone
  attr_accessor :altEmail
  attr_accessor :altName
  attr_accessor :altPhone
  attr_accessor :assignTasks
  attr_accessor :attention
  attr_accessor :billAddress
  attr_accessor :billAddress1
  attr_accessor :billAddress2
  attr_accessor :billAddress3
  attr_accessor :billAddressee
  attr_accessor :billAttention
  attr_accessor :billCity
  attr_accessor :billCountry
  attr_accessor :billCountryCode
  attr_accessor :billPhone
  attr_accessor :billState
  attr_accessor :billZipCode
  attr_accessor :category
  attr_accessor :city
  attr_accessor :comments
  attr_accessor :companyName
  attr_accessor :country
  attr_accessor :countryCode
  attr_accessor :dateCreated
  attr_accessor :department
  attr_accessor :eligibleForCommission
  attr_accessor :email
  attr_accessor :emailPreference
  attr_accessor :entityId
  attr_accessor :entityNumber
  attr_accessor :externalId
  attr_accessor :fax
  attr_accessor :firstName
  attr_accessor :giveAccess
  attr_accessor :globalSubscriptionStatus
  attr_accessor :hasDuplicates
  attr_accessor :homePhone
  attr_accessor :image
  attr_accessor :internalId
  attr_accessor :isDefaultBilling
  attr_accessor :isDefaultShipping
  attr_accessor :isInactive
  attr_accessor :isPerson
  attr_accessor :language
  attr_accessor :lastModifiedDate
  attr_accessor :lastName
  attr_accessor :level
  attr_accessor :location
  attr_accessor :middleName
  attr_accessor :mobilePhone
  attr_accessor :parent
  attr_accessor :partnerCode
  attr_accessor :permission
  attr_accessor :phone
  attr_accessor :phoneticName
  attr_accessor :promoCode
  attr_accessor :salutation
  attr_accessor :shipAddress
  attr_accessor :shipAddress1
  attr_accessor :shipAddress2
  attr_accessor :shipAddress3
  attr_accessor :shipAddressee
  attr_accessor :shipAttention
  attr_accessor :shipCity
  attr_accessor :shipCountry
  attr_accessor :shipCountryCode
  attr_accessor :shipPhone
  attr_accessor :shipState
  attr_accessor :shipZip
  attr_accessor :state
  attr_accessor :subscription
  attr_accessor :subscriptionDate
  attr_accessor :subscriptionStatus
  attr_accessor :subsidiary
  attr_accessor :title
  attr_accessor :url
  attr_accessor :zipCode
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(address = [], address1 = [], address2 = [], address3 = [], addressee = [], addressInternalId = [], addressLabel = [], addressPhone = [], altEmail = [], altName = [], altPhone = [], assignTasks = [], attention = [], billAddress = [], billAddress1 = [], billAddress2 = [], billAddress3 = [], billAddressee = [], billAttention = [], billCity = [], billCountry = [], billCountryCode = [], billPhone = [], billState = [], billZipCode = [], category = [], city = [], v_class = [], comments = [], companyName = [], country = [], countryCode = [], dateCreated = [], department = [], eligibleForCommission = [], email = [], emailPreference = [], entityId = [], entityNumber = [], externalId = [], fax = [], firstName = [], giveAccess = [], globalSubscriptionStatus = [], hasDuplicates = [], homePhone = [], image = [], internalId = [], isDefaultBilling = [], isDefaultShipping = [], isInactive = [], isPerson = [], language = [], lastModifiedDate = [], lastName = [], level = [], location = [], middleName = [], mobilePhone = [], parent = [], partnerCode = [], permission = [], phone = [], phoneticName = [], promoCode = [], salutation = [], shipAddress = [], shipAddress1 = [], shipAddress2 = [], shipAddress3 = [], shipAddressee = [], shipAttention = [], shipCity = [], shipCountry = [], shipCountryCode = [], shipPhone = [], shipState = [], shipZip = [], state = [], subscription = [], subscriptionDate = [], subscriptionStatus = [], subsidiary = [], title = [], url = [], zipCode = [], customFieldList = nil)
    @address = address
    @address1 = address1
    @address2 = address2
    @address3 = address3
    @addressee = addressee
    @addressInternalId = addressInternalId
    @addressLabel = addressLabel
    @addressPhone = addressPhone
    @altEmail = altEmail
    @altName = altName
    @altPhone = altPhone
    @assignTasks = assignTasks
    @attention = attention
    @billAddress = billAddress
    @billAddress1 = billAddress1
    @billAddress2 = billAddress2
    @billAddress3 = billAddress3
    @billAddressee = billAddressee
    @billAttention = billAttention
    @billCity = billCity
    @billCountry = billCountry
    @billCountryCode = billCountryCode
    @billPhone = billPhone
    @billState = billState
    @billZipCode = billZipCode
    @category = category
    @city = city
    @v_class = v_class
    @comments = comments
    @companyName = companyName
    @country = country
    @countryCode = countryCode
    @dateCreated = dateCreated
    @department = department
    @eligibleForCommission = eligibleForCommission
    @email = email
    @emailPreference = emailPreference
    @entityId = entityId
    @entityNumber = entityNumber
    @externalId = externalId
    @fax = fax
    @firstName = firstName
    @giveAccess = giveAccess
    @globalSubscriptionStatus = globalSubscriptionStatus
    @hasDuplicates = hasDuplicates
    @homePhone = homePhone
    @image = image
    @internalId = internalId
    @isDefaultBilling = isDefaultBilling
    @isDefaultShipping = isDefaultShipping
    @isInactive = isInactive
    @isPerson = isPerson
    @language = language
    @lastModifiedDate = lastModifiedDate
    @lastName = lastName
    @level = level
    @location = location
    @middleName = middleName
    @mobilePhone = mobilePhone
    @parent = parent
    @partnerCode = partnerCode
    @permission = permission
    @phone = phone
    @phoneticName = phoneticName
    @promoCode = promoCode
    @salutation = salutation
    @shipAddress = shipAddress
    @shipAddress1 = shipAddress1
    @shipAddress2 = shipAddress2
    @shipAddress3 = shipAddress3
    @shipAddressee = shipAddressee
    @shipAttention = shipAttention
    @shipCity = shipCity
    @shipCountry = shipCountry
    @shipCountryCode = shipCountryCode
    @shipPhone = shipPhone
    @shipState = shipState
    @shipZip = shipZip
    @state = state
    @subscription = subscription
    @subscriptionDate = subscriptionDate
    @subscriptionStatus = subscriptionStatus
    @subsidiary = subsidiary
    @title = title
    @url = url
    @zipCode = zipCode
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}VendorSearchRowBasic
#   accountNumber - ActiveNetsuite::SearchColumnStringField
#   address - ActiveNetsuite::SearchColumnStringField
#   address1 - ActiveNetsuite::SearchColumnStringField
#   address2 - ActiveNetsuite::SearchColumnStringField
#   address3 - ActiveNetsuite::SearchColumnStringField
#   addressee - ActiveNetsuite::SearchColumnStringField
#   addressInternalId - ActiveNetsuite::SearchColumnStringField
#   addressLabel - ActiveNetsuite::SearchColumnStringField
#   addressPhone - ActiveNetsuite::SearchColumnStringField
#   altContact - ActiveNetsuite::SearchColumnStringField
#   altEmail - ActiveNetsuite::SearchColumnStringField
#   altName - ActiveNetsuite::SearchColumnStringField
#   altPhone - ActiveNetsuite::SearchColumnStringField
#   attention - ActiveNetsuite::SearchColumnStringField
#   balance - ActiveNetsuite::SearchColumnDoubleField
#   billAddress - ActiveNetsuite::SearchColumnStringField
#   billAddress1 - ActiveNetsuite::SearchColumnStringField
#   billAddress2 - ActiveNetsuite::SearchColumnStringField
#   billAddress3 - ActiveNetsuite::SearchColumnStringField
#   billAddressee - ActiveNetsuite::SearchColumnStringField
#   billAttention - ActiveNetsuite::SearchColumnStringField
#   billCity - ActiveNetsuite::SearchColumnStringField
#   billCountry - ActiveNetsuite::SearchColumnEnumSelectField
#   billCountryCode - ActiveNetsuite::SearchColumnStringField
#   billPhone - ActiveNetsuite::SearchColumnStringField
#   billState - ActiveNetsuite::SearchColumnStringField
#   billZipCode - ActiveNetsuite::SearchColumnStringField
#   category - ActiveNetsuite::SearchColumnSelectField
#   city - ActiveNetsuite::SearchColumnStringField
#   comments - ActiveNetsuite::SearchColumnStringField
#   companyName - ActiveNetsuite::SearchColumnStringField
#   contact - ActiveNetsuite::SearchColumnStringField
#   country - ActiveNetsuite::SearchColumnEnumSelectField
#   countryCode - ActiveNetsuite::SearchColumnStringField
#   creditLimit - ActiveNetsuite::SearchColumnDoubleField
#   currency - ActiveNetsuite::SearchColumnSelectField
#   currentExchangeRate - ActiveNetsuite::SearchColumnDoubleField
#   dateCreated - ActiveNetsuite::SearchColumnDateField
#   eligibleForCommission - ActiveNetsuite::SearchColumnBooleanField
#   email - ActiveNetsuite::SearchColumnStringField
#   emailPreference - ActiveNetsuite::SearchColumnEnumSelectField
#   emailTransactions - ActiveNetsuite::SearchColumnBooleanField
#   entityId - ActiveNetsuite::SearchColumnStringField
#   entityNumber - ActiveNetsuite::SearchColumnLongField
#   expenseAccount - ActiveNetsuite::SearchColumnSelectField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   fax - ActiveNetsuite::SearchColumnStringField
#   faxTransactions - ActiveNetsuite::SearchColumnBooleanField
#   firstName - ActiveNetsuite::SearchColumnStringField
#   fxBalance - ActiveNetsuite::SearchColumnDoubleField
#   fxUnbilledOrders - ActiveNetsuite::SearchColumnDoubleField
#   giveAccess - ActiveNetsuite::SearchColumnBooleanField
#   globalSubscriptionStatus - ActiveNetsuite::SearchColumnEnumSelectField
#   hasDuplicates - ActiveNetsuite::SearchColumnBooleanField
#   homePhone - ActiveNetsuite::SearchColumnStringField
#   image - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   is1099Eligible - ActiveNetsuite::SearchColumnBooleanField
#   isDefaultBilling - ActiveNetsuite::SearchColumnBooleanField
#   isDefaultShipping - ActiveNetsuite::SearchColumnBooleanField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   isJobResourceVend - ActiveNetsuite::SearchColumnBooleanField
#   isPerson - ActiveNetsuite::SearchColumnBooleanField
#   laborCost - ActiveNetsuite::SearchColumnDoubleField
#   language - ActiveNetsuite::SearchColumnEnumSelectField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   lastName - ActiveNetsuite::SearchColumnStringField
#   level - ActiveNetsuite::SearchColumnEnumSelectField
#   middleName - ActiveNetsuite::SearchColumnStringField
#   mobilePhone - ActiveNetsuite::SearchColumnStringField
#   payablesAccount - ActiveNetsuite::SearchColumnSelectField
#   pec - ActiveNetsuite::SearchColumnStringField
#   permission - ActiveNetsuite::SearchColumnEnumSelectField
#   phone - ActiveNetsuite::SearchColumnStringField
#   phoneticName - ActiveNetsuite::SearchColumnStringField
#   printOnCheckAs - ActiveNetsuite::SearchColumnStringField
#   printTransactions - ActiveNetsuite::SearchColumnBooleanField
#   salutation - ActiveNetsuite::SearchColumnStringField
#   shipAddress - ActiveNetsuite::SearchColumnStringField
#   shipAddress1 - ActiveNetsuite::SearchColumnStringField
#   shipAddress2 - ActiveNetsuite::SearchColumnStringField
#   shipAddress3 - ActiveNetsuite::SearchColumnStringField
#   shipAddressee - ActiveNetsuite::SearchColumnStringField
#   shipAttention - ActiveNetsuite::SearchColumnStringField
#   shipCity - ActiveNetsuite::SearchColumnStringField
#   shipCountry - ActiveNetsuite::SearchColumnEnumSelectField
#   shipCountryCode - ActiveNetsuite::SearchColumnStringField
#   shipPhone - ActiveNetsuite::SearchColumnStringField
#   shipState - ActiveNetsuite::SearchColumnStringField
#   shipZip - ActiveNetsuite::SearchColumnStringField
#   state - ActiveNetsuite::SearchColumnStringField
#   subscription - ActiveNetsuite::SearchColumnSelectField
#   subscriptionDate - ActiveNetsuite::SearchColumnDateField
#   subscriptionStatus - ActiveNetsuite::SearchColumnBooleanField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
#   taxIdNum - ActiveNetsuite::SearchColumnStringField
#   terms - ActiveNetsuite::SearchColumnSelectField
#   title - ActiveNetsuite::SearchColumnStringField
#   unbilledOrders - ActiveNetsuite::SearchColumnDoubleField
#   url - ActiveNetsuite::SearchColumnStringField
#   vatRegNumber - ActiveNetsuite::SearchColumnStringField
#   workCalendar - ActiveNetsuite::SearchColumnSelectField
#   zipCode - ActiveNetsuite::SearchColumnStringField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class VendorSearchRowBasic < SearchRowBasic
  attr_accessor :accountNumber
  attr_accessor :address
  attr_accessor :address1
  attr_accessor :address2
  attr_accessor :address3
  attr_accessor :addressee
  attr_accessor :addressInternalId
  attr_accessor :addressLabel
  attr_accessor :addressPhone
  attr_accessor :altContact
  attr_accessor :altEmail
  attr_accessor :altName
  attr_accessor :altPhone
  attr_accessor :attention
  attr_accessor :balance
  attr_accessor :billAddress
  attr_accessor :billAddress1
  attr_accessor :billAddress2
  attr_accessor :billAddress3
  attr_accessor :billAddressee
  attr_accessor :billAttention
  attr_accessor :billCity
  attr_accessor :billCountry
  attr_accessor :billCountryCode
  attr_accessor :billPhone
  attr_accessor :billState
  attr_accessor :billZipCode
  attr_accessor :category
  attr_accessor :city
  attr_accessor :comments
  attr_accessor :companyName
  attr_accessor :contact
  attr_accessor :country
  attr_accessor :countryCode
  attr_accessor :creditLimit
  attr_accessor :currency
  attr_accessor :currentExchangeRate
  attr_accessor :dateCreated
  attr_accessor :eligibleForCommission
  attr_accessor :email
  attr_accessor :emailPreference
  attr_accessor :emailTransactions
  attr_accessor :entityId
  attr_accessor :entityNumber
  attr_accessor :expenseAccount
  attr_accessor :externalId
  attr_accessor :fax
  attr_accessor :faxTransactions
  attr_accessor :firstName
  attr_accessor :fxBalance
  attr_accessor :fxUnbilledOrders
  attr_accessor :giveAccess
  attr_accessor :globalSubscriptionStatus
  attr_accessor :hasDuplicates
  attr_accessor :homePhone
  attr_accessor :image
  attr_accessor :internalId
  attr_accessor :is1099Eligible
  attr_accessor :isDefaultBilling
  attr_accessor :isDefaultShipping
  attr_accessor :isInactive
  attr_accessor :isJobResourceVend
  attr_accessor :isPerson
  attr_accessor :laborCost
  attr_accessor :language
  attr_accessor :lastModifiedDate
  attr_accessor :lastName
  attr_accessor :level
  attr_accessor :middleName
  attr_accessor :mobilePhone
  attr_accessor :payablesAccount
  attr_accessor :pec
  attr_accessor :permission
  attr_accessor :phone
  attr_accessor :phoneticName
  attr_accessor :printOnCheckAs
  attr_accessor :printTransactions
  attr_accessor :salutation
  attr_accessor :shipAddress
  attr_accessor :shipAddress1
  attr_accessor :shipAddress2
  attr_accessor :shipAddress3
  attr_accessor :shipAddressee
  attr_accessor :shipAttention
  attr_accessor :shipCity
  attr_accessor :shipCountry
  attr_accessor :shipCountryCode
  attr_accessor :shipPhone
  attr_accessor :shipState
  attr_accessor :shipZip
  attr_accessor :state
  attr_accessor :subscription
  attr_accessor :subscriptionDate
  attr_accessor :subscriptionStatus
  attr_accessor :subsidiary
  attr_accessor :taxIdNum
  attr_accessor :terms
  attr_accessor :title
  attr_accessor :unbilledOrders
  attr_accessor :url
  attr_accessor :vatRegNumber
  attr_accessor :workCalendar
  attr_accessor :zipCode
  attr_accessor :customFieldList

  def initialize(accountNumber = [], address = [], address1 = [], address2 = [], address3 = [], addressee = [], addressInternalId = [], addressLabel = [], addressPhone = [], altContact = [], altEmail = [], altName = [], altPhone = [], attention = [], balance = [], billAddress = [], billAddress1 = [], billAddress2 = [], billAddress3 = [], billAddressee = [], billAttention = [], billCity = [], billCountry = [], billCountryCode = [], billPhone = [], billState = [], billZipCode = [], category = [], city = [], comments = [], companyName = [], contact = [], country = [], countryCode = [], creditLimit = [], currency = [], currentExchangeRate = [], dateCreated = [], eligibleForCommission = [], email = [], emailPreference = [], emailTransactions = [], entityId = [], entityNumber = [], expenseAccount = [], externalId = [], fax = [], faxTransactions = [], firstName = [], fxBalance = [], fxUnbilledOrders = [], giveAccess = [], globalSubscriptionStatus = [], hasDuplicates = [], homePhone = [], image = [], internalId = [], is1099Eligible = [], isDefaultBilling = [], isDefaultShipping = [], isInactive = [], isJobResourceVend = [], isPerson = [], laborCost = [], language = [], lastModifiedDate = [], lastName = [], level = [], middleName = [], mobilePhone = [], payablesAccount = [], pec = [], permission = [], phone = [], phoneticName = [], printOnCheckAs = [], printTransactions = [], salutation = [], shipAddress = [], shipAddress1 = [], shipAddress2 = [], shipAddress3 = [], shipAddressee = [], shipAttention = [], shipCity = [], shipCountry = [], shipCountryCode = [], shipPhone = [], shipState = [], shipZip = [], state = [], subscription = [], subscriptionDate = [], subscriptionStatus = [], subsidiary = [], taxIdNum = [], terms = [], title = [], unbilledOrders = [], url = [], vatRegNumber = [], workCalendar = [], zipCode = [], customFieldList = nil)
    @accountNumber = accountNumber
    @address = address
    @address1 = address1
    @address2 = address2
    @address3 = address3
    @addressee = addressee
    @addressInternalId = addressInternalId
    @addressLabel = addressLabel
    @addressPhone = addressPhone
    @altContact = altContact
    @altEmail = altEmail
    @altName = altName
    @altPhone = altPhone
    @attention = attention
    @balance = balance
    @billAddress = billAddress
    @billAddress1 = billAddress1
    @billAddress2 = billAddress2
    @billAddress3 = billAddress3
    @billAddressee = billAddressee
    @billAttention = billAttention
    @billCity = billCity
    @billCountry = billCountry
    @billCountryCode = billCountryCode
    @billPhone = billPhone
    @billState = billState
    @billZipCode = billZipCode
    @category = category
    @city = city
    @comments = comments
    @companyName = companyName
    @contact = contact
    @country = country
    @countryCode = countryCode
    @creditLimit = creditLimit
    @currency = currency
    @currentExchangeRate = currentExchangeRate
    @dateCreated = dateCreated
    @eligibleForCommission = eligibleForCommission
    @email = email
    @emailPreference = emailPreference
    @emailTransactions = emailTransactions
    @entityId = entityId
    @entityNumber = entityNumber
    @expenseAccount = expenseAccount
    @externalId = externalId
    @fax = fax
    @faxTransactions = faxTransactions
    @firstName = firstName
    @fxBalance = fxBalance
    @fxUnbilledOrders = fxUnbilledOrders
    @giveAccess = giveAccess
    @globalSubscriptionStatus = globalSubscriptionStatus
    @hasDuplicates = hasDuplicates
    @homePhone = homePhone
    @image = image
    @internalId = internalId
    @is1099Eligible = is1099Eligible
    @isDefaultBilling = isDefaultBilling
    @isDefaultShipping = isDefaultShipping
    @isInactive = isInactive
    @isJobResourceVend = isJobResourceVend
    @isPerson = isPerson
    @laborCost = laborCost
    @language = language
    @lastModifiedDate = lastModifiedDate
    @lastName = lastName
    @level = level
    @middleName = middleName
    @mobilePhone = mobilePhone
    @payablesAccount = payablesAccount
    @pec = pec
    @permission = permission
    @phone = phone
    @phoneticName = phoneticName
    @printOnCheckAs = printOnCheckAs
    @printTransactions = printTransactions
    @salutation = salutation
    @shipAddress = shipAddress
    @shipAddress1 = shipAddress1
    @shipAddress2 = shipAddress2
    @shipAddress3 = shipAddress3
    @shipAddressee = shipAddressee
    @shipAttention = shipAttention
    @shipCity = shipCity
    @shipCountry = shipCountry
    @shipCountryCode = shipCountryCode
    @shipPhone = shipPhone
    @shipState = shipState
    @shipZip = shipZip
    @state = state
    @subscription = subscription
    @subscriptionDate = subscriptionDate
    @subscriptionStatus = subscriptionStatus
    @subsidiary = subsidiary
    @taxIdNum = taxIdNum
    @terms = terms
    @title = title
    @unbilledOrders = unbilledOrders
    @url = url
    @vatRegNumber = vatRegNumber
    @workCalendar = workCalendar
    @zipCode = zipCode
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}SiteCategorySearchRowBasic
#   dateViewed - ActiveNetsuite::SearchColumnDateField
#   description - ActiveNetsuite::SearchColumnStringField
#   excludeFromSitemap - ActiveNetsuite::SearchColumnBooleanField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   fullName - ActiveNetsuite::SearchColumnStringField
#   hidden - ActiveNetsuite::SearchColumnBooleanField
#   hits - ActiveNetsuite::SearchColumnLongField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   longDescription - ActiveNetsuite::SearchColumnStringField
#   name - ActiveNetsuite::SearchColumnStringField
#   pageTitle - ActiveNetsuite::SearchColumnStringField
#   sitemapPriority - ActiveNetsuite::SearchColumnEnumSelectField
#   urlComponent - ActiveNetsuite::SearchColumnStringField
class SiteCategorySearchRowBasic < SearchRowBasic
  attr_accessor :dateViewed
  attr_accessor :description
  attr_accessor :excludeFromSitemap
  attr_accessor :externalId
  attr_accessor :fullName
  attr_accessor :hidden
  attr_accessor :hits
  attr_accessor :internalId
  attr_accessor :longDescription
  attr_accessor :name
  attr_accessor :pageTitle
  attr_accessor :sitemapPriority
  attr_accessor :urlComponent

  def initialize(dateViewed = [], description = [], excludeFromSitemap = [], externalId = [], fullName = [], hidden = [], hits = [], internalId = [], longDescription = [], name = [], pageTitle = [], sitemapPriority = [], urlComponent = [])
    @dateViewed = dateViewed
    @description = description
    @excludeFromSitemap = excludeFromSitemap
    @externalId = externalId
    @fullName = fullName
    @hidden = hidden
    @hits = hits
    @internalId = internalId
    @longDescription = longDescription
    @name = name
    @pageTitle = pageTitle
    @sitemapPriority = sitemapPriority
    @urlComponent = urlComponent
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}TimeBillSearchRowBasic
#   m_break - ActiveNetsuite::SearchColumnStringField
#   m_class - ActiveNetsuite::SearchColumnSelectField
#   customer - ActiveNetsuite::SearchColumnSelectField
#   date - ActiveNetsuite::SearchColumnDateField
#   dateCreated - ActiveNetsuite::SearchColumnDateField
#   department - ActiveNetsuite::SearchColumnSelectField
#   durationDecimal - ActiveNetsuite::SearchColumnDoubleField
#   employee - ActiveNetsuite::SearchColumnSelectField
#   endTime - ActiveNetsuite::SearchColumnDateField
#   externalId - ActiveNetsuite::SearchColumnStringField
#   hours - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isBillable - ActiveNetsuite::SearchColumnBooleanField
#   isExempt - ActiveNetsuite::SearchColumnBooleanField
#   isProductive - ActiveNetsuite::SearchColumnBooleanField
#   isUtilized - ActiveNetsuite::SearchColumnBooleanField
#   item - ActiveNetsuite::SearchColumnStringField
#   lastModified - ActiveNetsuite::SearchColumnDateField
#   location - ActiveNetsuite::SearchColumnSelectField
#   memo - ActiveNetsuite::SearchColumnStringField
#   paidExternally - ActiveNetsuite::SearchColumnBooleanField
#   payItem - ActiveNetsuite::SearchColumnSelectField
#   payrollDate - ActiveNetsuite::SearchColumnDateField
#   rate - ActiveNetsuite::SearchColumnDoubleField
#   startTime - ActiveNetsuite::SearchColumnDateField
#   status - ActiveNetsuite::SearchColumnStringField
#   subsidiary - ActiveNetsuite::SearchColumnStringField
#   supervisorApproval - ActiveNetsuite::SearchColumnBooleanField
#   temporaryLocalJurisdiction - ActiveNetsuite::SearchColumnStringField
#   temporaryStateJurisdiction - ActiveNetsuite::SearchColumnStringField
#   type - ActiveNetsuite::SearchColumnEnumSelectField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class TimeBillSearchRowBasic < SearchRowBasic
  attr_accessor :customer
  attr_accessor :date
  attr_accessor :dateCreated
  attr_accessor :department
  attr_accessor :durationDecimal
  attr_accessor :employee
  attr_accessor :endTime
  attr_accessor :externalId
  attr_accessor :hours
  attr_accessor :internalId
  attr_accessor :isBillable
  attr_accessor :isExempt
  attr_accessor :isProductive
  attr_accessor :isUtilized
  attr_accessor :item
  attr_accessor :lastModified
  attr_accessor :location
  attr_accessor :memo
  attr_accessor :paidExternally
  attr_accessor :payItem
  attr_accessor :payrollDate
  attr_accessor :rate
  attr_accessor :startTime
  attr_accessor :status
  attr_accessor :subsidiary
  attr_accessor :supervisorApproval
  attr_accessor :temporaryLocalJurisdiction
  attr_accessor :temporaryStateJurisdiction
  attr_accessor :type
  attr_accessor :customFieldList

  def m_break
    @v_break
  end

  def m_break=(value)
    @v_break = value
  end

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(v_break = [], v_class = [], customer = [], date = [], dateCreated = [], department = [], durationDecimal = [], employee = [], endTime = [], externalId = [], hours = [], internalId = [], isBillable = [], isExempt = [], isProductive = [], isUtilized = [], item = [], lastModified = [], location = [], memo = [], paidExternally = [], payItem = [], payrollDate = [], rate = [], startTime = [], status = [], subsidiary = [], supervisorApproval = [], temporaryLocalJurisdiction = [], temporaryStateJurisdiction = [], type = [], customFieldList = nil)
    @v_break = v_break
    @v_class = v_class
    @customer = customer
    @date = date
    @dateCreated = dateCreated
    @department = department
    @durationDecimal = durationDecimal
    @employee = employee
    @endTime = endTime
    @externalId = externalId
    @hours = hours
    @internalId = internalId
    @isBillable = isBillable
    @isExempt = isExempt
    @isProductive = isProductive
    @isUtilized = isUtilized
    @item = item
    @lastModified = lastModified
    @location = location
    @memo = memo
    @paidExternally = paidExternally
    @payItem = payItem
    @payrollDate = payrollDate
    @rate = rate
    @startTime = startTime
    @status = status
    @subsidiary = subsidiary
    @supervisorApproval = supervisorApproval
    @temporaryLocalJurisdiction = temporaryLocalJurisdiction
    @temporaryStateJurisdiction = temporaryStateJurisdiction
    @type = type
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}SolutionSearchRowBasic
#   assigned - ActiveNetsuite::SearchColumnSelectField
#   caseCount - ActiveNetsuite::SearchColumnLongField
#   createdDate - ActiveNetsuite::SearchColumnDateField
#   description - ActiveNetsuite::SearchColumnStringField
#   displayOnline - ActiveNetsuite::SearchColumnBooleanField
#   externalId - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   message - ActiveNetsuite::SearchColumnStringField
#   previewref - ActiveNetsuite::SearchColumnStringField
#   solutionCode - ActiveNetsuite::SearchColumnStringField
#   status - ActiveNetsuite::SearchColumnEnumSelectField
#   title - ActiveNetsuite::SearchColumnStringField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class SolutionSearchRowBasic < SearchRowBasic
  attr_accessor :assigned
  attr_accessor :caseCount
  attr_accessor :createdDate
  attr_accessor :description
  attr_accessor :displayOnline
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :lastModifiedDate
  attr_accessor :message
  attr_accessor :previewref
  attr_accessor :solutionCode
  attr_accessor :status
  attr_accessor :title
  attr_accessor :customFieldList

  def initialize(assigned = [], caseCount = [], createdDate = [], description = [], displayOnline = [], externalId = [], internalId = [], isInactive = [], lastModifiedDate = [], message = [], previewref = [], solutionCode = [], status = [], title = [], customFieldList = nil)
    @assigned = assigned
    @caseCount = caseCount
    @createdDate = createdDate
    @description = description
    @displayOnline = displayOnline
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @lastModifiedDate = lastModifiedDate
    @message = message
    @previewref = previewref
    @solutionCode = solutionCode
    @status = status
    @title = title
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}TopicSearchRowBasic
#   description - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
class TopicSearchRowBasic < SearchRowBasic
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :name

  def initialize(description = [], externalId = [], internalId = [], isInactive = [], name = [])
    @description = description
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}SubsidiarySearchRowBasic
#   address1 - ActiveNetsuite::SearchColumnStringField
#   address2 - ActiveNetsuite::SearchColumnStringField
#   address3 - ActiveNetsuite::SearchColumnStringField
#   anonymousCustomerInboundEmail - ActiveNetsuite::SearchColumnStringField
#   anonymousCustomerOnlineForms - ActiveNetsuite::SearchColumnStringField
#   caseAssignmentTemplate - ActiveNetsuite::SearchColumnStringField
#   caseAutomaticClosureTemplate - ActiveNetsuite::SearchColumnStringField
#   caseCopyEmployeeTemplate - ActiveNetsuite::SearchColumnStringField
#   caseCreationTemplate - ActiveNetsuite::SearchColumnStringField
#   caseEscalationTemplate - ActiveNetsuite::SearchColumnStringField
#   caseUpdateTemplate - ActiveNetsuite::SearchColumnStringField
#   city - ActiveNetsuite::SearchColumnStringField
#   companyNameForSupportMessages - ActiveNetsuite::SearchColumnStringField
#   country - ActiveNetsuite::SearchColumnEnumSelectField
#   currency - ActiveNetsuite::SearchColumnSelectField
#   email - ActiveNetsuite::SearchColumnStringField
#   employeeCaseUpdateTemplate - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnStringField
#   fax - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isElimination - ActiveNetsuite::SearchColumnBooleanField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   legalName - ActiveNetsuite::SearchColumnStringField
#   mainSupportEmailAddress - ActiveNetsuite::SearchColumnStringField
#   name - ActiveNetsuite::SearchColumnStringField
#   nameNoHierarchy - ActiveNetsuite::SearchColumnStringField
#   phone - ActiveNetsuite::SearchColumnStringField
#   state - ActiveNetsuite::SearchColumnStringField
#   taxIdNum - ActiveNetsuite::SearchColumnStringField
#   tranPrefix - ActiveNetsuite::SearchColumnStringField
#   url - ActiveNetsuite::SearchColumnStringField
#   zip - ActiveNetsuite::SearchColumnStringField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class SubsidiarySearchRowBasic < SearchRowBasic
  attr_accessor :address1
  attr_accessor :address2
  attr_accessor :address3
  attr_accessor :anonymousCustomerInboundEmail
  attr_accessor :anonymousCustomerOnlineForms
  attr_accessor :caseAssignmentTemplate
  attr_accessor :caseAutomaticClosureTemplate
  attr_accessor :caseCopyEmployeeTemplate
  attr_accessor :caseCreationTemplate
  attr_accessor :caseEscalationTemplate
  attr_accessor :caseUpdateTemplate
  attr_accessor :city
  attr_accessor :companyNameForSupportMessages
  attr_accessor :country
  attr_accessor :currency
  attr_accessor :email
  attr_accessor :employeeCaseUpdateTemplate
  attr_accessor :externalId
  attr_accessor :fax
  attr_accessor :internalId
  attr_accessor :isElimination
  attr_accessor :isInactive
  attr_accessor :legalName
  attr_accessor :mainSupportEmailAddress
  attr_accessor :name
  attr_accessor :nameNoHierarchy
  attr_accessor :phone
  attr_accessor :state
  attr_accessor :taxIdNum
  attr_accessor :tranPrefix
  attr_accessor :url
  attr_accessor :zip
  attr_accessor :customFieldList

  def initialize(address1 = [], address2 = [], address3 = [], anonymousCustomerInboundEmail = [], anonymousCustomerOnlineForms = [], caseAssignmentTemplate = [], caseAutomaticClosureTemplate = [], caseCopyEmployeeTemplate = [], caseCreationTemplate = [], caseEscalationTemplate = [], caseUpdateTemplate = [], city = [], companyNameForSupportMessages = [], country = [], currency = [], email = [], employeeCaseUpdateTemplate = [], externalId = [], fax = [], internalId = [], isElimination = [], isInactive = [], legalName = [], mainSupportEmailAddress = [], name = [], nameNoHierarchy = [], phone = [], state = [], taxIdNum = [], tranPrefix = [], url = [], zip = [], customFieldList = nil)
    @address1 = address1
    @address2 = address2
    @address3 = address3
    @anonymousCustomerInboundEmail = anonymousCustomerInboundEmail
    @anonymousCustomerOnlineForms = anonymousCustomerOnlineForms
    @caseAssignmentTemplate = caseAssignmentTemplate
    @caseAutomaticClosureTemplate = caseAutomaticClosureTemplate
    @caseCopyEmployeeTemplate = caseCopyEmployeeTemplate
    @caseCreationTemplate = caseCreationTemplate
    @caseEscalationTemplate = caseEscalationTemplate
    @caseUpdateTemplate = caseUpdateTemplate
    @city = city
    @companyNameForSupportMessages = companyNameForSupportMessages
    @country = country
    @currency = currency
    @email = email
    @employeeCaseUpdateTemplate = employeeCaseUpdateTemplate
    @externalId = externalId
    @fax = fax
    @internalId = internalId
    @isElimination = isElimination
    @isInactive = isInactive
    @legalName = legalName
    @mainSupportEmailAddress = mainSupportEmailAddress
    @name = name
    @nameNoHierarchy = nameNoHierarchy
    @phone = phone
    @state = state
    @taxIdNum = taxIdNum
    @tranPrefix = tranPrefix
    @url = url
    @zip = zip
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}GiftCertificateSearchRowBasic
#   amountRemaining - ActiveNetsuite::SearchColumnDoubleField
#   amtAvailBilled - ActiveNetsuite::SearchColumnDoubleField
#   createdDate - ActiveNetsuite::SearchColumnDateField
#   email - ActiveNetsuite::SearchColumnStringField
#   expirationDate - ActiveNetsuite::SearchColumnDateField
#   gcActive - ActiveNetsuite::SearchColumnBooleanField
#   giftCertCode - ActiveNetsuite::SearchColumnStringField
#   incomeAcct - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   item - ActiveNetsuite::SearchColumnSelectField
#   liabilityAcct - ActiveNetsuite::SearchColumnStringField
#   message - ActiveNetsuite::SearchColumnStringField
#   name - ActiveNetsuite::SearchColumnStringField
#   originalAmount - ActiveNetsuite::SearchColumnDoubleField
#   purchaseDate - ActiveNetsuite::SearchColumnDateField
#   sender - ActiveNetsuite::SearchColumnStringField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class GiftCertificateSearchRowBasic < SearchRowBasic
  attr_accessor :amountRemaining
  attr_accessor :amtAvailBilled
  attr_accessor :createdDate
  attr_accessor :email
  attr_accessor :expirationDate
  attr_accessor :gcActive
  attr_accessor :giftCertCode
  attr_accessor :incomeAcct
  attr_accessor :internalId
  attr_accessor :item
  attr_accessor :liabilityAcct
  attr_accessor :message
  attr_accessor :name
  attr_accessor :originalAmount
  attr_accessor :purchaseDate
  attr_accessor :sender
  attr_accessor :customFieldList

  def initialize(amountRemaining = [], amtAvailBilled = [], createdDate = [], email = [], expirationDate = [], gcActive = [], giftCertCode = [], incomeAcct = [], internalId = [], item = [], liabilityAcct = [], message = [], name = [], originalAmount = [], purchaseDate = [], sender = [], customFieldList = nil)
    @amountRemaining = amountRemaining
    @amtAvailBilled = amtAvailBilled
    @createdDate = createdDate
    @email = email
    @expirationDate = expirationDate
    @gcActive = gcActive
    @giftCertCode = giftCertCode
    @incomeAcct = incomeAcct
    @internalId = internalId
    @item = item
    @liabilityAcct = liabilityAcct
    @message = message
    @name = name
    @originalAmount = originalAmount
    @purchaseDate = purchaseDate
    @sender = sender
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}FolderSearchRowBasic
#   m_class - ActiveNetsuite::SearchColumnSelectField
#   department - ActiveNetsuite::SearchColumnSelectField
#   description - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnStringField
#   folderSize - ActiveNetsuite::SearchColumnLongField
#   group - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   location - ActiveNetsuite::SearchColumnSelectField
#   name - ActiveNetsuite::SearchColumnStringField
#   numFiles - ActiveNetsuite::SearchColumnLongField
#   owner - ActiveNetsuite::SearchColumnSelectField
#   parent - ActiveNetsuite::SearchColumnSelectField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
class FolderSearchRowBasic < SearchRowBasic
  attr_accessor :department
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :folderSize
  attr_accessor :group
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :lastModifiedDate
  attr_accessor :location
  attr_accessor :name
  attr_accessor :numFiles
  attr_accessor :owner
  attr_accessor :parent
  attr_accessor :subsidiary

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(v_class = [], department = [], description = [], externalId = [], folderSize = [], group = [], internalId = [], isInactive = [], lastModifiedDate = [], location = [], name = [], numFiles = [], owner = [], parent = [], subsidiary = [])
    @v_class = v_class
    @department = department
    @description = description
    @externalId = externalId
    @folderSize = folderSize
    @group = group
    @internalId = internalId
    @isInactive = isInactive
    @lastModifiedDate = lastModifiedDate
    @location = location
    @name = name
    @numFiles = numFiles
    @owner = owner
    @parent = parent
    @subsidiary = subsidiary
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}FileSearchRowBasic
#   availableWithoutLogin - ActiveNetsuite::SearchColumnBooleanField
#   created - ActiveNetsuite::SearchColumnDateField
#   dateViewed - ActiveNetsuite::SearchColumnDateField
#   description - ActiveNetsuite::SearchColumnStringField
#   documentSize - ActiveNetsuite::SearchColumnLongField
#   externalId - ActiveNetsuite::SearchColumnStringField
#   fileType - ActiveNetsuite::SearchColumnEnumSelectField
#   folder - ActiveNetsuite::SearchColumnSelectField
#   hits - ActiveNetsuite::SearchColumnLongField
#   hostedPath - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isAvailable - ActiveNetsuite::SearchColumnBooleanField
#   modified - ActiveNetsuite::SearchColumnDateField
#   name - ActiveNetsuite::SearchColumnStringField
#   owner - ActiveNetsuite::SearchColumnSelectField
#   url - ActiveNetsuite::SearchColumnStringField
class FileSearchRowBasic < SearchRowBasic
  attr_accessor :availableWithoutLogin
  attr_accessor :created
  attr_accessor :dateViewed
  attr_accessor :description
  attr_accessor :documentSize
  attr_accessor :externalId
  attr_accessor :fileType
  attr_accessor :folder
  attr_accessor :hits
  attr_accessor :hostedPath
  attr_accessor :internalId
  attr_accessor :isAvailable
  attr_accessor :modified
  attr_accessor :name
  attr_accessor :owner
  attr_accessor :url

  def initialize(availableWithoutLogin = [], created = [], dateViewed = [], description = [], documentSize = [], externalId = [], fileType = [], folder = [], hits = [], hostedPath = [], internalId = [], isAvailable = [], modified = [], name = [], owner = [], url = [])
    @availableWithoutLogin = availableWithoutLogin
    @created = created
    @dateViewed = dateViewed
    @description = description
    @documentSize = documentSize
    @externalId = externalId
    @fileType = fileType
    @folder = folder
    @hits = hits
    @hostedPath = hostedPath
    @internalId = internalId
    @isAvailable = isAvailable
    @modified = modified
    @name = name
    @owner = owner
    @url = url
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}JobSearchRowBasic
#   accountNumber - ActiveNetsuite::SearchColumnStringField
#   actualTime - ActiveNetsuite::SearchColumnDoubleField
#   address - ActiveNetsuite::SearchColumnStringField
#   address1 - ActiveNetsuite::SearchColumnStringField
#   address2 - ActiveNetsuite::SearchColumnStringField
#   address3 - ActiveNetsuite::SearchColumnStringField
#   addressee - ActiveNetsuite::SearchColumnStringField
#   addressInternalId - ActiveNetsuite::SearchColumnStringField
#   addressLabel - ActiveNetsuite::SearchColumnStringField
#   addressPhone - ActiveNetsuite::SearchColumnStringField
#   allocatePayrollExpenses - ActiveNetsuite::SearchColumnBooleanField
#   allowAllResourcesForTasks - ActiveNetsuite::SearchColumnBooleanField
#   allowExpenses - ActiveNetsuite::SearchColumnBooleanField
#   allowTime - ActiveNetsuite::SearchColumnBooleanField
#   altContact - ActiveNetsuite::SearchColumnStringField
#   altEmail - ActiveNetsuite::SearchColumnStringField
#   altName - ActiveNetsuite::SearchColumnStringField
#   altPhone - ActiveNetsuite::SearchColumnStringField
#   attention - ActiveNetsuite::SearchColumnStringField
#   billAddress1 - ActiveNetsuite::SearchColumnStringField
#   billAddress2 - ActiveNetsuite::SearchColumnStringField
#   billAddress3 - ActiveNetsuite::SearchColumnStringField
#   billAddressee - ActiveNetsuite::SearchColumnStringField
#   billAttention - ActiveNetsuite::SearchColumnStringField
#   billCity - ActiveNetsuite::SearchColumnStringField
#   billCountry - ActiveNetsuite::SearchColumnEnumSelectField
#   billCountryCode - ActiveNetsuite::SearchColumnStringField
#   billingSchedule - ActiveNetsuite::SearchColumnSelectField
#   billPhone - ActiveNetsuite::SearchColumnStringField
#   billState - ActiveNetsuite::SearchColumnStringField
#   billZipCode - ActiveNetsuite::SearchColumnStringField
#   calculatedEndDate - ActiveNetsuite::SearchColumnDateField
#   calculatedEndDateBaseline - ActiveNetsuite::SearchColumnDateField
#   category - ActiveNetsuite::SearchColumnSelectField
#   city - ActiveNetsuite::SearchColumnStringField
#   comments - ActiveNetsuite::SearchColumnStringField
#   companyName - ActiveNetsuite::SearchColumnStringField
#   contact - ActiveNetsuite::SearchColumnStringField
#   country - ActiveNetsuite::SearchColumnEnumSelectField
#   countryCode - ActiveNetsuite::SearchColumnStringField
#   customer - ActiveNetsuite::SearchColumnSelectField
#   dateCreated - ActiveNetsuite::SearchColumnDateField
#   email - ActiveNetsuite::SearchColumnStringField
#   endDate - ActiveNetsuite::SearchColumnDateField
#   entityId - ActiveNetsuite::SearchColumnStringField
#   entityNumber - ActiveNetsuite::SearchColumnLongField
#   entityStatus - ActiveNetsuite::SearchColumnSelectField
#   estimatedCost - ActiveNetsuite::SearchColumnDoubleField
#   estimatedGrossProfit - ActiveNetsuite::SearchColumnDoubleField
#   estimatedGrossProfitPercent - ActiveNetsuite::SearchColumnDoubleField
#   estimatedLaborCost - ActiveNetsuite::SearchColumnDoubleField
#   estimatedLaborCostBaseline - ActiveNetsuite::SearchColumnDoubleField
#   estimatedLaborRevenue - ActiveNetsuite::SearchColumnDoubleField
#   estimatedRevenue - ActiveNetsuite::SearchColumnDoubleField
#   estimatedTime - ActiveNetsuite::SearchColumnDoubleField
#   estimatedTimeOverride - ActiveNetsuite::SearchColumnDoubleField
#   estimatedTimeOverrideBaseline - ActiveNetsuite::SearchColumnDoubleField
#   externalId - ActiveNetsuite::SearchColumnStringField
#   fax - ActiveNetsuite::SearchColumnStringField
#   globalSubscriptionStatus - ActiveNetsuite::SearchColumnEnumSelectField
#   image - ActiveNetsuite::SearchColumnSelectField
#   includeCrmTasksInTotals - ActiveNetsuite::SearchColumnBooleanField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isDefaultBilling - ActiveNetsuite::SearchColumnBooleanField
#   isDefaultShipping - ActiveNetsuite::SearchColumnBooleanField
#   isExemptTime - ActiveNetsuite::SearchColumnBooleanField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   isProductiveTime - ActiveNetsuite::SearchColumnBooleanField
#   isUtilizedTime - ActiveNetsuite::SearchColumnBooleanField
#   jobBillingType - ActiveNetsuite::SearchColumnEnumSelectField
#   jobItem - ActiveNetsuite::SearchColumnSelectField
#   jobPrice - ActiveNetsuite::SearchColumnDoubleField
#   jobResource - ActiveNetsuite::SearchColumnSelectField
#   jobResourceRole - ActiveNetsuite::SearchColumnSelectField
#   language - ActiveNetsuite::SearchColumnEnumSelectField
#   lastBaselineDate - ActiveNetsuite::SearchColumnDateField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   level - ActiveNetsuite::SearchColumnEnumSelectField
#   limitTimeToAssignees - ActiveNetsuite::SearchColumnBooleanField
#   materializeTime - ActiveNetsuite::SearchColumnBooleanField
#   percentComplete - ActiveNetsuite::SearchColumnDoubleField
#   percentTimeComplete - ActiveNetsuite::SearchColumnDoubleField
#   permission - ActiveNetsuite::SearchColumnEnumSelectField
#   phone - ActiveNetsuite::SearchColumnStringField
#   phoneticName - ActiveNetsuite::SearchColumnStringField
#   projectedEndDate - ActiveNetsuite::SearchColumnDateField
#   projectedEndDateBaseline - ActiveNetsuite::SearchColumnDateField
#   projectExpenseType - ActiveNetsuite::SearchColumnSelectField
#   shipAddress1 - ActiveNetsuite::SearchColumnStringField
#   shipAddress2 - ActiveNetsuite::SearchColumnStringField
#   shipAddress3 - ActiveNetsuite::SearchColumnStringField
#   shipAddressee - ActiveNetsuite::SearchColumnStringField
#   shipAttention - ActiveNetsuite::SearchColumnStringField
#   shipCity - ActiveNetsuite::SearchColumnStringField
#   shipCountry - ActiveNetsuite::SearchColumnEnumSelectField
#   shipCountryCode - ActiveNetsuite::SearchColumnStringField
#   shipPhone - ActiveNetsuite::SearchColumnStringField
#   shipState - ActiveNetsuite::SearchColumnStringField
#   shipZip - ActiveNetsuite::SearchColumnStringField
#   startDate - ActiveNetsuite::SearchColumnDateField
#   startDateBaseline - ActiveNetsuite::SearchColumnDateField
#   state - ActiveNetsuite::SearchColumnStringField
#   subscription - ActiveNetsuite::SearchColumnSelectField
#   subscriptionDate - ActiveNetsuite::SearchColumnDateField
#   subscriptionStatus - ActiveNetsuite::SearchColumnBooleanField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
#   timeRemaining - ActiveNetsuite::SearchColumnDoubleField
#   type - ActiveNetsuite::SearchColumnSelectField
#   zipCode - ActiveNetsuite::SearchColumnStringField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class JobSearchRowBasic < SearchRowBasic
  attr_accessor :accountNumber
  attr_accessor :actualTime
  attr_accessor :address
  attr_accessor :address1
  attr_accessor :address2
  attr_accessor :address3
  attr_accessor :addressee
  attr_accessor :addressInternalId
  attr_accessor :addressLabel
  attr_accessor :addressPhone
  attr_accessor :allocatePayrollExpenses
  attr_accessor :allowAllResourcesForTasks
  attr_accessor :allowExpenses
  attr_accessor :allowTime
  attr_accessor :altContact
  attr_accessor :altEmail
  attr_accessor :altName
  attr_accessor :altPhone
  attr_accessor :attention
  attr_accessor :billAddress1
  attr_accessor :billAddress2
  attr_accessor :billAddress3
  attr_accessor :billAddressee
  attr_accessor :billAttention
  attr_accessor :billCity
  attr_accessor :billCountry
  attr_accessor :billCountryCode
  attr_accessor :billingSchedule
  attr_accessor :billPhone
  attr_accessor :billState
  attr_accessor :billZipCode
  attr_accessor :calculatedEndDate
  attr_accessor :calculatedEndDateBaseline
  attr_accessor :category
  attr_accessor :city
  attr_accessor :comments
  attr_accessor :companyName
  attr_accessor :contact
  attr_accessor :country
  attr_accessor :countryCode
  attr_accessor :customer
  attr_accessor :dateCreated
  attr_accessor :email
  attr_accessor :endDate
  attr_accessor :entityId
  attr_accessor :entityNumber
  attr_accessor :entityStatus
  attr_accessor :estimatedCost
  attr_accessor :estimatedGrossProfit
  attr_accessor :estimatedGrossProfitPercent
  attr_accessor :estimatedLaborCost
  attr_accessor :estimatedLaborCostBaseline
  attr_accessor :estimatedLaborRevenue
  attr_accessor :estimatedRevenue
  attr_accessor :estimatedTime
  attr_accessor :estimatedTimeOverride
  attr_accessor :estimatedTimeOverrideBaseline
  attr_accessor :externalId
  attr_accessor :fax
  attr_accessor :globalSubscriptionStatus
  attr_accessor :image
  attr_accessor :includeCrmTasksInTotals
  attr_accessor :internalId
  attr_accessor :isDefaultBilling
  attr_accessor :isDefaultShipping
  attr_accessor :isExemptTime
  attr_accessor :isInactive
  attr_accessor :isProductiveTime
  attr_accessor :isUtilizedTime
  attr_accessor :jobBillingType
  attr_accessor :jobItem
  attr_accessor :jobPrice
  attr_accessor :jobResource
  attr_accessor :jobResourceRole
  attr_accessor :language
  attr_accessor :lastBaselineDate
  attr_accessor :lastModifiedDate
  attr_accessor :level
  attr_accessor :limitTimeToAssignees
  attr_accessor :materializeTime
  attr_accessor :percentComplete
  attr_accessor :percentTimeComplete
  attr_accessor :permission
  attr_accessor :phone
  attr_accessor :phoneticName
  attr_accessor :projectedEndDate
  attr_accessor :projectedEndDateBaseline
  attr_accessor :projectExpenseType
  attr_accessor :shipAddress1
  attr_accessor :shipAddress2
  attr_accessor :shipAddress3
  attr_accessor :shipAddressee
  attr_accessor :shipAttention
  attr_accessor :shipCity
  attr_accessor :shipCountry
  attr_accessor :shipCountryCode
  attr_accessor :shipPhone
  attr_accessor :shipState
  attr_accessor :shipZip
  attr_accessor :startDate
  attr_accessor :startDateBaseline
  attr_accessor :state
  attr_accessor :subscription
  attr_accessor :subscriptionDate
  attr_accessor :subscriptionStatus
  attr_accessor :subsidiary
  attr_accessor :timeRemaining
  attr_accessor :type
  attr_accessor :zipCode
  attr_accessor :customFieldList

  def initialize(accountNumber = [], actualTime = [], address = [], address1 = [], address2 = [], address3 = [], addressee = [], addressInternalId = [], addressLabel = [], addressPhone = [], allocatePayrollExpenses = [], allowAllResourcesForTasks = [], allowExpenses = [], allowTime = [], altContact = [], altEmail = [], altName = [], altPhone = [], attention = [], billAddress1 = [], billAddress2 = [], billAddress3 = [], billAddressee = [], billAttention = [], billCity = [], billCountry = [], billCountryCode = [], billingSchedule = [], billPhone = [], billState = [], billZipCode = [], calculatedEndDate = [], calculatedEndDateBaseline = [], category = [], city = [], comments = [], companyName = [], contact = [], country = [], countryCode = [], customer = [], dateCreated = [], email = [], endDate = [], entityId = [], entityNumber = [], entityStatus = [], estimatedCost = [], estimatedGrossProfit = [], estimatedGrossProfitPercent = [], estimatedLaborCost = [], estimatedLaborCostBaseline = [], estimatedLaborRevenue = [], estimatedRevenue = [], estimatedTime = [], estimatedTimeOverride = [], estimatedTimeOverrideBaseline = [], externalId = [], fax = [], globalSubscriptionStatus = [], image = [], includeCrmTasksInTotals = [], internalId = [], isDefaultBilling = [], isDefaultShipping = [], isExemptTime = [], isInactive = [], isProductiveTime = [], isUtilizedTime = [], jobBillingType = [], jobItem = [], jobPrice = [], jobResource = [], jobResourceRole = [], language = [], lastBaselineDate = [], lastModifiedDate = [], level = [], limitTimeToAssignees = [], materializeTime = [], percentComplete = [], percentTimeComplete = [], permission = [], phone = [], phoneticName = [], projectedEndDate = [], projectedEndDateBaseline = [], projectExpenseType = [], shipAddress1 = [], shipAddress2 = [], shipAddress3 = [], shipAddressee = [], shipAttention = [], shipCity = [], shipCountry = [], shipCountryCode = [], shipPhone = [], shipState = [], shipZip = [], startDate = [], startDateBaseline = [], state = [], subscription = [], subscriptionDate = [], subscriptionStatus = [], subsidiary = [], timeRemaining = [], type = [], zipCode = [], customFieldList = nil)
    @accountNumber = accountNumber
    @actualTime = actualTime
    @address = address
    @address1 = address1
    @address2 = address2
    @address3 = address3
    @addressee = addressee
    @addressInternalId = addressInternalId
    @addressLabel = addressLabel
    @addressPhone = addressPhone
    @allocatePayrollExpenses = allocatePayrollExpenses
    @allowAllResourcesForTasks = allowAllResourcesForTasks
    @allowExpenses = allowExpenses
    @allowTime = allowTime
    @altContact = altContact
    @altEmail = altEmail
    @altName = altName
    @altPhone = altPhone
    @attention = attention
    @billAddress1 = billAddress1
    @billAddress2 = billAddress2
    @billAddress3 = billAddress3
    @billAddressee = billAddressee
    @billAttention = billAttention
    @billCity = billCity
    @billCountry = billCountry
    @billCountryCode = billCountryCode
    @billingSchedule = billingSchedule
    @billPhone = billPhone
    @billState = billState
    @billZipCode = billZipCode
    @calculatedEndDate = calculatedEndDate
    @calculatedEndDateBaseline = calculatedEndDateBaseline
    @category = category
    @city = city
    @comments = comments
    @companyName = companyName
    @contact = contact
    @country = country
    @countryCode = countryCode
    @customer = customer
    @dateCreated = dateCreated
    @email = email
    @endDate = endDate
    @entityId = entityId
    @entityNumber = entityNumber
    @entityStatus = entityStatus
    @estimatedCost = estimatedCost
    @estimatedGrossProfit = estimatedGrossProfit
    @estimatedGrossProfitPercent = estimatedGrossProfitPercent
    @estimatedLaborCost = estimatedLaborCost
    @estimatedLaborCostBaseline = estimatedLaborCostBaseline
    @estimatedLaborRevenue = estimatedLaborRevenue
    @estimatedRevenue = estimatedRevenue
    @estimatedTime = estimatedTime
    @estimatedTimeOverride = estimatedTimeOverride
    @estimatedTimeOverrideBaseline = estimatedTimeOverrideBaseline
    @externalId = externalId
    @fax = fax
    @globalSubscriptionStatus = globalSubscriptionStatus
    @image = image
    @includeCrmTasksInTotals = includeCrmTasksInTotals
    @internalId = internalId
    @isDefaultBilling = isDefaultBilling
    @isDefaultShipping = isDefaultShipping
    @isExemptTime = isExemptTime
    @isInactive = isInactive
    @isProductiveTime = isProductiveTime
    @isUtilizedTime = isUtilizedTime
    @jobBillingType = jobBillingType
    @jobItem = jobItem
    @jobPrice = jobPrice
    @jobResource = jobResource
    @jobResourceRole = jobResourceRole
    @language = language
    @lastBaselineDate = lastBaselineDate
    @lastModifiedDate = lastModifiedDate
    @level = level
    @limitTimeToAssignees = limitTimeToAssignees
    @materializeTime = materializeTime
    @percentComplete = percentComplete
    @percentTimeComplete = percentTimeComplete
    @permission = permission
    @phone = phone
    @phoneticName = phoneticName
    @projectedEndDate = projectedEndDate
    @projectedEndDateBaseline = projectedEndDateBaseline
    @projectExpenseType = projectExpenseType
    @shipAddress1 = shipAddress1
    @shipAddress2 = shipAddress2
    @shipAddress3 = shipAddress3
    @shipAddressee = shipAddressee
    @shipAttention = shipAttention
    @shipCity = shipCity
    @shipCountry = shipCountry
    @shipCountryCode = shipCountryCode
    @shipPhone = shipPhone
    @shipState = shipState
    @shipZip = shipZip
    @startDate = startDate
    @startDateBaseline = startDateBaseline
    @state = state
    @subscription = subscription
    @subscriptionDate = subscriptionDate
    @subscriptionStatus = subscriptionStatus
    @subsidiary = subsidiary
    @timeRemaining = timeRemaining
    @type = type
    @zipCode = zipCode
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}IssueSearchRowBasic
#   ageInMonths - ActiveNetsuite::SearchColumnLongField
#   assigned - ActiveNetsuite::SearchColumnSelectField
#   buildBroken - ActiveNetsuite::SearchColumnSelectField
#   buildFixed - ActiveNetsuite::SearchColumnSelectField
#   buildTarget - ActiveNetsuite::SearchColumnSelectField
#   caseCount - ActiveNetsuite::SearchColumnLongField
#   caseNumber - ActiveNetsuite::SearchColumnStringField
#   closedDate - ActiveNetsuite::SearchColumnDateField
#   createdDate - ActiveNetsuite::SearchColumnDateField
#   dateReleased - ActiveNetsuite::SearchColumnDateField
#   duplicateOf - ActiveNetsuite::SearchColumnSelectField
#   employeeOrTeam - ActiveNetsuite::SearchColumnSelectField
#   eventStatus - ActiveNetsuite::SearchColumnEnumSelectField
#   externalAbstract - ActiveNetsuite::SearchColumnStringField
#   externalDetails - ActiveNetsuite::SearchColumnStringField
#   externalFixedIn - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   externalStatus - ActiveNetsuite::SearchColumnSelectField
#   fixed - ActiveNetsuite::SearchColumnDateField
#   fixedBy - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isOwner - ActiveNetsuite::SearchColumnBooleanField
#   isReviewed - ActiveNetsuite::SearchColumnBooleanField
#   isShowStopper - ActiveNetsuite::SearchColumnBooleanField
#   issueAbstract - ActiveNetsuite::SearchColumnStringField
#   issueStatus - ActiveNetsuite::SearchColumnSelectField
#   item - ActiveNetsuite::SearchColumnSelectField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   m_module - ActiveNetsuite::SearchColumnStringField
#   number - ActiveNetsuite::SearchColumnStringField
#   originalFixedIn - ActiveNetsuite::SearchColumnStringField
#   priority - ActiveNetsuite::SearchColumnSelectField
#   product - ActiveNetsuite::SearchColumnSelectField
#   productTeam - ActiveNetsuite::SearchColumnSelectField
#   relatedIssue - ActiveNetsuite::SearchColumnSelectField
#   relationship - ActiveNetsuite::SearchColumnEnumSelectField
#   relationshipComment - ActiveNetsuite::SearchColumnStringField
#   reportedBy - ActiveNetsuite::SearchColumnSelectField
#   reproduce - ActiveNetsuite::SearchColumnSelectField
#   resolved - ActiveNetsuite::SearchColumnDateField
#   resolvedBy - ActiveNetsuite::SearchColumnSelectField
#   reviewer - ActiveNetsuite::SearchColumnSelectField
#   severity - ActiveNetsuite::SearchColumnSelectField
#   source - ActiveNetsuite::SearchColumnEnumSelectField
#   tags - ActiveNetsuite::SearchColumnSelectField
#   type - ActiveNetsuite::SearchColumnStringField
#   userType - ActiveNetsuite::SearchColumnSelectField
#   versionBroken - ActiveNetsuite::SearchColumnSelectField
#   versionFixed - ActiveNetsuite::SearchColumnSelectField
#   versionTarget - ActiveNetsuite::SearchColumnSelectField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class IssueSearchRowBasic < SearchRowBasic
  attr_accessor :ageInMonths
  attr_accessor :assigned
  attr_accessor :buildBroken
  attr_accessor :buildFixed
  attr_accessor :buildTarget
  attr_accessor :caseCount
  attr_accessor :caseNumber
  attr_accessor :closedDate
  attr_accessor :createdDate
  attr_accessor :dateReleased
  attr_accessor :duplicateOf
  attr_accessor :employeeOrTeam
  attr_accessor :eventStatus
  attr_accessor :externalAbstract
  attr_accessor :externalDetails
  attr_accessor :externalFixedIn
  attr_accessor :externalId
  attr_accessor :externalStatus
  attr_accessor :fixed
  attr_accessor :fixedBy
  attr_accessor :internalId
  attr_accessor :isOwner
  attr_accessor :isReviewed
  attr_accessor :isShowStopper
  attr_accessor :issueAbstract
  attr_accessor :issueStatus
  attr_accessor :item
  attr_accessor :lastModifiedDate
  attr_accessor :number
  attr_accessor :originalFixedIn
  attr_accessor :priority
  attr_accessor :product
  attr_accessor :productTeam
  attr_accessor :relatedIssue
  attr_accessor :relationship
  attr_accessor :relationshipComment
  attr_accessor :reportedBy
  attr_accessor :reproduce
  attr_accessor :resolved
  attr_accessor :resolvedBy
  attr_accessor :reviewer
  attr_accessor :severity
  attr_accessor :source
  attr_accessor :tags
  attr_accessor :type
  attr_accessor :userType
  attr_accessor :versionBroken
  attr_accessor :versionFixed
  attr_accessor :versionTarget
  attr_accessor :customFieldList

  def m_module
    @v_module
  end

  def m_module=(value)
    @v_module = value
  end

  def initialize(ageInMonths = [], assigned = [], buildBroken = [], buildFixed = [], buildTarget = [], caseCount = [], caseNumber = [], closedDate = [], createdDate = [], dateReleased = [], duplicateOf = [], employeeOrTeam = [], eventStatus = [], externalAbstract = [], externalDetails = [], externalFixedIn = [], externalId = [], externalStatus = [], fixed = [], fixedBy = [], internalId = [], isOwner = [], isReviewed = [], isShowStopper = [], issueAbstract = [], issueStatus = [], item = [], lastModifiedDate = [], v_module = [], number = [], originalFixedIn = [], priority = [], product = [], productTeam = [], relatedIssue = [], relationship = [], relationshipComment = [], reportedBy = [], reproduce = [], resolved = [], resolvedBy = [], reviewer = [], severity = [], source = [], tags = [], type = [], userType = [], versionBroken = [], versionFixed = [], versionTarget = [], customFieldList = nil)
    @ageInMonths = ageInMonths
    @assigned = assigned
    @buildBroken = buildBroken
    @buildFixed = buildFixed
    @buildTarget = buildTarget
    @caseCount = caseCount
    @caseNumber = caseNumber
    @closedDate = closedDate
    @createdDate = createdDate
    @dateReleased = dateReleased
    @duplicateOf = duplicateOf
    @employeeOrTeam = employeeOrTeam
    @eventStatus = eventStatus
    @externalAbstract = externalAbstract
    @externalDetails = externalDetails
    @externalFixedIn = externalFixedIn
    @externalId = externalId
    @externalStatus = externalStatus
    @fixed = fixed
    @fixedBy = fixedBy
    @internalId = internalId
    @isOwner = isOwner
    @isReviewed = isReviewed
    @isShowStopper = isShowStopper
    @issueAbstract = issueAbstract
    @issueStatus = issueStatus
    @item = item
    @lastModifiedDate = lastModifiedDate
    @v_module = v_module
    @number = number
    @originalFixedIn = originalFixedIn
    @priority = priority
    @product = product
    @productTeam = productTeam
    @relatedIssue = relatedIssue
    @relationship = relationship
    @relationshipComment = relationshipComment
    @reportedBy = reportedBy
    @reproduce = reproduce
    @resolved = resolved
    @resolvedBy = resolvedBy
    @reviewer = reviewer
    @severity = severity
    @source = source
    @tags = tags
    @type = type
    @userType = userType
    @versionBroken = versionBroken
    @versionFixed = versionFixed
    @versionTarget = versionTarget
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CampaignSearchRowBasic
#   audience - ActiveNetsuite::SearchColumnSelectField
#   baseCost - ActiveNetsuite::SearchColumnDoubleField
#   campaignId - ActiveNetsuite::SearchColumnStringField
#   category - ActiveNetsuite::SearchColumnSelectField
#   channel - ActiveNetsuite::SearchColumnSelectField
#   cost - ActiveNetsuite::SearchColumnDoubleField
#   createdDate - ActiveNetsuite::SearchColumnDateField
#   endDate - ActiveNetsuite::SearchColumnDateField
#   event - ActiveNetsuite::SearchColumnStringField
#   executedDate - ActiveNetsuite::SearchColumnDateField
#   expectedRevenue - ActiveNetsuite::SearchColumnDoubleField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   family - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   isSalesCampaign - ActiveNetsuite::SearchColumnBooleanField
#   item - ActiveNetsuite::SearchColumnSelectField
#   keyword - ActiveNetsuite::SearchColumnStringField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   managerRole - ActiveNetsuite::SearchColumnSelectField
#   message - ActiveNetsuite::SearchColumnStringField
#   offer - ActiveNetsuite::SearchColumnSelectField
#   owner - ActiveNetsuite::SearchColumnSelectField
#   promoCode - ActiveNetsuite::SearchColumnStringField
#   recipient - ActiveNetsuite::SearchColumnSelectField
#   response - ActiveNetsuite::SearchColumnEnumSelectField
#   responseCategory - ActiveNetsuite::SearchColumnEnumSelectField
#   responseCode - ActiveNetsuite::SearchColumnLongField
#   responseDate - ActiveNetsuite::SearchColumnDateField
#   responseNotes - ActiveNetsuite::SearchColumnStringField
#   revenue - ActiveNetsuite::SearchColumnDoubleField
#   roi - ActiveNetsuite::SearchColumnDoubleField
#   scheduledDate - ActiveNetsuite::SearchColumnDateField
#   searchEngine - ActiveNetsuite::SearchColumnSelectField
#   startDate - ActiveNetsuite::SearchColumnDateField
#   status - ActiveNetsuite::SearchColumnEnumSelectField
#   subscription - ActiveNetsuite::SearchColumnSelectField
#   title - ActiveNetsuite::SearchColumnStringField
#   url - ActiveNetsuite::SearchColumnStringField
#   vertical - ActiveNetsuite::SearchColumnSelectField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class CampaignSearchRowBasic < SearchRowBasic
  attr_accessor :audience
  attr_accessor :baseCost
  attr_accessor :campaignId
  attr_accessor :category
  attr_accessor :channel
  attr_accessor :cost
  attr_accessor :createdDate
  attr_accessor :endDate
  attr_accessor :event
  attr_accessor :executedDate
  attr_accessor :expectedRevenue
  attr_accessor :externalId
  attr_accessor :family
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :isSalesCampaign
  attr_accessor :item
  attr_accessor :keyword
  attr_accessor :lastModifiedDate
  attr_accessor :managerRole
  attr_accessor :message
  attr_accessor :offer
  attr_accessor :owner
  attr_accessor :promoCode
  attr_accessor :recipient
  attr_accessor :response
  attr_accessor :responseCategory
  attr_accessor :responseCode
  attr_accessor :responseDate
  attr_accessor :responseNotes
  attr_accessor :revenue
  attr_accessor :roi
  attr_accessor :scheduledDate
  attr_accessor :searchEngine
  attr_accessor :startDate
  attr_accessor :status
  attr_accessor :subscription
  attr_accessor :title
  attr_accessor :url
  attr_accessor :vertical
  attr_accessor :customFieldList

  def initialize(audience = [], baseCost = [], campaignId = [], category = [], channel = [], cost = [], createdDate = [], endDate = [], event = [], executedDate = [], expectedRevenue = [], externalId = [], family = [], internalId = [], isInactive = [], isSalesCampaign = [], item = [], keyword = [], lastModifiedDate = [], managerRole = [], message = [], offer = [], owner = [], promoCode = [], recipient = [], response = [], responseCategory = [], responseCode = [], responseDate = [], responseNotes = [], revenue = [], roi = [], scheduledDate = [], searchEngine = [], startDate = [], status = [], subscription = [], title = [], url = [], vertical = [], customFieldList = nil)
    @audience = audience
    @baseCost = baseCost
    @campaignId = campaignId
    @category = category
    @channel = channel
    @cost = cost
    @createdDate = createdDate
    @endDate = endDate
    @event = event
    @executedDate = executedDate
    @expectedRevenue = expectedRevenue
    @externalId = externalId
    @family = family
    @internalId = internalId
    @isInactive = isInactive
    @isSalesCampaign = isSalesCampaign
    @item = item
    @keyword = keyword
    @lastModifiedDate = lastModifiedDate
    @managerRole = managerRole
    @message = message
    @offer = offer
    @owner = owner
    @promoCode = promoCode
    @recipient = recipient
    @response = response
    @responseCategory = responseCategory
    @responseCode = responseCode
    @responseDate = responseDate
    @responseNotes = responseNotes
    @revenue = revenue
    @roi = roi
    @scheduledDate = scheduledDate
    @searchEngine = searchEngine
    @startDate = startDate
    @status = status
    @subscription = subscription
    @title = title
    @url = url
    @vertical = vertical
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}EntityGroupSearchRowBasic
#   email - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnStringField
#   groupName - ActiveNetsuite::SearchColumnStringField
#   groupType - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isDynamic - ActiveNetsuite::SearchColumnBooleanField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   isManufacturingWorkCenter - ActiveNetsuite::SearchColumnBooleanField
#   isPrivate - ActiveNetsuite::SearchColumnBooleanField
#   laborResources - ActiveNetsuite::SearchColumnLongField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   machineResources - ActiveNetsuite::SearchColumnLongField
#   owner - ActiveNetsuite::SearchColumnSelectField
#   savedSearch - ActiveNetsuite::SearchColumnStringField
#   size - ActiveNetsuite::SearchColumnLongField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class EntityGroupSearchRowBasic < SearchRowBasic
  attr_accessor :email
  attr_accessor :externalId
  attr_accessor :groupName
  attr_accessor :groupType
  attr_accessor :internalId
  attr_accessor :isDynamic
  attr_accessor :isInactive
  attr_accessor :isManufacturingWorkCenter
  attr_accessor :isPrivate
  attr_accessor :laborResources
  attr_accessor :lastModifiedDate
  attr_accessor :machineResources
  attr_accessor :owner
  attr_accessor :savedSearch
  attr_accessor :size
  attr_accessor :subsidiary
  attr_accessor :customFieldList

  def initialize(email = [], externalId = [], groupName = [], groupType = [], internalId = [], isDynamic = [], isInactive = [], isManufacturingWorkCenter = [], isPrivate = [], laborResources = [], lastModifiedDate = [], machineResources = [], owner = [], savedSearch = [], size = [], subsidiary = [], customFieldList = nil)
    @email = email
    @externalId = externalId
    @groupName = groupName
    @groupType = groupType
    @internalId = internalId
    @isDynamic = isDynamic
    @isInactive = isInactive
    @isManufacturingWorkCenter = isManufacturingWorkCenter
    @isPrivate = isPrivate
    @laborResources = laborResources
    @lastModifiedDate = lastModifiedDate
    @machineResources = machineResources
    @owner = owner
    @savedSearch = savedSearch
    @size = size
    @subsidiary = subsidiary
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}PromotionCodeSearchRowBasic
#   code - ActiveNetsuite::SearchColumnStringField
#   description - ActiveNetsuite::SearchColumnStringField
#   discount - ActiveNetsuite::SearchColumnStringField
#   discountAmount - ActiveNetsuite::SearchColumnDoubleField
#   endDate - ActiveNetsuite::SearchColumnDateField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   isPublic - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
#   startDate - ActiveNetsuite::SearchColumnDateField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class PromotionCodeSearchRowBasic < SearchRowBasic
  attr_accessor :code
  attr_accessor :description
  attr_accessor :discount
  attr_accessor :discountAmount
  attr_accessor :endDate
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :isPublic
  attr_accessor :name
  attr_accessor :startDate
  attr_accessor :customFieldList

  def initialize(code = [], description = [], discount = [], discountAmount = [], endDate = [], externalId = [], internalId = [], isInactive = [], isPublic = [], name = [], startDate = [], customFieldList = nil)
    @code = code
    @description = description
    @discount = discount
    @discountAmount = discountAmount
    @endDate = endDate
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @isPublic = isPublic
    @name = name
    @startDate = startDate
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}BudgetSearchRowBasic
#   account - ActiveNetsuite::SearchColumnStringField
#   amount - ActiveNetsuite::SearchColumnDoubleField
#   category - ActiveNetsuite::SearchColumnStringField
#   m_class - ActiveNetsuite::SearchColumnStringField
#   classnohierarchy - ActiveNetsuite::SearchColumnStringField
#   currency - ActiveNetsuite::SearchColumnStringField
#   customer - ActiveNetsuite::SearchColumnStringField
#   department - ActiveNetsuite::SearchColumnStringField
#   departmentnohierarchy - ActiveNetsuite::SearchColumnStringField
#   global - ActiveNetsuite::SearchColumnBooleanField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   item - ActiveNetsuite::SearchColumnStringField
#   location - ActiveNetsuite::SearchColumnStringField
#   locationnohierarchy - ActiveNetsuite::SearchColumnStringField
#   subsidiary - ActiveNetsuite::SearchColumnStringField
#   subsidiarynohierarchy - ActiveNetsuite::SearchColumnStringField
#   year - ActiveNetsuite::SearchColumnStringField
#   year2 - ActiveNetsuite::SearchColumnStringField
class BudgetSearchRowBasic < SearchRowBasic
  attr_accessor :account
  attr_accessor :amount
  attr_accessor :category
  attr_accessor :classnohierarchy
  attr_accessor :currency
  attr_accessor :customer
  attr_accessor :department
  attr_accessor :departmentnohierarchy
  attr_accessor :global
  attr_accessor :internalId
  attr_accessor :item
  attr_accessor :location
  attr_accessor :locationnohierarchy
  attr_accessor :subsidiary
  attr_accessor :subsidiarynohierarchy
  attr_accessor :year
  attr_accessor :year2

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(account = [], amount = [], category = [], v_class = [], classnohierarchy = [], currency = [], customer = [], department = [], departmentnohierarchy = [], global = [], internalId = [], item = [], location = [], locationnohierarchy = [], subsidiary = [], subsidiarynohierarchy = [], year = [], year2 = [])
    @account = account
    @amount = amount
    @category = category
    @v_class = v_class
    @classnohierarchy = classnohierarchy
    @currency = currency
    @customer = customer
    @department = department
    @departmentnohierarchy = departmentnohierarchy
    @global = global
    @internalId = internalId
    @item = item
    @location = location
    @locationnohierarchy = locationnohierarchy
    @subsidiary = subsidiary
    @subsidiarynohierarchy = subsidiarynohierarchy
    @year = year
    @year2 = year2
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ProjectTaskSearchRowBasic
#   actualWork - ActiveNetsuite::SearchColumnDoubleField
#   company - ActiveNetsuite::SearchColumnSelectField
#   constraintType - ActiveNetsuite::SearchColumnEnumSelectField
#   contact - ActiveNetsuite::SearchColumnSelectField
#   cost - ActiveNetsuite::SearchColumnDoubleField
#   costBase - ActiveNetsuite::SearchColumnDoubleField
#   costBaseBaseline - ActiveNetsuite::SearchColumnDoubleField
#   costBaseline - ActiveNetsuite::SearchColumnDoubleField
#   costBaseVariance - ActiveNetsuite::SearchColumnDoubleField
#   costVariance - ActiveNetsuite::SearchColumnDoubleField
#   costVariancePercent - ActiveNetsuite::SearchColumnDoubleField
#   createdDate - ActiveNetsuite::SearchColumnDateField
#   endDate - ActiveNetsuite::SearchColumnDateField
#   endDateBaseline - ActiveNetsuite::SearchColumnDateField
#   endDateVariance - ActiveNetsuite::SearchColumnDoubleField
#   estimatedWork - ActiveNetsuite::SearchColumnDoubleField
#   estimatedWorkBaseline - ActiveNetsuite::SearchColumnDoubleField
#   estimatedWorkVariance - ActiveNetsuite::SearchColumnDoubleField
#   estimatedWorkVariancePercent - ActiveNetsuite::SearchColumnDoubleField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   finishByDate - ActiveNetsuite::SearchColumnDateField
#   id - ActiveNetsuite::SearchColumnLongField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isMilestone - ActiveNetsuite::SearchColumnBooleanField
#   isSummaryTask - ActiveNetsuite::SearchColumnBooleanField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   message - ActiveNetsuite::SearchColumnStringField
#   owner - ActiveNetsuite::SearchColumnSelectField
#   parent - ActiveNetsuite::SearchColumnSelectField
#   percentWorkComplete - ActiveNetsuite::SearchColumnDoubleField
#   predecessor - ActiveNetsuite::SearchColumnSelectField
#   predecessorLagDays - ActiveNetsuite::SearchColumnDoubleField
#   predecessors - ActiveNetsuite::SearchColumnStringField
#   predecessorType - ActiveNetsuite::SearchColumnStringField
#   priority - ActiveNetsuite::SearchColumnEnumSelectField
#   remainingWork - ActiveNetsuite::SearchColumnDoubleField
#   startDate - ActiveNetsuite::SearchColumnDateField
#   startDateBaseline - ActiveNetsuite::SearchColumnDateField
#   startDateVariance - ActiveNetsuite::SearchColumnDoubleField
#   status - ActiveNetsuite::SearchColumnEnumSelectField
#   successor - ActiveNetsuite::SearchColumnSelectField
#   successorType - ActiveNetsuite::SearchColumnStringField
#   title - ActiveNetsuite::SearchColumnStringField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class ProjectTaskSearchRowBasic < SearchRowBasic
  attr_accessor :actualWork
  attr_accessor :company
  attr_accessor :constraintType
  attr_accessor :contact
  attr_accessor :cost
  attr_accessor :costBase
  attr_accessor :costBaseBaseline
  attr_accessor :costBaseline
  attr_accessor :costBaseVariance
  attr_accessor :costVariance
  attr_accessor :costVariancePercent
  attr_accessor :createdDate
  attr_accessor :endDate
  attr_accessor :endDateBaseline
  attr_accessor :endDateVariance
  attr_accessor :estimatedWork
  attr_accessor :estimatedWorkBaseline
  attr_accessor :estimatedWorkVariance
  attr_accessor :estimatedWorkVariancePercent
  attr_accessor :externalId
  attr_accessor :finishByDate
  attr_accessor :id
  attr_accessor :internalId
  attr_accessor :isMilestone
  attr_accessor :isSummaryTask
  attr_accessor :lastModifiedDate
  attr_accessor :message
  attr_accessor :owner
  attr_accessor :parent
  attr_accessor :percentWorkComplete
  attr_accessor :predecessor
  attr_accessor :predecessorLagDays
  attr_accessor :predecessors
  attr_accessor :predecessorType
  attr_accessor :priority
  attr_accessor :remainingWork
  attr_accessor :startDate
  attr_accessor :startDateBaseline
  attr_accessor :startDateVariance
  attr_accessor :status
  attr_accessor :successor
  attr_accessor :successorType
  attr_accessor :title
  attr_accessor :customFieldList

  def initialize(actualWork = [], company = [], constraintType = [], contact = [], cost = [], costBase = [], costBaseBaseline = [], costBaseline = [], costBaseVariance = [], costVariance = [], costVariancePercent = [], createdDate = [], endDate = [], endDateBaseline = [], endDateVariance = [], estimatedWork = [], estimatedWorkBaseline = [], estimatedWorkVariance = [], estimatedWorkVariancePercent = [], externalId = [], finishByDate = [], id = [], internalId = [], isMilestone = [], isSummaryTask = [], lastModifiedDate = [], message = [], owner = [], parent = [], percentWorkComplete = [], predecessor = [], predecessorLagDays = [], predecessors = [], predecessorType = [], priority = [], remainingWork = [], startDate = [], startDateBaseline = [], startDateVariance = [], status = [], successor = [], successorType = [], title = [], customFieldList = nil)
    @actualWork = actualWork
    @company = company
    @constraintType = constraintType
    @contact = contact
    @cost = cost
    @costBase = costBase
    @costBaseBaseline = costBaseBaseline
    @costBaseline = costBaseline
    @costBaseVariance = costBaseVariance
    @costVariance = costVariance
    @costVariancePercent = costVariancePercent
    @createdDate = createdDate
    @endDate = endDate
    @endDateBaseline = endDateBaseline
    @endDateVariance = endDateVariance
    @estimatedWork = estimatedWork
    @estimatedWorkBaseline = estimatedWorkBaseline
    @estimatedWorkVariance = estimatedWorkVariance
    @estimatedWorkVariancePercent = estimatedWorkVariancePercent
    @externalId = externalId
    @finishByDate = finishByDate
    @id = id
    @internalId = internalId
    @isMilestone = isMilestone
    @isSummaryTask = isSummaryTask
    @lastModifiedDate = lastModifiedDate
    @message = message
    @owner = owner
    @parent = parent
    @percentWorkComplete = percentWorkComplete
    @predecessor = predecessor
    @predecessorLagDays = predecessorLagDays
    @predecessors = predecessors
    @predecessorType = predecessorType
    @priority = priority
    @remainingWork = remainingWork
    @startDate = startDate
    @startDateBaseline = startDateBaseline
    @startDateVariance = startDateVariance
    @status = status
    @successor = successor
    @successorType = successorType
    @title = title
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ProjectTaskAssignmentSearchRowBasic
#   actualWork - ActiveNetsuite::SearchColumnDoubleField
#   cost - ActiveNetsuite::SearchColumnDoubleField
#   costBase - ActiveNetsuite::SearchColumnDoubleField
#   endDate - ActiveNetsuite::SearchColumnDateField
#   estimatedWork - ActiveNetsuite::SearchColumnDoubleField
#   estimatedWorkBaseline - ActiveNetsuite::SearchColumnDoubleField
#   grossProfit - ActiveNetsuite::SearchColumnDoubleField
#   grossProfitBase - ActiveNetsuite::SearchColumnDoubleField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   price - ActiveNetsuite::SearchColumnDoubleField
#   priceBase - ActiveNetsuite::SearchColumnDoubleField
#   resource - ActiveNetsuite::SearchColumnSelectField
#   resourceName - ActiveNetsuite::SearchColumnStringField
#   serviceItem - ActiveNetsuite::SearchColumnStringField
#   serviceItemDesc - ActiveNetsuite::SearchColumnStringField
#   startDate - ActiveNetsuite::SearchColumnDateField
#   unitCost - ActiveNetsuite::SearchColumnDoubleField
#   unitCostBase - ActiveNetsuite::SearchColumnDoubleField
#   unitPrice - ActiveNetsuite::SearchColumnDoubleField
#   unitPriceBase - ActiveNetsuite::SearchColumnDoubleField
#   units - ActiveNetsuite::SearchColumnDoubleField
#   workCalendar - ActiveNetsuite::SearchColumnSelectField
class ProjectTaskAssignmentSearchRowBasic < SearchRowBasic
  attr_accessor :actualWork
  attr_accessor :cost
  attr_accessor :costBase
  attr_accessor :endDate
  attr_accessor :estimatedWork
  attr_accessor :estimatedWorkBaseline
  attr_accessor :grossProfit
  attr_accessor :grossProfitBase
  attr_accessor :internalId
  attr_accessor :price
  attr_accessor :priceBase
  attr_accessor :resource
  attr_accessor :resourceName
  attr_accessor :serviceItem
  attr_accessor :serviceItemDesc
  attr_accessor :startDate
  attr_accessor :unitCost
  attr_accessor :unitCostBase
  attr_accessor :unitPrice
  attr_accessor :unitPriceBase
  attr_accessor :units
  attr_accessor :workCalendar

  def initialize(actualWork = [], cost = [], costBase = [], endDate = [], estimatedWork = [], estimatedWorkBaseline = [], grossProfit = [], grossProfitBase = [], internalId = [], price = [], priceBase = [], resource = [], resourceName = [], serviceItem = [], serviceItemDesc = [], startDate = [], unitCost = [], unitCostBase = [], unitPrice = [], unitPriceBase = [], units = [], workCalendar = [])
    @actualWork = actualWork
    @cost = cost
    @costBase = costBase
    @endDate = endDate
    @estimatedWork = estimatedWork
    @estimatedWorkBaseline = estimatedWorkBaseline
    @grossProfit = grossProfit
    @grossProfitBase = grossProfitBase
    @internalId = internalId
    @price = price
    @priceBase = priceBase
    @resource = resource
    @resourceName = resourceName
    @serviceItem = serviceItem
    @serviceItemDesc = serviceItemDesc
    @startDate = startDate
    @unitCost = unitCost
    @unitCostBase = unitCostBase
    @unitPrice = unitPrice
    @unitPriceBase = unitPriceBase
    @units = units
    @workCalendar = workCalendar
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}AccountingPeriodSearchRowBasic
#   allLocked - ActiveNetsuite::SearchColumnBooleanField
#   allowNonGLChanges - ActiveNetsuite::SearchColumnBooleanField
#   apLocked - ActiveNetsuite::SearchColumnBooleanField
#   arLocked - ActiveNetsuite::SearchColumnBooleanField
#   closed - ActiveNetsuite::SearchColumnBooleanField
#   closedOnDate - ActiveNetsuite::SearchColumnDateField
#   endDate - ActiveNetsuite::SearchColumnDateField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isAdjust - ActiveNetsuite::SearchColumnBooleanField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   isQuarter - ActiveNetsuite::SearchColumnBooleanField
#   isYear - ActiveNetsuite::SearchColumnBooleanField
#   parent - ActiveNetsuite::SearchColumnSelectField
#   payrollLocked - ActiveNetsuite::SearchColumnBooleanField
#   periodName - ActiveNetsuite::SearchColumnStringField
#   startDate - ActiveNetsuite::SearchColumnDateField
class AccountingPeriodSearchRowBasic < SearchRowBasic
  attr_accessor :allLocked
  attr_accessor :allowNonGLChanges
  attr_accessor :apLocked
  attr_accessor :arLocked
  attr_accessor :closed
  attr_accessor :closedOnDate
  attr_accessor :endDate
  attr_accessor :internalId
  attr_accessor :isAdjust
  attr_accessor :isInactive
  attr_accessor :isQuarter
  attr_accessor :isYear
  attr_accessor :parent
  attr_accessor :payrollLocked
  attr_accessor :periodName
  attr_accessor :startDate

  def initialize(allLocked = [], allowNonGLChanges = [], apLocked = [], arLocked = [], closed = [], closedOnDate = [], endDate = [], internalId = [], isAdjust = [], isInactive = [], isQuarter = [], isYear = [], parent = [], payrollLocked = [], periodName = [], startDate = [])
    @allLocked = allLocked
    @allowNonGLChanges = allowNonGLChanges
    @apLocked = apLocked
    @arLocked = arLocked
    @closed = closed
    @closedOnDate = closedOnDate
    @endDate = endDate
    @internalId = internalId
    @isAdjust = isAdjust
    @isInactive = isInactive
    @isQuarter = isQuarter
    @isYear = isYear
    @parent = parent
    @payrollLocked = payrollLocked
    @periodName = periodName
    @startDate = startDate
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ContactCategorySearchRowBasic
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
#   private - ActiveNetsuite::SearchColumnBooleanField
#   sync - ActiveNetsuite::SearchColumnBooleanField
class ContactCategorySearchRowBasic < SearchRowBasic
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :private
  attr_accessor :sync

  def initialize(externalId = [], internalId = [], isInactive = [], name = [], private = [], sync = [])
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @name = name
    @private = private
    @sync = sync
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ContactRoleSearchRowBasic
#   description - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
class ContactRoleSearchRowBasic < SearchRowBasic
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :name

  def initialize(description = [], externalId = [], internalId = [], isInactive = [], name = [])
    @description = description
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CustomerCategorySearchRowBasic
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
class CustomerCategorySearchRowBasic < SearchRowBasic
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :name

  def initialize(externalId = [], internalId = [], isInactive = [], name = [])
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CustomerStatusSearchRowBasic
#   description - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   includeInLeadReports - ActiveNetsuite::SearchColumnBooleanField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
#   probability - ActiveNetsuite::SearchColumnStringField
class CustomerStatusSearchRowBasic < SearchRowBasic
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :includeInLeadReports
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :probability

  def initialize(description = [], externalId = [], includeInLeadReports = [], internalId = [], isInactive = [], name = [], probability = [])
    @description = description
    @externalId = externalId
    @includeInLeadReports = includeInLeadReports
    @internalId = internalId
    @isInactive = isInactive
    @name = name
    @probability = probability
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ExpenseCategorySearchRowBasic
#   account - ActiveNetsuite::SearchColumnSelectField
#   description - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
#   rateRequired - ActiveNetsuite::SearchColumnBooleanField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class ExpenseCategorySearchRowBasic < SearchRowBasic
  attr_accessor :account
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :rateRequired
  attr_accessor :customFieldList

  def initialize(account = [], description = [], externalId = [], internalId = [], isInactive = [], name = [], rateRequired = [], customFieldList = nil)
    @account = account
    @description = description
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @name = name
    @rateRequired = rateRequired
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}JobStatusSearchRowBasic
#   description - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
class JobStatusSearchRowBasic < SearchRowBasic
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :name

  def initialize(description = [], externalId = [], internalId = [], isInactive = [], name = [])
    @description = description
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}JobTypeSearchRowBasic
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
#   parent - ActiveNetsuite::SearchColumnSelectField
class JobTypeSearchRowBasic < SearchRowBasic
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :parent

  def initialize(externalId = [], internalId = [], isInactive = [], name = [], parent = [])
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @name = name
    @parent = parent
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}NoteTypeSearchRowBasic
#   description - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
class NoteTypeSearchRowBasic < SearchRowBasic
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :name

  def initialize(description = [], externalId = [], internalId = [], isInactive = [], name = [])
    @description = description
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}PartnerCategorySearchRowBasic
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
#   parent - ActiveNetsuite::SearchColumnSelectField
class PartnerCategorySearchRowBasic < SearchRowBasic
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :parent

  def initialize(externalId = [], internalId = [], isInactive = [], name = [], parent = [])
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @name = name
    @parent = parent
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}PaymentMethodSearchRowBasic
#   account - ActiveNetsuite::SearchColumnSelectField
#   creditCard - ActiveNetsuite::SearchColumnBooleanField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isDebitCard - ActiveNetsuite::SearchColumnBooleanField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
class PaymentMethodSearchRowBasic < SearchRowBasic
  attr_accessor :account
  attr_accessor :creditCard
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isDebitCard
  attr_accessor :isInactive
  attr_accessor :name

  def initialize(account = [], creditCard = [], externalId = [], internalId = [], isDebitCard = [], isInactive = [], name = [])
    @account = account
    @creditCard = creditCard
    @externalId = externalId
    @internalId = internalId
    @isDebitCard = isDebitCard
    @isInactive = isInactive
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}PriceLevelSearchRowBasic
#   discountPct - ActiveNetsuite::SearchColumnDoubleField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   isOnline - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
class PriceLevelSearchRowBasic < SearchRowBasic
  attr_accessor :discountPct
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :isOnline
  attr_accessor :name

  def initialize(discountPct = [], externalId = [], internalId = [], isInactive = [], isOnline = [], name = [])
    @discountPct = discountPct
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @isOnline = isOnline
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}SalesRoleSearchRowBasic
#   description - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
class SalesRoleSearchRowBasic < SearchRowBasic
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :name

  def initialize(description = [], externalId = [], internalId = [], isInactive = [], name = [])
    @description = description
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}TermSearchRowBasic
#   dateDriven - ActiveNetsuite::SearchColumnBooleanField
#   dayDiscountExpires - ActiveNetsuite::SearchColumnLongField
#   dayOfMonthNetDue - ActiveNetsuite::SearchColumnLongField
#   daysUntilExpiry - ActiveNetsuite::SearchColumnLongField
#   daysUntilNetDue - ActiveNetsuite::SearchColumnLongField
#   discountPercent - ActiveNetsuite::SearchColumnDoubleField
#   discountPercentDateDriven - ActiveNetsuite::SearchColumnDoubleField
#   dueNextMonthIfWithinDays - ActiveNetsuite::SearchColumnLongField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
#   preferred - ActiveNetsuite::SearchColumnBooleanField
class TermSearchRowBasic < SearchRowBasic
  attr_accessor :dateDriven
  attr_accessor :dayDiscountExpires
  attr_accessor :dayOfMonthNetDue
  attr_accessor :daysUntilExpiry
  attr_accessor :daysUntilNetDue
  attr_accessor :discountPercent
  attr_accessor :discountPercentDateDriven
  attr_accessor :dueNextMonthIfWithinDays
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :preferred

  def initialize(dateDriven = [], dayDiscountExpires = [], dayOfMonthNetDue = [], daysUntilExpiry = [], daysUntilNetDue = [], discountPercent = [], discountPercentDateDriven = [], dueNextMonthIfWithinDays = [], externalId = [], internalId = [], isInactive = [], name = [], preferred = [])
    @dateDriven = dateDriven
    @dayDiscountExpires = dayDiscountExpires
    @dayOfMonthNetDue = dayOfMonthNetDue
    @daysUntilExpiry = daysUntilExpiry
    @daysUntilNetDue = daysUntilNetDue
    @discountPercent = discountPercent
    @discountPercentDateDriven = discountPercentDateDriven
    @dueNextMonthIfWithinDays = dueNextMonthIfWithinDays
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @name = name
    @preferred = preferred
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}VendorCategorySearchRowBasic
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   isTaxAgency - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
class VendorCategorySearchRowBasic < SearchRowBasic
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :isTaxAgency
  attr_accessor :name

  def initialize(externalId = [], internalId = [], isInactive = [], isTaxAgency = [], name = [])
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @isTaxAgency = isTaxAgency
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}WinLossReasonSearchRowBasic
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
class WinLossReasonSearchRowBasic < SearchRowBasic
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :name

  def initialize(externalId = [], internalId = [], isInactive = [], name = [])
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}OriginatingLeadSearchRowBasic
#   accountNumber - ActiveNetsuite::SearchColumnStringField
#   altContact - ActiveNetsuite::SearchColumnStringField
#   availableOffline - ActiveNetsuite::SearchColumnBooleanField
#   balance - ActiveNetsuite::SearchColumnDoubleField
#   billAddress - ActiveNetsuite::SearchColumnStringField
#   buyingReason - ActiveNetsuite::SearchColumnStringField
#   buyingTimeFrame - ActiveNetsuite::SearchColumnStringField
#   category - ActiveNetsuite::SearchColumnSelectField
#   ccCustomerCode - ActiveNetsuite::SearchColumnStringField
#   ccDefault - ActiveNetsuite::SearchColumnBooleanField
#   ccExpDate - ActiveNetsuite::SearchColumnDateField
#   ccHolderName - ActiveNetsuite::SearchColumnStringField
#   ccNumber - ActiveNetsuite::SearchColumnStringField
#   ccType - ActiveNetsuite::SearchColumnSelectField
#   companyName - ActiveNetsuite::SearchColumnStringField
#   contact - ActiveNetsuite::SearchColumnStringField
#   contribution - ActiveNetsuite::SearchColumnDoubleField
#   contributionPrimary - ActiveNetsuite::SearchColumnDoubleField
#   conversionDate - ActiveNetsuite::SearchColumnDateField
#   creditHoldOverride - ActiveNetsuite::SearchColumnBooleanField
#   creditLimit - ActiveNetsuite::SearchColumnDoubleField
#   currency - ActiveNetsuite::SearchColumnSelectField
#   dateClosed - ActiveNetsuite::SearchColumnDateField
#   daysOverdue - ActiveNetsuite::SearchColumnLongField
#   depositBalance - ActiveNetsuite::SearchColumnDoubleField
#   emailTransactions - ActiveNetsuite::SearchColumnBooleanField
#   endDate - ActiveNetsuite::SearchColumnDateField
#   entityStatus - ActiveNetsuite::SearchColumnSelectField
#   estimatedBudget - ActiveNetsuite::SearchColumnDoubleField
#   explicitConversion - ActiveNetsuite::SearchColumnBooleanField
#   faxTransactions - ActiveNetsuite::SearchColumnBooleanField
#   firstName - ActiveNetsuite::SearchColumnStringField
#   firstOrderDate - ActiveNetsuite::SearchColumnDateField
#   firstSaleDate - ActiveNetsuite::SearchColumnDateField
#   giveAccess - ActiveNetsuite::SearchColumnBooleanField
#   groupPricingLevel - ActiveNetsuite::SearchColumnStringField
#   hasDuplicates - ActiveNetsuite::SearchColumnBooleanField
#   homePhone - ActiveNetsuite::SearchColumnStringField
#   isBudgetApproved - ActiveNetsuite::SearchColumnBooleanField
#   isPerson - ActiveNetsuite::SearchColumnBooleanField
#   isShipAddress - ActiveNetsuite::SearchColumnBooleanField
#   itemPricingLevel - ActiveNetsuite::SearchColumnStringField
#   itemPricingUnitPrice - ActiveNetsuite::SearchColumnDoubleField
#   jobEndDate - ActiveNetsuite::SearchColumnDateField
#   jobProjectedEnd - ActiveNetsuite::SearchColumnDateField
#   jobStartDate - ActiveNetsuite::SearchColumnDateField
#   jobType - ActiveNetsuite::SearchColumnSelectField
#   lastName - ActiveNetsuite::SearchColumnStringField
#   leadDate - ActiveNetsuite::SearchColumnDateField
#   leadSource - ActiveNetsuite::SearchColumnSelectField
#   manualCreditHold - ActiveNetsuite::SearchColumnBooleanField
#   middleName - ActiveNetsuite::SearchColumnStringField
#   mobilePhone - ActiveNetsuite::SearchColumnStringField
#   onCreditHold - ActiveNetsuite::SearchColumnBooleanField
#   overdueBalance - ActiveNetsuite::SearchColumnDoubleField
#   parent - ActiveNetsuite::SearchColumnSelectField
#   partner - ActiveNetsuite::SearchColumnSelectField
#   partnerContribution - ActiveNetsuite::SearchColumnDoubleField
#   partnerRole - ActiveNetsuite::SearchColumnStringField
#   partnerTeamMember - ActiveNetsuite::SearchColumnSelectField
#   pec - ActiveNetsuite::SearchColumnStringField
#   prefCCProcessor - ActiveNetsuite::SearchColumnSelectField
#   priceLevel - ActiveNetsuite::SearchColumnSelectField
#   pricingGroup - ActiveNetsuite::SearchColumnStringField
#   pricingItem - ActiveNetsuite::SearchColumnStringField
#   printTransactions - ActiveNetsuite::SearchColumnBooleanField
#   prospectDate - ActiveNetsuite::SearchColumnDateField
#   reminderDays - ActiveNetsuite::SearchColumnLongField
#   resaleNumber - ActiveNetsuite::SearchColumnStringField
#   role - ActiveNetsuite::SearchColumnStringField
#   salesReadiness - ActiveNetsuite::SearchColumnStringField
#   salesRep - ActiveNetsuite::SearchColumnSelectField
#   salesTeamMember - ActiveNetsuite::SearchColumnSelectField
#   salesTeamRole - ActiveNetsuite::SearchColumnSelectField
#   salutation - ActiveNetsuite::SearchColumnStringField
#   shipAddress - ActiveNetsuite::SearchColumnStringField
#   shipComplete - ActiveNetsuite::SearchColumnBooleanField
#   shippingItem - ActiveNetsuite::SearchColumnSelectField
#   stage - ActiveNetsuite::SearchColumnStringField
#   startDate - ActiveNetsuite::SearchColumnDateField
#   taxable - ActiveNetsuite::SearchColumnBooleanField
#   taxItem - ActiveNetsuite::SearchColumnSelectField
#   terms - ActiveNetsuite::SearchColumnSelectField
#   territory - ActiveNetsuite::SearchColumnSelectField
#   title - ActiveNetsuite::SearchColumnStringField
#   unbilledOrders - ActiveNetsuite::SearchColumnDoubleField
#   url - ActiveNetsuite::SearchColumnStringField
#   vatRegNumber - ActiveNetsuite::SearchColumnStringField
#   webLead - ActiveNetsuite::SearchColumnBooleanField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class OriginatingLeadSearchRowBasic < SearchRowBasic
  attr_accessor :accountNumber
  attr_accessor :altContact
  attr_accessor :availableOffline
  attr_accessor :balance
  attr_accessor :billAddress
  attr_accessor :buyingReason
  attr_accessor :buyingTimeFrame
  attr_accessor :category
  attr_accessor :ccCustomerCode
  attr_accessor :ccDefault
  attr_accessor :ccExpDate
  attr_accessor :ccHolderName
  attr_accessor :ccNumber
  attr_accessor :ccType
  attr_accessor :companyName
  attr_accessor :contact
  attr_accessor :contribution
  attr_accessor :contributionPrimary
  attr_accessor :conversionDate
  attr_accessor :creditHoldOverride
  attr_accessor :creditLimit
  attr_accessor :currency
  attr_accessor :dateClosed
  attr_accessor :daysOverdue
  attr_accessor :depositBalance
  attr_accessor :emailTransactions
  attr_accessor :endDate
  attr_accessor :entityStatus
  attr_accessor :estimatedBudget
  attr_accessor :explicitConversion
  attr_accessor :faxTransactions
  attr_accessor :firstName
  attr_accessor :firstOrderDate
  attr_accessor :firstSaleDate
  attr_accessor :giveAccess
  attr_accessor :groupPricingLevel
  attr_accessor :hasDuplicates
  attr_accessor :homePhone
  attr_accessor :isBudgetApproved
  attr_accessor :isPerson
  attr_accessor :isShipAddress
  attr_accessor :itemPricingLevel
  attr_accessor :itemPricingUnitPrice
  attr_accessor :jobEndDate
  attr_accessor :jobProjectedEnd
  attr_accessor :jobStartDate
  attr_accessor :jobType
  attr_accessor :lastName
  attr_accessor :leadDate
  attr_accessor :leadSource
  attr_accessor :manualCreditHold
  attr_accessor :middleName
  attr_accessor :mobilePhone
  attr_accessor :onCreditHold
  attr_accessor :overdueBalance
  attr_accessor :parent
  attr_accessor :partner
  attr_accessor :partnerContribution
  attr_accessor :partnerRole
  attr_accessor :partnerTeamMember
  attr_accessor :pec
  attr_accessor :prefCCProcessor
  attr_accessor :priceLevel
  attr_accessor :pricingGroup
  attr_accessor :pricingItem
  attr_accessor :printTransactions
  attr_accessor :prospectDate
  attr_accessor :reminderDays
  attr_accessor :resaleNumber
  attr_accessor :role
  attr_accessor :salesReadiness
  attr_accessor :salesRep
  attr_accessor :salesTeamMember
  attr_accessor :salesTeamRole
  attr_accessor :salutation
  attr_accessor :shipAddress
  attr_accessor :shipComplete
  attr_accessor :shippingItem
  attr_accessor :stage
  attr_accessor :startDate
  attr_accessor :taxable
  attr_accessor :taxItem
  attr_accessor :terms
  attr_accessor :territory
  attr_accessor :title
  attr_accessor :unbilledOrders
  attr_accessor :url
  attr_accessor :vatRegNumber
  attr_accessor :webLead
  attr_accessor :customFieldList

  def initialize(accountNumber = [], altContact = [], availableOffline = [], balance = [], billAddress = [], buyingReason = [], buyingTimeFrame = [], category = [], ccCustomerCode = [], ccDefault = [], ccExpDate = [], ccHolderName = [], ccNumber = [], ccType = [], companyName = [], contact = [], contribution = [], contributionPrimary = [], conversionDate = [], creditHoldOverride = [], creditLimit = [], currency = [], dateClosed = [], daysOverdue = [], depositBalance = [], emailTransactions = [], endDate = [], entityStatus = [], estimatedBudget = [], explicitConversion = [], faxTransactions = [], firstName = [], firstOrderDate = [], firstSaleDate = [], giveAccess = [], groupPricingLevel = [], hasDuplicates = [], homePhone = [], isBudgetApproved = [], isPerson = [], isShipAddress = [], itemPricingLevel = [], itemPricingUnitPrice = [], jobEndDate = [], jobProjectedEnd = [], jobStartDate = [], jobType = [], lastName = [], leadDate = [], leadSource = [], manualCreditHold = [], middleName = [], mobilePhone = [], onCreditHold = [], overdueBalance = [], parent = [], partner = [], partnerContribution = [], partnerRole = [], partnerTeamMember = [], pec = [], prefCCProcessor = [], priceLevel = [], pricingGroup = [], pricingItem = [], printTransactions = [], prospectDate = [], reminderDays = [], resaleNumber = [], role = [], salesReadiness = [], salesRep = [], salesTeamMember = [], salesTeamRole = [], salutation = [], shipAddress = [], shipComplete = [], shippingItem = [], stage = [], startDate = [], taxable = [], taxItem = [], terms = [], territory = [], title = [], unbilledOrders = [], url = [], vatRegNumber = [], webLead = [], customFieldList = nil)
    @accountNumber = accountNumber
    @altContact = altContact
    @availableOffline = availableOffline
    @balance = balance
    @billAddress = billAddress
    @buyingReason = buyingReason
    @buyingTimeFrame = buyingTimeFrame
    @category = category
    @ccCustomerCode = ccCustomerCode
    @ccDefault = ccDefault
    @ccExpDate = ccExpDate
    @ccHolderName = ccHolderName
    @ccNumber = ccNumber
    @ccType = ccType
    @companyName = companyName
    @contact = contact
    @contribution = contribution
    @contributionPrimary = contributionPrimary
    @conversionDate = conversionDate
    @creditHoldOverride = creditHoldOverride
    @creditLimit = creditLimit
    @currency = currency
    @dateClosed = dateClosed
    @daysOverdue = daysOverdue
    @depositBalance = depositBalance
    @emailTransactions = emailTransactions
    @endDate = endDate
    @entityStatus = entityStatus
    @estimatedBudget = estimatedBudget
    @explicitConversion = explicitConversion
    @faxTransactions = faxTransactions
    @firstName = firstName
    @firstOrderDate = firstOrderDate
    @firstSaleDate = firstSaleDate
    @giveAccess = giveAccess
    @groupPricingLevel = groupPricingLevel
    @hasDuplicates = hasDuplicates
    @homePhone = homePhone
    @isBudgetApproved = isBudgetApproved
    @isPerson = isPerson
    @isShipAddress = isShipAddress
    @itemPricingLevel = itemPricingLevel
    @itemPricingUnitPrice = itemPricingUnitPrice
    @jobEndDate = jobEndDate
    @jobProjectedEnd = jobProjectedEnd
    @jobStartDate = jobStartDate
    @jobType = jobType
    @lastName = lastName
    @leadDate = leadDate
    @leadSource = leadSource
    @manualCreditHold = manualCreditHold
    @middleName = middleName
    @mobilePhone = mobilePhone
    @onCreditHold = onCreditHold
    @overdueBalance = overdueBalance
    @parent = parent
    @partner = partner
    @partnerContribution = partnerContribution
    @partnerRole = partnerRole
    @partnerTeamMember = partnerTeamMember
    @pec = pec
    @prefCCProcessor = prefCCProcessor
    @priceLevel = priceLevel
    @pricingGroup = pricingGroup
    @pricingItem = pricingItem
    @printTransactions = printTransactions
    @prospectDate = prospectDate
    @reminderDays = reminderDays
    @resaleNumber = resaleNumber
    @role = role
    @salesReadiness = salesReadiness
    @salesRep = salesRep
    @salesTeamMember = salesTeamMember
    @salesTeamRole = salesTeamRole
    @salutation = salutation
    @shipAddress = shipAddress
    @shipComplete = shipComplete
    @shippingItem = shippingItem
    @stage = stage
    @startDate = startDate
    @taxable = taxable
    @taxItem = taxItem
    @terms = terms
    @territory = territory
    @title = title
    @unbilledOrders = unbilledOrders
    @url = url
    @vatRegNumber = vatRegNumber
    @webLead = webLead
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}UnitsTypeSearchRowBasic
#   abbreviation - ActiveNetsuite::SearchColumnStringField
#   baseUnit - ActiveNetsuite::SearchColumnBooleanField
#   conversionRate - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInActive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
#   pluralAbbreviation - ActiveNetsuite::SearchColumnStringField
#   pluralName - ActiveNetsuite::SearchColumnStringField
#   unitName - ActiveNetsuite::SearchColumnStringField
class UnitsTypeSearchRowBasic < SearchRowBasic
  attr_accessor :abbreviation
  attr_accessor :baseUnit
  attr_accessor :conversionRate
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInActive
  attr_accessor :name
  attr_accessor :pluralAbbreviation
  attr_accessor :pluralName
  attr_accessor :unitName

  def initialize(abbreviation = [], baseUnit = [], conversionRate = [], externalId = [], internalId = [], isInActive = [], name = [], pluralAbbreviation = [], pluralName = [], unitName = [])
    @abbreviation = abbreviation
    @baseUnit = baseUnit
    @conversionRate = conversionRate
    @externalId = externalId
    @internalId = internalId
    @isInActive = isInActive
    @name = name
    @pluralAbbreviation = pluralAbbreviation
    @pluralName = pluralName
    @unitName = unitName
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CustomListSearchRowBasic
#   description - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   isOrdered - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
#   owner - ActiveNetsuite::SearchColumnSelectField
#   scriptId - ActiveNetsuite::SearchColumnStringField
class CustomListSearchRowBasic < SearchRowBasic
  attr_accessor :description
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :isOrdered
  attr_accessor :name
  attr_accessor :owner
  attr_accessor :scriptId

  def initialize(description = [], internalId = [], isInactive = [], isOrdered = [], name = [], owner = [], scriptId = [])
    @description = description
    @internalId = internalId
    @isInactive = isInactive
    @isOrdered = isOrdered
    @name = name
    @owner = owner
    @scriptId = scriptId
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}PricingGroupSearchRowBasic
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
class PricingGroupSearchRowBasic < SearchRowBasic
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :name

  def initialize(externalId = [], internalId = [], isInactive = [], name = [])
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}InventoryNumberSearchRowBasic
#   expirationDate - ActiveNetsuite::SearchColumnDateField
#   externalId - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   inventoryNumber - ActiveNetsuite::SearchColumnStringField
#   isonhand - ActiveNetsuite::SearchColumnBooleanField
#   item - ActiveNetsuite::SearchColumnSelectField
#   location - ActiveNetsuite::SearchColumnSelectField
#   memo - ActiveNetsuite::SearchColumnStringField
#   quantityavailable - ActiveNetsuite::SearchColumnDoubleField
#   quantityintransit - ActiveNetsuite::SearchColumnDoubleField
#   quantityonhand - ActiveNetsuite::SearchColumnDoubleField
#   quantityonorder - ActiveNetsuite::SearchColumnDoubleField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class InventoryNumberSearchRowBasic < SearchRowBasic
  attr_accessor :expirationDate
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :inventoryNumber
  attr_accessor :isonhand
  attr_accessor :item
  attr_accessor :location
  attr_accessor :memo
  attr_accessor :quantityavailable
  attr_accessor :quantityintransit
  attr_accessor :quantityonhand
  attr_accessor :quantityonorder
  attr_accessor :customFieldList

  def initialize(expirationDate = [], externalId = [], internalId = [], inventoryNumber = [], isonhand = [], item = [], location = [], memo = [], quantityavailable = [], quantityintransit = [], quantityonhand = [], quantityonorder = [], customFieldList = nil)
    @expirationDate = expirationDate
    @externalId = externalId
    @internalId = internalId
    @inventoryNumber = inventoryNumber
    @isonhand = isonhand
    @item = item
    @location = location
    @memo = memo
    @quantityavailable = quantityavailable
    @quantityintransit = quantityintransit
    @quantityonhand = quantityonhand
    @quantityonorder = quantityonorder
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}InventoryNumberBinSearchRowBasic
#   binNumber - ActiveNetsuite::SearchColumnSelectField
#   inventoryNumber - ActiveNetsuite::SearchColumnStringField
#   location - ActiveNetsuite::SearchColumnSelectField
#   quantityAvailable - ActiveNetsuite::SearchColumnDoubleField
#   quantityOnHand - ActiveNetsuite::SearchColumnDoubleField
class InventoryNumberBinSearchRowBasic < SearchRowBasic
  attr_accessor :binNumber
  attr_accessor :inventoryNumber
  attr_accessor :location
  attr_accessor :quantityAvailable
  attr_accessor :quantityOnHand

  def initialize(binNumber = [], inventoryNumber = [], location = [], quantityAvailable = [], quantityOnHand = [])
    @binNumber = binNumber
    @inventoryNumber = inventoryNumber
    @location = location
    @quantityAvailable = quantityAvailable
    @quantityOnHand = quantityOnHand
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ItemBinNumberSearchRowBasic
#   binNumber - ActiveNetsuite::SearchColumnSelectField
#   location - ActiveNetsuite::SearchColumnSelectField
#   quantityAvailable - ActiveNetsuite::SearchColumnDoubleField
#   quantityOnHand - ActiveNetsuite::SearchColumnDoubleField
class ItemBinNumberSearchRowBasic < SearchRowBasic
  attr_accessor :binNumber
  attr_accessor :location
  attr_accessor :quantityAvailable
  attr_accessor :quantityOnHand

  def initialize(binNumber = [], location = [], quantityAvailable = [], quantityOnHand = [])
    @binNumber = binNumber
    @location = location
    @quantityAvailable = quantityAvailable
    @quantityOnHand = quantityOnHand
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}AppDefinitionSearchRowBasic
#   description - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   name - ActiveNetsuite::SearchColumnStringField
class AppDefinitionSearchRowBasic < SearchRowBasic
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :name

  def initialize(description = [], externalId = [], internalId = [], name = [])
    @description = description
    @externalId = externalId
    @internalId = internalId
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}AppPackageSearchRowBasic
#   appDefinition - ActiveNetsuite::SearchColumnSelectField
#   bundle - ActiveNetsuite::SearchColumnSelectField
#   description - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   packageFile - ActiveNetsuite::SearchColumnSelectField
#   version - ActiveNetsuite::SearchColumnStringField
class AppPackageSearchRowBasic < SearchRowBasic
  attr_accessor :appDefinition
  attr_accessor :bundle
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :packageFile
  attr_accessor :version

  def initialize(appDefinition = [], bundle = [], description = [], externalId = [], internalId = [], packageFile = [], version = [])
    @appDefinition = appDefinition
    @bundle = bundle
    @description = description
    @externalId = externalId
    @internalId = internalId
    @packageFile = packageFile
    @version = version
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}NexusSearchRowBasic
#   country - ActiveNetsuite::SearchColumnEnumSelectField
#   description - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   state - ActiveNetsuite::SearchColumnSelectField
class NexusSearchRowBasic < SearchRowBasic
  attr_accessor :country
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :state

  def initialize(country = [], description = [], externalId = [], internalId = [], state = [])
    @country = country
    @description = description
    @externalId = externalId
    @internalId = internalId
    @state = state
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}OtherNameCategorySearchRowBasic
#   externalId - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
class OtherNameCategorySearchRowBasic < SearchRowBasic
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :name

  def initialize(externalId = [], internalId = [], isInactive = [], name = [])
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @name = name
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CustomerMessageSearchRowBasic
#   description - ActiveNetsuite::SearchColumnStringField
#   externalId - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   name - ActiveNetsuite::SearchColumnStringField
#   preferred - ActiveNetsuite::SearchColumnStringField
class CustomerMessageSearchRowBasic < SearchRowBasic
  attr_accessor :description
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :name
  attr_accessor :preferred

  def initialize(description = [], externalId = [], internalId = [], isInactive = [], name = [], preferred = [])
    @description = description
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @name = name
    @preferred = preferred
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ItemDemandPlanSearchRowBasic
#   alternateSourceItem - ActiveNetsuite::SearchColumnSelectField
#   analysisDuration - ActiveNetsuite::SearchColumnLongField
#   demandDate - ActiveNetsuite::SearchColumnDateField
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   item - ActiveNetsuite::SearchColumnSelectField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   location - ActiveNetsuite::SearchColumnSelectField
#   memo - ActiveNetsuite::SearchColumnStringField
#   projectionDuration - ActiveNetsuite::SearchColumnLongField
#   projectionInterval - ActiveNetsuite::SearchColumnStringField
#   projectionMethod - ActiveNetsuite::SearchColumnStringField
#   projectionStartDate - ActiveNetsuite::SearchColumnDateField
#   quantity - ActiveNetsuite::SearchColumnDoubleField
#   quantityUom - ActiveNetsuite::SearchColumnDoubleField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
#   units - ActiveNetsuite::SearchColumnSelectField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class ItemDemandPlanSearchRowBasic < SearchRowBasic
  attr_accessor :alternateSourceItem
  attr_accessor :analysisDuration
  attr_accessor :demandDate
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :item
  attr_accessor :lastModifiedDate
  attr_accessor :location
  attr_accessor :memo
  attr_accessor :projectionDuration
  attr_accessor :projectionInterval
  attr_accessor :projectionMethod
  attr_accessor :projectionStartDate
  attr_accessor :quantity
  attr_accessor :quantityUom
  attr_accessor :subsidiary
  attr_accessor :units
  attr_accessor :customFieldList

  def initialize(alternateSourceItem = [], analysisDuration = [], demandDate = [], externalId = [], internalId = [], item = [], lastModifiedDate = [], location = [], memo = [], projectionDuration = [], projectionInterval = [], projectionMethod = [], projectionStartDate = [], quantity = [], quantityUom = [], subsidiary = [], units = [], customFieldList = nil)
    @alternateSourceItem = alternateSourceItem
    @analysisDuration = analysisDuration
    @demandDate = demandDate
    @externalId = externalId
    @internalId = internalId
    @item = item
    @lastModifiedDate = lastModifiedDate
    @location = location
    @memo = memo
    @projectionDuration = projectionDuration
    @projectionInterval = projectionInterval
    @projectionMethod = projectionMethod
    @projectionStartDate = projectionStartDate
    @quantity = quantity
    @quantityUom = quantityUom
    @subsidiary = subsidiary
    @units = units
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ItemSupplyPlanSearchRowBasic
#   externalId - ActiveNetsuite::SearchColumnSelectField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   item - ActiveNetsuite::SearchColumnSelectField
#   lastModifiedDate - ActiveNetsuite::SearchColumnDateField
#   location - ActiveNetsuite::SearchColumnSelectField
#   memo - ActiveNetsuite::SearchColumnStringField
#   orderCreated - ActiveNetsuite::SearchColumnBooleanField
#   orderDate - ActiveNetsuite::SearchColumnDateField
#   orderType - ActiveNetsuite::SearchColumnSelectField
#   quantity - ActiveNetsuite::SearchColumnDoubleField
#   quantityUom - ActiveNetsuite::SearchColumnDoubleField
#   receiptDate - ActiveNetsuite::SearchColumnDateField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
#   units - ActiveNetsuite::SearchColumnSelectField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class ItemSupplyPlanSearchRowBasic < SearchRowBasic
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :item
  attr_accessor :lastModifiedDate
  attr_accessor :location
  attr_accessor :memo
  attr_accessor :orderCreated
  attr_accessor :orderDate
  attr_accessor :orderType
  attr_accessor :quantity
  attr_accessor :quantityUom
  attr_accessor :receiptDate
  attr_accessor :subsidiary
  attr_accessor :units
  attr_accessor :customFieldList

  def initialize(externalId = [], internalId = [], item = [], lastModifiedDate = [], location = [], memo = [], orderCreated = [], orderDate = [], orderType = [], quantity = [], quantityUom = [], receiptDate = [], subsidiary = [], units = [], customFieldList = nil)
    @externalId = externalId
    @internalId = internalId
    @item = item
    @lastModifiedDate = lastModifiedDate
    @location = location
    @memo = memo
    @orderCreated = orderCreated
    @orderDate = orderDate
    @orderType = orderType
    @quantity = quantity
    @quantityUom = quantityUom
    @receiptDate = receiptDate
    @subsidiary = subsidiary
    @units = units
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CurrencyRateSearchRowBasic
#   baseCurrency - ActiveNetsuite::SearchColumnSelectField
#   effectiveDate - ActiveNetsuite::SearchColumnDateField
#   exchangeRate - ActiveNetsuite::SearchColumnDoubleField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   transactionCurrency - ActiveNetsuite::SearchColumnSelectField
class CurrencyRateSearchRowBasic < SearchRowBasic
  attr_accessor :baseCurrency
  attr_accessor :effectiveDate
  attr_accessor :exchangeRate
  attr_accessor :internalId
  attr_accessor :transactionCurrency

  def initialize(baseCurrency = [], effectiveDate = [], exchangeRate = [], internalId = [], transactionCurrency = [])
    @baseCurrency = baseCurrency
    @effectiveDate = effectiveDate
    @exchangeRate = exchangeRate
    @internalId = internalId
    @transactionCurrency = transactionCurrency
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ItemRevisionSearchRowBasic
#   effectiveDate - ActiveNetsuite::SearchColumnDateField
#   externalId - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   item - ActiveNetsuite::SearchColumnSelectField
#   memo - ActiveNetsuite::SearchColumnStringField
#   name - ActiveNetsuite::SearchColumnStringField
#   obsoleteDate - ActiveNetsuite::SearchColumnDateField
class ItemRevisionSearchRowBasic < SearchRowBasic
  attr_accessor :effectiveDate
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :item
  attr_accessor :memo
  attr_accessor :name
  attr_accessor :obsoleteDate

  def initialize(effectiveDate = [], externalId = [], internalId = [], isInactive = [], item = [], memo = [], name = [], obsoleteDate = [])
    @effectiveDate = effectiveDate
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @item = item
    @memo = memo
    @name = name
    @obsoleteDate = obsoleteDate
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CouponCodeSearchRowBasic
#   code - ActiveNetsuite::SearchColumnStringField
#   dateSent - ActiveNetsuite::SearchColumnDateField
#   id - ActiveNetsuite::SearchColumnLongField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   promotion - ActiveNetsuite::SearchColumnStringField
#   recipient - ActiveNetsuite::SearchColumnStringField
#   useCount - ActiveNetsuite::SearchColumnLongField
#   used - ActiveNetsuite::SearchColumnBooleanField
class CouponCodeSearchRowBasic < SearchRowBasic
  attr_accessor :code
  attr_accessor :dateSent
  attr_accessor :id
  attr_accessor :internalId
  attr_accessor :promotion
  attr_accessor :recipient
  attr_accessor :useCount
  attr_accessor :used

  def initialize(code = [], dateSent = [], id = [], internalId = [], promotion = [], recipient = [], useCount = [], used = [])
    @code = code
    @dateSent = dateSent
    @id = id
    @internalId = internalId
    @promotion = promotion
    @recipient = recipient
    @useCount = useCount
    @used = used
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}PayrollItemSearchRowBasic
#   externalId - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   expenseAccount - ActiveNetsuite::SearchColumnStringField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   itemTypeNoHierarchy - ActiveNetsuite::SearchColumnStringField
#   liabilityAccount - ActiveNetsuite::SearchColumnStringField
#   name - ActiveNetsuite::SearchColumnStringField
#   vendor - ActiveNetsuite::SearchColumnStringField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class PayrollItemSearchRowBasic < SearchRowBasic
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :expenseAccount
  attr_accessor :isInactive
  attr_accessor :itemTypeNoHierarchy
  attr_accessor :liabilityAccount
  attr_accessor :name
  attr_accessor :vendor
  attr_accessor :customFieldList

  def initialize(externalId = [], internalId = [], expenseAccount = [], isInactive = [], itemTypeNoHierarchy = [], liabilityAccount = [], name = [], vendor = [], customFieldList = nil)
    @externalId = externalId
    @internalId = internalId
    @expenseAccount = expenseAccount
    @isInactive = isInactive
    @itemTypeNoHierarchy = itemTypeNoHierarchy
    @liabilityAccount = liabilityAccount
    @name = name
    @vendor = vendor
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ManufacturingCostTemplateSearchRowBasic
#   externalId - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   item - ActiveNetsuite::SearchColumnSelectField
#   memo - ActiveNetsuite::SearchColumnStringField
#   name - ActiveNetsuite::SearchColumnStringField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class ManufacturingCostTemplateSearchRowBasic < SearchRowBasic
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isInactive
  attr_accessor :item
  attr_accessor :memo
  attr_accessor :name
  attr_accessor :subsidiary
  attr_accessor :customFieldList

  def initialize(externalId = [], internalId = [], isInactive = [], item = [], memo = [], name = [], subsidiary = [], customFieldList = nil)
    @externalId = externalId
    @internalId = internalId
    @isInactive = isInactive
    @item = item
    @memo = memo
    @name = name
    @subsidiary = subsidiary
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ManufacturingRoutingSearchRowBasic
#   externalId - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   isDefault - ActiveNetsuite::SearchColumnBooleanField
#   isInactive - ActiveNetsuite::SearchColumnBooleanField
#   subsidiary - ActiveNetsuite::SearchColumnSelectField
#   item - ActiveNetsuite::SearchColumnSelectField
#   location - ActiveNetsuite::SearchColumnSelectField
#   manufacturingCostTemplate - ActiveNetsuite::SearchColumnSelectField
#   manufacturingWorkCenter - ActiveNetsuite::SearchColumnSelectField
#   memo - ActiveNetsuite::SearchColumnStringField
#   name - ActiveNetsuite::SearchColumnStringField
#   operationName - ActiveNetsuite::SearchColumnStringField
#   operationYield - ActiveNetsuite::SearchColumnDoubleField
#   runRate - ActiveNetsuite::SearchColumnDoubleField
#   sequence - ActiveNetsuite::SearchColumnLongField
#   setupTime - ActiveNetsuite::SearchColumnDoubleField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class ManufacturingRoutingSearchRowBasic < SearchRowBasic
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :isDefault
  attr_accessor :isInactive
  attr_accessor :subsidiary
  attr_accessor :item
  attr_accessor :location
  attr_accessor :manufacturingCostTemplate
  attr_accessor :manufacturingWorkCenter
  attr_accessor :memo
  attr_accessor :name
  attr_accessor :operationName
  attr_accessor :operationYield
  attr_accessor :runRate
  attr_accessor :sequence
  attr_accessor :setupTime
  attr_accessor :customFieldList

  def initialize(externalId = [], internalId = [], isDefault = [], isInactive = [], subsidiary = [], item = [], location = [], manufacturingCostTemplate = [], manufacturingWorkCenter = [], memo = [], name = [], operationName = [], operationYield = [], runRate = [], sequence = [], setupTime = [], customFieldList = nil)
    @externalId = externalId
    @internalId = internalId
    @isDefault = isDefault
    @isInactive = isInactive
    @subsidiary = subsidiary
    @item = item
    @location = location
    @manufacturingCostTemplate = manufacturingCostTemplate
    @manufacturingWorkCenter = manufacturingWorkCenter
    @memo = memo
    @name = name
    @operationName = operationName
    @operationYield = operationYield
    @runRate = runRate
    @sequence = sequence
    @setupTime = setupTime
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ManufacturingOperationTaskSearchRowBasic
#   actualRunTime - ActiveNetsuite::SearchColumnDoubleField
#   actualSetupTime - ActiveNetsuite::SearchColumnDoubleField
#   completedQuantity - ActiveNetsuite::SearchColumnDoubleField
#   endDate - ActiveNetsuite::SearchColumnDateField
#   estimatedWork - ActiveNetsuite::SearchColumnDoubleField
#   externalId - ActiveNetsuite::SearchColumnStringField
#   id - ActiveNetsuite::SearchColumnLongField
#   inputQuantity - ActiveNetsuite::SearchColumnDoubleField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   laborResources - ActiveNetsuite::SearchColumnLongField
#   machineResources - ActiveNetsuite::SearchColumnLongField
#   message - ActiveNetsuite::SearchColumnStringField
#   manufacturingCostTemplate - ActiveNetsuite::SearchColumnSelectField
#   manufacturingWorkCenter - ActiveNetsuite::SearchColumnSelectField
#   name - ActiveNetsuite::SearchColumnStringField
#   order - ActiveNetsuite::SearchColumnDoubleField
#   predecessor - ActiveNetsuite::SearchColumnSelectField
#   predecessorLagDays - ActiveNetsuite::SearchColumnDoubleField
#   predecessorType - ActiveNetsuite::SearchColumnStringField
#   remainingQuantity - ActiveNetsuite::SearchColumnDoubleField
#   runRate - ActiveNetsuite::SearchColumnDoubleField
#   runTime - ActiveNetsuite::SearchColumnDoubleField
#   sequence - ActiveNetsuite::SearchColumnLongField
#   setupTime - ActiveNetsuite::SearchColumnDoubleField
#   startDate - ActiveNetsuite::SearchColumnDateField
#   status - ActiveNetsuite::SearchColumnSelectField
#   workOrder - ActiveNetsuite::SearchColumnStringField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class ManufacturingOperationTaskSearchRowBasic < SearchRowBasic
  attr_accessor :actualRunTime
  attr_accessor :actualSetupTime
  attr_accessor :completedQuantity
  attr_accessor :endDate
  attr_accessor :estimatedWork
  attr_accessor :externalId
  attr_accessor :id
  attr_accessor :inputQuantity
  attr_accessor :internalId
  attr_accessor :laborResources
  attr_accessor :machineResources
  attr_accessor :message
  attr_accessor :manufacturingCostTemplate
  attr_accessor :manufacturingWorkCenter
  attr_accessor :name
  attr_accessor :order
  attr_accessor :predecessor
  attr_accessor :predecessorLagDays
  attr_accessor :predecessorType
  attr_accessor :remainingQuantity
  attr_accessor :runRate
  attr_accessor :runTime
  attr_accessor :sequence
  attr_accessor :setupTime
  attr_accessor :startDate
  attr_accessor :status
  attr_accessor :workOrder
  attr_accessor :customFieldList

  def initialize(actualRunTime = [], actualSetupTime = [], completedQuantity = [], endDate = [], estimatedWork = [], externalId = [], id = [], inputQuantity = [], internalId = [], laborResources = [], machineResources = [], message = [], manufacturingCostTemplate = [], manufacturingWorkCenter = [], name = [], order = [], predecessor = [], predecessorLagDays = [], predecessorType = [], remainingQuantity = [], runRate = [], runTime = [], sequence = [], setupTime = [], startDate = [], status = [], workOrder = [], customFieldList = nil)
    @actualRunTime = actualRunTime
    @actualSetupTime = actualSetupTime
    @completedQuantity = completedQuantity
    @endDate = endDate
    @estimatedWork = estimatedWork
    @externalId = externalId
    @id = id
    @inputQuantity = inputQuantity
    @internalId = internalId
    @laborResources = laborResources
    @machineResources = machineResources
    @message = message
    @manufacturingCostTemplate = manufacturingCostTemplate
    @manufacturingWorkCenter = manufacturingWorkCenter
    @name = name
    @order = order
    @predecessor = predecessor
    @predecessorLagDays = predecessorLagDays
    @predecessorType = predecessorType
    @remainingQuantity = remainingQuantity
    @runRate = runRate
    @runTime = runTime
    @sequence = sequence
    @setupTime = setupTime
    @startDate = startDate
    @status = status
    @workOrder = workOrder
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ResourceAllocationSearchRowBasic
#   allocationType - ActiveNetsuite::SearchColumnSelectField
#   allocationUnit - ActiveNetsuite::SearchColumnEnumSelectField
#   customer - ActiveNetsuite::SearchColumnSelectField
#   endDate - ActiveNetsuite::SearchColumnDateField
#   externalId - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   notes - ActiveNetsuite::SearchColumnStringField
#   numberHours - ActiveNetsuite::SearchColumnDoubleField
#   percentOfTime - ActiveNetsuite::SearchColumnDoubleField
#   project - ActiveNetsuite::SearchColumnSelectField
#   requestedBy - ActiveNetsuite::SearchColumnSelectField
#   resource - ActiveNetsuite::SearchColumnSelectField
#   startDate - ActiveNetsuite::SearchColumnDateField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class ResourceAllocationSearchRowBasic < SearchRowBasic
  attr_accessor :allocationType
  attr_accessor :allocationUnit
  attr_accessor :customer
  attr_accessor :endDate
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :notes
  attr_accessor :numberHours
  attr_accessor :percentOfTime
  attr_accessor :project
  attr_accessor :requestedBy
  attr_accessor :resource
  attr_accessor :startDate
  attr_accessor :customFieldList

  def initialize(allocationType = [], allocationUnit = [], customer = [], endDate = [], externalId = [], internalId = [], notes = [], numberHours = [], percentOfTime = [], project = [], requestedBy = [], resource = [], startDate = [], customFieldList = nil)
    @allocationType = allocationType
    @allocationUnit = allocationUnit
    @customer = customer
    @endDate = endDate
    @externalId = externalId
    @internalId = internalId
    @notes = notes
    @numberHours = numberHours
    @percentOfTime = percentOfTime
    @project = project
    @requestedBy = requestedBy
    @resource = resource
    @startDate = startDate
    @customFieldList = customFieldList
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ChargeSearchRowBasic
#   amount - ActiveNetsuite::SearchColumnDoubleField
#   billingItem - ActiveNetsuite::SearchColumnSelectField
#   billTo - ActiveNetsuite::SearchColumnSelectField
#   chargeDate - ActiveNetsuite::SearchColumnDateField
#   chargeType - ActiveNetsuite::SearchColumnEnumSelectField
#   createdDate - ActiveNetsuite::SearchColumnDateField
#   currency - ActiveNetsuite::SearchColumnSelectField
#   externalId - ActiveNetsuite::SearchColumnStringField
#   internalId - ActiveNetsuite::SearchColumnSelectField
#   modifiedDate - ActiveNetsuite::SearchColumnDateField
#   postingPeriod - ActiveNetsuite::SearchColumnStringField
#   quantity - ActiveNetsuite::SearchColumnStringField
#   rate - ActiveNetsuite::SearchColumnStringField
#   rule - ActiveNetsuite::SearchColumnSelectField
#   runId - ActiveNetsuite::SearchColumnStringField
#   salesOrder - ActiveNetsuite::SearchColumnStringField
#   stage - ActiveNetsuite::SearchColumnEnumSelectField
#   use - ActiveNetsuite::SearchColumnEnumSelectField
#   customFieldList - ActiveNetsuite::SearchColumnCustomFieldList
class ChargeSearchRowBasic < SearchRowBasic
  attr_accessor :amount
  attr_accessor :billingItem
  attr_accessor :billTo
  attr_accessor :chargeDate
  attr_accessor :chargeType
  attr_accessor :createdDate
  attr_accessor :currency
  attr_accessor :externalId
  attr_accessor :internalId
  attr_accessor :modifiedDate
  attr_accessor :postingPeriod
  attr_accessor :quantity
  attr_accessor :rate
  attr_accessor :rule
  attr_accessor :runId
  attr_accessor :salesOrder
  attr_accessor :stage
  attr_accessor :use
  attr_accessor :customFieldList

  def initialize(amount = [], billingItem = [], billTo = [], chargeDate = [], chargeType = [], createdDate = [], currency = [], externalId = [], internalId = [], modifiedDate = [], postingPeriod = [], quantity = [], rate = [], rule = [], runId = [], salesOrder = [], stage = [], use = [], customFieldList = nil)
    @amount = amount
    @billingItem = billingItem
    @billTo = billTo
    @chargeDate = chargeDate
    @chargeType = chargeType
    @createdDate = createdDate
    @currency = currency
    @externalId = externalId
    @internalId = internalId
    @modifiedDate = modifiedDate
    @postingPeriod = postingPeriod
    @quantity = quantity
    @rate = rate
    @rule = rule
    @runId = runId
    @salesOrder = salesOrder
    @stage = stage
    @use = use
    @customFieldList = customFieldList
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}CalendarEventSearchRow
#   basic - ActiveNetsuite::CalendarEventSearchRowBasic
#   attendeeJoin - ActiveNetsuite::EntitySearchRowBasic
#   attendeeContactJoin - ActiveNetsuite::ContactSearchRowBasic
#   attendeeCustomerJoin - ActiveNetsuite::CustomerSearchRowBasic
#   caseJoin - ActiveNetsuite::SupportCaseSearchRowBasic
#   fileJoin - ActiveNetsuite::FileSearchRowBasic
#   opportunityJoin - ActiveNetsuite::OpportunitySearchRowBasic
#   originatingLeadJoin - ActiveNetsuite::OriginatingLeadSearchRowBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class CalendarEventSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :attendeeJoin
  attr_accessor :attendeeContactJoin
  attr_accessor :attendeeCustomerJoin
  attr_accessor :caseJoin
  attr_accessor :fileJoin
  attr_accessor :opportunityJoin
  attr_accessor :originatingLeadJoin
  attr_accessor :transactionJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, attendeeJoin = nil, attendeeContactJoin = nil, attendeeCustomerJoin = nil, caseJoin = nil, fileJoin = nil, opportunityJoin = nil, originatingLeadJoin = nil, transactionJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @attendeeJoin = attendeeJoin
    @attendeeContactJoin = attendeeContactJoin
    @attendeeCustomerJoin = attendeeCustomerJoin
    @caseJoin = caseJoin
    @fileJoin = fileJoin
    @opportunityJoin = opportunityJoin
    @originatingLeadJoin = originatingLeadJoin
    @transactionJoin = transactionJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}TaskSearchRow
#   basic - ActiveNetsuite::TaskSearchRowBasic
#   caseJoin - ActiveNetsuite::SupportCaseSearchRowBasic
#   companyCustomerJoin - ActiveNetsuite::CustomerSearchRowBasic
#   contactJoin - ActiveNetsuite::ContactSearchRowBasic
#   employeeJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   fileJoin - ActiveNetsuite::FileSearchRowBasic
#   jobJoin - ActiveNetsuite::JobSearchRowBasic
#   opportunityJoin - ActiveNetsuite::OpportunitySearchRowBasic
#   originatingLeadJoin - ActiveNetsuite::OriginatingLeadSearchRowBasic
#   timeJoin - ActiveNetsuite::TimeBillSearchRowBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class TaskSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :caseJoin
  attr_accessor :companyCustomerJoin
  attr_accessor :contactJoin
  attr_accessor :employeeJoin
  attr_accessor :fileJoin
  attr_accessor :jobJoin
  attr_accessor :opportunityJoin
  attr_accessor :originatingLeadJoin
  attr_accessor :timeJoin
  attr_accessor :transactionJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, caseJoin = nil, companyCustomerJoin = nil, contactJoin = nil, employeeJoin = nil, fileJoin = nil, jobJoin = nil, opportunityJoin = nil, originatingLeadJoin = nil, timeJoin = nil, transactionJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @caseJoin = caseJoin
    @companyCustomerJoin = companyCustomerJoin
    @contactJoin = contactJoin
    @employeeJoin = employeeJoin
    @fileJoin = fileJoin
    @jobJoin = jobJoin
    @opportunityJoin = opportunityJoin
    @originatingLeadJoin = originatingLeadJoin
    @timeJoin = timeJoin
    @transactionJoin = transactionJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}PhoneCallSearchRow
#   basic - ActiveNetsuite::PhoneCallSearchRowBasic
#   caseJoin - ActiveNetsuite::SupportCaseSearchRowBasic
#   companyCustomerJoin - ActiveNetsuite::CustomerSearchRowBasic
#   contactJoin - ActiveNetsuite::ContactSearchRowBasic
#   employeeJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   fileJoin - ActiveNetsuite::FileSearchRowBasic
#   opportunityJoin - ActiveNetsuite::OpportunitySearchRowBasic
#   originatingLeadJoin - ActiveNetsuite::OriginatingLeadSearchRowBasic
#   participantJoin - ActiveNetsuite::EntitySearchRowBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class PhoneCallSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :caseJoin
  attr_accessor :companyCustomerJoin
  attr_accessor :contactJoin
  attr_accessor :employeeJoin
  attr_accessor :fileJoin
  attr_accessor :opportunityJoin
  attr_accessor :originatingLeadJoin
  attr_accessor :participantJoin
  attr_accessor :transactionJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, caseJoin = nil, companyCustomerJoin = nil, contactJoin = nil, employeeJoin = nil, fileJoin = nil, opportunityJoin = nil, originatingLeadJoin = nil, participantJoin = nil, transactionJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @caseJoin = caseJoin
    @companyCustomerJoin = companyCustomerJoin
    @contactJoin = contactJoin
    @employeeJoin = employeeJoin
    @fileJoin = fileJoin
    @opportunityJoin = opportunityJoin
    @originatingLeadJoin = originatingLeadJoin
    @participantJoin = participantJoin
    @transactionJoin = transactionJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}ProjectTaskSearchRow
#   basic - ActiveNetsuite::ProjectTaskSearchRowBasic
#   jobJoin - ActiveNetsuite::JobSearchRowBasic
#   predecessorJoin - ActiveNetsuite::ProjectTaskSearchRowBasic
#   projectTaskAssignmentJoin - ActiveNetsuite::ProjectTaskAssignmentSearchRowBasic
#   successorJoin - ActiveNetsuite::ProjectTaskSearchRowBasic
#   timeJoin - ActiveNetsuite::TimeBillSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class ProjectTaskSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :jobJoin
  attr_accessor :predecessorJoin
  attr_accessor :projectTaskAssignmentJoin
  attr_accessor :successorJoin
  attr_accessor :timeJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, jobJoin = nil, predecessorJoin = nil, projectTaskAssignmentJoin = nil, successorJoin = nil, timeJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @jobJoin = jobJoin
    @predecessorJoin = predecessorJoin
    @projectTaskAssignmentJoin = projectTaskAssignmentJoin
    @successorJoin = successorJoin
    @timeJoin = timeJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}ResourceAllocationSearchRow
#   basic - ActiveNetsuite::ResourceAllocationSearchRowBasic
#   customerJoin - ActiveNetsuite::CustomerSearchRowBasic
#   employeeJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   jobJoin - ActiveNetsuite::JobSearchRowBasic
#   requestedByJoin - ActiveNetsuite::EntitySearchRowBasic
#   resourceJoin - ActiveNetsuite::EntitySearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   vendorJoin - ActiveNetsuite::VendorSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class ResourceAllocationSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :customerJoin
  attr_accessor :employeeJoin
  attr_accessor :jobJoin
  attr_accessor :requestedByJoin
  attr_accessor :resourceJoin
  attr_accessor :userJoin
  attr_accessor :vendorJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, customerJoin = nil, employeeJoin = nil, jobJoin = nil, requestedByJoin = nil, resourceJoin = nil, userJoin = nil, vendorJoin = nil, customSearchJoin = [])
    @basic = basic
    @customerJoin = customerJoin
    @employeeJoin = employeeJoin
    @jobJoin = jobJoin
    @requestedByJoin = requestedByJoin
    @resourceJoin = resourceJoin
    @userJoin = userJoin
    @vendorJoin = vendorJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:communication_2013_2.general.webservices.netsuite.com}NoteSearchRow
#   basic - ActiveNetsuite::NoteSearchRowBasic
#   authorJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   callJoin - ActiveNetsuite::PhoneCallSearchRowBasic
#   campaignJoin - ActiveNetsuite::CampaignSearchRowBasic
#   caseJoin - ActiveNetsuite::SupportCaseSearchRowBasic
#   contactJoin - ActiveNetsuite::ContactSearchRowBasic
#   customerJoin - ActiveNetsuite::CustomerSearchRowBasic
#   employeeJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   entityJoin - ActiveNetsuite::EntitySearchRowBasic
#   eventJoin - ActiveNetsuite::CalendarEventSearchRowBasic
#   issueJoin - ActiveNetsuite::IssueSearchRowBasic
#   itemJoin - ActiveNetsuite::ItemSearchRowBasic
#   opportunityJoin - ActiveNetsuite::OpportunitySearchRowBasic
#   originatingLeadJoin - ActiveNetsuite::OriginatingLeadSearchRowBasic
#   partnerJoin - ActiveNetsuite::PartnerSearchRowBasic
#   solutionJoin - ActiveNetsuite::SolutionSearchRowBasic
#   taskJoin - ActiveNetsuite::TaskSearchRowBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   vendorJoin - ActiveNetsuite::VendorSearchRowBasic
class NoteSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :authorJoin
  attr_accessor :callJoin
  attr_accessor :campaignJoin
  attr_accessor :caseJoin
  attr_accessor :contactJoin
  attr_accessor :customerJoin
  attr_accessor :employeeJoin
  attr_accessor :entityJoin
  attr_accessor :eventJoin
  attr_accessor :issueJoin
  attr_accessor :itemJoin
  attr_accessor :opportunityJoin
  attr_accessor :originatingLeadJoin
  attr_accessor :partnerJoin
  attr_accessor :solutionJoin
  attr_accessor :taskJoin
  attr_accessor :transactionJoin
  attr_accessor :userJoin
  attr_accessor :vendorJoin

  def initialize(basic = nil, authorJoin = nil, callJoin = nil, campaignJoin = nil, caseJoin = nil, contactJoin = nil, customerJoin = nil, employeeJoin = nil, entityJoin = nil, eventJoin = nil, issueJoin = nil, itemJoin = nil, opportunityJoin = nil, originatingLeadJoin = nil, partnerJoin = nil, solutionJoin = nil, taskJoin = nil, transactionJoin = nil, userJoin = nil, vendorJoin = nil)
    @basic = basic
    @authorJoin = authorJoin
    @callJoin = callJoin
    @campaignJoin = campaignJoin
    @caseJoin = caseJoin
    @contactJoin = contactJoin
    @customerJoin = customerJoin
    @employeeJoin = employeeJoin
    @entityJoin = entityJoin
    @eventJoin = eventJoin
    @issueJoin = issueJoin
    @itemJoin = itemJoin
    @opportunityJoin = opportunityJoin
    @originatingLeadJoin = originatingLeadJoin
    @partnerJoin = partnerJoin
    @solutionJoin = solutionJoin
    @taskJoin = taskJoin
    @transactionJoin = transactionJoin
    @userJoin = userJoin
    @vendorJoin = vendorJoin
  end
end

# {urn:communication_2013_2.general.webservices.netsuite.com}MessageSearchRow
#   basic - ActiveNetsuite::MessageSearchRowBasic
#   attachmentsJoin - ActiveNetsuite::FileSearchRowBasic
#   authorJoin - ActiveNetsuite::EntitySearchRowBasic
#   campaignJoin - ActiveNetsuite::CampaignSearchRowBasic
#   caseJoin - ActiveNetsuite::SupportCaseSearchRowBasic
#   contactJoin - ActiveNetsuite::ContactSearchRowBasic
#   customerJoin - ActiveNetsuite::CustomerSearchRowBasic
#   employeeJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   entityJoin - ActiveNetsuite::EntitySearchRowBasic
#   opportunityJoin - ActiveNetsuite::OpportunitySearchRowBasic
#   originatingLeadJoin - ActiveNetsuite::OriginatingLeadSearchRowBasic
#   partnerJoin - ActiveNetsuite::PartnerSearchRowBasic
#   recipientJoin - ActiveNetsuite::EntitySearchRowBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   vendorJoin - ActiveNetsuite::VendorSearchRowBasic
class MessageSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :attachmentsJoin
  attr_accessor :authorJoin
  attr_accessor :campaignJoin
  attr_accessor :caseJoin
  attr_accessor :contactJoin
  attr_accessor :customerJoin
  attr_accessor :employeeJoin
  attr_accessor :entityJoin
  attr_accessor :opportunityJoin
  attr_accessor :originatingLeadJoin
  attr_accessor :partnerJoin
  attr_accessor :recipientJoin
  attr_accessor :transactionJoin
  attr_accessor :userJoin
  attr_accessor :vendorJoin

  def initialize(basic = nil, attachmentsJoin = nil, authorJoin = nil, campaignJoin = nil, caseJoin = nil, contactJoin = nil, customerJoin = nil, employeeJoin = nil, entityJoin = nil, opportunityJoin = nil, originatingLeadJoin = nil, partnerJoin = nil, recipientJoin = nil, transactionJoin = nil, userJoin = nil, vendorJoin = nil)
    @basic = basic
    @attachmentsJoin = attachmentsJoin
    @authorJoin = authorJoin
    @campaignJoin = campaignJoin
    @caseJoin = caseJoin
    @contactJoin = contactJoin
    @customerJoin = customerJoin
    @employeeJoin = employeeJoin
    @entityJoin = entityJoin
    @opportunityJoin = opportunityJoin
    @originatingLeadJoin = originatingLeadJoin
    @partnerJoin = partnerJoin
    @recipientJoin = recipientJoin
    @transactionJoin = transactionJoin
    @userJoin = userJoin
    @vendorJoin = vendorJoin
  end
end

# {urn:filecabinet_2013_2.documents.webservices.netsuite.com}FileSearchRow
#   basic - ActiveNetsuite::FileSearchRowBasic
#   shopperJoin - ActiveNetsuite::CustomerSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class FileSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :shopperJoin
  attr_accessor :userJoin

  def initialize(basic = nil, shopperJoin = nil, userJoin = nil)
    @basic = basic
    @shopperJoin = shopperJoin
    @userJoin = userJoin
  end
end

# {urn:filecabinet_2013_2.documents.webservices.netsuite.com}FolderSearchRow
#   basic - ActiveNetsuite::FolderSearchRowBasic
#   fileJoin - ActiveNetsuite::FileSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class FolderSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :fileJoin
  attr_accessor :userJoin

  def initialize(basic = nil, fileJoin = nil, userJoin = nil)
    @basic = basic
    @fileJoin = fileJoin
    @userJoin = userJoin
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}ContactSearchRow
#   basic - ActiveNetsuite::ContactSearchRowBasic
#   callJoin - ActiveNetsuite::PhoneCallSearchRowBasic
#   campaignResponseJoin - ActiveNetsuite::CampaignSearchRowBasic
#   caseJoin - ActiveNetsuite::SupportCaseSearchRowBasic
#   customerJoin - ActiveNetsuite::CustomerSearchRowBasic
#   customerPrimaryJoin - ActiveNetsuite::CustomerSearchRowBasic
#   eventJoin - ActiveNetsuite::CalendarEventSearchRowBasic
#   fileJoin - ActiveNetsuite::FileSearchRowBasic
#   jobJoin - ActiveNetsuite::JobSearchRowBasic
#   jobPrimaryJoin - ActiveNetsuite::JobSearchRowBasic
#   messagesJoin - ActiveNetsuite::MessageSearchRowBasic
#   messagesFromJoin - ActiveNetsuite::MessageSearchRowBasic
#   messagesToJoin - ActiveNetsuite::MessageSearchRowBasic
#   opportunityJoin - ActiveNetsuite::OpportunitySearchRowBasic
#   parentCustomerJoin - ActiveNetsuite::CustomerSearchRowBasic
#   parentJobJoin - ActiveNetsuite::JobSearchRowBasic
#   parentPartnerJoin - ActiveNetsuite::PartnerSearchRowBasic
#   parentVendorJoin - ActiveNetsuite::VendorSearchRowBasic
#   partnerJoin - ActiveNetsuite::PartnerSearchRowBasic
#   partnerPrimaryJoin - ActiveNetsuite::PartnerSearchRowBasic
#   purchasedItemJoin - ActiveNetsuite::ItemSearchRowBasic
#   taskJoin - ActiveNetsuite::TaskSearchRowBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   upsellItemJoin - ActiveNetsuite::ItemSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchRowBasic
#   vendorJoin - ActiveNetsuite::VendorSearchRowBasic
#   vendorPrimaryJoin - ActiveNetsuite::VendorSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class ContactSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :callJoin
  attr_accessor :campaignResponseJoin
  attr_accessor :caseJoin
  attr_accessor :customerJoin
  attr_accessor :customerPrimaryJoin
  attr_accessor :eventJoin
  attr_accessor :fileJoin
  attr_accessor :jobJoin
  attr_accessor :jobPrimaryJoin
  attr_accessor :messagesJoin
  attr_accessor :messagesFromJoin
  attr_accessor :messagesToJoin
  attr_accessor :opportunityJoin
  attr_accessor :parentCustomerJoin
  attr_accessor :parentJobJoin
  attr_accessor :parentPartnerJoin
  attr_accessor :parentVendorJoin
  attr_accessor :partnerJoin
  attr_accessor :partnerPrimaryJoin
  attr_accessor :purchasedItemJoin
  attr_accessor :taskJoin
  attr_accessor :transactionJoin
  attr_accessor :upsellItemJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :vendorJoin
  attr_accessor :vendorPrimaryJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, callJoin = nil, campaignResponseJoin = nil, caseJoin = nil, customerJoin = nil, customerPrimaryJoin = nil, eventJoin = nil, fileJoin = nil, jobJoin = nil, jobPrimaryJoin = nil, messagesJoin = nil, messagesFromJoin = nil, messagesToJoin = nil, opportunityJoin = nil, parentCustomerJoin = nil, parentJobJoin = nil, parentPartnerJoin = nil, parentVendorJoin = nil, partnerJoin = nil, partnerPrimaryJoin = nil, purchasedItemJoin = nil, taskJoin = nil, transactionJoin = nil, upsellItemJoin = nil, userJoin = nil, userNotesJoin = nil, vendorJoin = nil, vendorPrimaryJoin = nil, customSearchJoin = [])
    @basic = basic
    @callJoin = callJoin
    @campaignResponseJoin = campaignResponseJoin
    @caseJoin = caseJoin
    @customerJoin = customerJoin
    @customerPrimaryJoin = customerPrimaryJoin
    @eventJoin = eventJoin
    @fileJoin = fileJoin
    @jobJoin = jobJoin
    @jobPrimaryJoin = jobPrimaryJoin
    @messagesJoin = messagesJoin
    @messagesFromJoin = messagesFromJoin
    @messagesToJoin = messagesToJoin
    @opportunityJoin = opportunityJoin
    @parentCustomerJoin = parentCustomerJoin
    @parentJobJoin = parentJobJoin
    @parentPartnerJoin = parentPartnerJoin
    @parentVendorJoin = parentVendorJoin
    @partnerJoin = partnerJoin
    @partnerPrimaryJoin = partnerPrimaryJoin
    @purchasedItemJoin = purchasedItemJoin
    @taskJoin = taskJoin
    @transactionJoin = transactionJoin
    @upsellItemJoin = upsellItemJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @vendorJoin = vendorJoin
    @vendorPrimaryJoin = vendorPrimaryJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerSearchRow
#   basic - ActiveNetsuite::CustomerSearchRowBasic
#   callJoin - ActiveNetsuite::PhoneCallSearchRowBasic
#   campaignResponseJoin - ActiveNetsuite::CampaignSearchRowBasic
#   caseJoin - ActiveNetsuite::SupportCaseSearchRowBasic
#   contactJoin - ActiveNetsuite::ContactSearchRowBasic
#   contactPrimaryJoin - ActiveNetsuite::ContactSearchRowBasic
#   eventJoin - ActiveNetsuite::CalendarEventSearchRowBasic
#   fileJoin - ActiveNetsuite::FileSearchRowBasic
#   hostedPageJoin - ActiveNetsuite::FileSearchRowBasic
#   jobJoin - ActiveNetsuite::JobSearchRowBasic
#   leadSourceJoin - ActiveNetsuite::CampaignSearchRowBasic
#   messagesJoin - ActiveNetsuite::MessageSearchRowBasic
#   messagesFromJoin - ActiveNetsuite::MessageSearchRowBasic
#   messagesToJoin - ActiveNetsuite::MessageSearchRowBasic
#   opportunityJoin - ActiveNetsuite::OpportunitySearchRowBasic
#   originatingLeadJoin - ActiveNetsuite::OriginatingLeadSearchRowBasic
#   parentCustomerJoin - ActiveNetsuite::CustomerSearchRowBasic
#   partnerJoin - ActiveNetsuite::PartnerSearchRowBasic
#   purchasedItemJoin - ActiveNetsuite::ItemSearchRowBasic
#   resourceAllocationJoin - ActiveNetsuite::ResourceAllocationSearchRowBasic
#   salesRepJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   subCustomerJoin - ActiveNetsuite::CustomerSearchRowBasic
#   taskJoin - ActiveNetsuite::TaskSearchRowBasic
#   timeJoin - ActiveNetsuite::TimeBillSearchRowBasic
#   topLevelParentJoin - ActiveNetsuite::CustomerSearchRowBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   upsellItemJoin - ActiveNetsuite::ItemSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchRowBasic
#   webSiteCategoryJoin - ActiveNetsuite::SiteCategorySearchRowBasic
#   webSiteItemJoin - ActiveNetsuite::ItemSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class CustomerSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :callJoin
  attr_accessor :campaignResponseJoin
  attr_accessor :caseJoin
  attr_accessor :contactJoin
  attr_accessor :contactPrimaryJoin
  attr_accessor :eventJoin
  attr_accessor :fileJoin
  attr_accessor :hostedPageJoin
  attr_accessor :jobJoin
  attr_accessor :leadSourceJoin
  attr_accessor :messagesJoin
  attr_accessor :messagesFromJoin
  attr_accessor :messagesToJoin
  attr_accessor :opportunityJoin
  attr_accessor :originatingLeadJoin
  attr_accessor :parentCustomerJoin
  attr_accessor :partnerJoin
  attr_accessor :purchasedItemJoin
  attr_accessor :resourceAllocationJoin
  attr_accessor :salesRepJoin
  attr_accessor :subCustomerJoin
  attr_accessor :taskJoin
  attr_accessor :timeJoin
  attr_accessor :topLevelParentJoin
  attr_accessor :transactionJoin
  attr_accessor :upsellItemJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :webSiteCategoryJoin
  attr_accessor :webSiteItemJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, callJoin = nil, campaignResponseJoin = nil, caseJoin = nil, contactJoin = nil, contactPrimaryJoin = nil, eventJoin = nil, fileJoin = nil, hostedPageJoin = nil, jobJoin = nil, leadSourceJoin = nil, messagesJoin = nil, messagesFromJoin = nil, messagesToJoin = nil, opportunityJoin = nil, originatingLeadJoin = nil, parentCustomerJoin = nil, partnerJoin = nil, purchasedItemJoin = nil, resourceAllocationJoin = nil, salesRepJoin = nil, subCustomerJoin = nil, taskJoin = nil, timeJoin = nil, topLevelParentJoin = nil, transactionJoin = nil, upsellItemJoin = nil, userJoin = nil, userNotesJoin = nil, webSiteCategoryJoin = nil, webSiteItemJoin = nil, customSearchJoin = [])
    @basic = basic
    @callJoin = callJoin
    @campaignResponseJoin = campaignResponseJoin
    @caseJoin = caseJoin
    @contactJoin = contactJoin
    @contactPrimaryJoin = contactPrimaryJoin
    @eventJoin = eventJoin
    @fileJoin = fileJoin
    @hostedPageJoin = hostedPageJoin
    @jobJoin = jobJoin
    @leadSourceJoin = leadSourceJoin
    @messagesJoin = messagesJoin
    @messagesFromJoin = messagesFromJoin
    @messagesToJoin = messagesToJoin
    @opportunityJoin = opportunityJoin
    @originatingLeadJoin = originatingLeadJoin
    @parentCustomerJoin = parentCustomerJoin
    @partnerJoin = partnerJoin
    @purchasedItemJoin = purchasedItemJoin
    @resourceAllocationJoin = resourceAllocationJoin
    @salesRepJoin = salesRepJoin
    @subCustomerJoin = subCustomerJoin
    @taskJoin = taskJoin
    @timeJoin = timeJoin
    @topLevelParentJoin = topLevelParentJoin
    @transactionJoin = transactionJoin
    @upsellItemJoin = upsellItemJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @webSiteCategoryJoin = webSiteCategoryJoin
    @webSiteItemJoin = webSiteItemJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}PartnerSearchRow
#   basic - ActiveNetsuite::PartnerSearchRowBasic
#   campaignResponseJoin - ActiveNetsuite::CampaignSearchRowBasic
#   contactJoin - ActiveNetsuite::ContactSearchRowBasic
#   contactPrimaryJoin - ActiveNetsuite::ContactSearchRowBasic
#   customerJoin - ActiveNetsuite::CustomerSearchRowBasic
#   fileJoin - ActiveNetsuite::FileSearchRowBasic
#   messagesJoin - ActiveNetsuite::MessageSearchRowBasic
#   messagesFromJoin - ActiveNetsuite::MessageSearchRowBasic
#   messagesToJoin - ActiveNetsuite::MessageSearchRowBasic
#   opportunityJoin - ActiveNetsuite::OpportunitySearchRowBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class PartnerSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :campaignResponseJoin
  attr_accessor :contactJoin
  attr_accessor :contactPrimaryJoin
  attr_accessor :customerJoin
  attr_accessor :fileJoin
  attr_accessor :messagesJoin
  attr_accessor :messagesFromJoin
  attr_accessor :messagesToJoin
  attr_accessor :opportunityJoin
  attr_accessor :transactionJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, campaignResponseJoin = nil, contactJoin = nil, contactPrimaryJoin = nil, customerJoin = nil, fileJoin = nil, messagesJoin = nil, messagesFromJoin = nil, messagesToJoin = nil, opportunityJoin = nil, transactionJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @campaignResponseJoin = campaignResponseJoin
    @contactJoin = contactJoin
    @contactPrimaryJoin = contactPrimaryJoin
    @customerJoin = customerJoin
    @fileJoin = fileJoin
    @messagesJoin = messagesJoin
    @messagesFromJoin = messagesFromJoin
    @messagesToJoin = messagesToJoin
    @opportunityJoin = opportunityJoin
    @transactionJoin = transactionJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}VendorSearchRow
#   basic - ActiveNetsuite::VendorSearchRowBasic
#   campaignResponseJoin - ActiveNetsuite::CampaignSearchRowBasic
#   contactJoin - ActiveNetsuite::ContactSearchRowBasic
#   contactPrimaryJoin - ActiveNetsuite::ContactSearchRowBasic
#   fileJoin - ActiveNetsuite::FileSearchRowBasic
#   messagesJoin - ActiveNetsuite::MessageSearchRowBasic
#   messagesFromJoin - ActiveNetsuite::MessageSearchRowBasic
#   messagesToJoin - ActiveNetsuite::MessageSearchRowBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class VendorSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :campaignResponseJoin
  attr_accessor :contactJoin
  attr_accessor :contactPrimaryJoin
  attr_accessor :fileJoin
  attr_accessor :messagesJoin
  attr_accessor :messagesFromJoin
  attr_accessor :messagesToJoin
  attr_accessor :transactionJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, campaignResponseJoin = nil, contactJoin = nil, contactPrimaryJoin = nil, fileJoin = nil, messagesJoin = nil, messagesFromJoin = nil, messagesToJoin = nil, transactionJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @campaignResponseJoin = campaignResponseJoin
    @contactJoin = contactJoin
    @contactPrimaryJoin = contactPrimaryJoin
    @fileJoin = fileJoin
    @messagesJoin = messagesJoin
    @messagesFromJoin = messagesFromJoin
    @messagesToJoin = messagesToJoin
    @transactionJoin = transactionJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}EntityGroupSearchRow
#   basic - ActiveNetsuite::EntityGroupSearchRowBasic
#   groupMemberJoin - ActiveNetsuite::EntitySearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class EntityGroupSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :groupMemberJoin
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, groupMemberJoin = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @groupMemberJoin = groupMemberJoin
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}JobSearchRow
#   basic - ActiveNetsuite::JobSearchRowBasic
#   contactPrimaryJoin - ActiveNetsuite::ContactSearchRowBasic
#   customerJoin - ActiveNetsuite::CustomerSearchRowBasic
#   projectTaskJoin - ActiveNetsuite::ProjectTaskSearchRowBasic
#   resourceAllocationJoin - ActiveNetsuite::ResourceAllocationSearchRowBasic
#   taskJoin - ActiveNetsuite::TaskSearchRowBasic
#   timeJoin - ActiveNetsuite::TimeBillSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class JobSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :contactPrimaryJoin
  attr_accessor :customerJoin
  attr_accessor :projectTaskJoin
  attr_accessor :resourceAllocationJoin
  attr_accessor :taskJoin
  attr_accessor :timeJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, contactPrimaryJoin = nil, customerJoin = nil, projectTaskJoin = nil, resourceAllocationJoin = nil, taskJoin = nil, timeJoin = nil, customSearchJoin = [])
    @basic = basic
    @contactPrimaryJoin = contactPrimaryJoin
    @customerJoin = customerJoin
    @projectTaskJoin = projectTaskJoin
    @resourceAllocationJoin = resourceAllocationJoin
    @taskJoin = taskJoin
    @timeJoin = timeJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerStatusSearchRow
#   basic - ActiveNetsuite::CustomerStatusSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class CustomerStatusSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}JobStatusSearchRow
#   basic - ActiveNetsuite::JobStatusSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class JobStatusSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}JobTypeSearchRow
#   basic - ActiveNetsuite::JobTypeSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class JobTypeSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}OriginatingLeadSearchRow
#   basic - ActiveNetsuite::OriginatingLeadSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class OriginatingLeadSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :customSearchJoin

  def initialize(basic = nil, customSearchJoin = [])
    @basic = basic
    @customSearchJoin = customSearchJoin
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}SupportCaseSearchRow
#   basic - ActiveNetsuite::SupportCaseSearchRowBasic
#   contactJoin - ActiveNetsuite::ContactSearchRowBasic
#   customerJoin - ActiveNetsuite::CustomerSearchRowBasic
#   employeeJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   fileJoin - ActiveNetsuite::FileSearchRowBasic
#   issueJoin - ActiveNetsuite::IssueSearchRowBasic
#   itemJoin - ActiveNetsuite::ItemSearchRowBasic
#   messagesJoin - ActiveNetsuite::MessageSearchRowBasic
#   timeJoin - ActiveNetsuite::TimeBillSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class SupportCaseSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :contactJoin
  attr_accessor :customerJoin
  attr_accessor :employeeJoin
  attr_accessor :fileJoin
  attr_accessor :issueJoin
  attr_accessor :itemJoin
  attr_accessor :messagesJoin
  attr_accessor :timeJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, contactJoin = nil, customerJoin = nil, employeeJoin = nil, fileJoin = nil, issueJoin = nil, itemJoin = nil, messagesJoin = nil, timeJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @contactJoin = contactJoin
    @customerJoin = customerJoin
    @employeeJoin = employeeJoin
    @fileJoin = fileJoin
    @issueJoin = issueJoin
    @itemJoin = itemJoin
    @messagesJoin = messagesJoin
    @timeJoin = timeJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}SolutionSearchRow
#   basic - ActiveNetsuite::SolutionSearchRowBasic
#   caseJoin - ActiveNetsuite::SupportCaseSearchRowBasic
#   relatedSolutionJoin - ActiveNetsuite::SolutionSearchRowBasic
#   topicJoin - ActiveNetsuite::TopicSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class SolutionSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :caseJoin
  attr_accessor :relatedSolutionJoin
  attr_accessor :topicJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, caseJoin = nil, relatedSolutionJoin = nil, topicJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @caseJoin = caseJoin
    @relatedSolutionJoin = relatedSolutionJoin
    @topicJoin = topicJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}TopicSearchRow
#   basic - ActiveNetsuite::TopicSearchRowBasic
#   solutionJoin - ActiveNetsuite::SolutionSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class TopicSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :solutionJoin
  attr_accessor :userJoin

  def initialize(basic = nil, solutionJoin = nil, userJoin = nil)
    @basic = basic
    @solutionJoin = solutionJoin
    @userJoin = userJoin
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}IssueSearchRow
#   basic - ActiveNetsuite::IssueSearchRowBasic
#   caseJoin - ActiveNetsuite::SupportCaseSearchRowBasic
#   employeeJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   fileJoin - ActiveNetsuite::FileSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class IssueSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :caseJoin
  attr_accessor :employeeJoin
  attr_accessor :fileJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, caseJoin = nil, employeeJoin = nil, fileJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @caseJoin = caseJoin
    @employeeJoin = employeeJoin
    @fileJoin = fileJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}AccountSearchRow
#   basic - ActiveNetsuite::AccountSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class AccountSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}DepartmentSearchRow
#   basic - ActiveNetsuite::DepartmentSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class DepartmentSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ClassificationSearchRow
#   basic - ActiveNetsuite::ClassificationSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class ClassificationSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}LocationSearchRow
#   basic - ActiveNetsuite::LocationSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class LocationSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ItemSearchRow
#   basic - ActiveNetsuite::ItemSearchRowBasic
#   binNumberJoin - ActiveNetsuite::BinSearchRowBasic
#   binOnHandJoin - ActiveNetsuite::ItemBinNumberSearchRowBasic
#   correlatedItemJoin - ActiveNetsuite::ItemSearchRowBasic
#   effectiveRevisionJoin - ActiveNetsuite::ItemRevisionSearchRowBasic
#   fileJoin - ActiveNetsuite::FileSearchRowBasic
#   inventoryDetailJoin - ActiveNetsuite::InventoryDetailSearchRowBasic
#   inventoryLocationJoin - ActiveNetsuite::LocationSearchRowBasic
#   inventoryNumberJoin - ActiveNetsuite::InventoryNumberSearchRowBasic
#   inventoryNumberBinOnHandJoin - ActiveNetsuite::InventoryNumberBinSearchRowBasic
#   memberItemJoin - ActiveNetsuite::ItemSearchRowBasic
#   obsoleteRevisionJoin - ActiveNetsuite::ItemRevisionSearchRowBasic
#   parentJoin - ActiveNetsuite::ItemSearchRowBasic
#   preferredLocationJoin - ActiveNetsuite::LocationSearchRowBasic
#   preferredVendorJoin - ActiveNetsuite::VendorSearchRowBasic
#   shopperJoin - ActiveNetsuite::CustomerSearchRowBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchRowBasic
#   vendorJoin - ActiveNetsuite::VendorSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class ItemSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :binNumberJoin
  attr_accessor :binOnHandJoin
  attr_accessor :correlatedItemJoin
  attr_accessor :effectiveRevisionJoin
  attr_accessor :fileJoin
  attr_accessor :inventoryDetailJoin
  attr_accessor :inventoryLocationJoin
  attr_accessor :inventoryNumberJoin
  attr_accessor :inventoryNumberBinOnHandJoin
  attr_accessor :memberItemJoin
  attr_accessor :obsoleteRevisionJoin
  attr_accessor :parentJoin
  attr_accessor :preferredLocationJoin
  attr_accessor :preferredVendorJoin
  attr_accessor :shopperJoin
  attr_accessor :transactionJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :vendorJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, binNumberJoin = nil, binOnHandJoin = nil, correlatedItemJoin = nil, effectiveRevisionJoin = nil, fileJoin = nil, inventoryDetailJoin = nil, inventoryLocationJoin = nil, inventoryNumberJoin = nil, inventoryNumberBinOnHandJoin = nil, memberItemJoin = nil, obsoleteRevisionJoin = nil, parentJoin = nil, preferredLocationJoin = nil, preferredVendorJoin = nil, shopperJoin = nil, transactionJoin = nil, userJoin = nil, userNotesJoin = nil, vendorJoin = nil, customSearchJoin = [])
    @basic = basic
    @binNumberJoin = binNumberJoin
    @binOnHandJoin = binOnHandJoin
    @correlatedItemJoin = correlatedItemJoin
    @effectiveRevisionJoin = effectiveRevisionJoin
    @fileJoin = fileJoin
    @inventoryDetailJoin = inventoryDetailJoin
    @inventoryLocationJoin = inventoryLocationJoin
    @inventoryNumberJoin = inventoryNumberJoin
    @inventoryNumberBinOnHandJoin = inventoryNumberBinOnHandJoin
    @memberItemJoin = memberItemJoin
    @obsoleteRevisionJoin = obsoleteRevisionJoin
    @parentJoin = parentJoin
    @preferredLocationJoin = preferredLocationJoin
    @preferredVendorJoin = preferredVendorJoin
    @shopperJoin = shopperJoin
    @transactionJoin = transactionJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @vendorJoin = vendorJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}BinSearchRow
#   basic - ActiveNetsuite::BinSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class BinSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}SubsidiarySearchRow
#   basic - ActiveNetsuite::SubsidiarySearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class SubsidiarySearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}GiftCertificateSearchRow
#   basic - ActiveNetsuite::GiftCertificateSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class GiftCertificateSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}AccountingPeriodSearchRow
#   basic - ActiveNetsuite::AccountingPeriodSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchRowBasic
class AccountingPeriodSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin
  attr_accessor :userNotesJoin

  def initialize(basic = nil, userJoin = nil, userNotesJoin = nil)
    @basic = basic
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ContactCategorySearchRow
#   basic - ActiveNetsuite::ContactCategorySearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class ContactCategorySearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ContactRoleSearchRow
#   basic - ActiveNetsuite::ContactRoleSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class ContactRoleSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}CustomerCategorySearchRow
#   basic - ActiveNetsuite::CustomerCategorySearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class CustomerCategorySearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ExpenseCategorySearchRow
#   basic - ActiveNetsuite::ExpenseCategorySearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class ExpenseCategorySearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}NoteTypeSearchRow
#   basic - ActiveNetsuite::NoteTypeSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class NoteTypeSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}PartnerCategorySearchRow
#   basic - ActiveNetsuite::PartnerCategorySearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class PartnerCategorySearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}PaymentMethodSearchRow
#   basic - ActiveNetsuite::PaymentMethodSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class PaymentMethodSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}PriceLevelSearchRow
#   basic - ActiveNetsuite::PriceLevelSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class PriceLevelSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}SalesRoleSearchRow
#   basic - ActiveNetsuite::SalesRoleSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class SalesRoleSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}TermSearchRow
#   basic - ActiveNetsuite::TermSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class TermSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}VendorCategorySearchRow
#   basic - ActiveNetsuite::VendorCategorySearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class VendorCategorySearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}WinLossReasonSearchRow
#   basic - ActiveNetsuite::WinLossReasonSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class WinLossReasonSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}UnitsTypeSearchRow
#   basic - ActiveNetsuite::UnitsTypeSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class UnitsTypeSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}PricingGroupSearchRow
#   basic - ActiveNetsuite::PricingGroupSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class PricingGroupSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}InventoryNumberSearchRow
#   basic - ActiveNetsuite::InventoryNumberSearchRowBasic
#   itemJoin - ActiveNetsuite::ItemSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class InventoryNumberSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :itemJoin
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, itemJoin = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @itemJoin = itemJoin
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}RevRecScheduleSearchRow
#   basic - ActiveNetsuite::RevRecScheduleSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class RevRecScheduleSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}RevRecTemplateSearchRow
#   basic - ActiveNetsuite::RevRecTemplateSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class RevRecTemplateSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}NexusSearchRow
#   basic - ActiveNetsuite::NexusSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class NexusSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}OtherNameCategorySearchRow
#   basic - ActiveNetsuite::OtherNameCategorySearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class OtherNameCategorySearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}CustomerMessageSearchRow
#   basic - ActiveNetsuite::CustomerMessageSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class CustomerMessageSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}CurrencyRateSearchRow
#   basic - ActiveNetsuite::CurrencyRateSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class CurrencyRateSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ItemRevisionSearchRow
#   basic - ActiveNetsuite::ItemRevisionSearchRowBasic
#   itemJoin - ActiveNetsuite::ItemSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class ItemRevisionSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :itemJoin
  attr_accessor :userJoin

  def initialize(basic = nil, itemJoin = nil, userJoin = nil)
    @basic = basic
    @itemJoin = itemJoin
    @userJoin = userJoin
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}OpportunitySearchRow
#   basic - ActiveNetsuite::OpportunitySearchRowBasic
#   actualJoin - ActiveNetsuite::TransactionSearchRowBasic
#   callJoin - ActiveNetsuite::PhoneCallSearchRowBasic
#   customerJoin - ActiveNetsuite::CustomerSearchRowBasic
#   decisionMakerJoin - ActiveNetsuite::ContactSearchRowBasic
#   estimateJoin - ActiveNetsuite::TransactionSearchRowBasic
#   eventJoin - ActiveNetsuite::CalendarEventSearchRowBasic
#   fileJoin - ActiveNetsuite::FileSearchRowBasic
#   itemJoin - ActiveNetsuite::ItemSearchRowBasic
#   leadSourceJoin - ActiveNetsuite::CampaignSearchRowBasic
#   messagesJoin - ActiveNetsuite::MessageSearchRowBasic
#   orderJoin - ActiveNetsuite::TransactionSearchRowBasic
#   originatingLeadJoin - ActiveNetsuite::OriginatingLeadSearchRowBasic
#   partnerJoin - ActiveNetsuite::PartnerSearchRowBasic
#   salesRepJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   taskJoin - ActiveNetsuite::TaskSearchRowBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class OpportunitySearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :actualJoin
  attr_accessor :callJoin
  attr_accessor :customerJoin
  attr_accessor :decisionMakerJoin
  attr_accessor :estimateJoin
  attr_accessor :eventJoin
  attr_accessor :fileJoin
  attr_accessor :itemJoin
  attr_accessor :leadSourceJoin
  attr_accessor :messagesJoin
  attr_accessor :orderJoin
  attr_accessor :originatingLeadJoin
  attr_accessor :partnerJoin
  attr_accessor :salesRepJoin
  attr_accessor :taskJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, actualJoin = nil, callJoin = nil, customerJoin = nil, decisionMakerJoin = nil, estimateJoin = nil, eventJoin = nil, fileJoin = nil, itemJoin = nil, leadSourceJoin = nil, messagesJoin = nil, orderJoin = nil, originatingLeadJoin = nil, partnerJoin = nil, salesRepJoin = nil, taskJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @actualJoin = actualJoin
    @callJoin = callJoin
    @customerJoin = customerJoin
    @decisionMakerJoin = decisionMakerJoin
    @estimateJoin = estimateJoin
    @eventJoin = eventJoin
    @fileJoin = fileJoin
    @itemJoin = itemJoin
    @leadSourceJoin = leadSourceJoin
    @messagesJoin = messagesJoin
    @orderJoin = orderJoin
    @originatingLeadJoin = originatingLeadJoin
    @partnerJoin = partnerJoin
    @salesRepJoin = salesRepJoin
    @taskJoin = taskJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}TransactionSearchRow
#   basic - ActiveNetsuite::TransactionSearchRowBasic
#   accountJoin - ActiveNetsuite::AccountSearchRowBasic
#   accountingPeriodJoin - ActiveNetsuite::AccountingPeriodSearchRowBasic
#   appliedToTransactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   applyingTransactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   billingTransactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   binNumberJoin - ActiveNetsuite::BinSearchRowBasic
#   callJoin - ActiveNetsuite::PhoneCallSearchRowBasic
#   classJoin - ActiveNetsuite::ClassificationSearchRowBasic
#   cogsPurchaseJoin - ActiveNetsuite::TransactionSearchRowBasic
#   cogsSaleJoin - ActiveNetsuite::TransactionSearchRowBasic
#   contactPrimaryJoin - ActiveNetsuite::ContactSearchRowBasic
#   createdFromJoin - ActiveNetsuite::TransactionSearchRowBasic
#   customerJoin - ActiveNetsuite::CustomerSearchRowBasic
#   customerMainJoin - ActiveNetsuite::CustomerSearchRowBasic
#   departmentJoin - ActiveNetsuite::DepartmentSearchRowBasic
#   depositTransactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   employeeJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   eventJoin - ActiveNetsuite::CalendarEventSearchRowBasic
#   expenseCategoryJoin - ActiveNetsuite::ExpenseCategorySearchRowBasic
#   fileJoin - ActiveNetsuite::FileSearchRowBasic
#   fulfillingTransactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   inventoryDetailJoin - ActiveNetsuite::InventoryDetailSearchRowBasic
#   itemJoin - ActiveNetsuite::ItemSearchRowBasic
#   itemNumberJoin - ActiveNetsuite::InventoryNumberSearchRowBasic
#   jobJoin - ActiveNetsuite::JobSearchRowBasic
#   jobMainJoin - ActiveNetsuite::JobSearchRowBasic
#   leadSourceJoin - ActiveNetsuite::CampaignSearchRowBasic
#   locationJoin - ActiveNetsuite::LocationSearchRowBasic
#   messagesJoin - ActiveNetsuite::MessageSearchRowBasic
#   opportunityJoin - ActiveNetsuite::OpportunitySearchRowBasic
#   paidTransactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   partnerJoin - ActiveNetsuite::PartnerSearchRowBasic
#   payingTransactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   payrollItemJoin - ActiveNetsuite::PayrollItemSearchRowBasic
#   purchaseOrderJoin - ActiveNetsuite::TransactionSearchRowBasic
#   requestorJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   revCommittingTransactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   revisionJoin - ActiveNetsuite::ItemRevisionSearchRowBasic
#   rgPostingTransactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   salesOrderJoin - ActiveNetsuite::TransactionSearchRowBasic
#   salesRepJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   subsidiaryJoin - ActiveNetsuite::SubsidiarySearchRowBasic
#   taskJoin - ActiveNetsuite::TaskSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchRowBasic
#   vendorJoin - ActiveNetsuite::VendorSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class TransactionSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :accountJoin
  attr_accessor :accountingPeriodJoin
  attr_accessor :appliedToTransactionJoin
  attr_accessor :applyingTransactionJoin
  attr_accessor :billingTransactionJoin
  attr_accessor :binNumberJoin
  attr_accessor :callJoin
  attr_accessor :classJoin
  attr_accessor :cogsPurchaseJoin
  attr_accessor :cogsSaleJoin
  attr_accessor :contactPrimaryJoin
  attr_accessor :createdFromJoin
  attr_accessor :customerJoin
  attr_accessor :customerMainJoin
  attr_accessor :departmentJoin
  attr_accessor :depositTransactionJoin
  attr_accessor :employeeJoin
  attr_accessor :eventJoin
  attr_accessor :expenseCategoryJoin
  attr_accessor :fileJoin
  attr_accessor :fulfillingTransactionJoin
  attr_accessor :inventoryDetailJoin
  attr_accessor :itemJoin
  attr_accessor :itemNumberJoin
  attr_accessor :jobJoin
  attr_accessor :jobMainJoin
  attr_accessor :leadSourceJoin
  attr_accessor :locationJoin
  attr_accessor :messagesJoin
  attr_accessor :opportunityJoin
  attr_accessor :paidTransactionJoin
  attr_accessor :partnerJoin
  attr_accessor :payingTransactionJoin
  attr_accessor :payrollItemJoin
  attr_accessor :purchaseOrderJoin
  attr_accessor :requestorJoin
  attr_accessor :revCommittingTransactionJoin
  attr_accessor :revisionJoin
  attr_accessor :rgPostingTransactionJoin
  attr_accessor :salesOrderJoin
  attr_accessor :salesRepJoin
  attr_accessor :subsidiaryJoin
  attr_accessor :taskJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :vendorJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, accountJoin = nil, accountingPeriodJoin = nil, appliedToTransactionJoin = nil, applyingTransactionJoin = nil, billingTransactionJoin = nil, binNumberJoin = nil, callJoin = nil, classJoin = nil, cogsPurchaseJoin = nil, cogsSaleJoin = nil, contactPrimaryJoin = nil, createdFromJoin = nil, customerJoin = nil, customerMainJoin = nil, departmentJoin = nil, depositTransactionJoin = nil, employeeJoin = nil, eventJoin = nil, expenseCategoryJoin = nil, fileJoin = nil, fulfillingTransactionJoin = nil, inventoryDetailJoin = nil, itemJoin = nil, itemNumberJoin = nil, jobJoin = nil, jobMainJoin = nil, leadSourceJoin = nil, locationJoin = nil, messagesJoin = nil, opportunityJoin = nil, paidTransactionJoin = nil, partnerJoin = nil, payingTransactionJoin = nil, payrollItemJoin = nil, purchaseOrderJoin = nil, requestorJoin = nil, revCommittingTransactionJoin = nil, revisionJoin = nil, rgPostingTransactionJoin = nil, salesOrderJoin = nil, salesRepJoin = nil, subsidiaryJoin = nil, taskJoin = nil, userJoin = nil, userNotesJoin = nil, vendorJoin = nil, customSearchJoin = [])
    @basic = basic
    @accountJoin = accountJoin
    @accountingPeriodJoin = accountingPeriodJoin
    @appliedToTransactionJoin = appliedToTransactionJoin
    @applyingTransactionJoin = applyingTransactionJoin
    @billingTransactionJoin = billingTransactionJoin
    @binNumberJoin = binNumberJoin
    @callJoin = callJoin
    @classJoin = classJoin
    @cogsPurchaseJoin = cogsPurchaseJoin
    @cogsSaleJoin = cogsSaleJoin
    @contactPrimaryJoin = contactPrimaryJoin
    @createdFromJoin = createdFromJoin
    @customerJoin = customerJoin
    @customerMainJoin = customerMainJoin
    @departmentJoin = departmentJoin
    @depositTransactionJoin = depositTransactionJoin
    @employeeJoin = employeeJoin
    @eventJoin = eventJoin
    @expenseCategoryJoin = expenseCategoryJoin
    @fileJoin = fileJoin
    @fulfillingTransactionJoin = fulfillingTransactionJoin
    @inventoryDetailJoin = inventoryDetailJoin
    @itemJoin = itemJoin
    @itemNumberJoin = itemNumberJoin
    @jobJoin = jobJoin
    @jobMainJoin = jobMainJoin
    @leadSourceJoin = leadSourceJoin
    @locationJoin = locationJoin
    @messagesJoin = messagesJoin
    @opportunityJoin = opportunityJoin
    @paidTransactionJoin = paidTransactionJoin
    @partnerJoin = partnerJoin
    @payingTransactionJoin = payingTransactionJoin
    @payrollItemJoin = payrollItemJoin
    @purchaseOrderJoin = purchaseOrderJoin
    @requestorJoin = requestorJoin
    @revCommittingTransactionJoin = revCommittingTransactionJoin
    @revisionJoin = revisionJoin
    @rgPostingTransactionJoin = rgPostingTransactionJoin
    @salesOrderJoin = salesOrderJoin
    @salesRepJoin = salesRepJoin
    @subsidiaryJoin = subsidiaryJoin
    @taskJoin = taskJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @vendorJoin = vendorJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}ChargeSearchRow
#   basic - ActiveNetsuite::ChargeSearchRowBasic
#   jobJoin - ActiveNetsuite::JobSearchRowBasic
#   timeJoin - ActiveNetsuite::TimeBillSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class ChargeSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :jobJoin
  attr_accessor :timeJoin
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, jobJoin = nil, timeJoin = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @jobJoin = jobJoin
    @timeJoin = timeJoin
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:financial_2013_2.transactions.webservices.netsuite.com}BudgetSearchRow
#   basic - ActiveNetsuite::BudgetSearchRowBasic
class BudgetSearchRow < SearchRow
  attr_accessor :basic

  def initialize(basic = nil)
    @basic = basic
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordSearchRow
#   basic - ActiveNetsuite::CustomRecordSearchRowBasic
#   fileJoin - ActiveNetsuite::FileSearchRowBasic
#   messagesJoin - ActiveNetsuite::MessageSearchRowBasic
#   ownerJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class CustomRecordSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :fileJoin
  attr_accessor :messagesJoin
  attr_accessor :ownerJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, fileJoin = nil, messagesJoin = nil, ownerJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @fileJoin = fileJoin
    @messagesJoin = messagesJoin
    @ownerJoin = ownerJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomListSearchRow
#   basic - ActiveNetsuite::CustomListSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class CustomListSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}AppDefinitionSearchRow
#   basic - ActiveNetsuite::AppDefinitionSearchRowBasic
#   appPackageJoin - ActiveNetsuite::AppPackageSearchRowBasic
#   creatorJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class AppDefinitionSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :appPackageJoin
  attr_accessor :creatorJoin
  attr_accessor :userJoin

  def initialize(basic = nil, appPackageJoin = nil, creatorJoin = nil, userJoin = nil)
    @basic = basic
    @appPackageJoin = appPackageJoin
    @creatorJoin = creatorJoin
    @userJoin = userJoin
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}AppPackageSearchRow
#   basic - ActiveNetsuite::AppPackageSearchRowBasic
#   appDefinitionJoin - ActiveNetsuite::AppDefinitionSearchRowBasic
#   creatorJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   packageFileJoin - ActiveNetsuite::FileSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class AppPackageSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :appDefinitionJoin
  attr_accessor :creatorJoin
  attr_accessor :packageFileJoin
  attr_accessor :userJoin

  def initialize(basic = nil, appDefinitionJoin = nil, creatorJoin = nil, packageFileJoin = nil, userJoin = nil)
    @basic = basic
    @appDefinitionJoin = appDefinitionJoin
    @creatorJoin = creatorJoin
    @packageFileJoin = packageFileJoin
    @userJoin = userJoin
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeSearchRow
#   basic - ActiveNetsuite::EmployeeSearchRowBasic
#   campaignResponseJoin - ActiveNetsuite::CampaignSearchRowBasic
#   departmentJoin - ActiveNetsuite::DepartmentSearchRowBasic
#   fileJoin - ActiveNetsuite::FileSearchRowBasic
#   locationJoin - ActiveNetsuite::LocationSearchRowBasic
#   messagesJoin - ActiveNetsuite::MessageSearchRowBasic
#   messagesFromJoin - ActiveNetsuite::MessageSearchRowBasic
#   messagesToJoin - ActiveNetsuite::MessageSearchRowBasic
#   resourceAllocationJoin - ActiveNetsuite::ResourceAllocationSearchRowBasic
#   subsidiaryJoin - ActiveNetsuite::SubsidiarySearchRowBasic
#   timeJoin - ActiveNetsuite::TimeBillSearchRowBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class EmployeeSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :campaignResponseJoin
  attr_accessor :departmentJoin
  attr_accessor :fileJoin
  attr_accessor :locationJoin
  attr_accessor :messagesJoin
  attr_accessor :messagesFromJoin
  attr_accessor :messagesToJoin
  attr_accessor :resourceAllocationJoin
  attr_accessor :subsidiaryJoin
  attr_accessor :timeJoin
  attr_accessor :transactionJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, campaignResponseJoin = nil, departmentJoin = nil, fileJoin = nil, locationJoin = nil, messagesJoin = nil, messagesFromJoin = nil, messagesToJoin = nil, resourceAllocationJoin = nil, subsidiaryJoin = nil, timeJoin = nil, transactionJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @campaignResponseJoin = campaignResponseJoin
    @departmentJoin = departmentJoin
    @fileJoin = fileJoin
    @locationJoin = locationJoin
    @messagesJoin = messagesJoin
    @messagesFromJoin = messagesFromJoin
    @messagesToJoin = messagesToJoin
    @resourceAllocationJoin = resourceAllocationJoin
    @subsidiaryJoin = subsidiaryJoin
    @timeJoin = timeJoin
    @transactionJoin = transactionJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}PayrollItemSearchRow
#   basic - ActiveNetsuite::PayrollItemSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class PayrollItemSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :customSearchJoin

  def initialize(basic = nil, customSearchJoin = [])
    @basic = basic
    @customSearchJoin = customSearchJoin
  end
end

# {urn:website_2013_2.lists.webservices.netsuite.com}SiteCategorySearchRow
#   basic - ActiveNetsuite::SiteCategorySearchRowBasic
#   shopperJoin - ActiveNetsuite::CustomerSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class SiteCategorySearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :shopperJoin
  attr_accessor :userJoin

  def initialize(basic = nil, shopperJoin = nil, userJoin = nil)
    @basic = basic
    @shopperJoin = shopperJoin
    @userJoin = userJoin
  end
end

# {urn:employees_2013_2.transactions.webservices.netsuite.com}TimeBillSearchRow
#   basic - ActiveNetsuite::TimeBillSearchRowBasic
#   callJoin - ActiveNetsuite::PhoneCallSearchRowBasic
#   caseJoin - ActiveNetsuite::SupportCaseSearchRowBasic
#   classJoin - ActiveNetsuite::ClassificationSearchRowBasic
#   customerJoin - ActiveNetsuite::CustomerSearchRowBasic
#   departmentJoin - ActiveNetsuite::DepartmentSearchRowBasic
#   employeeJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   eventJoin - ActiveNetsuite::CalendarEventSearchRowBasic
#   itemJoin - ActiveNetsuite::ItemSearchRowBasic
#   jobJoin - ActiveNetsuite::JobSearchRowBasic
#   locationJoin - ActiveNetsuite::LocationSearchRowBasic
#   projectTaskJoin - ActiveNetsuite::ProjectTaskSearchRowBasic
#   projectTaskAssignmentJoin - ActiveNetsuite::ProjectTaskAssignmentSearchRowBasic
#   resourceAllocationJoin - ActiveNetsuite::ResourceAllocationSearchRowBasic
#   taskJoin - ActiveNetsuite::TaskSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   vendorJoin - ActiveNetsuite::VendorSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class TimeBillSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :callJoin
  attr_accessor :caseJoin
  attr_accessor :classJoin
  attr_accessor :customerJoin
  attr_accessor :departmentJoin
  attr_accessor :employeeJoin
  attr_accessor :eventJoin
  attr_accessor :itemJoin
  attr_accessor :jobJoin
  attr_accessor :locationJoin
  attr_accessor :projectTaskJoin
  attr_accessor :projectTaskAssignmentJoin
  attr_accessor :resourceAllocationJoin
  attr_accessor :taskJoin
  attr_accessor :userJoin
  attr_accessor :vendorJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, callJoin = nil, caseJoin = nil, classJoin = nil, customerJoin = nil, departmentJoin = nil, employeeJoin = nil, eventJoin = nil, itemJoin = nil, jobJoin = nil, locationJoin = nil, projectTaskJoin = nil, projectTaskAssignmentJoin = nil, resourceAllocationJoin = nil, taskJoin = nil, userJoin = nil, vendorJoin = nil, customSearchJoin = [])
    @basic = basic
    @callJoin = callJoin
    @caseJoin = caseJoin
    @classJoin = classJoin
    @customerJoin = customerJoin
    @departmentJoin = departmentJoin
    @employeeJoin = employeeJoin
    @eventJoin = eventJoin
    @itemJoin = itemJoin
    @jobJoin = jobJoin
    @locationJoin = locationJoin
    @projectTaskJoin = projectTaskJoin
    @projectTaskAssignmentJoin = projectTaskAssignmentJoin
    @resourceAllocationJoin = resourceAllocationJoin
    @taskJoin = taskJoin
    @userJoin = userJoin
    @vendorJoin = vendorJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignSearchRow
#   basic - ActiveNetsuite::CampaignSearchRowBasic
#   campaignRecipientJoin - ActiveNetsuite::EntitySearchRowBasic
#   fileJoin - ActiveNetsuite::FileSearchRowBasic
#   messagesJoin - ActiveNetsuite::MessageSearchRowBasic
#   originatingLeadJoin - ActiveNetsuite::OriginatingLeadSearchRowBasic
#   promotionCodeJoin - ActiveNetsuite::PromotionCodeSearchRowBasic
#   transactionJoin - ActiveNetsuite::TransactionSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   userNotesJoin - ActiveNetsuite::NoteSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class CampaignSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :campaignRecipientJoin
  attr_accessor :fileJoin
  attr_accessor :messagesJoin
  attr_accessor :originatingLeadJoin
  attr_accessor :promotionCodeJoin
  attr_accessor :transactionJoin
  attr_accessor :userJoin
  attr_accessor :userNotesJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, campaignRecipientJoin = nil, fileJoin = nil, messagesJoin = nil, originatingLeadJoin = nil, promotionCodeJoin = nil, transactionJoin = nil, userJoin = nil, userNotesJoin = nil, customSearchJoin = [])
    @basic = basic
    @campaignRecipientJoin = campaignRecipientJoin
    @fileJoin = fileJoin
    @messagesJoin = messagesJoin
    @originatingLeadJoin = originatingLeadJoin
    @promotionCodeJoin = promotionCodeJoin
    @transactionJoin = transactionJoin
    @userJoin = userJoin
    @userNotesJoin = userNotesJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}PromotionCodeSearchRow
#   basic - ActiveNetsuite::PromotionCodeSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class PromotionCodeSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CouponCodeSearchRow
#   basic - ActiveNetsuite::CouponCodeSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
class CouponCodeSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :userJoin

  def initialize(basic = nil, userJoin = nil)
    @basic = basic
    @userJoin = userJoin
  end
end

# {urn:demandplanning_2013_2.transactions.webservices.netsuite.com}ItemDemandPlanSearchRow
#   basic - ActiveNetsuite::ItemDemandPlanSearchRowBasic
#   itemJoin - ActiveNetsuite::ItemSearchRowBasic
#   lastAlternateSourceItemJoin - ActiveNetsuite::ItemSearchRowBasic
#   locationJoin - ActiveNetsuite::LocationSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class ItemDemandPlanSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :itemJoin
  attr_accessor :lastAlternateSourceItemJoin
  attr_accessor :locationJoin
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, itemJoin = nil, lastAlternateSourceItemJoin = nil, locationJoin = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @itemJoin = itemJoin
    @lastAlternateSourceItemJoin = lastAlternateSourceItemJoin
    @locationJoin = locationJoin
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:demandplanning_2013_2.transactions.webservices.netsuite.com}ItemSupplyPlanSearchRow
#   basic - ActiveNetsuite::ItemSupplyPlanSearchRowBasic
#   itemJoin - ActiveNetsuite::ItemSearchRowBasic
#   locationJoin - ActiveNetsuite::LocationSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class ItemSupplyPlanSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :itemJoin
  attr_accessor :locationJoin
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, itemJoin = nil, locationJoin = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @itemJoin = itemJoin
    @locationJoin = locationJoin
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:supplychain_2013_2.lists.webservices.netsuite.com}ManufacturingCostTemplateSearchRow
#   basic - ActiveNetsuite::ManufacturingCostTemplateSearchRowBasic
#   itemJoin - ActiveNetsuite::ItemSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class ManufacturingCostTemplateSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :itemJoin
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, itemJoin = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @itemJoin = itemJoin
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:supplychain_2013_2.lists.webservices.netsuite.com}ManufacturingRoutingSearchRow
#   basic - ActiveNetsuite::ManufacturingRoutingSearchRowBasic
#   itemJoin - ActiveNetsuite::ItemSearchRowBasic
#   locationJoin - ActiveNetsuite::LocationSearchRowBasic
#   manufacturingCostTemplateJoin - ActiveNetsuite::ManufacturingCostTemplateSearchRowBasic
#   manufacturingWorkCenterJoin - ActiveNetsuite::EntityGroupSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class ManufacturingRoutingSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :itemJoin
  attr_accessor :locationJoin
  attr_accessor :manufacturingCostTemplateJoin
  attr_accessor :manufacturingWorkCenterJoin
  attr_accessor :userJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, itemJoin = nil, locationJoin = nil, manufacturingCostTemplateJoin = nil, manufacturingWorkCenterJoin = nil, userJoin = nil, customSearchJoin = [])
    @basic = basic
    @itemJoin = itemJoin
    @locationJoin = locationJoin
    @manufacturingCostTemplateJoin = manufacturingCostTemplateJoin
    @manufacturingWorkCenterJoin = manufacturingWorkCenterJoin
    @userJoin = userJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:supplychain_2013_2.lists.webservices.netsuite.com}ManufacturingOperationTaskSearchRow
#   basic - ActiveNetsuite::ManufacturingOperationTaskSearchRowBasic
#   predecessorJoin - ActiveNetsuite::ManufacturingOperationTaskSearchRowBasic
#   userJoin - ActiveNetsuite::EmployeeSearchRowBasic
#   workOrderJoin - ActiveNetsuite::TransactionSearchRowBasic
#   customSearchJoin - ActiveNetsuite::CustomSearchRowBasic
class ManufacturingOperationTaskSearchRow < SearchRow
  attr_accessor :basic
  attr_accessor :predecessorJoin
  attr_accessor :userJoin
  attr_accessor :workOrderJoin
  attr_accessor :customSearchJoin

  def initialize(basic = nil, predecessorJoin = nil, userJoin = nil, workOrderJoin = nil, customSearchJoin = [])
    @basic = basic
    @predecessorJoin = predecessorJoin
    @userJoin = userJoin
    @workOrderJoin = workOrderJoin
    @customSearchJoin = customSearchJoin
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchResult
#   status - ActiveNetsuite::Status
#   totalRecords - SOAP::SOAPInt
#   pageSize - SOAP::SOAPInt
#   totalPages - SOAP::SOAPInt
#   pageIndex - SOAP::SOAPInt
#   searchId - SOAP::SOAPString
#   recordList - ActiveNetsuite::RecordList
#   searchRowList - ActiveNetsuite::SearchRowList
class SearchResult
  attr_accessor :status
  attr_accessor :totalRecords
  attr_accessor :pageSize
  attr_accessor :totalPages
  attr_accessor :pageIndex
  attr_accessor :searchId
  attr_accessor :recordList
  attr_accessor :searchRowList

  def initialize(status = nil, totalRecords = nil, pageSize = nil, totalPages = nil, pageIndex = nil, searchId = nil, recordList = nil, searchRowList = nil)
    @status = status
    @totalRecords = totalRecords
    @pageSize = pageSize
    @totalPages = totalPages
    @pageIndex = pageIndex
    @searchId = searchId
    @recordList = recordList
    @searchRowList = searchRowList
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}AsyncStatusResult
#   jobId - SOAP::SOAPString
#   status - ActiveNetsuite::AsyncStatusType
#   percentCompleted - SOAP::SOAPDouble
#   estRemainingDuration - SOAP::SOAPDouble
class AsyncStatusResult
  attr_accessor :jobId
  attr_accessor :status
  attr_accessor :percentCompleted
  attr_accessor :estRemainingDuration

  def initialize(jobId = nil, status = nil, percentCompleted = nil, estRemainingDuration = nil)
    @jobId = jobId
    @status = status
    @percentCompleted = percentCompleted
    @estRemainingDuration = estRemainingDuration
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}GetAllResult
#   status - ActiveNetsuite::Status
#   totalRecords - SOAP::SOAPInt
#   recordList - ActiveNetsuite::RecordList
class GetAllResult
  attr_accessor :status
  attr_accessor :totalRecords
  attr_accessor :recordList

  def initialize(status = nil, totalRecords = nil, recordList = nil)
    @status = status
    @totalRecords = totalRecords
    @recordList = recordList
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}GetSavedSearchResult
#   status - ActiveNetsuite::Status
#   totalRecords - SOAP::SOAPInt
#   recordRefList - ActiveNetsuite::RecordRefList
class GetSavedSearchResult
  attr_accessor :status
  attr_accessor :totalRecords
  attr_accessor :recordRefList

  def initialize(status = nil, totalRecords = nil, recordRefList = nil)
    @status = status
    @totalRecords = totalRecords
    @recordRefList = recordRefList
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}GetCustomizationIdResult
#   status - ActiveNetsuite::Status
#   totalRecords - SOAP::SOAPInt
#   customizationRefList - ActiveNetsuite::CustomizationRefList
class GetCustomizationIdResult
  attr_accessor :status
  attr_accessor :totalRecords
  attr_accessor :customizationRefList

  def initialize(status = nil, totalRecords = nil, customizationRefList = nil)
    @status = status
    @totalRecords = totalRecords
    @customizationRefList = customizationRefList
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}GetSelectValueResult
#   status - ActiveNetsuite::Status
#   totalRecords - SOAP::SOAPInt
#   totalPages - SOAP::SOAPInt
#   baseRefList - ActiveNetsuite::BaseRefList
class GetSelectValueResult
  attr_accessor :status
  attr_accessor :totalRecords
  attr_accessor :totalPages
  attr_accessor :baseRefList

  def initialize(status = nil, totalRecords = nil, totalPages = nil, baseRefList = nil)
    @status = status
    @totalRecords = totalRecords
    @totalPages = totalPages
    @baseRefList = baseRefList
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}RecordList
class RecordList < ::Array
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchRowList
class SearchRowList < ::Array
end

# {urn:core_2013_2.platform.webservices.netsuite.com}RecordRefList
class RecordRefList < ::Array
end

# {urn:core_2013_2.platform.webservices.netsuite.com}BaseRef
# abstract
#   name - SOAP::SOAPString
class BaseRef
  attr_accessor :name

  def initialize(name = nil)
    @name = name
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}RecordRef
#   name - SOAP::SOAPString
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
#   xmlattr_type - SOAP::SOAPString
class RecordRef < BaseRef
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrType = XSD::QName.new(nil, "type")

  attr_accessor :name

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def xmlattr_type
    __xmlattr[AttrType]
  end

  def xmlattr_type=(value)
    __xmlattr[AttrType] = value
  end

  def initialize(name = nil)
    @name = name
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}CustomizationRef
#   name - SOAP::SOAPString
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
#   xmlattr_type - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
class CustomizationRef < RecordRef
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrScriptId = XSD::QName.new(nil, "scriptId")
  AttrType = XSD::QName.new(nil, "type")

  attr_accessor :name

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def xmlattr_type
    __xmlattr[AttrType]
  end

  def xmlattr_type=(value)
    __xmlattr[AttrType] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def initialize(name = nil)
    @name = name
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}CustomRecordRef
#   name - SOAP::SOAPString
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
#   xmlattr_typeId - SOAP::SOAPString
class CustomRecordRef < BaseRef
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrTypeId = XSD::QName.new(nil, "typeId")

  attr_accessor :name

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def xmlattr_typeId
    __xmlattr[AttrTypeId]
  end

  def xmlattr_typeId=(value)
    __xmlattr[AttrTypeId] = value
  end

  def initialize(name = nil)
    @name = name
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}InitializeRef
#   name - SOAP::SOAPString
#   xmlattr_type - SOAP::SOAPString
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class InitializeRef < BaseRef
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrType = XSD::QName.new(nil, "type")

  attr_accessor :name

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_type
    __xmlattr[AttrType]
  end

  def xmlattr_type=(value)
    __xmlattr[AttrType] = value
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(name = nil)
    @name = name
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}InitializeAuxRef
#   name - SOAP::SOAPString
#   xmlattr_type - SOAP::SOAPString
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
class InitializeAuxRef < BaseRef
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrType = XSD::QName.new(nil, "type")

  attr_accessor :name

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_type
    __xmlattr[AttrType]
  end

  def xmlattr_type=(value)
    __xmlattr[AttrType] = value
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def initialize(name = nil)
    @name = name
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}BaseRefList
class BaseRefList < ::Array
end

# {urn:core_2013_2.platform.webservices.netsuite.com}Duration
#   timeSpan - SOAP::SOAPDouble
#   unit - ActiveNetsuite::DurationUnit
class Duration
  attr_accessor :timeSpan
  attr_accessor :unit

  def initialize(timeSpan = nil, unit = nil)
    @timeSpan = timeSpan
    @unit = unit
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}CustomizationRefList
class CustomizationRefList < ::Array
end

# {urn:core_2013_2.platform.webservices.netsuite.com}InitializeRecord
#   type - ActiveNetsuite::InitializeType
#   reference - ActiveNetsuite::InitializeRef
#   auxReference - ActiveNetsuite::InitializeAuxRef
#   referenceList - ActiveNetsuite::InitializeRefList
class InitializeRecord
  attr_accessor :type
  attr_accessor :reference
  attr_accessor :auxReference
  attr_accessor :referenceList

  def initialize(type = nil, reference = nil, auxReference = nil, referenceList = nil)
    @type = type
    @reference = reference
    @auxReference = auxReference
    @referenceList = referenceList
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}InitializeRefList
class InitializeRefList < ::Array
end

# {urn:core_2013_2.platform.webservices.netsuite.com}UpdateInviteeStatusReference
#   eventId - ActiveNetsuite::RecordRef
#   responseCode - ActiveNetsuite::CalendarEventAttendeeResponse
class UpdateInviteeStatusReference
  attr_accessor :eventId
  attr_accessor :responseCode

  def initialize(eventId = nil, responseCode = nil)
    @eventId = eventId
    @responseCode = responseCode
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}GetAllRecord
#   xmlattr_recordType - SOAP::SOAPString
class GetAllRecord
  AttrRecordType = XSD::QName.new(nil, "recordType")

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_recordType
    __xmlattr[AttrRecordType]
  end

  def xmlattr_recordType=(value)
    __xmlattr[AttrRecordType] = value
  end

  def initialize
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}GetSavedSearchRecord
#   xmlattr_searchType - SOAP::SOAPString
class GetSavedSearchRecord
  AttrSearchType = XSD::QName.new(nil, "searchType")

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_searchType
    __xmlattr[AttrSearchType]
  end

  def xmlattr_searchType=(value)
    __xmlattr[AttrSearchType] = value
  end

  def initialize
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}CustomizationType
#   xmlattr_getCustomizationType - SOAP::SOAPString
class CustomizationType
  AttrGetCustomizationType = XSD::QName.new(nil, "getCustomizationType")

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_getCustomizationType
    __xmlattr[AttrGetCustomizationType]
  end

  def xmlattr_getCustomizationType=(value)
    __xmlattr[AttrGetCustomizationType] = value
  end

  def initialize
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}ListOrRecordRef
#   name - SOAP::SOAPString
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_externalId - SOAP::SOAPString
#   xmlattr_typeId - SOAP::SOAPString
class ListOrRecordRef
  AttrExternalId = XSD::QName.new(nil, "externalId")
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrTypeId = XSD::QName.new(nil, "typeId")

  attr_accessor :name

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_externalId
    __xmlattr[AttrExternalId]
  end

  def xmlattr_externalId=(value)
    __xmlattr[AttrExternalId] = value
  end

  def xmlattr_typeId
    __xmlattr[AttrTypeId]
  end

  def xmlattr_typeId=(value)
    __xmlattr[AttrTypeId] = value
  end

  def initialize(name = nil)
    @name = name
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}CustomFieldRef
# abstract
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
class CustomFieldRef
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def initialize
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}LongCustomFieldRef
#   value - SOAP::SOAPLong
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
class LongCustomFieldRef < CustomFieldRef
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :value

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def initialize(value = nil)
    @value = value
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}DoubleCustomFieldRef
#   value - SOAP::SOAPDouble
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
class DoubleCustomFieldRef < CustomFieldRef
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :value

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def initialize(value = nil)
    @value = value
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}BooleanCustomFieldRef
#   value - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
class BooleanCustomFieldRef < CustomFieldRef
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :value

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def initialize(value = nil)
    @value = value
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}StringCustomFieldRef
#   value - SOAP::SOAPString
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
class StringCustomFieldRef < CustomFieldRef
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :value

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def initialize(value = nil)
    @value = value
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}DateCustomFieldRef
#   value - SOAP::SOAPDateTime
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
class DateCustomFieldRef < CustomFieldRef
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :value

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def initialize(value = nil)
    @value = value
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SelectCustomFieldRef
#   value - ActiveNetsuite::ListOrRecordRef
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
class SelectCustomFieldRef < CustomFieldRef
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :value

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def initialize(value = nil)
    @value = value
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}MultiSelectCustomFieldRef
#   value - ActiveNetsuite::ListOrRecordRef
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
class MultiSelectCustomFieldRef < CustomFieldRef
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :value

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def initialize(value = [])
    @value = value
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}CustomFieldList
class CustomFieldList < ::Array
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchBooleanField
#   searchValue - SOAP::SOAPBoolean
class SearchBooleanField
  attr_accessor :searchValue

  def initialize(searchValue = nil)
    @searchValue = searchValue
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchStringField
#   searchValue - SOAP::SOAPString
#   xmlattr_operator - SOAP::SOAPString
class SearchStringField
  AttrOperator = XSD::QName.new(nil, "operator")

  attr_accessor :searchValue

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_operator
    __xmlattr[AttrOperator]
  end

  def xmlattr_operator=(value)
    __xmlattr[AttrOperator] = value
  end

  def initialize(searchValue = nil)
    @searchValue = searchValue
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchLongField
#   searchValue - SOAP::SOAPLong
#   searchValue2 - SOAP::SOAPLong
#   xmlattr_operator - SOAP::SOAPString
class SearchLongField
  AttrOperator = XSD::QName.new(nil, "operator")

  attr_accessor :searchValue
  attr_accessor :searchValue2

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_operator
    __xmlattr[AttrOperator]
  end

  def xmlattr_operator=(value)
    __xmlattr[AttrOperator] = value
  end

  def initialize(searchValue = nil, searchValue2 = nil)
    @searchValue = searchValue
    @searchValue2 = searchValue2
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchTextNumberField
#   searchValue - SOAP::SOAPString
#   searchValue2 - SOAP::SOAPString
#   xmlattr_operator - SOAP::SOAPString
class SearchTextNumberField
  AttrOperator = XSD::QName.new(nil, "operator")

  attr_accessor :searchValue
  attr_accessor :searchValue2

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_operator
    __xmlattr[AttrOperator]
  end

  def xmlattr_operator=(value)
    __xmlattr[AttrOperator] = value
  end

  def initialize(searchValue = nil, searchValue2 = nil)
    @searchValue = searchValue
    @searchValue2 = searchValue2
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchDoubleField
#   searchValue - SOAP::SOAPDouble
#   searchValue2 - SOAP::SOAPDouble
#   xmlattr_operator - SOAP::SOAPString
class SearchDoubleField
  AttrOperator = XSD::QName.new(nil, "operator")

  attr_accessor :searchValue
  attr_accessor :searchValue2

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_operator
    __xmlattr[AttrOperator]
  end

  def xmlattr_operator=(value)
    __xmlattr[AttrOperator] = value
  end

  def initialize(searchValue = nil, searchValue2 = nil)
    @searchValue = searchValue
    @searchValue2 = searchValue2
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchDateField
#   predefinedSearchValue - ActiveNetsuite::SearchDate
#   searchValue - SOAP::SOAPDateTime
#   searchValue2 - SOAP::SOAPDateTime
#   xmlattr_operator - SOAP::SOAPString
class SearchDateField
  AttrOperator = XSD::QName.new(nil, "operator")

  attr_accessor :predefinedSearchValue
  attr_accessor :searchValue
  attr_accessor :searchValue2

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_operator
    __xmlattr[AttrOperator]
  end

  def xmlattr_operator=(value)
    __xmlattr[AttrOperator] = value
  end

  def initialize(predefinedSearchValue = nil, searchValue = nil, searchValue2 = nil)
    @predefinedSearchValue = predefinedSearchValue
    @searchValue = searchValue
    @searchValue2 = searchValue2
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchEnumMultiSelectField
#   searchValue - SOAP::SOAPString
#   xmlattr_operator - SOAP::SOAPString
class SearchEnumMultiSelectField
  AttrOperator = XSD::QName.new(nil, "operator")

  attr_accessor :searchValue

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_operator
    __xmlattr[AttrOperator]
  end

  def xmlattr_operator=(value)
    __xmlattr[AttrOperator] = value
  end

  def initialize(searchValue = [])
    @searchValue = searchValue
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchMultiSelectField
#   searchValue - ActiveNetsuite::RecordRef
#   xmlattr_operator - SOAP::SOAPString
class SearchMultiSelectField
  AttrOperator = XSD::QName.new(nil, "operator")

  attr_accessor :searchValue

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_operator
    __xmlattr[AttrOperator]
  end

  def xmlattr_operator=(value)
    __xmlattr[AttrOperator] = value
  end

  def initialize(searchValue = [])
    @searchValue = searchValue
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchCustomField
# abstract
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
class SearchCustomField
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def initialize
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchBooleanCustomField
#   searchValue - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
class SearchBooleanCustomField < SearchCustomField
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :searchValue

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def initialize(searchValue = nil)
    @searchValue = searchValue
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchStringCustomField
#   searchValue - SOAP::SOAPString
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
#   xmlattr_operator - SOAP::SOAPString
class SearchStringCustomField < SearchCustomField
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrOperator = XSD::QName.new(nil, "operator")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :searchValue

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def xmlattr_operator
    __xmlattr[AttrOperator]
  end

  def xmlattr_operator=(value)
    __xmlattr[AttrOperator] = value
  end

  def initialize(searchValue = nil)
    @searchValue = searchValue
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchLongCustomField
#   searchValue - SOAP::SOAPLong
#   searchValue2 - SOAP::SOAPLong
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
#   xmlattr_operator - SOAP::SOAPString
class SearchLongCustomField < SearchCustomField
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrOperator = XSD::QName.new(nil, "operator")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :searchValue
  attr_accessor :searchValue2

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def xmlattr_operator
    __xmlattr[AttrOperator]
  end

  def xmlattr_operator=(value)
    __xmlattr[AttrOperator] = value
  end

  def initialize(searchValue = nil, searchValue2 = nil)
    @searchValue = searchValue
    @searchValue2 = searchValue2
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchDoubleCustomField
#   searchValue - SOAP::SOAPDouble
#   searchValue2 - SOAP::SOAPDouble
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
#   xmlattr_operator - SOAP::SOAPString
class SearchDoubleCustomField < SearchCustomField
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrOperator = XSD::QName.new(nil, "operator")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :searchValue
  attr_accessor :searchValue2

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def xmlattr_operator
    __xmlattr[AttrOperator]
  end

  def xmlattr_operator=(value)
    __xmlattr[AttrOperator] = value
  end

  def initialize(searchValue = nil, searchValue2 = nil)
    @searchValue = searchValue
    @searchValue2 = searchValue2
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchDateCustomField
#   predefinedSearchValue - ActiveNetsuite::SearchDate
#   searchValue - SOAP::SOAPDateTime
#   searchValue2 - SOAP::SOAPDateTime
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
#   xmlattr_operator - SOAP::SOAPString
class SearchDateCustomField < SearchCustomField
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrOperator = XSD::QName.new(nil, "operator")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :predefinedSearchValue
  attr_accessor :searchValue
  attr_accessor :searchValue2

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def xmlattr_operator
    __xmlattr[AttrOperator]
  end

  def xmlattr_operator=(value)
    __xmlattr[AttrOperator] = value
  end

  def initialize(predefinedSearchValue = nil, searchValue = nil, searchValue2 = nil)
    @predefinedSearchValue = predefinedSearchValue
    @searchValue = searchValue
    @searchValue2 = searchValue2
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchEnumMultiSelectCustomField
#   searchValue - SOAP::SOAPString
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
#   xmlattr_operator - SOAP::SOAPString
class SearchEnumMultiSelectCustomField < SearchCustomField
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrOperator = XSD::QName.new(nil, "operator")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :searchValue

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def xmlattr_operator
    __xmlattr[AttrOperator]
  end

  def xmlattr_operator=(value)
    __xmlattr[AttrOperator] = value
  end

  def initialize(searchValue = [])
    @searchValue = searchValue
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchMultiSelectCustomField
#   searchValue - ActiveNetsuite::ListOrRecordRef
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
#   xmlattr_operator - SOAP::SOAPString
class SearchMultiSelectCustomField < SearchCustomField
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrOperator = XSD::QName.new(nil, "operator")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :searchValue

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def xmlattr_operator
    __xmlattr[AttrOperator]
  end

  def xmlattr_operator=(value)
    __xmlattr[AttrOperator] = value
  end

  def initialize(searchValue = [])
    @searchValue = searchValue
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchCustomFieldList
class SearchCustomFieldList < ::Array
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchColumnField
# abstract
#   customLabel - SOAP::SOAPString
class SearchColumnField
  attr_accessor :customLabel

  def initialize(customLabel = nil)
    @customLabel = customLabel
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchColumnBooleanField
#   customLabel - SOAP::SOAPString
#   searchValue - SOAP::SOAPBoolean
class SearchColumnBooleanField < SearchColumnField
  attr_accessor :customLabel
  attr_accessor :searchValue

  def initialize(customLabel = nil, searchValue = nil)
    @customLabel = customLabel
    @searchValue = searchValue
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchColumnStringField
#   customLabel - SOAP::SOAPString
#   searchValue - SOAP::SOAPString
class SearchColumnStringField < SearchColumnField
  attr_accessor :customLabel
  attr_accessor :searchValue

  def initialize(customLabel = nil, searchValue = nil)
    @customLabel = customLabel
    @searchValue = searchValue
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchColumnLongField
#   customLabel - SOAP::SOAPString
#   searchValue - SOAP::SOAPLong
class SearchColumnLongField < SearchColumnField
  attr_accessor :customLabel
  attr_accessor :searchValue

  def initialize(customLabel = nil, searchValue = nil)
    @customLabel = customLabel
    @searchValue = searchValue
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchColumnTextNumberField
#   customLabel - SOAP::SOAPString
#   searchValue - SOAP::SOAPString
class SearchColumnTextNumberField < SearchColumnField
  attr_accessor :customLabel
  attr_accessor :searchValue

  def initialize(customLabel = nil, searchValue = nil)
    @customLabel = customLabel
    @searchValue = searchValue
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchColumnDoubleField
#   customLabel - SOAP::SOAPString
#   searchValue - SOAP::SOAPDouble
class SearchColumnDoubleField < SearchColumnField
  attr_accessor :customLabel
  attr_accessor :searchValue

  def initialize(customLabel = nil, searchValue = nil)
    @customLabel = customLabel
    @searchValue = searchValue
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchColumnDateField
#   customLabel - SOAP::SOAPString
#   searchValue - SOAP::SOAPDateTime
class SearchColumnDateField < SearchColumnField
  attr_accessor :customLabel
  attr_accessor :searchValue

  def initialize(customLabel = nil, searchValue = nil)
    @customLabel = customLabel
    @searchValue = searchValue
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchColumnEnumSelectField
#   customLabel - SOAP::SOAPString
#   searchValue - SOAP::SOAPString
class SearchColumnEnumSelectField < SearchColumnField
  attr_accessor :customLabel
  attr_accessor :searchValue

  def initialize(customLabel = nil, searchValue = nil)
    @customLabel = customLabel
    @searchValue = searchValue
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchColumnSelectField
#   customLabel - SOAP::SOAPString
#   searchValue - ActiveNetsuite::RecordRef
class SearchColumnSelectField < SearchColumnField
  attr_accessor :customLabel
  attr_accessor :searchValue

  def initialize(customLabel = nil, searchValue = nil)
    @customLabel = customLabel
    @searchValue = searchValue
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchColumnCustomField
# abstract
#   customLabel - SOAP::SOAPString
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
class SearchColumnCustomField
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :customLabel

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def initialize(customLabel = nil)
    @customLabel = customLabel
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchColumnBooleanCustomField
#   customLabel - SOAP::SOAPString
#   searchValue - SOAP::SOAPBoolean
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
class SearchColumnBooleanCustomField < SearchColumnCustomField
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :customLabel
  attr_accessor :searchValue

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def initialize(customLabel = nil, searchValue = nil)
    @customLabel = customLabel
    @searchValue = searchValue
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchColumnStringCustomField
#   customLabel - SOAP::SOAPString
#   searchValue - SOAP::SOAPString
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
class SearchColumnStringCustomField < SearchColumnCustomField
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :customLabel
  attr_accessor :searchValue

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def initialize(customLabel = nil, searchValue = nil)
    @customLabel = customLabel
    @searchValue = searchValue
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchColumnLongCustomField
#   customLabel - SOAP::SOAPString
#   searchValue - SOAP::SOAPLong
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
class SearchColumnLongCustomField < SearchColumnCustomField
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :customLabel
  attr_accessor :searchValue

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def initialize(customLabel = nil, searchValue = nil)
    @customLabel = customLabel
    @searchValue = searchValue
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchColumnDoubleCustomField
#   customLabel - SOAP::SOAPString
#   searchValue - SOAP::SOAPDouble
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
class SearchColumnDoubleCustomField < SearchColumnCustomField
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :customLabel
  attr_accessor :searchValue

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def initialize(customLabel = nil, searchValue = nil)
    @customLabel = customLabel
    @searchValue = searchValue
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchColumnDateCustomField
#   customLabel - SOAP::SOAPString
#   searchValue - SOAP::SOAPDateTime
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
class SearchColumnDateCustomField < SearchColumnCustomField
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :customLabel
  attr_accessor :searchValue

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def initialize(customLabel = nil, searchValue = nil)
    @customLabel = customLabel
    @searchValue = searchValue
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchColumnEnumMultiSelectCustomField
#   customLabel - SOAP::SOAPString
#   searchValue - SOAP::SOAPString
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
class SearchColumnEnumMultiSelectCustomField < SearchColumnCustomField
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :customLabel
  attr_accessor :searchValue

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def initialize(customLabel = nil, searchValue = [])
    @customLabel = customLabel
    @searchValue = searchValue
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchColumnSelectCustomField
#   customLabel - SOAP::SOAPString
#   searchValue - ActiveNetsuite::ListOrRecordRef
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
class SearchColumnSelectCustomField < SearchColumnCustomField
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :customLabel
  attr_accessor :searchValue

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def initialize(customLabel = nil, searchValue = nil)
    @customLabel = customLabel
    @searchValue = searchValue
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchColumnMultiSelectCustomField
#   customLabel - SOAP::SOAPString
#   searchValue - ActiveNetsuite::ListOrRecordRef
#   xmlattr_internalId - SOAP::SOAPString
#   xmlattr_scriptId - SOAP::SOAPString
class SearchColumnMultiSelectCustomField < SearchColumnCustomField
  AttrInternalId = XSD::QName.new(nil, "internalId")
  AttrScriptId = XSD::QName.new(nil, "scriptId")

  attr_accessor :customLabel
  attr_accessor :searchValue

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_internalId
    __xmlattr[AttrInternalId]
  end

  def xmlattr_internalId=(value)
    __xmlattr[AttrInternalId] = value
  end

  def xmlattr_scriptId
    __xmlattr[AttrScriptId]
  end

  def xmlattr_scriptId=(value)
    __xmlattr[AttrScriptId] = value
  end

  def initialize(customLabel = nil, searchValue = [])
    @customLabel = customLabel
    @searchValue = searchValue
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}SearchColumnCustomFieldList
class SearchColumnCustomFieldList < ::Array
end

# {urn:core_2013_2.platform.webservices.netsuite.com}ItemAvailabilityFilter
#   item - ActiveNetsuite::RecordRefList
#   lastQtyAvailableChange - SOAP::SOAPDateTime
class ItemAvailabilityFilter
  attr_accessor :item
  attr_accessor :lastQtyAvailableChange

  def initialize(item = nil, lastQtyAvailableChange = nil)
    @item = item
    @lastQtyAvailableChange = lastQtyAvailableChange
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}ItemAvailability
#   item - ActiveNetsuite::RecordRef
#   lastQtyAvailableChange - SOAP::SOAPDateTime
#   locationId - ActiveNetsuite::RecordRef
#   quantityOnHand - SOAP::SOAPDouble
#   onHandValueMli - SOAP::SOAPDouble
#   reorderPoint - SOAP::SOAPDouble
#   preferredStockLevel - SOAP::SOAPDouble
#   quantityOnOrder - SOAP::SOAPDouble
#   quantityCommitted - SOAP::SOAPDouble
#   quantityBackOrdered - SOAP::SOAPDouble
#   quantityAvailable - SOAP::SOAPDouble
class ItemAvailability
  attr_accessor :item
  attr_accessor :lastQtyAvailableChange
  attr_accessor :locationId
  attr_accessor :quantityOnHand
  attr_accessor :onHandValueMli
  attr_accessor :reorderPoint
  attr_accessor :preferredStockLevel
  attr_accessor :quantityOnOrder
  attr_accessor :quantityCommitted
  attr_accessor :quantityBackOrdered
  attr_accessor :quantityAvailable

  def initialize(item = nil, lastQtyAvailableChange = nil, locationId = nil, quantityOnHand = nil, onHandValueMli = nil, reorderPoint = nil, preferredStockLevel = nil, quantityOnOrder = nil, quantityCommitted = nil, quantityBackOrdered = nil, quantityAvailable = nil)
    @item = item
    @lastQtyAvailableChange = lastQtyAvailableChange
    @locationId = locationId
    @quantityOnHand = quantityOnHand
    @onHandValueMli = onHandValueMli
    @reorderPoint = reorderPoint
    @preferredStockLevel = preferredStockLevel
    @quantityOnOrder = quantityOnOrder
    @quantityCommitted = quantityCommitted
    @quantityBackOrdered = quantityBackOrdered
    @quantityAvailable = quantityAvailable
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}ItemAvailabilityList
class ItemAvailabilityList < ::Array
end

# {urn:core_2013_2.platform.webservices.netsuite.com}GetItemAvailabilityResult
#   status - ActiveNetsuite::Status
#   itemAvailabilityList - ActiveNetsuite::ItemAvailabilityList
class GetItemAvailabilityResult
  attr_accessor :status
  attr_accessor :itemAvailabilityList

  def initialize(status = nil, itemAvailabilityList = nil)
    @status = status
    @itemAvailabilityList = itemAvailabilityList
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}BudgetExchangeRateFilter
#   period - ActiveNetsuite::RecordRef
#   fromSubsidiary - ActiveNetsuite::RecordRef
#   toSubsidiary - ActiveNetsuite::RecordRef
class BudgetExchangeRateFilter
  attr_accessor :period
  attr_accessor :fromSubsidiary
  attr_accessor :toSubsidiary

  def initialize(period = nil, fromSubsidiary = nil, toSubsidiary = nil)
    @period = period
    @fromSubsidiary = fromSubsidiary
    @toSubsidiary = toSubsidiary
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}BudgetExchangeRate
#   period - ActiveNetsuite::RecordRef
#   fromSubsidiary - ActiveNetsuite::RecordRef
#   toSubsidiary - ActiveNetsuite::RecordRef
#   currentRate - SOAP::SOAPDouble
#   averageRate - SOAP::SOAPDouble
#   historicalRate - SOAP::SOAPDouble
class BudgetExchangeRate
  attr_accessor :period
  attr_accessor :fromSubsidiary
  attr_accessor :toSubsidiary
  attr_accessor :currentRate
  attr_accessor :averageRate
  attr_accessor :historicalRate

  def initialize(period = nil, fromSubsidiary = nil, toSubsidiary = nil, currentRate = nil, averageRate = nil, historicalRate = nil)
    @period = period
    @fromSubsidiary = fromSubsidiary
    @toSubsidiary = toSubsidiary
    @currentRate = currentRate
    @averageRate = averageRate
    @historicalRate = historicalRate
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}BudgetExchangeRateList
class BudgetExchangeRateList < ::Array
end

# {urn:core_2013_2.platform.webservices.netsuite.com}GetBudgetExchangeRateResult
#   status - ActiveNetsuite::Status
#   budgetExchangeRateList - ActiveNetsuite::BudgetExchangeRateList
class GetBudgetExchangeRateResult
  attr_accessor :status
  attr_accessor :budgetExchangeRateList

  def initialize(status = nil, budgetExchangeRateList = nil)
    @status = status
    @budgetExchangeRateList = budgetExchangeRateList
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}ConsolidatedExchangeRateFilter
#   period - ActiveNetsuite::RecordRef
#   fromSubsidiary - ActiveNetsuite::RecordRef
#   toSubsidiary - ActiveNetsuite::RecordRef
class ConsolidatedExchangeRateFilter
  attr_accessor :period
  attr_accessor :fromSubsidiary
  attr_accessor :toSubsidiary

  def initialize(period = nil, fromSubsidiary = nil, toSubsidiary = nil)
    @period = period
    @fromSubsidiary = fromSubsidiary
    @toSubsidiary = toSubsidiary
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}ConsolidatedExchangeRate
#   period - ActiveNetsuite::RecordRef
#   fromSubsidiary - ActiveNetsuite::RecordRef
#   toSubsidiary - ActiveNetsuite::RecordRef
#   currentRate - SOAP::SOAPDouble
#   averageRate - SOAP::SOAPDouble
#   historicalRate - SOAP::SOAPDouble
class ConsolidatedExchangeRate
  attr_accessor :period
  attr_accessor :fromSubsidiary
  attr_accessor :toSubsidiary
  attr_accessor :currentRate
  attr_accessor :averageRate
  attr_accessor :historicalRate

  def initialize(period = nil, fromSubsidiary = nil, toSubsidiary = nil, currentRate = nil, averageRate = nil, historicalRate = nil)
    @period = period
    @fromSubsidiary = fromSubsidiary
    @toSubsidiary = toSubsidiary
    @currentRate = currentRate
    @averageRate = averageRate
    @historicalRate = historicalRate
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}ConsolidatedExchangeRateList
class ConsolidatedExchangeRateList < ::Array
end

# {urn:core_2013_2.platform.webservices.netsuite.com}GetConsolidatedExchangeRateResult
#   status - ActiveNetsuite::Status
#   consolidatedExchangeRateList - ActiveNetsuite::ConsolidatedExchangeRateList
class GetConsolidatedExchangeRateResult
  attr_accessor :status
  attr_accessor :consolidatedExchangeRateList

  def initialize(status = nil, consolidatedExchangeRateList = nil)
    @status = status
    @consolidatedExchangeRateList = consolidatedExchangeRateList
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}CurrencyRateFilter
#   baseCurrency - ActiveNetsuite::RecordRef
#   fromCurrency - ActiveNetsuite::RecordRef
#   effectiveDate - SOAP::SOAPDateTime
class CurrencyRateFilter
  attr_accessor :baseCurrency
  attr_accessor :fromCurrency
  attr_accessor :effectiveDate

  def initialize(baseCurrency = nil, fromCurrency = nil, effectiveDate = nil)
    @baseCurrency = baseCurrency
    @fromCurrency = fromCurrency
    @effectiveDate = effectiveDate
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}CurrencyRate
#   baseCurrency - ActiveNetsuite::RecordRef
#   fromCurrency - ActiveNetsuite::RecordRef
#   exchangeRate - SOAP::SOAPDouble
#   effectiveDate - SOAP::SOAPDateTime
class CurrencyRate_
  attr_accessor :baseCurrency
  attr_accessor :fromCurrency
  attr_accessor :exchangeRate
  attr_accessor :effectiveDate

  def initialize(baseCurrency = nil, fromCurrency = nil, exchangeRate = nil, effectiveDate = nil)
    @baseCurrency = baseCurrency
    @fromCurrency = fromCurrency
    @exchangeRate = exchangeRate
    @effectiveDate = effectiveDate
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}CurrencyRateList
class CurrencyRateList < ::Array
end

# {urn:core_2013_2.platform.webservices.netsuite.com}GetCurrencyRateResult
#   status - ActiveNetsuite::Status
#   currencyRateList - ActiveNetsuite::CurrencyRateList
class GetCurrencyRateResult
  attr_accessor :status
  attr_accessor :currencyRateList

  def initialize(status = nil, currencyRateList = nil)
    @status = status
    @currencyRateList = currencyRateList
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}DataCenterUrls
#   restDomain - SOAP::SOAPString
#   webservicesDomain - SOAP::SOAPString
#   systemDomain - SOAP::SOAPString
class DataCenterUrls
  attr_accessor :restDomain
  attr_accessor :webservicesDomain
  attr_accessor :systemDomain

  def initialize(restDomain = nil, webservicesDomain = nil, systemDomain = nil)
    @restDomain = restDomain
    @webservicesDomain = webservicesDomain
    @systemDomain = systemDomain
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}GetDataCenterUrlsResult
#   status - ActiveNetsuite::Status
#   dataCenterUrls - ActiveNetsuite::DataCenterUrls
class GetDataCenterUrlsResult
  attr_accessor :status
  attr_accessor :dataCenterUrls

  def initialize(status = nil, dataCenterUrls = nil)
    @status = status
    @dataCenterUrls = dataCenterUrls
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}PostingTransactionSummaryField
#   period - SOAP::SOAPBoolean
#   account - SOAP::SOAPBoolean
#   parentItem - SOAP::SOAPBoolean
#   item - SOAP::SOAPBoolean
#   entity - SOAP::SOAPBoolean
#   department - SOAP::SOAPBoolean
#   m_class - SOAP::SOAPBoolean
#   location - SOAP::SOAPBoolean
#   subsidiary - SOAP::SOAPBoolean
class PostingTransactionSummaryField
  attr_accessor :period
  attr_accessor :account
  attr_accessor :parentItem
  attr_accessor :item
  attr_accessor :entity
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiary

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(period = nil, account = nil, parentItem = nil, item = nil, entity = nil, department = nil, v_class = nil, location = nil, subsidiary = nil)
    @period = period
    @account = account
    @parentItem = parentItem
    @item = item
    @entity = entity
    @department = department
    @v_class = v_class
    @location = location
    @subsidiary = subsidiary
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}PostingTransactionSummaryFilter
#   period - ActiveNetsuite::RecordRefList
#   account - ActiveNetsuite::RecordRefList
#   parentItem - ActiveNetsuite::RecordRefList
#   item - ActiveNetsuite::RecordRefList
#   entity - ActiveNetsuite::RecordRefList
#   department - ActiveNetsuite::RecordRefList
#   m_class - ActiveNetsuite::RecordRefList
#   location - ActiveNetsuite::RecordRefList
#   subsidiary - ActiveNetsuite::RecordRefList
class PostingTransactionSummaryFilter
  attr_accessor :period
  attr_accessor :account
  attr_accessor :parentItem
  attr_accessor :item
  attr_accessor :entity
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiary

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(period = nil, account = nil, parentItem = nil, item = nil, entity = nil, department = nil, v_class = nil, location = nil, subsidiary = nil)
    @period = period
    @account = account
    @parentItem = parentItem
    @item = item
    @entity = entity
    @department = department
    @v_class = v_class
    @location = location
    @subsidiary = subsidiary
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}PostingTransactionSummary
#   period - ActiveNetsuite::RecordRef
#   account - ActiveNetsuite::RecordRef
#   parentItem - ActiveNetsuite::RecordRef
#   item - ActiveNetsuite::RecordRef
#   entity - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   subsidiary - ActiveNetsuite::RecordRef
#   amount - SOAP::SOAPDouble
class PostingTransactionSummary
  attr_accessor :period
  attr_accessor :account
  attr_accessor :parentItem
  attr_accessor :item
  attr_accessor :entity
  attr_accessor :department
  attr_accessor :location
  attr_accessor :subsidiary
  attr_accessor :amount

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(period = nil, account = nil, parentItem = nil, item = nil, entity = nil, department = nil, v_class = nil, location = nil, subsidiary = nil, amount = nil)
    @period = period
    @account = account
    @parentItem = parentItem
    @item = item
    @entity = entity
    @department = department
    @v_class = v_class
    @location = location
    @subsidiary = subsidiary
    @amount = amount
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}PostingTransactionSummaryList
class PostingTransactionSummaryList < ::Array
end

# {urn:core_2013_2.platform.webservices.netsuite.com}GetPostingTransactionSummaryResult
#   status - ActiveNetsuite::Status
#   totalRecords - SOAP::SOAPInt
#   pageSize - SOAP::SOAPInt
#   totalPages - SOAP::SOAPInt
#   pageIndex - SOAP::SOAPInt
#   postingTransactionSummaryList - ActiveNetsuite::PostingTransactionSummaryList
class GetPostingTransactionSummaryResult
  attr_accessor :status
  attr_accessor :totalRecords
  attr_accessor :pageSize
  attr_accessor :totalPages
  attr_accessor :pageIndex
  attr_accessor :postingTransactionSummaryList

  def initialize(status = nil, totalRecords = nil, pageSize = nil, totalPages = nil, pageIndex = nil, postingTransactionSummaryList = nil)
    @status = status
    @totalRecords = totalRecords
    @pageSize = pageSize
    @totalPages = totalPages
    @pageIndex = pageIndex
    @postingTransactionSummaryList = postingTransactionSummaryList
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}GetSelectValueFieldDescription
#   recordType - ActiveNetsuite::RecordType
#   customRecordType - ActiveNetsuite::RecordRef
#   sublist - SOAP::SOAPString
#   field - SOAP::SOAPString
#   customForm - ActiveNetsuite::RecordRef
#   filter - ActiveNetsuite::GetSelectValueFilter
#   filterByValueList - ActiveNetsuite::GetSelectFilterByFieldValueList
class GetSelectValueFieldDescription
  attr_accessor :recordType
  attr_accessor :customRecordType
  attr_accessor :sublist
  attr_accessor :field
  attr_accessor :customForm
  attr_accessor :filter
  attr_accessor :filterByValueList

  def initialize(recordType = nil, customRecordType = nil, sublist = nil, field = nil, customForm = nil, filter = nil, filterByValueList = nil)
    @recordType = recordType
    @customRecordType = customRecordType
    @sublist = sublist
    @field = field
    @customForm = customForm
    @filter = filter
    @filterByValueList = filterByValueList
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}GetSelectValueFilter
#   filterValue - SOAP::SOAPString
#   xmlattr_operator - SOAP::SOAPString
class GetSelectValueFilter
  AttrOperator = XSD::QName.new(nil, "operator")

  attr_accessor :filterValue

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_operator
    __xmlattr[AttrOperator]
  end

  def xmlattr_operator=(value)
    __xmlattr[AttrOperator] = value
  end

  def initialize(filterValue = nil)
    @filterValue = filterValue
    @__xmlattr = {}
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}GetSelectFilterByFieldValueList
class GetSelectFilterByFieldValueList < ::Array
end

# {urn:core_2013_2.platform.webservices.netsuite.com}GetSelectFilterByFieldValue
#   sublist - SOAP::SOAPString
#   field - SOAP::SOAPString
#   internalId - SOAP::SOAPString
class GetSelectFilterByFieldValue
  attr_accessor :sublist
  attr_accessor :field
  attr_accessor :internalId

  def initialize(sublist = nil, field = nil, internalId = nil)
    @sublist = sublist
    @field = field
    @internalId = internalId
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}GetServerTimeResult
#   status - ActiveNetsuite::Status
#   serverTime - SOAP::SOAPDateTime
class GetServerTimeResult
  attr_accessor :status
  attr_accessor :serverTime

  def initialize(status = nil, serverTime = nil)
    @status = status
    @serverTime = serverTime
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}DeletedRecord
#   deletedDate - SOAP::SOAPDateTime
#   record - ActiveNetsuite::BaseRef
class DeletedRecord
  attr_accessor :deletedDate
  attr_accessor :record

  def initialize(deletedDate = nil, record = nil)
    @deletedDate = deletedDate
    @record = record
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}DeletedRecordList
class DeletedRecordList < ::Array
end

# {urn:core_2013_2.platform.webservices.netsuite.com}GetDeletedResult
#   status - ActiveNetsuite::Status
#   deletedRecordList - ActiveNetsuite::DeletedRecordList
class GetDeletedResult
  attr_accessor :status
  attr_accessor :deletedRecordList

  def initialize(status = nil, deletedRecordList = nil)
    @status = status
    @deletedRecordList = deletedRecordList
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}GetDeletedFilter
#   deletedDate - ActiveNetsuite::SearchDateField
#   type - ActiveNetsuite::SearchEnumMultiSelectField
class GetDeletedFilter
  attr_accessor :deletedDate
  attr_accessor :type

  def initialize(deletedDate = nil, type = nil)
    @deletedDate = deletedDate
    @type = type
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}AttachReference
# abstract
#   attachTo - ActiveNetsuite::BaseRef
class AttachReference
  attr_accessor :attachTo

  def initialize(attachTo = nil)
    @attachTo = attachTo
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}AttachContactReference
#   attachTo - ActiveNetsuite::BaseRef
#   contact - ActiveNetsuite::RecordRef
#   contactRole - ActiveNetsuite::RecordRef
class AttachContactReference < AttachReference
  attr_accessor :attachTo
  attr_accessor :contact
  attr_accessor :contactRole

  def initialize(attachTo = nil, contact = nil, contactRole = nil)
    @attachTo = attachTo
    @contact = contact
    @contactRole = contactRole
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}AttachBasicReference
#   attachTo - ActiveNetsuite::BaseRef
#   attachedRecord - ActiveNetsuite::BaseRef
class AttachBasicReference < AttachReference
  attr_accessor :attachTo
  attr_accessor :attachedRecord

  def initialize(attachTo = nil, attachedRecord = nil)
    @attachTo = attachTo
    @attachedRecord = attachedRecord
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}DetachReference
# abstract
#   detachFrom - ActiveNetsuite::BaseRef
class DetachReference
  attr_accessor :detachFrom

  def initialize(detachFrom = nil)
    @detachFrom = detachFrom
  end
end

# {urn:core_2013_2.platform.webservices.netsuite.com}DetachBasicReference
#   detachFrom - ActiveNetsuite::BaseRef
#   detachedRecord - ActiveNetsuite::BaseRef
class DetachBasicReference < DetachReference
  attr_accessor :detachFrom
  attr_accessor :detachedRecord

  def initialize(detachFrom = nil, detachedRecord = nil)
    @detachFrom = detachFrom
    @detachedRecord = detachedRecord
  end
end

# {urn:faults_2013_2.platform.webservices.netsuite.com}SoapFault
#   code - ActiveNetsuite::FaultCodeType
#   message - SOAP::SOAPString
class SoapFault
  attr_accessor :code
  attr_accessor :message

  def initialize(code = nil, message = nil)
    @code = code
    @message = message
  end
end

# {urn:faults_2013_2.platform.webservices.netsuite.com}InsufficientPermissionFault
#   code - ActiveNetsuite::FaultCodeType
#   message - SOAP::SOAPString
class InsufficientPermissionFault < SoapFault
  attr_accessor :code
  attr_accessor :message

  def initialize(code = nil, message = nil)
    @code = code
    @message = message
  end
end

# {urn:faults_2013_2.platform.webservices.netsuite.com}InvalidAccountFault
#   code - ActiveNetsuite::FaultCodeType
#   message - SOAP::SOAPString
class InvalidAccountFault < SoapFault
  attr_accessor :code
  attr_accessor :message

  def initialize(code = nil, message = nil)
    @code = code
    @message = message
  end
end

# {urn:faults_2013_2.platform.webservices.netsuite.com}InvalidCredentialsFault
#   code - ActiveNetsuite::FaultCodeType
#   message - SOAP::SOAPString
class InvalidCredentialsFault < SoapFault
  attr_accessor :code
  attr_accessor :message

  def initialize(code = nil, message = nil)
    @code = code
    @message = message
  end
end

# {urn:faults_2013_2.platform.webservices.netsuite.com}InvalidSessionFault
#   code - ActiveNetsuite::FaultCodeType
#   message - SOAP::SOAPString
class InvalidSessionFault < SoapFault
  attr_accessor :code
  attr_accessor :message

  def initialize(code = nil, message = nil)
    @code = code
    @message = message
  end
end

# {urn:faults_2013_2.platform.webservices.netsuite.com}ExceededRequestLimitFault
#   code - ActiveNetsuite::FaultCodeType
#   message - SOAP::SOAPString
class ExceededRequestLimitFault < SoapFault
  attr_accessor :code
  attr_accessor :message

  def initialize(code = nil, message = nil)
    @code = code
    @message = message
  end
end

# {urn:faults_2013_2.platform.webservices.netsuite.com}ExceededUsageLimitFault
#   code - ActiveNetsuite::FaultCodeType
#   message - SOAP::SOAPString
class ExceededUsageLimitFault < SoapFault
  attr_accessor :code
  attr_accessor :message

  def initialize(code = nil, message = nil)
    @code = code
    @message = message
  end
end

# {urn:faults_2013_2.platform.webservices.netsuite.com}ExceededRecordCountFault
#   code - ActiveNetsuite::FaultCodeType
#   message - SOAP::SOAPString
class ExceededRecordCountFault < SoapFault
  attr_accessor :code
  attr_accessor :message

  def initialize(code = nil, message = nil)
    @code = code
    @message = message
  end
end

# {urn:faults_2013_2.platform.webservices.netsuite.com}InvalidVersionFault
#   code - ActiveNetsuite::FaultCodeType
#   message - SOAP::SOAPString
class InvalidVersionFault < SoapFault
  attr_accessor :code
  attr_accessor :message

  def initialize(code = nil, message = nil)
    @code = code
    @message = message
  end
end

# {urn:faults_2013_2.platform.webservices.netsuite.com}ExceededRequestSizeFault
#   code - ActiveNetsuite::FaultCodeType
#   message - SOAP::SOAPString
class ExceededRequestSizeFault < SoapFault
  attr_accessor :code
  attr_accessor :message

  def initialize(code = nil, message = nil)
    @code = code
    @message = message
  end
end

# {urn:faults_2013_2.platform.webservices.netsuite.com}AsyncFault
#   code - ActiveNetsuite::FaultCodeType
#   message - SOAP::SOAPString
class AsyncFault < SoapFault
  attr_accessor :code
  attr_accessor :message

  def initialize(code = nil, message = nil)
    @code = code
    @message = message
  end
end

# {urn:faults_2013_2.platform.webservices.netsuite.com}UnexpectedErrorFault
#   code - ActiveNetsuite::FaultCodeType
#   message - SOAP::SOAPString
class UnexpectedErrorFault < SoapFault
  attr_accessor :code
  attr_accessor :message

  def initialize(code = nil, message = nil)
    @code = code
    @message = message
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}ApplicationInfo
#   applicationId - SOAP::SOAPString
class ApplicationInfo
  attr_accessor :applicationId

  def initialize(applicationId = nil)
    @applicationId = applicationId
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}PartnerInfo
#   partnerId - SOAP::SOAPString
class PartnerInfo
  attr_accessor :partnerId

  def initialize(partnerId = nil)
    @partnerId = partnerId
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}DocumentInfo
#   nsId - SOAP::SOAPString
class DocumentInfo
  attr_accessor :nsId

  def initialize(nsId = nil)
    @nsId = nsId
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}Preferences
#   warningAsError - SOAP::SOAPBoolean
#   disableMandatoryCustomFieldValidation - SOAP::SOAPBoolean
#   disableSystemNotesForCustomFields - SOAP::SOAPBoolean
#   ignoreReadOnlyFields - SOAP::SOAPBoolean
class Preferences
  attr_accessor :warningAsError
  attr_accessor :disableMandatoryCustomFieldValidation
  attr_accessor :disableSystemNotesForCustomFields
  attr_accessor :ignoreReadOnlyFields

  def initialize(warningAsError = nil, disableMandatoryCustomFieldValidation = nil, disableSystemNotesForCustomFields = nil, ignoreReadOnlyFields = nil)
    @warningAsError = warningAsError
    @disableMandatoryCustomFieldValidation = disableMandatoryCustomFieldValidation
    @disableSystemNotesForCustomFields = disableSystemNotesForCustomFields
    @ignoreReadOnlyFields = ignoreReadOnlyFields
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}SearchPreferences
#   bodyFieldsOnly - SOAP::SOAPBoolean
#   returnSearchColumns - SOAP::SOAPBoolean
#   pageSize - SOAP::SOAPInt
class SearchPreferences
  attr_accessor :bodyFieldsOnly
  attr_accessor :returnSearchColumns
  attr_accessor :pageSize

  def initialize(bodyFieldsOnly = nil, returnSearchColumns = nil, pageSize = nil)
    @bodyFieldsOnly = bodyFieldsOnly
    @returnSearchColumns = returnSearchColumns
    @pageSize = pageSize
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}SessionResponse
#   status - ActiveNetsuite::Status
#   userId - ActiveNetsuite::RecordRef
#   wsRoleList - ActiveNetsuite::WsRoleList
class SessionResponse
  attr_accessor :status
  attr_accessor :userId
  attr_accessor :wsRoleList

  def initialize(status = nil, userId = nil, wsRoleList = nil)
    @status = status
    @userId = userId
    @wsRoleList = wsRoleList
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}WriteResponse
#   status - ActiveNetsuite::Status
#   baseRef - ActiveNetsuite::BaseRef
class WriteResponse
  attr_accessor :status
  attr_accessor :baseRef

  def initialize(status = nil, baseRef = nil)
    @status = status
    @baseRef = baseRef
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}ReadResponse
#   status - ActiveNetsuite::Status
#   record - ActiveNetsuite::Record
class ReadResponse
  attr_accessor :status
  attr_accessor :record

  def initialize(status = nil, record = nil)
    @status = status
    @record = record
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}WriteResponseList
class WriteResponseList < ::Array
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}ReadResponseList
class ReadResponseList < ::Array
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}LoginResponse
#   sessionResponse - ActiveNetsuite::SessionResponse
class LoginResponse
  attr_accessor :sessionResponse

  def initialize(sessionResponse = nil)
    @sessionResponse = sessionResponse
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}SsoLoginResponse
#   sessionResponse - ActiveNetsuite::SessionResponse
class SsoLoginResponse
  attr_accessor :sessionResponse

  def initialize(sessionResponse = nil)
    @sessionResponse = sessionResponse
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}MapSsoResponse
#   sessionResponse - ActiveNetsuite::SessionResponse
class MapSsoResponse
  attr_accessor :sessionResponse

  def initialize(sessionResponse = nil)
    @sessionResponse = sessionResponse
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}ChangePasswordResponse
#   sessionResponse - ActiveNetsuite::SessionResponse
class ChangePasswordResponse
  attr_accessor :sessionResponse

  def initialize(sessionResponse = nil)
    @sessionResponse = sessionResponse
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}ChangeEmailResponse
#   sessionResponse - ActiveNetsuite::SessionResponse
class ChangeEmailResponse
  attr_accessor :sessionResponse

  def initialize(sessionResponse = nil)
    @sessionResponse = sessionResponse
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}LogoutResponse
#   sessionResponse - ActiveNetsuite::SessionResponse
class LogoutResponse
  attr_accessor :sessionResponse

  def initialize(sessionResponse = nil)
    @sessionResponse = sessionResponse
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AddResponse
#   writeResponse - ActiveNetsuite::WriteResponse
class AddResponse
  attr_accessor :writeResponse

  def initialize(writeResponse = nil)
    @writeResponse = writeResponse
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AddListResponse
#   writeResponseList - ActiveNetsuite::WriteResponseList
class AddListResponse
  attr_accessor :writeResponseList

  def initialize(writeResponseList = nil)
    @writeResponseList = writeResponseList
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}UpdateResponse
#   writeResponse - ActiveNetsuite::WriteResponse
class UpdateResponse
  attr_accessor :writeResponse

  def initialize(writeResponse = nil)
    @writeResponse = writeResponse
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}UpdateListResponse
#   writeResponseList - ActiveNetsuite::WriteResponseList
class UpdateListResponse
  attr_accessor :writeResponseList

  def initialize(writeResponseList = nil)
    @writeResponseList = writeResponseList
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}UpsertResponse
#   writeResponse - ActiveNetsuite::WriteResponse
class UpsertResponse
  attr_accessor :writeResponse

  def initialize(writeResponse = nil)
    @writeResponse = writeResponse
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}UpsertListResponse
#   writeResponseList - ActiveNetsuite::WriteResponseList
class UpsertListResponse
  attr_accessor :writeResponseList

  def initialize(writeResponseList = nil)
    @writeResponseList = writeResponseList
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}DeleteResponse
#   writeResponse - ActiveNetsuite::WriteResponse
class DeleteResponse
  attr_accessor :writeResponse

  def initialize(writeResponse = nil)
    @writeResponse = writeResponse
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}DeleteListResponse
#   writeResponseList - ActiveNetsuite::WriteResponseList
class DeleteListResponse
  attr_accessor :writeResponseList

  def initialize(writeResponseList = nil)
    @writeResponseList = writeResponseList
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}SearchResponse
#   searchResult - ActiveNetsuite::SearchResult
class SearchResponse
  attr_accessor :searchResult

  def initialize(searchResult = nil)
    @searchResult = searchResult
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}SearchMoreResponse
#   searchResult - ActiveNetsuite::SearchResult
class SearchMoreResponse
  attr_accessor :searchResult

  def initialize(searchResult = nil)
    @searchResult = searchResult
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}SearchMoreWithIdResponse
#   searchResult - ActiveNetsuite::SearchResult
class SearchMoreWithIdResponse
  attr_accessor :searchResult

  def initialize(searchResult = nil)
    @searchResult = searchResult
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}SearchNextResponse
#   searchResult - ActiveNetsuite::SearchResult
class SearchNextResponse
  attr_accessor :searchResult

  def initialize(searchResult = nil)
    @searchResult = searchResult
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetResponse
#   readResponse - ActiveNetsuite::ReadResponse
class GetResponse
  attr_accessor :readResponse

  def initialize(readResponse = nil)
    @readResponse = readResponse
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetListResponse
#   readResponseList - ActiveNetsuite::ReadResponseList
class GetListResponse
  attr_accessor :readResponseList

  def initialize(readResponseList = nil)
    @readResponseList = readResponseList
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetAllResponse
#   getAllResult - ActiveNetsuite::GetAllResult
class GetAllResponse
  attr_accessor :getAllResult

  def initialize(getAllResult = nil)
    @getAllResult = getAllResult
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetSavedSearchResponse
#   getSavedSearchResult - ActiveNetsuite::GetSavedSearchResult
class GetSavedSearchResponse
  attr_accessor :getSavedSearchResult

  def initialize(getSavedSearchResult = nil)
    @getSavedSearchResult = getSavedSearchResult
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetCustomizationIdResponse
#   getCustomizationIdResult - ActiveNetsuite::GetCustomizationIdResult
class GetCustomizationIdResponse
  attr_accessor :getCustomizationIdResult

  def initialize(getCustomizationIdResult = nil)
    @getCustomizationIdResult = getCustomizationIdResult
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}InitializeResponse
#   readResponse - ActiveNetsuite::ReadResponse
class InitializeResponse
  attr_accessor :readResponse

  def initialize(readResponse = nil)
    @readResponse = readResponse
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}InitializeListResponse
#   readResponseList - ActiveNetsuite::ReadResponseList
class InitializeListResponse
  attr_accessor :readResponseList

  def initialize(readResponseList = nil)
    @readResponseList = readResponseList
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}getSelectValueResponse
#   getSelectValueResult - ActiveNetsuite::GetSelectValueResult
class GetSelectValueResponse
  attr_accessor :getSelectValueResult

  def initialize(getSelectValueResult = nil)
    @getSelectValueResult = getSelectValueResult
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetItemAvailabilityResponse
#   getItemAvailabilityResult - ActiveNetsuite::GetItemAvailabilityResult
class GetItemAvailabilityResponse
  attr_accessor :getItemAvailabilityResult

  def initialize(getItemAvailabilityResult = nil)
    @getItemAvailabilityResult = getItemAvailabilityResult
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetBudgetExchangeRateResponse
#   getBudgetExchangeRateResult - ActiveNetsuite::GetBudgetExchangeRateResult
class GetBudgetExchangeRateResponse
  attr_accessor :getBudgetExchangeRateResult

  def initialize(getBudgetExchangeRateResult = nil)
    @getBudgetExchangeRateResult = getBudgetExchangeRateResult
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetConsolidatedExchangeRateResponse
#   getConsolidatedExchangeRateResult - ActiveNetsuite::GetConsolidatedExchangeRateResult
class GetConsolidatedExchangeRateResponse
  attr_accessor :getConsolidatedExchangeRateResult

  def initialize(getConsolidatedExchangeRateResult = nil)
    @getConsolidatedExchangeRateResult = getConsolidatedExchangeRateResult
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetCurrencyRateResponse
#   getCurrencyRateResult - ActiveNetsuite::GetCurrencyRateResult
class GetCurrencyRateResponse
  attr_accessor :getCurrencyRateResult

  def initialize(getCurrencyRateResult = nil)
    @getCurrencyRateResult = getCurrencyRateResult
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetDataCenterUrlsResponse
#   getDataCenterUrlsResult - ActiveNetsuite::GetDataCenterUrlsResult
class GetDataCenterUrlsResponse
  attr_accessor :getDataCenterUrlsResult

  def initialize(getDataCenterUrlsResult = nil)
    @getDataCenterUrlsResult = getDataCenterUrlsResult
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetPostingTransactionSummaryResponse
#   getPostingTransactionSummaryResult - ActiveNetsuite::GetPostingTransactionSummaryResult
class GetPostingTransactionSummaryResponse
  attr_accessor :getPostingTransactionSummaryResult

  def initialize(getPostingTransactionSummaryResult = nil)
    @getPostingTransactionSummaryResult = getPostingTransactionSummaryResult
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetServerTimeResponse
#   getServerTimeResult - ActiveNetsuite::GetServerTimeResult
class GetServerTimeResponse
  attr_accessor :getServerTimeResult

  def initialize(getServerTimeResult = nil)
    @getServerTimeResult = getServerTimeResult
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AttachResponse
#   writeResponse - ActiveNetsuite::WriteResponse
class AttachResponse
  attr_accessor :writeResponse

  def initialize(writeResponse = nil)
    @writeResponse = writeResponse
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}DetachResponse
#   writeResponse - ActiveNetsuite::WriteResponse
class DetachResponse
  attr_accessor :writeResponse

  def initialize(writeResponse = nil)
    @writeResponse = writeResponse
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}UpdateInviteeStatusResponse
#   writeResponse - ActiveNetsuite::WriteResponse
class UpdateInviteeStatusResponse
  attr_accessor :writeResponse

  def initialize(writeResponse = nil)
    @writeResponse = writeResponse
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}UpdateInviteeStatusListResponse
#   writeResponseList - ActiveNetsuite::WriteResponseList
class UpdateInviteeStatusListResponse
  attr_accessor :writeResponseList

  def initialize(writeResponseList = nil)
    @writeResponseList = writeResponseList
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AsyncStatusResponse
#   asyncStatusResult - ActiveNetsuite::AsyncStatusResult
class AsyncStatusResponse
  attr_accessor :asyncStatusResult

  def initialize(asyncStatusResult = nil)
    @asyncStatusResult = asyncStatusResult
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetAsyncResultResponse
#   asyncResult - ActiveNetsuite::AsyncResult
class GetAsyncResultResponse
  attr_accessor :asyncResult

  def initialize(asyncResult = nil)
    @asyncResult = asyncResult
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AsyncResult
# abstract
class AsyncResult
  def initialize
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AsyncAddListResult
#   writeResponseList - ActiveNetsuite::WriteResponseList
class AsyncAddListResult < AsyncResult
  attr_accessor :writeResponseList

  def initialize(writeResponseList = nil)
    @writeResponseList = writeResponseList
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AsyncUpdateListResult
#   writeResponseList - ActiveNetsuite::WriteResponseList
class AsyncUpdateListResult < AsyncResult
  attr_accessor :writeResponseList

  def initialize(writeResponseList = nil)
    @writeResponseList = writeResponseList
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AsyncUpsertListResult
#   writeResponseList - ActiveNetsuite::WriteResponseList
class AsyncUpsertListResult < AsyncResult
  attr_accessor :writeResponseList

  def initialize(writeResponseList = nil)
    @writeResponseList = writeResponseList
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AsyncDeleteListResult
#   writeResponseList - ActiveNetsuite::WriteResponseList
class AsyncDeleteListResult < AsyncResult
  attr_accessor :writeResponseList

  def initialize(writeResponseList = nil)
    @writeResponseList = writeResponseList
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AsyncGetListResult
#   readResponseList - ActiveNetsuite::ReadResponseList
class AsyncGetListResult < AsyncResult
  attr_accessor :readResponseList

  def initialize(readResponseList = nil)
    @readResponseList = readResponseList
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AsyncSearchResult
#   searchResult - ActiveNetsuite::SearchResult
class AsyncSearchResult < AsyncResult
  attr_accessor :searchResult

  def initialize(searchResult = nil)
    @searchResult = searchResult
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AsyncInitializeListResult
#   readResponseList - ActiveNetsuite::ReadResponseList
class AsyncInitializeListResult < AsyncResult
  attr_accessor :readResponseList

  def initialize(readResponseList = nil)
    @readResponseList = readResponseList
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetDeletedResponse
#   getDeletedResult - ActiveNetsuite::GetDeletedResult
class GetDeletedResponse
  attr_accessor :getDeletedResult

  def initialize(getDeletedResult = nil)
    @getDeletedResult = getDeletedResult
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}LoginRequest
#   passport - ActiveNetsuite::Passport
class LoginRequest
  attr_accessor :passport

  def initialize(passport = nil)
    @passport = passport
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}SsoLoginRequest
#   ssoPassport - ActiveNetsuite::SsoPassport
class SsoLoginRequest
  attr_accessor :ssoPassport

  def initialize(ssoPassport = nil)
    @ssoPassport = ssoPassport
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}MapSsoRequest
#   ssoCredentials - ActiveNetsuite::SsoCredentials
class MapSsoRequest
  attr_accessor :ssoCredentials

  def initialize(ssoCredentials = nil)
    @ssoCredentials = ssoCredentials
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}ChangePasswordRequest
#   changePassword - ActiveNetsuite::ChangePassword
class ChangePasswordRequest
  attr_accessor :changePassword

  def initialize(changePassword = nil)
    @changePassword = changePassword
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}ChangeEmailRequest
#   changeEmail - ActiveNetsuite::ChangeEmail
class ChangeEmailRequest
  attr_accessor :changeEmail

  def initialize(changeEmail = nil)
    @changeEmail = changeEmail
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}LogoutRequest
class LogoutRequest
  def initialize
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AddRequest
#   record - ActiveNetsuite::Record
class AddRequest
  attr_accessor :record

  def initialize(record = nil)
    @record = record
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}DeleteRequest
#   baseRef - ActiveNetsuite::BaseRef
class DeleteRequest
  attr_accessor :baseRef

  def initialize(baseRef = nil)
    @baseRef = baseRef
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}SearchRequest
#   searchRecord - ActiveNetsuite::SearchRecord
class SearchRequest
  attr_accessor :searchRecord

  def initialize(searchRecord = nil)
    @searchRecord = searchRecord
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}SearchMoreRequest
#   pageIndex - SOAP::SOAPInt
class SearchMoreRequest
  attr_accessor :pageIndex

  def initialize(pageIndex = nil)
    @pageIndex = pageIndex
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}SearchMoreWithIdRequest
#   searchId - SOAP::SOAPString
#   pageIndex - SOAP::SOAPInt
class SearchMoreWithIdRequest
  attr_accessor :searchId
  attr_accessor :pageIndex

  def initialize(searchId = nil, pageIndex = nil)
    @searchId = searchId
    @pageIndex = pageIndex
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}SearchNextRequest
class SearchNextRequest
  def initialize
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}UpdateRequest
#   record - ActiveNetsuite::Record
class UpdateRequest
  attr_accessor :record

  def initialize(record = nil)
    @record = record
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}UpsertRequest
#   record - ActiveNetsuite::Record
class UpsertRequest
  attr_accessor :record

  def initialize(record = nil)
    @record = record
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AddListRequest
class AddListRequest < ::Array
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}DeleteListRequest
class DeleteListRequest < ::Array
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}UpdateListRequest
class UpdateListRequest < ::Array
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}UpsertListRequest
class UpsertListRequest < ::Array
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetRequest
#   baseRef - ActiveNetsuite::BaseRef
class GetRequest
  attr_accessor :baseRef

  def initialize(baseRef = nil)
    @baseRef = baseRef
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetListRequest
class GetListRequest < ::Array
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetAllRequest
#   record - ActiveNetsuite::GetAllRecord
class GetAllRequest
  attr_accessor :record

  def initialize(record = nil)
    @record = record
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetSavedSearchRequest
#   record - ActiveNetsuite::GetSavedSearchRecord
class GetSavedSearchRequest
  attr_accessor :record

  def initialize(record = nil)
    @record = record
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetCustomizationIdRequest
#   customizationType - ActiveNetsuite::CustomizationType
#   includeInactives - SOAP::SOAPBoolean
class GetCustomizationIdRequest
  attr_accessor :customizationType
  attr_accessor :includeInactives

  def initialize(customizationType = nil, includeInactives = nil)
    @customizationType = customizationType
    @includeInactives = includeInactives
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}InitializeRequest
#   initializeRecord - ActiveNetsuite::InitializeRecord
class InitializeRequest
  attr_accessor :initializeRecord

  def initialize(initializeRecord = nil)
    @initializeRecord = initializeRecord
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}InitializeListRequest
class InitializeListRequest < ::Array
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}getSelectValueRequest
#   fieldDescription - ActiveNetsuite::GetSelectValueFieldDescription
#   pageIndex - SOAP::SOAPInt
class GetSelectValueRequest
  attr_accessor :fieldDescription
  attr_accessor :pageIndex

  def initialize(fieldDescription = nil, pageIndex = nil)
    @fieldDescription = fieldDescription
    @pageIndex = pageIndex
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetItemAvailabilityRequest
#   itemAvailabilityFilter - ActiveNetsuite::ItemAvailabilityFilter
class GetItemAvailabilityRequest
  attr_accessor :itemAvailabilityFilter

  def initialize(itemAvailabilityFilter = nil)
    @itemAvailabilityFilter = itemAvailabilityFilter
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetBudgetExchangeRateRequest
#   budgetExchangeRateFilter - ActiveNetsuite::BudgetExchangeRateFilter
class GetBudgetExchangeRateRequest
  attr_accessor :budgetExchangeRateFilter

  def initialize(budgetExchangeRateFilter = nil)
    @budgetExchangeRateFilter = budgetExchangeRateFilter
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetConsolidatedExchangeRateRequest
#   consolidatedExchangeRateFilter - ActiveNetsuite::ConsolidatedExchangeRateFilter
class GetConsolidatedExchangeRateRequest
  attr_accessor :consolidatedExchangeRateFilter

  def initialize(consolidatedExchangeRateFilter = nil)
    @consolidatedExchangeRateFilter = consolidatedExchangeRateFilter
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetCurrencyRateRequest
#   currencyRateFilter - ActiveNetsuite::CurrencyRateFilter
class GetCurrencyRateRequest
  attr_accessor :currencyRateFilter

  def initialize(currencyRateFilter = nil)
    @currencyRateFilter = currencyRateFilter
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetDataCenterUrlsRequest
#   account - SOAP::SOAPString
class GetDataCenterUrlsRequest
  attr_accessor :account

  def initialize(account = nil)
    @account = account
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetPostingTransactionSummaryRequest
#   fields - ActiveNetsuite::PostingTransactionSummaryField
#   filters - ActiveNetsuite::PostingTransactionSummaryFilter
#   pageIndex - SOAP::SOAPInt
class GetPostingTransactionSummaryRequest
  attr_accessor :fields
  attr_accessor :filters
  attr_accessor :pageIndex

  def initialize(fields = nil, filters = nil, pageIndex = nil)
    @fields = fields
    @filters = filters
    @pageIndex = pageIndex
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetServerTimeRequest
class GetServerTimeRequest
  def initialize
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AttachRequest
#   attachReference - ActiveNetsuite::AttachReference
class AttachRequest
  attr_accessor :attachReference

  def initialize(attachReference = nil)
    @attachReference = attachReference
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}DetachRequest
#   detachReference - ActiveNetsuite::DetachReference
class DetachRequest
  attr_accessor :detachReference

  def initialize(detachReference = nil)
    @detachReference = detachReference
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AsyncAddListRequest
class AsyncAddListRequest < ::Array
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}UpdateInviteeStatusRequest
#   updateInviteeStatusReference - ActiveNetsuite::UpdateInviteeStatusReference
class UpdateInviteeStatusRequest
  attr_accessor :updateInviteeStatusReference

  def initialize(updateInviteeStatusReference = nil)
    @updateInviteeStatusReference = updateInviteeStatusReference
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}UpdateInviteeStatusListRequest
class UpdateInviteeStatusListRequest < ::Array
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AsyncUpdateListRequest
class AsyncUpdateListRequest < ::Array
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AsyncUpsertListRequest
class AsyncUpsertListRequest < ::Array
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AsyncDeleteListRequest
class AsyncDeleteListRequest < ::Array
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AsyncGetListRequest
class AsyncGetListRequest < ::Array
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AsyncInitializeListRequest
class AsyncInitializeListRequest < ::Array
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}AsyncSearchRequest
#   searchRecord - ActiveNetsuite::SearchRecord
class AsyncSearchRequest
  attr_accessor :searchRecord

  def initialize(searchRecord = nil)
    @searchRecord = searchRecord
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}CheckAsyncStatusRequest
#   jobId - SOAP::SOAPString
class CheckAsyncStatusRequest
  attr_accessor :jobId

  def initialize(jobId = nil)
    @jobId = jobId
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetAsyncResultRequest
#   jobId - SOAP::SOAPString
#   pageIndex - SOAP::SOAPInt
class GetAsyncResultRequest
  attr_accessor :jobId
  attr_accessor :pageIndex

  def initialize(jobId = nil, pageIndex = nil)
    @jobId = jobId
    @pageIndex = pageIndex
  end
end

# {urn:messages_2013_2.platform.webservices.netsuite.com}GetDeletedRequest
#   getDeletedFilter - ActiveNetsuite::GetDeletedFilter
class GetDeletedRequest
  attr_accessor :getDeletedFilter

  def initialize(getDeletedFilter = nil)
    @getDeletedFilter = getDeletedFilter
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}ShipAddress
#   shipAttention - SOAP::SOAPString
#   shipAddressee - SOAP::SOAPString
#   shipPhone - SOAP::SOAPString
#   shipAddr1 - SOAP::SOAPString
#   shipAddr2 - SOAP::SOAPString
#   shipAddr3 - SOAP::SOAPString
#   shipCity - SOAP::SOAPString
#   shipState - SOAP::SOAPString
#   shipZip - SOAP::SOAPString
#   shipCountry - ActiveNetsuite::Country
#   shipIsResidential - SOAP::SOAPBoolean
class ShipAddress
  attr_accessor :shipAttention
  attr_accessor :shipAddressee
  attr_accessor :shipPhone
  attr_accessor :shipAddr1
  attr_accessor :shipAddr2
  attr_accessor :shipAddr3
  attr_accessor :shipCity
  attr_accessor :shipState
  attr_accessor :shipZip
  attr_accessor :shipCountry
  attr_accessor :shipIsResidential

  def initialize(shipAttention = nil, shipAddressee = nil, shipPhone = nil, shipAddr1 = nil, shipAddr2 = nil, shipAddr3 = nil, shipCity = nil, shipState = nil, shipZip = nil, shipCountry = nil, shipIsResidential = nil)
    @shipAttention = shipAttention
    @shipAddressee = shipAddressee
    @shipPhone = shipPhone
    @shipAddr1 = shipAddr1
    @shipAddr2 = shipAddr2
    @shipAddr3 = shipAddr3
    @shipCity = shipCity
    @shipState = shipState
    @shipZip = shipZip
    @shipCountry = shipCountry
    @shipIsResidential = shipIsResidential
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}BillAddress
#   billAttention - SOAP::SOAPString
#   billAddressee - SOAP::SOAPString
#   billPhone - SOAP::SOAPString
#   billAddr1 - SOAP::SOAPString
#   billAddr2 - SOAP::SOAPString
#   billAddr3 - SOAP::SOAPString
#   billCity - SOAP::SOAPString
#   billState - SOAP::SOAPString
#   billZip - SOAP::SOAPString
#   billCountry - ActiveNetsuite::Country
class BillAddress
  attr_accessor :billAttention
  attr_accessor :billAddressee
  attr_accessor :billPhone
  attr_accessor :billAddr1
  attr_accessor :billAddr2
  attr_accessor :billAddr3
  attr_accessor :billCity
  attr_accessor :billState
  attr_accessor :billZip
  attr_accessor :billCountry

  def initialize(billAttention = nil, billAddressee = nil, billPhone = nil, billAddr1 = nil, billAddr2 = nil, billAddr3 = nil, billCity = nil, billState = nil, billZip = nil, billCountry = nil)
    @billAttention = billAttention
    @billAddressee = billAddressee
    @billPhone = billPhone
    @billAddr1 = billAddr1
    @billAddr2 = billAddr2
    @billAddr3 = billAddr3
    @billCity = billCity
    @billState = billState
    @billZip = billZip
    @billCountry = billCountry
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}PresentationItem
#   item - ActiveNetsuite::RecordRef
#   itemType - ActiveNetsuite::PresentationItemType
#   description - SOAP::SOAPString
#   onlinePrice - SOAP::SOAPDouble
#   basePrice - SOAP::SOAPDouble
class PresentationItem
  attr_accessor :item
  attr_accessor :itemType
  attr_accessor :description
  attr_accessor :onlinePrice
  attr_accessor :basePrice

  def initialize(item = nil, itemType = nil, description = nil, onlinePrice = nil, basePrice = nil)
    @item = item
    @itemType = itemType
    @description = description
    @onlinePrice = onlinePrice
    @basePrice = basePrice
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}Partners
#   partner - ActiveNetsuite::RecordRef
#   partnerRole - ActiveNetsuite::RecordRef
#   isPrimary - SOAP::SOAPBoolean
#   contribution - SOAP::SOAPDouble
class Partners
  attr_accessor :partner
  attr_accessor :partnerRole
  attr_accessor :isPrimary
  attr_accessor :contribution

  def initialize(partner = nil, partnerRole = nil, isPrimary = nil, contribution = nil)
    @partner = partner
    @partnerRole = partnerRole
    @isPrimary = isPrimary
    @contribution = contribution
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}LandedCostDataList
#   landedCostData - ActiveNetsuite::LandedCostData
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class LandedCostDataList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :landedCostData

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(landedCostData = [])
    @landedCostData = landedCostData
    @__xmlattr = {}
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}LandedCostData
#   costCategory - ActiveNetsuite::RecordRef
#   amount - SOAP::SOAPDouble
class LandedCostData
  attr_accessor :costCategory
  attr_accessor :amount

  def initialize(costCategory = nil, amount = nil)
    @costCategory = costCategory
    @amount = amount
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}LandedCostSummary
#   category - ActiveNetsuite::RecordRef
#   amount - SOAP::SOAPDouble
#   source - ActiveNetsuite::LandedCostSource
#   transaction - ActiveNetsuite::RecordRef
class LandedCostSummary
  attr_accessor :category
  attr_accessor :amount
  attr_accessor :source
  attr_accessor :transaction

  def initialize(category = nil, amount = nil, source = nil, transaction = nil)
    @category = category
    @amount = amount
    @source = source
    @transaction = transaction
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CustomerSalesTeam
#   employee - ActiveNetsuite::RecordRef
#   salesRole - ActiveNetsuite::RecordRef
#   isPrimary - SOAP::SOAPBoolean
#   contribution - SOAP::SOAPDouble
class CustomerSalesTeam
  attr_accessor :employee
  attr_accessor :salesRole
  attr_accessor :isPrimary
  attr_accessor :contribution

  def initialize(employee = nil, salesRole = nil, isPrimary = nil, contribution = nil)
    @employee = employee
    @salesRole = salesRole
    @isPrimary = isPrimary
    @contribution = contribution
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}TimeItem
#   id - SOAP::SOAPLong
#   employee - ActiveNetsuite::RecordRef
#   timeType - ActiveNetsuite::TimeItemTimeType
#   tranDate - SOAP::SOAPDateTime
#   customer - ActiveNetsuite::RecordRef
#   isBillable - SOAP::SOAPBoolean
#   payrollItem - ActiveNetsuite::RecordRef
#   item - ActiveNetsuite::RecordRef
#   temporaryLocalJurisdiction - ActiveNetsuite::RecordRef
#   temporaryStateJurisdiction - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   hours - ActiveNetsuite::Duration
#   price - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPDouble
#   overrideRate - SOAP::SOAPBoolean
#   hoursTotal - ActiveNetsuite::Duration
#   caseTaskEvent - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   isUtilized - SOAP::SOAPBoolean
#   isProductive - SOAP::SOAPBoolean
#   isExempt - SOAP::SOAPBoolean
class TimeItem
  attr_accessor :id
  attr_accessor :employee
  attr_accessor :timeType
  attr_accessor :tranDate
  attr_accessor :customer
  attr_accessor :isBillable
  attr_accessor :payrollItem
  attr_accessor :item
  attr_accessor :temporaryLocalJurisdiction
  attr_accessor :temporaryStateJurisdiction
  attr_accessor :department
  attr_accessor :location
  attr_accessor :hours
  attr_accessor :price
  attr_accessor :rate
  attr_accessor :overrideRate
  attr_accessor :hoursTotal
  attr_accessor :caseTaskEvent
  attr_accessor :memo
  attr_accessor :isUtilized
  attr_accessor :isProductive
  attr_accessor :isExempt

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(id = nil, employee = nil, timeType = nil, tranDate = nil, customer = nil, isBillable = nil, payrollItem = nil, item = nil, temporaryLocalJurisdiction = nil, temporaryStateJurisdiction = nil, department = nil, v_class = nil, location = nil, hours = nil, price = nil, rate = nil, overrideRate = nil, hoursTotal = nil, caseTaskEvent = nil, memo = nil, isUtilized = nil, isProductive = nil, isExempt = nil)
    @id = id
    @employee = employee
    @timeType = timeType
    @tranDate = tranDate
    @customer = customer
    @isBillable = isBillable
    @payrollItem = payrollItem
    @item = item
    @temporaryLocalJurisdiction = temporaryLocalJurisdiction
    @temporaryStateJurisdiction = temporaryStateJurisdiction
    @department = department
    @v_class = v_class
    @location = location
    @hours = hours
    @price = price
    @rate = rate
    @overrideRate = overrideRate
    @hoursTotal = hoursTotal
    @caseTaskEvent = caseTaskEvent
    @memo = memo
    @isUtilized = isUtilized
    @isProductive = isProductive
    @isExempt = isExempt
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}RecurrenceDowMaskList
class RecurrenceDowMaskList < ::Array
end

# {urn:common_2013_2.platform.webservices.netsuite.com}InventoryAssignmentList
#   inventoryAssignment - ActiveNetsuite::InventoryAssignment
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class InventoryAssignmentList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :inventoryAssignment

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(inventoryAssignment = [])
    @inventoryAssignment = inventoryAssignment
    @__xmlattr = {}
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}InventoryAssignment
#   internalId - SOAP::SOAPString
#   issueInventoryNumber - ActiveNetsuite::RecordRef
#   receiptInventoryNumber - SOAP::SOAPString
#   binNumber - ActiveNetsuite::RecordRef
#   toBinNumber - ActiveNetsuite::RecordRef
#   quantity - SOAP::SOAPDouble
#   expirationDate - SOAP::SOAPDateTime
#   quantityAvailable - SOAP::SOAPBoolean
class InventoryAssignment
  attr_accessor :internalId
  attr_accessor :issueInventoryNumber
  attr_accessor :receiptInventoryNumber
  attr_accessor :binNumber
  attr_accessor :toBinNumber
  attr_accessor :quantity
  attr_accessor :expirationDate
  attr_accessor :quantityAvailable

  def initialize(internalId = nil, issueInventoryNumber = nil, receiptInventoryNumber = nil, binNumber = nil, toBinNumber = nil, quantity = nil, expirationDate = nil, quantityAvailable = nil)
    @internalId = internalId
    @issueInventoryNumber = issueInventoryNumber
    @receiptInventoryNumber = receiptInventoryNumber
    @binNumber = binNumber
    @toBinNumber = toBinNumber
    @quantity = quantity
    @expirationDate = expirationDate
    @quantityAvailable = quantityAvailable
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CustomSearchJoin
#   customizationRef - ActiveNetsuite::CustomizationRef
#   searchRecordBasic - ActiveNetsuite::SearchRecordBasic
class CustomSearchJoin
  attr_accessor :customizationRef
  attr_accessor :searchRecordBasic

  def initialize(customizationRef = nil, searchRecordBasic = nil)
    @customizationRef = customizationRef
    @searchRecordBasic = searchRecordBasic
  end
end

# {urn:common_2013_2.platform.webservices.netsuite.com}CustomSearchRowBasic
#   customizationRef - ActiveNetsuite::CustomizationRef
#   searchRowBasic - ActiveNetsuite::SearchRowBasic
class CustomSearchRowBasic
  attr_accessor :customizationRef
  attr_accessor :searchRowBasic

  def initialize(customizationRef = nil, searchRowBasic = nil)
    @customizationRef = customizationRef
    @searchRowBasic = searchRowBasic
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}ExclusionDateList
class ExclusionDateList < ::Array
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}CalendarEventAttendee
#   sendEmail - SOAP::SOAPBoolean
#   attendee - ActiveNetsuite::RecordRef
#   response - ActiveNetsuite::CalendarEventAttendeeResponse
#   attendance - ActiveNetsuite::CalendarEventAttendeeAttendance
class CalendarEventAttendee
  attr_accessor :sendEmail
  attr_accessor :attendee
  attr_accessor :response
  attr_accessor :attendance

  def initialize(sendEmail = nil, attendee = nil, response = nil, attendance = nil)
    @sendEmail = sendEmail
    @attendee = attendee
    @response = response
    @attendance = attendance
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}CalendarEventAttendeeList
#   attendee - ActiveNetsuite::CalendarEventAttendee
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CalendarEventAttendeeList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :attendee

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(attendee = [])
    @attendee = attendee
    @__xmlattr = {}
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}CalendarEventResource
#   resource - ActiveNetsuite::RecordRef
#   location - SOAP::SOAPString
class CalendarEventResource
  attr_accessor :resource
  attr_accessor :location

  def initialize(resource = nil, location = nil)
    @resource = resource
    @location = location
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}CalendarEventResourceList
#   resource - ActiveNetsuite::CalendarEventResource
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CalendarEventResourceList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :resource

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(resource = [])
    @resource = resource
    @__xmlattr = {}
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}TaskContact
#   company - ActiveNetsuite::RecordRef
#   contact - ActiveNetsuite::RecordRef
class TaskContact
  attr_accessor :company
  attr_accessor :contact

  def initialize(company = nil, contact = nil)
    @company = company
    @contact = contact
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}TaskContactList
#   contact - ActiveNetsuite::TaskContact
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class TaskContactList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :contact

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(contact = [])
    @contact = contact
    @__xmlattr = {}
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}PhoneCallContact
#   company - ActiveNetsuite::RecordRef
#   contact - ActiveNetsuite::RecordRef
#   phone - SOAP::SOAPString
#   email - SOAP::SOAPString
class PhoneCallContact
  attr_accessor :company
  attr_accessor :contact
  attr_accessor :phone
  attr_accessor :email

  def initialize(company = nil, contact = nil, phone = nil, email = nil)
    @company = company
    @contact = contact
    @phone = phone
    @email = email
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}PhoneCallContactList
#   contact - ActiveNetsuite::PhoneCallContact
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class PhoneCallContactList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :contact

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(contact = [])
    @contact = contact
    @__xmlattr = {}
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}ProjectTaskPredecessor
#   task - ActiveNetsuite::RecordRef
#   type - ActiveNetsuite::ProjectTaskPredecessorPredecessorType
#   lagDays - SOAP::SOAPDouble
#   startDate - SOAP::SOAPDateTime
#   endDate - SOAP::SOAPDateTime
class ProjectTaskPredecessor
  attr_accessor :task
  attr_accessor :type
  attr_accessor :lagDays
  attr_accessor :startDate
  attr_accessor :endDate

  def initialize(task = nil, type = nil, lagDays = nil, startDate = nil, endDate = nil)
    @task = task
    @type = type
    @lagDays = lagDays
    @startDate = startDate
    @endDate = endDate
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}ProjectTaskPredecessorList
#   projectTaskPredecessor - ActiveNetsuite::ProjectTaskPredecessor
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ProjectTaskPredecessorList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :projectTaskPredecessor

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(projectTaskPredecessor = [])
    @projectTaskPredecessor = projectTaskPredecessor
    @__xmlattr = {}
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}ProjectTaskAssignee
#   resource - ActiveNetsuite::RecordRef
#   units - SOAP::SOAPDouble
#   serviceItem - ActiveNetsuite::RecordRef
#   estimatedWork - SOAP::SOAPDouble
#   unitCost - SOAP::SOAPDouble
#   unitPrice - SOAP::SOAPDouble
#   cost - SOAP::SOAPDouble
#   price - SOAP::SOAPDouble
class ProjectTaskAssignee
  attr_accessor :resource
  attr_accessor :units
  attr_accessor :serviceItem
  attr_accessor :estimatedWork
  attr_accessor :unitCost
  attr_accessor :unitPrice
  attr_accessor :cost
  attr_accessor :price

  def initialize(resource = nil, units = nil, serviceItem = nil, estimatedWork = nil, unitCost = nil, unitPrice = nil, cost = nil, price = nil)
    @resource = resource
    @units = units
    @serviceItem = serviceItem
    @estimatedWork = estimatedWork
    @unitCost = unitCost
    @unitPrice = unitPrice
    @cost = cost
    @price = price
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}ProjectTaskAssigneeList
#   projectTaskAssignee - ActiveNetsuite::ProjectTaskAssignee
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ProjectTaskAssigneeList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :projectTaskAssignee

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(projectTaskAssignee = [])
    @projectTaskAssignee = projectTaskAssignee
    @__xmlattr = {}
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}PhoneCallTimeItemList
#   timeItem - ActiveNetsuite::TimeItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class PhoneCallTimeItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :timeItem

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(timeItem = [])
    @timeItem = timeItem
    @__xmlattr = {}
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}CalendarEventTimeItemList
#   timeItem - ActiveNetsuite::TimeItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CalendarEventTimeItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :timeItem

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(timeItem = [])
    @timeItem = timeItem
    @__xmlattr = {}
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}TaskTimeItemList
#   timeItem - ActiveNetsuite::TimeItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class TaskTimeItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :timeItem

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(timeItem = [])
    @timeItem = timeItem
    @__xmlattr = {}
  end
end

# {urn:scheduling_2013_2.activities.webservices.netsuite.com}ProjectTaskTimeItemList
#   timeItem - ActiveNetsuite::TimeItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ProjectTaskTimeItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :timeItem

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(timeItem = [])
    @timeItem = timeItem
    @__xmlattr = {}
  end
end

# {urn:communication_2013_2.general.webservices.netsuite.com}MessageMediaItemList
#   mediaItem - ActiveNetsuite::C_File
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class MessageMediaItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :mediaItem

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(mediaItem = [])
    @mediaItem = mediaItem
    @__xmlattr = {}
  end
end

# {urn:filecabinet_2013_2.documents.webservices.netsuite.com}FileSiteCategory
#   isDefault - SOAP::SOAPBoolean
#   category - ActiveNetsuite::RecordRef
#   categoryDescription - SOAP::SOAPString
#   website - ActiveNetsuite::RecordRef
class FileSiteCategory
  attr_accessor :isDefault
  attr_accessor :category
  attr_accessor :categoryDescription
  attr_accessor :website

  def initialize(isDefault = nil, category = nil, categoryDescription = nil, website = nil)
    @isDefault = isDefault
    @category = category
    @categoryDescription = categoryDescription
    @website = website
  end
end

# {urn:filecabinet_2013_2.documents.webservices.netsuite.com}FileSiteCategoryList
#   siteCategory - ActiveNetsuite::FileSiteCategory
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class FileSiteCategoryList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :siteCategory

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(siteCategory = [])
    @siteCategory = siteCategory
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}Subscriptions
#   subscribed - SOAP::SOAPBoolean
#   subscription - ActiveNetsuite::RecordRef
#   lastModifiedDate - SOAP::SOAPDateTime
class Subscriptions
  attr_accessor :subscribed
  attr_accessor :subscription
  attr_accessor :lastModifiedDate

  def initialize(subscribed = nil, subscription = nil, lastModifiedDate = nil)
    @subscribed = subscribed
    @subscription = subscription
    @lastModifiedDate = lastModifiedDate
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}SubscriptionsList
#   subscriptions - ActiveNetsuite::Subscriptions
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class SubscriptionsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :subscriptions

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(subscriptions = [])
    @subscriptions = subscriptions
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CategoryList
class CategoryList < ::Array
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}ContactAddressbook
#   defaultShipping - SOAP::SOAPBoolean
#   defaultBilling - SOAP::SOAPBoolean
#   label - SOAP::SOAPString
#   attention - SOAP::SOAPString
#   addressee - SOAP::SOAPString
#   phone - SOAP::SOAPString
#   addr1 - SOAP::SOAPString
#   addr2 - SOAP::SOAPString
#   addr3 - SOAP::SOAPString
#   city - SOAP::SOAPString
#   zip - SOAP::SOAPString
#   country - ActiveNetsuite::Country
#   addrText - SOAP::SOAPString
#   override - SOAP::SOAPBoolean
#   internalId - SOAP::SOAPString
#   state - SOAP::SOAPString
class ContactAddressbook
  attr_accessor :defaultShipping
  attr_accessor :defaultBilling
  attr_accessor :label
  attr_accessor :attention
  attr_accessor :addressee
  attr_accessor :phone
  attr_accessor :addr1
  attr_accessor :addr2
  attr_accessor :addr3
  attr_accessor :city
  attr_accessor :zip
  attr_accessor :country
  attr_accessor :addrText
  attr_accessor :override
  attr_accessor :internalId
  attr_accessor :state

  def initialize(defaultShipping = nil, defaultBilling = nil, label = nil, attention = nil, addressee = nil, phone = nil, addr1 = nil, addr2 = nil, addr3 = nil, city = nil, zip = nil, country = nil, addrText = nil, override = nil, internalId = nil, state = nil)
    @defaultShipping = defaultShipping
    @defaultBilling = defaultBilling
    @label = label
    @attention = attention
    @addressee = addressee
    @phone = phone
    @addr1 = addr1
    @addr2 = addr2
    @addr3 = addr3
    @city = city
    @zip = zip
    @country = country
    @addrText = addrText
    @override = override
    @internalId = internalId
    @state = state
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}ContactAddressbookList
#   addressbook - ActiveNetsuite::ContactAddressbook
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ContactAddressbookList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :addressbook

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(addressbook = [])
    @addressbook = addressbook
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerDownload
#   file - ActiveNetsuite::RecordRef
#   licenseCode - SOAP::SOAPString
#   remainingDownloads - SOAP::SOAPLong
#   expiration - SOAP::SOAPDateTime
class CustomerDownload
  attr_accessor :file
  attr_accessor :licenseCode
  attr_accessor :remainingDownloads
  attr_accessor :expiration

  def initialize(file = nil, licenseCode = nil, remainingDownloads = nil, expiration = nil)
    @file = file
    @licenseCode = licenseCode
    @remainingDownloads = remainingDownloads
    @expiration = expiration
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerDownloadList
#   download - ActiveNetsuite::CustomerDownload
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomerDownloadList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :download

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(download = [])
    @download = download
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}ContactAccessRoles
#   giveAccess - SOAP::SOAPBoolean
#   contact - ActiveNetsuite::RecordRef
#   email - SOAP::SOAPString
#   role - ActiveNetsuite::RecordRef
#   password - SOAP::SOAPString
#   password2 - SOAP::SOAPString
#   sendEmail - SOAP::SOAPBoolean
class ContactAccessRoles
  attr_accessor :giveAccess
  attr_accessor :contact
  attr_accessor :email
  attr_accessor :role
  attr_accessor :password
  attr_accessor :password2
  attr_accessor :sendEmail

  def initialize(giveAccess = nil, contact = nil, email = nil, role = nil, password = nil, password2 = nil, sendEmail = nil)
    @giveAccess = giveAccess
    @contact = contact
    @email = email
    @role = role
    @password = password
    @password2 = password2
    @sendEmail = sendEmail
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}ContactAccessRolesList
#   contactRoles - ActiveNetsuite::ContactAccessRoles
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ContactAccessRolesList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :contactRoles

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(contactRoles = [])
    @contactRoles = contactRoles
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerSalesTeam
#   employee - ActiveNetsuite::RecordRef
#   salesRole - ActiveNetsuite::RecordRef
#   isPrimary - SOAP::SOAPBoolean
#   contribution - SOAP::SOAPDouble
class CustomerSalesTeam_
  attr_accessor :employee
  attr_accessor :salesRole
  attr_accessor :isPrimary
  attr_accessor :contribution

  def initialize(employee = nil, salesRole = nil, isPrimary = nil, contribution = nil)
    @employee = employee
    @salesRole = salesRole
    @isPrimary = isPrimary
    @contribution = contribution
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerSalesTeamList
#   salesTeam - ActiveNetsuite::CustomerSalesTeam_
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomerSalesTeamList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :salesTeam

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(salesTeam = [])
    @salesTeam = salesTeam
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerAddressbook
#   defaultShipping - SOAP::SOAPBoolean
#   defaultBilling - SOAP::SOAPBoolean
#   isResidential - SOAP::SOAPBoolean
#   label - SOAP::SOAPString
#   attention - SOAP::SOAPString
#   addressee - SOAP::SOAPString
#   phone - SOAP::SOAPString
#   addr1 - SOAP::SOAPString
#   addr2 - SOAP::SOAPString
#   addr3 - SOAP::SOAPString
#   city - SOAP::SOAPString
#   zip - SOAP::SOAPString
#   country - ActiveNetsuite::Country
#   addrText - SOAP::SOAPString
#   override - SOAP::SOAPBoolean
#   internalId - SOAP::SOAPString
#   state - SOAP::SOAPString
class CustomerAddressbook
  attr_accessor :defaultShipping
  attr_accessor :defaultBilling
  attr_accessor :isResidential
  attr_accessor :label
  attr_accessor :attention
  attr_accessor :addressee
  attr_accessor :phone
  attr_accessor :addr1
  attr_accessor :addr2
  attr_accessor :addr3
  attr_accessor :city
  attr_accessor :zip
  attr_accessor :country
  attr_accessor :addrText
  attr_accessor :override
  attr_accessor :internalId
  attr_accessor :state

  def initialize(defaultShipping = nil, defaultBilling = nil, isResidential = nil, label = nil, attention = nil, addressee = nil, phone = nil, addr1 = nil, addr2 = nil, addr3 = nil, city = nil, zip = nil, country = nil, addrText = nil, override = nil, internalId = nil, state = nil)
    @defaultShipping = defaultShipping
    @defaultBilling = defaultBilling
    @isResidential = isResidential
    @label = label
    @attention = attention
    @addressee = addressee
    @phone = phone
    @addr1 = addr1
    @addr2 = addr2
    @addr3 = addr3
    @city = city
    @zip = zip
    @country = country
    @addrText = addrText
    @override = override
    @internalId = internalId
    @state = state
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerAddressbookList
#   addressbook - ActiveNetsuite::CustomerAddressbook
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomerAddressbookList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :addressbook

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(addressbook = [])
    @addressbook = addressbook
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerCreditCards
#   internalId - SOAP::SOAPString
#   ccNumber - SOAP::SOAPString
#   ccExpireDate - SOAP::SOAPDateTime
#   ccName - SOAP::SOAPString
#   paymentMethod - ActiveNetsuite::RecordRef
#   debitcardIssueNo - SOAP::SOAPString
#   ccMemo - SOAP::SOAPString
#   validfrom - SOAP::SOAPDateTime
#   ccDefault - SOAP::SOAPBoolean
class CustomerCreditCards
  attr_accessor :internalId
  attr_accessor :ccNumber
  attr_accessor :ccExpireDate
  attr_accessor :ccName
  attr_accessor :paymentMethod
  attr_accessor :debitcardIssueNo
  attr_accessor :ccMemo
  attr_accessor :validfrom
  attr_accessor :ccDefault

  def initialize(internalId = nil, ccNumber = nil, ccExpireDate = nil, ccName = nil, paymentMethod = nil, debitcardIssueNo = nil, ccMemo = nil, validfrom = nil, ccDefault = nil)
    @internalId = internalId
    @ccNumber = ccNumber
    @ccExpireDate = ccExpireDate
    @ccName = ccName
    @paymentMethod = paymentMethod
    @debitcardIssueNo = debitcardIssueNo
    @ccMemo = ccMemo
    @validfrom = validfrom
    @ccDefault = ccDefault
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerCreditCardsList
#   creditCards - ActiveNetsuite::CustomerCreditCards
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomerCreditCardsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :creditCards

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(creditCards = [])
    @creditCards = creditCards
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerGroupPricing
#   group - ActiveNetsuite::RecordRef
#   level - ActiveNetsuite::RecordRef
class CustomerGroupPricing
  attr_accessor :group
  attr_accessor :level

  def initialize(group = nil, level = nil)
    @group = group
    @level = level
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerGroupPricingList
#   groupPricing - ActiveNetsuite::CustomerGroupPricing
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomerGroupPricingList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :groupPricing

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(groupPricing = [])
    @groupPricing = groupPricing
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerItemPricing
#   item - ActiveNetsuite::RecordRef
#   level - ActiveNetsuite::RecordRef
#   currency - ActiveNetsuite::RecordRef
#   price - SOAP::SOAPDouble
class CustomerItemPricing
  attr_accessor :item
  attr_accessor :level
  attr_accessor :currency
  attr_accessor :price

  def initialize(item = nil, level = nil, currency = nil, price = nil)
    @item = item
    @level = level
    @currency = currency
    @price = price
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerItemPricingList
#   itemPricing - ActiveNetsuite::CustomerItemPricing
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomerItemPricingList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :itemPricing

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(itemPricing = [])
    @itemPricing = itemPricing
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerPartnersList
#   partners - ActiveNetsuite::Partners
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomerPartnersList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :partners

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(partners = [])
    @partners = partners
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}PartnerPromoCode
#   promoCode - ActiveNetsuite::RecordRef
#   discount - SOAP::SOAPString
#   endDate - SOAP::SOAPDateTime
class PartnerPromoCode
  attr_accessor :promoCode
  attr_accessor :discount
  attr_accessor :endDate

  def initialize(promoCode = nil, discount = nil, endDate = nil)
    @promoCode = promoCode
    @discount = discount
    @endDate = endDate
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}PartnerPromoCodeList
#   promoCode - ActiveNetsuite::PartnerPromoCode
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class PartnerPromoCodeList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :promoCode

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(promoCode = [])
    @promoCode = promoCode
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}PartnerAddressbook
#   defaultShipping - SOAP::SOAPBoolean
#   defaultBilling - SOAP::SOAPBoolean
#   label - SOAP::SOAPString
#   attention - SOAP::SOAPString
#   addressee - SOAP::SOAPString
#   phone - SOAP::SOAPString
#   addr1 - SOAP::SOAPString
#   addr2 - SOAP::SOAPString
#   addr3 - SOAP::SOAPString
#   city - SOAP::SOAPString
#   zip - SOAP::SOAPString
#   country - ActiveNetsuite::Country
#   addrText - SOAP::SOAPString
#   override - SOAP::SOAPBoolean
#   internalId - SOAP::SOAPString
#   state - SOAP::SOAPString
class PartnerAddressbook
  attr_accessor :defaultShipping
  attr_accessor :defaultBilling
  attr_accessor :label
  attr_accessor :attention
  attr_accessor :addressee
  attr_accessor :phone
  attr_accessor :addr1
  attr_accessor :addr2
  attr_accessor :addr3
  attr_accessor :city
  attr_accessor :zip
  attr_accessor :country
  attr_accessor :addrText
  attr_accessor :override
  attr_accessor :internalId
  attr_accessor :state

  def initialize(defaultShipping = nil, defaultBilling = nil, label = nil, attention = nil, addressee = nil, phone = nil, addr1 = nil, addr2 = nil, addr3 = nil, city = nil, zip = nil, country = nil, addrText = nil, override = nil, internalId = nil, state = nil)
    @defaultShipping = defaultShipping
    @defaultBilling = defaultBilling
    @label = label
    @attention = attention
    @addressee = addressee
    @phone = phone
    @addr1 = addr1
    @addr2 = addr2
    @addr3 = addr3
    @city = city
    @zip = zip
    @country = country
    @addrText = addrText
    @override = override
    @internalId = internalId
    @state = state
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}PartnerAddressbookList
#   addressbook - ActiveNetsuite::PartnerAddressbook
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class PartnerAddressbookList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :addressbook

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(addressbook = [])
    @addressbook = addressbook
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}VendorPricingSchedule
#   scheduleName - SOAP::SOAPString
#   scheduleDiscount - SOAP::SOAPDouble
class VendorPricingSchedule
  attr_accessor :scheduleName
  attr_accessor :scheduleDiscount

  def initialize(scheduleName = nil, scheduleDiscount = nil)
    @scheduleName = scheduleName
    @scheduleDiscount = scheduleDiscount
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}VendorPricingScheduleList
#   pricingSchedule - ActiveNetsuite::VendorPricingSchedule
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class VendorPricingScheduleList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :pricingSchedule

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(pricingSchedule = [])
    @pricingSchedule = pricingSchedule
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}VendorAddressbook
#   defaultShipping - SOAP::SOAPBoolean
#   defaultBilling - SOAP::SOAPBoolean
#   label - SOAP::SOAPString
#   attention - SOAP::SOAPString
#   addressee - SOAP::SOAPString
#   phone - SOAP::SOAPString
#   addr1 - SOAP::SOAPString
#   addr2 - SOAP::SOAPString
#   addr3 - SOAP::SOAPString
#   city - SOAP::SOAPString
#   zip - SOAP::SOAPString
#   country - ActiveNetsuite::Country
#   addrText - SOAP::SOAPString
#   override - SOAP::SOAPBoolean
#   internalId - SOAP::SOAPString
#   state - SOAP::SOAPString
class VendorAddressbook
  attr_accessor :defaultShipping
  attr_accessor :defaultBilling
  attr_accessor :label
  attr_accessor :attention
  attr_accessor :addressee
  attr_accessor :phone
  attr_accessor :addr1
  attr_accessor :addr2
  attr_accessor :addr3
  attr_accessor :city
  attr_accessor :zip
  attr_accessor :country
  attr_accessor :addrText
  attr_accessor :override
  attr_accessor :internalId
  attr_accessor :state

  def initialize(defaultShipping = nil, defaultBilling = nil, label = nil, attention = nil, addressee = nil, phone = nil, addr1 = nil, addr2 = nil, addr3 = nil, city = nil, zip = nil, country = nil, addrText = nil, override = nil, internalId = nil, state = nil)
    @defaultShipping = defaultShipping
    @defaultBilling = defaultBilling
    @label = label
    @attention = attention
    @addressee = addressee
    @phone = phone
    @addr1 = addr1
    @addr2 = addr2
    @addr3 = addr3
    @city = city
    @zip = zip
    @country = country
    @addrText = addrText
    @override = override
    @internalId = internalId
    @state = state
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}VendorAddressbookList
#   addressbook - ActiveNetsuite::VendorAddressbook
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class VendorAddressbookList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :addressbook

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(addressbook = [])
    @addressbook = addressbook
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}VendorRoles
#   selectedRole - ActiveNetsuite::RecordRef
class VendorRoles
  attr_accessor :selectedRole

  def initialize(selectedRole = nil)
    @selectedRole = selectedRole
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}VendorRolesList
#   roles - ActiveNetsuite::VendorRoles
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class VendorRolesList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :roles

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(roles = [])
    @roles = roles
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}JobAddressbook
#   defaultShipping - SOAP::SOAPBoolean
#   defaultBilling - SOAP::SOAPBoolean
#   isResidential - SOAP::SOAPBoolean
#   label - SOAP::SOAPString
#   attention - SOAP::SOAPString
#   addressee - SOAP::SOAPString
#   phone - SOAP::SOAPString
#   addr1 - SOAP::SOAPString
#   addr2 - SOAP::SOAPString
#   addr3 - SOAP::SOAPString
#   city - SOAP::SOAPString
#   zip - SOAP::SOAPString
#   country - ActiveNetsuite::Country
#   addrText - SOAP::SOAPString
#   override - SOAP::SOAPBoolean
#   internalId - SOAP::SOAPString
#   state - SOAP::SOAPString
class JobAddressbook
  attr_accessor :defaultShipping
  attr_accessor :defaultBilling
  attr_accessor :isResidential
  attr_accessor :label
  attr_accessor :attention
  attr_accessor :addressee
  attr_accessor :phone
  attr_accessor :addr1
  attr_accessor :addr2
  attr_accessor :addr3
  attr_accessor :city
  attr_accessor :zip
  attr_accessor :country
  attr_accessor :addrText
  attr_accessor :override
  attr_accessor :internalId
  attr_accessor :state

  def initialize(defaultShipping = nil, defaultBilling = nil, isResidential = nil, label = nil, attention = nil, addressee = nil, phone = nil, addr1 = nil, addr2 = nil, addr3 = nil, city = nil, zip = nil, country = nil, addrText = nil, override = nil, internalId = nil, state = nil)
    @defaultShipping = defaultShipping
    @defaultBilling = defaultBilling
    @isResidential = isResidential
    @label = label
    @attention = attention
    @addressee = addressee
    @phone = phone
    @addr1 = addr1
    @addr2 = addr2
    @addr3 = addr3
    @city = city
    @zip = zip
    @country = country
    @addrText = addrText
    @override = override
    @internalId = internalId
    @state = state
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}JobAddressbookList
#   addressbook - ActiveNetsuite::JobAddressbook
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class JobAddressbookList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :addressbook

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(addressbook = [])
    @addressbook = addressbook
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}JobResources
#   jobResource - ActiveNetsuite::RecordRef
#   email - SOAP::SOAPString
#   role - ActiveNetsuite::RecordRef
class JobResources
  attr_accessor :jobResource
  attr_accessor :email
  attr_accessor :role

  def initialize(jobResource = nil, email = nil, role = nil)
    @jobResource = jobResource
    @email = email
    @role = role
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}JobResourcesList
#   jobResources - ActiveNetsuite::JobResources
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class JobResourcesList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :jobResources

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(jobResources = [])
    @jobResources = jobResources
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}JobMilestones
#   milestoneName - SOAP::SOAPString
#   milestoneOrder - SOAP::SOAPString
#   milestoneEstComplete - SOAP::SOAPDateTime
#   milestoneCompleted - SOAP::SOAPBoolean
#   milestoneComments - SOAP::SOAPString
class JobMilestones
  attr_accessor :milestoneName
  attr_accessor :milestoneOrder
  attr_accessor :milestoneEstComplete
  attr_accessor :milestoneCompleted
  attr_accessor :milestoneComments

  def initialize(milestoneName = nil, milestoneOrder = nil, milestoneEstComplete = nil, milestoneCompleted = nil, milestoneComments = nil)
    @milestoneName = milestoneName
    @milestoneOrder = milestoneOrder
    @milestoneEstComplete = milestoneEstComplete
    @milestoneCompleted = milestoneCompleted
    @milestoneComments = milestoneComments
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}JobMilestonesList
#   milestones - ActiveNetsuite::JobMilestones
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class JobMilestonesList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :milestones

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(milestones = [])
    @milestones = milestones
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}JobCreditCards
#   internalId - SOAP::SOAPString
#   ccNumber - SOAP::SOAPString
#   ccExpireDate - SOAP::SOAPDateTime
#   ccName - SOAP::SOAPString
#   paymentMethod - ActiveNetsuite::RecordRef
#   ccMemo - SOAP::SOAPString
#   ccDefault - SOAP::SOAPBoolean
#   debitCardIssueNo - SOAP::SOAPString
#   validFrom - SOAP::SOAPDateTime
class JobCreditCards
  attr_accessor :internalId
  attr_accessor :ccNumber
  attr_accessor :ccExpireDate
  attr_accessor :ccName
  attr_accessor :paymentMethod
  attr_accessor :ccMemo
  attr_accessor :ccDefault
  attr_accessor :debitCardIssueNo
  attr_accessor :validFrom

  def initialize(internalId = nil, ccNumber = nil, ccExpireDate = nil, ccName = nil, paymentMethod = nil, ccMemo = nil, ccDefault = nil, debitCardIssueNo = nil, validFrom = nil)
    @internalId = internalId
    @ccNumber = ccNumber
    @ccExpireDate = ccExpireDate
    @ccName = ccName
    @paymentMethod = paymentMethod
    @ccMemo = ccMemo
    @ccDefault = ccDefault
    @debitCardIssueNo = debitCardIssueNo
    @validFrom = validFrom
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}JobCreditCardsList
#   creditCards - ActiveNetsuite::JobCreditCards
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class JobCreditCardsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :creditCards

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(creditCards = [])
    @creditCards = creditCards
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerCurrency
#   currency - ActiveNetsuite::RecordRef
#   balance - SOAP::SOAPDouble
#   consolBalance - SOAP::SOAPDouble
#   depositBalance - SOAP::SOAPDouble
#   consolDepositBalance - SOAP::SOAPDouble
#   overdueBalance - SOAP::SOAPDouble
#   consolOverdueBalance - SOAP::SOAPDouble
#   unbilledOrders - SOAP::SOAPDouble
#   consolUnbilledOrders - SOAP::SOAPDouble
#   overrideCurrencyFormat - SOAP::SOAPBoolean
#   displaySymbol - SOAP::SOAPString
#   symbolPlacement - ActiveNetsuite::CurrencySymbolPlacement
class CustomerCurrency
  attr_accessor :currency
  attr_accessor :balance
  attr_accessor :consolBalance
  attr_accessor :depositBalance
  attr_accessor :consolDepositBalance
  attr_accessor :overdueBalance
  attr_accessor :consolOverdueBalance
  attr_accessor :unbilledOrders
  attr_accessor :consolUnbilledOrders
  attr_accessor :overrideCurrencyFormat
  attr_accessor :displaySymbol
  attr_accessor :symbolPlacement

  def initialize(currency = nil, balance = nil, consolBalance = nil, depositBalance = nil, consolDepositBalance = nil, overdueBalance = nil, consolOverdueBalance = nil, unbilledOrders = nil, consolUnbilledOrders = nil, overrideCurrencyFormat = nil, displaySymbol = nil, symbolPlacement = nil)
    @currency = currency
    @balance = balance
    @consolBalance = consolBalance
    @depositBalance = depositBalance
    @consolDepositBalance = consolDepositBalance
    @overdueBalance = overdueBalance
    @consolOverdueBalance = consolOverdueBalance
    @unbilledOrders = unbilledOrders
    @consolUnbilledOrders = consolUnbilledOrders
    @overrideCurrencyFormat = overrideCurrencyFormat
    @displaySymbol = displaySymbol
    @symbolPlacement = symbolPlacement
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}CustomerCurrencyList
#   currency - ActiveNetsuite::CustomerCurrency
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomerCurrencyList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :currency

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(currency = [])
    @currency = currency
    @__xmlattr = {}
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}VendorCurrency
#   currency - ActiveNetsuite::RecordRef
#   balance - SOAP::SOAPDouble
#   unbilledOrders - SOAP::SOAPDouble
class VendorCurrency
  attr_accessor :currency
  attr_accessor :balance
  attr_accessor :unbilledOrders

  def initialize(currency = nil, balance = nil, unbilledOrders = nil)
    @currency = currency
    @balance = balance
    @unbilledOrders = unbilledOrders
  end
end

# {urn:relationships_2013_2.lists.webservices.netsuite.com}VendorCurrencyList
#   vendorCurrency - ActiveNetsuite::VendorCurrency
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class VendorCurrencyList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :vendorCurrency

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(vendorCurrency = [])
    @vendorCurrency = vendorCurrency
    @__xmlattr = {}
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}EmailEmployeesList
class EmailEmployeesList < ::Array
end

# {urn:support_2013_2.lists.webservices.netsuite.com}SupportCaseEscalateTo
#   escalatee - ActiveNetsuite::RecordRef
#   email - SOAP::SOAPString
#   phone - SOAP::SOAPString
class SupportCaseEscalateTo
  attr_accessor :escalatee
  attr_accessor :email
  attr_accessor :phone

  def initialize(escalatee = nil, email = nil, phone = nil)
    @escalatee = escalatee
    @email = email
    @phone = phone
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}SupportCaseEscalateToList
#   escalateTo - ActiveNetsuite::SupportCaseEscalateTo
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class SupportCaseEscalateToList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :escalateTo

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(escalateTo = [])
    @escalateTo = escalateTo
    @__xmlattr = {}
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}SupportCaseSolutions
#   solution - ActiveNetsuite::RecordRef
#   message - SOAP::SOAPString
#   dateApplied - SOAP::SOAPDateTime
class SupportCaseSolutions
  attr_accessor :solution
  attr_accessor :message
  attr_accessor :dateApplied

  def initialize(solution = nil, message = nil, dateApplied = nil)
    @solution = solution
    @message = message
    @dateApplied = dateApplied
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}SupportCaseSolutionsList
#   solutions - ActiveNetsuite::SupportCaseSolutions
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class SupportCaseSolutionsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :solutions

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(solutions = [])
    @solutions = solutions
    @__xmlattr = {}
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}SupportCaseTimeItemList
#   timeItem - ActiveNetsuite::TimeItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class SupportCaseTimeItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :timeItem

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(timeItem = [])
    @timeItem = timeItem
    @__xmlattr = {}
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}SolutionTopics
#   topic - ActiveNetsuite::RecordRef
class SolutionTopics
  attr_accessor :topic

  def initialize(topic = nil)
    @topic = topic
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}SolutionTopicsList
#   topics - ActiveNetsuite::SolutionTopics
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class SolutionTopicsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :topics

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(topics = [])
    @topics = topics
    @__xmlattr = {}
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}Solutions
#   solution - ActiveNetsuite::RecordRef
#   message - SOAP::SOAPString
class Solutions
  attr_accessor :solution
  attr_accessor :message

  def initialize(solution = nil, message = nil)
    @solution = solution
    @message = message
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}SolutionsList
#   solutions - ActiveNetsuite::Solutions
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class SolutionsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :solutions

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(solutions = [])
    @solutions = solutions
    @__xmlattr = {}
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}TopicSolution
#   solution - ActiveNetsuite::RecordRef
#   message - SOAP::SOAPString
class TopicSolution
  attr_accessor :solution
  attr_accessor :message

  def initialize(solution = nil, message = nil)
    @solution = solution
    @message = message
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}TopicSolutionList
#   solution - ActiveNetsuite::TopicSolution
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class TopicSolutionList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :solution

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(solution = [])
    @solution = solution
    @__xmlattr = {}
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}IssueVersion
#   primary - SOAP::SOAPBoolean
#   version - ActiveNetsuite::RecordRef
#   build - ActiveNetsuite::RecordRef
class IssueVersion
  attr_accessor :primary
  attr_accessor :version
  attr_accessor :build

  def initialize(primary = nil, version = nil, build = nil)
    @primary = primary
    @version = version
    @build = build
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}IssueVersionList
#   issueVersion - ActiveNetsuite::IssueVersion
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class IssueVersionList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :issueVersion

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(issueVersion = [])
    @issueVersion = issueVersion
    @__xmlattr = {}
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}IssueRelatedIssues
#   relationship - ActiveNetsuite::IssueRelationship
#   issueNumber - ActiveNetsuite::RecordRef
#   relationshipComment - SOAP::SOAPString
class IssueRelatedIssues
  attr_accessor :relationship
  attr_accessor :issueNumber
  attr_accessor :relationshipComment

  def initialize(relationship = nil, issueNumber = nil, relationshipComment = nil)
    @relationship = relationship
    @issueNumber = issueNumber
    @relationshipComment = relationshipComment
  end
end

# {urn:support_2013_2.lists.webservices.netsuite.com}IssueRelatedIssuesList
#   issueRelatedIssues - ActiveNetsuite::IssueRelatedIssues
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class IssueRelatedIssuesList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :issueRelatedIssues

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(issueRelatedIssues = [])
    @issueRelatedIssues = issueRelatedIssues
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ClassTranslation
#   locale - SOAP::SOAPString
#   language - SOAP::SOAPString
#   name - SOAP::SOAPString
class ClassTranslation
  attr_accessor :locale
  attr_accessor :language
  attr_accessor :name

  def initialize(locale = nil, language = nil, name = nil)
    @locale = locale
    @language = language
    @name = name
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ClassTranslationList
#   classTranslation - ActiveNetsuite::ClassTranslation
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ClassTranslationList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :classTranslation

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(classTranslation = [])
    @classTranslation = classTranslation
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}Price
#   value - SOAP::SOAPDouble
#   quantity - SOAP::SOAPDouble
class Price
  attr_accessor :value
  attr_accessor :quantity

  def initialize(value = nil, quantity = nil)
    @value = value
    @quantity = quantity
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}PriceList
class PriceList < ::Array
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}Pricing
#   currency - ActiveNetsuite::RecordRef
#   priceLevel - ActiveNetsuite::RecordRef
#   discount - SOAP::SOAPDouble
#   priceList - ActiveNetsuite::PriceList
class Pricing
  attr_accessor :currency
  attr_accessor :priceLevel
  attr_accessor :discount
  attr_accessor :priceList

  def initialize(currency = nil, priceLevel = nil, discount = nil, priceList = nil)
    @currency = currency
    @priceLevel = priceLevel
    @discount = discount
    @priceList = priceList
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}PricingMatrix
#   pricing - ActiveNetsuite::Pricing
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class PricingMatrix
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :pricing

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(pricing = [])
    @pricing = pricing
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}Rate
#   value - SOAP::SOAPDouble
#   priceLevel - ActiveNetsuite::RecordRef
class Rate
  attr_accessor :value
  attr_accessor :priceLevel

  def initialize(value = nil, priceLevel = nil)
    @value = value
    @priceLevel = priceLevel
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}RateList
class RateList < ::Array
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}BillingRates
#   currency - ActiveNetsuite::RecordRef
#   billingClass - ActiveNetsuite::RecordRef
#   rateList - ActiveNetsuite::RateList
class BillingRates
  attr_accessor :currency
  attr_accessor :billingClass
  attr_accessor :rateList

  def initialize(currency = nil, billingClass = nil, rateList = nil)
    @currency = currency
    @billingClass = billingClass
    @rateList = rateList
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}BillingRatesMatrix
#   billingRates - ActiveNetsuite::BillingRates
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class BillingRatesMatrix
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :billingRates

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(billingRates = [])
    @billingRates = billingRates
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}Translation
#   locale - ActiveNetsuite::Language
#   language - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   description - SOAP::SOAPString
#   salesDescription - SOAP::SOAPString
#   storeDisplayName - SOAP::SOAPString
#   storeDescription - SOAP::SOAPString
#   storeDetailedDescription - SOAP::SOAPString
#   featuredDescription - SOAP::SOAPString
#   specialsDescription - SOAP::SOAPString
#   pageTitle - SOAP::SOAPString
#   noPriceMessage - SOAP::SOAPString
#   outOfStockMessage - SOAP::SOAPString
class Translation
  attr_accessor :locale
  attr_accessor :language
  attr_accessor :displayName
  attr_accessor :description
  attr_accessor :salesDescription
  attr_accessor :storeDisplayName
  attr_accessor :storeDescription
  attr_accessor :storeDetailedDescription
  attr_accessor :featuredDescription
  attr_accessor :specialsDescription
  attr_accessor :pageTitle
  attr_accessor :noPriceMessage
  attr_accessor :outOfStockMessage

  def initialize(locale = nil, language = nil, displayName = nil, description = nil, salesDescription = nil, storeDisplayName = nil, storeDescription = nil, storeDetailedDescription = nil, featuredDescription = nil, specialsDescription = nil, pageTitle = nil, noPriceMessage = nil, outOfStockMessage = nil)
    @locale = locale
    @language = language
    @displayName = displayName
    @description = description
    @salesDescription = salesDescription
    @storeDisplayName = storeDisplayName
    @storeDescription = storeDescription
    @storeDetailedDescription = storeDetailedDescription
    @featuredDescription = featuredDescription
    @specialsDescription = specialsDescription
    @pageTitle = pageTitle
    @noPriceMessage = noPriceMessage
    @outOfStockMessage = outOfStockMessage
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}TranslationList
#   translation - ActiveNetsuite::Translation
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class TranslationList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :translation

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(translation = [])
    @translation = translation
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ItemOptionsList
class ItemOptionsList < ::Array
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ItemVendor
#   vendor - ActiveNetsuite::RecordRef
#   vendorCode - SOAP::SOAPString
#   vendorCurrencyName - SOAP::SOAPString
#   vendorCurrency - ActiveNetsuite::RecordRef
#   purchasePrice - SOAP::SOAPDouble
#   preferredVendor - SOAP::SOAPBoolean
#   schedule - ActiveNetsuite::RecordRef
#   subsidiary - SOAP::SOAPString
class ItemVendor
  attr_accessor :vendor
  attr_accessor :vendorCode
  attr_accessor :vendorCurrencyName
  attr_accessor :vendorCurrency
  attr_accessor :purchasePrice
  attr_accessor :preferredVendor
  attr_accessor :schedule
  attr_accessor :subsidiary

  def initialize(vendor = nil, vendorCode = nil, vendorCurrencyName = nil, vendorCurrency = nil, purchasePrice = nil, preferredVendor = nil, schedule = nil, subsidiary = nil)
    @vendor = vendor
    @vendorCode = vendorCode
    @vendorCurrencyName = vendorCurrencyName
    @vendorCurrency = vendorCurrency
    @purchasePrice = purchasePrice
    @preferredVendor = preferredVendor
    @schedule = schedule
    @subsidiary = subsidiary
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ItemVendorList
#   itemVendor - ActiveNetsuite::ItemVendor
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ItemVendorList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :itemVendor

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(itemVendor = [])
    @itemVendor = itemVendor
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}SiteCategory
#   website - ActiveNetsuite::RecordRef
#   category - ActiveNetsuite::RecordRef
#   isDefault - SOAP::SOAPBoolean
#   categoryDescription - SOAP::SOAPString
class SiteCategory_
  attr_accessor :website
  attr_accessor :category
  attr_accessor :isDefault
  attr_accessor :categoryDescription

  def initialize(website = nil, category = nil, isDefault = nil, categoryDescription = nil)
    @website = website
    @category = category
    @isDefault = isDefault
    @categoryDescription = categoryDescription
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}SiteCategoryList
#   siteCategory - ActiveNetsuite::SiteCategory_
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class SiteCategoryList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :siteCategory

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(siteCategory = [])
    @siteCategory = siteCategory
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ProductFeedList
class ProductFeedList < ::Array
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ItemMember
#   memberDescr - SOAP::SOAPString
#   componentYield - SOAP::SOAPDouble
#   bomQuantity - SOAP::SOAPDouble
#   quantity - SOAP::SOAPDouble
#   memberUnit - SOAP::SOAPString
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   taxSchedule - ActiveNetsuite::RecordRef
#   taxcode - SOAP::SOAPString
#   item - ActiveNetsuite::RecordRef
#   taxrate - SOAP::SOAPDouble
#   effectiveDate - SOAP::SOAPDateTime
#   obsoleteDate - SOAP::SOAPDateTime
#   effectiveRevision - ActiveNetsuite::RecordRef
#   obsoleteRevision - ActiveNetsuite::RecordRef
#   lineNumber - SOAP::SOAPLong
class ItemMember
  attr_accessor :memberDescr
  attr_accessor :componentYield
  attr_accessor :bomQuantity
  attr_accessor :quantity
  attr_accessor :memberUnit
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :taxSchedule
  attr_accessor :taxcode
  attr_accessor :item
  attr_accessor :taxrate
  attr_accessor :effectiveDate
  attr_accessor :obsoleteDate
  attr_accessor :effectiveRevision
  attr_accessor :obsoleteRevision
  attr_accessor :lineNumber

  def initialize(memberDescr = nil, componentYield = nil, bomQuantity = nil, quantity = nil, memberUnit = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, taxSchedule = nil, taxcode = nil, item = nil, taxrate = nil, effectiveDate = nil, obsoleteDate = nil, effectiveRevision = nil, obsoleteRevision = nil, lineNumber = nil)
    @memberDescr = memberDescr
    @componentYield = componentYield
    @bomQuantity = bomQuantity
    @quantity = quantity
    @memberUnit = memberUnit
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @taxSchedule = taxSchedule
    @taxcode = taxcode
    @item = item
    @taxrate = taxrate
    @effectiveDate = effectiveDate
    @obsoleteDate = obsoleteDate
    @effectiveRevision = effectiveRevision
    @obsoleteRevision = obsoleteRevision
    @lineNumber = lineNumber
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ItemMemberList
#   itemMember - ActiveNetsuite::ItemMember
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ItemMemberList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :itemMember

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(itemMember = [])
    @itemMember = itemMember
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}MatrixOptionList
class MatrixOptionList < ::Array
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}InventoryItemBinNumber
#   binNumber - ActiveNetsuite::RecordRef
#   onHand - SOAP::SOAPString
#   onHandAvail - SOAP::SOAPString
#   location - SOAP::SOAPString
#   preferredBin - SOAP::SOAPBoolean
class InventoryItemBinNumber
  attr_accessor :binNumber
  attr_accessor :onHand
  attr_accessor :onHandAvail
  attr_accessor :location
  attr_accessor :preferredBin

  def initialize(binNumber = nil, onHand = nil, onHandAvail = nil, location = nil, preferredBin = nil)
    @binNumber = binNumber
    @onHand = onHand
    @onHandAvail = onHandAvail
    @location = location
    @preferredBin = preferredBin
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}InventoryItemBinNumberList
#   binNumber - ActiveNetsuite::InventoryItemBinNumber
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class InventoryItemBinNumberList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :binNumber

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(binNumber = [])
    @binNumber = binNumber
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}InventoryItemLocations
#   location - SOAP::SOAPString
#   quantityOnHand - SOAP::SOAPDouble
#   onHandValueMli - SOAP::SOAPDouble
#   averageCostMli - SOAP::SOAPDouble
#   lastPurchasePriceMli - SOAP::SOAPDouble
#   reorderPoint - SOAP::SOAPDouble
#   preferredStockLevel - SOAP::SOAPDouble
#   leadTime - SOAP::SOAPLong
#   defaultReturnCost - SOAP::SOAPDouble
#   safetyStockLevel - SOAP::SOAPDouble
#   cost - SOAP::SOAPDouble
#   inventoryCostTemplate - ActiveNetsuite::RecordRef
#   buildTime - SOAP::SOAPDouble
#   lastInvtCountDate - SOAP::SOAPDateTime
#   nextInvtCountDate - SOAP::SOAPDateTime
#   isWip - SOAP::SOAPBoolean
#   invtCountInterval - SOAP::SOAPLong
#   invtClassification - ActiveNetsuite::ItemInvtClassification
#   costingLotSize - SOAP::SOAPDouble
#   quantityOnOrder - SOAP::SOAPDouble
#   quantityCommitted - SOAP::SOAPDouble
#   quantityAvailable - SOAP::SOAPDouble
#   quantityBackOrdered - SOAP::SOAPDouble
#   locationId - ActiveNetsuite::RecordRef
#   supplyReplenishmentMethod - ActiveNetsuite::RecordRef
#   alternateDemandSourceItem - ActiveNetsuite::RecordRef
#   fixedLotSize - SOAP::SOAPDouble
#   periodicLotSizeType - ActiveNetsuite::PeriodicLotSizeType
#   periodicLotSizeDays - SOAP::SOAPLong
#   supplyType - ActiveNetsuite::RecordRef
#   supplyLotSizingMethod - ActiveNetsuite::RecordRef
#   demandSource - ActiveNetsuite::RecordRef
#   backwardConsumptionDays - SOAP::SOAPLong
#   forwardConsumptionDays - SOAP::SOAPLong
class InventoryItemLocations
  attr_accessor :location
  attr_accessor :quantityOnHand
  attr_accessor :onHandValueMli
  attr_accessor :averageCostMli
  attr_accessor :lastPurchasePriceMli
  attr_accessor :reorderPoint
  attr_accessor :preferredStockLevel
  attr_accessor :leadTime
  attr_accessor :defaultReturnCost
  attr_accessor :safetyStockLevel
  attr_accessor :cost
  attr_accessor :inventoryCostTemplate
  attr_accessor :buildTime
  attr_accessor :lastInvtCountDate
  attr_accessor :nextInvtCountDate
  attr_accessor :isWip
  attr_accessor :invtCountInterval
  attr_accessor :invtClassification
  attr_accessor :costingLotSize
  attr_accessor :quantityOnOrder
  attr_accessor :quantityCommitted
  attr_accessor :quantityAvailable
  attr_accessor :quantityBackOrdered
  attr_accessor :locationId
  attr_accessor :supplyReplenishmentMethod
  attr_accessor :alternateDemandSourceItem
  attr_accessor :fixedLotSize
  attr_accessor :periodicLotSizeType
  attr_accessor :periodicLotSizeDays
  attr_accessor :supplyType
  attr_accessor :supplyLotSizingMethod
  attr_accessor :demandSource
  attr_accessor :backwardConsumptionDays
  attr_accessor :forwardConsumptionDays

  def initialize(location = nil, quantityOnHand = nil, onHandValueMli = nil, averageCostMli = nil, lastPurchasePriceMli = nil, reorderPoint = nil, preferredStockLevel = nil, leadTime = nil, defaultReturnCost = nil, safetyStockLevel = nil, cost = nil, inventoryCostTemplate = nil, buildTime = nil, lastInvtCountDate = nil, nextInvtCountDate = nil, isWip = nil, invtCountInterval = nil, invtClassification = nil, costingLotSize = nil, quantityOnOrder = nil, quantityCommitted = nil, quantityAvailable = nil, quantityBackOrdered = nil, locationId = nil, supplyReplenishmentMethod = nil, alternateDemandSourceItem = nil, fixedLotSize = nil, periodicLotSizeType = nil, periodicLotSizeDays = nil, supplyType = nil, supplyLotSizingMethod = nil, demandSource = nil, backwardConsumptionDays = nil, forwardConsumptionDays = nil)
    @location = location
    @quantityOnHand = quantityOnHand
    @onHandValueMli = onHandValueMli
    @averageCostMli = averageCostMli
    @lastPurchasePriceMli = lastPurchasePriceMli
    @reorderPoint = reorderPoint
    @preferredStockLevel = preferredStockLevel
    @leadTime = leadTime
    @defaultReturnCost = defaultReturnCost
    @safetyStockLevel = safetyStockLevel
    @cost = cost
    @inventoryCostTemplate = inventoryCostTemplate
    @buildTime = buildTime
    @lastInvtCountDate = lastInvtCountDate
    @nextInvtCountDate = nextInvtCountDate
    @isWip = isWip
    @invtCountInterval = invtCountInterval
    @invtClassification = invtClassification
    @costingLotSize = costingLotSize
    @quantityOnOrder = quantityOnOrder
    @quantityCommitted = quantityCommitted
    @quantityAvailable = quantityAvailable
    @quantityBackOrdered = quantityBackOrdered
    @locationId = locationId
    @supplyReplenishmentMethod = supplyReplenishmentMethod
    @alternateDemandSourceItem = alternateDemandSourceItem
    @fixedLotSize = fixedLotSize
    @periodicLotSizeType = periodicLotSizeType
    @periodicLotSizeDays = periodicLotSizeDays
    @supplyType = supplyType
    @supplyLotSizingMethod = supplyLotSizingMethod
    @demandSource = demandSource
    @backwardConsumptionDays = backwardConsumptionDays
    @forwardConsumptionDays = forwardConsumptionDays
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}InventoryItemLocationsList
#   locations - ActiveNetsuite::InventoryItemLocations
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class InventoryItemLocationsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :locations

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(locations = [])
    @locations = locations
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}PresentationItemList
#   presentationItem - ActiveNetsuite::PresentationItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class PresentationItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :presentationItem

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(presentationItem = [])
    @presentationItem = presentationItem
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}AccountTranslationList
#   translation - ActiveNetsuite::ClassTranslation
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class AccountTranslationList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :translation

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(translation = [])
    @translation = translation
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}UnitsTypeUom
#   internalId - SOAP::SOAPString
#   unitName - SOAP::SOAPString
#   pluralName - SOAP::SOAPString
#   abbreviation - SOAP::SOAPString
#   pluralAbbreviation - SOAP::SOAPString
#   conversionRate - SOAP::SOAPDouble
#   baseUnit - SOAP::SOAPBoolean
class UnitsTypeUom
  attr_accessor :internalId
  attr_accessor :unitName
  attr_accessor :pluralName
  attr_accessor :abbreviation
  attr_accessor :pluralAbbreviation
  attr_accessor :conversionRate
  attr_accessor :baseUnit

  def initialize(internalId = nil, unitName = nil, pluralName = nil, abbreviation = nil, pluralAbbreviation = nil, conversionRate = nil, baseUnit = nil)
    @internalId = internalId
    @unitName = unitName
    @pluralName = pluralName
    @abbreviation = abbreviation
    @pluralAbbreviation = pluralAbbreviation
    @conversionRate = conversionRate
    @baseUnit = baseUnit
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}UnitsTypeUomList
#   uom - ActiveNetsuite::UnitsTypeUom
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class UnitsTypeUomList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :uom

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(uom = [])
    @uom = uom
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}TaxGroupTaxItem
#   taxName - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPDouble
#   basis - SOAP::SOAPDouble
#   taxType - SOAP::SOAPString
class TaxGroupTaxItem
  attr_accessor :taxName
  attr_accessor :rate
  attr_accessor :basis
  attr_accessor :taxType

  def initialize(taxName = nil, rate = nil, basis = nil, taxType = nil)
    @taxName = taxName
    @rate = rate
    @basis = basis
    @taxType = taxType
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}TaxGroupTaxItemList
#   taxItem - ActiveNetsuite::TaxGroupTaxItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class TaxGroupTaxItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :taxItem

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(taxItem = [])
    @taxItem = taxItem
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}TaxTypeNexusesTax
#   nexus - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   saleTaxAcct - ActiveNetsuite::RecordRef
#   purchTaxAcct - ActiveNetsuite::RecordRef
class TaxTypeNexusesTax
  attr_accessor :nexus
  attr_accessor :description
  attr_accessor :saleTaxAcct
  attr_accessor :purchTaxAcct

  def initialize(nexus = nil, description = nil, saleTaxAcct = nil, purchTaxAcct = nil)
    @nexus = nexus
    @description = description
    @saleTaxAcct = saleTaxAcct
    @purchTaxAcct = purchTaxAcct
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}TaxTypeNexusesTaxList
#   nexusesTax - ActiveNetsuite::TaxTypeNexusesTax
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class TaxTypeNexusesTaxList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :nexusesTax

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(nexusesTax = [])
    @nexusesTax = nexusesTax
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}SerializedInventoryItemLocations
#   location - SOAP::SOAPString
#   quantityOnHand - SOAP::SOAPDouble
#   onHandValueMli - SOAP::SOAPDouble
#   serialNumbers - SOAP::SOAPString
#   averageCostMli - SOAP::SOAPDouble
#   lastPurchasePriceMli - SOAP::SOAPDouble
#   reorderPoint - SOAP::SOAPDouble
#   preferredStockLevel - SOAP::SOAPDouble
#   leadTime - SOAP::SOAPLong
#   defaultReturnCost - SOAP::SOAPDouble
#   isWip - SOAP::SOAPBoolean
#   safetyStockLevel - SOAP::SOAPDouble
#   cost - SOAP::SOAPDouble
#   inventoryCostTemplate - ActiveNetsuite::RecordRef
#   buildTime - SOAP::SOAPDouble
#   lastInvtCountDate - SOAP::SOAPDateTime
#   nextInvtCountDate - SOAP::SOAPDateTime
#   invtCountInterval - SOAP::SOAPLong
#   invtClassification - ActiveNetsuite::ItemInvtClassification
#   costingLotSize - SOAP::SOAPDouble
#   quantityOnOrder - SOAP::SOAPDouble
#   quantityCommitted - SOAP::SOAPDouble
#   quantityAvailable - SOAP::SOAPDouble
#   quantityBackOrdered - SOAP::SOAPDouble
#   locationId - ActiveNetsuite::RecordRef
#   supplyReplenishmentMethod - ActiveNetsuite::RecordRef
#   alternateDemandSourceItem - ActiveNetsuite::RecordRef
#   fixedLotSize - SOAP::SOAPDouble
#   periodicLotSizeType - ActiveNetsuite::PeriodicLotSizeType
#   periodicLotSizeDays - SOAP::SOAPLong
#   supplyType - ActiveNetsuite::RecordRef
#   supplyLotSizingMethod - ActiveNetsuite::RecordRef
#   demandSource - ActiveNetsuite::RecordRef
#   backwardConsumptionDays - SOAP::SOAPLong
#   forwardConsumptionDays - SOAP::SOAPLong
class SerializedInventoryItemLocations
  attr_accessor :location
  attr_accessor :quantityOnHand
  attr_accessor :onHandValueMli
  attr_accessor :serialNumbers
  attr_accessor :averageCostMli
  attr_accessor :lastPurchasePriceMli
  attr_accessor :reorderPoint
  attr_accessor :preferredStockLevel
  attr_accessor :leadTime
  attr_accessor :defaultReturnCost
  attr_accessor :isWip
  attr_accessor :safetyStockLevel
  attr_accessor :cost
  attr_accessor :inventoryCostTemplate
  attr_accessor :buildTime
  attr_accessor :lastInvtCountDate
  attr_accessor :nextInvtCountDate
  attr_accessor :invtCountInterval
  attr_accessor :invtClassification
  attr_accessor :costingLotSize
  attr_accessor :quantityOnOrder
  attr_accessor :quantityCommitted
  attr_accessor :quantityAvailable
  attr_accessor :quantityBackOrdered
  attr_accessor :locationId
  attr_accessor :supplyReplenishmentMethod
  attr_accessor :alternateDemandSourceItem
  attr_accessor :fixedLotSize
  attr_accessor :periodicLotSizeType
  attr_accessor :periodicLotSizeDays
  attr_accessor :supplyType
  attr_accessor :supplyLotSizingMethod
  attr_accessor :demandSource
  attr_accessor :backwardConsumptionDays
  attr_accessor :forwardConsumptionDays

  def initialize(location = nil, quantityOnHand = nil, onHandValueMli = nil, serialNumbers = nil, averageCostMli = nil, lastPurchasePriceMli = nil, reorderPoint = nil, preferredStockLevel = nil, leadTime = nil, defaultReturnCost = nil, isWip = nil, safetyStockLevel = nil, cost = nil, inventoryCostTemplate = nil, buildTime = nil, lastInvtCountDate = nil, nextInvtCountDate = nil, invtCountInterval = nil, invtClassification = nil, costingLotSize = nil, quantityOnOrder = nil, quantityCommitted = nil, quantityAvailable = nil, quantityBackOrdered = nil, locationId = nil, supplyReplenishmentMethod = nil, alternateDemandSourceItem = nil, fixedLotSize = nil, periodicLotSizeType = nil, periodicLotSizeDays = nil, supplyType = nil, supplyLotSizingMethod = nil, demandSource = nil, backwardConsumptionDays = nil, forwardConsumptionDays = nil)
    @location = location
    @quantityOnHand = quantityOnHand
    @onHandValueMli = onHandValueMli
    @serialNumbers = serialNumbers
    @averageCostMli = averageCostMli
    @lastPurchasePriceMli = lastPurchasePriceMli
    @reorderPoint = reorderPoint
    @preferredStockLevel = preferredStockLevel
    @leadTime = leadTime
    @defaultReturnCost = defaultReturnCost
    @isWip = isWip
    @safetyStockLevel = safetyStockLevel
    @cost = cost
    @inventoryCostTemplate = inventoryCostTemplate
    @buildTime = buildTime
    @lastInvtCountDate = lastInvtCountDate
    @nextInvtCountDate = nextInvtCountDate
    @invtCountInterval = invtCountInterval
    @invtClassification = invtClassification
    @costingLotSize = costingLotSize
    @quantityOnOrder = quantityOnOrder
    @quantityCommitted = quantityCommitted
    @quantityAvailable = quantityAvailable
    @quantityBackOrdered = quantityBackOrdered
    @locationId = locationId
    @supplyReplenishmentMethod = supplyReplenishmentMethod
    @alternateDemandSourceItem = alternateDemandSourceItem
    @fixedLotSize = fixedLotSize
    @periodicLotSizeType = periodicLotSizeType
    @periodicLotSizeDays = periodicLotSizeDays
    @supplyType = supplyType
    @supplyLotSizingMethod = supplyLotSizingMethod
    @demandSource = demandSource
    @backwardConsumptionDays = backwardConsumptionDays
    @forwardConsumptionDays = forwardConsumptionDays
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}SerializedInventoryItemLocationsList
#   locations - ActiveNetsuite::SerializedInventoryItemLocations
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class SerializedInventoryItemLocationsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :locations

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(locations = [])
    @locations = locations
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}SerializedInventoryItemNumbers
#   serialNumber - ActiveNetsuite::RecordRef
class SerializedInventoryItemNumbers
  attr_accessor :serialNumber

  def initialize(serialNumber = nil)
    @serialNumber = serialNumber
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}SerializedInventoryItemNumbersList
#   numbers - ActiveNetsuite::SerializedInventoryItemNumbers
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class SerializedInventoryItemNumbersList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :numbers

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(numbers = [])
    @numbers = numbers
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}LotNumberedInventoryItemLocations
#   location - SOAP::SOAPString
#   quantityOnHand - SOAP::SOAPDouble
#   onHandValueMli - SOAP::SOAPDouble
#   serialNumbers - SOAP::SOAPString
#   expirationDate - SOAP::SOAPDateTime
#   averageCostMli - SOAP::SOAPDouble
#   lastPurchasePriceMli - SOAP::SOAPDouble
#   reorderPoint - SOAP::SOAPDouble
#   preferredStockLevel - SOAP::SOAPDouble
#   leadTime - SOAP::SOAPLong
#   defaultReturnCost - SOAP::SOAPDouble
#   safetyStockLevel - SOAP::SOAPDouble
#   cost - SOAP::SOAPDouble
#   inventoryCostTemplate - ActiveNetsuite::RecordRef
#   buildTime - SOAP::SOAPDouble
#   lastInvtCountDate - SOAP::SOAPDateTime
#   nextInvtCountDate - SOAP::SOAPDateTime
#   isWip - SOAP::SOAPBoolean
#   invtCountInterval - SOAP::SOAPLong
#   invtClassification - ActiveNetsuite::ItemInvtClassification
#   costingLotSize - SOAP::SOAPDouble
#   quantityOnOrder - SOAP::SOAPDouble
#   quantityCommitted - SOAP::SOAPDouble
#   quantityAvailable - SOAP::SOAPDouble
#   quantityBackOrdered - SOAP::SOAPDouble
#   locationId - ActiveNetsuite::RecordRef
#   locationlookup - ActiveNetsuite::RecordRef
#   location_display - SOAP::SOAPString
#   supplyReplenishmentMethod - ActiveNetsuite::RecordRef
#   alternateDemandSourceItem - ActiveNetsuite::RecordRef
#   fixedLotSize - SOAP::SOAPDouble
#   periodicLotSizeType - ActiveNetsuite::PeriodicLotSizeType
#   periodicLotSizeDays - SOAP::SOAPLong
#   supplyType - ActiveNetsuite::RecordRef
#   supplyLotSizingMethod - ActiveNetsuite::RecordRef
#   demandSource - ActiveNetsuite::RecordRef
#   backwardConsumptionDays - SOAP::SOAPLong
#   forwardConsumptionDays - SOAP::SOAPLong
class LotNumberedInventoryItemLocations
  attr_accessor :location
  attr_accessor :quantityOnHand
  attr_accessor :onHandValueMli
  attr_accessor :serialNumbers
  attr_accessor :expirationDate
  attr_accessor :averageCostMli
  attr_accessor :lastPurchasePriceMli
  attr_accessor :reorderPoint
  attr_accessor :preferredStockLevel
  attr_accessor :leadTime
  attr_accessor :defaultReturnCost
  attr_accessor :safetyStockLevel
  attr_accessor :cost
  attr_accessor :inventoryCostTemplate
  attr_accessor :buildTime
  attr_accessor :lastInvtCountDate
  attr_accessor :nextInvtCountDate
  attr_accessor :isWip
  attr_accessor :invtCountInterval
  attr_accessor :invtClassification
  attr_accessor :costingLotSize
  attr_accessor :quantityOnOrder
  attr_accessor :quantityCommitted
  attr_accessor :quantityAvailable
  attr_accessor :quantityBackOrdered
  attr_accessor :locationId
  attr_accessor :locationlookup
  attr_accessor :location_display
  attr_accessor :supplyReplenishmentMethod
  attr_accessor :alternateDemandSourceItem
  attr_accessor :fixedLotSize
  attr_accessor :periodicLotSizeType
  attr_accessor :periodicLotSizeDays
  attr_accessor :supplyType
  attr_accessor :supplyLotSizingMethod
  attr_accessor :demandSource
  attr_accessor :backwardConsumptionDays
  attr_accessor :forwardConsumptionDays

  def initialize(location = nil, quantityOnHand = nil, onHandValueMli = nil, serialNumbers = nil, expirationDate = nil, averageCostMli = nil, lastPurchasePriceMli = nil, reorderPoint = nil, preferredStockLevel = nil, leadTime = nil, defaultReturnCost = nil, safetyStockLevel = nil, cost = nil, inventoryCostTemplate = nil, buildTime = nil, lastInvtCountDate = nil, nextInvtCountDate = nil, isWip = nil, invtCountInterval = nil, invtClassification = nil, costingLotSize = nil, quantityOnOrder = nil, quantityCommitted = nil, quantityAvailable = nil, quantityBackOrdered = nil, locationId = nil, locationlookup = nil, location_display = nil, supplyReplenishmentMethod = nil, alternateDemandSourceItem = nil, fixedLotSize = nil, periodicLotSizeType = nil, periodicLotSizeDays = nil, supplyType = nil, supplyLotSizingMethod = nil, demandSource = nil, backwardConsumptionDays = nil, forwardConsumptionDays = nil)
    @location = location
    @quantityOnHand = quantityOnHand
    @onHandValueMli = onHandValueMli
    @serialNumbers = serialNumbers
    @expirationDate = expirationDate
    @averageCostMli = averageCostMli
    @lastPurchasePriceMli = lastPurchasePriceMli
    @reorderPoint = reorderPoint
    @preferredStockLevel = preferredStockLevel
    @leadTime = leadTime
    @defaultReturnCost = defaultReturnCost
    @safetyStockLevel = safetyStockLevel
    @cost = cost
    @inventoryCostTemplate = inventoryCostTemplate
    @buildTime = buildTime
    @lastInvtCountDate = lastInvtCountDate
    @nextInvtCountDate = nextInvtCountDate
    @isWip = isWip
    @invtCountInterval = invtCountInterval
    @invtClassification = invtClassification
    @costingLotSize = costingLotSize
    @quantityOnOrder = quantityOnOrder
    @quantityCommitted = quantityCommitted
    @quantityAvailable = quantityAvailable
    @quantityBackOrdered = quantityBackOrdered
    @locationId = locationId
    @locationlookup = locationlookup
    @location_display = location_display
    @supplyReplenishmentMethod = supplyReplenishmentMethod
    @alternateDemandSourceItem = alternateDemandSourceItem
    @fixedLotSize = fixedLotSize
    @periodicLotSizeType = periodicLotSizeType
    @periodicLotSizeDays = periodicLotSizeDays
    @supplyType = supplyType
    @supplyLotSizingMethod = supplyLotSizingMethod
    @demandSource = demandSource
    @backwardConsumptionDays = backwardConsumptionDays
    @forwardConsumptionDays = forwardConsumptionDays
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}LotNumberedInventoryItemLocationsList
#   locations - ActiveNetsuite::LotNumberedInventoryItemLocations
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class LotNumberedInventoryItemLocationsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :locations

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(locations = [])
    @locations = locations
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}LotNumberedInventoryItemNumbers
#   serialNumber - ActiveNetsuite::RecordRef
#   quantityOnHand - SOAP::SOAPDouble
#   expirationDate - SOAP::SOAPDateTime
class LotNumberedInventoryItemNumbers
  attr_accessor :serialNumber
  attr_accessor :quantityOnHand
  attr_accessor :expirationDate

  def initialize(serialNumber = nil, quantityOnHand = nil, expirationDate = nil)
    @serialNumber = serialNumber
    @quantityOnHand = quantityOnHand
    @expirationDate = expirationDate
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}LotNumberedInventoryItemNumbersList
#   numbers - ActiveNetsuite::LotNumberedInventoryItemNumbers
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class LotNumberedInventoryItemNumbersList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :numbers

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(numbers = [])
    @numbers = numbers
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}GiftCertificateItemAuthCodes
#   authCode - SOAP::SOAPString
#   used - SOAP::SOAPBoolean
class GiftCertificateItemAuthCodes
  attr_accessor :authCode
  attr_accessor :used

  def initialize(authCode = nil, used = nil)
    @authCode = authCode
    @used = used
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}GiftCertificateItemAuthCodesList
#   authCodes - ActiveNetsuite::GiftCertificateItemAuthCodes
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class GiftCertificateItemAuthCodesList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :authCodes

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(authCodes = [])
    @authCodes = authCodes
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}SubsidiaryNexus
#   nexusId - ActiveNetsuite::RecordRef
#   country - SOAP::SOAPString
class SubsidiaryNexus
  attr_accessor :nexusId
  attr_accessor :country

  def initialize(nexusId = nil, country = nil)
    @nexusId = nexusId
    @country = country
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}SubsidiaryNexusList
#   nexus - ActiveNetsuite::SubsidiaryNexus
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class SubsidiaryNexusList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :nexus

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(nexus = [])
    @nexus = nexus
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ServiceItemTaskTemplates
#   taskName - SOAP::SOAPString
#   taskStartOffset - SOAP::SOAPLong
#   taskDuration - ActiveNetsuite::Duration
class ServiceItemTaskTemplates
  attr_accessor :taskName
  attr_accessor :taskStartOffset
  attr_accessor :taskDuration

  def initialize(taskName = nil, taskStartOffset = nil, taskDuration = nil)
    @taskName = taskName
    @taskStartOffset = taskStartOffset
    @taskDuration = taskDuration
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ServiceItemTaskTemplatesList
#   taskTemplates - ActiveNetsuite::ServiceItemTaskTemplates
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ServiceItemTaskTemplatesList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :taskTemplates

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(taskTemplates = [])
    @taskTemplates = taskTemplates
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}InventoryNumberLocations
#   location - SOAP::SOAPString
#   quantityOnHand - SOAP::SOAPDouble
#   quantityAvailable - SOAP::SOAPDouble
#   quantityOnOrder - SOAP::SOAPDouble
#   quantityInTransit - SOAP::SOAPDouble
class InventoryNumberLocations
  attr_accessor :location
  attr_accessor :quantityOnHand
  attr_accessor :quantityAvailable
  attr_accessor :quantityOnOrder
  attr_accessor :quantityInTransit

  def initialize(location = nil, quantityOnHand = nil, quantityAvailable = nil, quantityOnOrder = nil, quantityInTransit = nil)
    @location = location
    @quantityOnHand = quantityOnHand
    @quantityAvailable = quantityAvailable
    @quantityOnOrder = quantityOnOrder
    @quantityInTransit = quantityInTransit
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}InventoryNumberLocationsList
#   locations - ActiveNetsuite::InventoryNumberLocations
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class InventoryNumberLocationsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :locations

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(locations = [])
    @locations = locations
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}RevRecScheduleRecurrence
#   incomeaccount - ActiveNetsuite::RecordRef
#   periodOffset - SOAP::SOAPLong
#   recamount - SOAP::SOAPString
class RevRecScheduleRecurrence
  attr_accessor :incomeaccount
  attr_accessor :periodOffset
  attr_accessor :recamount

  def initialize(incomeaccount = nil, periodOffset = nil, recamount = nil)
    @incomeaccount = incomeaccount
    @periodOffset = periodOffset
    @recamount = recamount
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}RevRecScheduleRecurrenceList
#   revRecScheduleRecurrence - ActiveNetsuite::RevRecScheduleRecurrence
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class RevRecScheduleRecurrenceList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :revRecScheduleRecurrence

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(revRecScheduleRecurrence = [])
    @revRecScheduleRecurrence = revRecScheduleRecurrence
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}RevRecTemplateRecurrence
#   incomeaccount - ActiveNetsuite::RecordRef
#   periodOffset - SOAP::SOAPLong
#   recamount - SOAP::SOAPString
class RevRecTemplateRecurrence
  attr_accessor :incomeaccount
  attr_accessor :periodOffset
  attr_accessor :recamount

  def initialize(incomeaccount = nil, periodOffset = nil, recamount = nil)
    @incomeaccount = incomeaccount
    @periodOffset = periodOffset
    @recamount = recamount
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}RevRecTemplateRecurrenceList
#   revRecTemplateRecurrence - ActiveNetsuite::RevRecTemplateRecurrence
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class RevRecTemplateRecurrenceList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :revRecTemplateRecurrence

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(revRecTemplateRecurrence = [])
    @revRecTemplateRecurrence = revRecTemplateRecurrence
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}AccountingPeriodFiscalCalendars
#   fiscalCalendar - ActiveNetsuite::RecordRef
#   parent - ActiveNetsuite::RecordRef
class AccountingPeriodFiscalCalendars
  attr_accessor :fiscalCalendar
  attr_accessor :parent

  def initialize(fiscalCalendar = nil, parent = nil)
    @fiscalCalendar = fiscalCalendar
    @parent = parent
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}AccountingPeriodFiscalCalendarsList
#   accountingPeriodFiscalCalendars - ActiveNetsuite::AccountingPeriodFiscalCalendars
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class AccountingPeriodFiscalCalendarsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :accountingPeriodFiscalCalendars

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(accountingPeriodFiscalCalendars = [])
    @accountingPeriodFiscalCalendars = accountingPeriodFiscalCalendars
    @__xmlattr = {}
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ExpenseCategoryRates
#   subsidiary - ActiveNetsuite::RecordRef
#   currency - ActiveNetsuite::RecordRef
#   defaultRate - SOAP::SOAPDouble
class ExpenseCategoryRates
  attr_accessor :subsidiary
  attr_accessor :currency
  attr_accessor :defaultRate

  def initialize(subsidiary = nil, currency = nil, defaultRate = nil)
    @subsidiary = subsidiary
    @currency = currency
    @defaultRate = defaultRate
  end
end

# {urn:accounting_2013_2.lists.webservices.netsuite.com}ExpenseCategoryRatesList
#   expenseCategoryRates - ActiveNetsuite::ExpenseCategoryRates
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ExpenseCategoryRatesList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :expenseCategoryRates

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(expenseCategoryRates = [])
    @expenseCategoryRates = expenseCategoryRates
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}OpportunitySalesTeam
#   employee - ActiveNetsuite::RecordRef
#   salesRole - ActiveNetsuite::RecordRef
#   isPrimary - SOAP::SOAPBoolean
#   contribution - SOAP::SOAPDouble
class OpportunitySalesTeam
  attr_accessor :employee
  attr_accessor :salesRole
  attr_accessor :isPrimary
  attr_accessor :contribution

  def initialize(employee = nil, salesRole = nil, isPrimary = nil, contribution = nil)
    @employee = employee
    @salesRole = salesRole
    @isPrimary = isPrimary
    @contribution = contribution
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}OpportunitySalesTeamList
#   salesTeam - ActiveNetsuite::OpportunitySalesTeam
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class OpportunitySalesTeamList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :salesTeam

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(salesTeam = [])
    @salesTeam = salesTeam
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}OpportunityItem
#   job - ActiveNetsuite::RecordRef
#   item - ActiveNetsuite::RecordRef
#   line - SOAP::SOAPLong
#   quantityAvailable - SOAP::SOAPDouble
#   quantityOnHand - SOAP::SOAPDouble
#   quantity - SOAP::SOAPDouble
#   units - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   price - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
#   altSalesAmt - SOAP::SOAPDouble
#   revRecTermInMonths - SOAP::SOAPLong
#   options - ActiveNetsuite::CustomFieldList
#   fromJob - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   isEstimate - SOAP::SOAPBoolean
#   location - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   costEstimate - SOAP::SOAPDouble
#   grossAmt - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
#   expectedShipDate - SOAP::SOAPDateTime
#   customFieldList - ActiveNetsuite::CustomFieldList
class OpportunityItem
  attr_accessor :job
  attr_accessor :item
  attr_accessor :line
  attr_accessor :quantityAvailable
  attr_accessor :quantityOnHand
  attr_accessor :quantity
  attr_accessor :units
  attr_accessor :description
  attr_accessor :price
  attr_accessor :rate
  attr_accessor :amount
  attr_accessor :altSalesAmt
  attr_accessor :revRecTermInMonths
  attr_accessor :options
  attr_accessor :fromJob
  attr_accessor :department
  attr_accessor :isEstimate
  attr_accessor :location
  attr_accessor :costEstimateType
  attr_accessor :costEstimate
  attr_accessor :grossAmt
  attr_accessor :tax1Amt
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2
  attr_accessor :expectedShipDate
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(job = nil, item = nil, line = nil, quantityAvailable = nil, quantityOnHand = nil, quantity = nil, units = nil, description = nil, price = nil, rate = nil, amount = nil, altSalesAmt = nil, revRecTermInMonths = nil, options = nil, fromJob = nil, department = nil, isEstimate = nil, location = nil, v_class = nil, costEstimateType = nil, costEstimate = nil, grossAmt = nil, tax1Amt = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil, expectedShipDate = nil, customFieldList = nil)
    @job = job
    @item = item
    @line = line
    @quantityAvailable = quantityAvailable
    @quantityOnHand = quantityOnHand
    @quantity = quantity
    @units = units
    @description = description
    @price = price
    @rate = rate
    @amount = amount
    @altSalesAmt = altSalesAmt
    @revRecTermInMonths = revRecTermInMonths
    @options = options
    @fromJob = fromJob
    @department = department
    @isEstimate = isEstimate
    @location = location
    @v_class = v_class
    @costEstimateType = costEstimateType
    @costEstimate = costEstimate
    @grossAmt = grossAmt
    @tax1Amt = tax1Amt
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
    @expectedShipDate = expectedShipDate
    @customFieldList = customFieldList
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}OpportunityItemList
#   item - ActiveNetsuite::OpportunityItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class OpportunityItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :item

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(item = [])
    @item = item
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}OpportunityCompetitors
#   competitor - ActiveNetsuite::RecordRef
#   url - SOAP::SOAPString
#   notes - SOAP::SOAPString
#   strategy - SOAP::SOAPString
#   winner - SOAP::SOAPBoolean
class OpportunityCompetitors
  attr_accessor :competitor
  attr_accessor :url
  attr_accessor :notes
  attr_accessor :strategy
  attr_accessor :winner

  def initialize(competitor = nil, url = nil, notes = nil, strategy = nil, winner = nil)
    @competitor = competitor
    @url = url
    @notes = notes
    @strategy = strategy
    @winner = winner
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}OpportunityCompetitorsList
#   competitors - ActiveNetsuite::OpportunityCompetitors
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class OpportunityCompetitorsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :competitors

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(competitors = [])
    @competitors = competitors
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}OpportunityPartnersList
#   partners - ActiveNetsuite::Partners
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class OpportunityPartnersList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :partners

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(partners = [])
    @partners = partners
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}SalesOrderSalesTeam
#   employee - ActiveNetsuite::RecordRef
#   salesRole - ActiveNetsuite::RecordRef
#   isPrimary - SOAP::SOAPBoolean
#   contribution - SOAP::SOAPDouble
class SalesOrderSalesTeam
  attr_accessor :employee
  attr_accessor :salesRole
  attr_accessor :isPrimary
  attr_accessor :contribution

  def initialize(employee = nil, salesRole = nil, isPrimary = nil, contribution = nil)
    @employee = employee
    @salesRole = salesRole
    @isPrimary = isPrimary
    @contribution = contribution
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}SalesOrderSalesTeamList
#   salesTeam - ActiveNetsuite::SalesOrderSalesTeam
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class SalesOrderSalesTeamList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :salesTeam

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(salesTeam = [])
    @salesTeam = salesTeam
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}SalesOrderItem
#   job - ActiveNetsuite::RecordRef
#   item - ActiveNetsuite::RecordRef
#   quantityAvailable - SOAP::SOAPDouble
#   quantityOnHand - SOAP::SOAPDouble
#   quantity - SOAP::SOAPDouble
#   units - ActiveNetsuite::RecordRef
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   description - SOAP::SOAPString
#   price - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPString
#   serialNumbers - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
#   isTaxable - SOAP::SOAPBoolean
#   commitInventory - ActiveNetsuite::SalesOrderItemCommitInventory
#   orderPriority - SOAP::SOAPDouble
#   licenseCode - SOAP::SOAPString
#   options - ActiveNetsuite::CustomFieldList
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   createPo - ActiveNetsuite::SalesOrderItemCreatePo
#   createdPo - ActiveNetsuite::RecordRef
#   altSalesAmt - SOAP::SOAPDouble
#   createWo - SOAP::SOAPBoolean
#   poVendor - ActiveNetsuite::RecordRef
#   poCurrency - SOAP::SOAPString
#   poRate - SOAP::SOAPDouble
#   revRecSchedule - ActiveNetsuite::RecordRef
#   revRecStartDate - SOAP::SOAPDateTime
#   revRecTermInMonths - SOAP::SOAPLong
#   revRecEndDate - SOAP::SOAPDateTime
#   deferRevRec - SOAP::SOAPBoolean
#   isClosed - SOAP::SOAPBoolean
#   billingSchedule - ActiveNetsuite::RecordRef
#   fromJob - SOAP::SOAPBoolean
#   grossAmt - SOAP::SOAPDouble
#   excludeFromRateRequest - SOAP::SOAPBoolean
#   isEstimate - SOAP::SOAPBoolean
#   line - SOAP::SOAPLong
#   percentComplete - SOAP::SOAPDouble
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   costEstimate - SOAP::SOAPDouble
#   quantityBackOrdered - SOAP::SOAPDouble
#   quantityBilled - SOAP::SOAPDouble
#   quantityCommitted - SOAP::SOAPDouble
#   quantityFulfilled - SOAP::SOAPDouble
#   quantityPacked - SOAP::SOAPDouble
#   quantityPicked - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
#   giftCertFrom - SOAP::SOAPString
#   giftCertRecipientName - SOAP::SOAPString
#   giftCertRecipientEmail - SOAP::SOAPString
#   giftCertMessage - SOAP::SOAPString
#   giftCertNumber - SOAP::SOAPString
#   shipGroup - SOAP::SOAPLong
#   itemIsFulfilled - SOAP::SOAPBoolean
#   shipAddress - ActiveNetsuite::RecordRef
#   shipMethod - ActiveNetsuite::RecordRef
#   vsoeSopGroup - ActiveNetsuite::VsoeSopGroup
#   vsoeIsEstimate - SOAP::SOAPBoolean
#   vsoePrice - SOAP::SOAPDouble
#   vsoeAmount - SOAP::SOAPDouble
#   vsoeAllocation - SOAP::SOAPDouble
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   expectedShipDate - SOAP::SOAPDateTime
#   chargeType - ActiveNetsuite::ChargeRuleType
#   customFieldList - ActiveNetsuite::CustomFieldList
class SalesOrderItem
  attr_accessor :job
  attr_accessor :item
  attr_accessor :quantityAvailable
  attr_accessor :quantityOnHand
  attr_accessor :quantity
  attr_accessor :units
  attr_accessor :inventoryDetail
  attr_accessor :description
  attr_accessor :price
  attr_accessor :rate
  attr_accessor :serialNumbers
  attr_accessor :amount
  attr_accessor :isTaxable
  attr_accessor :commitInventory
  attr_accessor :orderPriority
  attr_accessor :licenseCode
  attr_accessor :options
  attr_accessor :department
  attr_accessor :location
  attr_accessor :createPo
  attr_accessor :createdPo
  attr_accessor :altSalesAmt
  attr_accessor :createWo
  attr_accessor :poVendor
  attr_accessor :poCurrency
  attr_accessor :poRate
  attr_accessor :revRecSchedule
  attr_accessor :revRecStartDate
  attr_accessor :revRecTermInMonths
  attr_accessor :revRecEndDate
  attr_accessor :deferRevRec
  attr_accessor :isClosed
  attr_accessor :billingSchedule
  attr_accessor :fromJob
  attr_accessor :grossAmt
  attr_accessor :excludeFromRateRequest
  attr_accessor :isEstimate
  attr_accessor :line
  attr_accessor :percentComplete
  attr_accessor :costEstimateType
  attr_accessor :costEstimate
  attr_accessor :quantityBackOrdered
  attr_accessor :quantityBilled
  attr_accessor :quantityCommitted
  attr_accessor :quantityFulfilled
  attr_accessor :quantityPacked
  attr_accessor :quantityPicked
  attr_accessor :tax1Amt
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2
  attr_accessor :giftCertFrom
  attr_accessor :giftCertRecipientName
  attr_accessor :giftCertRecipientEmail
  attr_accessor :giftCertMessage
  attr_accessor :giftCertNumber
  attr_accessor :shipGroup
  attr_accessor :itemIsFulfilled
  attr_accessor :shipAddress
  attr_accessor :shipMethod
  attr_accessor :vsoeSopGroup
  attr_accessor :vsoeIsEstimate
  attr_accessor :vsoePrice
  attr_accessor :vsoeAmount
  attr_accessor :vsoeAllocation
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :expectedShipDate
  attr_accessor :chargeType
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(job = nil, item = nil, quantityAvailable = nil, quantityOnHand = nil, quantity = nil, units = nil, inventoryDetail = nil, description = nil, price = nil, rate = nil, serialNumbers = nil, amount = nil, isTaxable = nil, commitInventory = nil, orderPriority = nil, licenseCode = nil, options = nil, department = nil, v_class = nil, location = nil, createPo = nil, createdPo = nil, altSalesAmt = nil, createWo = nil, poVendor = nil, poCurrency = nil, poRate = nil, revRecSchedule = nil, revRecStartDate = nil, revRecTermInMonths = nil, revRecEndDate = nil, deferRevRec = nil, isClosed = nil, billingSchedule = nil, fromJob = nil, grossAmt = nil, excludeFromRateRequest = nil, isEstimate = nil, line = nil, percentComplete = nil, costEstimateType = nil, costEstimate = nil, quantityBackOrdered = nil, quantityBilled = nil, quantityCommitted = nil, quantityFulfilled = nil, quantityPacked = nil, quantityPicked = nil, tax1Amt = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil, giftCertFrom = nil, giftCertRecipientName = nil, giftCertRecipientEmail = nil, giftCertMessage = nil, giftCertNumber = nil, shipGroup = nil, itemIsFulfilled = nil, shipAddress = nil, shipMethod = nil, vsoeSopGroup = nil, vsoeIsEstimate = nil, vsoePrice = nil, vsoeAmount = nil, vsoeAllocation = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, expectedShipDate = nil, chargeType = nil, customFieldList = nil)
    @job = job
    @item = item
    @quantityAvailable = quantityAvailable
    @quantityOnHand = quantityOnHand
    @quantity = quantity
    @units = units
    @inventoryDetail = inventoryDetail
    @description = description
    @price = price
    @rate = rate
    @serialNumbers = serialNumbers
    @amount = amount
    @isTaxable = isTaxable
    @commitInventory = commitInventory
    @orderPriority = orderPriority
    @licenseCode = licenseCode
    @options = options
    @department = department
    @v_class = v_class
    @location = location
    @createPo = createPo
    @createdPo = createdPo
    @altSalesAmt = altSalesAmt
    @createWo = createWo
    @poVendor = poVendor
    @poCurrency = poCurrency
    @poRate = poRate
    @revRecSchedule = revRecSchedule
    @revRecStartDate = revRecStartDate
    @revRecTermInMonths = revRecTermInMonths
    @revRecEndDate = revRecEndDate
    @deferRevRec = deferRevRec
    @isClosed = isClosed
    @billingSchedule = billingSchedule
    @fromJob = fromJob
    @grossAmt = grossAmt
    @excludeFromRateRequest = excludeFromRateRequest
    @isEstimate = isEstimate
    @line = line
    @percentComplete = percentComplete
    @costEstimateType = costEstimateType
    @costEstimate = costEstimate
    @quantityBackOrdered = quantityBackOrdered
    @quantityBilled = quantityBilled
    @quantityCommitted = quantityCommitted
    @quantityFulfilled = quantityFulfilled
    @quantityPacked = quantityPacked
    @quantityPicked = quantityPicked
    @tax1Amt = tax1Amt
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
    @giftCertFrom = giftCertFrom
    @giftCertRecipientName = giftCertRecipientName
    @giftCertRecipientEmail = giftCertRecipientEmail
    @giftCertMessage = giftCertMessage
    @giftCertNumber = giftCertNumber
    @shipGroup = shipGroup
    @itemIsFulfilled = itemIsFulfilled
    @shipAddress = shipAddress
    @shipMethod = shipMethod
    @vsoeSopGroup = vsoeSopGroup
    @vsoeIsEstimate = vsoeIsEstimate
    @vsoePrice = vsoePrice
    @vsoeAmount = vsoeAmount
    @vsoeAllocation = vsoeAllocation
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @expectedShipDate = expectedShipDate
    @chargeType = chargeType
    @customFieldList = customFieldList
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}SalesOrderItemList
#   item - ActiveNetsuite::SalesOrderItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class SalesOrderItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :item

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(item = [])
    @item = item
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}SalesOrderPartnersList
#   partners - ActiveNetsuite::Partners
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class SalesOrderPartnersList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :partners

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(partners = [])
    @partners = partners
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}SalesOrderShipGroupList
#   shipGroup - ActiveNetsuite::TransactionShipGroup
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class SalesOrderShipGroupList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :shipGroup

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(shipGroup = [])
    @shipGroup = shipGroup
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentItem
#   jobName - SOAP::SOAPString
#   itemReceive - SOAP::SOAPBoolean
#   itemName - SOAP::SOAPString
#   description - SOAP::SOAPString
#   location - ActiveNetsuite::RecordRef
#   onHand - SOAP::SOAPDouble
#   quantity - SOAP::SOAPDouble
#   unitsDisplay - SOAP::SOAPString
#   createPo - SOAP::SOAPString
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   binNumbers - SOAP::SOAPString
#   serialNumbers - SOAP::SOAPString
#   poNum - SOAP::SOAPString
#   item - ActiveNetsuite::RecordRef
#   orderLine - SOAP::SOAPLong
#   quantityRemaining - SOAP::SOAPDouble
#   options - ActiveNetsuite::CustomFieldList
#   shipGroup - SOAP::SOAPLong
#   itemIsFulfilled - SOAP::SOAPBoolean
#   shipAddress - ActiveNetsuite::RecordRef
#   shipMethod - ActiveNetsuite::RecordRef
#   customFieldList - ActiveNetsuite::CustomFieldList
class ItemFulfillmentItem
  attr_accessor :jobName
  attr_accessor :itemReceive
  attr_accessor :itemName
  attr_accessor :description
  attr_accessor :location
  attr_accessor :onHand
  attr_accessor :quantity
  attr_accessor :unitsDisplay
  attr_accessor :createPo
  attr_accessor :inventoryDetail
  attr_accessor :binNumbers
  attr_accessor :serialNumbers
  attr_accessor :poNum
  attr_accessor :item
  attr_accessor :orderLine
  attr_accessor :quantityRemaining
  attr_accessor :options
  attr_accessor :shipGroup
  attr_accessor :itemIsFulfilled
  attr_accessor :shipAddress
  attr_accessor :shipMethod
  attr_accessor :customFieldList

  def initialize(jobName = nil, itemReceive = nil, itemName = nil, description = nil, location = nil, onHand = nil, quantity = nil, unitsDisplay = nil, createPo = nil, inventoryDetail = nil, binNumbers = nil, serialNumbers = nil, poNum = nil, item = nil, orderLine = nil, quantityRemaining = nil, options = nil, shipGroup = nil, itemIsFulfilled = nil, shipAddress = nil, shipMethod = nil, customFieldList = nil)
    @jobName = jobName
    @itemReceive = itemReceive
    @itemName = itemName
    @description = description
    @location = location
    @onHand = onHand
    @quantity = quantity
    @unitsDisplay = unitsDisplay
    @createPo = createPo
    @inventoryDetail = inventoryDetail
    @binNumbers = binNumbers
    @serialNumbers = serialNumbers
    @poNum = poNum
    @item = item
    @orderLine = orderLine
    @quantityRemaining = quantityRemaining
    @options = options
    @shipGroup = shipGroup
    @itemIsFulfilled = itemIsFulfilled
    @shipAddress = shipAddress
    @shipMethod = shipMethod
    @customFieldList = customFieldList
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentItemList
#   item - ActiveNetsuite::ItemFulfillmentItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ItemFulfillmentItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :item

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(item = [])
    @item = item
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentPackage
#   packageWeight - SOAP::SOAPDouble
#   packageDescr - SOAP::SOAPString
#   packageTrackingNumber - SOAP::SOAPString
class ItemFulfillmentPackage
  attr_accessor :packageWeight
  attr_accessor :packageDescr
  attr_accessor :packageTrackingNumber

  def initialize(packageWeight = nil, packageDescr = nil, packageTrackingNumber = nil)
    @packageWeight = packageWeight
    @packageDescr = packageDescr
    @packageTrackingNumber = packageTrackingNumber
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentPackageList
#   package - ActiveNetsuite::ItemFulfillmentPackage
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ItemFulfillmentPackageList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :package

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(package = [])
    @package = package
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentPackageUps
#   packageWeightUps - SOAP::SOAPDouble
#   packageDescrUps - SOAP::SOAPString
#   packageTrackingNumberUps - SOAP::SOAPString
#   packagingUps - ActiveNetsuite::ItemFulfillmentPackageUpsPackagingUps
#   useInsuredValueUps - SOAP::SOAPBoolean
#   insuredValueUps - SOAP::SOAPDouble
#   reference1Ups - SOAP::SOAPString
#   reference2Ups - SOAP::SOAPString
#   packageLengthUps - SOAP::SOAPLong
#   packageWidthUps - SOAP::SOAPLong
#   packageHeightUps - SOAP::SOAPLong
#   additionalHandlingUps - SOAP::SOAPBoolean
#   useCodUps - SOAP::SOAPBoolean
#   codAmountUps - SOAP::SOAPDouble
#   codMethodUps - ActiveNetsuite::ItemFulfillmentPackageUpsCodMethodUps
#   deliveryConfUps - ActiveNetsuite::ItemFulfillmentPackageUpsDeliveryConfUps
class ItemFulfillmentPackageUps
  attr_accessor :packageWeightUps
  attr_accessor :packageDescrUps
  attr_accessor :packageTrackingNumberUps
  attr_accessor :packagingUps
  attr_accessor :useInsuredValueUps
  attr_accessor :insuredValueUps
  attr_accessor :reference1Ups
  attr_accessor :reference2Ups
  attr_accessor :packageLengthUps
  attr_accessor :packageWidthUps
  attr_accessor :packageHeightUps
  attr_accessor :additionalHandlingUps
  attr_accessor :useCodUps
  attr_accessor :codAmountUps
  attr_accessor :codMethodUps
  attr_accessor :deliveryConfUps

  def initialize(packageWeightUps = nil, packageDescrUps = nil, packageTrackingNumberUps = nil, packagingUps = nil, useInsuredValueUps = nil, insuredValueUps = nil, reference1Ups = nil, reference2Ups = nil, packageLengthUps = nil, packageWidthUps = nil, packageHeightUps = nil, additionalHandlingUps = nil, useCodUps = nil, codAmountUps = nil, codMethodUps = nil, deliveryConfUps = nil)
    @packageWeightUps = packageWeightUps
    @packageDescrUps = packageDescrUps
    @packageTrackingNumberUps = packageTrackingNumberUps
    @packagingUps = packagingUps
    @useInsuredValueUps = useInsuredValueUps
    @insuredValueUps = insuredValueUps
    @reference1Ups = reference1Ups
    @reference2Ups = reference2Ups
    @packageLengthUps = packageLengthUps
    @packageWidthUps = packageWidthUps
    @packageHeightUps = packageHeightUps
    @additionalHandlingUps = additionalHandlingUps
    @useCodUps = useCodUps
    @codAmountUps = codAmountUps
    @codMethodUps = codMethodUps
    @deliveryConfUps = deliveryConfUps
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentPackageUpsList
#   packageUps - ActiveNetsuite::ItemFulfillmentPackageUps
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ItemFulfillmentPackageUpsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :packageUps

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(packageUps = [])
    @packageUps = packageUps
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentPackageUsps
#   packageWeightUsps - SOAP::SOAPDouble
#   packageDescrUsps - SOAP::SOAPString
#   packageTrackingNumberUsps - SOAP::SOAPString
#   packagingUsps - ActiveNetsuite::ItemFulfillmentPackageUspsPackagingUsps
#   useInsuredValueUsps - SOAP::SOAPBoolean
#   insuredValueUsps - SOAP::SOAPDouble
#   reference1Usps - SOAP::SOAPString
#   reference2Usps - SOAP::SOAPString
#   packageLengthUsps - SOAP::SOAPLong
#   packageWidthUsps - SOAP::SOAPLong
#   packageHeightUsps - SOAP::SOAPLong
#   deliveryConfUsps - ActiveNetsuite::ItemFulfillmentPackageUspsDeliveryConfUsps
class ItemFulfillmentPackageUsps
  attr_accessor :packageWeightUsps
  attr_accessor :packageDescrUsps
  attr_accessor :packageTrackingNumberUsps
  attr_accessor :packagingUsps
  attr_accessor :useInsuredValueUsps
  attr_accessor :insuredValueUsps
  attr_accessor :reference1Usps
  attr_accessor :reference2Usps
  attr_accessor :packageLengthUsps
  attr_accessor :packageWidthUsps
  attr_accessor :packageHeightUsps
  attr_accessor :deliveryConfUsps

  def initialize(packageWeightUsps = nil, packageDescrUsps = nil, packageTrackingNumberUsps = nil, packagingUsps = nil, useInsuredValueUsps = nil, insuredValueUsps = nil, reference1Usps = nil, reference2Usps = nil, packageLengthUsps = nil, packageWidthUsps = nil, packageHeightUsps = nil, deliveryConfUsps = nil)
    @packageWeightUsps = packageWeightUsps
    @packageDescrUsps = packageDescrUsps
    @packageTrackingNumberUsps = packageTrackingNumberUsps
    @packagingUsps = packagingUsps
    @useInsuredValueUsps = useInsuredValueUsps
    @insuredValueUsps = insuredValueUsps
    @reference1Usps = reference1Usps
    @reference2Usps = reference2Usps
    @packageLengthUsps = packageLengthUsps
    @packageWidthUsps = packageWidthUsps
    @packageHeightUsps = packageHeightUsps
    @deliveryConfUsps = deliveryConfUsps
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentPackageUspsList
#   packageUsps - ActiveNetsuite::ItemFulfillmentPackageUsps
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ItemFulfillmentPackageUspsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :packageUsps

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(packageUsps = [])
    @packageUsps = packageUsps
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentPackageFedEx
#   packageWeightFedEx - SOAP::SOAPDouble
#   dryIceWeightFedEx - SOAP::SOAPDouble
#   packageTrackingNumberFedEx - SOAP::SOAPString
#   packagingFedEx - ActiveNetsuite::ItemFulfillmentPackageFedExPackagingFedEx
#   admPackageTypeFedEx - ActiveNetsuite::ItemFulfillmentPackageFedExAdmPackageTypeFedEx
#   isNonStandardContainerFedEx - SOAP::SOAPBoolean
#   isAlcoholFedEx - SOAP::SOAPBoolean
#   isNonHazLithiumFedEx - SOAP::SOAPBoolean
#   insuredValueFedEx - SOAP::SOAPDouble
#   useInsuredValueFedEx - SOAP::SOAPBoolean
#   reference1FedEx - SOAP::SOAPString
#   priorityAlertTypeFedEx - ActiveNetsuite::ItemFulfillmentPackageFedExPriorityAlertTypeFedEx
#   priorityAlertContentFedEx - SOAP::SOAPString
#   packageLengthFedEx - SOAP::SOAPLong
#   packageWidthFedEx - SOAP::SOAPLong
#   packageHeightFedEx - SOAP::SOAPLong
#   useCodFedEx - SOAP::SOAPBoolean
#   codAmountFedEx - SOAP::SOAPDouble
#   codMethodFedEx - ActiveNetsuite::ItemFulfillmentPackageFedExCodMethodFedEx
#   codFreightTypeFedEx - ActiveNetsuite::ItemFulfillmentPackageFedExCodFreightTypeFedEx
#   deliveryConfFedEx - ActiveNetsuite::ItemFulfillmentPackageFedExDeliveryConfFedEx
#   signatureOptionsFedEx - ActiveNetsuite::ItemFulfillmentPackageFedExSignatureOptionsFedEx
#   signatureReleaseFedEx - SOAP::SOAPString
#   authorizationNumberFedEx - SOAP::SOAPString
class ItemFulfillmentPackageFedEx
  attr_accessor :packageWeightFedEx
  attr_accessor :dryIceWeightFedEx
  attr_accessor :packageTrackingNumberFedEx
  attr_accessor :packagingFedEx
  attr_accessor :admPackageTypeFedEx
  attr_accessor :isNonStandardContainerFedEx
  attr_accessor :isAlcoholFedEx
  attr_accessor :isNonHazLithiumFedEx
  attr_accessor :insuredValueFedEx
  attr_accessor :useInsuredValueFedEx
  attr_accessor :reference1FedEx
  attr_accessor :priorityAlertTypeFedEx
  attr_accessor :priorityAlertContentFedEx
  attr_accessor :packageLengthFedEx
  attr_accessor :packageWidthFedEx
  attr_accessor :packageHeightFedEx
  attr_accessor :useCodFedEx
  attr_accessor :codAmountFedEx
  attr_accessor :codMethodFedEx
  attr_accessor :codFreightTypeFedEx
  attr_accessor :deliveryConfFedEx
  attr_accessor :signatureOptionsFedEx
  attr_accessor :signatureReleaseFedEx
  attr_accessor :authorizationNumberFedEx

  def initialize(packageWeightFedEx = nil, dryIceWeightFedEx = nil, packageTrackingNumberFedEx = nil, packagingFedEx = nil, admPackageTypeFedEx = nil, isNonStandardContainerFedEx = nil, isAlcoholFedEx = nil, isNonHazLithiumFedEx = nil, insuredValueFedEx = nil, useInsuredValueFedEx = nil, reference1FedEx = nil, priorityAlertTypeFedEx = nil, priorityAlertContentFedEx = nil, packageLengthFedEx = nil, packageWidthFedEx = nil, packageHeightFedEx = nil, useCodFedEx = nil, codAmountFedEx = nil, codMethodFedEx = nil, codFreightTypeFedEx = nil, deliveryConfFedEx = nil, signatureOptionsFedEx = nil, signatureReleaseFedEx = nil, authorizationNumberFedEx = nil)
    @packageWeightFedEx = packageWeightFedEx
    @dryIceWeightFedEx = dryIceWeightFedEx
    @packageTrackingNumberFedEx = packageTrackingNumberFedEx
    @packagingFedEx = packagingFedEx
    @admPackageTypeFedEx = admPackageTypeFedEx
    @isNonStandardContainerFedEx = isNonStandardContainerFedEx
    @isAlcoholFedEx = isAlcoholFedEx
    @isNonHazLithiumFedEx = isNonHazLithiumFedEx
    @insuredValueFedEx = insuredValueFedEx
    @useInsuredValueFedEx = useInsuredValueFedEx
    @reference1FedEx = reference1FedEx
    @priorityAlertTypeFedEx = priorityAlertTypeFedEx
    @priorityAlertContentFedEx = priorityAlertContentFedEx
    @packageLengthFedEx = packageLengthFedEx
    @packageWidthFedEx = packageWidthFedEx
    @packageHeightFedEx = packageHeightFedEx
    @useCodFedEx = useCodFedEx
    @codAmountFedEx = codAmountFedEx
    @codMethodFedEx = codMethodFedEx
    @codFreightTypeFedEx = codFreightTypeFedEx
    @deliveryConfFedEx = deliveryConfFedEx
    @signatureOptionsFedEx = signatureOptionsFedEx
    @signatureReleaseFedEx = signatureReleaseFedEx
    @authorizationNumberFedEx = authorizationNumberFedEx
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentPackageFedExList
#   packageFedEx - ActiveNetsuite::ItemFulfillmentPackageFedEx
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ItemFulfillmentPackageFedExList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :packageFedEx

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(packageFedEx = [])
    @packageFedEx = packageFedEx
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentShipGroupList
#   shipGroup - ActiveNetsuite::TransactionShipGroup
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ItemFulfillmentShipGroupList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :shipGroup

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(shipGroup = [])
    @shipGroup = shipGroup
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}InvoiceSalesTeam
#   employee - ActiveNetsuite::RecordRef
#   salesRole - ActiveNetsuite::RecordRef
#   isPrimary - SOAP::SOAPBoolean
#   contribution - SOAP::SOAPDouble
class InvoiceSalesTeam
  attr_accessor :employee
  attr_accessor :salesRole
  attr_accessor :isPrimary
  attr_accessor :contribution

  def initialize(employee = nil, salesRole = nil, isPrimary = nil, contribution = nil)
    @employee = employee
    @salesRole = salesRole
    @isPrimary = isPrimary
    @contribution = contribution
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}InvoiceSalesTeamList
#   salesTeam - ActiveNetsuite::InvoiceSalesTeam
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class InvoiceSalesTeamList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :salesTeam

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(salesTeam = [])
    @salesTeam = salesTeam
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}InvoiceItem
#   job - ActiveNetsuite::RecordRef
#   item - ActiveNetsuite::RecordRef
#   line - SOAP::SOAPLong
#   description - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
#   isTaxable - SOAP::SOAPBoolean
#   options - ActiveNetsuite::CustomFieldList
#   deferRevRec - SOAP::SOAPBoolean
#   quantity - SOAP::SOAPDouble
#   currentPercent - SOAP::SOAPDouble
#   units - ActiveNetsuite::RecordRef
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   serialNumbers - SOAP::SOAPString
#   binNumbers - SOAP::SOAPString
#   price - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPString
#   percentComplete - SOAP::SOAPDouble
#   quantityOnHand - SOAP::SOAPDouble
#   quantityAvailable - SOAP::SOAPDouble
#   quantityOrdered - SOAP::SOAPDouble
#   quantityRemaining - SOAP::SOAPDouble
#   quantityFulfilled - SOAP::SOAPDouble
#   amountOrdered - SOAP::SOAPDouble
#   department - ActiveNetsuite::RecordRef
#   orderLine - SOAP::SOAPLong
#   licenseCode - SOAP::SOAPString
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   revRecSchedule - ActiveNetsuite::RecordRef
#   revRecStartDate - SOAP::SOAPDateTime
#   revRecEndDate - SOAP::SOAPDateTime
#   grossAmt - SOAP::SOAPDouble
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   costEstimate - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
#   giftCertFrom - SOAP::SOAPString
#   giftCertRecipientName - SOAP::SOAPString
#   giftCertRecipientEmail - SOAP::SOAPString
#   giftCertMessage - SOAP::SOAPString
#   giftCertNumber - SOAP::SOAPString
#   shipGroup - SOAP::SOAPLong
#   itemIsFulfilled - SOAP::SOAPBoolean
#   shipAddress - ActiveNetsuite::RecordRef
#   shipMethod - ActiveNetsuite::RecordRef
#   vsoeSopGroup - ActiveNetsuite::VsoeSopGroup
#   vsoeIsEstimate - SOAP::SOAPBoolean
#   vsoePrice - SOAP::SOAPDouble
#   vsoeAmount - SOAP::SOAPDouble
#   vsoeAllocation - SOAP::SOAPDouble
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   chargeType - ActiveNetsuite::ChargeRuleType
#   chargesList - ActiveNetsuite::RecordRefList
#   customFieldList - ActiveNetsuite::CustomFieldList
class InvoiceItem
  attr_accessor :job
  attr_accessor :item
  attr_accessor :line
  attr_accessor :description
  attr_accessor :amount
  attr_accessor :isTaxable
  attr_accessor :options
  attr_accessor :deferRevRec
  attr_accessor :quantity
  attr_accessor :currentPercent
  attr_accessor :units
  attr_accessor :inventoryDetail
  attr_accessor :serialNumbers
  attr_accessor :binNumbers
  attr_accessor :price
  attr_accessor :rate
  attr_accessor :percentComplete
  attr_accessor :quantityOnHand
  attr_accessor :quantityAvailable
  attr_accessor :quantityOrdered
  attr_accessor :quantityRemaining
  attr_accessor :quantityFulfilled
  attr_accessor :amountOrdered
  attr_accessor :department
  attr_accessor :orderLine
  attr_accessor :licenseCode
  attr_accessor :location
  attr_accessor :revRecSchedule
  attr_accessor :revRecStartDate
  attr_accessor :revRecEndDate
  attr_accessor :grossAmt
  attr_accessor :costEstimateType
  attr_accessor :costEstimate
  attr_accessor :tax1Amt
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2
  attr_accessor :giftCertFrom
  attr_accessor :giftCertRecipientName
  attr_accessor :giftCertRecipientEmail
  attr_accessor :giftCertMessage
  attr_accessor :giftCertNumber
  attr_accessor :shipGroup
  attr_accessor :itemIsFulfilled
  attr_accessor :shipAddress
  attr_accessor :shipMethod
  attr_accessor :vsoeSopGroup
  attr_accessor :vsoeIsEstimate
  attr_accessor :vsoePrice
  attr_accessor :vsoeAmount
  attr_accessor :vsoeAllocation
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :chargeType
  attr_accessor :chargesList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(job = nil, item = nil, line = nil, description = nil, amount = nil, isTaxable = nil, options = nil, deferRevRec = nil, quantity = nil, currentPercent = nil, units = nil, inventoryDetail = nil, serialNumbers = nil, binNumbers = nil, price = nil, rate = nil, percentComplete = nil, quantityOnHand = nil, quantityAvailable = nil, quantityOrdered = nil, quantityRemaining = nil, quantityFulfilled = nil, amountOrdered = nil, department = nil, orderLine = nil, licenseCode = nil, v_class = nil, location = nil, revRecSchedule = nil, revRecStartDate = nil, revRecEndDate = nil, grossAmt = nil, costEstimateType = nil, costEstimate = nil, tax1Amt = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil, giftCertFrom = nil, giftCertRecipientName = nil, giftCertRecipientEmail = nil, giftCertMessage = nil, giftCertNumber = nil, shipGroup = nil, itemIsFulfilled = nil, shipAddress = nil, shipMethod = nil, vsoeSopGroup = nil, vsoeIsEstimate = nil, vsoePrice = nil, vsoeAmount = nil, vsoeAllocation = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, chargeType = nil, chargesList = nil, customFieldList = nil)
    @job = job
    @item = item
    @line = line
    @description = description
    @amount = amount
    @isTaxable = isTaxable
    @options = options
    @deferRevRec = deferRevRec
    @quantity = quantity
    @currentPercent = currentPercent
    @units = units
    @inventoryDetail = inventoryDetail
    @serialNumbers = serialNumbers
    @binNumbers = binNumbers
    @price = price
    @rate = rate
    @percentComplete = percentComplete
    @quantityOnHand = quantityOnHand
    @quantityAvailable = quantityAvailable
    @quantityOrdered = quantityOrdered
    @quantityRemaining = quantityRemaining
    @quantityFulfilled = quantityFulfilled
    @amountOrdered = amountOrdered
    @department = department
    @orderLine = orderLine
    @licenseCode = licenseCode
    @v_class = v_class
    @location = location
    @revRecSchedule = revRecSchedule
    @revRecStartDate = revRecStartDate
    @revRecEndDate = revRecEndDate
    @grossAmt = grossAmt
    @costEstimateType = costEstimateType
    @costEstimate = costEstimate
    @tax1Amt = tax1Amt
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
    @giftCertFrom = giftCertFrom
    @giftCertRecipientName = giftCertRecipientName
    @giftCertRecipientEmail = giftCertRecipientEmail
    @giftCertMessage = giftCertMessage
    @giftCertNumber = giftCertNumber
    @shipGroup = shipGroup
    @itemIsFulfilled = itemIsFulfilled
    @shipAddress = shipAddress
    @shipMethod = shipMethod
    @vsoeSopGroup = vsoeSopGroup
    @vsoeIsEstimate = vsoeIsEstimate
    @vsoePrice = vsoePrice
    @vsoeAmount = vsoeAmount
    @vsoeAllocation = vsoeAllocation
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @chargeType = chargeType
    @chargesList = chargesList
    @customFieldList = customFieldList
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}InvoiceItemList
#   item - ActiveNetsuite::InvoiceItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class InvoiceItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :item

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(item = [])
    @item = item
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}InvoiceItemCost
#   apply - SOAP::SOAPBoolean
#   doc - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   billedDate - SOAP::SOAPDateTime
#   itemDisp - SOAP::SOAPString
#   memo - SOAP::SOAPString
#   jobDisp - SOAP::SOAPString
#   department - SOAP::SOAPString
#   m_class - SOAP::SOAPString
#   location - SOAP::SOAPString
#   unitDisp - SOAP::SOAPString
#   options - ActiveNetsuite::CustomFieldList
#   itemCostCount - SOAP::SOAPString
#   quantity - SOAP::SOAPString
#   serialNumbers - SOAP::SOAPString
#   cost - SOAP::SOAPDouble
#   amount - SOAP::SOAPDouble
#   revRecSchedule - ActiveNetsuite::RecordRef
#   revRecStartDate - SOAP::SOAPDateTime
#   revRecEndDate - SOAP::SOAPDateTime
#   grossAmt - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
class InvoiceItemCost
  attr_accessor :apply
  attr_accessor :doc
  attr_accessor :line
  attr_accessor :billedDate
  attr_accessor :itemDisp
  attr_accessor :memo
  attr_accessor :jobDisp
  attr_accessor :department
  attr_accessor :location
  attr_accessor :unitDisp
  attr_accessor :options
  attr_accessor :itemCostCount
  attr_accessor :quantity
  attr_accessor :serialNumbers
  attr_accessor :cost
  attr_accessor :amount
  attr_accessor :revRecSchedule
  attr_accessor :revRecStartDate
  attr_accessor :revRecEndDate
  attr_accessor :grossAmt
  attr_accessor :tax1Amt
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(apply = nil, doc = nil, line = nil, billedDate = nil, itemDisp = nil, memo = nil, jobDisp = nil, department = nil, v_class = nil, location = nil, unitDisp = nil, options = nil, itemCostCount = nil, quantity = nil, serialNumbers = nil, cost = nil, amount = nil, revRecSchedule = nil, revRecStartDate = nil, revRecEndDate = nil, grossAmt = nil, tax1Amt = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil)
    @apply = apply
    @doc = doc
    @line = line
    @billedDate = billedDate
    @itemDisp = itemDisp
    @memo = memo
    @jobDisp = jobDisp
    @department = department
    @v_class = v_class
    @location = location
    @unitDisp = unitDisp
    @options = options
    @itemCostCount = itemCostCount
    @quantity = quantity
    @serialNumbers = serialNumbers
    @cost = cost
    @amount = amount
    @revRecSchedule = revRecSchedule
    @revRecStartDate = revRecStartDate
    @revRecEndDate = revRecEndDate
    @grossAmt = grossAmt
    @tax1Amt = tax1Amt
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}InvoiceItemCostList
#   itemCost - ActiveNetsuite::InvoiceItemCost
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class InvoiceItemCostList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :itemCost

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(itemCost = [])
    @itemCost = itemCost
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}InvoiceExpCost
#   apply - SOAP::SOAPBoolean
#   doc - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   billedDate - SOAP::SOAPDateTime
#   jobDisp - SOAP::SOAPString
#   employeeDisp - SOAP::SOAPString
#   categoryDisp - SOAP::SOAPString
#   memo - SOAP::SOAPString
#   department - SOAP::SOAPString
#   m_class - SOAP::SOAPString
#   location - SOAP::SOAPString
#   originalAmount - SOAP::SOAPDouble
#   amount - SOAP::SOAPDouble
#   taxableDisp - SOAP::SOAPString
#   revRecSchedule - ActiveNetsuite::RecordRef
#   revRecStartDate - SOAP::SOAPDateTime
#   revRecEndDate - SOAP::SOAPDateTime
#   grossAmt - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
class InvoiceExpCost
  attr_accessor :apply
  attr_accessor :doc
  attr_accessor :line
  attr_accessor :billedDate
  attr_accessor :jobDisp
  attr_accessor :employeeDisp
  attr_accessor :categoryDisp
  attr_accessor :memo
  attr_accessor :department
  attr_accessor :location
  attr_accessor :originalAmount
  attr_accessor :amount
  attr_accessor :taxableDisp
  attr_accessor :revRecSchedule
  attr_accessor :revRecStartDate
  attr_accessor :revRecEndDate
  attr_accessor :grossAmt
  attr_accessor :tax1Amt
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(apply = nil, doc = nil, line = nil, billedDate = nil, jobDisp = nil, employeeDisp = nil, categoryDisp = nil, memo = nil, department = nil, v_class = nil, location = nil, originalAmount = nil, amount = nil, taxableDisp = nil, revRecSchedule = nil, revRecStartDate = nil, revRecEndDate = nil, grossAmt = nil, tax1Amt = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil)
    @apply = apply
    @doc = doc
    @line = line
    @billedDate = billedDate
    @jobDisp = jobDisp
    @employeeDisp = employeeDisp
    @categoryDisp = categoryDisp
    @memo = memo
    @department = department
    @v_class = v_class
    @location = location
    @originalAmount = originalAmount
    @amount = amount
    @taxableDisp = taxableDisp
    @revRecSchedule = revRecSchedule
    @revRecStartDate = revRecStartDate
    @revRecEndDate = revRecEndDate
    @grossAmt = grossAmt
    @tax1Amt = tax1Amt
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}InvoiceExpCostList
#   expCost - ActiveNetsuite::InvoiceExpCost
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class InvoiceExpCostList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :expCost

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(expCost = [])
    @expCost = expCost
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}InvoiceTime
#   apply - SOAP::SOAPBoolean
#   doc - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   billedDate - SOAP::SOAPDateTime
#   employeeDisp - SOAP::SOAPString
#   itemDisp - SOAP::SOAPString
#   jobDisp - SOAP::SOAPString
#   department - SOAP::SOAPString
#   m_class - SOAP::SOAPString
#   location - SOAP::SOAPString
#   quantity - SOAP::SOAPString
#   rate - SOAP::SOAPDouble
#   unitDisp - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
#   memo - SOAP::SOAPString
#   revRecSchedule - ActiveNetsuite::RecordRef
#   revRecStartDate - SOAP::SOAPDateTime
#   revRecEndDate - SOAP::SOAPDateTime
#   grossAmt - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
class InvoiceTime
  attr_accessor :apply
  attr_accessor :doc
  attr_accessor :line
  attr_accessor :billedDate
  attr_accessor :employeeDisp
  attr_accessor :itemDisp
  attr_accessor :jobDisp
  attr_accessor :department
  attr_accessor :location
  attr_accessor :quantity
  attr_accessor :rate
  attr_accessor :unitDisp
  attr_accessor :amount
  attr_accessor :memo
  attr_accessor :revRecSchedule
  attr_accessor :revRecStartDate
  attr_accessor :revRecEndDate
  attr_accessor :grossAmt
  attr_accessor :tax1Amt
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(apply = nil, doc = nil, line = nil, billedDate = nil, employeeDisp = nil, itemDisp = nil, jobDisp = nil, department = nil, v_class = nil, location = nil, quantity = nil, rate = nil, unitDisp = nil, amount = nil, memo = nil, revRecSchedule = nil, revRecStartDate = nil, revRecEndDate = nil, grossAmt = nil, tax1Amt = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil)
    @apply = apply
    @doc = doc
    @line = line
    @billedDate = billedDate
    @employeeDisp = employeeDisp
    @itemDisp = itemDisp
    @jobDisp = jobDisp
    @department = department
    @v_class = v_class
    @location = location
    @quantity = quantity
    @rate = rate
    @unitDisp = unitDisp
    @amount = amount
    @memo = memo
    @revRecSchedule = revRecSchedule
    @revRecStartDate = revRecStartDate
    @revRecEndDate = revRecEndDate
    @grossAmt = grossAmt
    @tax1Amt = tax1Amt
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}InvoiceTimeList
#   time - ActiveNetsuite::InvoiceTime
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class InvoiceTimeList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :time

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(time = [])
    @time = time
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}InvoicePartnersList
#   partners - ActiveNetsuite::Partners
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class InvoicePartnersList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :partners

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(partners = [])
    @partners = partners
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}InvoiceShipGroupList
#   shipGroup - ActiveNetsuite::TransactionShipGroup
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class InvoiceShipGroupList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :shipGroup

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(shipGroup = [])
    @shipGroup = shipGroup
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}CashSaleSalesTeam
#   employee - ActiveNetsuite::RecordRef
#   salesRole - ActiveNetsuite::RecordRef
#   isPrimary - SOAP::SOAPBoolean
#   contribution - SOAP::SOAPDouble
class CashSaleSalesTeam
  attr_accessor :employee
  attr_accessor :salesRole
  attr_accessor :isPrimary
  attr_accessor :contribution

  def initialize(employee = nil, salesRole = nil, isPrimary = nil, contribution = nil)
    @employee = employee
    @salesRole = salesRole
    @isPrimary = isPrimary
    @contribution = contribution
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}CashSaleSalesTeamList
#   salesTeam - ActiveNetsuite::CashSaleSalesTeam
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CashSaleSalesTeamList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :salesTeam

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(salesTeam = [])
    @salesTeam = salesTeam
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}CashSaleItem
#   job - ActiveNetsuite::RecordRef
#   item - ActiveNetsuite::RecordRef
#   line - SOAP::SOAPLong
#   quantityAvailable - SOAP::SOAPDouble
#   quantityOnHand - SOAP::SOAPDouble
#   quantityFulfilled - SOAP::SOAPDouble
#   quantity - SOAP::SOAPDouble
#   units - ActiveNetsuite::RecordRef
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   serialNumbers - SOAP::SOAPString
#   binNumbers - SOAP::SOAPString
#   description - SOAP::SOAPString
#   price - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
#   orderLine - SOAP::SOAPLong
#   licenseCode - SOAP::SOAPString
#   isTaxable - SOAP::SOAPBoolean
#   options - ActiveNetsuite::CustomFieldList
#   deferRevRec - SOAP::SOAPBoolean
#   currentPercent - SOAP::SOAPDouble
#   department - ActiveNetsuite::RecordRef
#   percentComplete - SOAP::SOAPDouble
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   revRecSchedule - ActiveNetsuite::RecordRef
#   revRecStartDate - SOAP::SOAPDateTime
#   revRecEndDate - SOAP::SOAPDateTime
#   grossAmt - SOAP::SOAPDouble
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   costEstimate - SOAP::SOAPDouble
#   amountOrdered - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   quantityOrdered - SOAP::SOAPDouble
#   quantityRemaining - SOAP::SOAPDouble
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
#   giftCertFrom - SOAP::SOAPString
#   giftCertRecipientName - SOAP::SOAPString
#   giftCertRecipientEmail - SOAP::SOAPString
#   giftCertMessage - SOAP::SOAPString
#   giftCertNumber - SOAP::SOAPString
#   shipGroup - SOAP::SOAPLong
#   itemIsFulfilled - SOAP::SOAPBoolean
#   shipAddress - ActiveNetsuite::RecordRef
#   shipMethod - ActiveNetsuite::RecordRef
#   vsoeSopGroup - ActiveNetsuite::VsoeSopGroup
#   vsoeIsEstimate - SOAP::SOAPBoolean
#   vsoePrice - SOAP::SOAPDouble
#   vsoeAmount - SOAP::SOAPDouble
#   vsoeAllocation - SOAP::SOAPDouble
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   chargeType - ActiveNetsuite::ChargeRuleType
#   chargesList - ActiveNetsuite::RecordRefList
#   customFieldList - ActiveNetsuite::CustomFieldList
class CashSaleItem
  attr_accessor :job
  attr_accessor :item
  attr_accessor :line
  attr_accessor :quantityAvailable
  attr_accessor :quantityOnHand
  attr_accessor :quantityFulfilled
  attr_accessor :quantity
  attr_accessor :units
  attr_accessor :inventoryDetail
  attr_accessor :serialNumbers
  attr_accessor :binNumbers
  attr_accessor :description
  attr_accessor :price
  attr_accessor :rate
  attr_accessor :amount
  attr_accessor :orderLine
  attr_accessor :licenseCode
  attr_accessor :isTaxable
  attr_accessor :options
  attr_accessor :deferRevRec
  attr_accessor :currentPercent
  attr_accessor :department
  attr_accessor :percentComplete
  attr_accessor :location
  attr_accessor :revRecSchedule
  attr_accessor :revRecStartDate
  attr_accessor :revRecEndDate
  attr_accessor :grossAmt
  attr_accessor :costEstimateType
  attr_accessor :costEstimate
  attr_accessor :amountOrdered
  attr_accessor :tax1Amt
  attr_accessor :quantityOrdered
  attr_accessor :quantityRemaining
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2
  attr_accessor :giftCertFrom
  attr_accessor :giftCertRecipientName
  attr_accessor :giftCertRecipientEmail
  attr_accessor :giftCertMessage
  attr_accessor :giftCertNumber
  attr_accessor :shipGroup
  attr_accessor :itemIsFulfilled
  attr_accessor :shipAddress
  attr_accessor :shipMethod
  attr_accessor :vsoeSopGroup
  attr_accessor :vsoeIsEstimate
  attr_accessor :vsoePrice
  attr_accessor :vsoeAmount
  attr_accessor :vsoeAllocation
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :chargeType
  attr_accessor :chargesList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(job = nil, item = nil, line = nil, quantityAvailable = nil, quantityOnHand = nil, quantityFulfilled = nil, quantity = nil, units = nil, inventoryDetail = nil, serialNumbers = nil, binNumbers = nil, description = nil, price = nil, rate = nil, amount = nil, orderLine = nil, licenseCode = nil, isTaxable = nil, options = nil, deferRevRec = nil, currentPercent = nil, department = nil, percentComplete = nil, v_class = nil, location = nil, revRecSchedule = nil, revRecStartDate = nil, revRecEndDate = nil, grossAmt = nil, costEstimateType = nil, costEstimate = nil, amountOrdered = nil, tax1Amt = nil, quantityOrdered = nil, quantityRemaining = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil, giftCertFrom = nil, giftCertRecipientName = nil, giftCertRecipientEmail = nil, giftCertMessage = nil, giftCertNumber = nil, shipGroup = nil, itemIsFulfilled = nil, shipAddress = nil, shipMethod = nil, vsoeSopGroup = nil, vsoeIsEstimate = nil, vsoePrice = nil, vsoeAmount = nil, vsoeAllocation = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, chargeType = nil, chargesList = nil, customFieldList = nil)
    @job = job
    @item = item
    @line = line
    @quantityAvailable = quantityAvailable
    @quantityOnHand = quantityOnHand
    @quantityFulfilled = quantityFulfilled
    @quantity = quantity
    @units = units
    @inventoryDetail = inventoryDetail
    @serialNumbers = serialNumbers
    @binNumbers = binNumbers
    @description = description
    @price = price
    @rate = rate
    @amount = amount
    @orderLine = orderLine
    @licenseCode = licenseCode
    @isTaxable = isTaxable
    @options = options
    @deferRevRec = deferRevRec
    @currentPercent = currentPercent
    @department = department
    @percentComplete = percentComplete
    @v_class = v_class
    @location = location
    @revRecSchedule = revRecSchedule
    @revRecStartDate = revRecStartDate
    @revRecEndDate = revRecEndDate
    @grossAmt = grossAmt
    @costEstimateType = costEstimateType
    @costEstimate = costEstimate
    @amountOrdered = amountOrdered
    @tax1Amt = tax1Amt
    @quantityOrdered = quantityOrdered
    @quantityRemaining = quantityRemaining
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
    @giftCertFrom = giftCertFrom
    @giftCertRecipientName = giftCertRecipientName
    @giftCertRecipientEmail = giftCertRecipientEmail
    @giftCertMessage = giftCertMessage
    @giftCertNumber = giftCertNumber
    @shipGroup = shipGroup
    @itemIsFulfilled = itemIsFulfilled
    @shipAddress = shipAddress
    @shipMethod = shipMethod
    @vsoeSopGroup = vsoeSopGroup
    @vsoeIsEstimate = vsoeIsEstimate
    @vsoePrice = vsoePrice
    @vsoeAmount = vsoeAmount
    @vsoeAllocation = vsoeAllocation
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @chargeType = chargeType
    @chargesList = chargesList
    @customFieldList = customFieldList
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}CashSaleItemList
#   item - ActiveNetsuite::CashSaleItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CashSaleItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :item

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(item = [])
    @item = item
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}CashSaleItemCost
#   apply - SOAP::SOAPBoolean
#   doc - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   billedDate - SOAP::SOAPDateTime
#   itemDisp - SOAP::SOAPString
#   memo - SOAP::SOAPString
#   jobDisp - SOAP::SOAPString
#   department - SOAP::SOAPString
#   m_class - SOAP::SOAPString
#   location - SOAP::SOAPString
#   unitDisp - SOAP::SOAPString
#   options - ActiveNetsuite::CustomFieldList
#   itemCostCount - SOAP::SOAPString
#   quantity - SOAP::SOAPString
#   serialNumbers - SOAP::SOAPString
#   cost - SOAP::SOAPDouble
#   amount - SOAP::SOAPDouble
#   revRecSchedule - ActiveNetsuite::RecordRef
#   revRecStartDate - SOAP::SOAPDateTime
#   revRecEndDate - SOAP::SOAPDateTime
#   grossAmt - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
class CashSaleItemCost
  attr_accessor :apply
  attr_accessor :doc
  attr_accessor :line
  attr_accessor :billedDate
  attr_accessor :itemDisp
  attr_accessor :memo
  attr_accessor :jobDisp
  attr_accessor :department
  attr_accessor :location
  attr_accessor :unitDisp
  attr_accessor :options
  attr_accessor :itemCostCount
  attr_accessor :quantity
  attr_accessor :serialNumbers
  attr_accessor :cost
  attr_accessor :amount
  attr_accessor :revRecSchedule
  attr_accessor :revRecStartDate
  attr_accessor :revRecEndDate
  attr_accessor :grossAmt
  attr_accessor :tax1Amt
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(apply = nil, doc = nil, line = nil, billedDate = nil, itemDisp = nil, memo = nil, jobDisp = nil, department = nil, v_class = nil, location = nil, unitDisp = nil, options = nil, itemCostCount = nil, quantity = nil, serialNumbers = nil, cost = nil, amount = nil, revRecSchedule = nil, revRecStartDate = nil, revRecEndDate = nil, grossAmt = nil, tax1Amt = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil)
    @apply = apply
    @doc = doc
    @line = line
    @billedDate = billedDate
    @itemDisp = itemDisp
    @memo = memo
    @jobDisp = jobDisp
    @department = department
    @v_class = v_class
    @location = location
    @unitDisp = unitDisp
    @options = options
    @itemCostCount = itemCostCount
    @quantity = quantity
    @serialNumbers = serialNumbers
    @cost = cost
    @amount = amount
    @revRecSchedule = revRecSchedule
    @revRecStartDate = revRecStartDate
    @revRecEndDate = revRecEndDate
    @grossAmt = grossAmt
    @tax1Amt = tax1Amt
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}CashSaleItemCostList
#   itemCost - ActiveNetsuite::CashSaleItemCost
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CashSaleItemCostList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :itemCost

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(itemCost = [])
    @itemCost = itemCost
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}CashSaleExpCost
#   apply - SOAP::SOAPBoolean
#   doc - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   billedDate - SOAP::SOAPDateTime
#   jobDisp - SOAP::SOAPString
#   employeeDisp - SOAP::SOAPString
#   categoryDisp - SOAP::SOAPString
#   memo - SOAP::SOAPString
#   department - SOAP::SOAPString
#   m_class - SOAP::SOAPString
#   location - SOAP::SOAPString
#   originalAmount - SOAP::SOAPDouble
#   amount - SOAP::SOAPDouble
#   taxableDisp - SOAP::SOAPString
#   revRecSchedule - ActiveNetsuite::RecordRef
#   revRecStartDate - SOAP::SOAPDateTime
#   revRecEndDate - SOAP::SOAPDateTime
#   grossAmt - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
class CashSaleExpCost
  attr_accessor :apply
  attr_accessor :doc
  attr_accessor :line
  attr_accessor :billedDate
  attr_accessor :jobDisp
  attr_accessor :employeeDisp
  attr_accessor :categoryDisp
  attr_accessor :memo
  attr_accessor :department
  attr_accessor :location
  attr_accessor :originalAmount
  attr_accessor :amount
  attr_accessor :taxableDisp
  attr_accessor :revRecSchedule
  attr_accessor :revRecStartDate
  attr_accessor :revRecEndDate
  attr_accessor :grossAmt
  attr_accessor :tax1Amt
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(apply = nil, doc = nil, line = nil, billedDate = nil, jobDisp = nil, employeeDisp = nil, categoryDisp = nil, memo = nil, department = nil, v_class = nil, location = nil, originalAmount = nil, amount = nil, taxableDisp = nil, revRecSchedule = nil, revRecStartDate = nil, revRecEndDate = nil, grossAmt = nil, tax1Amt = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil)
    @apply = apply
    @doc = doc
    @line = line
    @billedDate = billedDate
    @jobDisp = jobDisp
    @employeeDisp = employeeDisp
    @categoryDisp = categoryDisp
    @memo = memo
    @department = department
    @v_class = v_class
    @location = location
    @originalAmount = originalAmount
    @amount = amount
    @taxableDisp = taxableDisp
    @revRecSchedule = revRecSchedule
    @revRecStartDate = revRecStartDate
    @revRecEndDate = revRecEndDate
    @grossAmt = grossAmt
    @tax1Amt = tax1Amt
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}CashSaleExpCostList
#   expCost - ActiveNetsuite::CashSaleExpCost
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CashSaleExpCostList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :expCost

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(expCost = [])
    @expCost = expCost
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}CashSaleTime
#   apply - SOAP::SOAPBoolean
#   doc - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   billedDate - SOAP::SOAPDateTime
#   employeeDisp - SOAP::SOAPString
#   itemDisp - SOAP::SOAPString
#   jobDisp - SOAP::SOAPString
#   department - SOAP::SOAPString
#   m_class - SOAP::SOAPString
#   location - SOAP::SOAPString
#   quantity - SOAP::SOAPString
#   rate - SOAP::SOAPDouble
#   unitDisp - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
#   memo - SOAP::SOAPString
#   revRecSchedule - ActiveNetsuite::RecordRef
#   revRecStartDate - SOAP::SOAPDateTime
#   revRecEndDate - SOAP::SOAPDateTime
#   grossAmt - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
class CashSaleTime
  attr_accessor :apply
  attr_accessor :doc
  attr_accessor :line
  attr_accessor :billedDate
  attr_accessor :employeeDisp
  attr_accessor :itemDisp
  attr_accessor :jobDisp
  attr_accessor :department
  attr_accessor :location
  attr_accessor :quantity
  attr_accessor :rate
  attr_accessor :unitDisp
  attr_accessor :amount
  attr_accessor :memo
  attr_accessor :revRecSchedule
  attr_accessor :revRecStartDate
  attr_accessor :revRecEndDate
  attr_accessor :grossAmt
  attr_accessor :tax1Amt
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(apply = nil, doc = nil, line = nil, billedDate = nil, employeeDisp = nil, itemDisp = nil, jobDisp = nil, department = nil, v_class = nil, location = nil, quantity = nil, rate = nil, unitDisp = nil, amount = nil, memo = nil, revRecSchedule = nil, revRecStartDate = nil, revRecEndDate = nil, grossAmt = nil, tax1Amt = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil)
    @apply = apply
    @doc = doc
    @line = line
    @billedDate = billedDate
    @employeeDisp = employeeDisp
    @itemDisp = itemDisp
    @jobDisp = jobDisp
    @department = department
    @v_class = v_class
    @location = location
    @quantity = quantity
    @rate = rate
    @unitDisp = unitDisp
    @amount = amount
    @memo = memo
    @revRecSchedule = revRecSchedule
    @revRecStartDate = revRecStartDate
    @revRecEndDate = revRecEndDate
    @grossAmt = grossAmt
    @tax1Amt = tax1Amt
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}CashSaleTimeList
#   time - ActiveNetsuite::CashSaleTime
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CashSaleTimeList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :time

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(time = [])
    @time = time
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}CashSalePartnersList
#   partners - ActiveNetsuite::Partners
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CashSalePartnersList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :partners

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(partners = [])
    @partners = partners
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}CashSaleShipGroupList
#   shipGroup - ActiveNetsuite::TransactionShipGroup
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CashSaleShipGroupList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :shipGroup

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(shipGroup = [])
    @shipGroup = shipGroup
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}EstimateItem
#   job - ActiveNetsuite::RecordRef
#   item - ActiveNetsuite::RecordRef
#   line - SOAP::SOAPLong
#   quantityAvailable - SOAP::SOAPDouble
#   quantityOnHand - SOAP::SOAPDouble
#   quantity - SOAP::SOAPDouble
#   units - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   serialNumbers - SOAP::SOAPString
#   price - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
#   options - ActiveNetsuite::CustomFieldList
#   revRecTermInMonths - SOAP::SOAPLong
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   isTaxable - SOAP::SOAPBoolean
#   altSalesAmt - SOAP::SOAPDouble
#   fromJob - SOAP::SOAPBoolean
#   grossAmt - SOAP::SOAPDouble
#   isEstimate - SOAP::SOAPBoolean
#   tax1Amt - SOAP::SOAPDouble
#   taxCode - ActiveNetsuite::RecordRef
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   costEstimate - SOAP::SOAPDouble
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
#   shipGroup - SOAP::SOAPLong
#   itemIsFulfilled - SOAP::SOAPBoolean
#   shipAddress - ActiveNetsuite::RecordRef
#   shipMethod - ActiveNetsuite::RecordRef
#   expectedShipDate - SOAP::SOAPDateTime
#   chargeType - ActiveNetsuite::ChargeRuleType
#   customFieldList - ActiveNetsuite::CustomFieldList
class EstimateItem
  attr_accessor :job
  attr_accessor :item
  attr_accessor :line
  attr_accessor :quantityAvailable
  attr_accessor :quantityOnHand
  attr_accessor :quantity
  attr_accessor :units
  attr_accessor :description
  attr_accessor :serialNumbers
  attr_accessor :price
  attr_accessor :rate
  attr_accessor :amount
  attr_accessor :options
  attr_accessor :revRecTermInMonths
  attr_accessor :department
  attr_accessor :location
  attr_accessor :isTaxable
  attr_accessor :altSalesAmt
  attr_accessor :fromJob
  attr_accessor :grossAmt
  attr_accessor :isEstimate
  attr_accessor :tax1Amt
  attr_accessor :taxCode
  attr_accessor :costEstimateType
  attr_accessor :costEstimate
  attr_accessor :taxRate1
  attr_accessor :taxRate2
  attr_accessor :shipGroup
  attr_accessor :itemIsFulfilled
  attr_accessor :shipAddress
  attr_accessor :shipMethod
  attr_accessor :expectedShipDate
  attr_accessor :chargeType
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(job = nil, item = nil, line = nil, quantityAvailable = nil, quantityOnHand = nil, quantity = nil, units = nil, description = nil, serialNumbers = nil, price = nil, rate = nil, amount = nil, options = nil, revRecTermInMonths = nil, department = nil, v_class = nil, location = nil, isTaxable = nil, altSalesAmt = nil, fromJob = nil, grossAmt = nil, isEstimate = nil, tax1Amt = nil, taxCode = nil, costEstimateType = nil, costEstimate = nil, taxRate1 = nil, taxRate2 = nil, shipGroup = nil, itemIsFulfilled = nil, shipAddress = nil, shipMethod = nil, expectedShipDate = nil, chargeType = nil, customFieldList = nil)
    @job = job
    @item = item
    @line = line
    @quantityAvailable = quantityAvailable
    @quantityOnHand = quantityOnHand
    @quantity = quantity
    @units = units
    @description = description
    @serialNumbers = serialNumbers
    @price = price
    @rate = rate
    @amount = amount
    @options = options
    @revRecTermInMonths = revRecTermInMonths
    @department = department
    @v_class = v_class
    @location = location
    @isTaxable = isTaxable
    @altSalesAmt = altSalesAmt
    @fromJob = fromJob
    @grossAmt = grossAmt
    @isEstimate = isEstimate
    @tax1Amt = tax1Amt
    @taxCode = taxCode
    @costEstimateType = costEstimateType
    @costEstimate = costEstimate
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
    @shipGroup = shipGroup
    @itemIsFulfilled = itemIsFulfilled
    @shipAddress = shipAddress
    @shipMethod = shipMethod
    @expectedShipDate = expectedShipDate
    @chargeType = chargeType
    @customFieldList = customFieldList
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}EstimateItemList
#   item - ActiveNetsuite::EstimateItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class EstimateItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :item

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(item = [])
    @item = item
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}EstimateSalesTeam
#   employee - ActiveNetsuite::RecordRef
#   salesRole - ActiveNetsuite::RecordRef
#   isPrimary - SOAP::SOAPBoolean
#   contribution - SOAP::SOAPDouble
class EstimateSalesTeam
  attr_accessor :employee
  attr_accessor :salesRole
  attr_accessor :isPrimary
  attr_accessor :contribution

  def initialize(employee = nil, salesRole = nil, isPrimary = nil, contribution = nil)
    @employee = employee
    @salesRole = salesRole
    @isPrimary = isPrimary
    @contribution = contribution
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}EstimateSalesTeamList
#   salesTeam - ActiveNetsuite::EstimateSalesTeam
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class EstimateSalesTeamList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :salesTeam

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(salesTeam = [])
    @salesTeam = salesTeam
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}EstimatePartnersList
#   partners - ActiveNetsuite::Partners
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class EstimatePartnersList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :partners

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(partners = [])
    @partners = partners
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}EstimateShipGroupList
#   shipGroup - ActiveNetsuite::TransactionShipGroup
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class EstimateShipGroupList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :shipGroup

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(shipGroup = [])
    @shipGroup = shipGroup
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}GiftCertRedemption
#   authCode - ActiveNetsuite::RecordRef
#   authCodeApplied - SOAP::SOAPDouble
#   authCodeAmtRemaining - SOAP::SOAPDouble
#   giftCertAvailable - SOAP::SOAPDouble
class GiftCertRedemption
  attr_accessor :authCode
  attr_accessor :authCodeApplied
  attr_accessor :authCodeAmtRemaining
  attr_accessor :giftCertAvailable

  def initialize(authCode = nil, authCodeApplied = nil, authCodeAmtRemaining = nil, giftCertAvailable = nil)
    @authCode = authCode
    @authCodeApplied = authCodeApplied
    @authCodeAmtRemaining = authCodeAmtRemaining
    @giftCertAvailable = giftCertAvailable
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}GiftCertRedemptionList
#   giftCertRedemption - ActiveNetsuite::GiftCertRedemption
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class GiftCertRedemptionList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :giftCertRedemption

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(giftCertRedemption = [])
    @giftCertRedemption = giftCertRedemption
    @__xmlattr = {}
  end
end

# {urn:sales_2013_2.transactions.webservices.netsuite.com}TransactionShipGroup
#   id - SOAP::SOAPLong
#   isFulfilled - SOAP::SOAPBoolean
#   weight - SOAP::SOAPDouble
#   sourceAddressRef - ActiveNetsuite::RecordRef
#   sourceAddress - SOAP::SOAPString
#   destinationAddressRef - ActiveNetsuite::RecordRef
#   destinationAddress - SOAP::SOAPString
#   shippingMethodRef - ActiveNetsuite::RecordRef
#   shippingMethod - SOAP::SOAPString
#   isHandlingTaxable - SOAP::SOAPBoolean
#   handlingTaxCode - ActiveNetsuite::RecordRef
#   handlingTaxRate - SOAP::SOAPString
#   handlingTax2Rate - SOAP::SOAPString
#   handlingRate - SOAP::SOAPDouble
#   handlingTaxAmt - SOAP::SOAPDouble
#   handlingTax2Amt - SOAP::SOAPDouble
#   isShippingTaxable - SOAP::SOAPBoolean
#   shippingTaxCode - ActiveNetsuite::RecordRef
#   shippingTaxRate - SOAP::SOAPString
#   shippingTax2Rate - SOAP::SOAPString
#   shippingRate - SOAP::SOAPDouble
#   shippingTaxAmt - SOAP::SOAPDouble
#   shippingTax2Amt - SOAP::SOAPDouble
class TransactionShipGroup
  attr_accessor :id
  attr_accessor :isFulfilled
  attr_accessor :weight
  attr_accessor :sourceAddressRef
  attr_accessor :sourceAddress
  attr_accessor :destinationAddressRef
  attr_accessor :destinationAddress
  attr_accessor :shippingMethodRef
  attr_accessor :shippingMethod
  attr_accessor :isHandlingTaxable
  attr_accessor :handlingTaxCode
  attr_accessor :handlingTaxRate
  attr_accessor :handlingTax2Rate
  attr_accessor :handlingRate
  attr_accessor :handlingTaxAmt
  attr_accessor :handlingTax2Amt
  attr_accessor :isShippingTaxable
  attr_accessor :shippingTaxCode
  attr_accessor :shippingTaxRate
  attr_accessor :shippingTax2Rate
  attr_accessor :shippingRate
  attr_accessor :shippingTaxAmt
  attr_accessor :shippingTax2Amt

  def initialize(id = nil, isFulfilled = nil, weight = nil, sourceAddressRef = nil, sourceAddress = nil, destinationAddressRef = nil, destinationAddress = nil, shippingMethodRef = nil, shippingMethod = nil, isHandlingTaxable = nil, handlingTaxCode = nil, handlingTaxRate = nil, handlingTax2Rate = nil, handlingRate = nil, handlingTaxAmt = nil, handlingTax2Amt = nil, isShippingTaxable = nil, shippingTaxCode = nil, shippingTaxRate = nil, shippingTax2Rate = nil, shippingRate = nil, shippingTaxAmt = nil, shippingTax2Amt = nil)
    @id = id
    @isFulfilled = isFulfilled
    @weight = weight
    @sourceAddressRef = sourceAddressRef
    @sourceAddress = sourceAddress
    @destinationAddressRef = destinationAddressRef
    @destinationAddress = destinationAddress
    @shippingMethodRef = shippingMethodRef
    @shippingMethod = shippingMethod
    @isHandlingTaxable = isHandlingTaxable
    @handlingTaxCode = handlingTaxCode
    @handlingTaxRate = handlingTaxRate
    @handlingTax2Rate = handlingTax2Rate
    @handlingRate = handlingRate
    @handlingTaxAmt = handlingTaxAmt
    @handlingTax2Amt = handlingTax2Amt
    @isShippingTaxable = isShippingTaxable
    @shippingTaxCode = shippingTaxCode
    @shippingTaxRate = shippingTaxRate
    @shippingTax2Rate = shippingTax2Rate
    @shippingRate = shippingRate
    @shippingTaxAmt = shippingTaxAmt
    @shippingTax2Amt = shippingTax2Amt
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}PurchLandedCostList
#   landedCost - ActiveNetsuite::LandedCostSummary
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class PurchLandedCostList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :landedCost

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(landedCost = [])
    @landedCost = landedCost
    @__xmlattr = {}
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorBillExpense
#   orderDoc - SOAP::SOAPLong
#   orderLine - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   category - ActiveNetsuite::RecordRef
#   account - ActiveNetsuite::RecordRef
#   amount - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   memo - SOAP::SOAPString
#   grossAmt - SOAP::SOAPDouble
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   customer - ActiveNetsuite::RecordRef
#   isBillable - SOAP::SOAPBoolean
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
#   amortizationSched - ActiveNetsuite::RecordRef
#   amortizStartDate - SOAP::SOAPDateTime
#   amortizationEndDate - SOAP::SOAPDateTime
#   amortizationResidual - SOAP::SOAPString
#   customFieldList - ActiveNetsuite::CustomFieldList
class VendorBillExpense
  attr_accessor :orderDoc
  attr_accessor :orderLine
  attr_accessor :line
  attr_accessor :category
  attr_accessor :account
  attr_accessor :amount
  attr_accessor :tax1Amt
  attr_accessor :memo
  attr_accessor :grossAmt
  attr_accessor :department
  attr_accessor :location
  attr_accessor :customer
  attr_accessor :isBillable
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2
  attr_accessor :amortizationSched
  attr_accessor :amortizStartDate
  attr_accessor :amortizationEndDate
  attr_accessor :amortizationResidual
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(orderDoc = nil, orderLine = nil, line = nil, category = nil, account = nil, amount = nil, tax1Amt = nil, memo = nil, grossAmt = nil, department = nil, v_class = nil, location = nil, customer = nil, isBillable = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil, amortizationSched = nil, amortizStartDate = nil, amortizationEndDate = nil, amortizationResidual = nil, customFieldList = nil)
    @orderDoc = orderDoc
    @orderLine = orderLine
    @line = line
    @category = category
    @account = account
    @amount = amount
    @tax1Amt = tax1Amt
    @memo = memo
    @grossAmt = grossAmt
    @department = department
    @v_class = v_class
    @location = location
    @customer = customer
    @isBillable = isBillable
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
    @amortizationSched = amortizationSched
    @amortizStartDate = amortizStartDate
    @amortizationEndDate = amortizationEndDate
    @amortizationResidual = amortizationResidual
    @customFieldList = customFieldList
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorBillExpenseList
#   expense - ActiveNetsuite::VendorBillExpense
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class VendorBillExpenseList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :expense

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(expense = [])
    @expense = expense
    @__xmlattr = {}
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorBillItem
#   item - ActiveNetsuite::RecordRef
#   vendorName - SOAP::SOAPString
#   line - SOAP::SOAPLong
#   orderDoc - SOAP::SOAPLong
#   orderLine - SOAP::SOAPLong
#   quantity - SOAP::SOAPDouble
#   units - ActiveNetsuite::RecordRef
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   description - SOAP::SOAPString
#   serialNumbers - SOAP::SOAPString
#   binNumbers - SOAP::SOAPString
#   expirationDate - SOAP::SOAPDateTime
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
#   grossAmt - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   rate - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
#   options - ActiveNetsuite::CustomFieldList
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   customer - ActiveNetsuite::RecordRef
#   landedCostCategory - ActiveNetsuite::RecordRef
#   isBillable - SOAP::SOAPBoolean
#   billVarianceStatus - ActiveNetsuite::TransactionBillVarianceStatus
#   billreceiptsList - ActiveNetsuite::RecordRefList
#   amortizationSched - ActiveNetsuite::RecordRef
#   amortizStartDate - SOAP::SOAPDateTime
#   amortizationEndDate - SOAP::SOAPDateTime
#   amortizationResidual - SOAP::SOAPString
#   landedCost - ActiveNetsuite::LandedCost
#   customFieldList - ActiveNetsuite::CustomFieldList
class VendorBillItem
  attr_accessor :item
  attr_accessor :vendorName
  attr_accessor :line
  attr_accessor :orderDoc
  attr_accessor :orderLine
  attr_accessor :quantity
  attr_accessor :units
  attr_accessor :inventoryDetail
  attr_accessor :description
  attr_accessor :serialNumbers
  attr_accessor :binNumbers
  attr_accessor :expirationDate
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2
  attr_accessor :grossAmt
  attr_accessor :tax1Amt
  attr_accessor :rate
  attr_accessor :amount
  attr_accessor :options
  attr_accessor :department
  attr_accessor :location
  attr_accessor :customer
  attr_accessor :landedCostCategory
  attr_accessor :isBillable
  attr_accessor :billVarianceStatus
  attr_accessor :billreceiptsList
  attr_accessor :amortizationSched
  attr_accessor :amortizStartDate
  attr_accessor :amortizationEndDate
  attr_accessor :amortizationResidual
  attr_accessor :landedCost
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(item = nil, vendorName = nil, line = nil, orderDoc = nil, orderLine = nil, quantity = nil, units = nil, inventoryDetail = nil, description = nil, serialNumbers = nil, binNumbers = nil, expirationDate = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil, grossAmt = nil, tax1Amt = nil, rate = nil, amount = nil, options = nil, department = nil, v_class = nil, location = nil, customer = nil, landedCostCategory = nil, isBillable = nil, billVarianceStatus = nil, billreceiptsList = nil, amortizationSched = nil, amortizStartDate = nil, amortizationEndDate = nil, amortizationResidual = nil, landedCost = nil, customFieldList = nil)
    @item = item
    @vendorName = vendorName
    @line = line
    @orderDoc = orderDoc
    @orderLine = orderLine
    @quantity = quantity
    @units = units
    @inventoryDetail = inventoryDetail
    @description = description
    @serialNumbers = serialNumbers
    @binNumbers = binNumbers
    @expirationDate = expirationDate
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
    @grossAmt = grossAmt
    @tax1Amt = tax1Amt
    @rate = rate
    @amount = amount
    @options = options
    @department = department
    @v_class = v_class
    @location = location
    @customer = customer
    @landedCostCategory = landedCostCategory
    @isBillable = isBillable
    @billVarianceStatus = billVarianceStatus
    @billreceiptsList = billreceiptsList
    @amortizationSched = amortizationSched
    @amortizStartDate = amortizStartDate
    @amortizationEndDate = amortizationEndDate
    @amortizationResidual = amortizationResidual
    @landedCost = landedCost
    @customFieldList = customFieldList
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorBillItemList
#   item - ActiveNetsuite::VendorBillItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class VendorBillItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :item

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(item = [])
    @item = item
    @__xmlattr = {}
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}PurchaseOrderExpense
#   line - SOAP::SOAPLong
#   category - ActiveNetsuite::RecordRef
#   account - ActiveNetsuite::RecordRef
#   amount - SOAP::SOAPDouble
#   memo - SOAP::SOAPString
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   customer - ActiveNetsuite::RecordRef
#   isClosed - SOAP::SOAPBoolean
#   isBillable - SOAP::SOAPBoolean
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   grossAmt - SOAP::SOAPDouble
#   customFieldList - ActiveNetsuite::CustomFieldList
class PurchaseOrderExpense
  attr_accessor :line
  attr_accessor :category
  attr_accessor :account
  attr_accessor :amount
  attr_accessor :memo
  attr_accessor :department
  attr_accessor :location
  attr_accessor :customer
  attr_accessor :isClosed
  attr_accessor :isBillable
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2
  attr_accessor :tax1Amt
  attr_accessor :grossAmt
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(line = nil, category = nil, account = nil, amount = nil, memo = nil, department = nil, v_class = nil, location = nil, customer = nil, isClosed = nil, isBillable = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil, tax1Amt = nil, grossAmt = nil, customFieldList = nil)
    @line = line
    @category = category
    @account = account
    @amount = amount
    @memo = memo
    @department = department
    @v_class = v_class
    @location = location
    @customer = customer
    @isClosed = isClosed
    @isBillable = isBillable
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
    @tax1Amt = tax1Amt
    @grossAmt = grossAmt
    @customFieldList = customFieldList
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}PurchaseOrderExpenseList
#   expense - ActiveNetsuite::PurchaseOrderExpense
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class PurchaseOrderExpenseList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :expense

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(expense = [])
    @expense = expense
    @__xmlattr = {}
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}PurchaseOrderItem
#   item - ActiveNetsuite::RecordRef
#   line - SOAP::SOAPLong
#   vendorName - SOAP::SOAPString
#   quantityReceived - SOAP::SOAPDouble
#   quantityBilled - SOAP::SOAPDouble
#   quantityAvailable - SOAP::SOAPDouble
#   quantityOnHand - SOAP::SOAPDouble
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
#   quantity - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   grossAmt - SOAP::SOAPDouble
#   units - ActiveNetsuite::RecordRef
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   serialNumbers - SOAP::SOAPString
#   description - SOAP::SOAPString
#   rate - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
#   options - ActiveNetsuite::CustomFieldList
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   landedCostCategory - ActiveNetsuite::RecordRef
#   customer - ActiveNetsuite::RecordRef
#   isBillable - SOAP::SOAPBoolean
#   billVarianceStatus - ActiveNetsuite::TransactionBillVarianceStatus
#   matchBillToReceipt - SOAP::SOAPBoolean
#   expectedReceiptDate - SOAP::SOAPDateTime
#   isClosed - SOAP::SOAPBoolean
#   customFieldList - ActiveNetsuite::CustomFieldList
class PurchaseOrderItem
  attr_accessor :item
  attr_accessor :line
  attr_accessor :vendorName
  attr_accessor :quantityReceived
  attr_accessor :quantityBilled
  attr_accessor :quantityAvailable
  attr_accessor :quantityOnHand
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2
  attr_accessor :quantity
  attr_accessor :tax1Amt
  attr_accessor :grossAmt
  attr_accessor :units
  attr_accessor :inventoryDetail
  attr_accessor :serialNumbers
  attr_accessor :description
  attr_accessor :rate
  attr_accessor :amount
  attr_accessor :options
  attr_accessor :department
  attr_accessor :location
  attr_accessor :landedCostCategory
  attr_accessor :customer
  attr_accessor :isBillable
  attr_accessor :billVarianceStatus
  attr_accessor :matchBillToReceipt
  attr_accessor :expectedReceiptDate
  attr_accessor :isClosed
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(item = nil, line = nil, vendorName = nil, quantityReceived = nil, quantityBilled = nil, quantityAvailable = nil, quantityOnHand = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil, quantity = nil, tax1Amt = nil, grossAmt = nil, units = nil, inventoryDetail = nil, serialNumbers = nil, description = nil, rate = nil, amount = nil, options = nil, department = nil, v_class = nil, location = nil, landedCostCategory = nil, customer = nil, isBillable = nil, billVarianceStatus = nil, matchBillToReceipt = nil, expectedReceiptDate = nil, isClosed = nil, customFieldList = nil)
    @item = item
    @line = line
    @vendorName = vendorName
    @quantityReceived = quantityReceived
    @quantityBilled = quantityBilled
    @quantityAvailable = quantityAvailable
    @quantityOnHand = quantityOnHand
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
    @quantity = quantity
    @tax1Amt = tax1Amt
    @grossAmt = grossAmt
    @units = units
    @inventoryDetail = inventoryDetail
    @serialNumbers = serialNumbers
    @description = description
    @rate = rate
    @amount = amount
    @options = options
    @department = department
    @v_class = v_class
    @location = location
    @landedCostCategory = landedCostCategory
    @customer = customer
    @isBillable = isBillable
    @billVarianceStatus = billVarianceStatus
    @matchBillToReceipt = matchBillToReceipt
    @expectedReceiptDate = expectedReceiptDate
    @isClosed = isClosed
    @customFieldList = customFieldList
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}PurchaseOrderItemList
#   item - ActiveNetsuite::PurchaseOrderItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class PurchaseOrderItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :item

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(item = [])
    @item = item
    @__xmlattr = {}
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}ItemReceiptItem
#   itemReceive - SOAP::SOAPBoolean
#   jobName - SOAP::SOAPString
#   item - ActiveNetsuite::RecordRef
#   orderLine - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   itemName - SOAP::SOAPString
#   description - SOAP::SOAPString
#   location - ActiveNetsuite::RecordRef
#   onHand - SOAP::SOAPDouble
#   quantityRemaining - SOAP::SOAPDouble
#   quantity - SOAP::SOAPDouble
#   unitsDisplay - SOAP::SOAPString
#   unitCostOverride - SOAP::SOAPDouble
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   serialNumbers - SOAP::SOAPString
#   binNumbers - SOAP::SOAPString
#   expirationDate - SOAP::SOAPDateTime
#   rate - SOAP::SOAPString
#   currency - SOAP::SOAPString
#   restock - SOAP::SOAPBoolean
#   billVarianceStatus - ActiveNetsuite::TransactionBillVarianceStatus
#   isDropShipment - SOAP::SOAPBoolean
#   options - ActiveNetsuite::CustomFieldList
#   landedCost - ActiveNetsuite::LandedCost
#   customFieldList - ActiveNetsuite::CustomFieldList
class ItemReceiptItem
  attr_accessor :itemReceive
  attr_accessor :jobName
  attr_accessor :item
  attr_accessor :orderLine
  attr_accessor :line
  attr_accessor :itemName
  attr_accessor :description
  attr_accessor :location
  attr_accessor :onHand
  attr_accessor :quantityRemaining
  attr_accessor :quantity
  attr_accessor :unitsDisplay
  attr_accessor :unitCostOverride
  attr_accessor :inventoryDetail
  attr_accessor :serialNumbers
  attr_accessor :binNumbers
  attr_accessor :expirationDate
  attr_accessor :rate
  attr_accessor :currency
  attr_accessor :restock
  attr_accessor :billVarianceStatus
  attr_accessor :isDropShipment
  attr_accessor :options
  attr_accessor :landedCost
  attr_accessor :customFieldList

  def initialize(itemReceive = nil, jobName = nil, item = nil, orderLine = nil, line = nil, itemName = nil, description = nil, location = nil, onHand = nil, quantityRemaining = nil, quantity = nil, unitsDisplay = nil, unitCostOverride = nil, inventoryDetail = nil, serialNumbers = nil, binNumbers = nil, expirationDate = nil, rate = nil, currency = nil, restock = nil, billVarianceStatus = nil, isDropShipment = nil, options = nil, landedCost = nil, customFieldList = nil)
    @itemReceive = itemReceive
    @jobName = jobName
    @item = item
    @orderLine = orderLine
    @line = line
    @itemName = itemName
    @description = description
    @location = location
    @onHand = onHand
    @quantityRemaining = quantityRemaining
    @quantity = quantity
    @unitsDisplay = unitsDisplay
    @unitCostOverride = unitCostOverride
    @inventoryDetail = inventoryDetail
    @serialNumbers = serialNumbers
    @binNumbers = binNumbers
    @expirationDate = expirationDate
    @rate = rate
    @currency = currency
    @restock = restock
    @billVarianceStatus = billVarianceStatus
    @isDropShipment = isDropShipment
    @options = options
    @landedCost = landedCost
    @customFieldList = customFieldList
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}ItemReceiptItemList
#   item - ActiveNetsuite::ItemReceiptItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ItemReceiptItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :item

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(item = [])
    @item = item
    @__xmlattr = {}
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}ItemReceiptExpense
#   markReceived - SOAP::SOAPBoolean
#   orderLine - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   account - SOAP::SOAPString
#   memo - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
#   customFieldList - ActiveNetsuite::CustomFieldList
class ItemReceiptExpense
  attr_accessor :markReceived
  attr_accessor :orderLine
  attr_accessor :line
  attr_accessor :account
  attr_accessor :memo
  attr_accessor :amount
  attr_accessor :customFieldList

  def initialize(markReceived = nil, orderLine = nil, line = nil, account = nil, memo = nil, amount = nil, customFieldList = nil)
    @markReceived = markReceived
    @orderLine = orderLine
    @line = line
    @account = account
    @memo = memo
    @amount = amount
    @customFieldList = customFieldList
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}ItemReceiptExpenseList
#   expense - ActiveNetsuite::ItemReceiptExpense
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ItemReceiptExpenseList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :expense

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(expense = [])
    @expense = expense
    @__xmlattr = {}
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorPaymentApply
#   apply - SOAP::SOAPBoolean
#   doc - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   job - SOAP::SOAPString
#   applyDate - SOAP::SOAPDateTime
#   type - SOAP::SOAPString
#   refNum - SOAP::SOAPString
#   total - SOAP::SOAPDouble
#   due - SOAP::SOAPDouble
#   currency - SOAP::SOAPString
#   discDate - SOAP::SOAPDateTime
#   discAmt - SOAP::SOAPDouble
#   disc - SOAP::SOAPDouble
#   amount - SOAP::SOAPDouble
class VendorPaymentApply
  attr_accessor :apply
  attr_accessor :doc
  attr_accessor :line
  attr_accessor :job
  attr_accessor :applyDate
  attr_accessor :type
  attr_accessor :refNum
  attr_accessor :total
  attr_accessor :due
  attr_accessor :currency
  attr_accessor :discDate
  attr_accessor :discAmt
  attr_accessor :disc
  attr_accessor :amount

  def initialize(apply = nil, doc = nil, line = nil, job = nil, applyDate = nil, type = nil, refNum = nil, total = nil, due = nil, currency = nil, discDate = nil, discAmt = nil, disc = nil, amount = nil)
    @apply = apply
    @doc = doc
    @line = line
    @job = job
    @applyDate = applyDate
    @type = type
    @refNum = refNum
    @total = total
    @due = due
    @currency = currency
    @discDate = discDate
    @discAmt = discAmt
    @disc = disc
    @amount = amount
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorPaymentApplyList
#   apply - ActiveNetsuite::VendorPaymentApply
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class VendorPaymentApplyList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :apply

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(apply = [])
    @apply = apply
    @__xmlattr = {}
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorPaymentCredit
#   apply - SOAP::SOAPBoolean
#   doc - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   creditDate - SOAP::SOAPDateTime
#   type - SOAP::SOAPString
#   refNum - SOAP::SOAPString
#   appliedTo - SOAP::SOAPString
#   total - SOAP::SOAPDouble
#   due - SOAP::SOAPDouble
#   currency - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
class VendorPaymentCredit
  attr_accessor :apply
  attr_accessor :doc
  attr_accessor :line
  attr_accessor :creditDate
  attr_accessor :type
  attr_accessor :refNum
  attr_accessor :appliedTo
  attr_accessor :total
  attr_accessor :due
  attr_accessor :currency
  attr_accessor :amount

  def initialize(apply = nil, doc = nil, line = nil, creditDate = nil, type = nil, refNum = nil, appliedTo = nil, total = nil, due = nil, currency = nil, amount = nil)
    @apply = apply
    @doc = doc
    @line = line
    @creditDate = creditDate
    @type = type
    @refNum = refNum
    @appliedTo = appliedTo
    @total = total
    @due = due
    @currency = currency
    @amount = amount
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorPaymentCreditList
#   credit - ActiveNetsuite::VendorPaymentCredit
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class VendorPaymentCreditList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :credit

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(credit = [])
    @credit = credit
    @__xmlattr = {}
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorCreditExpense
#   orderLine - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   category - ActiveNetsuite::RecordRef
#   account - ActiveNetsuite::RecordRef
#   amount - SOAP::SOAPDouble
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   grossAmt - SOAP::SOAPDouble
#   memo - SOAP::SOAPString
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   customer - ActiveNetsuite::RecordRef
#   isBillable - SOAP::SOAPBoolean
#   amortizationSched - ActiveNetsuite::RecordRef
#   amortizStartDate - SOAP::SOAPDateTime
#   amortizationEndDate - SOAP::SOAPDateTime
#   amortizationResidual - SOAP::SOAPString
#   customFieldList - ActiveNetsuite::CustomFieldList
class VendorCreditExpense
  attr_accessor :orderLine
  attr_accessor :line
  attr_accessor :category
  attr_accessor :account
  attr_accessor :amount
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2
  attr_accessor :tax1Amt
  attr_accessor :grossAmt
  attr_accessor :memo
  attr_accessor :department
  attr_accessor :location
  attr_accessor :customer
  attr_accessor :isBillable
  attr_accessor :amortizationSched
  attr_accessor :amortizStartDate
  attr_accessor :amortizationEndDate
  attr_accessor :amortizationResidual
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(orderLine = nil, line = nil, category = nil, account = nil, amount = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil, tax1Amt = nil, grossAmt = nil, memo = nil, department = nil, v_class = nil, location = nil, customer = nil, isBillable = nil, amortizationSched = nil, amortizStartDate = nil, amortizationEndDate = nil, amortizationResidual = nil, customFieldList = nil)
    @orderLine = orderLine
    @line = line
    @category = category
    @account = account
    @amount = amount
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
    @tax1Amt = tax1Amt
    @grossAmt = grossAmt
    @memo = memo
    @department = department
    @v_class = v_class
    @location = location
    @customer = customer
    @isBillable = isBillable
    @amortizationSched = amortizationSched
    @amortizStartDate = amortizStartDate
    @amortizationEndDate = amortizationEndDate
    @amortizationResidual = amortizationResidual
    @customFieldList = customFieldList
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorCreditExpenseList
#   expense - ActiveNetsuite::VendorCreditExpense
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class VendorCreditExpenseList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :expense

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(expense = [])
    @expense = expense
    @__xmlattr = {}
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorCreditItem
#   item - ActiveNetsuite::RecordRef
#   vendorName - SOAP::SOAPString
#   line - SOAP::SOAPLong
#   orderLine - SOAP::SOAPLong
#   quantity - SOAP::SOAPDouble
#   units - ActiveNetsuite::RecordRef
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   serialNumbersList - ActiveNetsuite::RecordRefList
#   description - SOAP::SOAPString
#   rate - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
#   binNumbers - SOAP::SOAPString
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
#   grossAmt - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   options - ActiveNetsuite::CustomFieldList
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   customer - ActiveNetsuite::RecordRef
#   isBillable - SOAP::SOAPBoolean
#   amortizationSched - ActiveNetsuite::RecordRef
#   amortizStartDate - SOAP::SOAPDateTime
#   amortizationEndDate - SOAP::SOAPDateTime
#   amortizationResidual - SOAP::SOAPString
#   customFieldList - ActiveNetsuite::CustomFieldList
class VendorCreditItem
  attr_accessor :item
  attr_accessor :vendorName
  attr_accessor :line
  attr_accessor :orderLine
  attr_accessor :quantity
  attr_accessor :units
  attr_accessor :inventoryDetail
  attr_accessor :serialNumbersList
  attr_accessor :description
  attr_accessor :rate
  attr_accessor :amount
  attr_accessor :binNumbers
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2
  attr_accessor :grossAmt
  attr_accessor :tax1Amt
  attr_accessor :options
  attr_accessor :department
  attr_accessor :location
  attr_accessor :customer
  attr_accessor :isBillable
  attr_accessor :amortizationSched
  attr_accessor :amortizStartDate
  attr_accessor :amortizationEndDate
  attr_accessor :amortizationResidual
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(item = nil, vendorName = nil, line = nil, orderLine = nil, quantity = nil, units = nil, inventoryDetail = nil, serialNumbersList = nil, description = nil, rate = nil, amount = nil, binNumbers = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil, grossAmt = nil, tax1Amt = nil, options = nil, department = nil, v_class = nil, location = nil, customer = nil, isBillable = nil, amortizationSched = nil, amortizStartDate = nil, amortizationEndDate = nil, amortizationResidual = nil, customFieldList = nil)
    @item = item
    @vendorName = vendorName
    @line = line
    @orderLine = orderLine
    @quantity = quantity
    @units = units
    @inventoryDetail = inventoryDetail
    @serialNumbersList = serialNumbersList
    @description = description
    @rate = rate
    @amount = amount
    @binNumbers = binNumbers
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
    @grossAmt = grossAmt
    @tax1Amt = tax1Amt
    @options = options
    @department = department
    @v_class = v_class
    @location = location
    @customer = customer
    @isBillable = isBillable
    @amortizationSched = amortizationSched
    @amortizStartDate = amortizStartDate
    @amortizationEndDate = amortizationEndDate
    @amortizationResidual = amortizationResidual
    @customFieldList = customFieldList
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorCreditItemList
#   item - ActiveNetsuite::VendorCreditItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class VendorCreditItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :item

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(item = [])
    @item = item
    @__xmlattr = {}
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorCreditApply
#   apply - SOAP::SOAPBoolean
#   applyDate - SOAP::SOAPDateTime
#   doc - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   type - SOAP::SOAPString
#   refNum - SOAP::SOAPString
#   total - SOAP::SOAPDouble
#   due - SOAP::SOAPDouble
#   currency - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
class VendorCreditApply
  attr_accessor :apply
  attr_accessor :applyDate
  attr_accessor :doc
  attr_accessor :line
  attr_accessor :type
  attr_accessor :refNum
  attr_accessor :total
  attr_accessor :due
  attr_accessor :currency
  attr_accessor :amount

  def initialize(apply = nil, applyDate = nil, doc = nil, line = nil, type = nil, refNum = nil, total = nil, due = nil, currency = nil, amount = nil)
    @apply = apply
    @applyDate = applyDate
    @doc = doc
    @line = line
    @type = type
    @refNum = refNum
    @total = total
    @due = due
    @currency = currency
    @amount = amount
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorCreditApplyList
#   apply - ActiveNetsuite::VendorCreditApply
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class VendorCreditApplyList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :apply

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(apply = [])
    @apply = apply
    @__xmlattr = {}
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorReturnAuthorizationExpense
#   orderLine - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   category - ActiveNetsuite::RecordRef
#   account - ActiveNetsuite::RecordRef
#   amount - SOAP::SOAPDouble
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   grossAmt - SOAP::SOAPDouble
#   memo - SOAP::SOAPString
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   customer - ActiveNetsuite::RecordRef
#   isBillable - SOAP::SOAPBoolean
#   amortizationSched - ActiveNetsuite::RecordRef
#   amortizStartDate - SOAP::SOAPDateTime
#   amortizationEndDate - SOAP::SOAPDateTime
#   amortizationResidual - SOAP::SOAPString
#   customFieldList - ActiveNetsuite::CustomFieldList
class VendorReturnAuthorizationExpense
  attr_accessor :orderLine
  attr_accessor :line
  attr_accessor :category
  attr_accessor :account
  attr_accessor :amount
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2
  attr_accessor :tax1Amt
  attr_accessor :grossAmt
  attr_accessor :memo
  attr_accessor :department
  attr_accessor :location
  attr_accessor :customer
  attr_accessor :isBillable
  attr_accessor :amortizationSched
  attr_accessor :amortizStartDate
  attr_accessor :amortizationEndDate
  attr_accessor :amortizationResidual
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(orderLine = nil, line = nil, category = nil, account = nil, amount = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil, tax1Amt = nil, grossAmt = nil, memo = nil, department = nil, v_class = nil, location = nil, customer = nil, isBillable = nil, amortizationSched = nil, amortizStartDate = nil, amortizationEndDate = nil, amortizationResidual = nil, customFieldList = nil)
    @orderLine = orderLine
    @line = line
    @category = category
    @account = account
    @amount = amount
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
    @tax1Amt = tax1Amt
    @grossAmt = grossAmt
    @memo = memo
    @department = department
    @v_class = v_class
    @location = location
    @customer = customer
    @isBillable = isBillable
    @amortizationSched = amortizationSched
    @amortizStartDate = amortizStartDate
    @amortizationEndDate = amortizationEndDate
    @amortizationResidual = amortizationResidual
    @customFieldList = customFieldList
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorReturnAuthorizationExpenseList
#   expense - ActiveNetsuite::VendorReturnAuthorizationExpense
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class VendorReturnAuthorizationExpenseList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :expense

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(expense = [])
    @expense = expense
    @__xmlattr = {}
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorReturnAuthorizationItem
#   item - ActiveNetsuite::RecordRef
#   vendorName - SOAP::SOAPString
#   line - SOAP::SOAPLong
#   orderLine - SOAP::SOAPLong
#   quantity - SOAP::SOAPDouble
#   units - ActiveNetsuite::RecordRef
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   serialNumbersList - ActiveNetsuite::RecordRefList
#   description - SOAP::SOAPString
#   binNumbers - SOAP::SOAPString
#   rate - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
#   grossAmt - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   options - ActiveNetsuite::CustomFieldList
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   customer - ActiveNetsuite::RecordRef
#   isBillable - SOAP::SOAPBoolean
#   isClosed - SOAP::SOAPBoolean
#   amortizationSched - ActiveNetsuite::RecordRef
#   isDropShipment - SOAP::SOAPBoolean
#   amortizStartDate - SOAP::SOAPDateTime
#   amortizationEndDate - SOAP::SOAPDateTime
#   amortizationResidual - SOAP::SOAPString
#   customFieldList - ActiveNetsuite::CustomFieldList
class VendorReturnAuthorizationItem
  attr_accessor :item
  attr_accessor :vendorName
  attr_accessor :line
  attr_accessor :orderLine
  attr_accessor :quantity
  attr_accessor :units
  attr_accessor :inventoryDetail
  attr_accessor :serialNumbersList
  attr_accessor :description
  attr_accessor :binNumbers
  attr_accessor :rate
  attr_accessor :amount
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2
  attr_accessor :grossAmt
  attr_accessor :tax1Amt
  attr_accessor :options
  attr_accessor :department
  attr_accessor :location
  attr_accessor :customer
  attr_accessor :isBillable
  attr_accessor :isClosed
  attr_accessor :amortizationSched
  attr_accessor :isDropShipment
  attr_accessor :amortizStartDate
  attr_accessor :amortizationEndDate
  attr_accessor :amortizationResidual
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(item = nil, vendorName = nil, line = nil, orderLine = nil, quantity = nil, units = nil, inventoryDetail = nil, serialNumbersList = nil, description = nil, binNumbers = nil, rate = nil, amount = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil, grossAmt = nil, tax1Amt = nil, options = nil, department = nil, v_class = nil, location = nil, customer = nil, isBillable = nil, isClosed = nil, amortizationSched = nil, isDropShipment = nil, amortizStartDate = nil, amortizationEndDate = nil, amortizationResidual = nil, customFieldList = nil)
    @item = item
    @vendorName = vendorName
    @line = line
    @orderLine = orderLine
    @quantity = quantity
    @units = units
    @inventoryDetail = inventoryDetail
    @serialNumbersList = serialNumbersList
    @description = description
    @binNumbers = binNumbers
    @rate = rate
    @amount = amount
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
    @grossAmt = grossAmt
    @tax1Amt = tax1Amt
    @options = options
    @department = department
    @v_class = v_class
    @location = location
    @customer = customer
    @isBillable = isBillable
    @isClosed = isClosed
    @amortizationSched = amortizationSched
    @isDropShipment = isDropShipment
    @amortizStartDate = amortizStartDate
    @amortizationEndDate = amortizationEndDate
    @amortizationResidual = amortizationResidual
    @customFieldList = customFieldList
  end
end

# {urn:purchases_2013_2.transactions.webservices.netsuite.com}VendorReturnAuthorizationItemList
#   item - ActiveNetsuite::VendorReturnAuthorizationItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class VendorReturnAuthorizationItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :item

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(item = [])
    @item = item
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CashRefundItem
#   job - ActiveNetsuite::RecordRef
#   item - ActiveNetsuite::RecordRef
#   line - SOAP::SOAPLong
#   orderLine - SOAP::SOAPLong
#   quantity - SOAP::SOAPDouble
#   units - ActiveNetsuite::RecordRef
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   binNumbers - SOAP::SOAPString
#   serialNumbers - SOAP::SOAPString
#   description - SOAP::SOAPString
#   price - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPString
#   taxRate2 - SOAP::SOAPString
#   tax1Amt - SOAP::SOAPDouble
#   grossAmt - SOAP::SOAPDouble
#   isTaxable - SOAP::SOAPBoolean
#   options - ActiveNetsuite::CustomFieldList
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   revRecSchedule - ActiveNetsuite::RecordRef
#   revRecStartDate - SOAP::SOAPDateTime
#   revRecEndDate - SOAP::SOAPDateTime
#   giftCertFrom - SOAP::SOAPString
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   costEstimate - SOAP::SOAPDouble
#   giftCertRecipientName - SOAP::SOAPString
#   giftCertRecipientEmail - SOAP::SOAPString
#   giftCertMessage - SOAP::SOAPString
#   giftCertNumber - SOAP::SOAPString
#   vsoeSopGroup - ActiveNetsuite::VsoeSopGroup
#   vsoeIsEstimate - SOAP::SOAPBoolean
#   vsoePrice - SOAP::SOAPDouble
#   vsoeAmount - SOAP::SOAPDouble
#   vsoeAllocation - SOAP::SOAPDouble
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   chargeType - ActiveNetsuite::ChargeRuleType
#   chargesList - ActiveNetsuite::RecordRefList
#   customFieldList - ActiveNetsuite::CustomFieldList
class CashRefundItem
  attr_accessor :job
  attr_accessor :item
  attr_accessor :line
  attr_accessor :orderLine
  attr_accessor :quantity
  attr_accessor :units
  attr_accessor :inventoryDetail
  attr_accessor :binNumbers
  attr_accessor :serialNumbers
  attr_accessor :description
  attr_accessor :price
  attr_accessor :rate
  attr_accessor :amount
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2
  attr_accessor :tax1Amt
  attr_accessor :grossAmt
  attr_accessor :isTaxable
  attr_accessor :options
  attr_accessor :department
  attr_accessor :location
  attr_accessor :revRecSchedule
  attr_accessor :revRecStartDate
  attr_accessor :revRecEndDate
  attr_accessor :giftCertFrom
  attr_accessor :costEstimateType
  attr_accessor :costEstimate
  attr_accessor :giftCertRecipientName
  attr_accessor :giftCertRecipientEmail
  attr_accessor :giftCertMessage
  attr_accessor :giftCertNumber
  attr_accessor :vsoeSopGroup
  attr_accessor :vsoeIsEstimate
  attr_accessor :vsoePrice
  attr_accessor :vsoeAmount
  attr_accessor :vsoeAllocation
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :chargeType
  attr_accessor :chargesList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(job = nil, item = nil, line = nil, orderLine = nil, quantity = nil, units = nil, inventoryDetail = nil, binNumbers = nil, serialNumbers = nil, description = nil, price = nil, rate = nil, amount = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil, tax1Amt = nil, grossAmt = nil, isTaxable = nil, options = nil, department = nil, v_class = nil, location = nil, revRecSchedule = nil, revRecStartDate = nil, revRecEndDate = nil, giftCertFrom = nil, costEstimateType = nil, costEstimate = nil, giftCertRecipientName = nil, giftCertRecipientEmail = nil, giftCertMessage = nil, giftCertNumber = nil, vsoeSopGroup = nil, vsoeIsEstimate = nil, vsoePrice = nil, vsoeAmount = nil, vsoeAllocation = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, chargeType = nil, chargesList = nil, customFieldList = nil)
    @job = job
    @item = item
    @line = line
    @orderLine = orderLine
    @quantity = quantity
    @units = units
    @inventoryDetail = inventoryDetail
    @binNumbers = binNumbers
    @serialNumbers = serialNumbers
    @description = description
    @price = price
    @rate = rate
    @amount = amount
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
    @tax1Amt = tax1Amt
    @grossAmt = grossAmt
    @isTaxable = isTaxable
    @options = options
    @department = department
    @v_class = v_class
    @location = location
    @revRecSchedule = revRecSchedule
    @revRecStartDate = revRecStartDate
    @revRecEndDate = revRecEndDate
    @giftCertFrom = giftCertFrom
    @costEstimateType = costEstimateType
    @costEstimate = costEstimate
    @giftCertRecipientName = giftCertRecipientName
    @giftCertRecipientEmail = giftCertRecipientEmail
    @giftCertMessage = giftCertMessage
    @giftCertNumber = giftCertNumber
    @vsoeSopGroup = vsoeSopGroup
    @vsoeIsEstimate = vsoeIsEstimate
    @vsoePrice = vsoePrice
    @vsoeAmount = vsoeAmount
    @vsoeAllocation = vsoeAllocation
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @chargeType = chargeType
    @chargesList = chargesList
    @customFieldList = customFieldList
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CashRefundItemList
#   item - ActiveNetsuite::CashRefundItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CashRefundItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :item

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(item = [])
    @item = item
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CashRefundSalesTeam
#   employee - ActiveNetsuite::RecordRef
#   salesRole - ActiveNetsuite::RecordRef
#   isPrimary - SOAP::SOAPBoolean
#   contribution - SOAP::SOAPDouble
class CashRefundSalesTeam
  attr_accessor :employee
  attr_accessor :salesRole
  attr_accessor :isPrimary
  attr_accessor :contribution

  def initialize(employee = nil, salesRole = nil, isPrimary = nil, contribution = nil)
    @employee = employee
    @salesRole = salesRole
    @isPrimary = isPrimary
    @contribution = contribution
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CashRefundSalesTeamList
#   salesTeam - ActiveNetsuite::CashRefundSalesTeam
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CashRefundSalesTeamList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :salesTeam

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(salesTeam = [])
    @salesTeam = salesTeam
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CashRefundPartnersList
#   partners - ActiveNetsuite::Partners
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CashRefundPartnersList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :partners

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(partners = [])
    @partners = partners
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CustomerPaymentApply
#   apply - SOAP::SOAPBoolean
#   doc - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   applyDate - SOAP::SOAPDateTime
#   job - SOAP::SOAPString
#   type - SOAP::SOAPString
#   refNum - SOAP::SOAPString
#   total - SOAP::SOAPDouble
#   due - SOAP::SOAPDouble
#   currency - SOAP::SOAPString
#   discDate - SOAP::SOAPDateTime
#   discAmt - SOAP::SOAPDouble
#   disc - SOAP::SOAPDouble
#   amount - SOAP::SOAPDouble
class CustomerPaymentApply
  attr_accessor :apply
  attr_accessor :doc
  attr_accessor :line
  attr_accessor :applyDate
  attr_accessor :job
  attr_accessor :type
  attr_accessor :refNum
  attr_accessor :total
  attr_accessor :due
  attr_accessor :currency
  attr_accessor :discDate
  attr_accessor :discAmt
  attr_accessor :disc
  attr_accessor :amount

  def initialize(apply = nil, doc = nil, line = nil, applyDate = nil, job = nil, type = nil, refNum = nil, total = nil, due = nil, currency = nil, discDate = nil, discAmt = nil, disc = nil, amount = nil)
    @apply = apply
    @doc = doc
    @line = line
    @applyDate = applyDate
    @job = job
    @type = type
    @refNum = refNum
    @total = total
    @due = due
    @currency = currency
    @discDate = discDate
    @discAmt = discAmt
    @disc = disc
    @amount = amount
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CustomerPaymentApplyList
#   apply - ActiveNetsuite::CustomerPaymentApply
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomerPaymentApplyList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :apply

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(apply = [])
    @apply = apply
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CustomerPaymentCredit
#   apply - SOAP::SOAPBoolean
#   doc - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   creditDate - SOAP::SOAPDateTime
#   type - SOAP::SOAPString
#   refNum - SOAP::SOAPString
#   appliedTo - SOAP::SOAPString
#   total - SOAP::SOAPDouble
#   due - SOAP::SOAPDouble
#   currency - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
class CustomerPaymentCredit
  attr_accessor :apply
  attr_accessor :doc
  attr_accessor :line
  attr_accessor :creditDate
  attr_accessor :type
  attr_accessor :refNum
  attr_accessor :appliedTo
  attr_accessor :total
  attr_accessor :due
  attr_accessor :currency
  attr_accessor :amount

  def initialize(apply = nil, doc = nil, line = nil, creditDate = nil, type = nil, refNum = nil, appliedTo = nil, total = nil, due = nil, currency = nil, amount = nil)
    @apply = apply
    @doc = doc
    @line = line
    @creditDate = creditDate
    @type = type
    @refNum = refNum
    @appliedTo = appliedTo
    @total = total
    @due = due
    @currency = currency
    @amount = amount
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CustomerPaymentCreditList
#   credit - ActiveNetsuite::CustomerPaymentCredit
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomerPaymentCreditList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :credit

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(credit = [])
    @credit = credit
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CustomerPaymentDeposit
#   apply - SOAP::SOAPBoolean
#   doc - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   depositDate - SOAP::SOAPDateTime
#   refNum - SOAP::SOAPString
#   total - SOAP::SOAPDouble
#   remaining - SOAP::SOAPDouble
#   currency - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
class CustomerPaymentDeposit
  attr_accessor :apply
  attr_accessor :doc
  attr_accessor :line
  attr_accessor :depositDate
  attr_accessor :refNum
  attr_accessor :total
  attr_accessor :remaining
  attr_accessor :currency
  attr_accessor :amount

  def initialize(apply = nil, doc = nil, line = nil, depositDate = nil, refNum = nil, total = nil, remaining = nil, currency = nil, amount = nil)
    @apply = apply
    @doc = doc
    @line = line
    @depositDate = depositDate
    @refNum = refNum
    @total = total
    @remaining = remaining
    @currency = currency
    @amount = amount
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CustomerPaymentDepositList
#   deposit - ActiveNetsuite::CustomerPaymentDeposit
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomerPaymentDepositList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :deposit

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(deposit = [])
    @deposit = deposit
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}ReturnAuthorizationItem
#   job - ActiveNetsuite::RecordRef
#   item - ActiveNetsuite::RecordRef
#   orderLine - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   quantity - SOAP::SOAPDouble
#   quantityReceived - SOAP::SOAPDouble
#   quantityBilled - SOAP::SOAPDouble
#   units - ActiveNetsuite::RecordRef
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   description - SOAP::SOAPString
#   serialNumbers - SOAP::SOAPString
#   price - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
#   options - ActiveNetsuite::CustomFieldList
#   revRecTermInMonths - SOAP::SOAPLong
#   deferRevRec - SOAP::SOAPBoolean
#   isClosed - SOAP::SOAPBoolean
#   isDropShipment - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   costEstimate - SOAP::SOAPDouble
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   revRecSchedule - ActiveNetsuite::RecordRef
#   revRecStartDate - SOAP::SOAPDateTime
#   revRecEndDate - SOAP::SOAPDateTime
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   grossAmt - SOAP::SOAPDouble
#   isTaxable - SOAP::SOAPBoolean
#   giftCertFrom - SOAP::SOAPString
#   giftCertRecipientName - SOAP::SOAPString
#   giftCertRecipientEmail - SOAP::SOAPString
#   giftCertMessage - SOAP::SOAPString
#   giftCertNumber - SOAP::SOAPString
#   vsoeSopGroup - ActiveNetsuite::VsoeSopGroup
#   vsoeIsEstimate - SOAP::SOAPBoolean
#   vsoePrice - SOAP::SOAPDouble
#   vsoeAmount - SOAP::SOAPDouble
#   altSalesAmt - SOAP::SOAPDouble
#   vsoeAllocation - SOAP::SOAPDouble
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   customFieldList - ActiveNetsuite::CustomFieldList
class ReturnAuthorizationItem
  attr_accessor :job
  attr_accessor :item
  attr_accessor :orderLine
  attr_accessor :line
  attr_accessor :quantity
  attr_accessor :quantityReceived
  attr_accessor :quantityBilled
  attr_accessor :units
  attr_accessor :inventoryDetail
  attr_accessor :description
  attr_accessor :serialNumbers
  attr_accessor :price
  attr_accessor :rate
  attr_accessor :amount
  attr_accessor :options
  attr_accessor :revRecTermInMonths
  attr_accessor :deferRevRec
  attr_accessor :isClosed
  attr_accessor :isDropShipment
  attr_accessor :department
  attr_accessor :costEstimateType
  attr_accessor :costEstimate
  attr_accessor :location
  attr_accessor :revRecSchedule
  attr_accessor :revRecStartDate
  attr_accessor :revRecEndDate
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2
  attr_accessor :tax1Amt
  attr_accessor :grossAmt
  attr_accessor :isTaxable
  attr_accessor :giftCertFrom
  attr_accessor :giftCertRecipientName
  attr_accessor :giftCertRecipientEmail
  attr_accessor :giftCertMessage
  attr_accessor :giftCertNumber
  attr_accessor :vsoeSopGroup
  attr_accessor :vsoeIsEstimate
  attr_accessor :vsoePrice
  attr_accessor :vsoeAmount
  attr_accessor :altSalesAmt
  attr_accessor :vsoeAllocation
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(job = nil, item = nil, orderLine = nil, line = nil, quantity = nil, quantityReceived = nil, quantityBilled = nil, units = nil, inventoryDetail = nil, description = nil, serialNumbers = nil, price = nil, rate = nil, amount = nil, options = nil, revRecTermInMonths = nil, deferRevRec = nil, isClosed = nil, isDropShipment = nil, department = nil, costEstimateType = nil, costEstimate = nil, v_class = nil, location = nil, revRecSchedule = nil, revRecStartDate = nil, revRecEndDate = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil, tax1Amt = nil, grossAmt = nil, isTaxable = nil, giftCertFrom = nil, giftCertRecipientName = nil, giftCertRecipientEmail = nil, giftCertMessage = nil, giftCertNumber = nil, vsoeSopGroup = nil, vsoeIsEstimate = nil, vsoePrice = nil, vsoeAmount = nil, altSalesAmt = nil, vsoeAllocation = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, customFieldList = nil)
    @job = job
    @item = item
    @orderLine = orderLine
    @line = line
    @quantity = quantity
    @quantityReceived = quantityReceived
    @quantityBilled = quantityBilled
    @units = units
    @inventoryDetail = inventoryDetail
    @description = description
    @serialNumbers = serialNumbers
    @price = price
    @rate = rate
    @amount = amount
    @options = options
    @revRecTermInMonths = revRecTermInMonths
    @deferRevRec = deferRevRec
    @isClosed = isClosed
    @isDropShipment = isDropShipment
    @department = department
    @costEstimateType = costEstimateType
    @costEstimate = costEstimate
    @v_class = v_class
    @location = location
    @revRecSchedule = revRecSchedule
    @revRecStartDate = revRecStartDate
    @revRecEndDate = revRecEndDate
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
    @tax1Amt = tax1Amt
    @grossAmt = grossAmt
    @isTaxable = isTaxable
    @giftCertFrom = giftCertFrom
    @giftCertRecipientName = giftCertRecipientName
    @giftCertRecipientEmail = giftCertRecipientEmail
    @giftCertMessage = giftCertMessage
    @giftCertNumber = giftCertNumber
    @vsoeSopGroup = vsoeSopGroup
    @vsoeIsEstimate = vsoeIsEstimate
    @vsoePrice = vsoePrice
    @vsoeAmount = vsoeAmount
    @altSalesAmt = altSalesAmt
    @vsoeAllocation = vsoeAllocation
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @customFieldList = customFieldList
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}ReturnAuthorizationItemList
#   item - ActiveNetsuite::ReturnAuthorizationItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ReturnAuthorizationItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :item

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(item = [])
    @item = item
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}ReturnAuthorizationSalesTeam
#   employee - ActiveNetsuite::RecordRef
#   salesRole - ActiveNetsuite::RecordRef
#   isPrimary - SOAP::SOAPBoolean
#   contribution - SOAP::SOAPDouble
class ReturnAuthorizationSalesTeam
  attr_accessor :employee
  attr_accessor :salesRole
  attr_accessor :isPrimary
  attr_accessor :contribution

  def initialize(employee = nil, salesRole = nil, isPrimary = nil, contribution = nil)
    @employee = employee
    @salesRole = salesRole
    @isPrimary = isPrimary
    @contribution = contribution
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}ReturnAuthorizationSalesTeamList
#   salesTeam - ActiveNetsuite::ReturnAuthorizationSalesTeam
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ReturnAuthorizationSalesTeamList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :salesTeam

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(salesTeam = [])
    @salesTeam = salesTeam
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}ReturnAuthorizationPartnersList
#   partners - ActiveNetsuite::Partners
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ReturnAuthorizationPartnersList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :partners

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(partners = [])
    @partners = partners
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CreditMemoSalesTeam
#   employee - ActiveNetsuite::RecordRef
#   salesRole - ActiveNetsuite::RecordRef
#   isPrimary - SOAP::SOAPBoolean
#   contribution - SOAP::SOAPDouble
class CreditMemoSalesTeam
  attr_accessor :employee
  attr_accessor :salesRole
  attr_accessor :isPrimary
  attr_accessor :contribution

  def initialize(employee = nil, salesRole = nil, isPrimary = nil, contribution = nil)
    @employee = employee
    @salesRole = salesRole
    @isPrimary = isPrimary
    @contribution = contribution
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CreditMemoSalesTeamList
#   salesTeam - ActiveNetsuite::CreditMemoSalesTeam
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CreditMemoSalesTeamList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :salesTeam

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(salesTeam = [])
    @salesTeam = salesTeam
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CreditMemoItem
#   job - ActiveNetsuite::RecordRef
#   item - ActiveNetsuite::RecordRef
#   orderLine - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   quantity - SOAP::SOAPDouble
#   description - SOAP::SOAPString
#   binNumbers - SOAP::SOAPString
#   price - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
#   isTaxable - SOAP::SOAPBoolean
#   options - ActiveNetsuite::CustomFieldList
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   grossAmt - SOAP::SOAPDouble
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   costEstimateType - ActiveNetsuite::ItemCostEstimateType
#   costEstimate - SOAP::SOAPDouble
#   revRecSchedule - ActiveNetsuite::RecordRef
#   revRecStartDate - SOAP::SOAPDateTime
#   revRecTermInMonths - SOAP::SOAPLong
#   revRecEndDate - SOAP::SOAPDateTime
#   units - ActiveNetsuite::RecordRef
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   serialNumbers - SOAP::SOAPString
#   deferRevRec - SOAP::SOAPBoolean
#   giftCertFrom - SOAP::SOAPString
#   giftCertRecipientName - SOAP::SOAPString
#   giftCertRecipientEmail - SOAP::SOAPString
#   giftCertMessage - SOAP::SOAPString
#   giftCertNumber - SOAP::SOAPString
#   vsoeSopGroup - ActiveNetsuite::VsoeSopGroup
#   vsoeIsEstimate - SOAP::SOAPBoolean
#   vsoePrice - SOAP::SOAPDouble
#   vsoeAmount - SOAP::SOAPDouble
#   vsoeAllocation - SOAP::SOAPDouble
#   vsoeDeferral - ActiveNetsuite::VsoeDeferral
#   vsoePermitDiscount - ActiveNetsuite::VsoePermitDiscount
#   vsoeDelivered - SOAP::SOAPBoolean
#   chargeType - ActiveNetsuite::ChargeRuleType
#   chargesList - ActiveNetsuite::RecordRefList
#   customFieldList - ActiveNetsuite::CustomFieldList
class CreditMemoItem
  attr_accessor :job
  attr_accessor :item
  attr_accessor :orderLine
  attr_accessor :line
  attr_accessor :quantity
  attr_accessor :description
  attr_accessor :binNumbers
  attr_accessor :price
  attr_accessor :rate
  attr_accessor :amount
  attr_accessor :isTaxable
  attr_accessor :options
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :taxRate2
  attr_accessor :tax1Amt
  attr_accessor :grossAmt
  attr_accessor :department
  attr_accessor :location
  attr_accessor :costEstimateType
  attr_accessor :costEstimate
  attr_accessor :revRecSchedule
  attr_accessor :revRecStartDate
  attr_accessor :revRecTermInMonths
  attr_accessor :revRecEndDate
  attr_accessor :units
  attr_accessor :inventoryDetail
  attr_accessor :serialNumbers
  attr_accessor :deferRevRec
  attr_accessor :giftCertFrom
  attr_accessor :giftCertRecipientName
  attr_accessor :giftCertRecipientEmail
  attr_accessor :giftCertMessage
  attr_accessor :giftCertNumber
  attr_accessor :vsoeSopGroup
  attr_accessor :vsoeIsEstimate
  attr_accessor :vsoePrice
  attr_accessor :vsoeAmount
  attr_accessor :vsoeAllocation
  attr_accessor :vsoeDeferral
  attr_accessor :vsoePermitDiscount
  attr_accessor :vsoeDelivered
  attr_accessor :chargeType
  attr_accessor :chargesList
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(job = nil, item = nil, orderLine = nil, line = nil, quantity = nil, description = nil, binNumbers = nil, price = nil, rate = nil, amount = nil, isTaxable = nil, options = nil, taxCode = nil, taxRate1 = nil, taxRate2 = nil, tax1Amt = nil, grossAmt = nil, department = nil, v_class = nil, location = nil, costEstimateType = nil, costEstimate = nil, revRecSchedule = nil, revRecStartDate = nil, revRecTermInMonths = nil, revRecEndDate = nil, units = nil, inventoryDetail = nil, serialNumbers = nil, deferRevRec = nil, giftCertFrom = nil, giftCertRecipientName = nil, giftCertRecipientEmail = nil, giftCertMessage = nil, giftCertNumber = nil, vsoeSopGroup = nil, vsoeIsEstimate = nil, vsoePrice = nil, vsoeAmount = nil, vsoeAllocation = nil, vsoeDeferral = nil, vsoePermitDiscount = nil, vsoeDelivered = nil, chargeType = nil, chargesList = nil, customFieldList = nil)
    @job = job
    @item = item
    @orderLine = orderLine
    @line = line
    @quantity = quantity
    @description = description
    @binNumbers = binNumbers
    @price = price
    @rate = rate
    @amount = amount
    @isTaxable = isTaxable
    @options = options
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
    @tax1Amt = tax1Amt
    @grossAmt = grossAmt
    @department = department
    @v_class = v_class
    @location = location
    @costEstimateType = costEstimateType
    @costEstimate = costEstimate
    @revRecSchedule = revRecSchedule
    @revRecStartDate = revRecStartDate
    @revRecTermInMonths = revRecTermInMonths
    @revRecEndDate = revRecEndDate
    @units = units
    @inventoryDetail = inventoryDetail
    @serialNumbers = serialNumbers
    @deferRevRec = deferRevRec
    @giftCertFrom = giftCertFrom
    @giftCertRecipientName = giftCertRecipientName
    @giftCertRecipientEmail = giftCertRecipientEmail
    @giftCertMessage = giftCertMessage
    @giftCertNumber = giftCertNumber
    @vsoeSopGroup = vsoeSopGroup
    @vsoeIsEstimate = vsoeIsEstimate
    @vsoePrice = vsoePrice
    @vsoeAmount = vsoeAmount
    @vsoeAllocation = vsoeAllocation
    @vsoeDeferral = vsoeDeferral
    @vsoePermitDiscount = vsoePermitDiscount
    @vsoeDelivered = vsoeDelivered
    @chargeType = chargeType
    @chargesList = chargesList
    @customFieldList = customFieldList
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CreditMemoItemList
#   item - ActiveNetsuite::CreditMemoItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CreditMemoItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :item

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(item = [])
    @item = item
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CreditMemoApply
#   apply - SOAP::SOAPBoolean
#   doc - SOAP::SOAPLong
#   applyDate - SOAP::SOAPDateTime
#   job - SOAP::SOAPString
#   type - SOAP::SOAPString
#   refNum - SOAP::SOAPString
#   total - SOAP::SOAPDouble
#   due - SOAP::SOAPDouble
#   currency - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
#   line - SOAP::SOAPLong
class CreditMemoApply
  attr_accessor :apply
  attr_accessor :doc
  attr_accessor :applyDate
  attr_accessor :job
  attr_accessor :type
  attr_accessor :refNum
  attr_accessor :total
  attr_accessor :due
  attr_accessor :currency
  attr_accessor :amount
  attr_accessor :line

  def initialize(apply = nil, doc = nil, applyDate = nil, job = nil, type = nil, refNum = nil, total = nil, due = nil, currency = nil, amount = nil, line = nil)
    @apply = apply
    @doc = doc
    @applyDate = applyDate
    @job = job
    @type = type
    @refNum = refNum
    @total = total
    @due = due
    @currency = currency
    @amount = amount
    @line = line
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CreditMemoApplyList
#   apply - ActiveNetsuite::CreditMemoApply
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CreditMemoApplyList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :apply

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(apply = [])
    @apply = apply
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CreditMemoPartnersList
#   partners - ActiveNetsuite::Partners
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CreditMemoPartnersList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :partners

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(partners = [])
    @partners = partners
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CustomerRefundApply
#   apply - SOAP::SOAPBoolean
#   doc - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   applyDate - SOAP::SOAPDateTime
#   type - SOAP::SOAPString
#   refNum - SOAP::SOAPString
#   total - SOAP::SOAPDouble
#   due - SOAP::SOAPDouble
#   currency - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
class CustomerRefundApply
  attr_accessor :apply
  attr_accessor :doc
  attr_accessor :line
  attr_accessor :applyDate
  attr_accessor :type
  attr_accessor :refNum
  attr_accessor :total
  attr_accessor :due
  attr_accessor :currency
  attr_accessor :amount

  def initialize(apply = nil, doc = nil, line = nil, applyDate = nil, type = nil, refNum = nil, total = nil, due = nil, currency = nil, amount = nil)
    @apply = apply
    @doc = doc
    @line = line
    @applyDate = applyDate
    @type = type
    @refNum = refNum
    @total = total
    @due = due
    @currency = currency
    @amount = amount
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CustomerRefundApplyList
#   apply - ActiveNetsuite::CustomerRefundApply
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomerRefundApplyList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :apply

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(apply = [])
    @apply = apply
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CustomerRefundDeposit
#   apply - SOAP::SOAPBoolean
#   doc - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   depositDate - SOAP::SOAPDateTime
#   refNum - SOAP::SOAPString
#   total - SOAP::SOAPDouble
#   remaining - SOAP::SOAPDouble
#   currency - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
class CustomerRefundDeposit
  attr_accessor :apply
  attr_accessor :doc
  attr_accessor :line
  attr_accessor :depositDate
  attr_accessor :refNum
  attr_accessor :total
  attr_accessor :remaining
  attr_accessor :currency
  attr_accessor :amount

  def initialize(apply = nil, doc = nil, line = nil, depositDate = nil, refNum = nil, total = nil, remaining = nil, currency = nil, amount = nil)
    @apply = apply
    @doc = doc
    @line = line
    @depositDate = depositDate
    @refNum = refNum
    @total = total
    @remaining = remaining
    @currency = currency
    @amount = amount
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CustomerRefundDepositList
#   customerRefundDeposit - ActiveNetsuite::CustomerRefundDeposit
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomerRefundDepositList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :customerRefundDeposit

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(customerRefundDeposit = [])
    @customerRefundDeposit = customerRefundDeposit
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CustomerDepositApply
#   doc - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   apply - SOAP::SOAPBoolean
#   applyDate - SOAP::SOAPDateTime
#   type - SOAP::SOAPString
#   refNum - SOAP::SOAPString
#   total - SOAP::SOAPDouble
#   amount - SOAP::SOAPDouble
#   job - SOAP::SOAPString
class CustomerDepositApply
  attr_accessor :doc
  attr_accessor :line
  attr_accessor :apply
  attr_accessor :applyDate
  attr_accessor :type
  attr_accessor :refNum
  attr_accessor :total
  attr_accessor :amount
  attr_accessor :job

  def initialize(doc = nil, line = nil, apply = nil, applyDate = nil, type = nil, refNum = nil, total = nil, amount = nil, job = nil)
    @doc = doc
    @line = line
    @apply = apply
    @applyDate = applyDate
    @type = type
    @refNum = refNum
    @total = total
    @amount = amount
    @job = job
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}CustomerDepositApplyList
#   customerDepositApply - ActiveNetsuite::CustomerDepositApply
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomerDepositApplyList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :customerDepositApply

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(customerDepositApply = [])
    @customerDepositApply = customerDepositApply
    @__xmlattr = {}
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}DepositApplicationApply
#   doc - SOAP::SOAPLong
#   line - SOAP::SOAPLong
#   apply - SOAP::SOAPBoolean
#   applyDate - SOAP::SOAPDateTime
#   job - SOAP::SOAPString
#   type - SOAP::SOAPString
#   refNum - SOAP::SOAPString
#   total - SOAP::SOAPDouble
#   due - SOAP::SOAPDouble
#   currency - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
class DepositApplicationApply
  attr_accessor :doc
  attr_accessor :line
  attr_accessor :apply
  attr_accessor :applyDate
  attr_accessor :job
  attr_accessor :type
  attr_accessor :refNum
  attr_accessor :total
  attr_accessor :due
  attr_accessor :currency
  attr_accessor :amount

  def initialize(doc = nil, line = nil, apply = nil, applyDate = nil, job = nil, type = nil, refNum = nil, total = nil, due = nil, currency = nil, amount = nil)
    @doc = doc
    @line = line
    @apply = apply
    @applyDate = applyDate
    @job = job
    @type = type
    @refNum = refNum
    @total = total
    @due = due
    @currency = currency
    @amount = amount
  end
end

# {urn:customers_2013_2.transactions.webservices.netsuite.com}DepositApplicationApplyList
#   apply - ActiveNetsuite::DepositApplicationApply
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class DepositApplicationApplyList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :apply

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(apply = [])
    @apply = apply
    @__xmlattr = {}
  end
end

# {urn:bank_2013_2.transactions.webservices.netsuite.com}CheckLandedCostList
#   landedCost - ActiveNetsuite::LandedCostSummary
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CheckLandedCostList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :landedCost

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(landedCost = [])
    @landedCost = landedCost
    @__xmlattr = {}
  end
end

# {urn:bank_2013_2.transactions.webservices.netsuite.com}CheckExpense
#   line - SOAP::SOAPLong
#   category - ActiveNetsuite::RecordRef
#   account - ActiveNetsuite::RecordRef
#   amount - SOAP::SOAPDouble
#   memo - SOAP::SOAPString
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   customer - ActiveNetsuite::RecordRef
#   isBillable - SOAP::SOAPBoolean
#   taxCode - ActiveNetsuite::RecordRef
#   taxRate1 - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
#   grossAmt - SOAP::SOAPDouble
#   customFieldList - ActiveNetsuite::CustomFieldList
class CheckExpense
  attr_accessor :line
  attr_accessor :category
  attr_accessor :account
  attr_accessor :amount
  attr_accessor :memo
  attr_accessor :department
  attr_accessor :location
  attr_accessor :customer
  attr_accessor :isBillable
  attr_accessor :taxCode
  attr_accessor :taxRate1
  attr_accessor :tax1Amt
  attr_accessor :taxRate2
  attr_accessor :grossAmt
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(line = nil, category = nil, account = nil, amount = nil, memo = nil, department = nil, v_class = nil, location = nil, customer = nil, isBillable = nil, taxCode = nil, taxRate1 = nil, tax1Amt = nil, taxRate2 = nil, grossAmt = nil, customFieldList = nil)
    @line = line
    @category = category
    @account = account
    @amount = amount
    @memo = memo
    @department = department
    @v_class = v_class
    @location = location
    @customer = customer
    @isBillable = isBillable
    @taxCode = taxCode
    @taxRate1 = taxRate1
    @tax1Amt = tax1Amt
    @taxRate2 = taxRate2
    @grossAmt = grossAmt
    @customFieldList = customFieldList
  end
end

# {urn:bank_2013_2.transactions.webservices.netsuite.com}CheckExpenseList
#   expense - ActiveNetsuite::CheckExpense
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CheckExpenseList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :expense

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(expense = [])
    @expense = expense
    @__xmlattr = {}
  end
end

# {urn:bank_2013_2.transactions.webservices.netsuite.com}CheckItem
#   item - ActiveNetsuite::RecordRef
#   vendorName - SOAP::SOAPString
#   line - SOAP::SOAPLong
#   quantity - SOAP::SOAPDouble
#   units - ActiveNetsuite::RecordRef
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   description - SOAP::SOAPString
#   binNumbers - SOAP::SOAPString
#   serialNumbers - SOAP::SOAPString
#   expirationDate - SOAP::SOAPDateTime
#   rate - SOAP::SOAPString
#   taxCode - ActiveNetsuite::RecordRef
#   amount - SOAP::SOAPDouble
#   options - ActiveNetsuite::CustomFieldList
#   taxRate1 - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
#   department - ActiveNetsuite::RecordRef
#   grossAmt - SOAP::SOAPDouble
#   m_class - ActiveNetsuite::RecordRef
#   tax1Amt - SOAP::SOAPDouble
#   location - ActiveNetsuite::RecordRef
#   customer - ActiveNetsuite::RecordRef
#   isBillable - SOAP::SOAPBoolean
#   landedCost - ActiveNetsuite::LandedCost
#   customFieldList - ActiveNetsuite::CustomFieldList
class CheckItem
  attr_accessor :item
  attr_accessor :vendorName
  attr_accessor :line
  attr_accessor :quantity
  attr_accessor :units
  attr_accessor :inventoryDetail
  attr_accessor :description
  attr_accessor :binNumbers
  attr_accessor :serialNumbers
  attr_accessor :expirationDate
  attr_accessor :rate
  attr_accessor :taxCode
  attr_accessor :amount
  attr_accessor :options
  attr_accessor :taxRate1
  attr_accessor :taxRate2
  attr_accessor :department
  attr_accessor :grossAmt
  attr_accessor :tax1Amt
  attr_accessor :location
  attr_accessor :customer
  attr_accessor :isBillable
  attr_accessor :landedCost
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(item = nil, vendorName = nil, line = nil, quantity = nil, units = nil, inventoryDetail = nil, description = nil, binNumbers = nil, serialNumbers = nil, expirationDate = nil, rate = nil, taxCode = nil, amount = nil, options = nil, taxRate1 = nil, taxRate2 = nil, department = nil, grossAmt = nil, v_class = nil, tax1Amt = nil, location = nil, customer = nil, isBillable = nil, landedCost = nil, customFieldList = nil)
    @item = item
    @vendorName = vendorName
    @line = line
    @quantity = quantity
    @units = units
    @inventoryDetail = inventoryDetail
    @description = description
    @binNumbers = binNumbers
    @serialNumbers = serialNumbers
    @expirationDate = expirationDate
    @rate = rate
    @taxCode = taxCode
    @amount = amount
    @options = options
    @taxRate1 = taxRate1
    @taxRate2 = taxRate2
    @department = department
    @grossAmt = grossAmt
    @v_class = v_class
    @tax1Amt = tax1Amt
    @location = location
    @customer = customer
    @isBillable = isBillable
    @landedCost = landedCost
    @customFieldList = customFieldList
  end
end

# {urn:bank_2013_2.transactions.webservices.netsuite.com}CheckItemList
#   item - ActiveNetsuite::CheckItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CheckItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :item

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(item = [])
    @item = item
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}InventoryAdjustmentInventory
#   item - ActiveNetsuite::RecordRef
#   line - SOAP::SOAPLong
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   description - SOAP::SOAPString
#   location - ActiveNetsuite::RecordRef
#   units - ActiveNetsuite::RecordRef
#   quantityOnHand - SOAP::SOAPDouble
#   currentValue - SOAP::SOAPDouble
#   adjustQtyBy - SOAP::SOAPDouble
#   binNumbers - SOAP::SOAPString
#   serialNumbers - SOAP::SOAPString
#   newQuantity - SOAP::SOAPDouble
#   unitCost - SOAP::SOAPDouble
#   foreignCurrencyUnitCost - SOAP::SOAPDouble
#   memo - SOAP::SOAPString
#   currency - SOAP::SOAPString
#   expirationDate - SOAP::SOAPDateTime
#   exchangeRate - SOAP::SOAPDouble
class InventoryAdjustmentInventory
  attr_accessor :item
  attr_accessor :line
  attr_accessor :inventoryDetail
  attr_accessor :description
  attr_accessor :location
  attr_accessor :units
  attr_accessor :quantityOnHand
  attr_accessor :currentValue
  attr_accessor :adjustQtyBy
  attr_accessor :binNumbers
  attr_accessor :serialNumbers
  attr_accessor :newQuantity
  attr_accessor :unitCost
  attr_accessor :foreignCurrencyUnitCost
  attr_accessor :memo
  attr_accessor :currency
  attr_accessor :expirationDate
  attr_accessor :exchangeRate

  def initialize(item = nil, line = nil, inventoryDetail = nil, description = nil, location = nil, units = nil, quantityOnHand = nil, currentValue = nil, adjustQtyBy = nil, binNumbers = nil, serialNumbers = nil, newQuantity = nil, unitCost = nil, foreignCurrencyUnitCost = nil, memo = nil, currency = nil, expirationDate = nil, exchangeRate = nil)
    @item = item
    @line = line
    @inventoryDetail = inventoryDetail
    @description = description
    @location = location
    @units = units
    @quantityOnHand = quantityOnHand
    @currentValue = currentValue
    @adjustQtyBy = adjustQtyBy
    @binNumbers = binNumbers
    @serialNumbers = serialNumbers
    @newQuantity = newQuantity
    @unitCost = unitCost
    @foreignCurrencyUnitCost = foreignCurrencyUnitCost
    @memo = memo
    @currency = currency
    @expirationDate = expirationDate
    @exchangeRate = exchangeRate
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}InventoryAdjustmentInventoryList
#   inventory - ActiveNetsuite::InventoryAdjustmentInventory
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class InventoryAdjustmentInventoryList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :inventory

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(inventory = [])
    @inventory = inventory
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}AssemblyComponent
#   item - ActiveNetsuite::RecordRef
#   quantity - SOAP::SOAPDouble
#   quantityOnHand - SOAP::SOAPDouble
#   componentInventoryDetail - ActiveNetsuite::InventoryDetail
#   componentNumbers - SOAP::SOAPString
#   binNumbers - SOAP::SOAPString
class AssemblyComponent
  attr_accessor :item
  attr_accessor :quantity
  attr_accessor :quantityOnHand
  attr_accessor :componentInventoryDetail
  attr_accessor :componentNumbers
  attr_accessor :binNumbers

  def initialize(item = nil, quantity = nil, quantityOnHand = nil, componentInventoryDetail = nil, componentNumbers = nil, binNumbers = nil)
    @item = item
    @quantity = quantity
    @quantityOnHand = quantityOnHand
    @componentInventoryDetail = componentInventoryDetail
    @componentNumbers = componentNumbers
    @binNumbers = binNumbers
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}AssemblyComponentList
#   component - ActiveNetsuite::AssemblyComponent
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class AssemblyComponentList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :component

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(component = [])
    @component = component
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}TransferOrderItem
#   item - ActiveNetsuite::RecordRef
#   line - SOAP::SOAPLong
#   quantityAvailable - SOAP::SOAPDouble
#   quantityOnHand - SOAP::SOAPDouble
#   quantityBackOrdered - SOAP::SOAPDouble
#   quantityCommitted - SOAP::SOAPDouble
#   quantityFulfilled - SOAP::SOAPDouble
#   quantityPacked - SOAP::SOAPDouble
#   quantityPicked - SOAP::SOAPDouble
#   quantityReceived - SOAP::SOAPDouble
#   quantity - SOAP::SOAPDouble
#   rate - SOAP::SOAPDouble
#   units - ActiveNetsuite::RecordRef
#   amount - SOAP::SOAPDouble
#   description - SOAP::SOAPString
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   serialNumbers - SOAP::SOAPString
#   commitInventory - ActiveNetsuite::TransferOrderItemCommitInventory
#   orderPriority - SOAP::SOAPDouble
#   options - ActiveNetsuite::CustomFieldList
#   isClosed - SOAP::SOAPBoolean
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   lastPurchasePrice - SOAP::SOAPDouble
#   averageCost - SOAP::SOAPDouble
#   expectedShipDate - SOAP::SOAPDateTime
#   expectedReceiptDate - SOAP::SOAPDateTime
#   customFieldList - ActiveNetsuite::CustomFieldList
class TransferOrderItem
  attr_accessor :item
  attr_accessor :line
  attr_accessor :quantityAvailable
  attr_accessor :quantityOnHand
  attr_accessor :quantityBackOrdered
  attr_accessor :quantityCommitted
  attr_accessor :quantityFulfilled
  attr_accessor :quantityPacked
  attr_accessor :quantityPicked
  attr_accessor :quantityReceived
  attr_accessor :quantity
  attr_accessor :rate
  attr_accessor :units
  attr_accessor :amount
  attr_accessor :description
  attr_accessor :inventoryDetail
  attr_accessor :serialNumbers
  attr_accessor :commitInventory
  attr_accessor :orderPriority
  attr_accessor :options
  attr_accessor :isClosed
  attr_accessor :department
  attr_accessor :lastPurchasePrice
  attr_accessor :averageCost
  attr_accessor :expectedShipDate
  attr_accessor :expectedReceiptDate
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(item = nil, line = nil, quantityAvailable = nil, quantityOnHand = nil, quantityBackOrdered = nil, quantityCommitted = nil, quantityFulfilled = nil, quantityPacked = nil, quantityPicked = nil, quantityReceived = nil, quantity = nil, rate = nil, units = nil, amount = nil, description = nil, inventoryDetail = nil, serialNumbers = nil, commitInventory = nil, orderPriority = nil, options = nil, isClosed = nil, department = nil, v_class = nil, lastPurchasePrice = nil, averageCost = nil, expectedShipDate = nil, expectedReceiptDate = nil, customFieldList = nil)
    @item = item
    @line = line
    @quantityAvailable = quantityAvailable
    @quantityOnHand = quantityOnHand
    @quantityBackOrdered = quantityBackOrdered
    @quantityCommitted = quantityCommitted
    @quantityFulfilled = quantityFulfilled
    @quantityPacked = quantityPacked
    @quantityPicked = quantityPicked
    @quantityReceived = quantityReceived
    @quantity = quantity
    @rate = rate
    @units = units
    @amount = amount
    @description = description
    @inventoryDetail = inventoryDetail
    @serialNumbers = serialNumbers
    @commitInventory = commitInventory
    @orderPriority = orderPriority
    @options = options
    @isClosed = isClosed
    @department = department
    @v_class = v_class
    @lastPurchasePrice = lastPurchasePrice
    @averageCost = averageCost
    @expectedShipDate = expectedShipDate
    @expectedReceiptDate = expectedReceiptDate
    @customFieldList = customFieldList
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}TransferOrderItemList
#   item - ActiveNetsuite::TransferOrderItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class TransferOrderItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :item

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(item = [])
    @item = item
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}InterCompanyTransferOrderItem
#   item - ActiveNetsuite::RecordRef
#   line - SOAP::SOAPLong
#   quantityAvailable - SOAP::SOAPDouble
#   quantityOnHand - SOAP::SOAPDouble
#   quantityBackOrdered - SOAP::SOAPDouble
#   quantityCommitted - SOAP::SOAPDouble
#   quantityFulfilled - SOAP::SOAPDouble
#   quantityReceived - SOAP::SOAPDouble
#   quantity - SOAP::SOAPDouble
#   rate - SOAP::SOAPDouble
#   units - ActiveNetsuite::RecordRef
#   amount - SOAP::SOAPDouble
#   description - SOAP::SOAPString
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   commitInventory - ActiveNetsuite::TransferOrderItemCommitInventory
#   options - ActiveNetsuite::CustomFieldList
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   lastPurchasePrice - SOAP::SOAPDouble
#   averageCost - SOAP::SOAPDouble
#   customFieldList - ActiveNetsuite::CustomFieldList
class InterCompanyTransferOrderItem
  attr_accessor :item
  attr_accessor :line
  attr_accessor :quantityAvailable
  attr_accessor :quantityOnHand
  attr_accessor :quantityBackOrdered
  attr_accessor :quantityCommitted
  attr_accessor :quantityFulfilled
  attr_accessor :quantityReceived
  attr_accessor :quantity
  attr_accessor :rate
  attr_accessor :units
  attr_accessor :amount
  attr_accessor :description
  attr_accessor :inventoryDetail
  attr_accessor :commitInventory
  attr_accessor :options
  attr_accessor :department
  attr_accessor :lastPurchasePrice
  attr_accessor :averageCost
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(item = nil, line = nil, quantityAvailable = nil, quantityOnHand = nil, quantityBackOrdered = nil, quantityCommitted = nil, quantityFulfilled = nil, quantityReceived = nil, quantity = nil, rate = nil, units = nil, amount = nil, description = nil, inventoryDetail = nil, commitInventory = nil, options = nil, department = nil, v_class = nil, lastPurchasePrice = nil, averageCost = nil, customFieldList = nil)
    @item = item
    @line = line
    @quantityAvailable = quantityAvailable
    @quantityOnHand = quantityOnHand
    @quantityBackOrdered = quantityBackOrdered
    @quantityCommitted = quantityCommitted
    @quantityFulfilled = quantityFulfilled
    @quantityReceived = quantityReceived
    @quantity = quantity
    @rate = rate
    @units = units
    @amount = amount
    @description = description
    @inventoryDetail = inventoryDetail
    @commitInventory = commitInventory
    @options = options
    @department = department
    @v_class = v_class
    @lastPurchasePrice = lastPurchasePrice
    @averageCost = averageCost
    @customFieldList = customFieldList
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}InterCompanyTransferOrderItemList
#   item - ActiveNetsuite::InterCompanyTransferOrderItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class InterCompanyTransferOrderItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :item

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(item = [])
    @item = item
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}WorkOrderItem
#   line - SOAP::SOAPLong
#   item - ActiveNetsuite::RecordRef
#   componentYield - SOAP::SOAPDouble
#   bomQuantity - SOAP::SOAPDouble
#   quantityCommitted - SOAP::SOAPDouble
#   quantityBackOrdered - SOAP::SOAPDouble
#   quantityAvailable - SOAP::SOAPDouble
#   averageCost - SOAP::SOAPDouble
#   lastPurchasePrice - SOAP::SOAPDouble
#   quantityOnHand - SOAP::SOAPDouble
#   quantity - SOAP::SOAPDouble
#   units - ActiveNetsuite::RecordRef
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   serialNumbers - SOAP::SOAPString
#   orderPriority - SOAP::SOAPDouble
#   options - ActiveNetsuite::CustomFieldList
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   poVendor - ActiveNetsuite::RecordRef
#   poRate - SOAP::SOAPDouble
#   percentComplete - SOAP::SOAPDouble
#   contribution - SOAP::SOAPDouble
#   description - SOAP::SOAPString
#   commit - ActiveNetsuite::WorkOrderItemItemCommitInventory
#   createPo - ActiveNetsuite::WorkOrderItemItemCreatePo
#   createWo - SOAP::SOAPBoolean
#   customFieldList - ActiveNetsuite::CustomFieldList
class WorkOrderItem
  attr_accessor :line
  attr_accessor :item
  attr_accessor :componentYield
  attr_accessor :bomQuantity
  attr_accessor :quantityCommitted
  attr_accessor :quantityBackOrdered
  attr_accessor :quantityAvailable
  attr_accessor :averageCost
  attr_accessor :lastPurchasePrice
  attr_accessor :quantityOnHand
  attr_accessor :quantity
  attr_accessor :units
  attr_accessor :inventoryDetail
  attr_accessor :serialNumbers
  attr_accessor :orderPriority
  attr_accessor :options
  attr_accessor :department
  attr_accessor :location
  attr_accessor :poVendor
  attr_accessor :poRate
  attr_accessor :percentComplete
  attr_accessor :contribution
  attr_accessor :description
  attr_accessor :commit
  attr_accessor :createPo
  attr_accessor :createWo
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(line = nil, item = nil, componentYield = nil, bomQuantity = nil, quantityCommitted = nil, quantityBackOrdered = nil, quantityAvailable = nil, averageCost = nil, lastPurchasePrice = nil, quantityOnHand = nil, quantity = nil, units = nil, inventoryDetail = nil, serialNumbers = nil, orderPriority = nil, options = nil, department = nil, v_class = nil, location = nil, poVendor = nil, poRate = nil, percentComplete = nil, contribution = nil, description = nil, commit = nil, createPo = nil, createWo = nil, customFieldList = nil)
    @line = line
    @item = item
    @componentYield = componentYield
    @bomQuantity = bomQuantity
    @quantityCommitted = quantityCommitted
    @quantityBackOrdered = quantityBackOrdered
    @quantityAvailable = quantityAvailable
    @averageCost = averageCost
    @lastPurchasePrice = lastPurchasePrice
    @quantityOnHand = quantityOnHand
    @quantity = quantity
    @units = units
    @inventoryDetail = inventoryDetail
    @serialNumbers = serialNumbers
    @orderPriority = orderPriority
    @options = options
    @department = department
    @v_class = v_class
    @location = location
    @poVendor = poVendor
    @poRate = poRate
    @percentComplete = percentComplete
    @contribution = contribution
    @description = description
    @commit = commit
    @createPo = createPo
    @createWo = createWo
    @customFieldList = customFieldList
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}WorkOrderItemList
#   item - ActiveNetsuite::WorkOrderItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class WorkOrderItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :item

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(item = [])
    @item = item
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}SalesTeamList
#   salesTeam - ActiveNetsuite::CustomerSalesTeam
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class SalesTeamList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :salesTeam

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(salesTeam = [])
    @salesTeam = salesTeam
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}PartnersList
#   partners - ActiveNetsuite::Partners
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class PartnersList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :partners

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(partners = [])
    @partners = partners
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}InventoryTransferInventory
#   line - SOAP::SOAPLong
#   item - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   units - ActiveNetsuite::RecordRef
#   quantityOnHand - SOAP::SOAPDouble
#   adjustQtyBy - SOAP::SOAPDouble
#   serialNumbers - SOAP::SOAPString
#   fromBinNumbers - SOAP::SOAPString
#   toBinNumbers - SOAP::SOAPString
#   inventoryDetail - ActiveNetsuite::InventoryDetail
class InventoryTransferInventory
  attr_accessor :line
  attr_accessor :item
  attr_accessor :description
  attr_accessor :units
  attr_accessor :quantityOnHand
  attr_accessor :adjustQtyBy
  attr_accessor :serialNumbers
  attr_accessor :fromBinNumbers
  attr_accessor :toBinNumbers
  attr_accessor :inventoryDetail

  def initialize(line = nil, item = nil, description = nil, units = nil, quantityOnHand = nil, adjustQtyBy = nil, serialNumbers = nil, fromBinNumbers = nil, toBinNumbers = nil, inventoryDetail = nil)
    @line = line
    @item = item
    @description = description
    @units = units
    @quantityOnHand = quantityOnHand
    @adjustQtyBy = adjustQtyBy
    @serialNumbers = serialNumbers
    @fromBinNumbers = fromBinNumbers
    @toBinNumbers = toBinNumbers
    @inventoryDetail = inventoryDetail
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}InventoryTransferInventoryList
#   inventory - ActiveNetsuite::InventoryTransferInventory
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class InventoryTransferInventoryList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :inventory

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(inventory = [])
    @inventory = inventory
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}BinTransferInventory
#   line - SOAP::SOAPLong
#   item - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   preferredBin - SOAP::SOAPString
#   quantity - SOAP::SOAPDouble
#   itemUnitsLabel - SOAP::SOAPString
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   fromBins - SOAP::SOAPString
#   toBins - SOAP::SOAPString
class BinTransferInventory
  attr_accessor :line
  attr_accessor :item
  attr_accessor :description
  attr_accessor :preferredBin
  attr_accessor :quantity
  attr_accessor :itemUnitsLabel
  attr_accessor :inventoryDetail
  attr_accessor :fromBins
  attr_accessor :toBins

  def initialize(line = nil, item = nil, description = nil, preferredBin = nil, quantity = nil, itemUnitsLabel = nil, inventoryDetail = nil, fromBins = nil, toBins = nil)
    @line = line
    @item = item
    @description = description
    @preferredBin = preferredBin
    @quantity = quantity
    @itemUnitsLabel = itemUnitsLabel
    @inventoryDetail = inventoryDetail
    @fromBins = fromBins
    @toBins = toBins
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}BinTransferInventoryList
#   inventory - ActiveNetsuite::BinTransferInventory
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class BinTransferInventoryList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :inventory

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(inventory = [])
    @inventory = inventory
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}BinWorksheetItem
#   item - ActiveNetsuite::RecordRef
#   itemName - SOAP::SOAPString
#   description - SOAP::SOAPString
#   quantity - SOAP::SOAPDouble
#   itemOnHand - SOAP::SOAPString
#   itemUnitsLabel - SOAP::SOAPString
#   inventoryDetail - ActiveNetsuite::InventoryDetail
#   itemBins - SOAP::SOAPString
#   itemBinNumbers - SOAP::SOAPString
#   itemBinList - SOAP::SOAPString
#   itemPreferBin - SOAP::SOAPString
#   itemBlank - SOAP::SOAPString
class BinWorksheetItem
  attr_accessor :item
  attr_accessor :itemName
  attr_accessor :description
  attr_accessor :quantity
  attr_accessor :itemOnHand
  attr_accessor :itemUnitsLabel
  attr_accessor :inventoryDetail
  attr_accessor :itemBins
  attr_accessor :itemBinNumbers
  attr_accessor :itemBinList
  attr_accessor :itemPreferBin
  attr_accessor :itemBlank

  def initialize(item = nil, itemName = nil, description = nil, quantity = nil, itemOnHand = nil, itemUnitsLabel = nil, inventoryDetail = nil, itemBins = nil, itemBinNumbers = nil, itemBinList = nil, itemPreferBin = nil, itemBlank = nil)
    @item = item
    @itemName = itemName
    @description = description
    @quantity = quantity
    @itemOnHand = itemOnHand
    @itemUnitsLabel = itemUnitsLabel
    @inventoryDetail = inventoryDetail
    @itemBins = itemBins
    @itemBinNumbers = itemBinNumbers
    @itemBinList = itemBinList
    @itemPreferBin = itemPreferBin
    @itemBlank = itemBlank
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}BinWorksheetItemList
#   item - ActiveNetsuite::BinWorksheetItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class BinWorksheetItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :item

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(item = [])
    @item = item
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}WorkOrderIssueComponent
#   item - ActiveNetsuite::RecordRef
#   quantity - SOAP::SOAPDouble
#   componentInventoryDetail - ActiveNetsuite::InventoryDetail
#   lineNumber - SOAP::SOAPLong
class WorkOrderIssueComponent
  attr_accessor :item
  attr_accessor :quantity
  attr_accessor :componentInventoryDetail
  attr_accessor :lineNumber

  def initialize(item = nil, quantity = nil, componentInventoryDetail = nil, lineNumber = nil)
    @item = item
    @quantity = quantity
    @componentInventoryDetail = componentInventoryDetail
    @lineNumber = lineNumber
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}WorkOrderIssueComponentList
#   workOrderIssueComponent - ActiveNetsuite::WorkOrderIssueComponent
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class WorkOrderIssueComponentList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :workOrderIssueComponent

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(workOrderIssueComponent = [])
    @workOrderIssueComponent = workOrderIssueComponent
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}WorkOrderCompletionComponent
#   item - ActiveNetsuite::RecordRef
#   quantityPer - SOAP::SOAPDouble
#   quantity - SOAP::SOAPDouble
#   componentInventoryDetail - ActiveNetsuite::InventoryDetail
#   lineNumber - SOAP::SOAPLong
class WorkOrderCompletionComponent
  attr_accessor :item
  attr_accessor :quantityPer
  attr_accessor :quantity
  attr_accessor :componentInventoryDetail
  attr_accessor :lineNumber

  def initialize(item = nil, quantityPer = nil, quantity = nil, componentInventoryDetail = nil, lineNumber = nil)
    @item = item
    @quantityPer = quantityPer
    @quantity = quantity
    @componentInventoryDetail = componentInventoryDetail
    @lineNumber = lineNumber
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}WorkOrderCompletionComponentList
#   workOrderCompletionComponent - ActiveNetsuite::WorkOrderCompletionComponent
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class WorkOrderCompletionComponentList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :workOrderCompletionComponent

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(workOrderCompletionComponent = [])
    @workOrderCompletionComponent = workOrderCompletionComponent
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}WorkOrderCompletionOperation
#   operationSequence - SOAP::SOAPLong
#   operationName - SOAP::SOAPString
#   workCenter - SOAP::SOAPString
#   machineResources - SOAP::SOAPLong
#   laborResources - SOAP::SOAPLong
#   inputQuantity - SOAP::SOAPDouble
#   quantityRemaining - SOAP::SOAPDouble
#   predecessorCompletedQuantity - SOAP::SOAPDouble
#   completedQuantity - SOAP::SOAPDouble
#   recordSetup - SOAP::SOAPBoolean
#   machineSetupTime - SOAP::SOAPDouble
#   laborSetupTime - SOAP::SOAPDouble
#   machineRunTime - SOAP::SOAPDouble
#   laborRunTime - SOAP::SOAPDouble
class WorkOrderCompletionOperation
  attr_accessor :operationSequence
  attr_accessor :operationName
  attr_accessor :workCenter
  attr_accessor :machineResources
  attr_accessor :laborResources
  attr_accessor :inputQuantity
  attr_accessor :quantityRemaining
  attr_accessor :predecessorCompletedQuantity
  attr_accessor :completedQuantity
  attr_accessor :recordSetup
  attr_accessor :machineSetupTime
  attr_accessor :laborSetupTime
  attr_accessor :machineRunTime
  attr_accessor :laborRunTime

  def initialize(operationSequence = nil, operationName = nil, workCenter = nil, machineResources = nil, laborResources = nil, inputQuantity = nil, quantityRemaining = nil, predecessorCompletedQuantity = nil, completedQuantity = nil, recordSetup = nil, machineSetupTime = nil, laborSetupTime = nil, machineRunTime = nil, laborRunTime = nil)
    @operationSequence = operationSequence
    @operationName = operationName
    @workCenter = workCenter
    @machineResources = machineResources
    @laborResources = laborResources
    @inputQuantity = inputQuantity
    @quantityRemaining = quantityRemaining
    @predecessorCompletedQuantity = predecessorCompletedQuantity
    @completedQuantity = completedQuantity
    @recordSetup = recordSetup
    @machineSetupTime = machineSetupTime
    @laborSetupTime = laborSetupTime
    @machineRunTime = machineRunTime
    @laborRunTime = laborRunTime
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}WorkOrderCompletionOperationList
#   workOrderCompletionOperation - ActiveNetsuite::WorkOrderCompletionOperation
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class WorkOrderCompletionOperationList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :workOrderCompletionOperation

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(workOrderCompletionOperation = [])
    @workOrderCompletionOperation = workOrderCompletionOperation
    @__xmlattr = {}
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}InventoryCostRevaluationCostComponent
#   cost - SOAP::SOAPDouble
#   componentItem - ActiveNetsuite::RecordRef
#   quantity - SOAP::SOAPDouble
#   units - ActiveNetsuite::RecordRef
#   costCategory - ActiveNetsuite::RecordRef
class InventoryCostRevaluationCostComponent
  attr_accessor :cost
  attr_accessor :componentItem
  attr_accessor :quantity
  attr_accessor :units
  attr_accessor :costCategory

  def initialize(cost = nil, componentItem = nil, quantity = nil, units = nil, costCategory = nil)
    @cost = cost
    @componentItem = componentItem
    @quantity = quantity
    @units = units
    @costCategory = costCategory
  end
end

# {urn:inventory_2013_2.transactions.webservices.netsuite.com}InventoryCostRevaluationCostComponentList
#   costComponent - ActiveNetsuite::InventoryCostRevaluationCostComponent
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class InventoryCostRevaluationCostComponentList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :costComponent

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(costComponent = [])
    @costComponent = costComponent
    @__xmlattr = {}
  end
end

# {urn:general_2013_2.transactions.webservices.netsuite.com}JournalEntryLine
#   account - ActiveNetsuite::RecordRef
#   debit - SOAP::SOAPDouble
#   credit - SOAP::SOAPDouble
#   taxCode - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   taxRate1 - SOAP::SOAPDouble
#   entity - ActiveNetsuite::RecordRef
#   grossAmt - SOAP::SOAPDouble
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   eliminate - SOAP::SOAPBoolean
#   schedule - ActiveNetsuite::RecordRef
#   startDate - SOAP::SOAPDateTime
#   endDate - SOAP::SOAPDateTime
#   residual - SOAP::SOAPString
#   scheduleNum - ActiveNetsuite::RecordRef
#   tax1Amt - SOAP::SOAPDouble
#   tax1Acct - ActiveNetsuite::RecordRef
#   customFieldList - ActiveNetsuite::CustomFieldList
class JournalEntryLine
  attr_accessor :account
  attr_accessor :debit
  attr_accessor :credit
  attr_accessor :taxCode
  attr_accessor :memo
  attr_accessor :taxRate1
  attr_accessor :entity
  attr_accessor :grossAmt
  attr_accessor :department
  attr_accessor :location
  attr_accessor :eliminate
  attr_accessor :schedule
  attr_accessor :startDate
  attr_accessor :endDate
  attr_accessor :residual
  attr_accessor :scheduleNum
  attr_accessor :tax1Amt
  attr_accessor :tax1Acct
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(account = nil, debit = nil, credit = nil, taxCode = nil, memo = nil, taxRate1 = nil, entity = nil, grossAmt = nil, department = nil, v_class = nil, location = nil, eliminate = nil, schedule = nil, startDate = nil, endDate = nil, residual = nil, scheduleNum = nil, tax1Amt = nil, tax1Acct = nil, customFieldList = nil)
    @account = account
    @debit = debit
    @credit = credit
    @taxCode = taxCode
    @memo = memo
    @taxRate1 = taxRate1
    @entity = entity
    @grossAmt = grossAmt
    @department = department
    @v_class = v_class
    @location = location
    @eliminate = eliminate
    @schedule = schedule
    @startDate = startDate
    @endDate = endDate
    @residual = residual
    @scheduleNum = scheduleNum
    @tax1Amt = tax1Amt
    @tax1Acct = tax1Acct
    @customFieldList = customFieldList
  end
end

# {urn:general_2013_2.transactions.webservices.netsuite.com}JournalEntryLineList
#   line - ActiveNetsuite::JournalEntryLine
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class JournalEntryLineList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :line

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(line = [])
    @line = line
    @__xmlattr = {}
  end
end

# {urn:general_2013_2.transactions.webservices.netsuite.com}InterCompanyJournalEntryLine
#   lineSubsidiary - ActiveNetsuite::RecordRef
#   account - ActiveNetsuite::RecordRef
#   debit - SOAP::SOAPDouble
#   credit - SOAP::SOAPDouble
#   taxCode - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   taxRate1 - SOAP::SOAPDouble
#   entity - ActiveNetsuite::RecordRef
#   grossAmt - SOAP::SOAPDouble
#   schedule - ActiveNetsuite::RecordRef
#   department - ActiveNetsuite::RecordRef
#   startDate - SOAP::SOAPDateTime
#   m_class - ActiveNetsuite::RecordRef
#   endDate - SOAP::SOAPDateTime
#   location - ActiveNetsuite::RecordRef
#   eliminate - SOAP::SOAPBoolean
#   residual - SOAP::SOAPString
#   amortizationSched - ActiveNetsuite::RecordRef
#   scheduleNum - ActiveNetsuite::RecordRef
#   amortizStartDate - SOAP::SOAPDateTime
#   amortizationEndDate - SOAP::SOAPDateTime
#   amortizationResidual - SOAP::SOAPString
#   tax1Amt - SOAP::SOAPDouble
#   tax1Acct - ActiveNetsuite::RecordRef
#   customFieldList - ActiveNetsuite::CustomFieldList
class InterCompanyJournalEntryLine
  attr_accessor :lineSubsidiary
  attr_accessor :account
  attr_accessor :debit
  attr_accessor :credit
  attr_accessor :taxCode
  attr_accessor :memo
  attr_accessor :taxRate1
  attr_accessor :entity
  attr_accessor :grossAmt
  attr_accessor :schedule
  attr_accessor :department
  attr_accessor :startDate
  attr_accessor :endDate
  attr_accessor :location
  attr_accessor :eliminate
  attr_accessor :residual
  attr_accessor :amortizationSched
  attr_accessor :scheduleNum
  attr_accessor :amortizStartDate
  attr_accessor :amortizationEndDate
  attr_accessor :amortizationResidual
  attr_accessor :tax1Amt
  attr_accessor :tax1Acct
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(lineSubsidiary = nil, account = nil, debit = nil, credit = nil, taxCode = nil, memo = nil, taxRate1 = nil, entity = nil, grossAmt = nil, schedule = nil, department = nil, startDate = nil, v_class = nil, endDate = nil, location = nil, eliminate = nil, residual = nil, amortizationSched = nil, scheduleNum = nil, amortizStartDate = nil, amortizationEndDate = nil, amortizationResidual = nil, tax1Amt = nil, tax1Acct = nil, customFieldList = nil)
    @lineSubsidiary = lineSubsidiary
    @account = account
    @debit = debit
    @credit = credit
    @taxCode = taxCode
    @memo = memo
    @taxRate1 = taxRate1
    @entity = entity
    @grossAmt = grossAmt
    @schedule = schedule
    @department = department
    @startDate = startDate
    @v_class = v_class
    @endDate = endDate
    @location = location
    @eliminate = eliminate
    @residual = residual
    @amortizationSched = amortizationSched
    @scheduleNum = scheduleNum
    @amortizStartDate = amortizStartDate
    @amortizationEndDate = amortizationEndDate
    @amortizationResidual = amortizationResidual
    @tax1Amt = tax1Amt
    @tax1Acct = tax1Acct
    @customFieldList = customFieldList
  end
end

# {urn:general_2013_2.transactions.webservices.netsuite.com}InterCompanyJournalEntryLineList
#   line - ActiveNetsuite::InterCompanyJournalEntryLine
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class InterCompanyJournalEntryLineList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :line

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(line = [])
    @line = line
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomListCustomValue
#   value - SOAP::SOAPString
#   abbreviation - SOAP::SOAPString
#   isInactive - SOAP::SOAPBoolean
#   valueId - SOAP::SOAPLong
#   valueLanguageValueList - ActiveNetsuite::LanguageValueList
class CustomListCustomValue
  attr_accessor :value
  attr_accessor :abbreviation
  attr_accessor :isInactive
  attr_accessor :valueId
  attr_accessor :valueLanguageValueList

  def initialize(value = nil, abbreviation = nil, isInactive = nil, valueId = nil, valueLanguageValueList = nil)
    @value = value
    @abbreviation = abbreviation
    @isInactive = isInactive
    @valueId = valueId
    @valueLanguageValueList = valueLanguageValueList
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomListCustomValueList
#   customValue - ActiveNetsuite::CustomListCustomValue
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomListCustomValueList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :customValue

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(customValue = [])
    @customValue = customValue
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomListTranslations
#   locale - ActiveNetsuite::Language
#   localeDescription - SOAP::SOAPString
#   name - SOAP::SOAPString
class CustomListTranslations
  attr_accessor :locale
  attr_accessor :localeDescription
  attr_accessor :name

  def initialize(locale = nil, localeDescription = nil, name = nil)
    @locale = locale
    @localeDescription = localeDescription
    @name = name
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomListTranslationsList
#   translations - ActiveNetsuite::CustomListTranslations
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomListTranslationsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :translations

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(translations = [])
    @translations = translations
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypeFieldList
#   customField - ActiveNetsuite::CustomRecordCustomField
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomRecordTypeFieldList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :customField

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(customField = [])
    @customField = customField
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypeTabs
#   tabTitle - SOAP::SOAPString
#   tabParent - ActiveNetsuite::RecordRef
#   tabTitleLanguageValueList - ActiveNetsuite::LanguageValueList
class CustomRecordTypeTabs
  attr_accessor :tabTitle
  attr_accessor :tabParent
  attr_accessor :tabTitleLanguageValueList

  def initialize(tabTitle = nil, tabParent = nil, tabTitleLanguageValueList = nil)
    @tabTitle = tabTitle
    @tabParent = tabParent
    @tabTitleLanguageValueList = tabTitleLanguageValueList
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypeTabsList
#   tabs - ActiveNetsuite::CustomRecordTypeTabs
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomRecordTypeTabsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :tabs

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(tabs = [])
    @tabs = tabs
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypeForms
#   formEdit - SOAP::SOAPString
#   formName - SOAP::SOAPString
#   formPref - SOAP::SOAPBoolean
class CustomRecordTypeForms
  attr_accessor :formEdit
  attr_accessor :formName
  attr_accessor :formPref

  def initialize(formEdit = nil, formName = nil, formPref = nil)
    @formEdit = formEdit
    @formName = formName
    @formPref = formPref
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypeFormsList
#   forms - ActiveNetsuite::CustomRecordTypeForms
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomRecordTypeFormsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :forms

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(forms = [])
    @forms = forms
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypeOnlineForms
#   onlineFormName - SOAP::SOAPString
#   isOnline - SOAP::SOAPString
#   templateName - SOAP::SOAPString
class CustomRecordTypeOnlineForms
  attr_accessor :onlineFormName
  attr_accessor :isOnline
  attr_accessor :templateName

  def initialize(onlineFormName = nil, isOnline = nil, templateName = nil)
    @onlineFormName = onlineFormName
    @isOnline = isOnline
    @templateName = templateName
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypeOnlineFormsList
#   onlineForms - ActiveNetsuite::CustomRecordTypeOnlineForms
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomRecordTypeOnlineFormsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :onlineForms

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(onlineForms = [])
    @onlineForms = onlineForms
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypePermissions
#   permittedRole - ActiveNetsuite::RecordRef
#   permittedLevel - ActiveNetsuite::CustomRecordTypePermissionsPermittedLevel
#   restriction - ActiveNetsuite::CustomRecordTypePermissionsRestriction
#   defaultForm - ActiveNetsuite::RecordRef
#   restrictForm - SOAP::SOAPBoolean
#   searchForm - ActiveNetsuite::RecordRef
#   searchResults - ActiveNetsuite::RecordRef
#   listView - ActiveNetsuite::RecordRef
#   listViewRestricted - SOAP::SOAPBoolean
#   dashboardView - ActiveNetsuite::RecordRef
#   restrictDashboardView - SOAP::SOAPBoolean
#   sublistView - ActiveNetsuite::RecordRef
#   restrictSublistView - SOAP::SOAPBoolean
class CustomRecordTypePermissions
  attr_accessor :permittedRole
  attr_accessor :permittedLevel
  attr_accessor :restriction
  attr_accessor :defaultForm
  attr_accessor :restrictForm
  attr_accessor :searchForm
  attr_accessor :searchResults
  attr_accessor :listView
  attr_accessor :listViewRestricted
  attr_accessor :dashboardView
  attr_accessor :restrictDashboardView
  attr_accessor :sublistView
  attr_accessor :restrictSublistView

  def initialize(permittedRole = nil, permittedLevel = nil, restriction = nil, defaultForm = nil, restrictForm = nil, searchForm = nil, searchResults = nil, listView = nil, listViewRestricted = nil, dashboardView = nil, restrictDashboardView = nil, sublistView = nil, restrictSublistView = nil)
    @permittedRole = permittedRole
    @permittedLevel = permittedLevel
    @restriction = restriction
    @defaultForm = defaultForm
    @restrictForm = restrictForm
    @searchForm = searchForm
    @searchResults = searchResults
    @listView = listView
    @listViewRestricted = listViewRestricted
    @dashboardView = dashboardView
    @restrictDashboardView = restrictDashboardView
    @sublistView = sublistView
    @restrictSublistView = restrictSublistView
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypePermissionsList
#   permissions - ActiveNetsuite::CustomRecordTypePermissions
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomRecordTypePermissionsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :permissions

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(permissions = [])
    @permissions = permissions
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypeLinks
#   linkCenter - ActiveNetsuite::RecordRef
#   linkSection - ActiveNetsuite::RecordRef
#   linkLabel - SOAP::SOAPString
class CustomRecordTypeLinks
  attr_accessor :linkCenter
  attr_accessor :linkSection
  attr_accessor :linkLabel

  def initialize(linkCenter = nil, linkSection = nil, linkLabel = nil)
    @linkCenter = linkCenter
    @linkSection = linkSection
    @linkLabel = linkLabel
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypeLinksList
#   links - ActiveNetsuite::CustomRecordTypeLinks
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomRecordTypeLinksList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :links

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(links = [])
    @links = links
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypeManagers
#   managerEmp - ActiveNetsuite::RecordRef
class CustomRecordTypeManagers
  attr_accessor :managerEmp

  def initialize(managerEmp = nil)
    @managerEmp = managerEmp
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypeManagersList
#   managers - ActiveNetsuite::CustomRecordTypeManagers
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomRecordTypeManagersList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :managers

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(managers = [])
    @managers = managers
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypeChildren
#   childDescr - SOAP::SOAPString
#   childTab - ActiveNetsuite::RecordRef
class CustomRecordTypeChildren
  attr_accessor :childDescr
  attr_accessor :childTab

  def initialize(childDescr = nil, childTab = nil)
    @childDescr = childDescr
    @childTab = childTab
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypeChildrenList
#   children - ActiveNetsuite::CustomRecordTypeChildren
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomRecordTypeChildrenList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :children

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(children = [])
    @children = children
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypeParents
#   childDescr - SOAP::SOAPString
class CustomRecordTypeParents
  attr_accessor :childDescr

  def initialize(childDescr = nil)
    @childDescr = childDescr
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypeParentsList
#   parents - ActiveNetsuite::CustomRecordTypeParents
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomRecordTypeParentsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :parents

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(parents = [])
    @parents = parents
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypeTranslations
#   locale - ActiveNetsuite::Language
#   localeDescription - SOAP::SOAPString
#   name - SOAP::SOAPString
class CustomRecordTypeTranslations
  attr_accessor :locale
  attr_accessor :localeDescription
  attr_accessor :name

  def initialize(locale = nil, localeDescription = nil, name = nil)
    @locale = locale
    @localeDescription = localeDescription
    @name = name
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypeTranslationsList
#   translations - ActiveNetsuite::CustomRecordTypeTranslations
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomRecordTypeTranslationsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :translations

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(translations = [])
    @translations = translations
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypeSublists
#   recordSearch - ActiveNetsuite::RecordRef
#   recordDescr - SOAP::SOAPString
#   recordDescrLanguageValueList - ActiveNetsuite::LanguageValueList
#   recordTab - ActiveNetsuite::RecordRef
#   recordId - SOAP::SOAPString
class CustomRecordTypeSublists
  attr_accessor :recordSearch
  attr_accessor :recordDescr
  attr_accessor :recordDescrLanguageValueList
  attr_accessor :recordTab
  attr_accessor :recordId

  def initialize(recordSearch = nil, recordDescr = nil, recordDescrLanguageValueList = nil, recordTab = nil, recordId = nil)
    @recordSearch = recordSearch
    @recordDescr = recordDescr
    @recordDescrLanguageValueList = recordDescrLanguageValueList
    @recordTab = recordTab
    @recordId = recordId
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypeSublistsList
#   sublists - ActiveNetsuite::CustomRecordTypeSublists
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomRecordTypeSublistsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :sublists

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(sublists = [])
    @sublists = sublists
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}EntityCustomFieldFilter
#   fldFilter - ActiveNetsuite::RecordRef
#   fldFilterChecked - SOAP::SOAPBoolean
#   fldFilterCompareType - ActiveNetsuite::CustomizationFilterCompareType
#   fldFilterVal - SOAP::SOAPString
#   fldFilterSelList - ActiveNetsuite::FldFilterSelList
#   fldFilterNotNull - SOAP::SOAPBoolean
class EntityCustomFieldFilter
  attr_accessor :fldFilter
  attr_accessor :fldFilterChecked
  attr_accessor :fldFilterCompareType
  attr_accessor :fldFilterVal
  attr_accessor :fldFilterSelList
  attr_accessor :fldFilterNotNull

  def initialize(fldFilter = nil, fldFilterChecked = nil, fldFilterCompareType = nil, fldFilterVal = nil, fldFilterSelList = nil, fldFilterNotNull = nil)
    @fldFilter = fldFilter
    @fldFilterChecked = fldFilterChecked
    @fldFilterCompareType = fldFilterCompareType
    @fldFilterVal = fldFilterVal
    @fldFilterSelList = fldFilterSelList
    @fldFilterNotNull = fldFilterNotNull
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}EntityCustomFieldFilterList
#   filter - ActiveNetsuite::EntityCustomFieldFilter
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class EntityCustomFieldFilterList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :filter

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(filter = [])
    @filter = filter
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}FldFilterSelList
class FldFilterSelList < ::Array
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CrmCustomFieldFilter
#   fldFilter - ActiveNetsuite::RecordRef
#   fldFilterChecked - SOAP::SOAPBoolean
#   fldFilterCompareType - ActiveNetsuite::CustomizationFilterCompareType
#   fldFilterVal - SOAP::SOAPString
#   fldFilterSelList - ActiveNetsuite::FldFilterSelList
#   fldFilterNotNull - SOAP::SOAPBoolean
class CrmCustomFieldFilter
  attr_accessor :fldFilter
  attr_accessor :fldFilterChecked
  attr_accessor :fldFilterCompareType
  attr_accessor :fldFilterVal
  attr_accessor :fldFilterSelList
  attr_accessor :fldFilterNotNull

  def initialize(fldFilter = nil, fldFilterChecked = nil, fldFilterCompareType = nil, fldFilterVal = nil, fldFilterSelList = nil, fldFilterNotNull = nil)
    @fldFilter = fldFilter
    @fldFilterChecked = fldFilterChecked
    @fldFilterCompareType = fldFilterCompareType
    @fldFilterVal = fldFilterVal
    @fldFilterSelList = fldFilterSelList
    @fldFilterNotNull = fldFilterNotNull
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CrmCustomFieldFilterList
#   filter - ActiveNetsuite::CrmCustomFieldFilter
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CrmCustomFieldFilterList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :filter

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(filter = [])
    @filter = filter
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}OtherCustomFieldFilter
#   fldFilter - ActiveNetsuite::RecordRef
#   fldFilterChecked - SOAP::SOAPBoolean
#   fldFilterCompareType - ActiveNetsuite::CustomizationFilterCompareType
#   fldFilterVal - SOAP::SOAPString
#   fldFilterSelList - ActiveNetsuite::FldFilterSelList
#   fldFilterNotNull - SOAP::SOAPBoolean
class OtherCustomFieldFilter
  attr_accessor :fldFilter
  attr_accessor :fldFilterChecked
  attr_accessor :fldFilterCompareType
  attr_accessor :fldFilterVal
  attr_accessor :fldFilterSelList
  attr_accessor :fldFilterNotNull

  def initialize(fldFilter = nil, fldFilterChecked = nil, fldFilterCompareType = nil, fldFilterVal = nil, fldFilterSelList = nil, fldFilterNotNull = nil)
    @fldFilter = fldFilter
    @fldFilterChecked = fldFilterChecked
    @fldFilterCompareType = fldFilterCompareType
    @fldFilterVal = fldFilterVal
    @fldFilterSelList = fldFilterSelList
    @fldFilterNotNull = fldFilterNotNull
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}OtherCustomFieldFilterList
#   filter - ActiveNetsuite::OtherCustomFieldFilter
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class OtherCustomFieldFilterList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :filter

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(filter = [])
    @filter = filter
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}ItemCustomFieldFilter
#   fldFilter - ActiveNetsuite::RecordRef
#   fldFilterChecked - SOAP::SOAPBoolean
#   fldFilterCompareType - ActiveNetsuite::CustomizationFilterCompareType
#   fldFilterVal - SOAP::SOAPString
#   fldFilterSelList - ActiveNetsuite::FldFilterSelList
#   fldFilterNotNull - SOAP::SOAPBoolean
class ItemCustomFieldFilter
  attr_accessor :fldFilter
  attr_accessor :fldFilterChecked
  attr_accessor :fldFilterCompareType
  attr_accessor :fldFilterVal
  attr_accessor :fldFilterSelList
  attr_accessor :fldFilterNotNull

  def initialize(fldFilter = nil, fldFilterChecked = nil, fldFilterCompareType = nil, fldFilterVal = nil, fldFilterSelList = nil, fldFilterNotNull = nil)
    @fldFilter = fldFilter
    @fldFilterChecked = fldFilterChecked
    @fldFilterCompareType = fldFilterCompareType
    @fldFilterVal = fldFilterVal
    @fldFilterSelList = fldFilterSelList
    @fldFilterNotNull = fldFilterNotNull
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}ItemCustomFieldFilterList
#   filter - ActiveNetsuite::ItemCustomFieldFilter
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ItemCustomFieldFilterList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :filter

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(filter = [])
    @filter = filter
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}TransactionBodyCustomFieldFilter
#   fldFilter - ActiveNetsuite::RecordRef
#   fldFilterChecked - SOAP::SOAPBoolean
#   fldFilterCompareType - ActiveNetsuite::CustomizationFilterCompareType
#   fldFilterVal - SOAP::SOAPString
#   fldFilterSelList - ActiveNetsuite::FldFilterSelList
#   fldFilterNotNull - SOAP::SOAPBoolean
class TransactionBodyCustomFieldFilter
  attr_accessor :fldFilter
  attr_accessor :fldFilterChecked
  attr_accessor :fldFilterCompareType
  attr_accessor :fldFilterVal
  attr_accessor :fldFilterSelList
  attr_accessor :fldFilterNotNull

  def initialize(fldFilter = nil, fldFilterChecked = nil, fldFilterCompareType = nil, fldFilterVal = nil, fldFilterSelList = nil, fldFilterNotNull = nil)
    @fldFilter = fldFilter
    @fldFilterChecked = fldFilterChecked
    @fldFilterCompareType = fldFilterCompareType
    @fldFilterVal = fldFilterVal
    @fldFilterSelList = fldFilterSelList
    @fldFilterNotNull = fldFilterNotNull
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}TransactionBodyCustomFieldFilterList
#   filter - ActiveNetsuite::TransactionBodyCustomFieldFilter
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class TransactionBodyCustomFieldFilterList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :filter

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(filter = [])
    @filter = filter
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}TransactionColumnCustomFieldFilter
#   fldFilter - ActiveNetsuite::RecordRef
#   fldFilterChecked - SOAP::SOAPBoolean
#   fldFilterCompareType - ActiveNetsuite::CustomizationFilterCompareType
#   fldFilterVal - SOAP::SOAPString
#   fldFilterSelList - ActiveNetsuite::FldFilterSelList
#   fldFilterNotNull - SOAP::SOAPBoolean
class TransactionColumnCustomFieldFilter
  attr_accessor :fldFilter
  attr_accessor :fldFilterChecked
  attr_accessor :fldFilterCompareType
  attr_accessor :fldFilterVal
  attr_accessor :fldFilterSelList
  attr_accessor :fldFilterNotNull

  def initialize(fldFilter = nil, fldFilterChecked = nil, fldFilterCompareType = nil, fldFilterVal = nil, fldFilterSelList = nil, fldFilterNotNull = nil)
    @fldFilter = fldFilter
    @fldFilterChecked = fldFilterChecked
    @fldFilterCompareType = fldFilterCompareType
    @fldFilterVal = fldFilterVal
    @fldFilterSelList = fldFilterSelList
    @fldFilterNotNull = fldFilterNotNull
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}TransactionColumnCustomFieldFilterList
#   filter - ActiveNetsuite::TransactionColumnCustomFieldFilter
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class TransactionColumnCustomFieldFilterList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :filter

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(filter = [])
    @filter = filter
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}ItemsList
class ItemsList < ::Array
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}ItemOptionCustomFieldFilter
#   fldFilter - ActiveNetsuite::RecordRef
#   fldFilterChecked - SOAP::SOAPBoolean
#   fldFilterCompareType - ActiveNetsuite::CustomizationFilterCompareType
#   fldFilterVal - SOAP::SOAPString
#   fldFilterSelList - ActiveNetsuite::FldFilterSelList
#   fldFilterNotNull - SOAP::SOAPBoolean
class ItemOptionCustomFieldFilter
  attr_accessor :fldFilter
  attr_accessor :fldFilterChecked
  attr_accessor :fldFilterCompareType
  attr_accessor :fldFilterVal
  attr_accessor :fldFilterSelList
  attr_accessor :fldFilterNotNull

  def initialize(fldFilter = nil, fldFilterChecked = nil, fldFilterCompareType = nil, fldFilterVal = nil, fldFilterSelList = nil, fldFilterNotNull = nil)
    @fldFilter = fldFilter
    @fldFilterChecked = fldFilterChecked
    @fldFilterCompareType = fldFilterCompareType
    @fldFilterVal = fldFilterVal
    @fldFilterSelList = fldFilterSelList
    @fldFilterNotNull = fldFilterNotNull
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}ItemOptionCustomFieldFilterList
#   filter - ActiveNetsuite::ItemOptionCustomFieldFilter
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ItemOptionCustomFieldFilterList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :filter

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(filter = [])
    @filter = filter
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordCustomFieldFilter
#   fldFilter - ActiveNetsuite::RecordRef
#   fldFilterChecked - SOAP::SOAPBoolean
#   fldFilterCompareType - ActiveNetsuite::CustomizationFilterCompareType
#   fldFilterVal - SOAP::SOAPString
#   fldFilterSelList - ActiveNetsuite::FldFilterSelList
#   fldFilterNotNull - SOAP::SOAPBoolean
class CustomRecordCustomFieldFilter
  attr_accessor :fldFilter
  attr_accessor :fldFilterChecked
  attr_accessor :fldFilterCompareType
  attr_accessor :fldFilterVal
  attr_accessor :fldFilterSelList
  attr_accessor :fldFilterNotNull

  def initialize(fldFilter = nil, fldFilterChecked = nil, fldFilterCompareType = nil, fldFilterVal = nil, fldFilterSelList = nil, fldFilterNotNull = nil)
    @fldFilter = fldFilter
    @fldFilterChecked = fldFilterChecked
    @fldFilterCompareType = fldFilterCompareType
    @fldFilterVal = fldFilterVal
    @fldFilterSelList = fldFilterSelList
    @fldFilterNotNull = fldFilterNotNull
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordCustomFieldFilterList
#   filter - ActiveNetsuite::CustomRecordCustomFieldFilter
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomRecordCustomFieldFilterList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :filter

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(filter = [])
    @filter = filter
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomFieldRoleAccess
#   role - ActiveNetsuite::RecordRef
#   accessLevel - ActiveNetsuite::CustomizationAccessLevel
#   searchLevel - ActiveNetsuite::CustomizationSearchLevel
class CustomFieldRoleAccess
  attr_accessor :role
  attr_accessor :accessLevel
  attr_accessor :searchLevel

  def initialize(role = nil, accessLevel = nil, searchLevel = nil)
    @role = role
    @accessLevel = accessLevel
    @searchLevel = searchLevel
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomFieldRoleAccessList
#   roleAccess - ActiveNetsuite::CustomFieldRoleAccess
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomFieldRoleAccessList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :roleAccess

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(roleAccess = [])
    @roleAccess = roleAccess
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomFieldDepartmentAccess
#   dept - ActiveNetsuite::RecordRef
#   accessLevel - ActiveNetsuite::CustomizationAccessLevel
#   searchLevel - ActiveNetsuite::CustomizationSearchLevel
class CustomFieldDepartmentAccess
  attr_accessor :dept
  attr_accessor :accessLevel
  attr_accessor :searchLevel

  def initialize(dept = nil, accessLevel = nil, searchLevel = nil)
    @dept = dept
    @accessLevel = accessLevel
    @searchLevel = searchLevel
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomFieldDepartmentAccessList
#   deptAccess - ActiveNetsuite::CustomFieldDepartmentAccess
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomFieldDepartmentAccessList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :deptAccess

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(deptAccess = [])
    @deptAccess = deptAccess
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomFieldSubAccess
#   sub - ActiveNetsuite::RecordRef
#   accessLevel - ActiveNetsuite::CustomizationAccessLevel
#   searchLevel - ActiveNetsuite::CustomizationSearchLevel
class CustomFieldSubAccess
  attr_accessor :sub
  attr_accessor :accessLevel
  attr_accessor :searchLevel

  def initialize(sub = nil, accessLevel = nil, searchLevel = nil)
    @sub = sub
    @accessLevel = accessLevel
    @searchLevel = searchLevel
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomFieldSubAccessList
#   subAccess - ActiveNetsuite::CustomFieldSubAccess
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomFieldSubAccessList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :subAccess

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(subAccess = [])
    @subAccess = subAccess
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}LanguageValue
#   locale - ActiveNetsuite::Language
#   value - SOAP::SOAPString
class LanguageValue
  attr_accessor :locale
  attr_accessor :value

  def initialize(locale = nil, value = nil)
    @locale = locale
    @value = value
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}LanguageValueList
#   languageValue - ActiveNetsuite::LanguageValue
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class LanguageValueList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :languageValue

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(languageValue = [])
    @languageValue = languageValue
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomFieldTranslations
#   locale - ActiveNetsuite::Language
#   localeDescription - SOAP::SOAPString
#   label - SOAP::SOAPString
#   help - SOAP::SOAPString
class CustomFieldTranslations
  attr_accessor :locale
  attr_accessor :localeDescription
  attr_accessor :label
  attr_accessor :help

  def initialize(locale = nil, localeDescription = nil, label = nil, help = nil)
    @locale = locale
    @localeDescription = localeDescription
    @label = label
    @help = help
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomFieldTranslationsList
#   translations - ActiveNetsuite::CustomFieldTranslations
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomFieldTranslationsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :translations

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(translations = [])
    @translations = translations
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}ItemNumberCustomFieldFilter
#   fldFilter - ActiveNetsuite::RecordRef
#   fldFilterChecked - SOAP::SOAPBoolean
#   fldFilterCompareType - ActiveNetsuite::CustomizationFilterCompareType
#   fldFilterVal - SOAP::SOAPString
#   fldFilterNotNull - SOAP::SOAPBoolean
#   fldfilterNull - SOAP::SOAPBoolean
#   fldCompareField - ActiveNetsuite::RecordRef
class ItemNumberCustomFieldFilter
  attr_accessor :fldFilter
  attr_accessor :fldFilterChecked
  attr_accessor :fldFilterCompareType
  attr_accessor :fldFilterVal
  attr_accessor :fldFilterNotNull
  attr_accessor :fldfilterNull
  attr_accessor :fldCompareField

  def initialize(fldFilter = nil, fldFilterChecked = nil, fldFilterCompareType = nil, fldFilterVal = nil, fldFilterNotNull = nil, fldfilterNull = nil, fldCompareField = nil)
    @fldFilter = fldFilter
    @fldFilterChecked = fldFilterChecked
    @fldFilterCompareType = fldFilterCompareType
    @fldFilterVal = fldFilterVal
    @fldFilterNotNull = fldFilterNotNull
    @fldfilterNull = fldfilterNull
    @fldCompareField = fldCompareField
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}ItemNumberCustomFieldFilterList
#   filter - ActiveNetsuite::ItemNumberCustomFieldFilter
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ItemNumberCustomFieldFilterList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :filter

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(filter = [])
    @filter = filter
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}AppDefinitionPackages
class AppDefinitionPackages
  def initialize
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}AppDefinitionPackagesList
#   packages - ActiveNetsuite::AppDefinitionPackages
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class AppDefinitionPackagesList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :packages

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(packages = [])
    @packages = packages
    @__xmlattr = {}
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTranslations
#   locale - ActiveNetsuite::Language
#   language - SOAP::SOAPString
#   label - SOAP::SOAPString
class CustomRecordTranslations
  attr_accessor :locale
  attr_accessor :language
  attr_accessor :label

  def initialize(locale = nil, language = nil, label = nil)
    @locale = locale
    @language = language
    @label = label
  end
end

# {urn:customization_2013_2.setup.webservices.netsuite.com}CustomRecordTranslationsList
#   customRecordTranslations - ActiveNetsuite::CustomRecordTranslations
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CustomRecordTranslationsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :customRecordTranslations

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(customRecordTranslations = [])
    @customRecordTranslations = customRecordTranslations
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeSubscriptions
#   subscribed - SOAP::SOAPString
#   subscription - SOAP::SOAPString
#   lastModifiedDate - SOAP::SOAPDateTime
class EmployeeSubscriptions
  attr_accessor :subscribed
  attr_accessor :subscription
  attr_accessor :lastModifiedDate

  def initialize(subscribed = nil, subscription = nil, lastModifiedDate = nil)
    @subscribed = subscribed
    @subscription = subscription
    @lastModifiedDate = lastModifiedDate
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeSubscriptionsList
#   subscriptions - ActiveNetsuite::EmployeeSubscriptions
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class EmployeeSubscriptionsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :subscriptions

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(subscriptions = [])
    @subscriptions = subscriptions
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeAddressbook
#   defaultShipping - SOAP::SOAPBoolean
#   defaultBilling - SOAP::SOAPBoolean
#   label - SOAP::SOAPString
#   attention - SOAP::SOAPString
#   addressee - SOAP::SOAPString
#   phone - SOAP::SOAPString
#   addr1 - SOAP::SOAPString
#   addr2 - SOAP::SOAPString
#   addr3 - SOAP::SOAPString
#   city - SOAP::SOAPString
#   state - SOAP::SOAPString
#   zip - SOAP::SOAPString
#   country - ActiveNetsuite::Country
#   addrText - SOAP::SOAPString
#   override - SOAP::SOAPBoolean
#   internalId - SOAP::SOAPString
class EmployeeAddressbook
  attr_accessor :defaultShipping
  attr_accessor :defaultBilling
  attr_accessor :label
  attr_accessor :attention
  attr_accessor :addressee
  attr_accessor :phone
  attr_accessor :addr1
  attr_accessor :addr2
  attr_accessor :addr3
  attr_accessor :city
  attr_accessor :state
  attr_accessor :zip
  attr_accessor :country
  attr_accessor :addrText
  attr_accessor :override
  attr_accessor :internalId

  def initialize(defaultShipping = nil, defaultBilling = nil, label = nil, attention = nil, addressee = nil, phone = nil, addr1 = nil, addr2 = nil, addr3 = nil, city = nil, state = nil, zip = nil, country = nil, addrText = nil, override = nil, internalId = nil)
    @defaultShipping = defaultShipping
    @defaultBilling = defaultBilling
    @label = label
    @attention = attention
    @addressee = addressee
    @phone = phone
    @addr1 = addr1
    @addr2 = addr2
    @addr3 = addr3
    @city = city
    @state = state
    @zip = zip
    @country = country
    @addrText = addrText
    @override = override
    @internalId = internalId
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeAddressbookList
#   addressbook - ActiveNetsuite::EmployeeAddressbook
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class EmployeeAddressbookList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :addressbook

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(addressbook = [])
    @addressbook = addressbook
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeRoles
#   selectedRole - ActiveNetsuite::RecordRef
class EmployeeRoles
  attr_accessor :selectedRole

  def initialize(selectedRole = nil)
    @selectedRole = selectedRole
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeRolesList
#   roles - ActiveNetsuite::EmployeeRoles
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class EmployeeRolesList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :roles

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(roles = [])
    @roles = roles
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeEmergencyContact
#   id - SOAP::SOAPLong
#   contact - SOAP::SOAPString
#   relationship - SOAP::SOAPString
#   address - SOAP::SOAPString
#   phone - SOAP::SOAPString
class EmployeeEmergencyContact
  attr_accessor :id
  attr_accessor :contact
  attr_accessor :relationship
  attr_accessor :address
  attr_accessor :phone

  def initialize(id = nil, contact = nil, relationship = nil, address = nil, phone = nil)
    @id = id
    @contact = contact
    @relationship = relationship
    @address = address
    @phone = phone
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeEmergencyContactList
#   employeeEmergencyContact - ActiveNetsuite::EmployeeEmergencyContact
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class EmployeeEmergencyContactList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :employeeEmergencyContact

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(employeeEmergencyContact = [])
    @employeeEmergencyContact = employeeEmergencyContact
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeHrEducation
#   education - ActiveNetsuite::RecordRef
#   degree - SOAP::SOAPString
#   degreeDate - SOAP::SOAPDateTime
class EmployeeHrEducation
  attr_accessor :education
  attr_accessor :degree
  attr_accessor :degreeDate

  def initialize(education = nil, degree = nil, degreeDate = nil)
    @education = education
    @degree = degree
    @degreeDate = degreeDate
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeHrEducationList
#   employeeHrEducation - ActiveNetsuite::EmployeeHrEducation
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class EmployeeHrEducationList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :employeeHrEducation

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(employeeHrEducation = [])
    @employeeHrEducation = employeeHrEducation
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeAccruedTime
#   payrollItem - ActiveNetsuite::RecordRef
#   accruedHours - SOAP::SOAPDouble
#   accrualRate - SOAP::SOAPDouble
#   monetaryRate - SOAP::SOAPDouble
#   resetAccruedHoursAtYearEnd - SOAP::SOAPBoolean
#   accrualMethod - ActiveNetsuite::EmployeeAccruedTimeAccrualMethod
#   maximumAccruedHours - SOAP::SOAPDouble
#   inactive - SOAP::SOAPBoolean
#   effectiveDate - SOAP::SOAPDateTime
#   expirationDate - SOAP::SOAPDateTime
class EmployeeAccruedTime
  attr_accessor :payrollItem
  attr_accessor :accruedHours
  attr_accessor :accrualRate
  attr_accessor :monetaryRate
  attr_accessor :resetAccruedHoursAtYearEnd
  attr_accessor :accrualMethod
  attr_accessor :maximumAccruedHours
  attr_accessor :inactive
  attr_accessor :effectiveDate
  attr_accessor :expirationDate

  def initialize(payrollItem = nil, accruedHours = nil, accrualRate = nil, monetaryRate = nil, resetAccruedHoursAtYearEnd = nil, accrualMethod = nil, maximumAccruedHours = nil, inactive = nil, effectiveDate = nil, expirationDate = nil)
    @payrollItem = payrollItem
    @accruedHours = accruedHours
    @accrualRate = accrualRate
    @monetaryRate = monetaryRate
    @resetAccruedHoursAtYearEnd = resetAccruedHoursAtYearEnd
    @accrualMethod = accrualMethod
    @maximumAccruedHours = maximumAccruedHours
    @inactive = inactive
    @effectiveDate = effectiveDate
    @expirationDate = expirationDate
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeAccruedTimeList
#   employeeAccruedTime - ActiveNetsuite::EmployeeAccruedTime
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class EmployeeAccruedTimeList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :employeeAccruedTime

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(employeeAccruedTime = [])
    @employeeAccruedTime = employeeAccruedTime
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeDeduction
#   payrollItem - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPString
#   limit - SOAP::SOAPDouble
#   inactive - SOAP::SOAPBoolean
#   effectiveDate - SOAP::SOAPDateTime
#   expirationDate - SOAP::SOAPDateTime
class EmployeeDeduction
  attr_accessor :payrollItem
  attr_accessor :rate
  attr_accessor :limit
  attr_accessor :inactive
  attr_accessor :effectiveDate
  attr_accessor :expirationDate

  def initialize(payrollItem = nil, rate = nil, limit = nil, inactive = nil, effectiveDate = nil, expirationDate = nil)
    @payrollItem = payrollItem
    @rate = rate
    @limit = limit
    @inactive = inactive
    @effectiveDate = effectiveDate
    @expirationDate = expirationDate
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeDeductionList
#   employeeDeduction - ActiveNetsuite::EmployeeDeduction
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class EmployeeDeductionList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :employeeDeduction

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(employeeDeduction = [])
    @employeeDeduction = employeeDeduction
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeCompanyContribution
#   payrollItem - ActiveNetsuite::RecordRef
#   rate - SOAP::SOAPString
#   limit - SOAP::SOAPDouble
#   inactive - SOAP::SOAPBoolean
#   effectiveDate - SOAP::SOAPDateTime
#   expirationDate - SOAP::SOAPDateTime
class EmployeeCompanyContribution
  attr_accessor :payrollItem
  attr_accessor :rate
  attr_accessor :limit
  attr_accessor :inactive
  attr_accessor :effectiveDate
  attr_accessor :expirationDate

  def initialize(payrollItem = nil, rate = nil, limit = nil, inactive = nil, effectiveDate = nil, expirationDate = nil)
    @payrollItem = payrollItem
    @rate = rate
    @limit = limit
    @inactive = inactive
    @effectiveDate = effectiveDate
    @expirationDate = expirationDate
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeCompanyContributionList
#   employeeCompanyContribution - ActiveNetsuite::EmployeeCompanyContribution
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class EmployeeCompanyContributionList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :employeeCompanyContribution

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(employeeCompanyContribution = [])
    @employeeCompanyContribution = employeeCompanyContribution
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeEarning
#   payrollItem - ActiveNetsuite::RecordRef
#   payRate - SOAP::SOAPString
#   primaryEarning - SOAP::SOAPBoolean
#   defaultHours - SOAP::SOAPDouble
#   inactive - SOAP::SOAPBoolean
#   defaultEarning - SOAP::SOAPBoolean
#   effectiveDate - SOAP::SOAPDateTime
#   expirationDate - SOAP::SOAPDateTime
class EmployeeEarning
  attr_accessor :payrollItem
  attr_accessor :payRate
  attr_accessor :primaryEarning
  attr_accessor :defaultHours
  attr_accessor :inactive
  attr_accessor :defaultEarning
  attr_accessor :effectiveDate
  attr_accessor :expirationDate

  def initialize(payrollItem = nil, payRate = nil, primaryEarning = nil, defaultHours = nil, inactive = nil, defaultEarning = nil, effectiveDate = nil, expirationDate = nil)
    @payrollItem = payrollItem
    @payRate = payRate
    @primaryEarning = primaryEarning
    @defaultHours = defaultHours
    @inactive = inactive
    @defaultEarning = defaultEarning
    @effectiveDate = effectiveDate
    @expirationDate = expirationDate
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeEarningList
#   employeeEarning - ActiveNetsuite::EmployeeEarning
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class EmployeeEarningList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :employeeEarning

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(employeeEarning = [])
    @employeeEarning = employeeEarning
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeDirectDeposit
#   id - SOAP::SOAPLong
#   netAccount - SOAP::SOAPBoolean
#   savingsAccount - SOAP::SOAPBoolean
#   accountPrenoted - SOAP::SOAPBoolean
#   accountStatus - ActiveNetsuite::EmployeeDirectDepositAccountStatus
#   bankName - SOAP::SOAPString
#   bankId - SOAP::SOAPString
#   bankNumber - SOAP::SOAPString
#   bankRoutingNumber - SOAP::SOAPString
#   bankAccountNumber - SOAP::SOAPString
#   amount - SOAP::SOAPDouble
#   inactive - SOAP::SOAPBoolean
class EmployeeDirectDeposit
  attr_accessor :id
  attr_accessor :netAccount
  attr_accessor :savingsAccount
  attr_accessor :accountPrenoted
  attr_accessor :accountStatus
  attr_accessor :bankName
  attr_accessor :bankId
  attr_accessor :bankNumber
  attr_accessor :bankRoutingNumber
  attr_accessor :bankAccountNumber
  attr_accessor :amount
  attr_accessor :inactive

  def initialize(id = nil, netAccount = nil, savingsAccount = nil, accountPrenoted = nil, accountStatus = nil, bankName = nil, bankId = nil, bankNumber = nil, bankRoutingNumber = nil, bankAccountNumber = nil, amount = nil, inactive = nil)
    @id = id
    @netAccount = netAccount
    @savingsAccount = savingsAccount
    @accountPrenoted = accountPrenoted
    @accountStatus = accountStatus
    @bankName = bankName
    @bankId = bankId
    @bankNumber = bankNumber
    @bankRoutingNumber = bankRoutingNumber
    @bankAccountNumber = bankAccountNumber
    @amount = amount
    @inactive = inactive
  end
end

# {urn:employees_2013_2.lists.webservices.netsuite.com}EmployeeDirectDepositList
#   employeeDirectDeposit - ActiveNetsuite::EmployeeDirectDeposit
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class EmployeeDirectDepositList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :employeeDirectDeposit

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(employeeDirectDeposit = [])
    @employeeDirectDeposit = employeeDirectDeposit
    @__xmlattr = {}
  end
end

# {urn:website_2013_2.lists.webservices.netsuite.com}SiteCategoryTranslation
#   locale - ActiveNetsuite::Language
#   language - SOAP::SOAPString
#   displayName - SOAP::SOAPString
#   description - SOAP::SOAPString
#   storeDetailedDescription - SOAP::SOAPString
#   pageTitle - SOAP::SOAPString
class SiteCategoryTranslation
  attr_accessor :locale
  attr_accessor :language
  attr_accessor :displayName
  attr_accessor :description
  attr_accessor :storeDetailedDescription
  attr_accessor :pageTitle

  def initialize(locale = nil, language = nil, displayName = nil, description = nil, storeDetailedDescription = nil, pageTitle = nil)
    @locale = locale
    @language = language
    @displayName = displayName
    @description = description
    @storeDetailedDescription = storeDetailedDescription
    @pageTitle = pageTitle
  end
end

# {urn:website_2013_2.lists.webservices.netsuite.com}SiteCategoryTranslationList
#   translation - ActiveNetsuite::SiteCategoryTranslation
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class SiteCategoryTranslationList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :translation

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(translation = [])
    @translation = translation
    @__xmlattr = {}
  end
end

# {urn:website_2013_2.lists.webservices.netsuite.com}SiteCategoryPresentationItemList
#   presentationItem - ActiveNetsuite::PresentationItem
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class SiteCategoryPresentationItemList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :presentationItem

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(presentationItem = [])
    @presentationItem = presentationItem
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.transactions.webservices.netsuite.com}ExpenseReportExpense
#   line - SOAP::SOAPLong
#   expenseDate - SOAP::SOAPDateTime
#   category - ActiveNetsuite::RecordRef
#   quantity - SOAP::SOAPDouble
#   rate - SOAP::SOAPDouble
#   foreignAmount - SOAP::SOAPDouble
#   currency - ActiveNetsuite::RecordRef
#   exchangeRate - SOAP::SOAPDouble
#   amount - SOAP::SOAPDouble
#   taxCode - ActiveNetsuite::RecordRef
#   memo - SOAP::SOAPString
#   taxRate1 - SOAP::SOAPDouble
#   tax1Amt - SOAP::SOAPDouble
#   department - ActiveNetsuite::RecordRef
#   grossAmt - SOAP::SOAPDouble
#   taxRate2 - SOAP::SOAPDouble
#   m_class - ActiveNetsuite::RecordRef
#   customer - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   isBillable - SOAP::SOAPBoolean
#   expMediaItem - ActiveNetsuite::RecordRef
#   isNonReimbursable - SOAP::SOAPBoolean
#   receipt - SOAP::SOAPBoolean
#   refNumber - SOAP::SOAPLong
#   customFieldList - ActiveNetsuite::CustomFieldList
class ExpenseReportExpense
  attr_accessor :line
  attr_accessor :expenseDate
  attr_accessor :category
  attr_accessor :quantity
  attr_accessor :rate
  attr_accessor :foreignAmount
  attr_accessor :currency
  attr_accessor :exchangeRate
  attr_accessor :amount
  attr_accessor :taxCode
  attr_accessor :memo
  attr_accessor :taxRate1
  attr_accessor :tax1Amt
  attr_accessor :department
  attr_accessor :grossAmt
  attr_accessor :taxRate2
  attr_accessor :customer
  attr_accessor :location
  attr_accessor :isBillable
  attr_accessor :expMediaItem
  attr_accessor :isNonReimbursable
  attr_accessor :receipt
  attr_accessor :refNumber
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(line = nil, expenseDate = nil, category = nil, quantity = nil, rate = nil, foreignAmount = nil, currency = nil, exchangeRate = nil, amount = nil, taxCode = nil, memo = nil, taxRate1 = nil, tax1Amt = nil, department = nil, grossAmt = nil, taxRate2 = nil, v_class = nil, customer = nil, location = nil, isBillable = nil, expMediaItem = nil, isNonReimbursable = nil, receipt = nil, refNumber = nil, customFieldList = nil)
    @line = line
    @expenseDate = expenseDate
    @category = category
    @quantity = quantity
    @rate = rate
    @foreignAmount = foreignAmount
    @currency = currency
    @exchangeRate = exchangeRate
    @amount = amount
    @taxCode = taxCode
    @memo = memo
    @taxRate1 = taxRate1
    @tax1Amt = tax1Amt
    @department = department
    @grossAmt = grossAmt
    @taxRate2 = taxRate2
    @v_class = v_class
    @customer = customer
    @location = location
    @isBillable = isBillable
    @expMediaItem = expMediaItem
    @isNonReimbursable = isNonReimbursable
    @receipt = receipt
    @refNumber = refNumber
    @customFieldList = customFieldList
  end
end

# {urn:employees_2013_2.transactions.webservices.netsuite.com}ExpenseReportExpenseList
#   expense - ActiveNetsuite::ExpenseReportExpense
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ExpenseReportExpenseList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :expense

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(expense = [])
    @expense = expense
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.transactions.webservices.netsuite.com}PaycheckJournalCompanyTax
#   id - SOAP::SOAPLong
#   payrollItem - ActiveNetsuite::RecordRef
#   amount - SOAP::SOAPDouble
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   customFieldList - ActiveNetsuite::CustomFieldList
class PaycheckJournalCompanyTax
  attr_accessor :id
  attr_accessor :payrollItem
  attr_accessor :amount
  attr_accessor :department
  attr_accessor :location
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(id = nil, payrollItem = nil, amount = nil, department = nil, v_class = nil, location = nil, customFieldList = nil)
    @id = id
    @payrollItem = payrollItem
    @amount = amount
    @department = department
    @v_class = v_class
    @location = location
    @customFieldList = customFieldList
  end
end

# {urn:employees_2013_2.transactions.webservices.netsuite.com}PaycheckJournalCompanyTaxList
#   paycheckJournalCompanyTax - ActiveNetsuite::PaycheckJournalCompanyTax
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class PaycheckJournalCompanyTaxList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :paycheckJournalCompanyTax

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(paycheckJournalCompanyTax = [])
    @paycheckJournalCompanyTax = paycheckJournalCompanyTax
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.transactions.webservices.netsuite.com}PaycheckJournalDeduction
#   id - SOAP::SOAPLong
#   payrollItem - ActiveNetsuite::RecordRef
#   amount - SOAP::SOAPDouble
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   customFieldList - ActiveNetsuite::CustomFieldList
class PaycheckJournalDeduction
  attr_accessor :id
  attr_accessor :payrollItem
  attr_accessor :amount
  attr_accessor :department
  attr_accessor :location
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(id = nil, payrollItem = nil, amount = nil, department = nil, v_class = nil, location = nil, customFieldList = nil)
    @id = id
    @payrollItem = payrollItem
    @amount = amount
    @department = department
    @v_class = v_class
    @location = location
    @customFieldList = customFieldList
  end
end

# {urn:employees_2013_2.transactions.webservices.netsuite.com}PaycheckJournalDeductionList
#   paycheckJournalDeduction - ActiveNetsuite::PaycheckJournalDeduction
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class PaycheckJournalDeductionList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :paycheckJournalDeduction

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(paycheckJournalDeduction = [])
    @paycheckJournalDeduction = paycheckJournalDeduction
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.transactions.webservices.netsuite.com}PaycheckJournalCompanyContribution
#   id - SOAP::SOAPLong
#   payrollItem - ActiveNetsuite::RecordRef
#   amount - SOAP::SOAPDouble
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   customFieldList - ActiveNetsuite::CustomFieldList
class PaycheckJournalCompanyContribution
  attr_accessor :id
  attr_accessor :payrollItem
  attr_accessor :amount
  attr_accessor :department
  attr_accessor :location
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(id = nil, payrollItem = nil, amount = nil, department = nil, v_class = nil, location = nil, customFieldList = nil)
    @id = id
    @payrollItem = payrollItem
    @amount = amount
    @department = department
    @v_class = v_class
    @location = location
    @customFieldList = customFieldList
  end
end

# {urn:employees_2013_2.transactions.webservices.netsuite.com}PaycheckJournalCompanyContributionList
#   paycheckJournalCompanyContribution - ActiveNetsuite::PaycheckJournalCompanyContribution
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class PaycheckJournalCompanyContributionList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :paycheckJournalCompanyContribution

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(paycheckJournalCompanyContribution = [])
    @paycheckJournalCompanyContribution = paycheckJournalCompanyContribution
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.transactions.webservices.netsuite.com}PaycheckJournalEarning
#   id - SOAP::SOAPLong
#   payrollItem - ActiveNetsuite::RecordRef
#   hours - SOAP::SOAPDouble
#   amount - SOAP::SOAPDouble
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   customFieldList - ActiveNetsuite::CustomFieldList
class PaycheckJournalEarning
  attr_accessor :id
  attr_accessor :payrollItem
  attr_accessor :hours
  attr_accessor :amount
  attr_accessor :department
  attr_accessor :location
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(id = nil, payrollItem = nil, hours = nil, amount = nil, department = nil, v_class = nil, location = nil, customFieldList = nil)
    @id = id
    @payrollItem = payrollItem
    @hours = hours
    @amount = amount
    @department = department
    @v_class = v_class
    @location = location
    @customFieldList = customFieldList
  end
end

# {urn:employees_2013_2.transactions.webservices.netsuite.com}PaycheckJournalEarningList
#   paycheckJournalEarning - ActiveNetsuite::PaycheckJournalEarning
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class PaycheckJournalEarningList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :paycheckJournalEarning

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(paycheckJournalEarning = [])
    @paycheckJournalEarning = paycheckJournalEarning
    @__xmlattr = {}
  end
end

# {urn:employees_2013_2.transactions.webservices.netsuite.com}PaycheckJournalEmployeeTax
#   id - SOAP::SOAPLong
#   payrollItem - ActiveNetsuite::RecordRef
#   amount - SOAP::SOAPDouble
#   department - ActiveNetsuite::RecordRef
#   m_class - ActiveNetsuite::RecordRef
#   location - ActiveNetsuite::RecordRef
#   customFieldList - ActiveNetsuite::CustomFieldList
class PaycheckJournalEmployeeTax
  attr_accessor :id
  attr_accessor :payrollItem
  attr_accessor :amount
  attr_accessor :department
  attr_accessor :location
  attr_accessor :customFieldList

  def m_class
    @v_class
  end

  def m_class=(value)
    @v_class = value
  end

  def initialize(id = nil, payrollItem = nil, amount = nil, department = nil, v_class = nil, location = nil, customFieldList = nil)
    @id = id
    @payrollItem = payrollItem
    @amount = amount
    @department = department
    @v_class = v_class
    @location = location
    @customFieldList = customFieldList
  end
end

# {urn:employees_2013_2.transactions.webservices.netsuite.com}PaycheckJournalEmployeeTaxList
#   paycheckJournalEmployeeTax - ActiveNetsuite::PaycheckJournalEmployeeTax
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class PaycheckJournalEmployeeTaxList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :paycheckJournalEmployeeTax

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(paycheckJournalEmployeeTax = [])
    @paycheckJournalEmployeeTax = paycheckJournalEmployeeTax
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignEmail
#   internalId - SOAP::SOAPString
#   campaignGroup - ActiveNetsuite::RecordRef
#   template - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   subscription - ActiveNetsuite::RecordRef
#   channel - ActiveNetsuite::RecordRef
#   cost - SOAP::SOAPDouble
#   status - ActiveNetsuite::CampaignCampaignEmailStatus
#   dateScheduled - SOAP::SOAPDateTime
#   promoCode - ActiveNetsuite::RecordRef
#   customFieldList - ActiveNetsuite::CustomFieldList
class CampaignEmail
  attr_accessor :internalId
  attr_accessor :campaignGroup
  attr_accessor :template
  attr_accessor :description
  attr_accessor :subscription
  attr_accessor :channel
  attr_accessor :cost
  attr_accessor :status
  attr_accessor :dateScheduled
  attr_accessor :promoCode
  attr_accessor :customFieldList

  def initialize(internalId = nil, campaignGroup = nil, template = nil, description = nil, subscription = nil, channel = nil, cost = nil, status = nil, dateScheduled = nil, promoCode = nil, customFieldList = nil)
    @internalId = internalId
    @campaignGroup = campaignGroup
    @template = template
    @description = description
    @subscription = subscription
    @channel = channel
    @cost = cost
    @status = status
    @dateScheduled = dateScheduled
    @promoCode = promoCode
    @customFieldList = customFieldList
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignEmailList
#   campaignEmail - ActiveNetsuite::CampaignEmail
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CampaignEmailList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :campaignEmail

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(campaignEmail = [])
    @campaignEmail = campaignEmail
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignDirectMail
#   internalId - SOAP::SOAPString
#   campaignGroup - ActiveNetsuite::RecordRef
#   template - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   subscription - ActiveNetsuite::RecordRef
#   channel - ActiveNetsuite::RecordRef
#   cost - SOAP::SOAPDouble
#   status - ActiveNetsuite::CampaignCampaignDirectMailStatus
#   dateScheduled - SOAP::SOAPDateTime
#   promoCode - ActiveNetsuite::RecordRef
#   customFieldList - ActiveNetsuite::CustomFieldList
class CampaignDirectMail
  attr_accessor :internalId
  attr_accessor :campaignGroup
  attr_accessor :template
  attr_accessor :description
  attr_accessor :subscription
  attr_accessor :channel
  attr_accessor :cost
  attr_accessor :status
  attr_accessor :dateScheduled
  attr_accessor :promoCode
  attr_accessor :customFieldList

  def initialize(internalId = nil, campaignGroup = nil, template = nil, description = nil, subscription = nil, channel = nil, cost = nil, status = nil, dateScheduled = nil, promoCode = nil, customFieldList = nil)
    @internalId = internalId
    @campaignGroup = campaignGroup
    @template = template
    @description = description
    @subscription = subscription
    @channel = channel
    @cost = cost
    @status = status
    @dateScheduled = dateScheduled
    @promoCode = promoCode
    @customFieldList = customFieldList
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignDirectMailList
#   campaignDirectMail - ActiveNetsuite::CampaignDirectMail
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CampaignDirectMailList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :campaignDirectMail

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(campaignDirectMail = [])
    @campaignDirectMail = campaignDirectMail
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignEvent
#   internalId - SOAP::SOAPString
#   campaignGroup - ActiveNetsuite::RecordRef
#   description - SOAP::SOAPString
#   subscription - ActiveNetsuite::RecordRef
#   channel - ActiveNetsuite::RecordRef
#   cost - SOAP::SOAPDouble
#   status - ActiveNetsuite::CampaignCampaignEventStatus
#   dateScheduled - SOAP::SOAPDateTime
#   promoCode - ActiveNetsuite::RecordRef
#   customFieldList - ActiveNetsuite::CustomFieldList
class CampaignEvent
  attr_accessor :internalId
  attr_accessor :campaignGroup
  attr_accessor :description
  attr_accessor :subscription
  attr_accessor :channel
  attr_accessor :cost
  attr_accessor :status
  attr_accessor :dateScheduled
  attr_accessor :promoCode
  attr_accessor :customFieldList

  def initialize(internalId = nil, campaignGroup = nil, description = nil, subscription = nil, channel = nil, cost = nil, status = nil, dateScheduled = nil, promoCode = nil, customFieldList = nil)
    @internalId = internalId
    @campaignGroup = campaignGroup
    @description = description
    @subscription = subscription
    @channel = channel
    @cost = cost
    @status = status
    @dateScheduled = dateScheduled
    @promoCode = promoCode
    @customFieldList = customFieldList
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignEventList
#   campaignEvent - ActiveNetsuite::CampaignEvent
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CampaignEventList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :campaignEvent

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(campaignEvent = [])
    @campaignEvent = campaignEvent
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignEventResponse
#   name - SOAP::SOAPString
#   type - SOAP::SOAPString
#   dateSent - SOAP::SOAPDateTime
#   sent - SOAP::SOAPDouble
#   opened - SOAP::SOAPDouble
#   openedRatio - SOAP::SOAPDouble
#   clickedThru - SOAP::SOAPDouble
#   clickedThruRatio - SOAP::SOAPDouble
#   responded - SOAP::SOAPLong
#   respondedRatio - SOAP::SOAPDouble
#   unsubscribed - SOAP::SOAPLong
#   unsubscribedRatio - SOAP::SOAPDouble
#   bounced - SOAP::SOAPLong
#   bouncedRatio - SOAP::SOAPDouble
class CampaignEventResponse
  attr_accessor :name
  attr_accessor :type
  attr_accessor :dateSent
  attr_accessor :sent
  attr_accessor :opened
  attr_accessor :openedRatio
  attr_accessor :clickedThru
  attr_accessor :clickedThruRatio
  attr_accessor :responded
  attr_accessor :respondedRatio
  attr_accessor :unsubscribed
  attr_accessor :unsubscribedRatio
  attr_accessor :bounced
  attr_accessor :bouncedRatio

  def initialize(name = nil, type = nil, dateSent = nil, sent = nil, opened = nil, openedRatio = nil, clickedThru = nil, clickedThruRatio = nil, responded = nil, respondedRatio = nil, unsubscribed = nil, unsubscribedRatio = nil, bounced = nil, bouncedRatio = nil)
    @name = name
    @type = type
    @dateSent = dateSent
    @sent = sent
    @opened = opened
    @openedRatio = openedRatio
    @clickedThru = clickedThru
    @clickedThruRatio = clickedThruRatio
    @responded = responded
    @respondedRatio = respondedRatio
    @unsubscribed = unsubscribed
    @unsubscribedRatio = unsubscribedRatio
    @bounced = bounced
    @bouncedRatio = bouncedRatio
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignEventResponseList
#   eventResponse - ActiveNetsuite::CampaignEventResponse
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CampaignEventResponseList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :eventResponse

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(eventResponse = [])
    @eventResponse = eventResponse
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignResponseResponses
#   response - SOAP::SOAPString
#   responseDate - SOAP::SOAPString
#   author - SOAP::SOAPString
#   note - SOAP::SOAPString
class CampaignResponseResponses
  attr_accessor :response
  attr_accessor :responseDate
  attr_accessor :author
  attr_accessor :note

  def initialize(response = nil, responseDate = nil, author = nil, note = nil)
    @response = response
    @responseDate = responseDate
    @author = author
    @note = note
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}CampaignResponseResponsesList
#   responses - ActiveNetsuite::CampaignResponseResponses
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class CampaignResponseResponsesList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :responses

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(responses = [])
    @responses = responses
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}PromotionCodePartners
#   partner - ActiveNetsuite::RecordRef
#   code - SOAP::SOAPString
class PromotionCodePartners
  attr_accessor :partner
  attr_accessor :code

  def initialize(partner = nil, code = nil)
    @partner = partner
    @code = code
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}PromotionCodePartnersList
#   partners - ActiveNetsuite::PromotionCodePartners
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class PromotionCodePartnersList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :partners

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(partners = [])
    @partners = partners
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}PromotionCodeItems
#   item - ActiveNetsuite::RecordRef
class PromotionCodeItems
  attr_accessor :item

  def initialize(item = nil)
    @item = item
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}PromotionCodeItemsList
#   items - ActiveNetsuite::PromotionCodeItems
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class PromotionCodeItemsList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :items

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(items = [])
    @items = items
    @__xmlattr = {}
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}PromotionCodeCurrency
#   currency - ActiveNetsuite::RecordRef
#   minimumOrderAmount - SOAP::SOAPDouble
class PromotionCodeCurrency
  attr_accessor :currency
  attr_accessor :minimumOrderAmount

  def initialize(currency = nil, minimumOrderAmount = nil)
    @currency = currency
    @minimumOrderAmount = minimumOrderAmount
  end
end

# {urn:marketing_2013_2.lists.webservices.netsuite.com}PromotionCodeCurrencyList
#   currency - ActiveNetsuite::PromotionCodeCurrency
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class PromotionCodeCurrencyList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :currency

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(currency = [])
    @currency = currency
    @__xmlattr = {}
  end
end

# {urn:demandplanning_2013_2.transactions.webservices.netsuite.com}DemandPlan
#   startDate - SOAP::SOAPDateTime
#   endDate - SOAP::SOAPDateTime
#   calculatedQuantity - SOAP::SOAPDouble
#   periodDemandPlanList - ActiveNetsuite::PeriodDemandPlanList
class DemandPlan
  attr_accessor :startDate
  attr_accessor :endDate
  attr_accessor :calculatedQuantity
  attr_accessor :periodDemandPlanList

  def initialize(startDate = nil, endDate = nil, calculatedQuantity = nil, periodDemandPlanList = nil)
    @startDate = startDate
    @endDate = endDate
    @calculatedQuantity = calculatedQuantity
    @periodDemandPlanList = periodDemandPlanList
  end
end

# {urn:demandplanning_2013_2.transactions.webservices.netsuite.com}DemandPlanMatrix
#   demandPlan - ActiveNetsuite::DemandPlan
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class DemandPlanMatrix
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :demandPlan

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(demandPlan = [])
    @demandPlan = demandPlan
    @__xmlattr = {}
  end
end

# {urn:demandplanning_2013_2.transactions.webservices.netsuite.com}PeriodDemandPlanList
class PeriodDemandPlanList < ::Array
end

# {urn:demandplanning_2013_2.transactions.webservices.netsuite.com}PeriodDemandPlan
#   quantity - SOAP::SOAPDouble
#   dayOfTheWeek - ActiveNetsuite::DayOfTheWeek
class PeriodDemandPlan
  attr_accessor :quantity
  attr_accessor :dayOfTheWeek

  def initialize(quantity = nil, dayOfTheWeek = nil)
    @quantity = quantity
    @dayOfTheWeek = dayOfTheWeek
  end
end

# {urn:demandplanning_2013_2.transactions.webservices.netsuite.com}ItemSupplyPlanOrder
#   orderLineId - SOAP::SOAPLong
#   orderDate - SOAP::SOAPDateTime
#   receiptDate - SOAP::SOAPDateTime
#   quantity - SOAP::SOAPDouble
#   orderCreated - SOAP::SOAPBoolean
#   orderType - ActiveNetsuite::ItemSupplyPlanOrderType
class ItemSupplyPlanOrder
  attr_accessor :orderLineId
  attr_accessor :orderDate
  attr_accessor :receiptDate
  attr_accessor :quantity
  attr_accessor :orderCreated
  attr_accessor :orderType

  def initialize(orderLineId = nil, orderDate = nil, receiptDate = nil, quantity = nil, orderCreated = nil, orderType = nil)
    @orderLineId = orderLineId
    @orderDate = orderDate
    @receiptDate = receiptDate
    @quantity = quantity
    @orderCreated = orderCreated
    @orderType = orderType
  end
end

# {urn:demandplanning_2013_2.transactions.webservices.netsuite.com}ItemSupplyPlanOrderList
#   itemSupplyPlanOrder - ActiveNetsuite::ItemSupplyPlanOrder
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ItemSupplyPlanOrderList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :itemSupplyPlanOrder

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(itemSupplyPlanOrder = [])
    @itemSupplyPlanOrder = itemSupplyPlanOrder
    @__xmlattr = {}
  end
end

# {urn:supplychain_2013_2.lists.webservices.netsuite.com}ManufacturingCostDetail
#   costCategory - ActiveNetsuite::RecordRef
#   item - ActiveNetsuite::RecordRef
#   fixedRate - SOAP::SOAPDouble
#   runRate - SOAP::SOAPDouble
class ManufacturingCostDetail
  attr_accessor :costCategory
  attr_accessor :item
  attr_accessor :fixedRate
  attr_accessor :runRate

  def initialize(costCategory = nil, item = nil, fixedRate = nil, runRate = nil)
    @costCategory = costCategory
    @item = item
    @fixedRate = fixedRate
    @runRate = runRate
  end
end

# {urn:supplychain_2013_2.lists.webservices.netsuite.com}ManufacturingCostDetailList
#   manufacturingCostDetail - ActiveNetsuite::ManufacturingCostDetail
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ManufacturingCostDetailList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :manufacturingCostDetail

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(manufacturingCostDetail = [])
    @manufacturingCostDetail = manufacturingCostDetail
    @__xmlattr = {}
  end
end

# {urn:supplychain_2013_2.lists.webservices.netsuite.com}ManufacturingRoutingRoutingStep
#   operationSequence - SOAP::SOAPLong
#   operationName - SOAP::SOAPString
#   manufacturingWorkCenter - ActiveNetsuite::RecordRef
#   machineResources - SOAP::SOAPLong
#   laborResources - SOAP::SOAPLong
#   manufacturingCostTemplate - ActiveNetsuite::RecordRef
#   setupTime - SOAP::SOAPDouble
#   runRate - SOAP::SOAPDouble
class ManufacturingRoutingRoutingStep
  attr_accessor :operationSequence
  attr_accessor :operationName
  attr_accessor :manufacturingWorkCenter
  attr_accessor :machineResources
  attr_accessor :laborResources
  attr_accessor :manufacturingCostTemplate
  attr_accessor :setupTime
  attr_accessor :runRate

  def initialize(operationSequence = nil, operationName = nil, manufacturingWorkCenter = nil, machineResources = nil, laborResources = nil, manufacturingCostTemplate = nil, setupTime = nil, runRate = nil)
    @operationSequence = operationSequence
    @operationName = operationName
    @manufacturingWorkCenter = manufacturingWorkCenter
    @machineResources = machineResources
    @laborResources = laborResources
    @manufacturingCostTemplate = manufacturingCostTemplate
    @setupTime = setupTime
    @runRate = runRate
  end
end

# {urn:supplychain_2013_2.lists.webservices.netsuite.com}ManufacturingRoutingRoutingStepList
#   manufacturingRoutingRoutingStep - ActiveNetsuite::ManufacturingRoutingRoutingStep
#   xmlattr_replaceAll - SOAP::SOAPBoolean
class ManufacturingRoutingRoutingStepList
  AttrReplaceAll = XSD::QName.new(nil, "replaceAll")

  attr_accessor :manufacturingRoutingRoutingStep

  def __xmlattr
    @__xmlattr ||= {}
  end

  def xmlattr_replaceAll
    __xmlattr[AttrReplaceAll]
  end

  def xmlattr_replaceAll=(value)
    __xmlattr[AttrReplaceAll] = value
  end

  def initialize(manufacturingRoutingRoutingStep = [])
    @manufacturingRoutingRoutingStep = manufacturingRoutingRoutingStep
    @__xmlattr = {}
  end
end

# {urn:types.core_2013_2.platform.webservices.netsuite.com}RecordType
class RecordType < ::String
  Account = new("account")
  AccountingPeriod = new("accountingPeriod")
  AppDefinition = new("appDefinition")
  AppPackage = new("appPackage")
  AssemblyBuild = new("assemblyBuild")
  AssemblyItem = new("assemblyItem")
  AssemblyUnbuild = new("assemblyUnbuild")
  Bin = new("bin")
  BinTransfer = new("binTransfer")
  BinWorksheet = new("binWorksheet")
  Budget = new("budget")
  BudgetCategory = new("budgetCategory")
  C_File = new("file")
  CalendarEvent = new("calendarEvent")
  Campaign = new("campaign")
  CampaignAudience = new("campaignAudience")
  CampaignCategory = new("campaignCategory")
  CampaignChannel = new("campaignChannel")
  CampaignFamily = new("campaignFamily")
  CampaignOffer = new("campaignOffer")
  CampaignResponse = new("campaignResponse")
  CampaignSearchEngine = new("campaignSearchEngine")
  CampaignSubscription = new("campaignSubscription")
  CampaignVertical = new("campaignVertical")
  CashRefund = new("cashRefund")
  CashSale = new("cashSale")
  Charge = new("charge")
  Check = new("check")
  Classification = new("classification")
  Contact = new("contact")
  ContactCategory = new("contactCategory")
  ContactRole = new("contactRole")
  CostCategory = new("costCategory")
  CouponCode = new("couponCode")
  CreditMemo = new("creditMemo")
  CrmCustomField = new("crmCustomField")
  Currency = new("currency")
  CurrencyRate = new("currencyRate")
  CustomList = new("customList")
  CustomRecord = new("customRecord")
  CustomRecordCustomField = new("customRecordCustomField")
  CustomRecordType = new("customRecordType")
  Customer = new("customer")
  CustomerCategory = new("customerCategory")
  CustomerDeposit = new("customerDeposit")
  CustomerMessage = new("customerMessage")
  CustomerPayment = new("customerPayment")
  CustomerRefund = new("customerRefund")
  CustomerStatus = new("customerStatus")
  Department = new("department")
  DepositApplication = new("depositApplication")
  DescriptionItem = new("descriptionItem")
  DiscountItem = new("discountItem")
  DownloadItem = new("downloadItem")
  Employee = new("employee")
  EntityCustomField = new("entityCustomField")
  EntityGroup = new("entityGroup")
  Estimate = new("estimate")
  ExpenseCategory = new("expenseCategory")
  ExpenseReport = new("expenseReport")
  Folder = new("folder")
  GiftCertificate = new("giftCertificate")
  GiftCertificateItem = new("giftCertificateItem")
  InterCompanyJournalEntry = new("interCompanyJournalEntry")
  InterCompanyTransferOrder = new("interCompanyTransferOrder")
  InventoryAdjustment = new("inventoryAdjustment")
  InventoryCostRevaluation = new("inventoryCostRevaluation")
  InventoryItem = new("inventoryItem")
  InventoryNumber = new("inventoryNumber")
  InventoryTransfer = new("inventoryTransfer")
  Invoice = new("invoice")
  Issue = new("issue")
  ItemCustomField = new("itemCustomField")
  ItemDemandPlan = new("itemDemandPlan")
  ItemFulfillment = new("itemFulfillment")
  ItemGroup = new("itemGroup")
  ItemNumberCustomField = new("itemNumberCustomField")
  ItemOptionCustomField = new("itemOptionCustomField")
  ItemReceipt = new("itemReceipt")
  ItemRevision = new("itemRevision")
  ItemSupplyPlan = new("itemSupplyPlan")
  Job = new("job")
  JobStatus = new("jobStatus")
  JobType = new("jobType")
  JournalEntry = new("journalEntry")
  KitItem = new("kitItem")
  LeadSource = new("leadSource")
  Location = new("location")
  LotNumberedAssemblyItem = new("lotNumberedAssemblyItem")
  LotNumberedInventoryItem = new("lotNumberedInventoryItem")
  ManufacturingCostTemplate = new("manufacturingCostTemplate")
  ManufacturingOperationTask = new("manufacturingOperationTask")
  ManufacturingRouting = new("manufacturingRouting")
  MarkupItem = new("markupItem")
  Message = new("message")
  Nexus = new("nexus")
  NonInventoryPurchaseItem = new("nonInventoryPurchaseItem")
  NonInventoryResaleItem = new("nonInventoryResaleItem")
  NonInventorySaleItem = new("nonInventorySaleItem")
  Note = new("note")
  NoteType = new("noteType")
  Opportunity = new("opportunity")
  OtherChargePurchaseItem = new("otherChargePurchaseItem")
  OtherChargeResaleItem = new("otherChargeResaleItem")
  OtherChargeSaleItem = new("otherChargeSaleItem")
  OtherCustomField = new("otherCustomField")
  OtherNameCategory = new("otherNameCategory")
  Partner = new("partner")
  PartnerCategory = new("partnerCategory")
  PaycheckJournal = new("paycheckJournal")
  PaymentItem = new("paymentItem")
  PaymentMethod = new("paymentMethod")
  PayrollItem = new("payrollItem")
  PhoneCall = new("phoneCall")
  PriceLevel = new("priceLevel")
  PricingGroup = new("pricingGroup")
  ProjectTask = new("projectTask")
  PromotionCode = new("promotionCode")
  PurchaseOrder = new("purchaseOrder")
  ResourceAllocation = new("resourceAllocation")
  ReturnAuthorization = new("returnAuthorization")
  RevRecSchedule = new("revRecSchedule")
  RevRecTemplate = new("revRecTemplate")
  SalesOrder = new("salesOrder")
  SalesRole = new("salesRole")
  SalesTaxItem = new("salesTaxItem")
  SerializedAssemblyItem = new("serializedAssemblyItem")
  SerializedInventoryItem = new("serializedInventoryItem")
  ServicePurchaseItem = new("servicePurchaseItem")
  ServiceResaleItem = new("serviceResaleItem")
  ServiceSaleItem = new("serviceSaleItem")
  SiteCategory = new("siteCategory")
  Solution = new("solution")
  State = new("state")
  Subsidiary = new("subsidiary")
  SubtotalItem = new("subtotalItem")
  SupportCase = new("supportCase")
  SupportCaseIssue = new("supportCaseIssue")
  SupportCaseOrigin = new("supportCaseOrigin")
  SupportCasePriority = new("supportCasePriority")
  SupportCaseStatus = new("supportCaseStatus")
  SupportCaseType = new("supportCaseType")
  Task = new("task")
  TaxAcct = new("taxAcct")
  TaxGroup = new("taxGroup")
  TaxType = new("taxType")
  Term = new("term")
  TimeBill = new("timeBill")
  Topic = new("topic")
  TransactionBodyCustomField = new("transactionBodyCustomField")
  TransactionColumnCustomField = new("transactionColumnCustomField")
  TransferOrder = new("transferOrder")
  UnitsType = new("unitsType")
  Vendor = new("vendor")
  VendorBill = new("vendorBill")
  VendorCategory = new("vendorCategory")
  VendorCredit = new("vendorCredit")
  VendorPayment = new("vendorPayment")
  VendorReturnAuthorization = new("vendorReturnAuthorization")
  WinLossReason = new("winLossReason")
  WorkOrder = new("workOrder")
  WorkOrderClose = new("workOrderClose")
  WorkOrderCompletion = new("workOrderCompletion")
  WorkOrderIssue = new("workOrderIssue")
end

# {urn:types.core_2013_2.platform.webservices.netsuite.com}SearchRecordType
class SearchRecordType < ::String
  Account = new("account")
  AccountingPeriod = new("accountingPeriod")
  AppDefinition = new("appDefinition")
  AppPackage = new("appPackage")
  AssemblyItem = new("assemblyItem")
  Bin = new("bin")
  Budget = new("budget")
  C_File = new("file")
  CalendarEvent = new("calendarEvent")
  Campaign = new("campaign")
  Classification = new("classification")
  Contact = new("contact")
  CustomRecord = new("customRecord")
  Customer = new("customer")
  CustomerMessage = new("customerMessage")
  Department = new("department")
  Employee = new("employee")
  EntityGroup = new("entityGroup")
  Folder = new("folder")
  GiftCertificate = new("giftCertificate")
  GroupMember = new("groupMember")
  InventoryNumber = new("inventoryNumber")
  Issue = new("issue")
  Item = new("item")
  Job = new("job")
  Location = new("location")
  LotNumberedAssemblyItem = new("lotNumberedAssemblyItem")
  ManufacturingCostTemplate = new("manufacturingCostTemplate")
  ManufacturingOperationTask = new("manufacturingOperationTask")
  ManufacturingRouting = new("manufacturingRouting")
  Message = new("message")
  Nexus = new("nexus")
  Note = new("note")
  Opportunity = new("opportunity")
  OtherNameCategory = new("otherNameCategory")
  Partner = new("partner")
  PhoneCall = new("phoneCall")
  PriceLevel = new("priceLevel")
  PricingGroup = new("pricingGroup")
  ProjectTask = new("projectTask")
  PromotionCode = new("promotionCode")
  ResourceAllocation = new("resourceAllocation")
  RevRecSchedule = new("revRecSchedule")
  RevRecTemplate = new("revRecTemplate")
  SalesRole = new("salesRole")
  SerializedAssemblyItem = new("serializedAssemblyItem")
  SiteCategory = new("siteCategory")
  Solution = new("solution")
  Subsidiary = new("subsidiary")
  SupportCase = new("supportCase")
  Task = new("task")
  TimeBill = new("timeBill")
  Topic = new("topic")
  Transaction = new("transaction")
  Vendor = new("vendor")
end

# {urn:types.core_2013_2.platform.webservices.netsuite.com}GetAllRecordType
class GetAllRecordType < ::String
  BudgetCategory = new("budgetCategory")
  CampaignAudience = new("campaignAudience")
  CampaignCategory = new("campaignCategory")
  CampaignChannel = new("campaignChannel")
  CampaignFamily = new("campaignFamily")
  CampaignOffer = new("campaignOffer")
  CampaignSearchEngine = new("campaignSearchEngine")
  CampaignSubscription = new("campaignSubscription")
  CampaignVertical = new("campaignVertical")
  CostCategory = new("costCategory")
  Currency = new("currency")
  LeadSource = new("leadSource")
  SalesTaxItem = new("salesTaxItem")
  State = new("state")
  SupportCaseIssue = new("supportCaseIssue")
  SupportCaseOrigin = new("supportCaseOrigin")
  SupportCasePriority = new("supportCasePriority")
  SupportCaseStatus = new("supportCaseStatus")
  SupportCaseType = new("supportCaseType")
  TaxGroup = new("taxGroup")
  TaxType = new("taxType")
end

# {urn:types.core_2013_2.platform.webservices.netsuite.com}GetCustomizationType
class GetCustomizationType < ::String
  CrmCustomField = new("crmCustomField")
  CustomList = new("customList")
  CustomRecordType = new("customRecordType")
  EntityCustomField = new("entityCustomField")
  ItemCustomField = new("itemCustomField")
  ItemNumberCustomField = new("itemNumberCustomField")
  ItemOptionCustomField = new("itemOptionCustomField")
  OtherCustomField = new("otherCustomField")
  TransactionBodyCustomField = new("transactionBodyCustomField")
  TransactionColumnCustomField = new("transactionColumnCustomField")
end

# {urn:types.core_2013_2.platform.webservices.netsuite.com}InitializeType
class InitializeType < ::String
  AssemblyBuild = new("assemblyBuild")
  AssemblyUnbuild = new("assemblyUnbuild")
  BinWorksheet = new("binWorksheet")
  CashRefund = new("cashRefund")
  CashSale = new("cashSale")
  CreditMemo = new("creditMemo")
  CustomerPayment = new("customerPayment")
  CustomerRefund = new("customerRefund")
  DepositApplication = new("depositApplication")
  Estimate = new("estimate")
  InventoryTransfer = new("inventoryTransfer")
  Invoice = new("invoice")
  ItemFulfillment = new("itemFulfillment")
  ItemReceipt = new("itemReceipt")
  ReturnAuthorization = new("returnAuthorization")
  SalesOrder = new("salesOrder")
  VendorBill = new("vendorBill")
  VendorCredit = new("vendorCredit")
  VendorPayment = new("vendorPayment")
  VendorReturnAuthorization = new("vendorReturnAuthorization")
  WorkOrder = new("workOrder")
  WorkOrderClose = new("workOrderClose")
  WorkOrderCompletion = new("workOrderCompletion")
  WorkOrderIssue = new("workOrderIssue")
end

# {urn:types.core_2013_2.platform.webservices.netsuite.com}InitializeRefType
class InitializeRefType < ::String
  AssemblyBuild = new("assemblyBuild")
  AssemblyItem = new("assemblyItem")
  CashSale = new("cashSale")
  CreditMemo = new("creditMemo")
  Customer = new("customer")
  CustomerDeposit = new("customerDeposit")
  Employee = new("employee")
  Estimate = new("estimate")
  InterCompanyTransferOrder = new("interCompanyTransferOrder")
  Invoice = new("invoice")
  Location = new("location")
  LotNumberedAssemblyItem = new("lotNumberedAssemblyItem")
  Opportunity = new("opportunity")
  PurchaseOrder = new("purchaseOrder")
  ReturnAuthorization = new("returnAuthorization")
  SalesOrder = new("salesOrder")
  SerializedAssemblyItem = new("serializedAssemblyItem")
  TransferOrder = new("transferOrder")
  Vendor = new("vendor")
  VendorBill = new("vendorBill")
  VendorReturnAuthorization = new("vendorReturnAuthorization")
  WorkOrder = new("workOrder")
end

# {urn:types.core_2013_2.platform.webservices.netsuite.com}InitializeAuxRefType
class InitializeAuxRefType < ::String
  ApAccount = new("apAccount")
  ArAccount = new("arAccount")
  ShippingGroup = new("shippingGroup")
end

# {urn:types.core_2013_2.platform.webservices.netsuite.com}DeletedRecordType
class DeletedRecordType < ::String
  AssemblyBuild = new("assemblyBuild")
  AssemblyItem = new("assemblyItem")
  AssemblyUnbuild = new("assemblyUnbuild")
  Bin = new("bin")
  BinTransfer = new("binTransfer")
  BinWorksheet = new("binWorksheet")
  C_File = new("file")
  CalendarEvent = new("calendarEvent")
  Campaign = new("campaign")
  CashRefund = new("cashRefund")
  CashSale = new("cashSale")
  Charge = new("charge")
  Check = new("check")
  Contact = new("contact")
  ContactCategory = new("contactCategory")
  CostCategory = new("costCategory")
  CouponCode = new("couponCode")
  CreditMemo = new("creditMemo")
  CurrencyRate = new("currencyRate")
  CustomRecord = new("customRecord")
  Customer = new("customer")
  CustomerCategory = new("customerCategory")
  CustomerDeposit = new("customerDeposit")
  CustomerMessage = new("customerMessage")
  CustomerPayment = new("customerPayment")
  CustomerRefund = new("customerRefund")
  CustomerStatus = new("customerStatus")
  DepositApplication = new("depositApplication")
  DescriptionItem = new("descriptionItem")
  DiscountItem = new("discountItem")
  DownloadItem = new("downloadItem")
  Employee = new("employee")
  Estimate = new("estimate")
  ExpenseReport = new("expenseReport")
  Folder = new("folder")
  GiftCertificateItem = new("giftCertificateItem")
  InterCompanyJournalEntry = new("interCompanyJournalEntry")
  InterCompanyTransferOrder = new("interCompanyTransferOrder")
  InventoryAdjustment = new("inventoryAdjustment")
  InventoryCostRevaluation = new("inventoryCostRevaluation")
  InventoryItem = new("inventoryItem")
  InventoryNumber = new("inventoryNumber")
  InventoryTransfer = new("inventoryTransfer")
  Invoice = new("invoice")
  Issue = new("issue")
  ItemDemandPlan = new("itemDemandPlan")
  ItemFulfillment = new("itemFulfillment")
  ItemGroup = new("itemGroup")
  ItemReceipt = new("itemReceipt")
  ItemRevision = new("itemRevision")
  ItemSupplyPlan = new("itemSupplyPlan")
  Job = new("job")
  JobStatus = new("jobStatus")
  JournalEntry = new("journalEntry")
  KitItem = new("kitItem")
  LotNumberedAssemblyItem = new("lotNumberedAssemblyItem")
  LotNumberedInventoryItem = new("lotNumberedInventoryItem")
  ManufacturingCostTemplate = new("manufacturingCostTemplate")
  ManufacturingOperationTask = new("manufacturingOperationTask")
  ManufacturingRouting = new("manufacturingRouting")
  MarkupItem = new("markupItem")
  Message = new("message")
  Nexus = new("nexus")
  NonInventoryPurchaseItem = new("nonInventoryPurchaseItem")
  NonInventoryResaleItem = new("nonInventoryResaleItem")
  NonInventorySaleItem = new("nonInventorySaleItem")
  Note = new("note")
  NoteType = new("noteType")
  Opportunity = new("opportunity")
  OtherChargePurchaseItem = new("otherChargePurchaseItem")
  OtherChargeResaleItem = new("otherChargeResaleItem")
  OtherChargeSaleItem = new("otherChargeSaleItem")
  OtherNameCategory = new("otherNameCategory")
  Partner = new("partner")
  PaymentItem = new("paymentItem")
  PaymentMethod = new("paymentMethod")
  PayrollItem = new("payrollItem")
  PhoneCall = new("phoneCall")
  PriceLevel = new("priceLevel")
  PricingGroup = new("pricingGroup")
  ProjectTask = new("projectTask")
  PromotionCode = new("promotionCode")
  PurchaseOrder = new("purchaseOrder")
  ResourceAllocation = new("resourceAllocation")
  ReturnAuthorization = new("returnAuthorization")
  SalesOrder = new("salesOrder")
  SalesTaxItem = new("salesTaxItem")
  SerializedAssemblyItem = new("serializedAssemblyItem")
  SerializedInventoryItem = new("serializedInventoryItem")
  ServicePurchaseItem = new("servicePurchaseItem")
  ServiceResaleItem = new("serviceResaleItem")
  ServiceSaleItem = new("serviceSaleItem")
  SubtotalItem = new("subtotalItem")
  SupportCase = new("supportCase")
  SupportCaseIssue = new("supportCaseIssue")
  SupportCaseOrigin = new("supportCaseOrigin")
  SupportCasePriority = new("supportCasePriority")
  SupportCaseStatus = new("supportCaseStatus")
  SupportCaseType = new("supportCaseType")
  Task = new("task")
  Term = new("term")
  TransferOrder = new("transferOrder")
  Vendor = new("vendor")
  VendorBill = new("vendorBill")
  VendorCredit = new("vendorCredit")
  VendorPayment = new("vendorPayment")
  VendorReturnAuthorization = new("vendorReturnAuthorization")
  WinLossReason = new("winLossReason")
  WorkOrder = new("workOrder")
  WorkOrderClose = new("workOrderClose")
  WorkOrderCompletion = new("workOrderCompletion")
  WorkOrderIssue = new("workOrderIssue")
end

# {urn:types.core_2013_2.platform.webservices.netsuite.com}AsyncStatusType
class AsyncStatusType < ::String
  Failed = new("failed")
  Finished = new("finished")
  FinishedWithErrors = new("finishedWithErrors")
  Pending = new("pending")
  Processing = new("processing")
end

# {urn:types.core_2013_2.platform.webservices.netsuite.com}SearchStringFieldOperator
class SearchStringFieldOperator < ::String
  Contains = new("contains")
  DoesNotContain = new("doesNotContain")
  DoesNotStartWith = new("doesNotStartWith")
  Empty = new("empty")
  HasKeywords = new("hasKeywords")
  Is = new("is")
  IsNot = new("isNot")
  NotEmpty = new("notEmpty")
  StartsWith = new("startsWith")
end

# {urn:types.core_2013_2.platform.webservices.netsuite.com}SearchLongFieldOperator
class SearchLongFieldOperator < ::String
  Between = new("between")
  Empty = new("empty")
  EqualTo = new("equalTo")
  GreaterThan = new("greaterThan")
  GreaterThanOrEqualTo = new("greaterThanOrEqualTo")
  LessThan = new("lessThan")
  LessThanOrEqualTo = new("lessThanOrEqualTo")
  NotBetween = new("notBetween")
  NotEmpty = new("notEmpty")
  NotEqualTo = new("notEqualTo")
  NotGreaterThan = new("notGreaterThan")
  NotGreaterThanOrEqualTo = new("notGreaterThanOrEqualTo")
  NotLessThan = new("notLessThan")
  NotLessThanOrEqualTo = new("notLessThanOrEqualTo")
end

# {urn:types.core_2013_2.platform.webservices.netsuite.com}SearchTextNumberFieldOperator
class SearchTextNumberFieldOperator < ::String
  Between = new("between")
  Empty = new("empty")
  EqualTo = new("equalTo")
  GreaterThan = new("greaterThan")
  GreaterThanOrEqualTo = new("greaterThanOrEqualTo")
  LessThan = new("lessThan")
  LessThanOrEqualTo = new("lessThanOrEqualTo")
  NotBetween = new("notBetween")
  NotEmpty = new("notEmpty")
  NotEqualTo = new("notEqualTo")
  NotGreaterThan = new("notGreaterThan")
  NotGreaterThanOrEqualTo = new("notGreaterThanOrEqualTo")
  NotLessThan = new("notLessThan")
  NotLessThanOrEqualTo = new("notLessThanOrEqualTo")
end

# {urn:types.core_2013_2.platform.webservices.netsuite.com}SearchDoubleFieldOperator
class SearchDoubleFieldOperator < ::String
  Between = new("between")
  Empty = new("empty")
  EqualTo = new("equalTo")
  GreaterThan = new("greaterThan")
  GreaterThanOrEqualTo = new("greaterThanOrEqualTo")
  LessThan = new("lessThan")
  LessThanOrEqualTo = new("lessThanOrEqualTo")
  NotBetween = new("notBetween")
  NotEmpty = new("notEmpty")
  NotEqualTo = new("notEqualTo")
  NotGreaterThan = new("notGreaterThan")
  NotGreaterThanOrEqualTo = new("notGreaterThanOrEqualTo")
  NotLessThan = new("notLessThan")
  NotLessThanOrEqualTo = new("notLessThanOrEqualTo")
end

# {urn:types.core_2013_2.platform.webservices.netsuite.com}SearchDateFieldOperator
class SearchDateFieldOperator < ::String
  After = new("after")
  Before = new("before")
  Empty = new("empty")
  NotAfter = new("notAfter")
  NotBefore = new("notBefore")
  NotEmpty = new("notEmpty")
  NotOn = new("notOn")
  NotOnOrAfter = new("notOnOrAfter")
  NotOnOrBefore = new("notOnOrBefore")
  NotWithin = new("notWithin")
  On = new("on")
  OnOrAfter = new("onOrAfter")
  OnOrBefore = new("onOrBefore")
  Within = new("within")
end

# {urn:types.core_2013_2.platform.webservices.netsuite.com}SearchEnumMultiSelectFieldOperator
class SearchEnumMultiSelectFieldOperator < ::String
  AnyOf = new("anyOf")
  NoneOf = new("noneOf")
end

# {urn:types.core_2013_2.platform.webservices.netsuite.com}SearchMultiSelectFieldOperator
class SearchMultiSelectFieldOperator < ::String
  AnyOf = new("anyOf")
  NoneOf = new("noneOf")
end

# {urn:types.core_2013_2.platform.webservices.netsuite.com}SearchDate
class SearchDate < ::String
  FiscalHalfBeforeLast = new("fiscalHalfBeforeLast")
  FiscalHalfBeforeLastToDate = new("fiscalHalfBeforeLastToDate")
  FiscalQuarterBeforeLast = new("fiscalQuarterBeforeLast")
  FiscalQuarterBeforeLastToDate = new("fiscalQuarterBeforeLastToDate")
  FiscalYearBeforeLast = new("fiscalYearBeforeLast")
  FiscalYearBeforeLastToDate = new("fiscalYearBeforeLastToDate")
  LastBusinessWeek = new("lastBusinessWeek")
  LastFiscalHalf = new("lastFiscalHalf")
  LastFiscalHalfOneYearAgo = new("lastFiscalHalfOneYearAgo")
  LastFiscalHalfToDate = new("lastFiscalHalfToDate")
  LastFiscalQuarter = new("lastFiscalQuarter")
  LastFiscalQuarterOneYearAgo = new("lastFiscalQuarterOneYearAgo")
  LastFiscalQuarterToDate = new("lastFiscalQuarterToDate")
  LastFiscalYear = new("lastFiscalYear")
  LastFiscalYearToDate = new("lastFiscalYearToDate")
  LastMonth = new("lastMonth")
  LastMonthOneQuarterAgo = new("lastMonthOneQuarterAgo")
  LastMonthOneYearAgo = new("lastMonthOneYearAgo")
  LastMonthToDate = new("lastMonthToDate")
  LastMonthTwoQuartersAgo = new("lastMonthTwoQuartersAgo")
  LastMonthTwoYearsAgo = new("lastMonthTwoYearsAgo")
  LastQuarterTwoYearsAgo = new("lastQuarterTwoYearsAgo")
  LastRollingHalf = new("lastRollingHalf")
  LastRollingQuarter = new("lastRollingQuarter")
  LastRollingYear = new("lastRollingYear")
  LastWeek = new("lastWeek")
  LastWeekToDate = new("lastWeekToDate")
  MonthBeforeLast = new("monthBeforeLast")
  MonthBeforeLastToDate = new("monthBeforeLastToDate")
  NextBusinessWeek = new("nextBusinessWeek")
  NextFiscalHalf = new("nextFiscalHalf")
  NextFiscalQuarter = new("nextFiscalQuarter")
  NextFiscalYear = new("nextFiscalYear")
  NextFourWeeks = new("nextFourWeeks")
  NextMonth = new("nextMonth")
  NextOneHalf = new("nextOneHalf")
  NextOneMonth = new("nextOneMonth")
  NextOneQuarter = new("nextOneQuarter")
  NextOneWeek = new("nextOneWeek")
  NextOneYear = new("nextOneYear")
  NextWeek = new("nextWeek")
  OneYearBeforeLast = new("oneYearBeforeLast")
  PreviousMonthsLastFiscalHalf = new("previousMonthsLastFiscalHalf")
  PreviousMonthsLastFiscalQuarter = new("previousMonthsLastFiscalQuarter")
  PreviousMonthsLastFiscalYear = new("previousMonthsLastFiscalYear")
  PreviousMonthsSameFiscalHalfLastYear = new("previousMonthsSameFiscalHalfLastYear")
  PreviousMonthsSameFiscalQuartherLastFiscalYear = new("previousMonthsSameFiscalQuartherLastFiscalYear")
  PreviousMonthsThisFiscalHalf = new("previousMonthsThisFiscalHalf")
  PreviousMonthsThisFiscalQuarter = new("previousMonthsThisFiscalQuarter")
  PreviousMonthsThisFiscalYear = new("previousMonthsThisFiscalYear")
  PreviousOneDay = new("previousOneDay")
  PreviousOneHalf = new("previousOneHalf")
  PreviousOneMonth = new("previousOneMonth")
  PreviousOneQuarter = new("previousOneQuarter")
  PreviousOneWeek = new("previousOneWeek")
  PreviousOneYear = new("previousOneYear")
  PreviousQuartersLastFiscalYear = new("previousQuartersLastFiscalYear")
  PreviousQuartersThisFiscalYear = new("previousQuartersThisFiscalYear")
  PreviousRollingHalf = new("previousRollingHalf")
  PreviousRollingQuarter = new("previousRollingQuarter")
  PreviousRollingYear = new("previousRollingYear")
  SameDayFiscalQuarterBeforeLast = new("sameDayFiscalQuarterBeforeLast")
  SameDayFiscalYearBeforeLast = new("sameDayFiscalYearBeforeLast")
  SameDayLastFiscalQuarter = new("sameDayLastFiscalQuarter")
  SameDayLastFiscalYear = new("sameDayLastFiscalYear")
  SameDayLastMonth = new("sameDayLastMonth")
  SameDayLastWeek = new("sameDayLastWeek")
  SameDayMonthBeforeLast = new("sameDayMonthBeforeLast")
  SameDayWeekBeforeLast = new("sameDayWeekBeforeLast")
  SameFiscalQuarterFiscalYearBeforeLast = new("sameFiscalQuarterFiscalYearBeforeLast")
  SameHalfLastFiscalYearToDate = new("sameHalfLastFiscalYearToDate")
  SameMonthFiscalQuarterBeforeLast = new("sameMonthFiscalQuarterBeforeLast")
  SameMonthFiscalYearBeforeLast = new("sameMonthFiscalYearBeforeLast")
  SameMonthLastFiscalQuarter = new("sameMonthLastFiscalQuarter")
  SameMonthLastFiscalQuarterToDate = new("sameMonthLastFiscalQuarterToDate")
  SameMonthLastFiscalYear = new("sameMonthLastFiscalYear")
  SameMonthLastFiscalYearToDate = new("sameMonthLastFiscalYearToDate")
  SameQuarterLastFiscalYear = new("sameQuarterLastFiscalYear")
  SameQuarterLastFiscalYearToDate = new("sameQuarterLastFiscalYearToDate")
  SameWeekFiscalYearBeforeLast = new("sameWeekFiscalYearBeforeLast")
  SameWeekLastFiscalYear = new("sameWeekLastFiscalYear")
  StartOfLastBusinessWeek = new("startOfLastBusinessWeek")
  StartOfLastFiscalHalf = new("startOfLastFiscalHalf")
  StartOfLastFiscalQuarter = new("startOfLastFiscalQuarter")
  StartOfLastFiscalYear = new("startOfLastFiscalYear")
  StartOfLastHalfOneYearAgo = new("startOfLastHalfOneYearAgo")
  StartOfLastMonth = new("startOfLastMonth")
  StartOfLastMonthOneQuarterAgo = new("startOfLastMonthOneQuarterAgo")
  StartOfLastMonthOneYearAgo = new("startOfLastMonthOneYearAgo")
  StartOfLastQuarterOneYearAgo = new("startOfLastQuarterOneYearAgo")
  StartOfLastRollingHalf = new("startOfLastRollingHalf")
  StartOfLastRollingQuarter = new("startOfLastRollingQuarter")
  StartOfLastRollingYear = new("startOfLastRollingYear")
  StartOfLastWeek = new("startOfLastWeek")
  StartOfNextBusinessWeek = new("startOfNextBusinessWeek")
  StartOfNextFiscalHalf = new("startOfNextFiscalHalf")
  StartOfNextFiscalQuarter = new("startOfNextFiscalQuarter")
  StartOfNextMonth = new("startOfNextMonth")
  StartOfNextWeek = new("startOfNextWeek")
  StartOfNextYear = new("startOfNextYear")
  StartOfPreviousRollingHalf = new("startOfPreviousRollingHalf")
  StartOfPreviousRollingQuarter = new("startOfPreviousRollingQuarter")
  StartOfPreviousRollingYear = new("startOfPreviousRollingYear")
  StartOfSameHalfLastFiscalYear = new("startOfSameHalfLastFiscalYear")
  StartOfSameMonthLastFiscalQuarter = new("startOfSameMonthLastFiscalQuarter")
  StartOfSameMonthLastFiscalYear = new("startOfSameMonthLastFiscalYear")
  StartOfSameQuarterLastFiscalYear = new("startOfSameQuarterLastFiscalYear")
  StartOfTheHalfBeforeLast = new("startOfTheHalfBeforeLast")
  StartOfTheMonthBeforeLast = new("startOfTheMonthBeforeLast")
  StartOfTheQuarterBeforeLast = new("startOfTheQuarterBeforeLast")
  StartOfTheWeekBeforeLast = new("startOfTheWeekBeforeLast")
  StartOfTheYearBeforeLast = new("startOfTheYearBeforeLast")
  StartOfThisBusinessWeek = new("startOfThisBusinessWeek")
  StartOfThisFiscalHalf = new("startOfThisFiscalHalf")
  StartOfThisFiscalQuarter = new("startOfThisFiscalQuarter")
  StartOfThisFiscalYear = new("startOfThisFiscalYear")
  StartOfThisMonth = new("startOfThisMonth")
  StartOfThisWeek = new("startOfThisWeek")
  StartOfThisYear = new("startOfThisYear")
  ThisBusinessWeek = new("thisBusinessWeek")
  ThisFiscalHalf = new("thisFiscalHalf")
  ThisFiscalHalfToDate = new("thisFiscalHalfToDate")
  ThisFiscalQuarter = new("thisFiscalQuarter")
  ThisFiscalQuarterToDate = new("thisFiscalQuarterToDate")
  ThisFiscalYear = new("thisFiscalYear")
  ThisFiscalYearToDate = new("thisFiscalYearToDate")
  ThisMonth = new("thisMonth")
  ThisMonthToDate = new("thisMonthToDate")
  ThisRollingHalf = new("thisRollingHalf")
  ThisRollingQuarter = new("thisRollingQuarter")
  ThisRollingYear = new("thisRollingYear")
  ThisWeek = new("thisWeek")
  ThisWeekToDate = new("thisWeekToDate")
  ThisYear = new("thisYear")
  ThreeMonthsAgo = new("threeMonthsAgo")
  ThreeQuartersAgo = new("threeQuartersAgo")
  ThreeYearsAgo = new("threeYearsAgo")
  Today = new("today")
  Tomorrow = new("tomorrow")
  TwoDaysAgo = new("twoDaysAgo")
  WeekBeforeLast = new("weekBeforeLast")
  WeekBeforeLastToDate = new("weekBeforeLastToDate")
  Yesterday = new("yesterday")
end

# {urn:types.core_2013_2.platform.webservices.netsuite.com}DurationUnit
class DurationUnit < ::String
  Hour = new("hour")
end

# {urn:types.core_2013_2.platform.webservices.netsuite.com}CalendarEventAttendeeResponse
class CalendarEventAttendeeResponse < ::String
  C__accepted = new("_accepted")
  C__declined = new("_declined")
  C__noResponse = new("_noResponse")
  C__tentative = new("_tentative")
end

# {urn:types.core_2013_2.platform.webservices.netsuite.com}GetSelectValueFilterOperator
class GetSelectValueFilterOperator < ::String
  Contains = new("contains")
  Is = new("is")
  StartsWith = new("startsWith")
end

# {urn:types.faults_2013_2.platform.webservices.netsuite.com}StatusDetailType
class StatusDetailType < ::String
  ERROR = new("ERROR")
  INFO = new("INFO")
  WARN = new("WARN")
end

# {urn:types.faults_2013_2.platform.webservices.netsuite.com}StatusDetailCodeType
class StatusDetailCodeType < ::String
  ABORT_SEARCH_EXCEEDED_MAX_TIME = new("ABORT_SEARCH_EXCEEDED_MAX_TIME")
  ABORT_UPLOAD_VIRUS_DETECTED = new("ABORT_UPLOAD_VIRUS_DETECTED")
  ACCTNG_PRD_REQD = new("ACCTNG_PRD_REQD")
  ACCT_DISABLED = new("ACCT_DISABLED")
  ACCT_NAME_REQD = new("ACCT_NAME_REQD")
  ACCT_NEEDS_CAMPAIGN_PROVISION = new("ACCT_NEEDS_CAMPAIGN_PROVISION")
  ACCT_NUMS_REQD_OR_DONT_MATCH = new("ACCT_NUMS_REQD_OR_DONT_MATCH")
  ACCT_NUM_REQD = new("ACCT_NUM_REQD")
  ACCT_PERIOD_SETUP_REQD = new("ACCT_PERIOD_SETUP_REQD")
  ACCT_PRDS_BEING_ADDED = new("ACCT_PRDS_BEING_ADDED")
  ACCT_REQD = new("ACCT_REQD")
  ACCT_TEMP_DISABLED = new("ACCT_TEMP_DISABLED")
  ACCT_TEMP_UNAVAILABLE = new("ACCT_TEMP_UNAVAILABLE")
  ACH_SETUP_REQD = new("ACH_SETUP_REQD")
  ACTIVE_ROLE_REQD = new("ACTIVE_ROLE_REQD")
  ACTIVE_TRANS_EXIST = new("ACTIVE_TRANS_EXIST")
  ADDRESS_LINE_1_REQD = new("ADDRESS_LINE_1_REQD")
  ADMIN_ACCESS_REQ = new("ADMIN_ACCESS_REQ")
  ADMIN_ACCESS_REQD = new("ADMIN_ACCESS_REQD")
  ADMIN_ONLY_ACCESS = new("ADMIN_ONLY_ACCESS")
  ADMIN_USER_REQD = new("ADMIN_USER_REQD")
  ADMISSIBILITY_PACKG_TYP_REQD = new("ADMISSIBILITY_PACKG_TYP_REQD")
  ALL_DATA_DELETE_REQD = new("ALL_DATA_DELETE_REQD")
  ALL_MTRX_SUBITMES_OPTNS_REQD = new("ALL_MTRX_SUBITMES_OPTNS_REQD")
  ALREADY_IN_INVT = new("ALREADY_IN_INVT")
  AMORTZN_INVALID_DATE_RANGE = new("AMORTZN_INVALID_DATE_RANGE")
  AMORTZN_TMPLT_DATA_MISSING = new("AMORTZN_TMPLT_DATA_MISSING")
  AMT_DISALLWD = new("AMT_DISALLWD")
  AMT_EXCEEDS_APPROVAL_LIMIT = new("AMT_EXCEEDS_APPROVAL_LIMIT")
  ANSWER_REQD = new("ANSWER_REQD")
  APPROVAL_PERMS_REQD = new("APPROVAL_PERMS_REQD")
  AREA_CODE_REQD = new("AREA_CODE_REQD")
  ASSIGNEE_REQD = new("ASSIGNEE_REQD")
  ATTACHMNT_CONTAINS_VIRUS = new("ATTACHMNT_CONTAINS_VIRUS")
  ATTACH_SIZE_EXCEEDED = new("ATTACH_SIZE_EXCEEDED")
  AT_LEAST_ONE_FILE_REQD = new("AT_LEAST_ONE_FILE_REQD")
  AT_LEAST_ONE_PACKAGE_REQD = new("AT_LEAST_ONE_PACKAGE_REQD")
  AT_LEAST_ONE_RETURN_FLD_REQD = new("AT_LEAST_ONE_RETURN_FLD_REQD")
  AT_LEAST_ONE_SUB_REQD = new("AT_LEAST_ONE_SUB_REQD")
  AUDIT_W2_1099 = new("AUDIT_W2_1099")
  AUTO_NUM_UPDATE_DISALLWD = new("AUTO_NUM_UPDATE_DISALLWD")
  AVS_ERROR = new("AVS_ERROR")
  BALANCE_EXCEEDS_CREDIT_LIMIT = new("BALANCE_EXCEEDS_CREDIT_LIMIT")
  BANK_ACCT_REQD = new("BANK_ACCT_REQD")
  BASE_CRNCY_REQD = new("BASE_CRNCY_REQD")
  BILLABLES_DISALLWD = new("BILLABLES_DISALLWD")
  BILLING_ISSUES = new("BILLING_ISSUES")
  BILLING_SCHDUL_INVALID_RECURR = new("BILLING_SCHDUL_INVALID_RECURR")
  BILLPAY_APPROVAL_UNAVAILBL = new("BILLPAY_APPROVAL_UNAVAILBL")
  BILLPAY_REGSTRTN_REQD = new("BILLPAY_REGSTRTN_REQD")
  BILLPAY_SRVC_UNAVAILBL = new("BILLPAY_SRVC_UNAVAILBL")
  BILL_PAY_STATUS_UNAVAILABLE = new("BILL_PAY_STATUS_UNAVAILABLE")
  BILL_PMTS_MADE_FROM_ACCT_ONLY = new("BILL_PMTS_MADE_FROM_ACCT_ONLY")
  BIN_DSNT_CONTAIN_ENOUGH_ITEM = new("BIN_DSNT_CONTAIN_ENOUGH_ITEM")
  BIN_ITEM_UNAVAILBL = new("BIN_ITEM_UNAVAILBL")
  BIN_SETUP_REQD = new("BIN_SETUP_REQD")
  BIN_UNDEFND = new("BIN_UNDEFND")
  CALENDAR_PREFS_REQD = new("CALENDAR_PREFS_REQD")
  CAMPAGIN_ALREADY_EXECUTED = new("CAMPAGIN_ALREADY_EXECUTED")
  CAMPAIGN_IN_USE = new("CAMPAIGN_IN_USE")
  CAMPAIGN_SET_UP_REQD = new("CAMPAIGN_SET_UP_REQD")
  CANT_APPLY_PMT = new("CANT_APPLY_PMT")
  CANT_AUTO_CREATE_ADJSTMNT = new("CANT_AUTO_CREATE_ADJSTMNT")
  CANT_CALC_FEDEX_RATES = new("CANT_CALC_FEDEX_RATES")
  CANT_CANCEL_APPRVD_RETRN_AUTH = new("CANT_CANCEL_APPRVD_RETRN_AUTH")
  CANT_CANCEL_BILL_PMT = new("CANT_CANCEL_BILL_PMT")
  CANT_CHANGE_COMMSSN = new("CANT_CHANGE_COMMSSN")
  CANT_CHANGE_CONTACT_RESTRICTN = new("CANT_CHANGE_CONTACT_RESTRICTN")
  CANT_CHANGE_CRMRECORDTYPELINKS = new("CANT_CHANGE_CRMRECORDTYPELINKS")
  CANT_CHANGE_EVENT_PRIMARY_TYP = new("CANT_CHANGE_EVENT_PRIMARY_TYP")
  CANT_CHANGE_LEAD_SOURCE_CAT = new("CANT_CHANGE_LEAD_SOURCE_CAT")
  CANT_CHANGE_PSWD = new("CANT_CHANGE_PSWD")
  CANT_CHANGE_REV_REC_TMPLT = new("CANT_CHANGE_REV_REC_TMPLT")
  CANT_CHANGE_SUB = new("CANT_CHANGE_SUB")
  CANT_CHANGE_TASK_LINK = new("CANT_CHANGE_TASK_LINK")
  CANT_CHANGE_UNITS_TYP = new("CANT_CHANGE_UNITS_TYP")
  CANT_CHANGE_VSOE_ALLOCTN = new("CANT_CHANGE_VSOE_ALLOCTN")
  CANT_COMPLETE_FULFILL = new("CANT_COMPLETE_FULFILL")
  CANT_CONNECT_TO_STORE = new("CANT_CONNECT_TO_STORE")
  CANT_CONVERT_CLASS_DEPT = new("CANT_CONVERT_CLASS_DEPT")
  CANT_CONVERT_CLASS_LOC = new("CANT_CONVERT_CLASS_LOC")
  CANT_CONVERT_INVT_ITEM = new("CANT_CONVERT_INVT_ITEM")
  CANT_CREATE_FILES = new("CANT_CREATE_FILES")
  CANT_CREATE_NON_UNIQUE_RCRD = new("CANT_CREATE_NON_UNIQUE_RCRD")
  CANT_CREATE_SHIP_LABEL = new("CANT_CREATE_SHIP_LABEL")
  CANT_CREATE_USER = new("CANT_CREATE_USER")
  CANT_CREAT_SHIP_LABEL = new("CANT_CREAT_SHIP_LABEL")
  CANT_DELETE_ACCT = new("CANT_DELETE_ACCT")
  CANT_DELETE_ACCT_PRD = new("CANT_DELETE_ACCT_PRD")
  CANT_DELETE_ALLOCTN = new("CANT_DELETE_ALLOCTN")
  CANT_DELETE_BIN = new("CANT_DELETE_BIN")
  CANT_DELETE_CATEGORY = new("CANT_DELETE_CATEGORY")
  CANT_DELETE_CC_PROCESSOR = new("CANT_DELETE_CC_PROCESSOR")
  CANT_DELETE_CELL = new("CANT_DELETE_CELL")
  CANT_DELETE_CHILD_RCRDS_EXIST = new("CANT_DELETE_CHILD_RCRDS_EXIST")
  CANT_DELETE_CHILD_RCRD_FOUND = new("CANT_DELETE_CHILD_RCRD_FOUND")
  CANT_DELETE_CLASS = new("CANT_DELETE_CLASS")
  CANT_DELETE_COLOR_THEME = new("CANT_DELETE_COLOR_THEME")
  CANT_DELETE_COMMSSN_SCHDUL = new("CANT_DELETE_COMMSSN_SCHDUL")
  CANT_DELETE_COMPANY = new("CANT_DELETE_COMPANY")
  CANT_DELETE_COMPANY_TYP = new("CANT_DELETE_COMPANY_TYP")
  CANT_DELETE_CONTACT_HAS_CHILD = new("CANT_DELETE_CONTACT_HAS_CHILD")
  CANT_DELETE_CSTM_FIELD = new("CANT_DELETE_CSTM_FIELD")
  CANT_DELETE_CSTM_FORM = new("CANT_DELETE_CSTM_FORM")
  CANT_DELETE_CSTM_ITEM_FIELD = new("CANT_DELETE_CSTM_ITEM_FIELD")
  CANT_DELETE_CSTM_LAYOUT = new("CANT_DELETE_CSTM_LAYOUT")
  CANT_DELETE_CSTM_LIST = new("CANT_DELETE_CSTM_LIST")
  CANT_DELETE_CSTM_RCRD = new("CANT_DELETE_CSTM_RCRD")
  CANT_DELETE_CSTM_RCRD_ENTRY = new("CANT_DELETE_CSTM_RCRD_ENTRY")
  CANT_DELETE_CUST = new("CANT_DELETE_CUST")
  CANT_DELETE_CUSTOMER = new("CANT_DELETE_CUSTOMER")
  CANT_DELETE_DEFAULT_FLDR = new("CANT_DELETE_DEFAULT_FLDR")
  CANT_DELETE_DEFAULT_PRIORITY = new("CANT_DELETE_DEFAULT_PRIORITY")
  CANT_DELETE_DEFAULT_SALES_REP = new("CANT_DELETE_DEFAULT_SALES_REP")
  CANT_DELETE_DEFAULT_STATUS = new("CANT_DELETE_DEFAULT_STATUS")
  CANT_DELETE_DEFAULT_VALUE = new("CANT_DELETE_DEFAULT_VALUE")
  CANT_DELETE_DEFAULT_WEBSITE = new("CANT_DELETE_DEFAULT_WEBSITE")
  CANT_DELETE_EMPL = new("CANT_DELETE_EMPL")
  CANT_DELETE_ENTITY = new("CANT_DELETE_ENTITY")
  CANT_DELETE_FIN_STATMNT_LAYOUT = new("CANT_DELETE_FIN_STATMNT_LAYOUT")
  CANT_DELETE_FLDR = new("CANT_DELETE_FLDR")
  CANT_DELETE_HAS_CHILD_ITEM = new("CANT_DELETE_HAS_CHILD_ITEM")
  CANT_DELETE_INFO_ITEM = new("CANT_DELETE_INFO_ITEM")
  CANT_DELETE_ITEM = new("CANT_DELETE_ITEM")
  CANT_DELETE_ITEM_LAYOUT = new("CANT_DELETE_ITEM_LAYOUT")
  CANT_DELETE_ITEM_TMPLT = new("CANT_DELETE_ITEM_TMPLT")
  CANT_DELETE_JOB_RESOURCE_ROLE = new("CANT_DELETE_JOB_RESOURCE_ROLE")
  CANT_DELETE_LEGACY_CATEGORY = new("CANT_DELETE_LEGACY_CATEGORY")
  CANT_DELETE_LINE = new("CANT_DELETE_LINE")
  CANT_DELETE_MEDIA_ITEM = new("CANT_DELETE_MEDIA_ITEM")
  CANT_DELETE_MEMRZD_TRANS = new("CANT_DELETE_MEMRZD_TRANS")
  CANT_DELETE_OR_CHANGE_ACCT = new("CANT_DELETE_OR_CHANGE_ACCT")
  CANT_DELETE_PLAN_ASSGNMNT = new("CANT_DELETE_PLAN_ASSGNMNT")
  CANT_DELETE_PRESNTN_CAT = new("CANT_DELETE_PRESNTN_CAT")
  CANT_DELETE_RCRD = new("CANT_DELETE_RCRD")
  CANT_DELETE_RCRDS = new("CANT_DELETE_RCRDS")
  CANT_DELETE_SITE_TAG = new("CANT_DELETE_SITE_TAG")
  CANT_DELETE_SITE_THEME = new("CANT_DELETE_SITE_THEME")
  CANT_DELETE_SOLUTN = new("CANT_DELETE_SOLUTN")
  CANT_DELETE_STATUS_TYPE = new("CANT_DELETE_STATUS_TYPE")
  CANT_DELETE_SUBTAB = new("CANT_DELETE_SUBTAB")
  CANT_DELETE_SYSTEM_NOTE = new("CANT_DELETE_SYSTEM_NOTE")
  CANT_DELETE_TAX_VENDOR = new("CANT_DELETE_TAX_VENDOR")
  CANT_DELETE_TMPLT_RCRD = new("CANT_DELETE_TMPLT_RCRD")
  CANT_DELETE_TRANS = new("CANT_DELETE_TRANS")
  CANT_DELETE_TRAN_LINE = new("CANT_DELETE_TRAN_LINE")
  CANT_DELETE_TRAN_LINES = new("CANT_DELETE_TRAN_LINES")
  CANT_DELETE_UPDATE_ACCT = new("CANT_DELETE_UPDATE_ACCT")
  CANT_DELETE_URL = new("CANT_DELETE_URL")
  CANT_DELETE_VENDOR = new("CANT_DELETE_VENDOR")
  CANT_DEL_DEFAULT_CALENDAR = new("CANT_DEL_DEFAULT_CALENDAR")
  CANT_DEL_DEFAULT_SHIP_METHOD = new("CANT_DEL_DEFAULT_SHIP_METHOD")
  CANT_DIVIDE_BY_ZERO = new("CANT_DIVIDE_BY_ZERO")
  CANT_DOWNLOAD_EXPIRED_FILE = new("CANT_DOWNLOAD_EXPIRED_FILE")
  CANT_EDIT_CHARGED_ORDER = new("CANT_EDIT_CHARGED_ORDER")
  CANT_EDIT_CUST_LIST = new("CANT_EDIT_CUST_LIST")
  CANT_EDIT_CUST_PMT = new("CANT_EDIT_CUST_PMT")
  CANT_EDIT_DPLYMNT_IN_PROGRESS = new("CANT_EDIT_DPLYMNT_IN_PROGRESS")
  CANT_EDIT_FOLDER = new("CANT_EDIT_FOLDER")
  CANT_EDIT_OLD_CASE = new("CANT_EDIT_OLD_CASE")
  CANT_EDIT_STANDARD_OBJ = new("CANT_EDIT_STANDARD_OBJ")
  CANT_EDIT_TAGATA = new("CANT_EDIT_TAGATA")
  CANT_EDIT_TRAN = new("CANT_EDIT_TRAN")
  CANT_ESTABLISH_LINK = new("CANT_ESTABLISH_LINK")
  CANT_FIND_BUG = new("CANT_FIND_BUG")
  CANT_FIND_MAIL_MERGE_ID = new("CANT_FIND_MAIL_MERGE_ID")
  CANT_FIND_RCRD = new("CANT_FIND_RCRD")
  CANT_FIND_SOURCE_AMORTZN_ACCT = new("CANT_FIND_SOURCE_AMORTZN_ACCT")
  CANT_FIND_UPS_REG_FOR_LOC = new("CANT_FIND_UPS_REG_FOR_LOC")
  CANT_FULFILL_ITEM = new("CANT_FULFILL_ITEM")
  CANT_INACTIVATE_COMMSSN_PLAN = new("CANT_INACTIVATE_COMMSSN_PLAN")
  CANT_INACTIVE_DEFAULT_SYNC_CAT = new("CANT_INACTIVE_DEFAULT_SYNC_CAT")
  CANT_INACTIVE_DEFAULT_TMPLT = new("CANT_INACTIVE_DEFAULT_TMPLT")
  CANT_LOAD_SAVED_SEARCH_PARAM = new("CANT_LOAD_SAVED_SEARCH_PARAM")
  CANT_LOGIN_WITH_OAUTH = new("CANT_LOGIN_WITH_OAUTH")
  CANT_MAKE_CONTACT_PRIVATE = new("CANT_MAKE_CONTACT_PRIVATE")
  CANT_MARK_SHIPPED = new("CANT_MARK_SHIPPED")
  CANT_MODIFY_APPRVD_TIME = new("CANT_MODIFY_APPRVD_TIME")
  CANT_MODIFY_PARENT = new("CANT_MODIFY_PARENT")
  CANT_MODIFY_SUB = new("CANT_MODIFY_SUB")
  CANT_MODIFY_TAGATA = new("CANT_MODIFY_TAGATA")
  CANT_MODIFY_TEGATA = new("CANT_MODIFY_TEGATA")
  CANT_PAY_TAGATA = new("CANT_PAY_TAGATA")
  CANT_PROCESS_IMG = new("CANT_PROCESS_IMG")
  CANT_RCEIV_BEFORE_FULFILL = new("CANT_RCEIV_BEFORE_FULFILL")
  CANT_RCEIV_ITEM = new("CANT_RCEIV_ITEM")
  CANT_RECEIVE_TAGATA = new("CANT_RECEIVE_TAGATA")
  CANT_REJECT_ORDER = new("CANT_REJECT_ORDER")
  CANT_REMOVE_ACH_PAY_METHOD = new("CANT_REMOVE_ACH_PAY_METHOD")
  CANT_REMOVE_DOMAIN = new("CANT_REMOVE_DOMAIN")
  CANT_REMOVE_NEXUS = new("CANT_REMOVE_NEXUS")
  CANT_REMOVE_SCHDUL = new("CANT_REMOVE_SCHDUL")
  CANT_REMOVE_SUB = new("CANT_REMOVE_SUB")
  CANT_REMOV_ALL_FULFILMNT_LINKS = new("CANT_REMOV_ALL_FULFILMNT_LINKS")
  CANT_REMOV_ITEM_SUB = new("CANT_REMOV_ITEM_SUB")
  CANT_RESUBMIT_FAILED_DPLYMNT = new("CANT_RESUBMIT_FAILED_DPLYMNT")
  CANT_RETURN_FLD = new("CANT_RETURN_FLD")
  CANT_RETURN_USED_GIFT_CERT = new("CANT_RETURN_USED_GIFT_CERT")
  CANT_REVERSE_AUTH = new("CANT_REVERSE_AUTH")
  CANT_REV_REC_BODY_AND_LINE = new("CANT_REV_REC_BODY_AND_LINE")
  CANT_SCHDUL_RECUR_EVENT = new("CANT_SCHDUL_RECUR_EVENT")
  CANT_SEND_EMAIL = new("CANT_SEND_EMAIL")
  CANT_SET_CLOSE_DATE = new("CANT_SET_CLOSE_DATE")
  CANT_SET_STATUS = new("CANT_SET_STATUS")
  CANT_SWITCH_ROLES_FROM_LOGIN = new("CANT_SWITCH_ROLES_FROM_LOGIN")
  CANT_SWITCH_SHIP_METHOD = new("CANT_SWITCH_SHIP_METHOD")
  CANT_UPDATE_AMT = new("CANT_UPDATE_AMT")
  CANT_UPDATE_DYNAMIC_GROUP = new("CANT_UPDATE_DYNAMIC_GROUP")
  CANT_UPDATE_FLDR = new("CANT_UPDATE_FLDR")
  CANT_UPDATE_PRODUCT_FEED = new("CANT_UPDATE_PRODUCT_FEED")
  CANT_UPDATE_RECRD_HAS_CHANGED = new("CANT_UPDATE_RECRD_HAS_CHANGED")
  CANT_UPDATE_RECUR_EVENT = new("CANT_UPDATE_RECUR_EVENT")
  CANT_UPDATE_ROOT_CATEGORY = new("CANT_UPDATE_ROOT_CATEGORY")
  CANT_UPDATE_STATUS_TYPE = new("CANT_UPDATE_STATUS_TYPE")
  CANT_VERIFY_CARD = new("CANT_VERIFY_CARD")
  CANT_VOID_TRANS = new("CANT_VOID_TRANS")
  CARD_EXPIRED = new("CARD_EXPIRED")
  CARD_ID_REQD = new("CARD_ID_REQD")
  CASE_ALREADY_ASSIGNED = new("CASE_ALREADY_ASSIGNED")
  CASE_DSNT_EXIST = new("CASE_DSNT_EXIST")
  CASE_NOT_GROUP_MEMBER = new("CASE_NOT_GROUP_MEMBER")
  CASH_SALE_EDIT_DISALLWD = new("CASH_SALE_EDIT_DISALLWD")
  CC_ACCT_REQD = new("CC_ACCT_REQD")
  CC_ALREADY_SAVED = new("CC_ALREADY_SAVED")
  CC_EMAIL_ADDRESS_REQD = new("CC_EMAIL_ADDRESS_REQD")
  CC_NUM_REQD = new("CC_NUM_REQD")
  CC_PROCESSOR_ERROR = new("CC_PROCESSOR_ERROR")
  CC_PROCESSOR_NOT_FOUND = new("CC_PROCESSOR_NOT_FOUND")
  CC_SECURITY_CODE_REQD = new("CC_SECURITY_CODE_REQD")
  CERT_UNAVAILABLE = new("CERT_UNAVAILABLE")
  CHANGE_PMT_DATE_AND_REAPPROVE = new("CHANGE_PMT_DATE_AND_REAPPROVE")
  CHAR_ERROR = new("CHAR_ERROR")
  CHECKOUT_EMAIL_REQD = new("CHECKOUT_EMAIL_REQD")
  CITY_REQD = new("CITY_REQD")
  CLASS_ALREADY_EXISTS = new("CLASS_ALREADY_EXISTS")
  CLASS_NOT_FOUND = new("CLASS_NOT_FOUND")
  CLASS_OR_DEPT_OR_CUST_REQD = new("CLASS_OR_DEPT_OR_CUST_REQD")
  CLOSED_TRAN_PRD = new("CLOSED_TRAN_PRD")
  CLOSE_PREVIOUSE_PERIOD = new("CLOSE_PREVIOUSE_PERIOD")
  COGS_ERROR = new("COGS_ERROR")
  COMMSSN_ALREADY_CALCLTD = new("COMMSSN_ALREADY_CALCLTD")
  COMMSSN_FEATURE_DISABLED = new("COMMSSN_FEATURE_DISABLED")
  COMMSSN_PAYROLL_ITEM_REQD = new("COMMSSN_PAYROLL_ITEM_REQD")
  COMPANION_PROP_REQD = new("COMPANION_PROP_REQD")
  COMPANY_DISABLED = new("COMPANY_DISABLED")
  COMP_DELETED_OR_MERGED = new("COMP_DELETED_OR_MERGED")
  CONCUR_BILLPAY_JOB_DISALLWD = new("CONCUR_BILLPAY_JOB_DISALLWD")
  CONCUR_BULK_JOB_DISALLWD = new("CONCUR_BULK_JOB_DISALLWD")
  CONCUR_MASS_UPDATE_DISALLWD = new("CONCUR_MASS_UPDATE_DISALLWD")
  CONCUR_SEARCH_DISALLWD = new("CONCUR_SEARCH_DISALLWD")
  CONSLD_PRNT_AND_CHILD_DISALLWD = new("CONSLD_PRNT_AND_CHILD_DISALLWD")
  CONTACT_ALREADY_EXISTS = new("CONTACT_ALREADY_EXISTS")
  CONTACT_NOT_GROUP_MEMBR = new("CONTACT_NOT_GROUP_MEMBR")
  COOKIES_DISABLED = new("COOKIES_DISABLED")
  COUNTRY_STATE_MISMATCH = new("COUNTRY_STATE_MISMATCH")
  CREATEDFROM_REQD = new("CREATEDFROM_REQD")
  CREDITS_DISALLWD = new("CREDITS_DISALLWD")
  CRNCY_MISMATCH_BASE_CRNCY = new("CRNCY_MISMATCH_BASE_CRNCY")
  CRNCY_NOT_UPDATED = new("CRNCY_NOT_UPDATED")
  CRNCY_RCRD_DELETED = new("CRNCY_RCRD_DELETED")
  CRNCY_REQD = new("CRNCY_REQD")
  CSC_SETUP_REQD = new("CSC_SETUP_REQD")
  CSTM_FIELD_KEY_REQD = new("CSTM_FIELD_KEY_REQD")
  CSTM_FIELD_VALUE_REQD = new("CSTM_FIELD_VALUE_REQD")
  CUST_ARLEADY_HAS_ACCT = new("CUST_ARLEADY_HAS_ACCT")
  CUST_CNTR_USER_ACCESS_ONLY = new("CUST_CNTR_USER_ACCESS_ONLY")
  CUST_LEAD_NOT_GROUP_MEMBR = new("CUST_LEAD_NOT_GROUP_MEMBR")
  CYBERSOURCE_ERROR = new("CYBERSOURCE_ERROR")
  CYCLE_IN_PROJECT_PLAN = new("CYCLE_IN_PROJECT_PLAN")
  DASHBOARD_LOCKED = new("DASHBOARD_LOCKED")
  DATA_MUST_BE_UNIQUE = new("DATA_MUST_BE_UNIQUE")
  DATA_REQD = new("DATA_REQD")
  DATE_EXPECTED = new("DATE_EXPECTED")
  DATE_PARAM_REQD = new("DATE_PARAM_REQD")
  DEFAULT_CUR_REQD = new("DEFAULT_CUR_REQD")
  DEFAULT_EXPENSE_ACCT_REQD = new("DEFAULT_EXPENSE_ACCT_REQD")
  DEFAULT_ISSUE_OWNER_REQD = new("DEFAULT_ISSUE_OWNER_REQD")
  DEFAULT_LIAB_ACCT_REQD = new("DEFAULT_LIAB_ACCT_REQD")
  DEFAULT_ROLE_REQD = new("DEFAULT_ROLE_REQD")
  DEFAULT_TYPE_DELETE_DISALLWD = new("DEFAULT_TYPE_DELETE_DISALLWD")
  DEFERRAL_ACCT_REQD = new("DEFERRAL_ACCT_REQD")
  DEFERRED_REV_REC_ACCT_REQD = new("DEFERRED_REV_REC_ACCT_REQD")
  DEPT_IN_USE = new("DEPT_IN_USE")
  DFRNT_SWAP_PRICE_LEVELS_REQD = new("DFRNT_SWAP_PRICE_LEVELS_REQD")
  DISALLWD_IP_ADDRESS = new("DISALLWD_IP_ADDRESS")
  DISCOUNT_ACCT_SETUP_REQD = new("DISCOUNT_ACCT_SETUP_REQD")
  DISCOUNT_DISALLWD = new("DISCOUNT_DISALLWD")
  DISCOUNT_DISALLWD_VSOE = new("DISCOUNT_DISALLWD_VSOE")
  DISCOUNT_EXCEED_TOTAL = new("DISCOUNT_EXCEED_TOTAL")
  DISTRIB_REQD_ONE_DAY_BFORE = new("DISTRIB_REQD_ONE_DAY_BFORE")
  DOMAIN_WEBSITE_REQD = new("DOMAIN_WEBSITE_REQD")
  DROP_SHIP_ERROR = new("DROP_SHIP_ERROR")
  DROP_SHIP_OR_SPECIAL_ORD_ALLWD = new("DROP_SHIP_OR_SPECIAL_ORD_ALLWD")
  DUE_DATE_BFORE_START_DATE = new("DUE_DATE_BFORE_START_DATE")
  DUE_DATE_REQD = new("DUE_DATE_REQD")
  DUPLICATE_INVENTORY_NUM = new("DUPLICATE_INVENTORY_NUM")
  DUPLICATE_KEYS = new("DUPLICATE_KEYS")
  DUPLICATE_NAME_FOR_PRD = new("DUPLICATE_NAME_FOR_PRD")
  DUPLICATE_NAME_FOR_ROLE = new("DUPLICATE_NAME_FOR_ROLE")
  DUPLICATE_USER_NAME = new("DUPLICATE_USER_NAME")
  DUP_ACCT_NAME = new("DUP_ACCT_NAME")
  DUP_ACCT_NOT_ALLWD = new("DUP_ACCT_NOT_ALLWD")
  DUP_ACCT_NUM = new("DUP_ACCT_NUM")
  DUP_ACCT_ON_TRANS = new("DUP_ACCT_ON_TRANS")
  DUP_BIN = new("DUP_BIN")
  DUP_CATEGORY = new("DUP_CATEGORY")
  DUP_CATEGORY_NAME = new("DUP_CATEGORY_NAME")
  DUP_COLOR_THEME = new("DUP_COLOR_THEME")
  DUP_CSTM_FIELD = new("DUP_CSTM_FIELD")
  DUP_CSTM_LAYOUT = new("DUP_CSTM_LAYOUT")
  DUP_CSTM_LIST = new("DUP_CSTM_LIST")
  DUP_CSTM_RCRD = new("DUP_CSTM_RCRD")
  DUP_CSTM_RCRD_ENTRY = new("DUP_CSTM_RCRD_ENTRY")
  DUP_CSTM_TAB = new("DUP_CSTM_TAB")
  DUP_EMPL_EMAIL = new("DUP_EMPL_EMAIL")
  DUP_EMPL_ENTITY_NAME = new("DUP_EMPL_ENTITY_NAME")
  DUP_EMPL_TMPLT = new("DUP_EMPL_TMPLT")
  DUP_ENTITY = new("DUP_ENTITY")
  DUP_ENTITY_EMAIL = new("DUP_ENTITY_EMAIL")
  DUP_ENTITY_NAME = new("DUP_ENTITY_NAME")
  DUP_FEDEX_ACCT_NUM = new("DUP_FEDEX_ACCT_NUM")
  DUP_FINANCL_STATMNT_LAYOUT = new("DUP_FINANCL_STATMNT_LAYOUT")
  DUP_INFO_ITEM = new("DUP_INFO_ITEM")
  DUP_ISSUE_NAME_OR_NUM = new("DUP_ISSUE_NAME_OR_NUM")
  DUP_ITEM = new("DUP_ITEM")
  DUP_ITEM_LAYOUT = new("DUP_ITEM_LAYOUT")
  DUP_ITEM_NAME = new("DUP_ITEM_NAME")
  DUP_ITEM_OPTION = new("DUP_ITEM_OPTION")
  DUP_ITEM_TMPLT = new("DUP_ITEM_TMPLT")
  DUP_MATRIX_OPTN_ABBRV = new("DUP_MATRIX_OPTN_ABBRV")
  DUP_MEMRZD_TRANS = new("DUP_MEMRZD_TRANS")
  DUP_NAME = new("DUP_NAME")
  DUP_PAYROLL_ITEM = new("DUP_PAYROLL_ITEM")
  DUP_PRESNTN_CAT = new("DUP_PRESNTN_CAT")
  DUP_RCRD = new("DUP_RCRD")
  DUP_RCRD_LINK = new("DUP_RCRD_LINK")
  DUP_SALES_TAX_ITEM = new("DUP_SALES_TAX_ITEM")
  DUP_SHIPPING_ITEM = new("DUP_SHIPPING_ITEM")
  DUP_SHORT_NAME = new("DUP_SHORT_NAME")
  DUP_SITE_THEME = new("DUP_SITE_THEME")
  DUP_TAX_CODE = new("DUP_TAX_CODE")
  DUP_TRACKING_NUM = new("DUP_TRACKING_NUM")
  DUP_TRANS = new("DUP_TRANS")
  DUP_UPS_ACCT_NUM = new("DUP_UPS_ACCT_NUM")
  DUP_VENDOR_EMAIL = new("DUP_VENDOR_EMAIL")
  DUP_VENDOR_NAME = new("DUP_VENDOR_NAME")
  EARNING_ITEM_REQD = new("EARNING_ITEM_REQD")
  EBAY_TMPLT_ERROR = new("EBAY_TMPLT_ERROR")
  EDITION_DSNT_SUPRT_WORLDPAY = new("EDITION_DSNT_SUPRT_WORLDPAY")
  EMAIL_ADDRS_REQD = new("EMAIL_ADDRS_REQD")
  EMAIL_ADDRS_REQD_TO_NOTIFY = new("EMAIL_ADDRS_REQD_TO_NOTIFY")
  EMAIL_REQD = new("EMAIL_REQD")
  EMAIL_REQD_ACCT_PROVISION = new("EMAIL_REQD_ACCT_PROVISION")
  EMPL_IN_USE = new("EMPL_IN_USE")
  ERROR_DELETE_CARD_DATA = new("ERROR_DELETE_CARD_DATA")
  ERROR_IN_TERRITORY_ASSGNMNT = new("ERROR_IN_TERRITORY_ASSGNMNT")
  ERROR_PRCSSNG_TRANS = new("ERROR_PRCSSNG_TRANS")
  ERROR_REFUND_TRANS = new("ERROR_REFUND_TRANS")
  ERROR_REVERSE_AUTH = new("ERROR_REVERSE_AUTH")
  ERROR_SENDING_TRAN_EMAIL = new("ERROR_SENDING_TRAN_EMAIL")
  ERROR_VOID_TRANS = new("ERROR_VOID_TRANS")
  EVENT_ID_NOT_FOUND = new("EVENT_ID_NOT_FOUND")
  EXCEEDED_MAX_ALLWD_LOC = new("EXCEEDED_MAX_ALLWD_LOC")
  EXCEEDED_MAX_CONCUR_RQST = new("EXCEEDED_MAX_CONCUR_RQST")
  EXCEEDED_MAX_EMAILS = new("EXCEEDED_MAX_EMAILS")
  EXCEEDED_MAX_FEATURED_ITEMS = new("EXCEEDED_MAX_FEATURED_ITEMS")
  EXCEEDED_MAX_FIELD_LENGTH = new("EXCEEDED_MAX_FIELD_LENGTH")
  EXCEEDED_MAX_MATRIX_OPTNS = new("EXCEEDED_MAX_MATRIX_OPTNS")
  EXCEEDED_MAX_PDF_ELEMENTS = new("EXCEEDED_MAX_PDF_ELEMENTS")
  EXCEEDED_MAX_PDF_EXPORT_COL = new("EXCEEDED_MAX_PDF_EXPORT_COL")
  EXCEEDED_MAX_PIN_RETRIES = new("EXCEEDED_MAX_PIN_RETRIES")
  EXCEEDED_MAX_RCRD = new("EXCEEDED_MAX_RCRD")
  EXCEEDED_MAX_REPORT_COL = new("EXCEEDED_MAX_REPORT_COL")
  EXCEEDED_MAX_REPORT_ROWS = new("EXCEEDED_MAX_REPORT_ROWS")
  EXCEEDED_MAX_REPORT_SIZE = new("EXCEEDED_MAX_REPORT_SIZE")
  EXCEEDED_MAX_SESSIONS = new("EXCEEDED_MAX_SESSIONS")
  EXCEEDED_MAX_SHIP_PACKAGE = new("EXCEEDED_MAX_SHIP_PACKAGE")
  EXCEEDED_MAX_TIME = new("EXCEEDED_MAX_TIME")
  EXCEEDED_MAX_TRANS_LINES = new("EXCEEDED_MAX_TRANS_LINES")
  EXCEEDED_MAX_USERS_ALLWD = new("EXCEEDED_MAX_USERS_ALLWD")
  EXCEEDED_PER_TRANS_MAX = new("EXCEEDED_PER_TRANS_MAX")
  EXCEEDED_RQST_SIZE_LIMIT = new("EXCEEDED_RQST_SIZE_LIMIT")
  EXCEEDS_ALLWD_LICENSES = new("EXCEEDS_ALLWD_LICENSES")
  EXPENSE_ENTRY_DISALLWD = new("EXPENSE_ENTRY_DISALLWD")
  EXPIRED_SEARCH_CRITERIA = new("EXPIRED_SEARCH_CRITERIA")
  EXTERNALID_NOT_SUPPORTED = new("EXTERNALID_NOT_SUPPORTED")
  EXT_CAT_LINK_SETUP_REQD = new("EXT_CAT_LINK_SETUP_REQD")
  FAILED_FEDEX_LABEL_VOID = new("FAILED_FEDEX_LABEL_VOID")
  FAILED_FORM_VALIDATION = new("FAILED_FORM_VALIDATION")
  FAILED_UPS_LABEL_VOID = new("FAILED_UPS_LABEL_VOID")
  FAX_NUM_REQD = new("FAX_NUM_REQD")
  FAX_SETUP_REQD = new("FAX_SETUP_REQD")
  FEATURE_DISABLED = new("FEATURE_DISABLED")
  FEATURE_UNAVAILABLE = new("FEATURE_UNAVAILABLE")
  FEDEX_ACCT_REQD = new("FEDEX_ACCT_REQD")
  FEDEX_CANT_INTEGRATE_FULFILL = new("FEDEX_CANT_INTEGRATE_FULFILL")
  FEDEX_DROPOFF_TYP_REQD = new("FEDEX_DROPOFF_TYP_REQD")
  FEDEX_INVALID_ACCT_NUM = new("FEDEX_INVALID_ACCT_NUM")
  FEDEX_ITEM_CONTENTS_REQD = new("FEDEX_ITEM_CONTENTS_REQD")
  FEDEX_METER_NOT_RETRIEVED = new("FEDEX_METER_NOT_RETRIEVED")
  FEDEX_METER_REQD = new("FEDEX_METER_REQD")
  FEDEX_ONE_PACKG_ALLWD = new("FEDEX_ONE_PACKG_ALLWD")
  FEDEX_ORIGIN_COUNTRY_US_REQD = new("FEDEX_ORIGIN_COUNTRY_US_REQD")
  FEDEX_RATING_SRVC_UNAVAILBL = new("FEDEX_RATING_SRVC_UNAVAILBL")
  FEDEX_REG_NOT_FOUND = new("FEDEX_REG_NOT_FOUND")
  FEDEX_SHIP_SRVC_REQD = new("FEDEX_SHIP_SRVC_REQD")
  FEDEX_SHIP_SRVC_UNAVAILBL = new("FEDEX_SHIP_SRVC_UNAVAILBL")
  FEDEX_UNSUPRTD_ORIGIN_COUNTRY = new("FEDEX_UNSUPRTD_ORIGIN_COUNTRY")
  FEDEX_USD_EXCHANGE_RATE_REQD = new("FEDEX_USD_EXCHANGE_RATE_REQD")
  FEDEX_USER_ERROR = new("FEDEX_USER_ERROR")
  FEDEX_VOID_ERROR = new("FEDEX_VOID_ERROR")
  FED_ID_REQD = new("FED_ID_REQD")
  FED_WITHHOLDING_REQD = new("FED_WITHHOLDING_REQD")
  FIELD_CALL_DATE_REQD = new("FIELD_CALL_DATE_REQD")
  FIELD_DEFN_REQD = new("FIELD_DEFN_REQD")
  FIELD_NOT_SETTABLE_ON_ADD = new("FIELD_NOT_SETTABLE_ON_ADD")
  FIELD_PARAM_REQD = new("FIELD_PARAM_REQD")
  FIELD_REQD = new("FIELD_REQD")
  FILE_ALREADY_EXISTS = new("FILE_ALREADY_EXISTS")
  FILE_DISALLWD_IN_ROOT_FLDR = new("FILE_DISALLWD_IN_ROOT_FLDR")
  FILE_MISSING = new("FILE_MISSING")
  FILE_NOT_DOWNLOADABLE = new("FILE_NOT_DOWNLOADABLE")
  FILE_NOT_FOUND = new("FILE_NOT_FOUND")
  FILE_REQD = new("FILE_REQD")
  FILE_UPLOAD_IN_PROGRESS = new("FILE_UPLOAD_IN_PROGRESS")
  FILTER_BY_AMT_REQD = new("FILTER_BY_AMT_REQD")
  FINANCE_CHARGE_SETUP_REQD = new("FINANCE_CHARGE_SETUP_REQD")
  FIRST_LAST_NAMES_REQD = new("FIRST_LAST_NAMES_REQD")
  FIRST_QTY_BUCKET_MUST_BE_ZERO = new("FIRST_QTY_BUCKET_MUST_BE_ZERO")
  FLD_VALUE_REQD = new("FLD_VALUE_REQD")
  FLD_VALUE_TOO_LARGE = new("FLD_VALUE_TOO_LARGE")
  FOLDER_ALREADY_EXISTS = new("FOLDER_ALREADY_EXISTS")
  FORMULA_ERROR = new("FORMULA_ERROR")
  FORM_RESUBMISSION_REQD = new("FORM_RESUBMISSION_REQD")
  FORM_SETUP_REQD = new("FORM_SETUP_REQD")
  FORM_UNAVAILBL_ONLINE = new("FORM_UNAVAILBL_ONLINE")
  FRIENDLY_NAME_REQD = new("FRIENDLY_NAME_REQD")
  FULFILL_REQD_FIELDS_MISSING = new("FULFILL_REQD_FIELDS_MISSING")
  FULFILL_REQD_PARAMS_MISSING = new("FULFILL_REQD_PARAMS_MISSING")
  FULL_DISTRIB_REQD = new("FULL_DISTRIB_REQD")
  FULL_USERS_REQD_TO_INTEGRATE = new("FULL_USERS_REQD_TO_INTEGRATE")
  FX_MALFORMED_RESPONSE = new("FX_MALFORMED_RESPONSE")
  FX_RATE_REQD_FEDEX_RATE = new("FX_RATE_REQD_FEDEX_RATE")
  FX_TRANS_DISALLWD = new("FX_TRANS_DISALLWD")
  GETALL_RCRD_TYPE_REQD = new("GETALL_RCRD_TYPE_REQD")
  GIFT_CERT_AMT_EXCEED_AVAILBL = new("GIFT_CERT_AMT_EXCEED_AVAILBL")
  GIFT_CERT_AUTH_ALREADY_EXISTS = new("GIFT_CERT_AUTH_ALREADY_EXISTS")
  GIFT_CERT_CAN_BE_USED_ONCE = new("GIFT_CERT_CAN_BE_USED_ONCE")
  GIFT_CERT_CODE_REQD = new("GIFT_CERT_CODE_REQD")
  GIFT_CERT_IN_USE = new("GIFT_CERT_IN_USE")
  GROUP_DSNT_EXIST = new("GROUP_DSNT_EXIST")
  GROUP_REQD = new("GROUP_REQD")
  GROUP_TYPE_REQD = new("GROUP_TYPE_REQD")
  GRTR_QTY_PRICE_LEVEL_REQD = new("GRTR_QTY_PRICE_LEVEL_REQD")
  IGNORE = new("IGNORE")
  ILLEGAL_ID = new("ILLEGAL_ID")
  ILLEGAL_PERIOD_STRUCTURE = new("ILLEGAL_PERIOD_STRUCTURE")
  INACTIVE_RCRD_FOR_ROLE = new("INACTIVE_RCRD_FOR_ROLE")
  INAVLID_FILE_TYP = new("INAVLID_FILE_TYP")
  INAVLID_ITEM_TYP = new("INAVLID_ITEM_TYP")
  INAVLID_PRICING_MTRX = new("INAVLID_PRICING_MTRX")
  INCOMPATIBLE_ACCT_CHANGE = new("INCOMPATIBLE_ACCT_CHANGE")
  INCOMPLETE_BILLING_ADDR = new("INCOMPLETE_BILLING_ADDR")
  INCOMPLETE_FILE_UPLOAD = new("INCOMPLETE_FILE_UPLOAD")
  INCRCT_ORD_INFO = new("INCRCT_ORD_INFO")
  INITIALIZE_ARG_REQD = new("INITIALIZE_ARG_REQD")
  INITIALIZE_AUXREF_REQD = new("INITIALIZE_AUXREF_REQD")
  INSUFCNT_NUM_PRDS_FOR_REV_REC = new("INSUFCNT_NUM_PRDS_FOR_REV_REC")
  INSUFCNT_OPEN_PRDS_FOR_REV_REC = new("INSUFCNT_OPEN_PRDS_FOR_REV_REC")
  INSUFFICIENT_CHARS_IN_SEARCH = new("INSUFFICIENT_CHARS_IN_SEARCH")
  INSUFFICIENT_FLD_PERMISSION = new("INSUFFICIENT_FLD_PERMISSION")
  INSUFFICIENT_FUND = new("INSUFFICIENT_FUND")
  INSUFFICIENT_PERMISSION = new("INSUFFICIENT_PERMISSION")
  INTEGER_REQD_FOR_QTY = new("INTEGER_REQD_FOR_QTY")
  INTL_FEDEX_ONE_PACKG_ALLWD = new("INTL_FEDEX_ONE_PACKG_ALLWD")
  INTL_SHIP_EXCEED_MAX_ITEM = new("INTL_SHIP_EXCEED_MAX_ITEM")
  INVALID_ABN = new("INVALID_ABN")
  INVALID_ACCT = new("INVALID_ACCT")
  INVALID_ACCT_NUM_CSTM_FIELD = new("INVALID_ACCT_NUM_CSTM_FIELD")
  INVALID_ACCT_PRD = new("INVALID_ACCT_PRD")
  INVALID_ACCT_TYP = new("INVALID_ACCT_TYP")
  INVALID_ACTION = new("INVALID_ACTION")
  INVALID_ADDRESS_OR_SHIPPER_NO = new("INVALID_ADDRESS_OR_SHIPPER_NO")
  INVALID_ADJUSTMENT_ACCT = new("INVALID_ADJUSTMENT_ACCT")
  INVALID_AES_FTSR_EXEMPTN_NUM = new("INVALID_AES_FTSR_EXEMPTN_NUM")
  INVALID_ALLOCTN_METHOD = new("INVALID_ALLOCTN_METHOD")
  INVALID_AMORTZN_ACCT = new("INVALID_AMORTZN_ACCT")
  INVALID_AMT = new("INVALID_AMT")
  INVALID_APP_ID = new("INVALID_APP_ID")
  INVALID_ASSIGN_STATUS_COMBO = new("INVALID_ASSIGN_STATUS_COMBO")
  INVALID_AUTH = new("INVALID_AUTH")
  INVALID_AUTH_CODE = new("INVALID_AUTH_CODE")
  INVALID_AUTOAPPLY_VALUE = new("INVALID_AUTOAPPLY_VALUE")
  INVALID_AVS_ADDR = new("INVALID_AVS_ADDR")
  INVALID_AVS_ZIP = new("INVALID_AVS_ZIP")
  INVALID_BALANCE_RANGE = new("INVALID_BALANCE_RANGE")
  INVALID_BILLING_SCHDUL = new("INVALID_BILLING_SCHDUL")
  INVALID_BILLING_SCHDUL_DATE = new("INVALID_BILLING_SCHDUL_DATE")
  INVALID_BILLING_SCHDUL_ENTRY = new("INVALID_BILLING_SCHDUL_ENTRY")
  INVALID_BIN_NUM = new("INVALID_BIN_NUM")
  INVALID_BOM_QTY = new("INVALID_BOM_QTY")
  INVALID_BOOLEAN_VALUE = new("INVALID_BOOLEAN_VALUE")
  INVALID_BUG_NUM = new("INVALID_BUG_NUM")
  INVALID_CAMPAIGN_CHANNEL = new("INVALID_CAMPAIGN_CHANNEL")
  INVALID_CAMPAIGN_GROUP_SIZE = new("INVALID_CAMPAIGN_GROUP_SIZE")
  INVALID_CAMPAIGN_STATUS = new("INVALID_CAMPAIGN_STATUS")
  INVALID_CARD = new("INVALID_CARD")
  INVALID_CARD_ID = new("INVALID_CARD_ID")
  INVALID_CARD_NUM = new("INVALID_CARD_NUM")
  INVALID_CARD_TYP = new("INVALID_CARD_TYP")
  INVALID_CASE_FORM = new("INVALID_CASE_FORM")
  INVALID_CATGRY_TAX_AGENCY_REQ = new("INVALID_CATGRY_TAX_AGENCY_REQ")
  INVALID_CC_EMAIL_ADDRESS = new("INVALID_CC_EMAIL_ADDRESS")
  INVALID_CC_NUM = new("INVALID_CC_NUM")
  INVALID_CERT = new("INVALID_CERT")
  INVALID_CHANGE_LIST = new("INVALID_CHANGE_LIST")
  INVALID_CHARGE_AMT = new("INVALID_CHARGE_AMT")
  INVALID_CHARS_IN_EMAIL = new("INVALID_CHARS_IN_EMAIL")
  INVALID_CHARS_IN_NAME = new("INVALID_CHARS_IN_NAME")
  INVALID_CHARS_IN_PARAM_FIELD = new("INVALID_CHARS_IN_PARAM_FIELD")
  INVALID_CHARS_IN_URL = new("INVALID_CHARS_IN_URL")
  INVALID_CHECKOUT_EMAIL = new("INVALID_CHECKOUT_EMAIL")
  INVALID_CITY = new("INVALID_CITY")
  INVALID_COLUMN_NAME = new("INVALID_COLUMN_NAME")
  INVALID_COSTING_METHOD = new("INVALID_COSTING_METHOD")
  INVALID_CSTM_FIELD_DATA_TYP = new("INVALID_CSTM_FIELD_DATA_TYP")
  INVALID_CSTM_FIELD_RCRD_TYP = new("INVALID_CSTM_FIELD_RCRD_TYP")
  INVALID_CSTM_FIELD_REF = new("INVALID_CSTM_FIELD_REF")
  INVALID_CSTM_FORM = new("INVALID_CSTM_FORM")
  INVALID_CSTM_RCRD_KEY = new("INVALID_CSTM_RCRD_KEY")
  INVALID_CSTM_RCRD_QUERY = new("INVALID_CSTM_RCRD_QUERY")
  INVALID_CSTM_RCRD_TYPE_KEY = new("INVALID_CSTM_RCRD_TYPE_KEY")
  INVALID_CSTM_RCRD_TYP_KEY = new("INVALID_CSTM_RCRD_TYP_KEY")
  INVALID_CUR = new("INVALID_CUR")
  INVALID_CURRENCY_CODE = new("INVALID_CURRENCY_CODE")
  INVALID_CURRENCY_TYP = new("INVALID_CURRENCY_TYP")
  INVALID_CURR_CODE = new("INVALID_CURR_CODE")
  INVALID_CUSTOMER_RCRD = new("INVALID_CUSTOMER_RCRD")
  INVALID_DATA = new("INVALID_DATA")
  INVALID_DATE = new("INVALID_DATE")
  INVALID_DATE_FORMAT = new("INVALID_DATE_FORMAT")
  INVALID_DATE_RANGE = new("INVALID_DATE_RANGE")
  INVALID_DATE_TIME = new("INVALID_DATE_TIME")
  INVALID_DEAL_RANGE = new("INVALID_DEAL_RANGE")
  INVALID_DELETE_REF = new("INVALID_DELETE_REF")
  INVALID_DESTINATION_FLDR = new("INVALID_DESTINATION_FLDR")
  INVALID_DESTNTN_COUNTRY = new("INVALID_DESTNTN_COUNTRY")
  INVALID_DESTNTN_POST_CODE = new("INVALID_DESTNTN_POST_CODE")
  INVALID_DESTNTN_STATE = new("INVALID_DESTNTN_STATE")
  INVALID_DETACH_RECORD_TYP = new("INVALID_DETACH_RECORD_TYP")
  INVALID_DISCOUNT_MARKUP = new("INVALID_DISCOUNT_MARKUP")
  INVALID_DOMAIN_KEY = new("INVALID_DOMAIN_KEY")
  INVALID_DOMAIN_NAME = new("INVALID_DOMAIN_NAME")
  INVALID_DUP_ISSUE_REF = new("INVALID_DUP_ISSUE_REF")
  INVALID_EMAIL = new("INVALID_EMAIL")
  INVALID_EMAIL_ADDR = new("INVALID_EMAIL_ADDR")
  INVALID_END_DATE = new("INVALID_END_DATE")
  INVALID_END_TIME = new("INVALID_END_TIME")
  INVALID_ENTITY_INTERNALID = new("INVALID_ENTITY_INTERNALID")
  INVALID_ENTITY_STATUS = new("INVALID_ENTITY_STATUS")
  INVALID_EVENT_TIME = new("INVALID_EVENT_TIME")
  INVALID_EXPNS_ACCT_SUB = new("INVALID_EXPNS_ACCT_SUB")
  INVALID_EXPRESSION = new("INVALID_EXPRESSION")
  INVALID_EXP_DATE = new("INVALID_EXP_DATE")
  INVALID_FAX_NUM = new("INVALID_FAX_NUM")
  INVALID_FAX_PHONE_FORMAT = new("INVALID_FAX_PHONE_FORMAT")
  INVALID_FIELD_FOR_RCRD_TYP = new("INVALID_FIELD_FOR_RCRD_TYP")
  INVALID_FIELD_NAME_FOR_NULL = new("INVALID_FIELD_NAME_FOR_NULL")
  INVALID_FILE = new("INVALID_FILE")
  INVALID_FILE_TYP = new("INVALID_FILE_TYP")
  INVALID_FLD = new("INVALID_FLD")
  INVALID_FLDR_SIZE = new("INVALID_FLDR_SIZE")
  INVALID_FLD_RANGE = new("INVALID_FLD_RANGE")
  INVALID_FLD_TYP = new("INVALID_FLD_TYP")
  INVALID_FLD_VALUE = new("INVALID_FLD_VALUE")
  INVALID_FORMAT_IN_PARAM_FIELD = new("INVALID_FORMAT_IN_PARAM_FIELD")
  INVALID_FORMULA = new("INVALID_FORMULA")
  INVALID_FORMULA_FIELD = new("INVALID_FORMULA_FIELD")
  INVALID_FROM_DATE = new("INVALID_FROM_DATE")
  INVALID_FROM_TIME = new("INVALID_FROM_TIME")
  INVALID_FULFILMNT_ITEM = new("INVALID_FULFILMNT_ITEM")
  INVALID_FX_BASE_CURRENCY = new("INVALID_FX_BASE_CURRENCY")
  INVALID_FX_RATE = new("INVALID_FX_RATE")
  INVALID_GET_REF = new("INVALID_GET_REF")
  INVALID_GIFT_CERT = new("INVALID_GIFT_CERT")
  INVALID_GIFT_CERT_AMT = new("INVALID_GIFT_CERT_AMT")
  INVALID_GIFT_CERT_CODE = new("INVALID_GIFT_CERT_CODE")
  INVALID_GOOGLE_CHECKOUT_ACCT = new("INVALID_GOOGLE_CHECKOUT_ACCT")
  INVALID_GROUP_TYP = new("INVALID_GROUP_TYP")
  INVALID_GROUP_TYPE = new("INVALID_GROUP_TYPE")
  INVALID_GRP = new("INVALID_GRP")
  INVALID_GST_PST_AGENCIES = new("INVALID_GST_PST_AGENCIES")
  INVALID_ID = new("INVALID_ID")
  INVALID_INITIALIZE_ARG = new("INVALID_INITIALIZE_ARG")
  INVALID_INITIALIZE_AUXREF = new("INVALID_INITIALIZE_AUXREF")
  INVALID_INITIALIZE_REF = new("INVALID_INITIALIZE_REF")
  INVALID_INSURED_VALUE = new("INVALID_INSURED_VALUE")
  INVALID_INTERNALID = new("INVALID_INTERNALID")
  INVALID_INVENTORY_NUM = new("INVALID_INVENTORY_NUM")
  INVALID_INV_DATE = new("INVALID_INV_DATE")
  INVALID_IP_ADDRESS_RULE = new("INVALID_IP_ADDRESS_RULE")
  INVALID_ISSUE_BUILD_VERSION = new("INVALID_ISSUE_BUILD_VERSION")
  INVALID_ISSUE_PRIORITY = new("INVALID_ISSUE_PRIORITY")
  INVALID_ISSUE_PRODUCT = new("INVALID_ISSUE_PRODUCT")
  INVALID_ISSUE_STATUS = new("INVALID_ISSUE_STATUS")
  INVALID_ITEM_OPTION = new("INVALID_ITEM_OPTION")
  INVALID_ITEM_OPTIONS = new("INVALID_ITEM_OPTIONS")
  INVALID_ITEM_SUBTYP = new("INVALID_ITEM_SUBTYP")
  INVALID_ITEM_TYP = new("INVALID_ITEM_TYP")
  INVALID_ITEM_WEIGHT = new("INVALID_ITEM_WEIGHT")
  INVALID_JOB_ID = new("INVALID_JOB_ID")
  INVALID_KEY_OR_REF = new("INVALID_KEY_OR_REF")
  INVALID_LINE_ID = new("INVALID_LINE_ID")
  INVALID_LINK_SUM = new("INVALID_LINK_SUM")
  INVALID_LIST_ID = new("INVALID_LIST_ID")
  INVALID_LIST_KEY = new("INVALID_LIST_KEY")
  INVALID_LOC = new("INVALID_LOC")
  INVALID_LOC_SUB_RESTRICTN = new("INVALID_LOC_SUB_RESTRICTN")
  INVALID_LOGIN = new("INVALID_LOGIN")
  INVALID_LOGIN_ATTEMPT = new("INVALID_LOGIN_ATTEMPT")
  INVALID_LOGIN_CREDENTIALS = new("INVALID_LOGIN_CREDENTIALS")
  INVALID_LOGIN_IP = new("INVALID_LOGIN_IP")
  INVALID_LOT_NUM_FORMAT = new("INVALID_LOT_NUM_FORMAT")
  INVALID_MARKUP_DISCOUNT = new("INVALID_MARKUP_DISCOUNT")
  INVALID_MCC = new("INVALID_MCC")
  INVALID_MEMBER_HIERARCHY = new("INVALID_MEMBER_HIERARCHY")
  INVALID_MEMRZD_TRANS = new("INVALID_MEMRZD_TRANS")
  INVALID_MERCHANT_KEY = new("INVALID_MERCHANT_KEY")
  INVALID_MERCHANT_NAME = new("INVALID_MERCHANT_NAME")
  INVALID_NEXUS = new("INVALID_NEXUS")
  INVALID_NUM = new("INVALID_NUM")
  INVALID_NUMBER = new("INVALID_NUMBER")
  INVALID_OBJ = new("INVALID_OBJ")
  INVALID_ONLINE_FORM = new("INVALID_ONLINE_FORM")
  INVALID_ONLINE_FORM_URL = new("INVALID_ONLINE_FORM_URL")
  INVALID_OPERATION = new("INVALID_OPERATION")
  INVALID_ORD_STATUS = new("INVALID_ORD_STATUS")
  INVALID_ORIGIN_COUNTRY = new("INVALID_ORIGIN_COUNTRY")
  INVALID_ORIGIN_POSTCODE = new("INVALID_ORIGIN_POSTCODE")
  INVALID_ORIGIN_STATE = new("INVALID_ORIGIN_STATE")
  INVALID_PAGER_NUM = new("INVALID_PAGER_NUM")
  INVALID_PAGE_INDEX = new("INVALID_PAGE_INDEX")
  INVALID_PAGE_PARAM = new("INVALID_PAGE_PARAM")
  INVALID_PARAM = new("INVALID_PARAM")
  INVALID_PARENT = new("INVALID_PARENT")
  INVALID_PARTNER_ID = new("INVALID_PARTNER_ID")
  INVALID_PAYCHECK_DATE = new("INVALID_PAYCHECK_DATE")
  INVALID_PERIOD = new("INVALID_PERIOD")
  INVALID_PHONE = new("INVALID_PHONE")
  INVALID_PHONE_FAX_PAGER_NUM = new("INVALID_PHONE_FAX_PAGER_NUM")
  INVALID_PHONE_NUM = new("INVALID_PHONE_NUM")
  INVALID_PHONE_NUMBER = new("INVALID_PHONE_NUMBER")
  INVALID_PICKUP_POSTAL_CODE = new("INVALID_PICKUP_POSTAL_CODE")
  INVALID_PIN = new("INVALID_PIN")
  INVALID_PIN_DEBIT_TRANS_TYP = new("INVALID_PIN_DEBIT_TRANS_TYP")
  INVALID_PORTLET_TYP = new("INVALID_PORTLET_TYP")
  INVALID_POST = new("INVALID_POST")
  INVALID_PRESENTATION_TYP = new("INVALID_PRESENTATION_TYP")
  INVALID_PROBABILITY_RANGE = new("INVALID_PROBABILITY_RANGE")
  INVALID_PROFILE_ID = new("INVALID_PROFILE_ID")
  INVALID_PROJ_BILLING_TYP = new("INVALID_PROJ_BILLING_TYP")
  INVALID_PST_TAX_VALUE = new("INVALID_PST_TAX_VALUE")
  INVALID_PSWD = new("INVALID_PSWD")
  INVALID_PSWD_HINT = new("INVALID_PSWD_HINT")
  INVALID_PSWD_ILLEGAL_CHAR = new("INVALID_PSWD_ILLEGAL_CHAR")
  INVALID_PURCHASE_TAX_CODE = new("INVALID_PURCHASE_TAX_CODE")
  INVALID_QTY = new("INVALID_QTY")
  INVALID_QUANTITY = new("INVALID_QUANTITY")
  INVALID_QUESTION = new("INVALID_QUESTION")
  INVALID_RCRD = new("INVALID_RCRD")
  INVALID_RCRD_CONVERSION = new("INVALID_RCRD_CONVERSION")
  INVALID_RCRD_HEADER_ = new("INVALID_RCRD_HEADER_")
  INVALID_RCRD_ID = new("INVALID_RCRD_ID")
  INVALID_RCRD_INITIALIZE = new("INVALID_RCRD_INITIALIZE")
  INVALID_RCRD_OBJ = new("INVALID_RCRD_OBJ")
  INVALID_RCRD_REF = new("INVALID_RCRD_REF")
  INVALID_RCRD_TRANSFRM = new("INVALID_RCRD_TRANSFRM")
  INVALID_RCRD_TYPE = new("INVALID_RCRD_TYPE")
  INVALID_RECIPIENT = new("INVALID_RECIPIENT")
  INVALID_RECR_REF = new("INVALID_RECR_REF")
  INVALID_RECUR_DATE_RANGE = new("INVALID_RECUR_DATE_RANGE")
  INVALID_RECUR_DESC_REQD = new("INVALID_RECUR_DESC_REQD")
  INVALID_RECUR_DOW = new("INVALID_RECUR_DOW")
  INVALID_RECUR_DOWIM = new("INVALID_RECUR_DOWIM")
  INVALID_RECUR_DOWMASK = new("INVALID_RECUR_DOWMASK")
  INVALID_RECUR_FREQUENCY = new("INVALID_RECUR_FREQUENCY")
  INVALID_RECUR_PATTERN = new("INVALID_RECUR_PATTERN")
  INVALID_RECUR_PERIOD = new("INVALID_RECUR_PERIOD")
  INVALID_RECUR_TIME_ZONE_REQD = new("INVALID_RECUR_TIME_ZONE_REQD")
  INVALID_REFFERER_EMAIL = new("INVALID_REFFERER_EMAIL")
  INVALID_REFUND_AMT = new("INVALID_REFUND_AMT")
  INVALID_REF_CANT_INITIALIZE = new("INVALID_REF_CANT_INITIALIZE")
  INVALID_REF_KEY = new("INVALID_REF_KEY")
  INVALID_REPORT = new("INVALID_REPORT")
  INVALID_REPORT_ID = new("INVALID_REPORT_ID")
  INVALID_REPORT_ROW = new("INVALID_REPORT_ROW")
  INVALID_REQUEST = new("INVALID_REQUEST")
  INVALID_RESOURCE_TIME = new("INVALID_RESOURCE_TIME")
  INVALID_RESULT_SUMMARY_FUNC = new("INVALID_RESULT_SUMMARY_FUNC")
  INVALID_REV_REC_DATE_RANGE = new("INVALID_REV_REC_DATE_RANGE")
  INVALID_ROLE = new("INVALID_ROLE")
  INVALID_ROLE_FOR_EVENT = new("INVALID_ROLE_FOR_EVENT")
  INVALID_RQST_CONTACTS_EXIST = new("INVALID_RQST_CONTACTS_EXIST")
  INVALID_RQST_PARENT_REQD = new("INVALID_RQST_PARENT_REQD")
  INVALID_RQST_SBCUST_JOBS_EXIST = new("INVALID_RQST_SBCUST_JOBS_EXIST")
  INVALID_SAVEDSEARCH = new("INVALID_SAVEDSEARCH")
  INVALID_SAVED_SRCH = new("INVALID_SAVED_SRCH")
  INVALID_SCHDUL_AMT = new("INVALID_SCHDUL_AMT")
  INVALID_SCHDUL_FORMAT = new("INVALID_SCHDUL_FORMAT")
  INVALID_SCRIPT_ID = new("INVALID_SCRIPT_ID")
  INVALID_SEARCH = new("INVALID_SEARCH")
  INVALID_SEARCH_CRITERIA = new("INVALID_SEARCH_CRITERIA")
  INVALID_SEARCH_FIELD_KEY = new("INVALID_SEARCH_FIELD_KEY")
  INVALID_SEARCH_FIELD_NAME = new("INVALID_SEARCH_FIELD_NAME")
  INVALID_SEARCH_FIELD_OBJ = new("INVALID_SEARCH_FIELD_OBJ")
  INVALID_SEARCH_JOIN_ID = new("INVALID_SEARCH_JOIN_ID")
  INVALID_SEARCH_MORE = new("INVALID_SEARCH_MORE")
  INVALID_SEARCH_OPERATOR = new("INVALID_SEARCH_OPERATOR")
  INVALID_SEARCH_PAGE_INDEX = new("INVALID_SEARCH_PAGE_INDEX")
  INVALID_SEARCH_PAGE_SIZE = new("INVALID_SEARCH_PAGE_SIZE")
  INVALID_SEARCH_PREF = new("INVALID_SEARCH_PREF")
  INVALID_SEARCH_SELECT_OBJ = new("INVALID_SEARCH_SELECT_OBJ")
  INVALID_SEARCH_VALUE = new("INVALID_SEARCH_VALUE")
  INVALID_SECONDARY_EMAIL = new("INVALID_SECONDARY_EMAIL")
  INVALID_SECPAY_CREDENTIALS = new("INVALID_SECPAY_CREDENTIALS")
  INVALID_SERIAL_NUM = new("INVALID_SERIAL_NUM")
  INVALID_SERIAL_OR_LOT_NUMBER = new("INVALID_SERIAL_OR_LOT_NUMBER")
  INVALID_SERVICE_CODE = new("INVALID_SERVICE_CODE")
  INVALID_SESSION = new("INVALID_SESSION")
  INVALID_SHIPPER_STATE = new("INVALID_SHIPPER_STATE")
  INVALID_SHIP_DATE = new("INVALID_SHIP_DATE")
  INVALID_SHIP_FROM_STATE = new("INVALID_SHIP_FROM_STATE")
  INVALID_SHIP_GRP = new("INVALID_SHIP_GRP")
  INVALID_SHIP_SRVC = new("INVALID_SHIP_SRVC")
  INVALID_SHIP_TO_SATE = new("INVALID_SHIP_TO_SATE")
  INVALID_SITE_CSTM_FILE = new("INVALID_SITE_CSTM_FILE")
  INVALID_SOAP_HEADER = new("INVALID_SOAP_HEADER")
  INVALID_SRCH = new("INVALID_SRCH")
  INVALID_SRCH_CRITERIA = new("INVALID_SRCH_CRITERIA")
  INVALID_SRCH_CSTM_FLD = new("INVALID_SRCH_CSTM_FLD")
  INVALID_SRCH_FUNCTN = new("INVALID_SRCH_FUNCTN")
  INVALID_SRCH_SORT = new("INVALID_SRCH_SORT")
  INVALID_SRCH_SUMMARY_TYP = new("INVALID_SRCH_SUMMARY_TYP")
  INVALID_SRCH_TYP = new("INVALID_SRCH_TYP")
  INVALID_SRVC_ITEM_SUB = new("INVALID_SRVC_ITEM_SUB")
  INVALID_SSO = new("INVALID_SSO")
  INVALID_SSS_DEBUG_SESSION = new("INVALID_SSS_DEBUG_SESSION")
  INVALID_STATE = new("INVALID_STATE")
  INVALID_STATUS = new("INVALID_STATUS")
  INVALID_SUB = new("INVALID_SUB")
  INVALID_SUBLIST_DESC = new("INVALID_SUBLIST_DESC")
  INVALID_SUBSCRIPTION_STATUS = new("INVALID_SUBSCRIPTION_STATUS")
  INVALID_SUMMARY_SRCH = new("INVALID_SUMMARY_SRCH")
  INVALID_SUPERVISOR = new("INVALID_SUPERVISOR")
  INVALID_TASK_ID = new("INVALID_TASK_ID")
  INVALID_TAX_AMT = new("INVALID_TAX_AMT")
  INVALID_TAX_CODE = new("INVALID_TAX_CODE")
  INVALID_TAX_CODES = new("INVALID_TAX_CODES")
  INVALID_TAX_CODE_FOR_SUB = new("INVALID_TAX_CODE_FOR_SUB")
  INVALID_TAX_PMT = new("INVALID_TAX_PMT")
  INVALID_TAX_VALUE = new("INVALID_TAX_VALUE")
  INVALID_TIME_FORMAT = new("INVALID_TIME_FORMAT")
  INVALID_TO_DATE = new("INVALID_TO_DATE")
  INVALID_TRACKING_NUM = new("INVALID_TRACKING_NUM")
  INVALID_TRANS = new("INVALID_TRANS")
  INVALID_TRANSACTION_DATE = new("INVALID_TRANSACTION_DATE")
  INVALID_TRANSACTIO_DATE = new("INVALID_TRANSACTIO_DATE")
  INVALID_TRANS_AMT = new("INVALID_TRANS_AMT")
  INVALID_TRANS_COMPNT = new("INVALID_TRANS_COMPNT")
  INVALID_TRANS_ID = new("INVALID_TRANS_ID")
  INVALID_TRANS_SUB_ACCT = new("INVALID_TRANS_SUB_ACCT")
  INVALID_TRANS_SUB_CLASS = new("INVALID_TRANS_SUB_CLASS")
  INVALID_TRANS_SUB_DEPT = new("INVALID_TRANS_SUB_DEPT")
  INVALID_TRANS_SUB_ENTITY = new("INVALID_TRANS_SUB_ENTITY")
  INVALID_TRANS_SUB_ITEM = new("INVALID_TRANS_SUB_ITEM")
  INVALID_TRANS_SUB_LOC = new("INVALID_TRANS_SUB_LOC")
  INVALID_TRANS_TYP = new("INVALID_TRANS_TYP")
  INVALID_TRAN_ITEM_LINE = new("INVALID_TRAN_ITEM_LINE")
  INVALID_TRIAL_TYP = new("INVALID_TRIAL_TYP")
  INVALID_TYP = new("INVALID_TYP")
  INVALID_UNIT_TYP = new("INVALID_UNIT_TYP")
  INVALID_UNSUPRTD_RCRD_TYP = new("INVALID_UNSUPRTD_RCRD_TYP")
  INVALID_UPS_ACCT = new("INVALID_UPS_ACCT")
  INVALID_UPS_PACKG_WEIGHT = new("INVALID_UPS_PACKG_WEIGHT")
  INVALID_UPS_VALUES = new("INVALID_UPS_VALUES")
  INVALID_URL = new("INVALID_URL")
  INVALID_URL_PARAM = new("INVALID_URL_PARAM")
  INVALID_VALUE = new("INVALID_VALUE")
  INVALID_VAT_AMOUNT = new("INVALID_VAT_AMOUNT")
  INVALID_VAT_REGSTRTN_NUM = new("INVALID_VAT_REGSTRTN_NUM")
  INVALID_VSOE_ALLOCTN = new("INVALID_VSOE_ALLOCTN")
  INVALID_WEBSITE_SECTION = new("INVALID_WEBSITE_SECTION")
  INVALID_WO = new("INVALID_WO")
  INVALID_WORLDPAY_ID = new("INVALID_WORLDPAY_ID")
  INVALID_WO_ITEM = new("INVALID_WO_ITEM")
  INVALID_YEAR = new("INVALID_YEAR")
  INVALID_YEAR_FORMAT = new("INVALID_YEAR_FORMAT")
  INVALID_ZIP_CODE = new("INVALID_ZIP_CODE")
  INVALID_ZIP_FILE = new("INVALID_ZIP_FILE")
  INVALID_ZIP_POST_CODE = new("INVALID_ZIP_POST_CODE")
  INVENTORY_NUM_DISALLWD = new("INVENTORY_NUM_DISALLWD")
  INVLAID_BOOLEAN_VALUE = new("INVLAID_BOOLEAN_VALUE")
  ISSUE_ASSIGNEE_DISALLWD = new("ISSUE_ASSIGNEE_DISALLWD")
  ISSUE_PRODUCT_VERSION_MISMATCH = new("ISSUE_PRODUCT_VERSION_MISMATCH")
  ISSUE_VERSION_BUILD_MISMATCH = new("ISSUE_VERSION_BUILD_MISMATCH")
  ITEM_ACCT_REQD = new("ITEM_ACCT_REQD")
  ITEM_COUNT_MISMATCH = new("ITEM_COUNT_MISMATCH")
  ITEM_IS_UNAVAILABLE = new("ITEM_IS_UNAVAILABLE")
  ITEM_NAME_MUST_BE_UNIQUE = new("ITEM_NAME_MUST_BE_UNIQUE")
  ITEM_NOT_UNIQUE = new("ITEM_NOT_UNIQUE")
  ITEM_PARAM_REQD_IN_URL = new("ITEM_PARAM_REQD_IN_URL")
  ITEM_TYP_REQS_UNIT = new("ITEM_TYP_REQS_UNIT")
  JE_AMOUNTS_MUST_BALANCE = new("JE_AMOUNTS_MUST_BALANCE")
  JE_LINE_MISSING_REQD_DATA = new("JE_LINE_MISSING_REQD_DATA")
  JE_REV_REC_IN_PROGRESS = new("JE_REV_REC_IN_PROGRESS")
  JE_UNEXPECTED_ERROR = new("JE_UNEXPECTED_ERROR")
  JOB_NOT_COMPLETE = new("JOB_NOT_COMPLETE")
  JS_EXCEPTION = new("JS_EXCEPTION")
  KEY_REQD = new("KEY_REQD")
  KPI_SETUP_REQD = new("KPI_SETUP_REQD")
  LABEL_REQD = new("LABEL_REQD")
  LANGUAGE_SETUP_REQD = new("LANGUAGE_SETUP_REQD")
  LINKED_ACCT_DONT_MATCH = new("LINKED_ACCT_DONT_MATCH")
  LINKED_ITEMS_DONT_MATCH = new("LINKED_ITEMS_DONT_MATCH")
  LIST_ID_REQD = new("LIST_ID_REQD")
  LIST_KEY_REQD = new("LIST_KEY_REQD")
  LOCATIONS_IN_USE = new("LOCATIONS_IN_USE")
  LOCATIONS_SETUP_REQD = new("LOCATIONS_SETUP_REQD")
  LOCATION_REQD = new("LOCATION_REQD")
  LOCKED_DASHBOARD = new("LOCKED_DASHBOARD")
  LOGIN_DISABLED = new("LOGIN_DISABLED")
  LOGIN_DISABLED_PARTNER_CTR = new("LOGIN_DISABLED_PARTNER_CTR")
  LOGIN_EMAIL_REQD = new("LOGIN_EMAIL_REQD")
  LOGIN_NAME_AND_PSWD_REQD = new("LOGIN_NAME_AND_PSWD_REQD")
  LOGIN_REQD = new("LOGIN_REQD")
  LOST_UPSELL_CRITERIA = new("LOST_UPSELL_CRITERIA")
  MACHN_LIST_KEY_NAMES_REQD = new("MACHN_LIST_KEY_NAMES_REQD")
  MANDATORY_PRD_TYPE_REQD = new("MANDATORY_PRD_TYPE_REQD")
  MASS_UPDATE_CRITERIA_LOST = new("MASS_UPDATE_CRITERIA_LOST")
  MATCHING_CUR_SUB_REQD = new("MATCHING_CUR_SUB_REQD")
  MATCHING_SERIAL_NUM_REQD = new("MATCHING_SERIAL_NUM_REQD")
  MATRIX_INFO_TEMP_LOST = new("MATRIX_INFO_TEMP_LOST")
  MATRIX_SUBITEM_NAME_TOO_LONG = new("MATRIX_SUBITEM_NAME_TOO_LONG")
  MAX_16_LINES_ALLWD_PER_BILLPAY = new("MAX_16_LINES_ALLWD_PER_BILLPAY")
  MAX_200_LINES_ALLWD_ON_TRANS = new("MAX_200_LINES_ALLWD_ON_TRANS")
  MAX_BARCODE_PRINT_EXCEEDED = new("MAX_BARCODE_PRINT_EXCEEDED")
  MAX_BULK_MERGE_RCRDS_EXCEEDED = new("MAX_BULK_MERGE_RCRDS_EXCEEDED")
  MAX_EMAILS_EXCEEDED = new("MAX_EMAILS_EXCEEDED")
  MAX_MERGE_LIMIT_EXCEEDED = new("MAX_MERGE_LIMIT_EXCEEDED")
  MAX_MERGE_RCRDS_EXCEEDED = new("MAX_MERGE_RCRDS_EXCEEDED")
  MAX_RCRDS_EXCEEDED = new("MAX_RCRDS_EXCEEDED")
  MEDIA_FILE_INVALID_JSCRIPT = new("MEDIA_FILE_INVALID_JSCRIPT")
  MEDIA_NOT_FOUND = new("MEDIA_NOT_FOUND")
  MEDIA_NOT_INITIALIZED = new("MEDIA_NOT_INITIALIZED")
  MEMORIZED_TRANS_ERROR = new("MEMORIZED_TRANS_ERROR")
  MERGE_OPERATION_DISALLWD = new("MERGE_OPERATION_DISALLWD")
  MERGE_RCRD_REQD = new("MERGE_RCRD_REQD")
  METAVANTE_ERROR = new("METAVANTE_ERROR")
  METAVANTE_SECRET_ANSWER_REQD = new("METAVANTE_SECRET_ANSWER_REQD")
  METAVANTE_SECRET_QESTION_REQD = new("METAVANTE_SECRET_QESTION_REQD")
  METAVANTE_SETUP_REQD = new("METAVANTE_SETUP_REQD")
  METAVANTE_TEMP_UNAVAILBL = new("METAVANTE_TEMP_UNAVAILBL")
  MISMATCHED_CURRENCY = new("MISMATCHED_CURRENCY")
  MISMATCHED_QTY_PRICING = new("MISMATCHED_QTY_PRICING")
  MISMATCHED_SEARCH_PARENTHESIS = new("MISMATCHED_SEARCH_PARENTHESIS")
  MISMATCH_EVENT_ISSUE_STATUS = new("MISMATCH_EVENT_ISSUE_STATUS")
  MISMATCH_ISSUE_PRODUCT_VERSION = new("MISMATCH_ISSUE_PRODUCT_VERSION")
  MISMATCH_SALES_CONTRIBUTION = new("MISMATCH_SALES_CONTRIBUTION")
  MISSING_ACCT_PRD = new("MISSING_ACCT_PRD")
  MISSING_ENUM = new("MISSING_ENUM")
  MISSING_REQD_FLD = new("MISSING_REQD_FLD")
  MISSNG_ACCT_PRD = new("MISSNG_ACCT_PRD")
  MISSNG_REV_REC_RCRD = new("MISSNG_REV_REC_RCRD")
  MISSNG_SO_REV_REC_PARAMS = new("MISSNG_SO_REV_REC_PARAMS")
  MISSNG_SO_START_END_DATES = new("MISSNG_SO_START_END_DATES")
  MLI_REQD = new("MLI_REQD")
  MLTPLE_TAX_LINES_DISALLWD = new("MLTPLE_TAX_LINES_DISALLWD")
  MSNG_FIELD_OWRTE_MUST_BE_TRUE = new("MSNG_FIELD_OWRTE_MUST_BE_TRUE")
  MST_UPDATE_ITEMS_THEN_RATES = new("MST_UPDATE_ITEMS_THEN_RATES")
  MULTISELECT_TYPE_REQD = new("MULTISELECT_TYPE_REQD")
  MULTI_ACCT_CANT_CHANGE_PSWD = new("MULTI_ACCT_CANT_CHANGE_PSWD")
  MULTI_LOC_INVT_ERROR = new("MULTI_LOC_INVT_ERROR")
  MULTI_PRIMARY_PARTNER_DISALLWD = new("MULTI_PRIMARY_PARTNER_DISALLWD")
  MULTI_SHIP_ROUTES_REQD = new("MULTI_SHIP_ROUTES_REQD")
  MUST_RESUBMIT_RCRD = new("MUST_RESUBMIT_RCRD")
  NAME_ALREADY_IN_USE = new("NAME_ALREADY_IN_USE")
  NAME_REQD = new("NAME_REQD")
  NAME_TYPE_FLDR_FIELDS_REQD = new("NAME_TYPE_FLDR_FIELDS_REQD")
  NARROW_KEYWORD_SEARCH = new("NARROW_KEYWORD_SEARCH")
  NEGATIVE_PAYMENT_DISALLWD = new("NEGATIVE_PAYMENT_DISALLWD")
  NEGATIVE_TAX_RATE_DISALLWD = new("NEGATIVE_TAX_RATE_DISALLWD")
  NEW_CONNECTION_DISALLWD = new("NEW_CONNECTION_DISALLWD")
  NEXUS_REQD = new("NEXUS_REQD")
  NONMATCHING_EMAILS = new("NONMATCHING_EMAILS")
  NONZERO_AMT_REQD = new("NONZERO_AMT_REQD")
  NONZERO_QTY_REQD = new("NONZERO_QTY_REQD")
  NONZERO_WEIGHT_REQD = new("NONZERO_WEIGHT_REQD")
  NON_ADMIN_CANNOT_INITIATE_LINK = new("NON_ADMIN_CANNOT_INITIATE_LINK")
  NOT_AN_INVITEE = new("NOT_AN_INVITEE")
  NOT_IN_INVT = new("NOT_IN_INVT")
  NO_DATA_FOUND = new("NO_DATA_FOUND")
  NO_EXPENSES_FOR_PRD = new("NO_EXPENSES_FOR_PRD")
  NO_ITEMS_TO_PRINT = new("NO_ITEMS_TO_PRINT")
  NO_MASS_UPDATES_RUNNING = new("NO_MASS_UPDATES_RUNNING")
  NO_MTRX_ITEMS_TO_UPDATE = new("NO_MTRX_ITEMS_TO_UPDATE")
  NO_ORD_SHPMNT = new("NO_ORD_SHPMNT")
  NO_RCRDS_MATCH = new("NO_RCRDS_MATCH")
  NO_RCRD_FOR_USER = new("NO_RCRD_FOR_USER")
  NO_SCHDUL_APPLIED = new("NO_SCHDUL_APPLIED")
  NO_UPSERT = new("NO_UPSERT")
  NULL_CHECK_NUMBER = new("NULL_CHECK_NUMBER")
  NUMERIC_CHECK_NUM_REQD = new("NUMERIC_CHECK_NUM_REQD")
  NUMERIC_REF_NUM_REQD = new("NUMERIC_REF_NUM_REQD")
  NUM_ITEMS_GRTR_THAN_QTY = new("NUM_ITEMS_GRTR_THAN_QTY")
  NUM_ITEMS_NOT_EQUAL_TO_QTY = new("NUM_ITEMS_NOT_EQUAL_TO_QTY")
  NUM_REQD_FOR_FIRST_LABEL = new("NUM_REQD_FOR_FIRST_LABEL")
  OI_FEATURE_REQD = new("OI_FEATURE_REQD")
  OI_PERMISSION_REQD = new("OI_PERMISSION_REQD")
  ONE_ADMIN_REQD_PER_ACCT = new("ONE_ADMIN_REQD_PER_ACCT")
  ONE_DIRECT_DEPOSIT_ACT_ALLWD = new("ONE_DIRECT_DEPOSIT_ACT_ALLWD")
  ONE_EMPL_REQD = new("ONE_EMPL_REQD")
  ONE_POSITIVE_VALUE_REQD = new("ONE_POSITIVE_VALUE_REQD")
  ONE_RCRD_REQD_FOR_MASS_UPDATE = new("ONE_RCRD_REQD_FOR_MASS_UPDATE")
  ONE_ROLE_REQD = new("ONE_ROLE_REQD")
  ONLINE_BANK_FILE_REQD = new("ONLINE_BANK_FILE_REQD")
  ONLINE_BILL_PAY_SETUP_REQD = new("ONLINE_BILL_PAY_SETUP_REQD")
  ONLINE_FORM_DSNT_EXIST = new("ONLINE_FORM_DSNT_EXIST")
  ONLINE_FORM_EMPTY = new("ONLINE_FORM_EMPTY")
  ONLINE_FORM_ID_REQD = new("ONLINE_FORM_ID_REQD")
  ONLINE_FORM_USER_ACCESS_ONLY = new("ONLINE_FORM_USER_ACCESS_ONLY")
  ONLINE_ORD_FEATURE_DISABLED = new("ONLINE_ORD_FEATURE_DISABLED")
  ONLY_ONE_CONTRIB_ITEM_REQD = new("ONLY_ONE_CONTRIB_ITEM_REQD")
  ONLY_ONE_DEDCT_ITEM_REQD = new("ONLY_ONE_DEDCT_ITEM_REQD")
  ONLY_ONE_DISTRIB_ALLWD = new("ONLY_ONE_DISTRIB_ALLWD")
  ONLY_ONE_EARNING_ITEM_REQD = new("ONLY_ONE_EARNING_ITEM_REQD")
  ONLY_ONE_LOT_NUM_ALLWD = new("ONLY_ONE_LOT_NUM_ALLWD")
  ONLY_ONE_PREF_BIN_ALLWD = new("ONLY_ONE_PREF_BIN_ALLWD")
  ONLY_ONE_UNIT_AS_BASE_UNIT = new("ONLY_ONE_UNIT_AS_BASE_UNIT")
  ONLY_ONE_UPLOAD_ALLWD = new("ONLY_ONE_UPLOAD_ALLWD")
  ONLY_ONE_WITHLD_ITEM_REQD = new("ONLY_ONE_WITHLD_ITEM_REQD")
  ORDER_DSNT_EXIST = new("ORDER_DSNT_EXIST")
  ORD_ALREADY_APPRVD = new("ORD_ALREADY_APPRVD")
  OVERAGE_DISALLWD = new("OVERAGE_DISALLWD")
  OVERLAPPING_PRDS_DISALLWD = new("OVERLAPPING_PRDS_DISALLWD")
  OVER_FULFILL_DISALLWD = new("OVER_FULFILL_DISALLWD")
  OVER_FULFILL_RECEIV_DISALLWD = new("OVER_FULFILL_RECEIV_DISALLWD")
  OWNER_REQD = new("OWNER_REQD")
  PACKAGE_WEIGHT_REQD = new("PACKAGE_WEIGHT_REQD")
  PACKG_LEVEL_REF_DISALLWD = new("PACKG_LEVEL_REF_DISALLWD")
  PACKG_VALUE_TOO_LARGE = new("PACKG_VALUE_TOO_LARGE")
  PARENT_CANT_ITSELF_BE_MEMBER = new("PARENT_CANT_ITSELF_BE_MEMBER")
  PARENT_MUST_BE_MATRIX_ITEM = new("PARENT_MUST_BE_MATRIX_ITEM")
  PARENT_REQD = new("PARENT_REQD")
  PARTIAL_FULFILL_RCEIV_DISALLWD = new("PARTIAL_FULFILL_RCEIV_DISALLWD")
  PARTNER_ACCESS_DENIED = new("PARTNER_ACCESS_DENIED")
  PARTNER_CODE_ALREADY_USED = new("PARTNER_CODE_ALREADY_USED")
  PAYCHECK_ALREADY_PAID = new("PAYCHECK_ALREADY_PAID")
  PAYCHECK_IN_USE = new("PAYCHECK_IN_USE")
  PAYEE_REQD_FOR_PMT = new("PAYEE_REQD_FOR_PMT")
  PAYPAL_FUND_SOURCE_REQD = new("PAYPAL_FUND_SOURCE_REQD")
  PAYPAL_INVALID_PMT_METHOD = new("PAYPAL_INVALID_PMT_METHOD")
  PAYPAL_PMT_NOTIFICATION = new("PAYPAL_PMT_NOTIFICATION")
  PAYPAL_SETUP_REQD = new("PAYPAL_SETUP_REQD")
  PAYROLL_COMMITTED = new("PAYROLL_COMMITTED")
  PAYROLL_EXPENSE_ACCT_REQD = new("PAYROLL_EXPENSE_ACCT_REQD")
  PAYROLL_FEATURE_DISABLED = new("PAYROLL_FEATURE_DISABLED")
  PAYROLL_FEATURE_UNAVAILABLE = new("PAYROLL_FEATURE_UNAVAILABLE")
  PAYROLL_FUND_ACCT_REQD = new("PAYROLL_FUND_ACCT_REQD")
  PAYROLL_IN_PROCESS = new("PAYROLL_IN_PROCESS")
  PAYROLL_ITEM_DELETE_DISALLWD = new("PAYROLL_ITEM_DELETE_DISALLWD")
  PAYROLL_LIABILITY_ACCT_REQD = new("PAYROLL_LIABILITY_ACCT_REQD")
  PAYROLL_MAINTENANCE = new("PAYROLL_MAINTENANCE")
  PAYROLL_SETUP_REQD = new("PAYROLL_SETUP_REQD")
  PAYROLL_UPDATE_REQD = new("PAYROLL_UPDATE_REQD")
  PERMISSION_VIOLATION = new("PERMISSION_VIOLATION")
  PHONE_NUM_REQD = new("PHONE_NUM_REQD")
  PIN_DEBIT_TRANS_DISALLWD = new("PIN_DEBIT_TRANS_DISALLWD")
  PLAN_IN_USE = new("PLAN_IN_USE")
  PLAN_OVERLAP_DISALLWD = new("PLAN_OVERLAP_DISALLWD")
  PMT_ALREADY_APPRVD = new("PMT_ALREADY_APPRVD")
  PMT_ALREADY_EXISTS = new("PMT_ALREADY_EXISTS")
  PMT_ALREADY_SBMTD = new("PMT_ALREADY_SBMTD")
  PMT_EDIT_DISALLWD = new("PMT_EDIT_DISALLWD")
  POSITIVE_QTY_REQD = new("POSITIVE_QTY_REQD")
  POSTING_DISCOUNT_DISALLWD = new("POSTING_DISCOUNT_DISALLWD")
  POSTING_PRD_SETUP_REQD = new("POSTING_PRD_SETUP_REQD")
  PRDS_DISALLWD_NAMES_NOT_UNIQUE = new("PRDS_DISALLWD_NAMES_NOT_UNIQUE")
  PRD_SETUP_REQD = new("PRD_SETUP_REQD")
  PREFERRED_TAX_AGENCY_REQD = new("PREFERRED_TAX_AGENCY_REQD")
  PREF_VENDOR_COST_REQD = new("PREF_VENDOR_COST_REQD")
  PREF_VENDOR_REQD = new("PREF_VENDOR_REQD")
  PRIVATE_RCRD_ACCESS_DISALLWD = new("PRIVATE_RCRD_ACCESS_DISALLWD")
  PRIVATE_STATUS_CHNG_DISALLWD = new("PRIVATE_STATUS_CHNG_DISALLWD")
  PRODUCT_MODULE_MISMATCH = new("PRODUCT_MODULE_MISMATCH")
  PSWD_EXPIRED = new("PSWD_EXPIRED")
  PSWD_REQD = new("PSWD_REQD")
  PWSDS_DONT_MATCH = new("PWSDS_DONT_MATCH")
  QTY_EXCEEDED_QTY_BUCKETS = new("QTY_EXCEEDED_QTY_BUCKETS")
  QTY_REQD = new("QTY_REQD")
  RATE_REQUEST_SHPMNT_REQD = new("RATE_REQUEST_SHPMNT_REQD")
  RATE_SRVC_UNAVAILBL = new("RATE_SRVC_UNAVAILBL")
  RCRD_DELETED_SINCE_RETRIEVED = new("RCRD_DELETED_SINCE_RETRIEVED")
  RCRD_DSNT_EXIST = new("RCRD_DSNT_EXIST")
  RCRD_EDITED_SINCE_RETRIEVED = new("RCRD_EDITED_SINCE_RETRIEVED")
  RCRD_HAS_BEEN_CHANGED = new("RCRD_HAS_BEEN_CHANGED")
  RCRD_ID_NOT_INT = new("RCRD_ID_NOT_INT")
  RCRD_NOT_FOUND = new("RCRD_NOT_FOUND")
  RCRD_PREVSLY_DELETED = new("RCRD_PREVSLY_DELETED")
  RCRD_REF_RCRD_TYP_MISMATCH = new("RCRD_REF_RCRD_TYP_MISMATCH")
  RCRD_SUB_MISMATCH_WITH_CLASS = new("RCRD_SUB_MISMATCH_WITH_CLASS")
  RCRD_TYPE_REQD = new("RCRD_TYPE_REQD")
  RCRD_UNEDITABLE = new("RCRD_UNEDITABLE")
  REACHED_LIST_END = new("REACHED_LIST_END")
  REACHED_LIST_START = new("REACHED_LIST_START")
  RECALCING_PLAN_SCHDUL = new("RECALCING_PLAN_SCHDUL")
  RECURSV_REF_DISALLWD = new("RECURSV_REF_DISALLWD")
  RECUR_EVENT_DISALLWD = new("RECUR_EVENT_DISALLWD")
  REC_TYP_REQD = new("REC_TYP_REQD")
  REPORT_EXPIRED = new("REPORT_EXPIRED")
  REQD_FORM_TAG_MISSING = new("REQD_FORM_TAG_MISSING")
  REQD_LOC_FIELDS_MISSING = new("REQD_LOC_FIELDS_MISSING")
  REQD_SUB_FIELDS_MISSING = new("REQD_SUB_FIELDS_MISSING")
  REQUEST_PARAM_REQD = new("REQUEST_PARAM_REQD")
  REVERSAL_DATE_WARNING = new("REVERSAL_DATE_WARNING")
  REV_REC_DATE_REQD = new("REV_REC_DATE_REQD")
  REV_REC_TMPLT_DATA_MISSING = new("REV_REC_TMPLT_DATA_MISSING")
  REV_REC_UPDATE_DISALLWD = new("REV_REC_UPDATE_DISALLWD")
  ROLE_REQD = new("ROLE_REQD")
  ROLE_REQUIRED = new("ROLE_REQUIRED")
  ROUNDING_DIFF_TOO_BIG = new("ROUNDING_DIFF_TOO_BIG")
  ROUNDING_ERROR = new("ROUNDING_ERROR")
  ROUTING_NUM_REQD = new("ROUTING_NUM_REQD")
  SALES_DISCOUNT_ACCT_REQD = new("SALES_DISCOUNT_ACCT_REQD")
  SAME_ACCT_TYP_REQD_FOR_PARENT = new("SAME_ACCT_TYP_REQD_FOR_PARENT")
  SAVED_SRCH_EMAIL_ERROR = new("SAVED_SRCH_EMAIL_ERROR")
  SCHDUL_EDIT_DISALLWD = new("SCHDUL_EDIT_DISALLWD")
  SCHEDULED_REPORT_ERROR = new("SCHEDULED_REPORT_ERROR")
  SEARCH_DATE_FILTER_REQD = new("SEARCH_DATE_FILTER_REQD")
  SEARCH_ERROR = new("SEARCH_ERROR")
  SEARCH_INTEGER_REQD = new("SEARCH_INTEGER_REQD")
  SEARCH_TIMED_OUT = new("SEARCH_TIMED_OUT")
  SECURE_TRANS_REQD_ON_CHECKOUT = new("SECURE_TRANS_REQD_ON_CHECKOUT")
  SERIAL_NUM_MATCH_MULTI_ITEMS = new("SERIAL_NUM_MATCH_MULTI_ITEMS")
  SESSION_TERMD_2ND_LOGIN_DECTD = new("SESSION_TERMD_2ND_LOGIN_DECTD")
  SESSION_TIMED_OUT = new("SESSION_TIMED_OUT")
  SETUP_METER_REQD = new("SETUP_METER_REQD")
  SET_SHIPPING_PICKUP_TYP = new("SET_SHIPPING_PICKUP_TYP")
  SHIPMNT_INSURANCE_NOT_AVAILABLE = new("SHIPMNT_INSURANCE_NOT_AVAILABLE")
  SHIP_ADDR_REQD = new("SHIP_ADDR_REQD")
  SHIP_MANIFEST_ALREADY_PRCSSD = new("SHIP_MANIFEST_ALREADY_PRCSSD")
  SHIP_MANIFEST_ERROR = new("SHIP_MANIFEST_ERROR")
  SHIP_SETUP_REQD = new("SHIP_SETUP_REQD")
  SHIP_TALBE_UNBALNCD = new("SHIP_TALBE_UNBALNCD")
  SHIP_USER_ERROR = new("SHIP_USER_ERROR")
  SINGLE_VALUE_REQD = new("SINGLE_VALUE_REQD")
  SITE_DOMAIN_NAME_REQD = new("SITE_DOMAIN_NAME_REQD")
  SITE_TAG_ALREADY_EXISTS = new("SITE_TAG_ALREADY_EXISTS")
  SO_HAS_CHILD_TRANS = new("SO_HAS_CHILD_TRANS")
  SO_LINE_HAS_PO = new("SO_LINE_HAS_PO")
  SRVC_UNAVAILBL_FOR_LOC = new("SRVC_UNAVAILBL_FOR_LOC")
  SSS_AUTHOR_MUST_BE_EMPLOYEE = new("SSS_AUTHOR_MUST_BE_EMPLOYEE")
  SSS_DEBUG_DISALLWD = new("SSS_DEBUG_DISALLWD")
  SSS_FILE_SIZE_EXCEEDED = new("SSS_FILE_SIZE_EXCEEDED")
  SSS_INSTRUCTION_COUNT_EXCEEDED = new("SSS_INSTRUCTION_COUNT_EXCEEDED")
  SSS_INVALID_ATTACH_RECORD_TYPE = new("SSS_INVALID_ATTACH_RECORD_TYPE")
  SSS_INVALID_BCC_EMAIL = new("SSS_INVALID_BCC_EMAIL")
  SSS_INVALID_CC_EMAIL = new("SSS_INVALID_CC_EMAIL")
  SSS_INVALID_EMAIL_TEMPLATE = new("SSS_INVALID_EMAIL_TEMPLATE")
  SSS_INVALID_FORM_ELEMENT_NAME = new("SSS_INVALID_FORM_ELEMENT_NAME")
  SSS_INVALID_GSO_FLTR_OPRTOR = new("SSS_INVALID_GSO_FLTR_OPRTOR")
  SSS_INVALID_HEADER = new("SSS_INVALID_HEADER")
  SSS_INVALID_HOST_CERT = new("SSS_INVALID_HOST_CERT")
  SSS_INVALID_LIST_COLUMN_NAME = new("SSS_INVALID_LIST_COLUMN_NAME")
  SSS_INVALID_LOG_TYPE = new("SSS_INVALID_LOG_TYPE")
  SSS_INVALID_SCRIPTLET_ID = new("SSS_INVALID_SCRIPTLET_ID")
  SSS_INVALID_SRCH_COL = new("SSS_INVALID_SRCH_COL")
  SSS_INVALID_SRCH_COLUMN_JOIN = new("SSS_INVALID_SRCH_COLUMN_JOIN")
  SSS_INVALID_SRCH_COLUMN_SUM = new("SSS_INVALID_SRCH_COLUMN_SUM")
  SSS_INVALID_SRCH_FILTER = new("SSS_INVALID_SRCH_FILTER")
  SSS_INVALID_SRCH_FILTER_JOIN = new("SSS_INVALID_SRCH_FILTER_JOIN")
  SSS_INVALID_SRCH_OPERATOR = new("SSS_INVALID_SRCH_OPERATOR")
  SSS_INVALID_SUBLIST_OPERATION = new("SSS_INVALID_SUBLIST_OPERATION")
  SSS_INVALID_TYPE_ARG = new("SSS_INVALID_TYPE_ARG")
  SSS_INVALID_UI_OBJECT_TYPE = new("SSS_INVALID_UI_OBJECT_TYPE")
  SSS_INVALID_URL = new("SSS_INVALID_URL")
  SSS_INVALID_URL_CATEGORY = new("SSS_INVALID_URL_CATEGORY")
  SSS_MISSING_REQD_ARGUMENT = new("SSS_MISSING_REQD_ARGUMENT")
  SSS_QUEUE_LIMIT_EXCEEDED = new("SSS_QUEUE_LIMIT_EXCEEDED")
  SSS_RECORD_TYPE_MISMATCH = new("SSS_RECORD_TYPE_MISMATCH")
  SSS_REQUEST_TIME_EXCEEDED = new("SSS_REQUEST_TIME_EXCEEDED")
  SSS_SSO_CONFIG_REQD = new("SSS_SSO_CONFIG_REQD")
  SSS_TIME_LIMIT_EXCEEDED = new("SSS_TIME_LIMIT_EXCEEDED")
  SSS_UNKNOWN_HOST = new("SSS_UNKNOWN_HOST")
  SSS_USAGE_LIMIT_EXCEEDED = new("SSS_USAGE_LIMIT_EXCEEDED")
  START_DATE_AFTER_END_DATE = new("START_DATE_AFTER_END_DATE")
  START_DATE_REQD = new("START_DATE_REQD")
  STATE_ALREADY_EXISTS = new("STATE_ALREADY_EXISTS")
  STATE_REQD = new("STATE_REQD")
  STATUS_ASSIGNEE_REQD = new("STATUS_ASSIGNEE_REQD")
  STORAGE_LIMIT_EXCEEDED = new("STORAGE_LIMIT_EXCEEDED")
  STORE_ALIAS_UNAVAILABLE = new("STORE_ALIAS_UNAVAILABLE")
  STORE_DOMAIN_UNAVAILABLE = new("STORE_DOMAIN_UNAVAILABLE")
  SUBITEM_REQD = new("SUBITEM_REQD")
  SUBSIDIARY_MISMATCH = new("SUBSIDIARY_MISMATCH")
  SUB_MISMATCH = new("SUB_MISMATCH")
  SUB_RESTRICT_VIEW_REQD = new("SUB_RESTRICT_VIEW_REQD")
  SUB_TAX_AGENCY_REQD = new("SUB_TAX_AGENCY_REQD")
  SUCCESS_TRANS = new("SUCCESS_TRANS")
  SUPRT_CNTR_LOGIN_ERROR = new("SUPRT_CNTR_LOGIN_ERROR")
  TAGATA_ALREADY_ENDORSED = new("TAGATA_ALREADY_ENDORSED")
  TAG_ALREADY_EXISTS = new("TAG_ALREADY_EXISTS")
  TAG_SUBSTITUTN_ERROR = new("TAG_SUBSTITUTN_ERROR")
  TAX_ACCT_SETUP_REQD = new("TAX_ACCT_SETUP_REQD")
  TAX_CODES_SETUP_PROBLEM = new("TAX_CODES_SETUP_PROBLEM")
  TAX_CODES_SETUP_REQD = new("TAX_CODES_SETUP_REQD")
  TAX_CODE_REQD = new("TAX_CODE_REQD")
  TAX_GROUP_SETUP_REQD = new("TAX_GROUP_SETUP_REQD")
  TAX_PRD_REQD = new("TAX_PRD_REQD")
  TAX_SETUP_REQD = new("TAX_SETUP_REQD")
  TEMPLATE_NOT_FOUND = new("TEMPLATE_NOT_FOUND")
  THIRD_PARTY_BILLING_ACCT_REQD = new("THIRD_PARTY_BILLING_ACCT_REQD")
  TICKET_NOT_LOCATED = new("TICKET_NOT_LOCATED")
  TIME_ENTRY_DISALLWD = new("TIME_ENTRY_DISALLWD")
  TOPIC_REQD = new("TOPIC_REQD")
  TRANSACTION_DELETED = new("TRANSACTION_DELETED")
  TRANS_ALREADY_REFUNDED = new("TRANS_ALREADY_REFUNDED")
  TRANS_ALREADY_SETTLED = new("TRANS_ALREADY_SETTLED")
  TRANS_ALREADY_VOIDED = new("TRANS_ALREADY_VOIDED")
  TRANS_AMTS_UNBALNCD = new("TRANS_AMTS_UNBALNCD")
  TRANS_APPLIED_AMTS_UNBALNCD = new("TRANS_APPLIED_AMTS_UNBALNCD")
  TRANS_CLASS_UNBALNCD = new("TRANS_CLASS_UNBALNCD")
  TRANS_DEPT_UNBALNCD = new("TRANS_DEPT_UNBALNCD")
  TRANS_DOES_NOT_EXIST = new("TRANS_DOES_NOT_EXIST")
  TRANS_DSNT_EXIST = new("TRANS_DSNT_EXIST")
  TRANS_EDIT_DISALLWD = new("TRANS_EDIT_DISALLWD")
  TRANS_FORGN_CRNCY_MISMATCH = new("TRANS_FORGN_CRNCY_MISMATCH")
  TRANS_FORGN_CUR_UNBALNCD = new("TRANS_FORGN_CUR_UNBALNCD")
  TRANS_IN_USE = new("TRANS_IN_USE")
  TRANS_LINES_UNBALNCD = new("TRANS_LINES_UNBALNCD")
  TRANS_LINE_AND_PMT_UNBALNCD = new("TRANS_LINE_AND_PMT_UNBALNCD")
  TRANS_LOC_UNBALNCD = new("TRANS_LOC_UNBALNCD")
  TRANS_NOT_CLEANED = new("TRANS_NOT_CLEANED")
  TRANS_NOT_COMPLETED = new("TRANS_NOT_COMPLETED")
  TRANS_UNBALNCD = new("TRANS_UNBALNCD")
  TRAN_DATE_REQD = new("TRAN_DATE_REQD")
  TRAN_LINE_FX_AMT_REQD = new("TRAN_LINE_FX_AMT_REQD")
  TRAN_LINK_FX_AMT_REQD = new("TRAN_LINK_FX_AMT_REQD")
  TRAN_PERIOD_CLOSED = new("TRAN_PERIOD_CLOSED")
  TRAN_PRD_CLOSED = new("TRAN_PRD_CLOSED")
  TWO_FA_AUTH_REQD = new("TWO_FA_AUTH_REQD")
  TWO_FA_REQD = new("TWO_FA_REQD")
  UNABLE_TO_PRINT_CHECKS = new("UNABLE_TO_PRINT_CHECKS")
  UNABLE_TO_PRINT_DEPOSITS = new("UNABLE_TO_PRINT_DEPOSITS")
  UNAUTH_CAMPAIGN_RSPNS_RQST = new("UNAUTH_CAMPAIGN_RSPNS_RQST")
  UNAUTH_UNSUBSCRIBE_RQST = new("UNAUTH_UNSUBSCRIBE_RQST")
  UNDEFINED_ACCTNG_PRD = new("UNDEFINED_ACCTNG_PRD")
  UNDEFINED_CSTM_FIELD = new("UNDEFINED_CSTM_FIELD")
  UNDEFINED_TAX_PRD = new("UNDEFINED_TAX_PRD")
  UNEXPECTED_ERROR = new("UNEXPECTED_ERROR")
  UNIQUE_CONTACT_NAME_REQD = new("UNIQUE_CONTACT_NAME_REQD")
  UNIQUE_CUST_EMAIL_REQD = new("UNIQUE_CUST_EMAIL_REQD")
  UNIQUE_CUST_ID_REQD = new("UNIQUE_CUST_ID_REQD")
  UNIQUE_ENTITY_NAME_REQD = new("UNIQUE_ENTITY_NAME_REQD")
  UNIQUE_GROUPID_REQD = new("UNIQUE_GROUPID_REQD")
  UNIQUE_PARTNER_CODE_REQD = new("UNIQUE_PARTNER_CODE_REQD")
  UNIQUE_QTY_REQD = new("UNIQUE_QTY_REQD")
  UNIQUE_RCRD_ID_REQD = new("UNIQUE_RCRD_ID_REQD")
  UNIQUE_SOLUTION_CODE_REQD = new("UNIQUE_SOLUTION_CODE_REQD")
  UNITS_TYP_IN_USE = new("UNITS_TYP_IN_USE")
  UNKNOWN_CARRIER = new("UNKNOWN_CARRIER")
  UNKNOWN_RCRD_TYPE = new("UNKNOWN_RCRD_TYPE")
  UNKNOWN_SCRIPT_TYP = new("UNKNOWN_SCRIPT_TYP")
  UNKNWN_ALLOCTN_SCHDUL_FREQ_TYP = new("UNKNWN_ALLOCTN_SCHDUL_FREQ_TYP")
  UNKNWN_EMAIL_AUTHOR = new("UNKNWN_EMAIL_AUTHOR")
  UNKNWN_EXCHANGE_RATE = new("UNKNWN_EXCHANGE_RATE")
  UNRECOGNIZED_METHOD = new("UNRECOGNIZED_METHOD")
  UNSUBSCRIBE_REQD = new("UNSUBSCRIBE_REQD")
  UNSUPRTD_DOC_TYP = new("UNSUPRTD_DOC_TYP")
  UPDATE_DISALLWD = new("UPDATE_DISALLWD")
  UPDATE_PRICE_AMT_REQD = new("UPDATE_PRICE_AMT_REQD")
  UPGRADE_WS_VERSION = new("UPGRADE_WS_VERSION")
  UPS_CANT_INTEGRATE_FULFILL = new("UPS_CANT_INTEGRATE_FULFILL")
  UPS_CONFIG_ERROR = new("UPS_CONFIG_ERROR")
  UPS_LICENSE_AGREEMNT_REQD = new("UPS_LICENSE_AGREEMNT_REQD")
  UPS_ONLINE_RATE_UNAVAILBL = new("UPS_ONLINE_RATE_UNAVAILBL")
  UPS_ONLINE_SHIP_UNAVAILBL = new("UPS_ONLINE_SHIP_UNAVAILBL")
  UPS_REG_NUM_IN_USE = new("UPS_REG_NUM_IN_USE")
  UPS_SETUP_REQD = new("UPS_SETUP_REQD")
  UPS_USER_ERROR = new("UPS_USER_ERROR")
  UPS_VOID_ERROR = new("UPS_VOID_ERROR")
  UPS_XML_ERROR = new("UPS_XML_ERROR")
  URL_ID_PARAM_REQD = new("URL_ID_PARAM_REQD")
  URL_REQD = new("URL_REQD")
  USER_CONTEXT_REQD = new("USER_CONTEXT_REQD")
  USER_DISABLED = new("USER_DISABLED")
  USER_ERROR = new("USER_ERROR")
  USPS_ACCT_NUM_ALREADY_EXISTS = new("USPS_ACCT_NUM_ALREADY_EXISTS")
  USPS_INVALID_INSURED_VALUE = new("USPS_INVALID_INSURED_VALUE")
  USPS_INVALID_PACKAGING = new("USPS_INVALID_PACKAGING")
  USPS_INVALID_PSWD = new("USPS_INVALID_PSWD")
  USPS_LABEL_VOIDED = new("USPS_LABEL_VOIDED")
  USPS_MAX_ITEM_EXCEEDED = new("USPS_MAX_ITEM_EXCEEDED")
  USPS_ONE_PACKAGE_ALLWD = new("USPS_ONE_PACKAGE_ALLWD")
  USPS_PASS_PHRASE_NOT_UPDATED = new("USPS_PASS_PHRASE_NOT_UPDATED")
  USPS_REFUND_FAILED = new("USPS_REFUND_FAILED")
  USPS_RETRY = new("USPS_RETRY")
  USPS_VALIDATE_ADDR = new("USPS_VALIDATE_ADDR")
  USPS_VERIFY_TRACKING_NUM = new("USPS_VERIFY_TRACKING_NUM")
  USPS_VOID_ERROR = new("USPS_VOID_ERROR")
  VALID_EMAIL_REQD = new("VALID_EMAIL_REQD")
  VALID_EMAIL_REQD_FOR_LOGIN = new("VALID_EMAIL_REQD_FOR_LOGIN")
  VALID_FIRST_NAME_REQD = new("VALID_FIRST_NAME_REQD")
  VALID_LAST_NAME_REQD = new("VALID_LAST_NAME_REQD")
  VALID_LINE_ITEM_REQD = new("VALID_LINE_ITEM_REQD")
  VALID_PHONE_NUM_REQD = new("VALID_PHONE_NUM_REQD")
  VALID_PRD_REQD = new("VALID_PRD_REQD")
  VALID_URL_REQD = new("VALID_URL_REQD")
  VALID_VERSION_REQD_IN_URL = new("VALID_VERSION_REQD_IN_URL")
  VALID_WORK_PHONE_REQD = new("VALID_WORK_PHONE_REQD")
  VALID_ZIPCODE_REQD = new("VALID_ZIPCODE_REQD")
  VENDOR_TYPE_REQD = new("VENDOR_TYPE_REQD")
  VERIFY_DESTNTN_ZIP_CODE = new("VERIFY_DESTNTN_ZIP_CODE")
  VERIFY_PAYROLL_FUND_ACCT = new("VERIFY_PAYROLL_FUND_ACCT")
  VERIFY_ZIP_CODE_SETUP = new("VERIFY_ZIP_CODE_SETUP")
  VISA_ERROR = new("VISA_ERROR")
  VOIDING_REVERSAL_DISALLWD = new("VOIDING_REVERSAL_DISALLWD")
  VOID_FAILED = new("VOID_FAILED")
  VSOE_CANT_ADD_ITEM_GROUP = new("VSOE_CANT_ADD_ITEM_GROUP")
  VSOE_REV_REC_TMPLT_REQD = new("VSOE_REV_REC_TMPLT_REQD")
  VSOE_TOTAL_ALLOCATION_ERROR = new("VSOE_TOTAL_ALLOCATION_ERROR")
  VSOE_TRAN_VSOE_BUNDLE_ERROR = new("VSOE_TRAN_VSOE_BUNDLE_ERROR")
  WARNING = new("WARNING")
  WORK_DAYS_REQD = new("WORK_DAYS_REQD")
  WORLDPAY_ERROR = new("WORLDPAY_ERROR")
  WRITE_OFF_ACCT_REQD = new("WRITE_OFF_ACCT_REQD")
  WS_CONCUR_SESSION_DISALLWD = new("WS_CONCUR_SESSION_DISALLWD")
  WS_EXCEEDED_CONCUR_USERS_ALLWD = new("WS_EXCEEDED_CONCUR_USERS_ALLWD")
  WS_EXCEEDED_MAX_CONCUR_RQST = new("WS_EXCEEDED_MAX_CONCUR_RQST")
  WS_FEATURE_REQD = new("WS_FEATURE_REQD")
  WS_INVALID_SEARCH_OPERATN = new("WS_INVALID_SEARCH_OPERATN")
  WS_LOG_IN_REQD = new("WS_LOG_IN_REQD")
  WS_PERMISSION_REQD = new("WS_PERMISSION_REQD")
  ZIP_FILE_CONTAINS_VIRUS = new("ZIP_FILE_CONTAINS_VIRUS")
end

# {urn:types.faults_2013_2.platform.webservices.netsuite.com}FaultCodeType
class FaultCodeType < ::String
  ACCT_TEMP_UNAVAILABLE = new("ACCT_TEMP_UNAVAILABLE")
  EMAIL_ADDRS_REQD = new("EMAIL_ADDRS_REQD")
  INVALID_ACCT = new("INVALID_ACCT")
  INVALID_JOB_ID = new("INVALID_JOB_ID")
  INVALID_LOGIN_CREDENTIALS = new("INVALID_LOGIN_CREDENTIALS")
  INVALID_PAGE_INDEX = new("INVALID_PAGE_INDEX")
  INVALID_ROLE = new("INVALID_ROLE")
  INVALID_WS_VERSION = new("INVALID_WS_VERSION")
  JOB_NOT_COMPLETE = new("JOB_NOT_COMPLETE")
  LOGIN_DISABLED = new("LOGIN_DISABLED")
  MAX_RCRDS_EXCEEDED = new("MAX_RCRDS_EXCEEDED")
  OI_FEATURE_REQD = new("OI_FEATURE_REQD")
  OI_PERMISSION_REQD = new("OI_PERMISSION_REQD")
  PSWD_REQD = new("PSWD_REQD")
  ROLE_REQUIRED = new("ROLE_REQUIRED")
  SESSION_TIMED_OUT = new("SESSION_TIMED_OUT")
  UNEXPECTED_ERROR = new("UNEXPECTED_ERROR")
  UNSUPPORTED_WS_VERSION = new("UNSUPPORTED_WS_VERSION")
  USER_ERROR = new("USER_ERROR")
  WS_CONCUR_SESSION_DISALLWD = new("WS_CONCUR_SESSION_DISALLWD")
  WS_FEATURE_REQD = new("WS_FEATURE_REQD")
  WS_LOG_IN_REQD = new("WS_LOG_IN_REQD")
  WS_PERMISSION_REQD = new("WS_PERMISSION_REQD")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}Country
class Country < ::String
  C__afghanistan = new("_afghanistan")
  C__alandIslands = new("_alandIslands")
  C__albania = new("_albania")
  C__algeria = new("_algeria")
  C__americanSamoa = new("_americanSamoa")
  C__andorra = new("_andorra")
  C__angola = new("_angola")
  C__anguilla = new("_anguilla")
  C__antarctica = new("_antarctica")
  C__antiguaAndBarbuda = new("_antiguaAndBarbuda")
  C__argentina = new("_argentina")
  C__armenia = new("_armenia")
  C__aruba = new("_aruba")
  C__australia = new("_australia")
  C__austria = new("_austria")
  C__azerbaijan = new("_azerbaijan")
  C__bahamas = new("_bahamas")
  C__bahrain = new("_bahrain")
  C__bangladesh = new("_bangladesh")
  C__barbados = new("_barbados")
  C__belarus = new("_belarus")
  C__belgium = new("_belgium")
  C__belize = new("_belize")
  C__benin = new("_benin")
  C__bermuda = new("_bermuda")
  C__bhutan = new("_bhutan")
  C__bolivia = new("_bolivia")
  C__bonaireSaintEustatiusAndSaba = new("_bonaireSaintEustatiusAndSaba")
  C__bosniaAndHerzegovina = new("_bosniaAndHerzegovina")
  C__botswana = new("_botswana")
  C__bouvetIsland = new("_bouvetIsland")
  C__brazil = new("_brazil")
  C__britishIndianOceanTerritory = new("_britishIndianOceanTerritory")
  C__bruneiDarussalam = new("_bruneiDarussalam")
  C__bulgaria = new("_bulgaria")
  C__burkinaFaso = new("_burkinaFaso")
  C__burundi = new("_burundi")
  C__cambodia = new("_cambodia")
  C__cameroon = new("_cameroon")
  C__canada = new("_canada")
  C__canaryIslands = new("_canaryIslands")
  C__capeVerde = new("_capeVerde")
  C__caymanIslands = new("_caymanIslands")
  C__centralAfricanRepublic = new("_centralAfricanRepublic")
  C__ceutaAndMelilla = new("_ceutaAndMelilla")
  C__chad = new("_chad")
  C__chile = new("_chile")
  C__china = new("_china")
  C__christmasIsland = new("_christmasIsland")
  C__cocosKeelingIslands = new("_cocosKeelingIslands")
  C__colombia = new("_colombia")
  C__comoros = new("_comoros")
  C__congoDemocraticPeoplesRepublic = new("_congoDemocraticPeoplesRepublic")
  C__congoRepublicOf = new("_congoRepublicOf")
  C__cookIslands = new("_cookIslands")
  C__costaRica = new("_costaRica")
  C__coteDIvoire = new("_coteDIvoire")
  C__croatiaHrvatska = new("_croatiaHrvatska")
  C__cuba = new("_cuba")
  C__curacao = new("_curacao")
  C__cyprus = new("_cyprus")
  C__czechRepublic = new("_czechRepublic")
  C__denmark = new("_denmark")
  C__djibouti = new("_djibouti")
  C__dominica = new("_dominica")
  C__dominicanRepublic = new("_dominicanRepublic")
  C__eastTimor = new("_eastTimor")
  C__ecuador = new("_ecuador")
  C__egypt = new("_egypt")
  C__elSalvador = new("_elSalvador")
  C__equatorialGuinea = new("_equatorialGuinea")
  C__eritrea = new("_eritrea")
  C__estonia = new("_estonia")
  C__ethiopia = new("_ethiopia")
  C__falklandIslands = new("_falklandIslands")
  C__faroeIslands = new("_faroeIslands")
  C__fiji = new("_fiji")
  C__finland = new("_finland")
  C__france = new("_france")
  C__frenchGuiana = new("_frenchGuiana")
  C__frenchPolynesia = new("_frenchPolynesia")
  C__frenchSouthernTerritories = new("_frenchSouthernTerritories")
  C__gabon = new("_gabon")
  C__gambia = new("_gambia")
  C__georgia = new("_georgia")
  C__germany = new("_germany")
  C__ghana = new("_ghana")
  C__gibraltar = new("_gibraltar")
  C__greece = new("_greece")
  C__greenland = new("_greenland")
  C__grenada = new("_grenada")
  C__guadeloupe = new("_guadeloupe")
  C__guam = new("_guam")
  C__guatemala = new("_guatemala")
  C__guernsey = new("_guernsey")
  C__guinea = new("_guinea")
  C__guineaBissau = new("_guineaBissau")
  C__guyana = new("_guyana")
  C__haiti = new("_haiti")
  C__heardAndMcDonaldIslands = new("_heardAndMcDonaldIslands")
  C__holySeeCityVaticanState = new("_holySeeCityVaticanState")
  C__honduras = new("_honduras")
  C__hongKong = new("_hongKong")
  C__hungary = new("_hungary")
  C__iceland = new("_iceland")
  C__india = new("_india")
  C__indonesia = new("_indonesia")
  C__iranIslamicRepublicOf = new("_iranIslamicRepublicOf")
  C__iraq = new("_iraq")
  C__ireland = new("_ireland")
  C__isleOfMan = new("_isleOfMan")
  C__israel = new("_israel")
  C__italy = new("_italy")
  C__jamaica = new("_jamaica")
  C__japan = new("_japan")
  C__jersey = new("_jersey")
  C__jordan = new("_jordan")
  C__kazakhstan = new("_kazakhstan")
  C__kenya = new("_kenya")
  C__kiribati = new("_kiribati")
  C__koreaDemocraticPeoplesRepublic = new("_koreaDemocraticPeoplesRepublic")
  C__koreaRepublicOf = new("_koreaRepublicOf")
  C__kosovo = new("_kosovo")
  C__kuwait = new("_kuwait")
  C__kyrgyzstan = new("_kyrgyzstan")
  C__laoPeoplesDemocraticRepublic = new("_laoPeoplesDemocraticRepublic")
  C__latvia = new("_latvia")
  C__lebanon = new("_lebanon")
  C__lesotho = new("_lesotho")
  C__liberia = new("_liberia")
  C__libyanArabJamahiriya = new("_libyanArabJamahiriya")
  C__liechtenstein = new("_liechtenstein")
  C__lithuania = new("_lithuania")
  C__luxembourg = new("_luxembourg")
  C__macau = new("_macau")
  C__macedonia = new("_macedonia")
  C__madagascar = new("_madagascar")
  C__malawi = new("_malawi")
  C__malaysia = new("_malaysia")
  C__maldives = new("_maldives")
  C__mali = new("_mali")
  C__malta = new("_malta")
  C__marshallIslands = new("_marshallIslands")
  C__martinique = new("_martinique")
  C__mauritania = new("_mauritania")
  C__mauritius = new("_mauritius")
  C__mayotte = new("_mayotte")
  C__mexico = new("_mexico")
  C__micronesiaFederalStateOf = new("_micronesiaFederalStateOf")
  C__moldovaRepublicOf = new("_moldovaRepublicOf")
  C__monaco = new("_monaco")
  C__mongolia = new("_mongolia")
  C__montenegro = new("_montenegro")
  C__montserrat = new("_montserrat")
  C__morocco = new("_morocco")
  C__mozambique = new("_mozambique")
  C__myanmar = new("_myanmar")
  C__namibia = new("_namibia")
  C__nauru = new("_nauru")
  C__nepal = new("_nepal")
  C__netherlands = new("_netherlands")
  C__newCaledonia = new("_newCaledonia")
  C__newZealand = new("_newZealand")
  C__nicaragua = new("_nicaragua")
  C__niger = new("_niger")
  C__nigeria = new("_nigeria")
  C__niue = new("_niue")
  C__norfolkIsland = new("_norfolkIsland")
  C__northernMarianaIslands = new("_northernMarianaIslands")
  C__norway = new("_norway")
  C__oman = new("_oman")
  C__pakistan = new("_pakistan")
  C__palau = new("_palau")
  C__palestinianTerritories = new("_palestinianTerritories")
  C__panama = new("_panama")
  C__papuaNewGuinea = new("_papuaNewGuinea")
  C__paraguay = new("_paraguay")
  C__peru = new("_peru")
  C__philippines = new("_philippines")
  C__pitcairnIsland = new("_pitcairnIsland")
  C__poland = new("_poland")
  C__portugal = new("_portugal")
  C__puertoRico = new("_puertoRico")
  C__qatar = new("_qatar")
  C__reunionIsland = new("_reunionIsland")
  C__romania = new("_romania")
  C__russianFederation = new("_russianFederation")
  C__rwanda = new("_rwanda")
  C__saintBarthelemy = new("_saintBarthelemy")
  C__saintHelena = new("_saintHelena")
  C__saintKittsAndNevis = new("_saintKittsAndNevis")
  C__saintLucia = new("_saintLucia")
  C__saintMartin = new("_saintMartin")
  C__saintVincentAndTheGrenadines = new("_saintVincentAndTheGrenadines")
  C__samoa = new("_samoa")
  C__sanMarino = new("_sanMarino")
  C__saoTomeAndPrincipe = new("_saoTomeAndPrincipe")
  C__saudiArabia = new("_saudiArabia")
  C__senegal = new("_senegal")
  C__serbia = new("_serbia")
  C__seychelles = new("_seychelles")
  C__sierraLeone = new("_sierraLeone")
  C__singapore = new("_singapore")
  C__sintMaarten = new("_sintMaarten")
  C__slovakRepublic = new("_slovakRepublic")
  C__slovenia = new("_slovenia")
  C__solomonIslands = new("_solomonIslands")
  C__somalia = new("_somalia")
  C__southAfrica = new("_southAfrica")
  C__southGeorgia = new("_southGeorgia")
  C__southSudan = new("_southSudan")
  C__spain = new("_spain")
  C__sriLanka = new("_sriLanka")
  C__stPierreAndMiquelon = new("_stPierreAndMiquelon")
  C__sudan = new("_sudan")
  C__suriname = new("_suriname")
  C__svalbardAndJanMayenIslands = new("_svalbardAndJanMayenIslands")
  C__swaziland = new("_swaziland")
  C__sweden = new("_sweden")
  C__switzerland = new("_switzerland")
  C__syrianArabRepublic = new("_syrianArabRepublic")
  C__taiwan = new("_taiwan")
  C__tajikistan = new("_tajikistan")
  C__tanzania = new("_tanzania")
  C__thailand = new("_thailand")
  C__togo = new("_togo")
  C__tokelau = new("_tokelau")
  C__tonga = new("_tonga")
  C__trinidadAndTobago = new("_trinidadAndTobago")
  C__tunisia = new("_tunisia")
  C__turkey = new("_turkey")
  C__turkmenistan = new("_turkmenistan")
  C__turksAndCaicosIslands = new("_turksAndCaicosIslands")
  C__tuvalu = new("_tuvalu")
  C__uSMinorOutlyingIslands = new("_uSMinorOutlyingIslands")
  C__uganda = new("_uganda")
  C__ukraine = new("_ukraine")
  C__unitedArabEmirates = new("_unitedArabEmirates")
  C__unitedKingdomGB = new("_unitedKingdomGB")
  C__unitedStates = new("_unitedStates")
  C__uruguay = new("_uruguay")
  C__uzbekistan = new("_uzbekistan")
  C__vanuatu = new("_vanuatu")
  C__venezuela = new("_venezuela")
  C__vietnam = new("_vietnam")
  C__virginIslandsBritish = new("_virginIslandsBritish")
  C__virginIslandsUSA = new("_virginIslandsUSA")
  C__wallisAndFutunaIslands = new("_wallisAndFutunaIslands")
  C__westernSahara = new("_westernSahara")
  C__yemen = new("_yemen")
  C__zambia = new("_zambia")
  C__zimbabwe = new("_zimbabwe")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}Language
class Language < ::String
  C__arabic = new("_arabic")
  C__australian = new("_australian")
  C__bengali = new("_bengali")
  C__bulgarian = new("_bulgarian")
  C__catalan = new("_catalan")
  C__chineseSimplified = new("_chineseSimplified")
  C__chineseTraditional = new("_chineseTraditional")
  C__croatian = new("_croatian")
  C__czech = new("_czech")
  C__danish = new("_danish")
  C__dutch = new("_dutch")
  C__english = new("_english")
  C__estonian = new("_estonian")
  C__finnish = new("_finnish")
  C__frenchCanada = new("_frenchCanada")
  C__frenchFrance = new("_frenchFrance")
  C__german = new("_german")
  C__greek = new("_greek")
  C__haitian = new("_haitian")
  C__hebrew = new("_hebrew")
  C__hungarian = new("_hungarian")
  C__icelandic = new("_icelandic")
  C__indonesian = new("_indonesian")
  C__italian = new("_italian")
  C__japanese = new("_japanese")
  C__korean = new("_korean")
  C__latinAmericanSpanish = new("_latinAmericanSpanish")
  C__latvian = new("_latvian")
  C__lithuanian = new("_lithuanian")
  C__norwegian = new("_norwegian")
  C__polish = new("_polish")
  C__portugueseBrazil = new("_portugueseBrazil")
  C__portuguesePortugal = new("_portuguesePortugal")
  C__romanian = new("_romanian")
  C__russian = new("_russian")
  C__slovak = new("_slovak")
  C__slovenian = new("_slovenian")
  C__spanish = new("_spanish")
  C__swedish = new("_swedish")
  C__thai = new("_thai")
  C__turkish = new("_turkish")
  C__usEnglish = new("_usEnglish")
  C__vietnamese = new("_vietnamese")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}AvsMatchCode
class AvsMatchCode < ::String
  C__n = new("_n")
  C__x = new("_x")
  C__y = new("_y")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}CscMatchCode
class CscMatchCode < ::String
  C__n = new("_n")
  C__x = new("_x")
  C__y = new("_y")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}VsoeSopGroup
class VsoeSopGroup < ::String
  C__exclude = new("_exclude")
  C__normal = new("_normal")
  C__software = new("_software")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}VsoeDeferral
class VsoeDeferral < ::String
  C__deferBundleUntilDelivered = new("_deferBundleUntilDelivered")
  C__deferUntilItemDelivered = new("_deferUntilItemDelivered")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}VsoePermitDiscount
class VsoePermitDiscount < ::String
  C__asAllowed = new("_asAllowed")
  C__never = new("_never")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}RevenueStatus
class RevenueStatus < ::String
  C__completed = new("_completed")
  C__inProgress = new("_inProgress")
  C__onRevCommitment = new("_onRevCommitment")
  C__pending = new("_pending")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}RevenueCommitStatus
class RevenueCommitStatus < ::String
  C__committed = new("_committed")
  C__partiallyCommitted = new("_partiallyCommitted")
  C__pendingCommitment = new("_pendingCommitment")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}PostingPeriodDate
class PostingPeriodDate < ::String
  C__firstQtrOfLastFy = new("_firstQtrOfLastFy")
  C__firstQtrOfThisFy = new("_firstQtrOfThisFy")
  C__fiscalYearBeforeLast = new("_fiscalYearBeforeLast")
  C__fourthQtrOfLastFy = new("_fourthQtrOfLastFy")
  C__fourthQtrOfThisFy = new("_fourthQtrOfThisFy")
  C__lastFiscalYear = new("_lastFiscalYear")
  C__lastPeriod = new("_lastPeriod")
  C__lastPeriodOneQtrAgo = new("_lastPeriodOneQtrAgo")
  C__lastPeriodOneYearAgo = new("_lastPeriodOneYearAgo")
  C__lastQtrOfOneYearAgo = new("_lastQtrOfOneYearAgo")
  C__lastQuarter = new("_lastQuarter")
  C__periodBeforeLast = new("_periodBeforeLast")
  C__quarterBeforeLast = new("_quarterBeforeLast")
  C__samePeriodOfLastFy = new("_samePeriodOfLastFy")
  C__samePeriodOfLastQtr = new("_samePeriodOfLastQtr")
  C__sameQtrOfLastFy = new("_sameQtrOfLastFy")
  C__secondQtrOfLastFy = new("_secondQtrOfLastFy")
  C__secondQtrOfThisFy = new("_secondQtrOfThisFy")
  C__thirdQtrOfLastFy = new("_thirdQtrOfLastFy")
  C__thirdQtrOfThisFy = new("_thirdQtrOfThisFy")
  C__thisFiscalYear = new("_thisFiscalYear")
  C__thisPeriod = new("_thisPeriod")
  C__thisQuarter = new("_thisQuarter")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}PermissionLevel
class PermissionLevel < ::String
  C__create = new("_create")
  C__edit = new("_edit")
  C__full = new("_full")
  C__none = new("_none")
  C__view = new("_view")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}Source
class Source < ::String
  C__adp = new("_adp")
  C__automatedMemorizedTransaction = new("_automatedMemorizedTransaction")
  C__csv = new("_csv")
  C__customerCenter = new("_customerCenter")
  C__ebay = new("_ebay")
  C__mobile = new("_mobile")
  C__offlineClient = new("_offlineClient")
  C__perquest = new("_perquest")
  C__qif = new("_qif")
  C__quickbooks = new("_quickbooks")
  C__smbxml = new("_smbxml")
  C__sync = new("_sync")
  C__web = new("_web")
  C__webServices = new("_webServices")
  C__yahoo = new("_yahoo")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}GlobalSubscriptionStatus
class GlobalSubscriptionStatus < ::String
  C__confirmedOptIn = new("_confirmedOptIn")
  C__confirmedOptOut = new("_confirmedOptOut")
  C__softOptIn = new("_softOptIn")
  C__softOptOut = new("_softOptOut")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}ItemCostEstimateType
class ItemCostEstimateType < ::String
  C__averageCost = new("_averageCost")
  C__custom = new("_custom")
  C__derivedFromMemberItems = new("_derivedFromMemberItems")
  C__itemDefinedCost = new("_itemDefinedCost")
  C__lastPurchasePrice = new("_lastPurchasePrice")
  C__preferredVendorRate = new("_preferredVendorRate")
  C__purchaseOrderRate = new("_purchaseOrderRate")
  C__purchasePrice = new("_purchasePrice")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}PresentationItemType
class PresentationItemType < ::String
  C__fileCabinetItem = new("_fileCabinetItem")
  C__informationItem = new("_informationItem")
  C__item = new("_item")
  C__presentationCategory = new("_presentationCategory")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}LandedCostSource
class LandedCostSource < ::String
  C__manual = new("_manual")
  C__otherTransaction = new("_otherTransaction")
  C__otherTransactionExcludeTax = new("_otherTransactionExcludeTax")
  C__thisTransaction = new("_thisTransaction")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}LandedCostMethod
class LandedCostMethod < ::String
  C__line = new("_line")
  C__quantity = new("_quantity")
  C__value = new("_value")
  C__weight = new("_weight")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}SitemapPriority
class SitemapPriority < ::String
  C__00 = new("_00")
  C__01 = new("_01")
  C__02 = new("_02")
  C__03 = new("_03")
  C__04 = new("_04")
  C__05 = new("_05")
  C__06 = new("_06")
  C__07 = new("_07")
  C__08 = new("_08")
  C__09 = new("_09")
  C__10 = new("_10")
  C__auto = new("_auto")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}TimeItemTimeType
class TimeItemTimeType < ::String
  C__actualTime = new("_actualTime")
  C__plannedTime = new("_plannedTime")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}PermissionCode
class PermissionCode < ::String
  C__accountDetail = new("_accountDetail")
  C__accountingBook = new("_accountingBook")
  C__accountingLists = new("_accountingLists")
  C__accounts = new("_accounts")
  C__accountsPayable = new("_accountsPayable")
  C__accountsPayableGraphing = new("_accountsPayableGraphing")
  C__accountsPayableRegister = new("_accountsPayableRegister")
  C__accountsReceivable = new("_accountsReceivable")
  C__accountsReceivableGraphing = new("_accountsReceivableGraphing")
  C__accountsReceivableRegister = new("_accountsReceivableRegister")
  C__accountsReceivableUnbilled = new("_accountsReceivableUnbilled")
  C__adjustInventory = new("_adjustInventory")
  C__adjustInventoryWorksheet = new("_adjustInventoryWorksheet")
  C__admindocs = new("_admindocs")
  C__adpImportData = new("_adpImportData")
  C__adpSetup = new("_adpSetup")
  C__advancedAnalytics = new("_advancedAnalytics")
  C__allocationSchedules = new("_allocationSchedules")
  C__allowNonGLChanges = new("_allowNonGLChanges")
  C__amendW4 = new("_amendW4")
  C__amortizationReports = new("_amortizationReports")
  C__amortizationSchedules = new("_amortizationSchedules")
  C__appDefinitionsAndPackages = new("_appDefinitionsAndPackages")
  C__applicationPublishers = new("_applicationPublishers")
  C__approveDirectDeposit = new("_approveDirectDeposit")
  C__approveEFT = new("_approveEFT")
  C__approveOnlineBillPayments = new("_approveOnlineBillPayments")
  C__approveVendorPayments = new("_approveVendorPayments")
  C__auditTrail = new("_auditTrail")
  C__backupYourData = new("_backupYourData")
  C__balanceSheet = new("_balanceSheet")
  C__bankAccountRegisters = new("_bankAccountRegisters")
  C__billOfMaterialsInquiry = new("_billOfMaterialsInquiry")
  C__billPurchaseOrders = new("_billPurchaseOrders")
  C__billSalesOrders = new("_billSalesOrders")
  C__billingInformation = new("_billingInformation")
  C__billingSchedules = new("_billingSchedules")
  C__billingSetup = new("_billingSetup")
  C__bills = new("_bills")
  C__binTransfer = new("_binTransfer")
  C__binWorksheet = new("_binWorksheet")
  C__bins = new("_bins")
  C__budget = new("_budget")
  C__buildAssemblies = new("_buildAssemblies")
  C__buildWorkOrders = new("_buildWorkOrders")
  C__calculateTime = new("_calculateTime")
  C__calendar = new("_calendar")
  C__campaignHistory = new("_campaignHistory")
  C__cases = new("_cases")
  C__cashFlowStatement = new("_cashFlowStatement")
  C__cashSale = new("_cashSale")
  C__cashSaleRefund = new("_cashSaleRefund")
  C__changeEmailOrPassword = new("_changeEmailOrPassword")
  C__changeRole = new("_changeRole")
  C__chargeRule = new("_chargeRule")
  C__chargeRunRules = new("_chargeRunRules")
  C__check = new("_check")
  C__checkItemAvailability = new("_checkItemAvailability")
  C__classSegmentMapping = new("_classSegmentMapping")
  C__classes = new("_classes")
  C__closeAccount = new("_closeAccount")
  C__closeWorkOrders = new("_closeWorkOrders")
  C__colorThemes = new("_colorThemes")
  C__commissionFeatureSetup = new("_commissionFeatureSetup")
  C__commissionReports = new("_commissionReports")
  C__commitOrders = new("_commitOrders")
  C__commitPayroll = new("_commitPayroll")
  C__companies = new("_companies")
  C__companyInformation = new("_companyInformation")
  C__companyPreferences = new("_companyPreferences")
  C__competitors = new("_competitors")
  C__componentWhereUsed = new("_componentWhereUsed")
  C__contactRoles = new("_contactRoles")
  C__contacts = new("_contacts")
  C__convertClassesToDepartments = new("_convertClassesToDepartments")
  C__convertClassesToLocations = new("_convertClassesToLocations")
  C__copyBudgets = new("_copyBudgets")
  C__copyChartOfAccountsToNewCompany = new("_copyChartOfAccountsToNewCompany")
  C__costOfGoodsSoldRegisters = new("_costOfGoodsSoldRegisters")
  C__costedBillOfMaterialsInquiry = new("_costedBillOfMaterialsInquiry")
  C__countInventory = new("_countInventory")
  C__createAllocationSchedules = new("_createAllocationSchedules")
  C__createConsolidationCompany = new("_createConsolidationCompany")
  C__createFiscalCalendar = new("_createFiscalCalendar")
  C__createInventoryCounts = new("_createInventoryCounts")
  C__creditCard = new("_creditCard")
  C__creditCardProcessing = new("_creditCardProcessing")
  C__creditCardRefund = new("_creditCardRefund")
  C__creditCardRegisters = new("_creditCardRegisters")
  C__creditMemo = new("_creditMemo")
  C__creditReturns = new("_creditReturns")
  C__crmGroups = new("_crmGroups")
  C__crmLists = new("_crmLists")
  C__currency = new("_currency")
  C__currencyAdjustmentJournal = new("_currencyAdjustmentJournal")
  C__currencyRevaluation = new("_currencyRevaluation")
  C__customAddressForm = new("_customAddressForm")
  C__customBodyFields = new("_customBodyFields")
  C__customCenterCategories = new("_customCenterCategories")
  C__customCenterLinks = new("_customCenterLinks")
  C__customCenterTabs = new("_customCenterTabs")
  C__customCenters = new("_customCenters")
  C__customColumnFields = new("_customColumnFields")
  C__customEntityFields = new("_customEntityFields")
  C__customEntryForms = new("_customEntryForms")
  C__customEventFields = new("_customEventFields")
  C__customFields = new("_customFields")
  C__customHTMLLayouts = new("_customHTMLLayouts")
  C__customItemFields = new("_customItemFields")
  C__customItemNumberFields = new("_customItemNumberFields")
  C__customLists = new("_customLists")
  C__customPDFLayouts = new("_customPDFLayouts")
  C__customRecordEntries = new("_customRecordEntries")
  C__customRecordTypes = new("_customRecordTypes")
  C__customSublists = new("_customSublists")
  C__customSubtabs = new("_customSubtabs")
  C__customTransactionFields = new("_customTransactionFields")
  C__customTransactionForms = new("_customTransactionForms")
  C__customerCharge = new("_customerCharge")
  C__customerDeposit = new("_customerDeposit")
  C__customerPayment = new("_customerPayment")
  C__customerProfile = new("_customerProfile")
  C__customerRefund = new("_customerRefund")
  C__customerStatus = new("_customerStatus")
  C__customers = new("_customers")
  C__customizePage = new("_customizePage")
  C__deferredExpenseRegisters = new("_deferredExpenseRegisters")
  C__deferredRevenueRegisters = new("_deferredRevenueRegisters")
  C__deleteAllData = new("_deleteAllData")
  C__deleteEvent = new("_deleteEvent")
  C__departmentSegmentMapping = new("_departmentSegmentMapping")
  C__departments = new("_departments")
  C__deposit = new("_deposit")
  C__depositApplication = new("_depositApplication")
  C__directDepositStatus = new("_directDepositStatus")
  C__distributeInventory = new("_distributeInventory")
  C__documentsAndFiles = new("_documentsAndFiles")
  C__duplicateCaseManagement = new("_duplicateCaseManagement")
  C__duplicateDetectionSetup = new("_duplicateDetectionSetup")
  C__duplicateRecordManagement = new("_duplicateRecordManagement")
  C__ebayExportImport = new("_ebayExportImport")
  C__editForecast = new("_editForecast")
  C__editManagerForecast = new("_editManagerForecast")
  C__editProfile = new("_editProfile")
  C__eftStatus = new("_eftStatus")
  C__emailReports = new("_emailReports")
  C__emailTemplate = new("_emailTemplate")
  C__employeeCommissionSchedulesPlans = new("_employeeCommissionSchedulesPlans")
  C__employeeCommissionTransaction = new("_employeeCommissionTransaction")
  C__employeeCommissionTransactionApproval = new("_employeeCommissionTransactionApproval")
  C__employeeReminders = new("_employeeReminders")
  C__employeeSocialSecurityNumbers = new("_employeeSocialSecurityNumbers")
  C__employees = new("_employees")
  C__enableFeatures = new("_enableFeatures")
  C__enterCompletions = new("_enterCompletions")
  C__enterOpeningBalances = new("_enterOpeningBalances")
  C__enterVendorCredits = new("_enterVendorCredits")
  C__enterYearToDatePayrollAdjustments = new("_enterYearToDatePayrollAdjustments")
  C__entityAccountMapping = new("_entityAccountMapping")
  C__equityRegisters = new("_equityRegisters")
  C__escalationAssignment = new("_escalationAssignment")
  C__escalationAssignmentRule = new("_escalationAssignmentRule")
  C__establishQuotas = new("_establishQuotas")
  C__estimate = new("_estimate")
  C__events = new("_events")
  C__expenseCategories = new("_expenseCategories")
  C__expenseRegisters = new("_expenseRegisters")
  C__expenseReport = new("_expenseReport")
  C__expenses = new("_expenses")
  C__exportAsIIF = new("_exportAsIIF")
  C__exportLists = new("_exportLists")
  C__faxMessages = new("_faxMessages")
  C__faxTemplate = new("_faxTemplate")
  C__financeCharge = new("_financeCharge")
  C__financeChargePreferences = new("_financeChargePreferences")
  C__financialHistory = new("_financialHistory")
  C__financialStatementLayouts = new("_financialStatementLayouts")
  C__financialStatementSections = new("_financialStatementSections")
  C__financialStatements = new("_financialStatements")
  C__findMatchingOnlineBankingTransactions = new("_findMatchingOnlineBankingTransactions")
  C__findTransaction = new("_findTransaction")
  C__fiscalCalendars = new("_fiscalCalendars")
  C__fixedAssetRegisters = new("_fixedAssetRegisters")
  C__form1099FederalMiscellaneousIncome = new("_form1099FederalMiscellaneousIncome")
  C__form940EmployersAnnualFederalUnemploymentTaxReturn = new("_form940EmployersAnnualFederalUnemploymentTaxReturn")
  C__form941EmployersQuarterlyFederalTaxReturn = new("_form941EmployersQuarterlyFederalTaxReturn")
  C__formW2WageAndTaxStatement = new("_formW2WageAndTaxStatement")
  C__formW4EmployeesWithholdingAllowanceCertificate = new("_formW4EmployeesWithholdingAllowanceCertificate")
  C__fulfillOrders = new("_fulfillOrders")
  C__generalLedger = new("_generalLedger")
  C__generatePriceLists = new("_generatePriceLists")
  C__generateRevenueCommitment = new("_generateRevenueCommitment")
  C__generateRevenueCommitmentReversals = new("_generateRevenueCommitmentReversals")
  C__generateSingleOrderRevenueContracts = new("_generateSingleOrderRevenueContracts")
  C__generateStatements = new("_generateStatements")
  C__genericAdminPermission = new("_genericAdminPermission")
  C__globalAccountMapping = new("_globalAccountMapping")
  C__grantingAccessToReports = new("_grantingAccessToReports")
  C__gstSummaryReport = new("_gstSummaryReport")
  C__importCSVFile = new("_importCSVFile")
  C__importOnlineBankingQIFFile = new("_importOnlineBankingQIFFile")
  C__importQuickBooksQBWFile = new("_importQuickBooksQBWFile")
  C__importQuickenQIFFile = new("_importQuickenQIFFile")
  C__importStateSalesTax = new("_importStateSalesTax")
  C__importXMLDocument = new("_importXMLDocument")
  C__income = new("_income")
  C__incomeRegisters = new("_incomeRegisters")
  C__incomeStatement = new("_incomeStatement")
  C__individualPaycheck = new("_individualPaycheck")
  C__integration = new("_integration")
  C__intercompanyAdjustments = new("_intercompanyAdjustments")
  C__internalPublisher = new("_internalPublisher")
  C__inventory = new("_inventory")
  C__inventoryCostTemplate = new("_inventoryCostTemplate")
  C__invoice = new("_invoice")
  C__issueComponents = new("_issueComponents")
  C__issueReports = new("_issueReports")
  C__issueSetup = new("_issueSetup")
  C__issues = new("_issues")
  C__itemAccountMapping = new("_itemAccountMapping")
  C__itemCategoryLayouts = new("_itemCategoryLayouts")
  C__itemDemandPlan = new("_itemDemandPlan")
  C__itemFulfillment = new("_itemFulfillment")
  C__itemReceipt = new("_itemReceipt")
  C__itemRevisions = new("_itemRevisions")
  C__itemSupplyPlan = new("_itemSupplyPlan")
  C__itemTemplates = new("_itemTemplates")
  C__items = new("_items")
  C__jobs = new("_jobs")
  C__journalApproval = new("_journalApproval")
  C__knowledgeBase = new("_knowledgeBase")
  C__kpiScorecards = new("_kpiScorecards")
  C__leadConversion = new("_leadConversion")
  C__leadConversionMapping = new("_leadConversionMapping")
  C__leadSnapshotReminders = new("_leadSnapshotReminders")
  C__letterMessages = new("_letterMessages")
  C__letterTemplate = new("_letterTemplate")
  C__loadSampleData = new("_loadSampleData")
  C__locationSegmentMapping = new("_locationSegmentMapping")
  C__locations = new("_locations")
  C__lockTransactions = new("_lockTransactions")
  C__longTermLiabilityRegisters = new("_longTermLiabilityRegisters")
  C__mailMerge = new("_mailMerge")
  C__makeJournalEntry = new("_makeJournalEntry")
  C__manageAccountingPeriods = new("_manageAccountingPeriods")
  C__managePayroll = new("_managePayroll")
  C__manageRoles = new("_manageRoles")
  C__manageTaxReportingPeriods = new("_manageTaxReportingPeriods")
  C__manageUsers = new("_manageUsers")
  C__manufacturingCostTemplate = new("_manufacturingCostTemplate")
  C__manufacturingRouting = new("_manufacturingRouting")
  C__markIssueAsShowStopper = new("_markIssueAsShowStopper")
  C__markWorkOrdersBuilt = new("_markWorkOrdersBuilt")
  C__marketingCampaignReports = new("_marketingCampaignReports")
  C__marketingCampaigns = new("_marketingCampaigns")
  C__marketingTemplate = new("_marketingTemplate")
  C__massUpdates = new("_massUpdates")
  C__mediaFolders = new("_mediaFolders")
  C__memorizedTransactions = new("_memorizedTransactions")
  C__mobileDeviceAccess = new("_mobileDeviceAccess")
  C__netWorth = new("_netWorth")
  C__noPermissionNecessary = new("_noPermissionNecessary")
  C__nonPostingRegisters = new("_nonPostingRegisters")
  C__notesTab = new("_notesTab")
  C__offlineClient = new("_offlineClient")
  C__onlineBankingStatement = new("_onlineBankingStatement")
  C__onlineCaseForm = new("_onlineCaseForm")
  C__onlineCustomRecordForm = new("_onlineCustomRecordForm")
  C__onlineCustomerForm = new("_onlineCustomerForm")
  C__openidSingleSignOn = new("_openidSingleSignOn")
  C__opportunity = new("_opportunity")
  C__otherAssetRegisters = new("_otherAssetRegisters")
  C__otherCurrentAssetRegisters = new("_otherCurrentAssetRegisters")
  C__otherCurrentLiabilityRegisters = new("_otherCurrentLiabilityRegisters")
  C__otherCustomFields = new("_otherCustomFields")
  C__otherExpenseRegisters = new("_otherExpenseRegisters")
  C__otherIncomeRegisters = new("_otherIncomeRegisters")
  C__otherLists = new("_otherLists")
  C__otherNames = new("_otherNames")
  C__outlookIntegration = new("_outlookIntegration")
  C__outlookIntegration3 = new("_outlookIntegration3")
  C__overrideEstimatedCostOnTransactions = new("_overrideEstimatedCostOnTransactions")
  C__overridePaymentHold = new("_overridePaymentHold")
  C__overridePeriodRestrictions = new("_overridePeriodRestrictions")
  C__partnerAuthorizedCommissionReports = new("_partnerAuthorizedCommissionReports")
  C__partnerCommissionReports = new("_partnerCommissionReports")
  C__partnerCommissionSchedulesPlans = new("_partnerCommissionSchedulesPlans")
  C__partnerCommissionTransaction = new("_partnerCommissionTransaction")
  C__partnerCommissionTransactionApproval = new("_partnerCommissionTransactionApproval")
  C__partnerContribution = new("_partnerContribution")
  C__partnerMonitorResults = new("_partnerMonitorResults")
  C__partners = new("_partners")
  C__payBills = new("_payBills")
  C__paySalesTax = new("_paySalesTax")
  C__payTaxLiability = new("_payTaxLiability")
  C__paycheckJournal = new("_paycheckJournal")
  C__paychecks = new("_paychecks")
  C__paymentMethods = new("_paymentMethods")
  C__payrollCheckRegister = new("_payrollCheckRegister")
  C__payrollHoursAndEarnings = new("_payrollHoursAndEarnings")
  C__payrollItems = new("_payrollItems")
  C__payrollJournalReport = new("_payrollJournalReport")
  C__payrollLiabilityPayments = new("_payrollLiabilityPayments")
  C__payrollLiabilityReport = new("_payrollLiabilityReport")
  C__payrollStateWithholding = new("_payrollStateWithholding")
  C__payrollSummaryAndDetailReports = new("_payrollSummaryAndDetailReports")
  C__pdfMessages = new("_pdfMessages")
  C__pdfTemplate = new("_pdfTemplate")
  C__performSearch = new("_performSearch")
  C__phoneCalls = new("_phoneCalls")
  C__plannedStandardCost = new("_plannedStandardCost")
  C__postTime = new("_postTime")
  C__postVendorBillVariances = new("_postVendorBillVariances")
  C__postingPeriodOnTransactions = new("_postingPeriodOnTransactions")
  C__presentationCategories = new("_presentationCategories")
  C__printChecksAndForms = new("_printChecksAndForms")
  C__printEmailFax = new("_printEmailFax")
  C__processGSTRefund = new("_processGSTRefund")
  C__processPayroll = new("_processPayroll")
  C__projectTasks = new("_projectTasks")
  C__promotionCode = new("_promotionCode")
  C__provisionTestDrive = new("_provisionTestDrive")
  C__provisioning = new("_provisioning")
  C__provisioningForQa = new("_provisioningForQa")
  C__pstSummaryReport = new("_pstSummaryReport")
  C__publishDashboards = new("_publishDashboards")
  C__publishEmployeeList = new("_publishEmployeeList")
  C__publishForms = new("_publishForms")
  C__publishKnowledgeBase = new("_publishKnowledgeBase")
  C__publishRSSFeeds = new("_publishRSSFeeds")
  C__publishSearch = new("_publishSearch")
  C__purchaseOrder = new("_purchaseOrder")
  C__purchaseOrderReports = new("_purchaseOrderReports")
  C__purchases = new("_purchases")
  C__quantityPricingSchedules = new("_quantityPricingSchedules")
  C__quotaReports = new("_quotaReports")
  C__receiveOrder = new("_receiveOrder")
  C__receiveReturns = new("_receiveReturns")
  C__recognizeGiftCertificateIncome = new("_recognizeGiftCertificateIncome")
  C__reconcile = new("_reconcile")
  C__reconcileReporting = new("_reconcileReporting")
  C__recordCustomField = new("_recordCustomField")
  C__refundReturns = new("_refundReturns")
  C__relatedItems = new("_relatedItems")
  C__remoteXML = new("_remoteXML")
  C__reportCustomization = new("_reportCustomization")
  C__reportScheduling = new("_reportScheduling")
  C__resource = new("_resource")
  C__resourceAllocationApproval = new("_resourceAllocationApproval")
  C__resourceAllocationReports = new("_resourceAllocationReports")
  C__resourceAllocations = new("_resourceAllocations")
  C__returnAuthApproval = new("_returnAuthApproval")
  C__returnAuthorization = new("_returnAuthorization")
  C__returnAuthorizationReports = new("_returnAuthorizationReports")
  C__revalueInventoryCost = new("_revalueInventoryCost")
  C__revenueCommitment = new("_revenueCommitment")
  C__revenueCommitmentReversal = new("_revenueCommitmentReversal")
  C__revenueContracts = new("_revenueContracts")
  C__revenueManagementVSOE = new("_revenueManagementVSOE")
  C__revenueRecognitionReports = new("_revenueRecognitionReports")
  C__revenueRecognitionSchedules = new("_revenueRecognitionSchedules")
  C__runPayroll = new("_runPayroll")
  C__sales = new("_sales")
  C__salesByPartner = new("_salesByPartner")
  C__salesByPromotionCode = new("_salesByPromotionCode")
  C__salesCampaigns = new("_salesCampaigns")
  C__salesForceAutomation = new("_salesForceAutomation")
  C__salesForceAutomationSetup = new("_salesForceAutomationSetup")
  C__salesOrder = new("_salesOrder")
  C__salesOrderApproval = new("_salesOrderApproval")
  C__salesOrderFulfillmentReports = new("_salesOrderFulfillmentReports")
  C__salesOrderReports = new("_salesOrderReports")
  C__salesOrderTransactionReport = new("_salesOrderTransactionReport")
  C__salesRoles = new("_salesRoles")
  C__salesTerritory = new("_salesTerritory")
  C__salesTerritoryRule = new("_salesTerritoryRule")
  C__samlSingleSignOn = new("_samlSingleSignOn")
  C__scheduleMassUpdates = new("_scheduleMassUpdates")
  C__setUpAccounting = new("_setUpAccounting")
  C__setUpAchProcessing = new("_setUpAchProcessing")
  C__setUpAdpPayroll = new("_setUpAdpPayroll")
  C__setUpBillPay = new("_setUpBillPay")
  C__setUpBudgets = new("_setUpBudgets")
  C__setUpCampaignEmailAddresses = new("_setUpCampaignEmailAddresses")
  C__setUpCompany = new("_setUpCompany")
  C__setUpCsvPreferences = new("_setUpCsvPreferences")
  C__setUpDomains = new("_setUpDomains")
  C__setUpEbay = new("_setUpEbay")
  C__setUpImageResizing = new("_setUpImageResizing")
  C__setUpOpenidSingleSignOn = new("_setUpOpenidSingleSignOn")
  C__setUpPartnerMonitor = new("_setUpPartnerMonitor")
  C__setUpPayroll = new("_setUpPayroll")
  C__setUpReminders = new("_setUpReminders")
  C__setUpSamlSingleSignOn = new("_setUpSamlSingleSignOn")
  C__setUpSnapshots = new("_setUpSnapshots")
  C__setUpSynchronization = new("_setUpSynchronization")
  C__setUpWebServices = new("_setUpWebServices")
  C__setUpWebSite = new("_setUpWebSite")
  C__setUpXMLImport = new("_setUpXMLImport")
  C__setUpYearStatus = new("_setUpYearStatus")
  C__setupCampaigns = new("_setupCampaigns")
  C__shippingItems = new("_shippingItems")
  C__shortcuts = new("_shortcuts")
  C__standardCostVersion = new("_standardCostVersion")
  C__statementCharge = new("_statementCharge")
  C__storeCategories = new("_storeCategories")
  C__storeContentCategories = new("_storeContentCategories")
  C__storeContentItems = new("_storeContentItems")
  C__storeLogoUpload = new("_storeLogoUpload")
  C__storeTabs = new("_storeTabs")
  C__subsidiaries = new("_subsidiaries")
  C__suiteBundler = new("_suiteBundler")
  C__suiteBundlerUpgrades = new("_suiteBundlerUpgrades")
  C__suiteScript = new("_suiteScript")
  C__suiteSignon = new("_suiteSignon")
  C__support = new("_support")
  C__supportCaseIssue = new("_supportCaseIssue")
  C__supportCaseOrigin = new("_supportCaseOrigin")
  C__supportCasePriority = new("_supportCasePriority")
  C__supportCaseSnapshotReminders = new("_supportCaseSnapshotReminders")
  C__supportCaseStatus = new("_supportCaseStatus")
  C__supportCaseTerritory = new("_supportCaseTerritory")
  C__supportCaseTerritoryRule = new("_supportCaseTerritoryRule")
  C__supportCaseType = new("_supportCaseType")
  C__supportSetup = new("_supportSetup")
  C__swapPricesBetweenPriceLevels = new("_swapPricesBetweenPriceLevels")
  C__systemEmailTemplate = new("_systemEmailTemplate")
  C__systemStatus = new("_systemStatus")
  C__tasks = new("_tasks")
  C__tax = new("_tax")
  C__taxItems = new("_taxItems")
  C__taxSchedules = new("_taxSchedules")
  C__teamSellingContribution = new("_teamSellingContribution")
  C__tegataAccounts = new("_tegataAccounts")
  C__tegataPayable = new("_tegataPayable")
  C__tegataReceivable = new("_tegataReceivable")
  C__telephonyIntegration = new("_telephonyIntegration")
  C__testdriveMasters = new("_testdriveMasters")
  C__timeTracking = new("_timeTracking")
  C__timer = new("_timer")
  C__trackMessages = new("_trackMessages")
  C__trackTime = new("_trackTime")
  C__transactionDetail = new("_transactionDetail")
  C__transactionNumberingAuditLog = new("_transactionNumberingAuditLog")
  C__transferFunds = new("_transferFunds")
  C__transferInventory = new("_transferInventory")
  C__transferOrder = new("_transferOrder")
  C__transferOrderApproval = new("_transferOrderApproval")
  C__translation = new("_translation")
  C__trialBalance = new("_trialBalance")
  C__twoFactorAuthentication = new("_twoFactorAuthentication")
  C__unbilledReceivableRegisters = new("_unbilledReceivableRegisters")
  C__unbuildAssemblies = new("_unbuildAssemblies")
  C__uncategorizedPresentationItems = new("_uncategorizedPresentationItems")
  C__units = new("_units")
  C__updatePrices = new("_updatePrices")
  C__upsellAssistant = new("_upsellAssistant")
  C__upsellSetup = new("_upsellSetup")
  C__upsellWizard = new("_upsellWizard")
  C__userPreferences = new("_userPreferences")
  C__usersAndPasswords = new("_usersAndPasswords")
  C__vendorBillApproval = new("_vendorBillApproval")
  C__vendorPaymentStatus = new("_vendorPaymentStatus")
  C__vendorReturnAuthApproval = new("_vendorReturnAuthApproval")
  C__vendorReturnAuthorization = new("_vendorReturnAuthorization")
  C__vendorReturns = new("_vendorReturns")
  C__vendors = new("_vendors")
  C__viewLoginAuditTrail = new("_viewLoginAuditTrail")
  C__viewOnlineBillPayStatus = new("_viewOnlineBillPayStatus")
  C__viewUnencryptedCreditCards = new("_viewUnencryptedCreditCards")
  C__webServices = new("_webServices")
  C__webSiteExternalPublisher = new("_webSiteExternalPublisher")
  C__webSiteReport = new("_webSiteReport")
  C__webStoreEmailTemplate = new("_webStoreEmailTemplate")
  C__webStoreReport = new("_webStoreReport")
  C__workCalendar = new("_workCalendar")
  C__workOrder = new("_workOrder")
  C__workOrderClose = new("_workOrderClose")
  C__workOrderCompletion = new("_workOrderCompletion")
  C__workOrderIssue = new("_workOrderIssue")
  C__workflow = new("_workflow")
  C__workplaces = new("_workplaces")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}IntercoStatus
class IntercoStatus < ::String
  C__paired = new("_paired")
  C__pending = new("_pending")
  C__rejected = new("_rejected")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}CurrencySymbolPlacement
class CurrencySymbolPlacement < ::String
  C__afterNumber = new("_afterNumber")
  C__beforeNumber = new("_beforeNumber")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}RecurrenceFrequency
class RecurrenceFrequency < ::String
  C__day = new("_day")
  C__month = new("_month")
  C__none = new("_none")
  C__week = new("_week")
  C__year = new("_year")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}RecurrenceDow
class RecurrenceDow < ::String
  C__friday = new("_friday")
  C__monday = new("_monday")
  C__saturday = new("_saturday")
  C__sunday = new("_sunday")
  C__thursday = new("_thursday")
  C__tuesday = new("_tuesday")
  C__wednesday = new("_wednesday")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}RecurrenceDowim
class RecurrenceDowim < ::String
  C__first = new("_first")
  C__fourth = new("_fourth")
  C__last = new("_last")
  C__second = new("_second")
  C__third = new("_third")
end

# {urn:types.common_2013_2.platform.webservices.netsuite.com}ChargeRuleType
class ChargeRuleType < ::String
  C__fixedDate = new("_fixedDate")
  C__milestone = new("_milestone")
  C__projectProgress = new("_projectProgress")
  C__timeBased = new("_timeBased")
end

# {urn:types.scheduling_2013_2.activities.webservices.netsuite.com}CalendarEventAccessLevel
class CalendarEventAccessLevel < ::String
  C__private = new("_private")
  C__public = new("_public")
  C__showAsBusy = new("_showAsBusy")
end

# {urn:types.scheduling_2013_2.activities.webservices.netsuite.com}CalendarEventAttendeeAttendance
class CalendarEventAttendeeAttendance < ::String
  C__optional = new("_optional")
  C__required = new("_required")
end

# {urn:types.scheduling_2013_2.activities.webservices.netsuite.com}CalendarEventReminderMinutes
class CalendarEventReminderMinutes < ::String
  C__0minutes = new("_0minutes")
  C__10minutes = new("_10minutes")
  C__12hours = new("_12hours")
  C__15minutes = new("_15minutes")
  C__1day = new("_1day")
  C__1hour = new("_1hour")
  C__1week = new("_1week")
  C__2days = new("_2days")
  C__2hours = new("_2hours")
  C__30minutes = new("_30minutes")
  C__3days = new("_3days")
  C__3hours = new("_3hours")
  C__4hours = new("_4hours")
  C__5hours = new("_5hours")
  C__5minutes = new("_5minutes")
  C__8hours = new("_8hours")
  C__none = new("_none")
end

# {urn:types.scheduling_2013_2.activities.webservices.netsuite.com}CalendarEventReminderType
class CalendarEventReminderType < ::String
  C__eMail = new("_eMail")
  C__none = new("_none")
  C__popupWindow = new("_popupWindow")
end

# {urn:types.scheduling_2013_2.activities.webservices.netsuite.com}CalendarEventStatus
class CalendarEventStatus < ::String
  C__canceled = new("_canceled")
  C__completed = new("_completed")
  C__confirmed = new("_confirmed")
  C__tentative = new("_tentative")
end

# {urn:types.scheduling_2013_2.activities.webservices.netsuite.com}TaskPriority
class TaskPriority < ::String
  C__high = new("_high")
  C__low = new("_low")
  C__medium = new("_medium")
end

# {urn:types.scheduling_2013_2.activities.webservices.netsuite.com}TaskReminderMinutes
class TaskReminderMinutes < ::String
  C__0minutes = new("_0minutes")
  C__10minutes = new("_10minutes")
  C__12hours = new("_12hours")
  C__15minutes = new("_15minutes")
  C__1day = new("_1day")
  C__1hour = new("_1hour")
  C__1week = new("_1week")
  C__2days = new("_2days")
  C__2hours = new("_2hours")
  C__30minutes = new("_30minutes")
  C__3days = new("_3days")
  C__3hours = new("_3hours")
  C__4hours = new("_4hours")
  C__5hours = new("_5hours")
  C__5minutes = new("_5minutes")
  C__8hours = new("_8hours")
end

# {urn:types.scheduling_2013_2.activities.webservices.netsuite.com}TaskReminderType
class TaskReminderType < ::String
  C__eMail = new("_eMail")
  C__popupWindow = new("_popupWindow")
end

# {urn:types.scheduling_2013_2.activities.webservices.netsuite.com}TaskStatus
class TaskStatus < ::String
  C__completed = new("_completed")
  C__inProgress = new("_inProgress")
  C__notStarted = new("_notStarted")
end

# {urn:types.scheduling_2013_2.activities.webservices.netsuite.com}PhoneCallPriority
class PhoneCallPriority < ::String
  C__high = new("_high")
  C__low = new("_low")
  C__medium = new("_medium")
end

# {urn:types.scheduling_2013_2.activities.webservices.netsuite.com}PhoneCallReminderMinutes
class PhoneCallReminderMinutes < ::String
  C__0minutes = new("_0minutes")
  C__10minutes = new("_10minutes")
  C__12hours = new("_12hours")
  C__15minutes = new("_15minutes")
  C__1day = new("_1day")
  C__1hour = new("_1hour")
  C__1week = new("_1week")
  C__2days = new("_2days")
  C__2hours = new("_2hours")
  C__30minutes = new("_30minutes")
  C__3days = new("_3days")
  C__3hours = new("_3hours")
  C__4hours = new("_4hours")
  C__5hours = new("_5hours")
  C__5minutes = new("_5minutes")
  C__8hours = new("_8hours")
end

# {urn:types.scheduling_2013_2.activities.webservices.netsuite.com}PhoneCallReminderType
class PhoneCallReminderType < ::String
  C__eMail = new("_eMail")
  C__popupWindow = new("_popupWindow")
end

# {urn:types.scheduling_2013_2.activities.webservices.netsuite.com}PhoneCallStatus
class PhoneCallStatus < ::String
  C__completed = new("_completed")
  C__scheduled = new("_scheduled")
end

# {urn:types.scheduling_2013_2.activities.webservices.netsuite.com}ProjectTaskPriority
class ProjectTaskPriority < ::String
  C__high = new("_high")
  C__low = new("_low")
  C__medium = new("_medium")
end

# {urn:types.scheduling_2013_2.activities.webservices.netsuite.com}ProjectTaskStatus
class ProjectTaskStatus < ::String
  C__completed = new("_completed")
  C__inProgress = new("_inProgress")
  C__notStarted = new("_notStarted")
end

# {urn:types.scheduling_2013_2.activities.webservices.netsuite.com}ProjectTaskConstraintType
class ProjectTaskConstraintType < ::String
  C__asSoonAsPossible = new("_asSoonAsPossible")
  C__fixedStart = new("_fixedStart")
end

# {urn:types.scheduling_2013_2.activities.webservices.netsuite.com}ProjectTaskPredecessorPredecessorType
class ProjectTaskPredecessorPredecessorType < ::String
  C__finishToFinish = new("_finishToFinish")
  C__finishToStart = new("_finishToStart")
  C__startToFinish = new("_startToFinish")
  C__startToStart = new("_startToStart")
end

# {urn:types.scheduling_2013_2.activities.webservices.netsuite.com}ResourceAllocationAllocationUnit
class ResourceAllocationAllocationUnit < ::String
  C__hours = new("_hours")
  C__percentOfTime = new("_percentOfTime")
end

# {urn:types.communication_2013_2.general.webservices.netsuite.com}NoteDirection
class NoteDirection < ::String
  C__incoming = new("_incoming")
  C__outgoing = new("_outgoing")
end

# {urn:types.communication_2013_2.general.webservices.netsuite.com}MessageMessageType
class MessageMessageType < ::String
  C__email = new("_email")
  C__emailedReport = new("_emailedReport")
  C__fax = new("_fax")
  C__pdf = new("_pdf")
  C__print = new("_print")
end

# {urn:types.filecabinet_2013_2.documents.webservices.netsuite.com}MediaType
class MediaType < ::String
  C__AUTOCAD = new("_AUTOCAD")
  C__BMPIMAGE = new("_BMPIMAGE")
  C__CONFIG = new("_CONFIG")
  C__CSV = new("_CSV")
  C__EXCEL = new("_EXCEL")
  C__FLASH = new("_FLASH")
  C__GIFIMAGE = new("_GIFIMAGE")
  C__GZIP = new("_GZIP")
  C__HTMLDOC = new("_HTMLDOC")
  C__ICON = new("_ICON")
  C__IMAGE = new("_IMAGE")
  C__JAVASCRIPT = new("_JAVASCRIPT")
  C__JPGIMAGE = new("_JPGIMAGE")
  C__JSON = new("_JSON")
  C__MESSAGERFC = new("_MESSAGERFC")
  C__MISCBINARY = new("_MISCBINARY")
  C__MISCTEXT = new("_MISCTEXT")
  C__MP3 = new("_MP3")
  C__MPEGMOVIE = new("_MPEGMOVIE")
  C__MSPROJECT = new("_MSPROJECT")
  C__PDF = new("_PDF")
  C__PJPGIMAGE = new("_PJPGIMAGE")
  C__PLAINTEXT = new("_PLAINTEXT")
  C__PNGIMAGE = new("_PNGIMAGE")
  C__POSTSCRIPT = new("_POSTSCRIPT")
  C__POWERPOINT = new("_POWERPOINT")
  C__QUICKTIME = new("_QUICKTIME")
  C__RTF = new("_RTF")
  C__SMS = new("_SMS")
  C__STYLESHEET = new("_STYLESHEET")
  C__TAR = new("_TAR")
  C__TARCOMP = new("_TARCOMP")
  C__TIFFIMAGE = new("_TIFFIMAGE")
  C__VISIO = new("_VISIO")
  C__WEBAPPPAGE = new("_WEBAPPPAGE")
  C__WEBAPPSCRIPT = new("_WEBAPPSCRIPT")
  C__WORD = new("_WORD")
  C__XMLDOC = new("_XMLDOC")
  C__ZIP = new("_ZIP")
end

# {urn:types.filecabinet_2013_2.documents.webservices.netsuite.com}FileAttachFrom
class FileAttachFrom < ::String
  C__computer = new("_computer")
  C__web = new("_web")
end

# {urn:types.filecabinet_2013_2.documents.webservices.netsuite.com}FileEncoding
class FileEncoding < ::String
  C__autoDetect = new("_autoDetect")
  C__shiftJis = new("_shiftJis")
  C__utf8 = new("_utf8")
  C__windows1252 = new("_windows1252")
end

# {urn:types.filecabinet_2013_2.documents.webservices.netsuite.com}TextFileEncoding
class TextFileEncoding < ::String
  C__big5 = new("_big5")
  C__gb18030 = new("_gb18030")
  C__gb2312 = new("_gb2312")
  C__iso88591 = new("_iso88591")
  C__macRoman = new("_macRoman")
  C__shiftJis = new("_shiftJis")
  C__utf8 = new("_utf8")
  C__windows1252 = new("_windows1252")
end

# {urn:types.relationships_2013_2.lists.webservices.netsuite.com}EntityType
class EntityType < ::String
  C__company = new("_company")
  C__contact = new("_contact")
  C__customer = new("_customer")
  C__employee = new("_employee")
  C__group = new("_group")
  C__internal = new("_internal")
  C__job = new("_job")
  C__otherName = new("_otherName")
  C__partner = new("_partner")
  C__vendor = new("_vendor")
end

# {urn:types.relationships_2013_2.lists.webservices.netsuite.com}CustomerStatusStage
class CustomerStatusStage < ::String
  C__customer = new("_customer")
  C__lead = new("_lead")
  C__prospect = new("_prospect")
end

# {urn:types.relationships_2013_2.lists.webservices.netsuite.com}ContactType
class ContactType < ::String
  C__customer = new("_customer")
  C__employee = new("_employee")
  C__otherName = new("_otherName")
  C__partner = new("_partner")
  C__vendor = new("_vendor")
end

# {urn:types.relationships_2013_2.lists.webservices.netsuite.com}CustomerStage
class CustomerStage < ::String
  C__customer = new("_customer")
  C__lead = new("_lead")
  C__prospect = new("_prospect")
end

# {urn:types.relationships_2013_2.lists.webservices.netsuite.com}CustomerCreditHoldOverride
class CustomerCreditHoldOverride < ::String
  C__auto = new("_auto")
  C__off = new("_off")
  C__on = new("_on")
end

# {urn:types.relationships_2013_2.lists.webservices.netsuite.com}CustomerMonthlyClosing
class CustomerMonthlyClosing < ::String
  C__endOfTheMonth = new("_endOfTheMonth")
  C__fifteen = new("_fifteen")
  C__five = new("_five")
  C__one = new("_one")
  C__ten = new("_ten")
  C__twenty = new("_twenty")
  C__twentyFive = new("_twentyFive")
end

# {urn:types.relationships_2013_2.lists.webservices.netsuite.com}EmailPreference
class EmailPreference < ::String
  C__default = new("_default")
  C__hTML = new("_hTML")
  C__pDF = new("_pDF")
end

# {urn:types.relationships_2013_2.lists.webservices.netsuite.com}EntityGroupType
class EntityGroupType < ::String
  C__contact = new("_contact")
  C__customer = new("_customer")
  C__employee = new("_employee")
  C__partner = new("_partner")
  C__vendor = new("_vendor")
end

# {urn:types.relationships_2013_2.lists.webservices.netsuite.com}EntityGroupDailyTime
class EntityGroupDailyTime < ::String
  C__1000am = new("_1000am")
  C__1000pm = new("_1000pm")
  C__100am = new("_100am")
  C__100pm = new("_100pm")
  C__1030am = new("_1030am")
  C__1030pm = new("_1030pm")
  C__1100am = new("_1100am")
  C__1100pm = new("_1100pm")
  C__1130am = new("_1130am")
  C__1130pm = new("_1130pm")
  C__1200am = new("_1200am")
  C__1230am = new("_1230am")
  C__1230pm = new("_1230pm")
  C__130am = new("_130am")
  C__130pm = new("_130pm")
  C__200am = new("_200am")
  C__200pm = new("_200pm")
  C__230am = new("_230am")
  C__230pm = new("_230pm")
  C__300am = new("_300am")
  C__300pm = new("_300pm")
  C__330am = new("_330am")
  C__330pm = new("_330pm")
  C__400am = new("_400am")
  C__400pm = new("_400pm")
  C__430am = new("_430am")
  C__430pm = new("_430pm")
  C__500am = new("_500am")
  C__500pm = new("_500pm")
  C__530am = new("_530am")
  C__530pm = new("_530pm")
  C__600am = new("_600am")
  C__600pm = new("_600pm")
  C__630am = new("_630am")
  C__630pm = new("_630pm")
  C__700am = new("_700am")
  C__700pm = new("_700pm")
  C__730am = new("_730am")
  C__730pm = new("_730pm")
  C__800am = new("_800am")
  C__800pm = new("_800pm")
  C__830am = new("_830am")
  C__830pm = new("_830pm")
  C__900am = new("_900am")
  C__900pm = new("_900pm")
  C__930am = new("_930am")
  C__930pm = new("_930pm")
  C__noon = new("_noon")
end

# {urn:types.relationships_2013_2.lists.webservices.netsuite.com}EntityGroupDefView
class EntityGroupDefView < ::String
  C__daily = new("_daily")
  C__monthly = new("_monthly")
  C__weekly = new("_weekly")
end

# {urn:types.relationships_2013_2.lists.webservices.netsuite.com}EntityGroupPeriodSize
class EntityGroupPeriodSize < ::String
  C__10minutes = new("_10minutes")
  C__15minutes = new("_15minutes")
  C__20minutes = new("_20minutes")
  C__30minutes = new("_30minutes")
  C__oneHour = new("_oneHour")
end

# {urn:types.relationships_2013_2.lists.webservices.netsuite.com}TaxFractionUnit
class TaxFractionUnit < ::String
  C__001andBelow = new("_001andBelow")
  C__01andBelow = new("_01andBelow")
  C__100andBelow = new("_100andBelow")
  C__10andBelow = new("_10andBelow")
  C__1andBelow = new("_1andBelow")
end

# {urn:types.relationships_2013_2.lists.webservices.netsuite.com}TaxRounding
class TaxRounding < ::String
  C__roundDown = new("_roundDown")
  C__roundOff = new("_roundOff")
  C__roundUp = new("_roundUp")
end

# {urn:types.relationships_2013_2.lists.webservices.netsuite.com}JobBillingType
class JobBillingType < ::String
  C__chargeBased = new("_chargeBased")
  C__fixedBidInterval = new("_fixedBidInterval")
  C__fixedBidMilestone = new("_fixedBidMilestone")
  C__none = new("_none")
  C__timeAndMaterials = new("_timeAndMaterials")
end

# {urn:types.relationships_2013_2.lists.webservices.netsuite.com}PartnerOtherRelationships
class PartnerOtherRelationships < ::String
  C__customer = new("_customer")
  C__otherName = new("_otherName")
  C__vendor = new("_vendor")
end

# {urn:types.relationships_2013_2.lists.webservices.netsuite.com}CustomerOtherRelationships
class CustomerOtherRelationships < ::String
  C__otherName = new("_otherName")
  C__partner = new("_partner")
  C__vendor = new("_vendor")
end

# {urn:types.relationships_2013_2.lists.webservices.netsuite.com}VendorOtherRelationships
class VendorOtherRelationships < ::String
  C__customer = new("_customer")
  C__otherName = new("_otherName")
  C__partner = new("_partner")
end

# {urn:types.relationships_2013_2.lists.webservices.netsuite.com}CustomerNegativeNumberFormat
class CustomerNegativeNumberFormat < ::String
  C__bracketSurrounded = new("_bracketSurrounded")
  C__minusSigned = new("_minusSigned")
end

# {urn:types.relationships_2013_2.lists.webservices.netsuite.com}CustomerNumberFormat
class CustomerNumberFormat < ::String
  C__apostropheAsDigitGroupSeparatorAndDecimalComma = new("_apostropheAsDigitGroupSeparatorAndDecimalComma")
  C__apostropheAsDigitGroupSeparatorAndDecimalPoint = new("_apostropheAsDigitGroupSeparatorAndDecimalPoint")
  C__commaAsDigitGroupSeparatorAndDecimalPoint = new("_commaAsDigitGroupSeparatorAndDecimalPoint")
  C__pointAsDigitGroupSeparatorAndDecimalComma = new("_pointAsDigitGroupSeparatorAndDecimalComma")
  C__spaceAsDigitGroupSeparatorAndDecimalComma = new("_spaceAsDigitGroupSeparatorAndDecimalComma")
  C__spaceAsDigitGroupSeparatorAndDecimalPoint = new("_spaceAsDigitGroupSeparatorAndDecimalPoint")
end

# {urn:types.support_2013_2.lists.webservices.netsuite.com}SupportCaseStatusStage
class SupportCaseStatusStage < ::String
  C__closed = new("_closed")
  C__escalated = new("_escalated")
  C__open = new("_open")
end

# {urn:types.support_2013_2.lists.webservices.netsuite.com}SupportCaseStage
class SupportCaseStage < ::String
  C__closed = new("_closed")
  C__escalated = new("_escalated")
  C__open = new("_open")
end

# {urn:types.support_2013_2.lists.webservices.netsuite.com}SolutionStatus
class SolutionStatus < ::String
  C__approved = new("_approved")
  C__unapproved = new("_unapproved")
end

# {urn:types.support_2013_2.lists.webservices.netsuite.com}IssueEventStatus
class IssueEventStatus < ::String
  C__closed = new("_closed")
  C__onHold = new("_onHold")
  C__open = new("_open")
  C__resolved = new("_resolved")
end

# {urn:types.support_2013_2.lists.webservices.netsuite.com}IssueTrackCode
class IssueTrackCode < ::String
  C__never = new("_never")
  C__onAnyChange = new("_onAnyChange")
  C__whenBaseStatusIsClosed = new("_whenBaseStatusIsClosed")
  C__whenBaseStatusIsOnHold = new("_whenBaseStatusIsOnHold")
  C__whenBaseStatusIsOpen = new("_whenBaseStatusIsOpen")
  C__whenBaseStatusIsResolved = new("_whenBaseStatusIsResolved")
end

# {urn:types.support_2013_2.lists.webservices.netsuite.com}IssueRelationship
class IssueRelationship < ::String
  C__blocks = new("_blocks")
  C__dependsOn = new("_dependsOn")
  C__duplicatedBy = new("_duplicatedBy")
  C__duplicates = new("_duplicates")
  C__followUpFor = new("_followUpFor")
  C__followedUpBy = new("_followedUpBy")
  C__injectedBy = new("_injectedBy")
  C__injects = new("_injects")
  C__isBlockedBy = new("_isBlockedBy")
  C__isRequiredFor = new("_isRequiredFor")
  C__relatedTo = new("_relatedTo")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}CurrencyLocale
class CurrencyLocale < ::String
  C__afghanistanPashto = new("_afghanistanPashto")
  C__afghanistanPersian = new("_afghanistanPersian")
  C__alandIslandsSwedish = new("_alandIslandsSwedish")
  C__albaniaAlbanian = new("_albaniaAlbanian")
  C__algeriaArabic = new("_algeriaArabic")
  C__angolaPortuguese = new("_angolaPortuguese")
  C__anguillaEnglish = new("_anguillaEnglish")
  C__antiguaAndBarbudaEnglish = new("_antiguaAndBarbudaEnglish")
  C__argentinaSpanish = new("_argentinaSpanish")
  C__armeniaArmenian = new("_armeniaArmenian")
  C__arubaEnglish = new("_arubaEnglish")
  C__arubaPortuguese = new("_arubaPortuguese")
  C__australiaEnglish = new("_australiaEnglish")
  C__austriaGerman = new("_austriaGerman")
  C__azerbaijanAzerbaijani = new("_azerbaijanAzerbaijani")
  C__bahamasEnglish = new("_bahamasEnglish")
  C__bahrainArabic = new("_bahrainArabic")
  C__barbadosEnglish = new("_barbadosEnglish")
  C__belarusByelorussian = new("_belarusByelorussian")
  C__belgiumDutch = new("_belgiumDutch")
  C__belgiumFrench = new("_belgiumFrench")
  C__belizeEnglish = new("_belizeEnglish")
  C__bengali = new("_bengali")
  C__beninFrench = new("_beninFrench")
  C__bermudaEnglish = new("_bermudaEnglish")
  C__bhutanDzongkha = new("_bhutanDzongkha")
  C__boliviaSpanish = new("_boliviaSpanish")
  C__bonaireSaintEustatiusAndSabaDutch = new("_bonaireSaintEustatiusAndSabaDutch")
  C__bosniaAndHerzegovinaBosnian = new("_bosniaAndHerzegovinaBosnian")
  C__botswanaEnglish = new("_botswanaEnglish")
  C__brazilPortuguese = new("_brazilPortuguese")
  C__bruneiMalay = new("_bruneiMalay")
  C__bulgariaBulgarian = new("_bulgariaBulgarian")
  C__burkinaFasoFrench = new("_burkinaFasoFrench")
  C__burundiFrench = new("_burundiFrench")
  C__cambodiaKhmer = new("_cambodiaKhmer")
  C__cameroonFrench = new("_cameroonFrench")
  C__canadaEnglish = new("_canadaEnglish")
  C__canadaFrench = new("_canadaFrench")
  C__canaryIslandsSpanish = new("_canaryIslandsSpanish")
  C__capeVerdePortuguese = new("_capeVerdePortuguese")
  C__caymanIslandsEnglish = new("_caymanIslandsEnglish")
  C__centralAfricanRepublicFrench = new("_centralAfricanRepublicFrench")
  C__ceutaAndMelillaSpanish = new("_ceutaAndMelillaSpanish")
  C__chadFrench = new("_chadFrench")
  C__chileSpanish = new("_chileSpanish")
  C__chinaChinese = new("_chinaChinese")
  C__colombiaSpanish = new("_colombiaSpanish")
  C__comorosFrench = new("_comorosFrench")
  C__congoDemocraticRepublicEnglish = new("_congoDemocraticRepublicEnglish")
  C__congoDemocraticRepublicFrench = new("_congoDemocraticRepublicFrench")
  C__congoRepublicOfFrench = new("_congoRepublicOfFrench")
  C__costaRicaSpanish = new("_costaRicaSpanish")
  C__coteDivoireFrench = new("_coteDivoireFrench")
  C__croatiaCroatian = new("_croatiaCroatian")
  C__cubaSpanish = new("_cubaSpanish")
  C__curacaoDutch = new("_curacaoDutch")
  C__cyprusEnglish = new("_cyprusEnglish")
  C__cyprusEnglishEuro = new("_cyprusEnglishEuro")
  C__czechRepublicCzech = new("_czechRepublicCzech")
  C__denmarkDanish = new("_denmarkDanish")
  C__djiboutiArabic = new("_djiboutiArabic")
  C__djiboutiFrench = new("_djiboutiFrench")
  C__dominicaEnglish = new("_dominicaEnglish")
  C__dominicanRepublicSpanish = new("_dominicanRepublicSpanish")
  C__ecuadorSpanish = new("_ecuadorSpanish")
  C__egyptArabic = new("_egyptArabic")
  C__elSalvadorSpanish = new("_elSalvadorSpanish")
  C__equatorialGuineaSpanish = new("_equatorialGuineaSpanish")
  C__eritreaAfar = new("_eritreaAfar")
  C__estoniaEstonian = new("_estoniaEstonian")
  C__ethiopiaAmharic = new("_ethiopiaAmharic")
  C__falklandIslandsEnglish = new("_falklandIslandsEnglish")
  C__fijiFijian = new("_fijiFijian")
  C__finlandFinnish = new("_finlandFinnish")
  C__finlandFinnishEuro = new("_finlandFinnishEuro")
  C__franceFrench = new("_franceFrench")
  C__franceFrenchEuro = new("_franceFrenchEuro")
  C__frenchPolynesiaFrench = new("_frenchPolynesiaFrench")
  C__gabonFrench = new("_gabonFrench")
  C__gambiaEnglish = new("_gambiaEnglish")
  C__georgiaGeorgian = new("_georgiaGeorgian")
  C__germanyGerman = new("_germanyGerman")
  C__germanyGermanEuro = new("_germanyGermanEuro")
  C__ghanaEnglish = new("_ghanaEnglish")
  C__gibraltarEnglish = new("_gibraltarEnglish")
  C__goldOunce = new("_goldOunce")
  C__greeceGreek = new("_greeceGreek")
  C__grenadaEnglish = new("_grenadaEnglish")
  C__guatemalaSpanish = new("_guatemalaSpanish")
  C__guineaBissauPortuguese = new("_guineaBissauPortuguese")
  C__guineaFrench = new("_guineaFrench")
  C__guyanaEnglish = new("_guyanaEnglish")
  C__haitian = new("_haitian")
  C__hondurasSpanish = new("_hondurasSpanish")
  C__hongKongChinese = new("_hongKongChinese")
  C__hungaryHungarian = new("_hungaryHungarian")
  C__icelandIcelandic = new("_icelandIcelandic")
  C__indiaEnglish = new("_indiaEnglish")
  C__indiaGujarati = new("_indiaGujarati")
  C__indiaHindi = new("_indiaHindi")
  C__indiaKannada = new("_indiaKannada")
  C__indiaMarathi = new("_indiaMarathi")
  C__indiaPanjabi = new("_indiaPanjabi")
  C__indiaTamil = new("_indiaTamil")
  C__indiaTelugu = new("_indiaTelugu")
  C__indonesiaIndonesian = new("_indonesiaIndonesian")
  C__iranPersian = new("_iranPersian")
  C__iraqArabic = new("_iraqArabic")
  C__irelandEnglish = new("_irelandEnglish")
  C__israelHebrew = new("_israelHebrew")
  C__italyItalian = new("_italyItalian")
  C__italyItalianEuro = new("_italyItalianEuro")
  C__jamaicaEnglish = new("_jamaicaEnglish")
  C__japanJapanese = new("_japanJapanese")
  C__jordanArabic = new("_jordanArabic")
  C__jordanEnglish = new("_jordanEnglish")
  C__kazakhstanRussian = new("_kazakhstanRussian")
  C__kenyaEnglish = new("_kenyaEnglish")
  C__kuwaitArabic = new("_kuwaitArabic")
  C__kuwaitEnglish = new("_kuwaitEnglish")
  C__kyrgyzstanRussian = new("_kyrgyzstanRussian")
  C__laosLao = new("_laosLao")
  C__latviaLatvianLettish = new("_latviaLatvianLettish")
  C__lebanonArabic = new("_lebanonArabic")
  C__lesothoEnglish = new("_lesothoEnglish")
  C__liberiaEnglish = new("_liberiaEnglish")
  C__libyaArabic = new("_libyaArabic")
  C__lithuaniaLithuanian = new("_lithuaniaLithuanian")
  C__luxembourgFrench = new("_luxembourgFrench")
  C__luxembourgGerman = new("_luxembourgGerman")
  C__luxembourgLuxembourgish = new("_luxembourgLuxembourgish")
  C__macauChinese = new("_macauChinese")
  C__macedoniaMacedonian = new("_macedoniaMacedonian")
  C__malawiEnglish = new("_malawiEnglish")
  C__malaysiaMalay = new("_malaysiaMalay")
  C__maldivesDhivehi = new("_maldivesDhivehi")
  C__maliFrench = new("_maliFrench")
  C__mauritiusEnglish = new("_mauritiusEnglish")
  C__mexicoSpanish = new("_mexicoSpanish")
  C__moldovaRomanian = new("_moldovaRomanian")
  C__moldovaRussian = new("_moldovaRussian")
  C__mongoliaMongolian = new("_mongoliaMongolian")
  C__moroccoArabic = new("_moroccoArabic")
  C__mozambiquePortuguese = new("_mozambiquePortuguese")
  C__myanmarBurmese = new("_myanmarBurmese")
  C__namibiaEnglish = new("_namibiaEnglish")
  C__nepalNepali = new("_nepalNepali")
  C__netherlandsAntillesDutch = new("_netherlandsAntillesDutch")
  C__netherlandsDutch = new("_netherlandsDutch")
  C__netherlandsDutchEuro = new("_netherlandsDutchEuro")
  C__newCaledoniaFrench = new("_newCaledoniaFrench")
  C__newZealandEnglish = new("_newZealandEnglish")
  C__nicaraguaSpanish = new("_nicaraguaSpanish")
  C__nigerFrench = new("_nigerFrench")
  C__nigeriaEnglish = new("_nigeriaEnglish")
  C__northKoreaKorean = new("_northKoreaKorean")
  C__norwayNorwegian = new("_norwayNorwegian")
  C__omanArabic = new("_omanArabic")
  C__pakistanUrdu = new("_pakistanUrdu")
  C__palladiumOunce = new("_palladiumOunce")
  C__panamaSpanish = new("_panamaSpanish")
  C__papuaNewGuineaEnglish = new("_papuaNewGuineaEnglish")
  C__paraguaySpanish = new("_paraguaySpanish")
  C__peruSpanish = new("_peruSpanish")
  C__philippinesEnglish = new("_philippinesEnglish")
  C__philippinesTagalog = new("_philippinesTagalog")
  C__platinumOunce = new("_platinumOunce")
  C__polandPolish = new("_polandPolish")
  C__portugalPortuguese = new("_portugalPortuguese")
  C__portugalPortugueseEuro = new("_portugalPortugueseEuro")
  C__puertoRicoSpanish = new("_puertoRicoSpanish")
  C__qatarArabic = new("_qatarArabic")
  C__qatarEnglish = new("_qatarEnglish")
  C__romaniaRomanian = new("_romaniaRomanian")
  C__russiaRussian = new("_russiaRussian")
  C__rwandaFrench = new("_rwandaFrench")
  C__saintBarthelemyFrench = new("_saintBarthelemyFrench")
  C__saintHelenaEnglish = new("_saintHelenaEnglish")
  C__saintKittsAndNevisEnglish = new("_saintKittsAndNevisEnglish")
  C__saintLuciaEnglish = new("_saintLuciaEnglish")
  C__saintMartinEnglish = new("_saintMartinEnglish")
  C__saintVincentAndTheGrenadinesEnglish = new("_saintVincentAndTheGrenadinesEnglish")
  C__samoaSamoan = new("_samoaSamoan")
  C__saoTomeAndPrincipePortuguese = new("_saoTomeAndPrincipePortuguese")
  C__saudiArabiaArabic = new("_saudiArabiaArabic")
  C__senegalFrench = new("_senegalFrench")
  C__serbiaAndMontenegroSerbian = new("_serbiaAndMontenegroSerbian")
  C__serbiaSerbian = new("_serbiaSerbian")
  C__serbiaSerboCroatian = new("_serbiaSerboCroatian")
  C__seychellesEnglish = new("_seychellesEnglish")
  C__seychellesFrench = new("_seychellesFrench")
  C__sierraLeoneEnglish = new("_sierraLeoneEnglish")
  C__silverOunce = new("_silverOunce")
  C__singaporeEnglish = new("_singaporeEnglish")
  C__sintMaartenDutch = new("_sintMaartenDutch")
  C__slovakiaSlovak = new("_slovakiaSlovak")
  C__slovakiaSlovakEuro = new("_slovakiaSlovakEuro")
  C__sloveniaSlovenian = new("_sloveniaSlovenian")
  C__sloveniaSlovenianEuro = new("_sloveniaSlovenianEuro")
  C__solomonIslandsEnglish = new("_solomonIslandsEnglish")
  C__somaliaSomali = new("_somaliaSomali")
  C__southAfricaAfrikaans = new("_southAfricaAfrikaans")
  C__southAfricaEnglish = new("_southAfricaEnglish")
  C__southKoreaKorean = new("_southKoreaKorean")
  C__southSudanEnglish = new("_southSudanEnglish")
  C__spainCatalan = new("_spainCatalan")
  C__spainSpanish = new("_spainSpanish")
  C__spainSpanishEuro = new("_spainSpanishEuro")
  C__sriLankaSinhalese = new("_sriLankaSinhalese")
  C__sudanArabic = new("_sudanArabic")
  C__surinameDutch = new("_surinameDutch")
  C__swazilandSwati = new("_swazilandSwati")
  C__swedenSwedish = new("_swedenSwedish")
  C__switzerlandFrench = new("_switzerlandFrench")
  C__switzerlandGerman = new("_switzerlandGerman")
  C__switzerlandItalian = new("_switzerlandItalian")
  C__syriaArabic = new("_syriaArabic")
  C__taiwanChinese = new("_taiwanChinese")
  C__tajikistanTajik = new("_tajikistanTajik")
  C__tanzaniaEnglish = new("_tanzaniaEnglish")
  C__thailandThai = new("_thailandThai")
  C__togoFrench = new("_togoFrench")
  C__tongaTonga = new("_tongaTonga")
  C__trinidadAndTobagoEnglish = new("_trinidadAndTobagoEnglish")
  C__tunisiaArabic = new("_tunisiaArabic")
  C__turkeyTurkish = new("_turkeyTurkish")
  C__turkmenistanTurkmen = new("_turkmenistanTurkmen")
  C__turksAndCaicosIslandsEnglish = new("_turksAndCaicosIslandsEnglish")
  C__ugandaEnglish = new("_ugandaEnglish")
  C__ukraineUkrainian = new("_ukraineUkrainian")
  C__unitedArabEmiratesArabic = new("_unitedArabEmiratesArabic")
  C__unitedArabEmiratesEnglish = new("_unitedArabEmiratesEnglish")
  C__unitedKingdomEnglish = new("_unitedKingdomEnglish")
  C__unitedStatesEnglish = new("_unitedStatesEnglish")
  C__uruguaySpanish = new("_uruguaySpanish")
  C__uzbekistanUzbek = new("_uzbekistanUzbek")
  C__vanuatuEnglish = new("_vanuatuEnglish")
  C__vanuatuFrench = new("_vanuatuFrench")
  C__venezuelaSpanish = new("_venezuelaSpanish")
  C__vietnamVietnamese = new("_vietnamVietnamese")
  C__wallisAndFutunaFrench = new("_wallisAndFutunaFrench")
  C__yemenArabic = new("_yemenArabic")
  C__zambiaEnglish = new("_zambiaEnglish")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}AccountType
class AccountType < ::String
  C__accountsPayable = new("_accountsPayable")
  C__accountsReceivable = new("_accountsReceivable")
  C__bank = new("_bank")
  C__costOfGoodsSold = new("_costOfGoodsSold")
  C__creditCard = new("_creditCard")
  C__deferredExpense = new("_deferredExpense")
  C__deferredRevenue = new("_deferredRevenue")
  C__equity = new("_equity")
  C__expense = new("_expense")
  C__fixedAsset = new("_fixedAsset")
  C__income = new("_income")
  C__longTermLiability = new("_longTermLiability")
  C__nonPosting = new("_nonPosting")
  C__otherAsset = new("_otherAsset")
  C__otherCurrentAsset = new("_otherCurrentAsset")
  C__otherCurrentLiability = new("_otherCurrentLiability")
  C__otherExpense = new("_otherExpense")
  C__otherIncome = new("_otherIncome")
  C__unbilledReceivable = new("_unbilledReceivable")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ItemCostingMethod
class ItemCostingMethod < ::String
  C__average = new("_average")
  C__fifo = new("_fifo")
  C__lifo = new("_lifo")
  C__lotNumbered = new("_lotNumbered")
  C__serialized = new("_serialized")
  C__standard = new("_standard")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ItemProductFeed
class ItemProductFeed < ::String
  C__googleBase = new("_googleBase")
  C__nexTag = new("_nexTag")
  C__shoppingCom = new("_shoppingCom")
  C__shopzilla = new("_shopzilla")
  C__yahooShopping = new("_yahooShopping")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ItemType
class ItemType < ::String
  C__assembly = new("_assembly")
  C__description = new("_description")
  C__discount = new("_discount")
  C__downloadItem = new("_downloadItem")
  C__giftCertificateItem = new("_giftCertificateItem")
  C__inventoryItem = new("_inventoryItem")
  C__itemGroup = new("_itemGroup")
  C__kit = new("_kit")
  C__markup = new("_markup")
  C__nonInventoryItem = new("_nonInventoryItem")
  C__otherCharge = new("_otherCharge")
  C__payment = new("_payment")
  C__service = new("_service")
  C__subtotal = new("_subtotal")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ItemWeightUnit
class ItemWeightUnit < ::String
  C__g = new("_g")
  C__kg = new("_kg")
  C__lb = new("_lb")
  C__oz = new("_oz")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ItemPreferenceCriterion
class ItemPreferenceCriterion < ::String
  C__A = new("_A")
  C__B = new("_B")
  C__C = new("_C")
  C__D = new("_D")
  C__E = new("_E")
  C__F = new("_F")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ItemOverallQuantityPricingType
class ItemOverallQuantityPricingType < ::String
  C__byLineQuantity = new("_byLineQuantity")
  C__byOverallItemQuantity = new("_byOverallItemQuantity")
  C__byOverallParentQuantity = new("_byOverallParentQuantity")
  C__byOverallScheduleQuantity = new("_byOverallScheduleQuantity")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ScheduleBCode
class ScheduleBCode < ::String
  C__1000 = new("_1000")
  C__1000cubicMeters = new("_1000cubicMeters")
  C__barrels = new("_barrels")
  C__carat = new("_carat")
  C__cleanYieldKilogram = new("_cleanYieldKilogram")
  C__contentKilogram = new("_contentKilogram")
  C__contentTon = new("_contentTon")
  C__cubicMeters = new("_cubicMeters")
  C__curie = new("_curie")
  C__dozen = new("_dozen")
  C__dozenPairs = new("_dozenPairs")
  C__dozenPieces = new("_dozenPieces")
  C__fiberMeter = new("_fiberMeter")
  C__gram = new("_gram")
  C__gross = new("_gross")
  C__grossContainers = new("_grossContainers")
  C__hundred = new("_hundred")
  C__kilogram = new("_kilogram")
  C__kilogramTotalSugars = new("_kilogramTotalSugars")
  C__liter = new("_liter")
  C__meter = new("_meter")
  C__millicurie = new("_millicurie")
  C__noQuantityReq = new("_noQuantityReq")
  C__number = new("_number")
  C__pack = new("_pack")
  C__pairs = new("_pairs")
  C__pieces = new("_pieces")
  C__proofLiter = new("_proofLiter")
  C__runningBales = new("_runningBales")
  C__square = new("_square")
  C__squareCentimeters = new("_squareCentimeters")
  C__squareMeters = new("_squareMeters")
  C__ton = new("_ton")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ItemSubType
class ItemSubType < ::String
  C__forPurchase = new("_forPurchase")
  C__forResale = new("_forResale")
  C__forSale = new("_forSale")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}CurrencyCurrencyPrecision
class CurrencyCurrencyPrecision < ::String
  C__one = new("_one")
  C__two = new("_two")
  C__zero = new("_zero")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}CurrencyFxRateUpdateTimezone
class CurrencyFxRateUpdateTimezone < ::String
  C__americaNewYork = new("_americaNewYork")
  C__asiaMagadan = new("_asiaMagadan")
  C__asiaTokyo = new("_asiaTokyo")
  C__europeParis = new("_europeParis")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}SalesTaxItemAvailable
class SalesTaxItemAvailable < ::String
  C__both = new("_both")
  C__purchase = new("_purchase")
  C__sale = new("_sale")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ItemEbayAuctionDuration
class ItemEbayAuctionDuration < ::String
  C__10days = new("_10days")
  C__120days = new("_120days")
  C__1day = new("_1day")
  C__30days = new("_30days")
  C__3days = new("_3days")
  C__5days = new("_5days")
  C__60days = new("_60days")
  C__7days = new("_7days")
  C__90days = new("_90days")
  C__goodUntilCancelled = new("_goodUntilCancelled")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ItemOutOfStockBehavior
class ItemOutOfStockBehavior < ::String
  C__allowBackOrdersButDisplayOutOfStockMessage = new("_allowBackOrdersButDisplayOutOfStockMessage")
  C__allowBackOrdersWithNoOutOfStockMessage = new("_allowBackOrdersWithNoOutOfStockMessage")
  C__default = new("_default")
  C__disallowBackOrdersButDisplayOutOfStockMessage = new("_disallowBackOrdersButDisplayOutOfStockMessage")
  C__removeItemWhenOutOfStock = new("_removeItemWhenOutOfStock")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ItemEbayRelistingOption
class ItemEbayRelistingOption < ::String
  C__doNotRelist = new("_doNotRelist")
  C__relistWhenItemExpires = new("_relistWhenItemExpires")
  C__relistWhenItemIsSold = new("_relistWhenItemIsSold")
  C__relistWhenItemIsSoldExpires = new("_relistWhenItemIsSoldExpires")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ConsolidatedRate
class ConsolidatedRate < ::String
  C__average = new("_average")
  C__current = new("_current")
  C__historical = new("_historical")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}CashFlowRateType
class CashFlowRateType < ::String
  C__average = new("_average")
  C__current = new("_current")
  C__historical = new("_historical")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}GeneralRateType
class GeneralRateType < ::String
  C__average = new("_average")
  C__current = new("_current")
  C__historical = new("_historical")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ItemMatrixType
class ItemMatrixType < ::String
  C__child = new("_child")
  C__parent = new("_parent")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ItemDemandSource
class ItemDemandSource < ::String
  C__enteredAndPlannedOrders = new("_enteredAndPlannedOrders")
  C__forecastAndOrders = new("_forecastAndOrders")
  C__forecastConsumption = new("_forecastConsumption")
  C__forecastFromDemandPlan = new("_forecastFromDemandPlan")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ItemSupplyLotSizingMethod
class ItemSupplyLotSizingMethod < ::String
  C__fixedLotSize = new("_fixedLotSize")
  C__lotForLot = new("_lotForLot")
  C__periodsOfSupply = new("_periodsOfSupply")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ItemSupplyType
class ItemSupplyType < ::String
  C__build = new("_build")
  C__purchase = new("_purchase")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ItemSupplyReplenishmentMethod
class ItemSupplyReplenishmentMethod < ::String
  C__reorderPoint = new("_reorderPoint")
  C__timePhased = new("_timePhased")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}RevRecScheduleRecogIntervalSrc
class RevRecScheduleRecogIntervalSrc < ::String
  C__billingScheduleRevRecDateOnSalesOrder = new("_billingScheduleRevRecDateOnSalesOrder")
  C__billingScheduleTranDateOnSalesOrder = new("_billingScheduleTranDateOnSalesOrder")
  C__revRecDatesSpecifiedOnSalesOrder = new("_revRecDatesSpecifiedOnSalesOrder")
  C__revRecDatesSpecifiedOnTransaction = new("_revRecDatesSpecifiedOnTransaction")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}RevRecScheduleRecurrenceType
class RevRecScheduleRecurrenceType < ::String
  C__custom = new("_custom")
  C__straightLineByEvenPeriods = new("_straightLineByEvenPeriods")
  C__straightLineProrateFirstAndLastPeriod = new("_straightLineProrateFirstAndLastPeriod")
  C__straightLineProrateFirstAndLastPeriodPeriodRate = new("_straightLineProrateFirstAndLastPeriodPeriodRate")
  C__straightLineUsingExactDays = new("_straightLineUsingExactDays")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}RevRecScheduleAmortizationType
class RevRecScheduleAmortizationType < ::String
  C__standard = new("_standard")
  C__variable = new("_variable")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}CostCategoryItemCostType
class CostCategoryItemCostType < ::String
  C__laborRun = new("_laborRun")
  C__laborRunOverhead = new("_laborRunOverhead")
  C__laborSetup = new("_laborSetup")
  C__laborSetupOverhead = new("_laborSetupOverhead")
  C__landed = new("_landed")
  C__machineRun = new("_machineRun")
  C__machineRunOverhead = new("_machineRunOverhead")
  C__machineSetup = new("_machineSetup")
  C__machineSetupOverhead = new("_machineSetupOverhead")
  C__material = new("_material")
  C__service = new("_service")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ItemAtpMethod
class ItemAtpMethod < ::String
  C__cumulativeAtpWithLookAhead = new("_cumulativeAtpWithLookAhead")
  C__discreteAtp = new("_discreteAtp")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}AssemblyItemEffectiveBomControl
class AssemblyItemEffectiveBomControl < ::String
  C__effectiveDate = new("_effectiveDate")
  C__revisionControl = new("_revisionControl")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ItemInvtClassification
class ItemInvtClassification < ::String
  C__a = new("_a")
  C__b = new("_b")
  C__c = new("_c")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}PeriodicLotSizeType
class PeriodicLotSizeType < ::String
  C__interval = new("_interval")
  C__monthly = new("_monthly")
  C__weekly = new("_weekly")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}HazmatPackingGroup
class HazmatPackingGroup < ::String
  C__i = new("_i")
  C__ii = new("_ii")
  C__iii = new("_iii")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ItemCarrier
class ItemCarrier < ::String
  C__fedexUspsMore = new("_fedexUspsMore")
  C__ups = new("_ups")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}TaxAcctType
class TaxAcctType < ::String
  C__purchase = new("_purchase")
  C__sale = new("_sale")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ItemOverheadType
class ItemOverheadType < ::String
  C__amountBaseUnit = new("_amountBaseUnit")
  C__percentOfMaterial = new("_percentOfMaterial")
  C__percentOfTotal = new("_percentOfTotal")
end

# {urn:types.accounting_2013_2.lists.webservices.netsuite.com}ItemCostAccountingStatus
class ItemCostAccountingStatus < ::String
  C__complete = new("_complete")
  C__failed = new("_failed")
  C__pending = new("_pending")
  C__processing = new("_processing")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}SalesOrderItemCommitInventory
class SalesOrderItemCommitInventory < ::String
  C__availableQty = new("_availableQty")
  C__completeQty = new("_completeQty")
  C__doNotCommit = new("_doNotCommit")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}SalesOrderItemCreatePo
class SalesOrderItemCreatePo < ::String
  C__dropShipment = new("_dropShipment")
  C__specialOrder = new("_specialOrder")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}SalesOrderOrderStatus
class SalesOrderOrderStatus < ::String
  C__cancelled = new("_cancelled")
  C__closed = new("_closed")
  C__fullyBilled = new("_fullyBilled")
  C__partiallyFulfilled = new("_partiallyFulfilled")
  C__pendingApproval = new("_pendingApproval")
  C__pendingBilling = new("_pendingBilling")
  C__pendingBillingPartFulfilled = new("_pendingBillingPartFulfilled")
  C__pendingFulfillment = new("_pendingFulfillment")
  C__undefined = new("_undefined")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentExportTypeUps
class ItemFulfillmentExportTypeUps < ::String
  C__domesticExports = new("_domesticExports")
  C__foreignExports = new("_foreignExports")
  C__foreignMilitarySales = new("_foreignMilitarySales")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentLicenseExceptionUps
class ItemFulfillmentLicenseExceptionUps < ::String
  C__agr = new("_agr")
  C__apr = new("_apr")
  C__avs = new("_avs")
  C__bag = new("_bag")
  C__civ = new("_civ")
  C__ctp = new("_ctp")
  C__enc = new("_enc")
  C__gbs = new("_gbs")
  C__gft = new("_gft")
  C__gov = new("_gov")
  C__kmi = new("_kmi")
  C__lvs = new("_lvs")
  C__nlr = new("_nlr")
  C__rpl = new("_rpl")
  C__tmp = new("_tmp")
  C__tspa = new("_tspa")
  C__tsr = new("_tsr")
  C__tsu = new("_tsu")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentMethodOfTransportUps
class ItemFulfillmentMethodOfTransportUps < ::String
  C__air = new("_air")
  C__airContainerized = new("_airContainerized")
  C__auto = new("_auto")
  C__fixedTransportInstallations = new("_fixedTransportInstallations")
  C__mail = new("_mail")
  C__passengerHandcarried = new("_passengerHandcarried")
  C__pedestrian = new("_pedestrian")
  C__rail = new("_rail")
  C__railContainerized = new("_railContainerized")
  C__roadOther = new("_roadOther")
  C__seaBarge = new("_seaBarge")
  C__seaContainerized = new("_seaContainerized")
  C__seaNoncontainerized = new("_seaNoncontainerized")
  C__truck = new("_truck")
  C__truckContainerized = new("_truckContainerized")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentThirdPartyTypeUps
class ItemFulfillmentThirdPartyTypeUps < ::String
  C__consigneeBilling = new("_consigneeBilling")
  C__noneSelected = new("_noneSelected")
  C__thirdPartyBilling = new("_thirdPartyBilling")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentPackageUpsCodMethodUps
class ItemFulfillmentPackageUpsCodMethodUps < ::String
  C__cashiersCheckMoneyOrder = new("_cashiersCheckMoneyOrder")
  C__checkCashiersCheckMoneyOrder = new("_checkCashiersCheckMoneyOrder")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentPackageUpsDeliveryConfUps
class ItemFulfillmentPackageUpsDeliveryConfUps < ::String
  C__adultSignatureRequired = new("_adultSignatureRequired")
  C__deliveryConfirmation = new("_deliveryConfirmation")
  C__noneSelected = new("_noneSelected")
  C__signatureRequired = new("_signatureRequired")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentPackageUpsPackagingUps
class ItemFulfillmentPackageUpsPackagingUps < ::String
  C__upsExpressBox = new("_upsExpressBox")
  C__upsLetter = new("_upsLetter")
  C__upsPak = new("_upsPak")
  C__upsTube = new("_upsTube")
  C__yourPackaging = new("_yourPackaging")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentPackageUspsDeliveryConfUsps
class ItemFulfillmentPackageUspsDeliveryConfUsps < ::String
  C__deliveryConfirmation = new("_deliveryConfirmation")
  C__signatureConfirmation = new("_signatureConfirmation")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentPackageUspsPackagingUsps
class ItemFulfillmentPackageUspsPackagingUsps < ::String
  C__flatRateBox = new("_flatRateBox")
  C__flatRateEnvelope = new("_flatRateEnvelope")
  C__irregularPackage = new("_irregularPackage")
  C__largeFlatRateBox = new("_largeFlatRateBox")
  C__largePackage = new("_largePackage")
  C__mediumFlatRateBox = new("_mediumFlatRateBox")
  C__oversizedPackage = new("_oversizedPackage")
  C__parcel = new("_parcel")
  C__smallFlatRateBox = new("_smallFlatRateBox")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentB13AFilingOptionFedEx
class ItemFulfillmentB13AFilingOptionFedEx < ::String
  C__filedElectronically = new("_filedElectronically")
  C__manuallyAttached = new("_manuallyAttached")
  C__notRequired = new("_notRequired")
  C__summaryReporting = new("_summaryReporting")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentHomeDeliveryTypeFedEx
class ItemFulfillmentHomeDeliveryTypeFedEx < ::String
  C__appointment = new("_appointment")
  C__dateCertain = new("_dateCertain")
  C__evening = new("_evening")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentThirdPartyTypeFedEx
class ItemFulfillmentThirdPartyTypeFedEx < ::String
  C__billRecipient = new("_billRecipient")
  C__billThirdParty = new("_billThirdParty")
  C__noneSelected = new("_noneSelected")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentPackageFedExAdmPackageTypeFedEx
class ItemFulfillmentPackageFedExAdmPackageTypeFedEx < ::String
  C__bag = new("_bag")
  C__barrel = new("_barrel")
  C__basketOrHamper = new("_basketOrHamper")
  C__box = new("_box")
  C__bucket = new("_bucket")
  C__bundle = new("_bundle")
  C__cage = new("_cage")
  C__carton = new("_carton")
  C__case = new("_case")
  C__chest = new("_chest")
  C__container = new("_container")
  C__crate = new("_crate")
  C__cylinder = new("_cylinder")
  C__drum = new("_drum")
  C__envelope = new("_envelope")
  C__package = new("_package")
  C__pail = new("_pail")
  C__pallet = new("_pallet")
  C__parcel = new("_parcel")
  C__pieces = new("_pieces")
  C__reel = new("_reel")
  C__roll = new("_roll")
  C__sack = new("_sack")
  C__shrinkWrapped = new("_shrinkWrapped")
  C__skid = new("_skid")
  C__tank = new("_tank")
  C__toteBin = new("_toteBin")
  C__tube = new("_tube")
  C__unit = new("_unit")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentPackageFedExCodMethodFedEx
class ItemFulfillmentPackageFedExCodMethodFedEx < ::String
  C__any = new("_any")
  C__cash = new("_cash")
  C__guaranteedFunds = new("_guaranteedFunds")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentPackageFedExDeliveryConfFedEx
class ItemFulfillmentPackageFedExDeliveryConfFedEx < ::String
  C__signatureRequired = new("_signatureRequired")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentPackageFedExPackagingFedEx
class ItemFulfillmentPackageFedExPackagingFedEx < ::String
  C__fedEx10kgBox = new("_fedEx10kgBox")
  C__fedEx25kgBox = new("_fedEx25kgBox")
  C__fedExBox = new("_fedExBox")
  C__fedExEnvelope = new("_fedExEnvelope")
  C__fedExPak = new("_fedExPak")
  C__fedExTube = new("_fedExTube")
  C__yourPackaging = new("_yourPackaging")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentPackageFedExSignatureOptionsFedEx
class ItemFulfillmentPackageFedExSignatureOptionsFedEx < ::String
  C__adult = new("_adult")
  C__direct = new("_direct")
  C__indirect = new("_indirect")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentTermsOfSaleFedEx
class ItemFulfillmentTermsOfSaleFedEx < ::String
  C__cf = new("_cf")
  C__cif = new("_cif")
  C__fob = new("_fob")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentShipStatus
class ItemFulfillmentShipStatus < ::String
  C__packed = new("_packed")
  C__picked = new("_picked")
  C__shipped = new("_shipped")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}OpportunityStatus
class OpportunityStatus < ::String
  C__closedLost = new("_closedLost")
  C__closedWon = new("_closedWon")
  C__inProgress = new("_inProgress")
  C__issuedEstimate = new("_issuedEstimate")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}TransactionType
class TransactionType < ::String
  C__assemblyBuild = new("_assemblyBuild")
  C__assemblyUnbuild = new("_assemblyUnbuild")
  C__binTransfer = new("_binTransfer")
  C__binWorksheet = new("_binWorksheet")
  C__cashRefund = new("_cashRefund")
  C__cashSale = new("_cashSale")
  C__check = new("_check")
  C__creditMemo = new("_creditMemo")
  C__customerDeposit = new("_customerDeposit")
  C__customerPayment = new("_customerPayment")
  C__customerRefund = new("_customerRefund")
  C__depositApplication = new("_depositApplication")
  C__estimate = new("_estimate")
  C__expenseReport = new("_expenseReport")
  C__inventoryAdjustment = new("_inventoryAdjustment")
  C__inventoryCostRevaluation = new("_inventoryCostRevaluation")
  C__inventoryTransfer = new("_inventoryTransfer")
  C__invoice = new("_invoice")
  C__itemFulfillment = new("_itemFulfillment")
  C__itemReceipt = new("_itemReceipt")
  C__journal = new("_journal")
  C__opportunity = new("_opportunity")
  C__paycheckJournal = new("_paycheckJournal")
  C__purchaseOrder = new("_purchaseOrder")
  C__returnAuthorization = new("_returnAuthorization")
  C__salesOrder = new("_salesOrder")
  C__transferOrder = new("_transferOrder")
  C__vendorBill = new("_vendorBill")
  C__vendorCredit = new("_vendorCredit")
  C__vendorPayment = new("_vendorPayment")
  C__vendorReturnAuthorization = new("_vendorReturnAuthorization")
  C__workOrder = new("_workOrder")
  C__workOrderClose = new("_workOrderClose")
  C__workOrderCompletion = new("_workOrderCompletion")
  C__workOrderIssue = new("_workOrderIssue")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}TransactionStatus
class TransactionStatus < ::String
  C__billCancelled = new("_billCancelled")
  C__billOpen = new("_billOpen")
  C__billPaidInFull = new("_billPaidInFull")
  C__billPaymentOnlineBillPayPendingAccountingApproval = new("_billPaymentOnlineBillPayPendingAccountingApproval")
  C__billPaymentVoided = new("_billPaymentVoided")
  C__billPendingApproval = new("_billPendingApproval")
  C__billRejected = new("_billRejected")
  C__cashSaleDeposited = new("_cashSaleDeposited")
  C__cashSaleNotDeposited = new("_cashSaleNotDeposited")
  C__cashSaleUnapprovedPayment = new("_cashSaleUnapprovedPayment")
  C__checkOnlineBillPayPendingAccountingApproval = new("_checkOnlineBillPayPendingAccountingApproval")
  C__checkVoided = new("_checkVoided")
  C__commissionOverpaid = new("_commissionOverpaid")
  C__commissionPaidInFull = new("_commissionPaidInFull")
  C__commissionPendingAccountingApproval = new("_commissionPendingAccountingApproval")
  C__commissionPendingPayment = new("_commissionPendingPayment")
  C__commissionRejectedByAccounting = new("_commissionRejectedByAccounting")
  C__creditMemoFullyApplied = new("_creditMemoFullyApplied")
  C__creditMemoOpen = new("_creditMemoOpen")
  C__customerDepositDeposited = new("_customerDepositDeposited")
  C__customerDepositFullyApplied = new("_customerDepositFullyApplied")
  C__customerDepositNotDeposited = new("_customerDepositNotDeposited")
  C__customerRefundVoided = new("_customerRefundVoided")
  C__estimateClosed = new("_estimateClosed")
  C__estimateExpired = new("_estimateExpired")
  C__estimateOpen = new("_estimateOpen")
  C__estimateProcessed = new("_estimateProcessed")
  C__estimateVoided = new("_estimateVoided")
  C__expenseReportApprovedByAccounting = new("_expenseReportApprovedByAccounting")
  C__expenseReportApprovedOverriddenByAccounting = new("_expenseReportApprovedOverriddenByAccounting")
  C__expenseReportInProgress = new("_expenseReportInProgress")
  C__expenseReportPaidInFull = new("_expenseReportPaidInFull")
  C__expenseReportPendingAccountingApproval = new("_expenseReportPendingAccountingApproval")
  C__expenseReportPendingSupervisorApproval = new("_expenseReportPendingSupervisorApproval")
  C__expenseReportRejectedByAccounting = new("_expenseReportRejectedByAccounting")
  C__expenseReportRejectedBySupervisor = new("_expenseReportRejectedBySupervisor")
  C__expenseReportRejectedOverriddenByAccounting = new("_expenseReportRejectedOverriddenByAccounting")
  C__invoiceOpen = new("_invoiceOpen")
  C__invoicePaidInFull = new("_invoicePaidInFull")
  C__itemFulfillmentPacked = new("_itemFulfillmentPacked")
  C__itemFulfillmentPicked = new("_itemFulfillmentPicked")
  C__itemFulfillmentShipped = new("_itemFulfillmentShipped")
  C__journalApprovedForPosting = new("_journalApprovedForPosting")
  C__journalPendingApproval = new("_journalPendingApproval")
  C__opportunityClosedLost = new("_opportunityClosedLost")
  C__opportunityClosedWon = new("_opportunityClosedWon")
  C__opportunityInProgress = new("_opportunityInProgress")
  C__opportunityIssuedEstimate = new("_opportunityIssuedEstimate")
  C__paycheckCommitted = new("_paycheckCommitted")
  C__paycheckPendingCommitment = new("_paycheckPendingCommitment")
  C__paycheckPendingTaxCalculation = new("_paycheckPendingTaxCalculation")
  C__paycheckPreview = new("_paycheckPreview")
  C__paycheckReversed = new("_paycheckReversed")
  C__paycheckUndefined = new("_paycheckUndefined")
  C__paymentDeposited = new("_paymentDeposited")
  C__paymentNotDeposited = new("_paymentNotDeposited")
  C__paymentUnapprovedPayment = new("_paymentUnapprovedPayment")
  C__payrollLiabilityCheckVoided = new("_payrollLiabilityCheckVoided")
  C__purchaseOrderClosed = new("_purchaseOrderClosed")
  C__purchaseOrderFullyBilled = new("_purchaseOrderFullyBilled")
  C__purchaseOrderPartiallyReceived = new("_purchaseOrderPartiallyReceived")
  C__purchaseOrderPendingBill = new("_purchaseOrderPendingBill")
  C__purchaseOrderPendingBillingPartiallyReceived = new("_purchaseOrderPendingBillingPartiallyReceived")
  C__purchaseOrderPendingReceipt = new("_purchaseOrderPendingReceipt")
  C__purchaseOrderPendingSupervisorApproval = new("_purchaseOrderPendingSupervisorApproval")
  C__purchaseOrderRejectedBySupervisor = new("_purchaseOrderRejectedBySupervisor")
  C__returnAuthorizationCancelled = new("_returnAuthorizationCancelled")
  C__returnAuthorizationClosed = new("_returnAuthorizationClosed")
  C__returnAuthorizationPartiallyReceived = new("_returnAuthorizationPartiallyReceived")
  C__returnAuthorizationPendingApproval = new("_returnAuthorizationPendingApproval")
  C__returnAuthorizationPendingReceipt = new("_returnAuthorizationPendingReceipt")
  C__returnAuthorizationPendingRefund = new("_returnAuthorizationPendingRefund")
  C__returnAuthorizationPendingRefundPartiallyReceived = new("_returnAuthorizationPendingRefundPartiallyReceived")
  C__returnAuthorizationRefunded = new("_returnAuthorizationRefunded")
  C__salesOrderBilled = new("_salesOrderBilled")
  C__salesOrderCancelled = new("_salesOrderCancelled")
  C__salesOrderClosed = new("_salesOrderClosed")
  C__salesOrderPartiallyFulfilled = new("_salesOrderPartiallyFulfilled")
  C__salesOrderPendingApproval = new("_salesOrderPendingApproval")
  C__salesOrderPendingBilling = new("_salesOrderPendingBilling")
  C__salesOrderPendingBillingPartiallyFulfilled = new("_salesOrderPendingBillingPartiallyFulfilled")
  C__salesOrderPendingFulfillment = new("_salesOrderPendingFulfillment")
  C__salesTaxPaymentOnlineBillPayPendingAccountingApproval = new("_salesTaxPaymentOnlineBillPayPendingAccountingApproval")
  C__salesTaxPaymentVoided = new("_salesTaxPaymentVoided")
  C__statementChargeOpen = new("_statementChargeOpen")
  C__statementChargePaidInFull = new("_statementChargePaidInFull")
  C__taxLiabilityChequeVoided = new("_taxLiabilityChequeVoided")
  C__tegataPayableEndorsed = new("_tegataPayableEndorsed")
  C__tegataPayableIssued = new("_tegataPayableIssued")
  C__tegataPayablePaid = new("_tegataPayablePaid")
  C__tegataReceivablesCollected = new("_tegataReceivablesCollected")
  C__tegataReceivablesDiscounted = new("_tegataReceivablesDiscounted")
  C__tegataReceivablesEndorsed = new("_tegataReceivablesEndorsed")
  C__tegataReceivablesHolding = new("_tegataReceivablesHolding")
  C__transferOrderClosed = new("_transferOrderClosed")
  C__transferOrderPartiallyFulfilled = new("_transferOrderPartiallyFulfilled")
  C__transferOrderPendingApproval = new("_transferOrderPendingApproval")
  C__transferOrderPendingFulfillment = new("_transferOrderPendingFulfillment")
  C__transferOrderPendingReceipt = new("_transferOrderPendingReceipt")
  C__transferOrderPendingReceiptPartiallyFulfilled = new("_transferOrderPendingReceiptPartiallyFulfilled")
  C__transferOrderReceived = new("_transferOrderReceived")
  C__transferOrderRejected = new("_transferOrderRejected")
  C__vendorReturnAuthorizationCancelled = new("_vendorReturnAuthorizationCancelled")
  C__vendorReturnAuthorizationClosed = new("_vendorReturnAuthorizationClosed")
  C__vendorReturnAuthorizationCredited = new("_vendorReturnAuthorizationCredited")
  C__vendorReturnAuthorizationPartiallyReturned = new("_vendorReturnAuthorizationPartiallyReturned")
  C__vendorReturnAuthorizationPendingApproval = new("_vendorReturnAuthorizationPendingApproval")
  C__vendorReturnAuthorizationPendingCredit = new("_vendorReturnAuthorizationPendingCredit")
  C__vendorReturnAuthorizationPendingCreditPartiallyReturned = new("_vendorReturnAuthorizationPendingCreditPartiallyReturned")
  C__vendorReturnAuthorizationPendingReturn = new("_vendorReturnAuthorizationPendingReturn")
  C__workOrderBuilt = new("_workOrderBuilt")
  C__workOrderCancelled = new("_workOrderCancelled")
  C__workOrderClosed = new("_workOrderClosed")
  C__workOrderPartiallyBuilt = new("_workOrderPartiallyBuilt")
  C__workOrderPendingBuild = new("_workOrderPendingBuild")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}TransactionPaymentEventResult
class TransactionPaymentEventResult < ::String
  C__accept = new("_accept")
  C__holdOverride = new("_holdOverride")
  C__paymentHold = new("_paymentHold")
  C__reject = new("_reject")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}TransactionPaymentEventType
class TransactionPaymentEventType < ::String
  C__authorizationRequest = new("_authorizationRequest")
  C__captureRequest = new("_captureRequest")
  C__creditRequest = new("_creditRequest")
  C__overrideHold = new("_overrideHold")
  C__refundRequest = new("_refundRequest")
  C__saleRequest = new("_saleRequest")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}TransactionPaymentEventHoldReason
class TransactionPaymentEventHoldReason < ::String
  C__authorizationDecline = new("_authorizationDecline")
  C__externalFraudRejection = new("_externalFraudRejection")
  C__externalFraudReview = new("_externalFraudReview")
  C__gatewayError = new("_gatewayError")
  C__overridenBy = new("_overridenBy")
  C__systemError = new("_systemError")
  C__verbalAuthorizationRequested = new("_verbalAuthorizationRequested")
  C__verificationRejection = new("_verificationRejection")
  C__verificationRequired = new("_verificationRequired")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentPackageFedExCodFreightTypeFedEx
class ItemFulfillmentPackageFedExCodFreightTypeFedEx < ::String
  C__cODCharge = new("_cODCharge")
  C__noneSelected = new("_noneSelected")
  C__orderChargeNet = new("_orderChargeNet")
  C__orderChargeTotal = new("_orderChargeTotal")
  C__shippingCharge = new("_shippingCharge")
  C__totalCharge = new("_totalCharge")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}TransactionLinkType
class TransactionLinkType < ::String
  C__closeWorkOrder = new("_closeWorkOrder")
  C__closedPeriodFxVariance = new("_closedPeriodFxVariance")
  C__cogsLink = new("_cogsLink")
  C__collectTegata = new("_collectTegata")
  C__commission = new("_commission")
  C__deferredRevenueReallocation = new("_deferredRevenueReallocation")
  C__depositApplication = new("_depositApplication")
  C__depositRefundCheck = new("_depositRefundCheck")
  C__discountTegata = new("_discountTegata")
  C__dropShipment = new("_dropShipment")
  C__endorseTegata = new("_endorseTegata")
  C__estimateInvoicing = new("_estimateInvoicing")
  C__intercompanyAdjustment = new("_intercompanyAdjustment")
  C__inventoryCountAdjustment = new("_inventoryCountAdjustment")
  C__landedCost = new("_landedCost")
  C__linkedReturnCost = new("_linkedReturnCost")
  C__opportunityClose = new("_opportunityClose")
  C__opportunityEstimate = new("_opportunityEstimate")
  C__orderBillInvoice = new("_orderBillInvoice")
  C__orderPickingPacking = new("_orderPickingPacking")
  C__payTegata = new("_payTegata")
  C__payment = new("_payment")
  C__purchaseReturn = new("_purchaseReturn")
  C__receiptBill = new("_receiptBill")
  C__receiptFulfillment = new("_receiptFulfillment")
  C__reimbursement = new("_reimbursement")
  C__revalueWorkOrder = new("_revalueWorkOrder")
  C__revenueAmortizatonRecognition = new("_revenueAmortizatonRecognition")
  C__revenueCommitted = new("_revenueCommitted")
  C__saleReturn = new("_saleReturn")
  C__salesOrderDegross = new("_salesOrderDegross")
  C__salesOrderDeposit = new("_salesOrderDeposit")
  C__salesOrderRevenueRevaluation = new("_salesOrderRevenueRevaluation")
  C__sourceOfRevenueContract = new("_sourceOfRevenueContract")
  C__specialOrder = new("_specialOrder")
  C__vendorBillVariance = new("_vendorBillVariance")
  C__wipBuild = new("_wipBuild")
  C__workOrderBuild = new("_workOrderBuild")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ForecastType
class ForecastType < ::String
  C__mostLikely = new("_mostLikely")
  C__omitted = new("_omitted")
  C__upside = new("_upside")
  C__worstCase = new("_worstCase")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}TransactionLineType
class TransactionLineType < ::String
  C__adjustedQuantity = new("_adjustedQuantity")
  C__billExchangeRateVariance = new("_billExchangeRateVariance")
  C__billPriceVariance = new("_billPriceVariance")
  C__billQuantityVariance = new("_billQuantityVariance")
  C__countQuantity = new("_countQuantity")
  C__dropshipExpense = new("_dropshipExpense")
  C__gainLoss = new("_gainLoss")
  C__item = new("_item")
  C__materialOverhead = new("_materialOverhead")
  C__nonReimbursuableExpenseOffset = new("_nonReimbursuableExpenseOffset")
  C__nonReimbursuableExpenseOriginal = new("_nonReimbursuableExpenseOriginal")
  C__productionPriceVariance = new("_productionPriceVariance")
  C__productionQuantityVariance = new("_productionQuantityVariance")
  C__purchasePriceVariance = new("_purchasePriceVariance")
  C__receiving = new("_receiving")
  C__routingItem = new("_routingItem")
  C__routingWorkInProcess = new("_routingWorkInProcess")
  C__scrap = new("_scrap")
  C__shipping = new("_shipping")
  C__snapshotQuantity = new("_snapshotQuantity")
  C__totalBillVariance = new("_totalBillVariance")
  C__unbuildVariance = new("_unbuildVariance")
  C__workInProcess = new("_workInProcess")
  C__workInProcessVariance = new("_workInProcessVariance")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}TransactionApprovalStatus
class TransactionApprovalStatus < ::String
  C__approved = new("_approved")
  C__pendingApproval = new("_pendingApproval")
  C__rejected = new("_rejected")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentPackageFedExPriorityAlertTypeFedEx
class ItemFulfillmentPackageFedExPriorityAlertTypeFedEx < ::String
  C__fedexPriorityAlert = new("_fedexPriorityAlert")
  C__fedexPriorityAlertPlus = new("_fedexPriorityAlertPlus")
  C__noneSelected = new("_noneSelected")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentHazmatTypeFedEx
class ItemFulfillmentHazmatTypeFedEx < ::String
  C__dangerousGoods = new("_dangerousGoods")
  C__hazmat = new("_hazmat")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentAncillaryEndorsementFedEx
class ItemFulfillmentAncillaryEndorsementFedEx < ::String
  C__addressCorrection = new("_addressCorrection")
  C__carrierLeaveIfNoResponse = new("_carrierLeaveIfNoResponse")
  C__changeService = new("_changeService")
  C__forwardingService = new("_forwardingService")
  C__returnService = new("_returnService")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}ItemFulfillmentAccessibilityTypeFedEx
class ItemFulfillmentAccessibilityTypeFedEx < ::String
  C__accessible = new("_accessible")
  C__inaccessible = new("_inaccessible")
end

# {urn:types.sales_2013_2.transactions.webservices.netsuite.com}TransactionChargeType
class TransactionChargeType < ::String
  C__concession = new("_concession")
  C__fixedDate = new("_fixedDate")
  C__fixedUsage = new("_fixedUsage")
  C__milestone = new("_milestone")
  C__oneTime = new("_oneTime")
  C__penalty = new("_penalty")
  C__projectProgress = new("_projectProgress")
  C__recurringService = new("_recurringService")
  C__timeBased = new("_timeBased")
  C__variableUsage = new("_variableUsage")
end

# {urn:types.purchases_2013_2.transactions.webservices.netsuite.com}PurchaseOrderOrderStatus
class PurchaseOrderOrderStatus < ::String
  C__closed = new("_closed")
  C__fullyBilled = new("_fullyBilled")
  C__partiallyReceived = new("_partiallyReceived")
  C__pendingBilling = new("_pendingBilling")
  C__pendingBillingPartiallyReceived = new("_pendingBillingPartiallyReceived")
  C__pendingReceipt = new("_pendingReceipt")
  C__pendingSupervisorApproval = new("_pendingSupervisorApproval")
  C__rejectedBySupervisor = new("_rejectedBySupervisor")
end

# {urn:types.purchases_2013_2.transactions.webservices.netsuite.com}TransactionBillVarianceStatus
class TransactionBillVarianceStatus < ::String
  C__journalNotPosted = new("_journalNotPosted")
  C__journalPosted = new("_journalPosted")
  C__noVariances = new("_noVariances")
end

# {urn:types.purchases_2013_2.transactions.webservices.netsuite.com}VendorReturnAuthorizationOrderStatus
class VendorReturnAuthorizationOrderStatus < ::String
  C__cancelled = new("_cancelled")
  C__closed = new("_closed")
  C__credited = new("_credited")
  C__partiallyReturned = new("_partiallyReturned")
  C__pendingApproval = new("_pendingApproval")
  C__pendingCredit = new("_pendingCredit")
  C__pendingCreditPartiallyReturned = new("_pendingCreditPartiallyReturned")
  C__pendingReturn = new("_pendingReturn")
  C__undefined = new("_undefined")
end

# {urn:types.customers_2013_2.transactions.webservices.netsuite.com}ReturnAuthorizationOrderStatus
class ReturnAuthorizationOrderStatus < ::String
  C__pendingApproval = new("_pendingApproval")
  C__pendingReceipt = new("_pendingReceipt")
end

# {urn:types.customers_2013_2.transactions.webservices.netsuite.com}ChargeStage
class ChargeStage < ::String
  C__hold = new("_hold")
  C__processed = new("_processed")
  C__ready = new("_ready")
end

# {urn:types.customers_2013_2.transactions.webservices.netsuite.com}ChargeUse
class ChargeUse < ::String
  C__actual = new("_actual")
  C__forecast = new("_forecast")
end

# {urn:types.financial_2013_2.transactions.webservices.netsuite.com}BudgetBudgetType
class BudgetBudgetType < ::String
  C__global = new("_global")
  C__local = new("_local")
end

# {urn:types.inventory_2013_2.transactions.webservices.netsuite.com}TransferOrderItemCommitInventory
class TransferOrderItemCommitInventory < ::String
  C__availableQty = new("_availableQty")
  C__completeQty = new("_completeQty")
  C__doNotCommit = new("_doNotCommit")
end

# {urn:types.inventory_2013_2.transactions.webservices.netsuite.com}TransferOrderOrderStatus
class TransferOrderOrderStatus < ::String
  C__closed = new("_closed")
  C__partiallyFulfilled = new("_partiallyFulfilled")
  C__pendingApproval = new("_pendingApproval")
  C__pendingFulfillment = new("_pendingFulfillment")
  C__pendingReceipt = new("_pendingReceipt")
  C__pendingReceiptPartFulfilled = new("_pendingReceiptPartFulfilled")
  C__received = new("_received")
  C__rejected = new("_rejected")
  C__undefined = new("_undefined")
end

# {urn:types.inventory_2013_2.transactions.webservices.netsuite.com}WorkOrderItemItemCreatePo
class WorkOrderItemItemCreatePo < ::String
  C__dropShipment = new("_dropShipment")
  C__specialOrder = new("_specialOrder")
end

# {urn:types.inventory_2013_2.transactions.webservices.netsuite.com}WorkOrderItemItemCommitInventory
class WorkOrderItemItemCommitInventory < ::String
  C__availableQty = new("_availableQty")
  C__completeQty = new("_completeQty")
  C__doNotCommit = new("_doNotCommit")
end

# {urn:types.customization_2013_2.setup.webservices.netsuite.com}CustomizationFieldType
class CustomizationFieldType < ::String
  C__checkBox = new("_checkBox")
  C__currency = new("_currency")
  C__date = new("_date")
  C__datetime = new("_datetime")
  C__decimalNumber = new("_decimalNumber")
  C__document = new("_document")
  C__eMailAddress = new("_eMailAddress")
  C__freeFormText = new("_freeFormText")
  C__help = new("_help")
  C__hyperlink = new("_hyperlink")
  C__image = new("_image")
  C__inlineHTML = new("_inlineHTML")
  C__integerNumber = new("_integerNumber")
  C__listRecord = new("_listRecord")
  C__longText = new("_longText")
  C__multipleSelect = new("_multipleSelect")
  C__password = new("_password")
  C__percent = new("_percent")
  C__phoneNumber = new("_phoneNumber")
  C__richText = new("_richText")
  C__textArea = new("_textArea")
  C__timeOfDay = new("_timeOfDay")
end

# {urn:types.customization_2013_2.setup.webservices.netsuite.com}CustomizationDynamicDefault
class CustomizationDynamicDefault < ::String
  C__currentDateTime = new("_currentDateTime")
  C__currentUser = new("_currentUser")
  C__currentUsersDepartment = new("_currentUsersDepartment")
  C__currentUsersLocation = new("_currentUsersLocation")
  C__currentUsersSubsidiary = new("_currentUsersSubsidiary")
  C__currentUsersSupervisor = new("_currentUsersSupervisor")
end

# {urn:types.customization_2013_2.setup.webservices.netsuite.com}CustomizationDisplayType
class CustomizationDisplayType < ::String
  C__disabled = new("_disabled")
  C__hidden = new("_hidden")
  C__inlineText = new("_inlineText")
  C__normal = new("_normal")
  C__showAsList = new("_showAsList")
end

# {urn:types.customization_2013_2.setup.webservices.netsuite.com}CustomizationFilterCompareType
class CustomizationFilterCompareType < ::String
  C__equal = new("_equal")
  C__greaterThan = new("_greaterThan")
  C__greaterThanOrEqual = new("_greaterThanOrEqual")
  C__lessThan = new("_lessThan")
  C__lessThanOrEqual = new("_lessThanOrEqual")
  C__notEqual = new("_notEqual")
end

# {urn:types.customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypePermissionsPermittedLevel
class CustomRecordTypePermissionsPermittedLevel < ::String
  C__create = new("_create")
  C__edit = new("_edit")
  C__full = new("_full")
  C__none = new("_none")
  C__view = new("_view")
end

# {urn:types.customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypePermissionsRestriction
class CustomRecordTypePermissionsRestriction < ::String
  C__editingOnly = new("_editingOnly")
  C__viewingAndEditing = new("_viewingAndEditing")
end

# {urn:types.customization_2013_2.setup.webservices.netsuite.com}ItemCustomFieldItemSubType
class ItemCustomFieldItemSubType < ::String
  C__both = new("_both")
  C__purchase = new("_purchase")
  C__sale = new("_sale")
end

# {urn:types.customization_2013_2.setup.webservices.netsuite.com}CustomizationAccessLevel
class CustomizationAccessLevel < ::String
  C__edit = new("_edit")
  C__none = new("_none")
  C__view = new("_view")
end

# {urn:types.customization_2013_2.setup.webservices.netsuite.com}CustomizationSearchLevel
class CustomizationSearchLevel < ::String
  C__edit = new("_edit")
  C__none = new("_none")
  C__run = new("_run")
end

# {urn:types.customization_2013_2.setup.webservices.netsuite.com}CustomRecordTypeAccessType
class CustomRecordTypeAccessType < ::String
  C__noPermissionRequired = new("_noPermissionRequired")
  C__requireCustomRecordEntriesPermission = new("_requireCustomRecordEntriesPermission")
  C__usePermissionList = new("_usePermissionList")
end

# {urn:types.employees_2013_2.lists.webservices.netsuite.com}EmployeePayFrequency
class EmployeePayFrequency < ::String
  C__annually = new("_annually")
  C__custom = new("_custom")
  C__daily = new("_daily")
  C__endOfPeriod = new("_endOfPeriod")
  C__everyFourWeeks = new("_everyFourWeeks")
  C__everyThreeYears = new("_everyThreeYears")
  C__everyTwoMonths = new("_everyTwoMonths")
  C__everyTwoWeeks = new("_everyTwoWeeks")
  C__everyTwoYears = new("_everyTwoYears")
  C__monthly = new("_monthly")
  C__never = new("_never")
  C__oneTime = new("_oneTime")
  C__quarterly = new("_quarterly")
  C__startOfPeriod = new("_startOfPeriod")
  C__twiceAMonth = new("_twiceAMonth")
  C__twiceAYear = new("_twiceAYear")
  C__weekly = new("_weekly")
end

# {urn:types.employees_2013_2.lists.webservices.netsuite.com}EmployeeUseTimeData
class EmployeeUseTimeData < ::String
  C__salary = new("_salary")
  C__wage = new("_wage")
end

# {urn:types.employees_2013_2.lists.webservices.netsuite.com}EmployeeCommissionPaymentPreference
class EmployeeCommissionPaymentPreference < ::String
  C__accountsPayable = new("_accountsPayable")
  C__payroll = new("_payroll")
  C__systemPreference = new("_systemPreference")
end

# {urn:types.employees_2013_2.lists.webservices.netsuite.com}Gender
class Gender < ::String
  C__female = new("_female")
  C__male = new("_male")
  C__omitted = new("_omitted")
end

# {urn:types.employees_2013_2.lists.webservices.netsuite.com}EmployeeAccruedTimeAccrualMethod
class EmployeeAccruedTimeAccrualMethod < ::String
  C__lumpSums = new("_lumpSums")
  C__perHourWorked = new("_perHourWorked")
  C__perPayPeriod = new("_perPayPeriod")
end

# {urn:types.employees_2013_2.lists.webservices.netsuite.com}EmployeeDirectDepositAccountStatus
class EmployeeDirectDepositAccountStatus < ::String
  C__active = new("_active")
  C__failed = new("_failed")
  C__inactive = new("_inactive")
  C__pending = new("_pending")
  C__verifying = new("_verifying")
end

# {urn:types.employees_2013_2.lists.webservices.netsuite.com}PayrollItemItemTypeNoHierarchy
class PayrollItemItemTypeNoHierarchy < ::String
  C__addition = new("_addition")
  C__commission = new("_commission")
  C__deduction = new("_deduction")
  C__directDeposit = new("_directDeposit")
  C__disability = new("_disability")
  C__earning = new("_earning")
  C__employerContribution = new("_employerContribution")
  C__expense = new("_expense")
  C__federal = new("_federal")
  C__medicare = new("_medicare")
  C__other = new("_other")
  C__salary = new("_salary")
  C__sick = new("_sick")
  C__socialSecurity = new("_socialSecurity")
  C__state = new("_state")
  C__tax = new("_tax")
  C__unemployment = new("_unemployment")
  C__vacation = new("_vacation")
  C__wage = new("_wage")
end

# {urn:types.employees_2013_2.transactions.webservices.netsuite.com}TimeBillTimeType
class TimeBillTimeType < ::String
  C__actualTime = new("_actualTime")
  C__allocatedTime = new("_allocatedTime")
  C__plannedTime = new("_plannedTime")
end

# {urn:types.marketing_2013_2.lists.webservices.netsuite.com}CampaignCampaignDirectMailStatus
class CampaignCampaignDirectMailStatus < ::String
  C__completed = new("_completed")
  C__execute = new("_execute")
  C__inProgress = new("_inProgress")
  C__notStarted = new("_notStarted")
end

# {urn:types.marketing_2013_2.lists.webservices.netsuite.com}CampaignCampaignEmailStatus
class CampaignCampaignEmailStatus < ::String
  C__execute = new("_execute")
  C__inProgress = new("_inProgress")
  C__notStarted = new("_notStarted")
  C__sent = new("_sent")
end

# {urn:types.marketing_2013_2.lists.webservices.netsuite.com}CampaignCampaignEventStatus
class CampaignCampaignEventStatus < ::String
  C__completed = new("_completed")
  C__execute = new("_execute")
  C__inProgress = new("_inProgress")
  C__notStarted = new("_notStarted")
end

# {urn:types.marketing_2013_2.lists.webservices.netsuite.com}CampaignChannelEventType
class CampaignChannelEventType < ::String
  C__directMail = new("_directMail")
  C__email = new("_email")
  C__integration = new("_integration")
  C__other = new("_other")
end

# {urn:types.marketing_2013_2.lists.webservices.netsuite.com}CampaignResponseResponse
class CampaignResponseResponse < ::String
  C__bounced = new("_bounced")
  C__clickedThru = new("_clickedThru")
  C__purchased = new("_purchased")
  C__received = new("_received")
  C__responded = new("_responded")
  C__sent = new("_sent")
  C__subscribed = new("_subscribed")
  C__unsubscribed = new("_unsubscribed")
end

# {urn:types.marketing_2013_2.lists.webservices.netsuite.com}CampaignCampaignEventType
class CampaignCampaignEventType < ::String
  C__default = new("_default")
  C__directMail = new("_directMail")
  C__email = new("_email")
  C__integration = new("_integration")
  C__leadNurturingEmail = new("_leadNurturingEmail")
  C__other = new("_other")
end

# {urn:types.marketing_2013_2.lists.webservices.netsuite.com}CampaignResponse
class CampaignResponse_ < ::String
  C__clickedThrough = new("_clickedThrough")
  C__failedDeliveryFailure = new("_failedDeliveryFailure")
  C__failedInvalidAddress = new("_failedInvalidAddress")
  C__failedOther = new("_failedOther")
  C__failedSpam = new("_failedSpam")
  C__invalidSenderAddress = new("_invalidSenderAddress")
  C__mailProtocolIssues = new("_mailProtocolIssues")
  C__mailboxDisabled = new("_mailboxDisabled")
  C__mailboxIsFull = new("_mailboxIsFull")
  C__mailboxNotAcceptingMessages = new("_mailboxNotAcceptingMessages")
  C__mediaError = new("_mediaError")
  C__messageExceedsSizeLengthLimits = new("_messageExceedsSizeLengthLimits")
  C__networkServerIssues = new("_networkServerIssues")
  C__opened = new("_opened")
  C__purchased = new("_purchased")
  C__queued = new("_queued")
  C__received = new("_received")
  C__responded = new("_responded")
  C__securityIssues = new("_securityIssues")
  C__sent = new("_sent")
  C__subscribed = new("_subscribed")
  C__tooManyRecipients = new("_tooManyRecipients")
  C__unsubscribed = new("_unsubscribed")
end

# {urn:types.marketing_2013_2.lists.webservices.netsuite.com}CampaignStatus
class CampaignStatus < ::String
  C__closed = new("_closed")
  C__completed = new("_completed")
  C__execute = new("_execute")
  C__inProgress = new("_inProgress")
  C__scheduled = new("_scheduled")
  C__sent = new("_sent")
  C__toPrint = new("_toPrint")
end

# {urn:types.marketing_2013_2.lists.webservices.netsuite.com}PromotionCodeApplyDiscountTo
class PromotionCodeApplyDiscountTo < ::String
  C__allSales = new("_allSales")
  C__firstSaleOnly = new("_firstSaleOnly")
end

# {urn:types.marketing_2013_2.lists.webservices.netsuite.com}CampaignResponseCategory
class CampaignResponseCategory < ::String
  C__bounced = new("_bounced")
  C__clickedThrough = new("_clickedThrough")
  C__purchased = new("_purchased")
  C__queued = new("_queued")
  C__received = new("_received")
  C__responded = new("_responded")
  C__sent = new("_sent")
  C__subscribed = new("_subscribed")
  C__unsubscribed = new("_unsubscribed")
end

# {urn:types.marketing_2013_2.lists.webservices.netsuite.com}PromotionCodeUseType
class PromotionCodeUseType < ::String
  C__multipleUses = new("_multipleUses")
  C__singleUse = new("_singleUse")
end

# {urn:types.demandplanning_2013_2.transactions.webservices.netsuite.com}DemandPlanCalendarType
class DemandPlanCalendarType < ::String
  C__daily = new("_daily")
  C__monthly = new("_monthly")
  C__weekly = new("_weekly")
end

# {urn:types.demandplanning_2013_2.transactions.webservices.netsuite.com}DemandPlanMonth
class DemandPlanMonth < ::String
  C__april = new("_april")
  C__august = new("_august")
  C__december = new("_december")
  C__february = new("_february")
  C__january = new("_january")
  C__july = new("_july")
  C__june = new("_june")
  C__march = new("_march")
  C__may = new("_may")
  C__november = new("_november")
  C__october = new("_october")
  C__september = new("_september")
end

# {urn:types.demandplanning_2013_2.transactions.webservices.netsuite.com}DayOfTheWeek
class DayOfTheWeek < ::String
  C__friday = new("_friday")
  C__monday = new("_monday")
  C__saturday = new("_saturday")
  C__sunday = new("_sunday")
  C__thursday = new("_thursday")
  C__tuesday = new("_tuesday")
  C__wednesday = new("_wednesday")
end

# {urn:types.demandplanning_2013_2.transactions.webservices.netsuite.com}ItemDemandPlanProjectionMethod
class ItemDemandPlanProjectionMethod < ::String
  C__linearRegression = new("_linearRegression")
  C__movingAverage = new("_movingAverage")
  C__salesForecast = new("_salesForecast")
  C__seasonalAverage = new("_seasonalAverage")
end

# {urn:types.demandplanning_2013_2.transactions.webservices.netsuite.com}ItemSupplyPlanOrderType
class ItemSupplyPlanOrderType < ::String
  C__purchaseOrder = new("_purchaseOrder")
  C__workOrder = new("_workOrder")
end

# {urn:types.supplychain_2013_2.lists.webservices.netsuite.com}ManufacturingOperationTaskStatus
class ManufacturingOperationTaskStatus < ::String
  C__completed = new("_completed")
  C__inProgress = new("_inProgress")
  C__notStarted = new("_notStarted")
end


end
