require 'default.rb'
require 'soap/mapping'

module ActiveNetsuite

module DefaultMappingRegistry
  EncodedRegistry = ::SOAP::Mapping::EncodedRegistry.new
  LiteralRegistry = ::SOAP::Mapping::LiteralRegistry.new
  NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom = "urn:accounting_2013_2.lists.webservices.netsuite.com"
  NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom = "urn:bank_2013_2.transactions.webservices.netsuite.com"
  NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom = "urn:common_2013_2.platform.webservices.netsuite.com"
  NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom = "urn:communication_2013_2.general.webservices.netsuite.com"
  NsCore_2013_2PlatformWebservicesActiveNetsuiteCom = "urn:core_2013_2.platform.webservices.netsuite.com"
  NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom = "urn:customers_2013_2.transactions.webservices.netsuite.com"
  NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom = "urn:customization_2013_2.setup.webservices.netsuite.com"
  NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom = "urn:demandplanning_2013_2.transactions.webservices.netsuite.com"
  NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom = "urn:employees_2013_2.lists.webservices.netsuite.com"
  NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom = "urn:employees_2013_2.transactions.webservices.netsuite.com"
  NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom = "urn:faults_2013_2.platform.webservices.netsuite.com"
  NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom = "urn:filecabinet_2013_2.documents.webservices.netsuite.com"
  NsFinancial_2013_2TransactionsWebservicesActiveNetsuiteCom = "urn:financial_2013_2.transactions.webservices.netsuite.com"
  NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom = "urn:general_2013_2.transactions.webservices.netsuite.com"
  NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom = "urn:inventory_2013_2.transactions.webservices.netsuite.com"
  NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom = "urn:marketing_2013_2.lists.webservices.netsuite.com"
  NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom = "urn:messages_2013_2.platform.webservices.netsuite.com"
  NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom = "urn:purchases_2013_2.transactions.webservices.netsuite.com"
  NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom = "urn:relationships_2013_2.lists.webservices.netsuite.com"
  NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom = "urn:sales_2013_2.transactions.webservices.netsuite.com"
  NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom = "urn:scheduling_2013_2.activities.webservices.netsuite.com"
  NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom = "urn:supplychain_2013_2.lists.webservices.netsuite.com"
  NsSupport_2013_2ListsWebservicesActiveNetsuiteCom = "urn:support_2013_2.lists.webservices.netsuite.com"
  NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom = "urn:types.accounting_2013_2.lists.webservices.netsuite.com"
  NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom = "urn:types.common_2013_2.platform.webservices.netsuite.com"
  NsTypesCommunication_2013_2GeneralWebservicesActiveNetsuiteCom = "urn:types.communication_2013_2.general.webservices.netsuite.com"
  NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom = "urn:types.core_2013_2.platform.webservices.netsuite.com"
  NsTypesCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom = "urn:types.customers_2013_2.transactions.webservices.netsuite.com"
  NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom = "urn:types.customization_2013_2.setup.webservices.netsuite.com"
  NsTypesDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom = "urn:types.demandplanning_2013_2.transactions.webservices.netsuite.com"
  NsTypesEmployees_2013_2ListsWebservicesActiveNetsuiteCom = "urn:types.employees_2013_2.lists.webservices.netsuite.com"
  NsTypesEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom = "urn:types.employees_2013_2.transactions.webservices.netsuite.com"
  NsTypesFaults_2013_2PlatformWebservicesActiveNetsuiteCom = "urn:types.faults_2013_2.platform.webservices.netsuite.com"
  NsTypesFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom = "urn:types.filecabinet_2013_2.documents.webservices.netsuite.com"
  NsTypesFinancial_2013_2TransactionsWebservicesActiveNetsuiteCom = "urn:types.financial_2013_2.transactions.webservices.netsuite.com"
  NsTypesInventory_2013_2TransactionsWebservicesActiveNetsuiteCom = "urn:types.inventory_2013_2.transactions.webservices.netsuite.com"
  NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom = "urn:types.marketing_2013_2.lists.webservices.netsuite.com"
  NsTypesPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom = "urn:types.purchases_2013_2.transactions.webservices.netsuite.com"
  NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom = "urn:types.relationships_2013_2.lists.webservices.netsuite.com"
  NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom = "urn:types.sales_2013_2.transactions.webservices.netsuite.com"
  NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom = "urn:types.scheduling_2013_2.activities.webservices.netsuite.com"
  NsTypesSupplychain_2013_2ListsWebservicesActiveNetsuiteCom = "urn:types.supplychain_2013_2.lists.webservices.netsuite.com"
  NsTypesSupport_2013_2ListsWebservicesActiveNetsuiteCom = "urn:types.support_2013_2.lists.webservices.netsuite.com"
  NsWebsite_2013_2ListsWebservicesActiveNetsuiteCom = "urn:website_2013_2.lists.webservices.netsuite.com"

  EncodedRegistry.register(
    :class => ActiveNetsuite::Passport,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Passport"),
    :schema_element => [
      ["email", "SOAP::SOAPString"],
      ["password", "SOAP::SOAPString"],
      ["account", "SOAP::SOAPString"],
      ["role", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SsoPassport,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SsoPassport"),
    :schema_element => [
      ["authenticationToken", "SOAP::SOAPString"],
      ["partnerId", "SOAP::SOAPString"],
      ["partnerAccount", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SsoCredentials,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SsoCredentials"),
    :schema_element => [
      ["email", "SOAP::SOAPString"],
      ["password", "SOAP::SOAPString"],
      ["account", "SOAP::SOAPString"],
      ["role", "ActiveNetsuite::RecordRef", [0, 1]],
      ["authenticationToken", "SOAP::SOAPString"],
      ["partnerId", "SOAP::SOAPString"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ChangePassword,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "ChangePassword"),
    :schema_element => [
      ["currentPassword", "SOAP::SOAPString"],
      ["newPassword", "SOAP::SOAPString", [0, 1]],
      ["newPassword2", "SOAP::SOAPString", [0, 1]],
      ["justThisAccount", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ChangeEmail,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "ChangeEmail"),
    :schema_element => [
      ["currentPassword", "SOAP::SOAPString"],
      ["newEmail", "SOAP::SOAPString"],
      ["newEmail2", "SOAP::SOAPString"],
      ["justThisAccount", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::StatusDetail,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "StatusDetail"),
    :schema_element => [
      ["code", "ActiveNetsuite::StatusDetailCodeType"],
      ["message", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "type") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Status,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Status"),
    :schema_element => [
      ["statusDetail", "ActiveNetsuite::StatusDetail[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "isSuccess") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WsRole,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "WsRole"),
    :schema_element => [
      ["role", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isDefault", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["isLoggedInRole", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WsRoleList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "WsRoleList"),
    :schema_element => [
      ["wsRole", "ActiveNetsuite::WsRole[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NullField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "NullField"),
    :schema_element => [
      ["name", "SOAP::SOAPString[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["totalRecords", "SOAP::SOAPInt", [0, 1]],
      ["pageSize", "SOAP::SOAPInt", [0, 1]],
      ["totalPages", "SOAP::SOAPInt", [0, 1]],
      ["pageIndex", "SOAP::SOAPInt", [0, 1]],
      ["searchId", "SOAP::SOAPString", [0, 1]],
      ["recordList", "ActiveNetsuite::RecordList", [0, 1]],
      ["searchRowList", "ActiveNetsuite::SearchRowList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AsyncStatusResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncStatusResult"),
    :schema_element => [
      ["jobId", "SOAP::SOAPString"],
      ["status", "ActiveNetsuite::AsyncStatusType"],
      ["percentCompleted", "SOAP::SOAPDouble"],
      ["estRemainingDuration", "SOAP::SOAPDouble"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetAllResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetAllResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["totalRecords", "SOAP::SOAPInt", [0, 1]],
      ["recordList", "ActiveNetsuite::RecordList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetSavedSearchResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetSavedSearchResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["totalRecords", "SOAP::SOAPInt", [0, 1]],
      ["recordRefList", "ActiveNetsuite::RecordRefList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetCustomizationIdResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetCustomizationIdResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["totalRecords", "SOAP::SOAPInt", [0, 1]],
      ["customizationRefList", "ActiveNetsuite::CustomizationRefList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetSelectValueResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetSelectValueResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["totalRecords", "SOAP::SOAPInt", [0, 1]],
      ["totalPages", "SOAP::SOAPInt", [0, 1]],
      ["baseRefList", "ActiveNetsuite::BaseRefList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RecordList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "RecordList"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchRowList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowList"),
    :schema_element => [
      ["searchRow", "ActiveNetsuite::SearchRow[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RecordRefList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "RecordRefList"),
    :schema_element => [
      ["recordRef", "ActiveNetsuite::RecordRef[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BaseRefList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "BaseRefList"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RecordRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "RecordRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "BaseRef"),
    :schema_element => [
      ["name", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "type") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Duration,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Duration"),
    :schema_element => [
      ["timeSpan", "SOAP::SOAPDouble"],
      ["unit", "ActiveNetsuite::DurationUnit"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomRecordRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "BaseRef"),
    :schema_element => [
      ["name", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "typeId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomizationRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomizationRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "RecordRef"),
    :schema_element => [
      ["name", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "type") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomizationRefList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomizationRefList"),
    :schema_element => [
      ["customizationRef", "ActiveNetsuite::CustomizationRef[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InitializeRecord,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeRecord"),
    :schema_element => [
      ["type", "ActiveNetsuite::InitializeType"],
      ["reference", "ActiveNetsuite::InitializeRef", [0, 1]],
      ["auxReference", "ActiveNetsuite::InitializeAuxRef", [0, 1]],
      ["referenceList", "ActiveNetsuite::InitializeRefList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InitializeRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "BaseRef"),
    :schema_element => [
      ["name", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "type") => "SOAP::SOAPString",
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InitializeRefList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeRefList"),
    :schema_element => [
      ["initializeRef", "ActiveNetsuite::InitializeRef[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InitializeAuxRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeAuxRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "BaseRef"),
    :schema_element => [
      ["name", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "type") => "SOAP::SOAPString",
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UpdateInviteeStatusReference,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "UpdateInviteeStatusReference"),
    :schema_element => [
      ["eventId", "ActiveNetsuite::RecordRef"],
      ["responseCode", "ActiveNetsuite::CalendarEventAttendeeResponse"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetAllRecord,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetAllRecord"),
    :schema_element => [],
    :schema_attribute => {
      XSD::QName.new(nil, "recordType") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetSavedSearchRecord,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetSavedSearchRecord"),
    :schema_element => [],
    :schema_attribute => {
      XSD::QName.new(nil, "searchType") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomizationType,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomizationType"),
    :schema_element => [],
    :schema_attribute => {
      XSD::QName.new(nil, "getCustomizationType") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ListOrRecordRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "ListOrRecordRef"),
    :schema_element => [
      ["name", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "typeId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LongCustomFieldRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "LongCustomFieldRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomFieldRef"),
    :schema_element => [
      ["value", "SOAP::SOAPLong"]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DoubleCustomFieldRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "DoubleCustomFieldRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomFieldRef"),
    :schema_element => [
      ["value", "SOAP::SOAPDouble"]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BooleanCustomFieldRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "BooleanCustomFieldRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomFieldRef"),
    :schema_element => [
      ["value", "SOAP::SOAPBoolean"]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::StringCustomFieldRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "StringCustomFieldRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomFieldRef"),
    :schema_element => [
      ["value", "SOAP::SOAPString"]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DateCustomFieldRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "DateCustomFieldRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomFieldRef"),
    :schema_element => [
      ["value", "SOAP::SOAPDateTime"]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SelectCustomFieldRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SelectCustomFieldRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomFieldRef"),
    :schema_element => [
      ["value", "ActiveNetsuite::ListOrRecordRef"]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::MultiSelectCustomFieldRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "MultiSelectCustomFieldRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomFieldRef"),
    :schema_element => [
      ["value", "ActiveNetsuite::ListOrRecordRef[]", [1, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomFieldList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomFieldList"),
    :schema_element => [
      ["customField", "ActiveNetsuite::CustomFieldRef[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchBooleanField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchBooleanField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchStringField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchStringField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchLongField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchLongField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPLong", [0, 1]],
      ["searchValue2", "SOAP::SOAPLong", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchTextNumberField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchTextNumberField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPString", [0, 1]],
      ["searchValue2", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchDoubleField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchDoubleField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPDouble", [0, 1]],
      ["searchValue2", "SOAP::SOAPDouble", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchDateField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchDateField"),
    :schema_element => [
      ["predefinedSearchValue", "ActiveNetsuite::SearchDate", [0, 1]],
      ["searchValue", "SOAP::SOAPDateTime", [0, 1]],
      ["searchValue2", "SOAP::SOAPDateTime", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchEnumMultiSelectField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchEnumMultiSelectField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPString[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchMultiSelectField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchMultiSelectField"),
    :schema_element => [
      ["searchValue", "ActiveNetsuite::RecordRef[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchBooleanCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchBooleanCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchCustomField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchStringCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchStringCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchCustomField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchLongCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchLongCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchCustomField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPLong", [0, 1]],
      ["searchValue2", "SOAP::SOAPLong", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchDoubleCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchDoubleCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchCustomField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPDouble", [0, 1]],
      ["searchValue2", "SOAP::SOAPDouble", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchDateCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchDateCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchCustomField"),
    :schema_element => [
      ["predefinedSearchValue", "ActiveNetsuite::SearchDate", [0, 1]],
      ["searchValue", "SOAP::SOAPDateTime", [0, 1]],
      ["searchValue2", "SOAP::SOAPDateTime", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchEnumMultiSelectCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchEnumMultiSelectCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchCustomField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPString[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchMultiSelectCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchMultiSelectCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchCustomField"),
    :schema_element => [
      ["searchValue", "ActiveNetsuite::ListOrRecordRef[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchCustomFieldList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchCustomFieldList"),
    :schema_element => [
      ["customField", "ActiveNetsuite::SearchCustomField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchColumnBooleanField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnBooleanField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchColumnStringField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnStringField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchColumnLongField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnLongField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPLong", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchColumnTextNumberField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnTextNumberField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchColumnDoubleField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnDoubleField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchColumnDateField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnDateField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchColumnEnumSelectField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnEnumSelectField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchColumnSelectField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnSelectField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchColumnBooleanCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnBooleanCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnCustomField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchColumnStringCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnStringCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnCustomField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchColumnLongCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnLongCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnCustomField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPLong", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchColumnDoubleCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnDoubleCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnCustomField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPDouble", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchColumnDateCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnDateCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnCustomField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPDateTime", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchColumnEnumMultiSelectCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnEnumMultiSelectCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnCustomField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPString[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchColumnSelectCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnSelectCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnCustomField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "ActiveNetsuite::ListOrRecordRef", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchColumnMultiSelectCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnMultiSelectCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnCustomField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "ActiveNetsuite::ListOrRecordRef[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchColumnCustomFieldList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnCustomFieldList"),
    :schema_element => [
      ["customField", "ActiveNetsuite::SearchColumnCustomField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemAvailabilityFilter,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemAvailabilityFilter"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRefList"],
      ["lastQtyAvailableChange", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemAvailability,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemAvailability"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef"],
      ["lastQtyAvailableChange", "SOAP::SOAPDateTime", [0, 1]],
      ["locationId", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["onHandValueMli", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemAvailabilityList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemAvailabilityList"),
    :schema_element => [
      ["itemAvailability", "ActiveNetsuite::ItemAvailability[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetItemAvailabilityResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetItemAvailabilityResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["itemAvailabilityList", "ActiveNetsuite::ItemAvailabilityList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BudgetExchangeRateFilter,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "BudgetExchangeRateFilter"),
    :schema_element => [
      ["period", "ActiveNetsuite::RecordRef"],
      ["fromSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["toSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BudgetExchangeRate,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "BudgetExchangeRate"),
    :schema_element => [
      ["period", "ActiveNetsuite::RecordRef"],
      ["fromSubsidiary", "ActiveNetsuite::RecordRef"],
      ["toSubsidiary", "ActiveNetsuite::RecordRef"],
      ["currentRate", "SOAP::SOAPDouble", [0, 1]],
      ["averageRate", "SOAP::SOAPDouble", [0, 1]],
      ["historicalRate", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BudgetExchangeRateList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "BudgetExchangeRateList"),
    :schema_element => [
      ["budgetExchangeRate", "ActiveNetsuite::BudgetExchangeRate[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetBudgetExchangeRateResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetBudgetExchangeRateResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["budgetExchangeRateList", "ActiveNetsuite::BudgetExchangeRateList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ConsolidatedExchangeRateFilter,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "ConsolidatedExchangeRateFilter"),
    :schema_element => [
      ["period", "ActiveNetsuite::RecordRef"],
      ["fromSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["toSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ConsolidatedExchangeRate,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "ConsolidatedExchangeRate"),
    :schema_element => [
      ["period", "ActiveNetsuite::RecordRef"],
      ["fromSubsidiary", "ActiveNetsuite::RecordRef"],
      ["toSubsidiary", "ActiveNetsuite::RecordRef"],
      ["currentRate", "SOAP::SOAPDouble", [0, 1]],
      ["averageRate", "SOAP::SOAPDouble", [0, 1]],
      ["historicalRate", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ConsolidatedExchangeRateList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "ConsolidatedExchangeRateList"),
    :schema_element => [
      ["consolidatedExchangeRate", "ActiveNetsuite::ConsolidatedExchangeRate[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetConsolidatedExchangeRateResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetConsolidatedExchangeRateResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["consolidatedExchangeRateList", "ActiveNetsuite::ConsolidatedExchangeRateList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CurrencyRateFilter,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CurrencyRateFilter"),
    :schema_element => [
      ["baseCurrency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fromCurrency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["effectiveDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CurrencyRate_,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CurrencyRate"),
    :schema_element => [
      ["baseCurrency", "ActiveNetsuite::RecordRef"],
      ["fromCurrency", "ActiveNetsuite::RecordRef"],
      ["exchangeRate", "SOAP::SOAPDouble"],
      ["effectiveDate", "SOAP::SOAPDateTime"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CurrencyRateList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CurrencyRateList"),
    :schema_element => [
      ["currencyRate", "ActiveNetsuite::CurrencyRate_[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetCurrencyRateResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetCurrencyRateResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["currencyRateList", "ActiveNetsuite::CurrencyRateList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DataCenterUrls,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "DataCenterUrls"),
    :schema_element => [
      ["restDomain", "SOAP::SOAPString"],
      ["webservicesDomain", "SOAP::SOAPString"],
      ["systemDomain", "SOAP::SOAPString"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetDataCenterUrlsResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetDataCenterUrlsResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["dataCenterUrls", "ActiveNetsuite::DataCenterUrls", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PostingTransactionSummaryField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "PostingTransactionSummaryField"),
    :schema_element => [
      ["period", "SOAP::SOAPBoolean", [0, 1]],
      ["account", "SOAP::SOAPBoolean", [0, 1]],
      ["parentItem", "SOAP::SOAPBoolean", [0, 1]],
      ["item", "SOAP::SOAPBoolean", [0, 1]],
      ["entity", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "SOAP::SOAPBoolean", [0, 1]],
      ["v_class", ["SOAP::SOAPBoolean", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiary", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PostingTransactionSummaryFilter,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "PostingTransactionSummaryFilter"),
    :schema_element => [
      ["period", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["account", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["parentItem", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["item", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRefList", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRefList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PostingTransactionSummary,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "PostingTransactionSummary"),
    :schema_element => [
      ["period", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["parentItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PostingTransactionSummaryList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "PostingTransactionSummaryList"),
    :schema_element => [
      ["postingTransactionSummary", "ActiveNetsuite::PostingTransactionSummary[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetPostingTransactionSummaryResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetPostingTransactionSummaryResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["totalRecords", "SOAP::SOAPInt", [0, 1]],
      ["pageSize", "SOAP::SOAPInt", [0, 1]],
      ["totalPages", "SOAP::SOAPInt", [0, 1]],
      ["pageIndex", "SOAP::SOAPInt", [0, 1]],
      ["postingTransactionSummaryList", "ActiveNetsuite::PostingTransactionSummaryList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetSelectValueFieldDescription,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetSelectValueFieldDescription"),
    :schema_element => [
      ["recordType", "ActiveNetsuite::RecordType", [0, 1]],
      ["customRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sublist", "SOAP::SOAPString", [0, 1]],
      ["field", "SOAP::SOAPString"],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["filter", "ActiveNetsuite::GetSelectValueFilter", [0, 1]],
      ["filterByValueList", "ActiveNetsuite::GetSelectFilterByFieldValueList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetSelectValueFilter,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetSelectValueFilter"),
    :schema_element => [
      ["filterValue", "SOAP::SOAPString"]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetSelectFilterByFieldValueList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetSelectFilterByFieldValueList"),
    :schema_element => [
      ["filterBy", "ActiveNetsuite::GetSelectFilterByFieldValue[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetSelectFilterByFieldValue,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetSelectFilterByFieldValue"),
    :schema_element => [
      ["sublist", "SOAP::SOAPString", [0, 1]],
      ["field", "SOAP::SOAPString"],
      ["internalId", "SOAP::SOAPString"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetServerTimeResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetServerTimeResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["serverTime", "SOAP::SOAPDateTime"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DeletedRecord,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "DeletedRecord"),
    :schema_element => [
      ["deletedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["record", "ActiveNetsuite::BaseRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DeletedRecordList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "DeletedRecordList"),
    :schema_element => [
      ["deletedRecord", "ActiveNetsuite::DeletedRecord[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetDeletedResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetDeletedResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["deletedRecordList", "ActiveNetsuite::DeletedRecordList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetDeletedFilter,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetDeletedFilter"),
    :schema_element => [
      ["deletedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["type", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AttachContactReference,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "AttachContactReference"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "AttachReference"),
    :schema_element => [
      ["attachTo", "ActiveNetsuite::BaseRef"],
      ["contact", "ActiveNetsuite::RecordRef"],
      ["contactRole", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AttachBasicReference,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "AttachBasicReference"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "AttachReference"),
    :schema_element => [
      ["attachTo", "ActiveNetsuite::BaseRef"],
      ["attachedRecord", "ActiveNetsuite::BaseRef"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DetachBasicReference,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "DetachBasicReference"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "DetachReference"),
    :schema_element => [
      ["detachFrom", "ActiveNetsuite::BaseRef"],
      ["detachedRecord", "ActiveNetsuite::BaseRef"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SoapFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InsufficientPermissionFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "InsufficientPermissionFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InvalidAccountFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "InvalidAccountFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InvalidCredentialsFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "InvalidCredentialsFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InvalidSessionFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "InvalidSessionFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ExceededRequestLimitFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "ExceededRequestLimitFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ExceededUsageLimitFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "ExceededUsageLimitFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ExceededRecordCountFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "ExceededRecordCountFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InvalidVersionFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "InvalidVersionFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ExceededRequestSizeFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "ExceededRequestSizeFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AsyncFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UnexpectedErrorFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "UnexpectedErrorFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ApplicationInfo,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "ApplicationInfo"),
    :schema_element => [
      ["applicationId", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PartnerInfo,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "PartnerInfo"),
    :schema_element => [
      ["partnerId", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DocumentInfo,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "DocumentInfo"),
    :schema_element => [
      ["nsId", "SOAP::SOAPString"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Preferences,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "Preferences"),
    :schema_element => [
      ["warningAsError", "SOAP::SOAPBoolean", [0, 1]],
      ["disableMandatoryCustomFieldValidation", "SOAP::SOAPBoolean", [0, 1]],
      ["disableSystemNotesForCustomFields", "SOAP::SOAPBoolean", [0, 1]],
      ["ignoreReadOnlyFields", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchPreferences,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchPreferences"),
    :schema_element => [
      ["bodyFieldsOnly", "SOAP::SOAPBoolean", [0, 1]],
      ["returnSearchColumns", "SOAP::SOAPBoolean", [0, 1]],
      ["pageSize", "SOAP::SOAPInt", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SessionResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SessionResponse"),
    :schema_element => [
      ["status", ["ActiveNetsuite::Status", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "status")]],
      ["userId", "ActiveNetsuite::RecordRef", [0, 1]],
      ["wsRoleList", ["ActiveNetsuite::WsRoleList", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "wsRoleList")], [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WriteResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "WriteResponse"),
    :schema_element => [
      ["status", ["ActiveNetsuite::Status", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "status")]],
      ["baseRef", "ActiveNetsuite::BaseRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ReadResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "ReadResponse"),
    :schema_element => [
      ["status", ["ActiveNetsuite::Status", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "status")]],
      ["record", "ActiveNetsuite::Record", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WriteResponseList,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "WriteResponseList"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ReadResponseList,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "ReadResponseList"),
    :schema_element => [
      ["readResponse", "ActiveNetsuite::ReadResponse[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LoginResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "LoginResponse"),
    :schema_element => [
      ["sessionResponse", "ActiveNetsuite::SessionResponse"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SsoLoginResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SsoLoginResponse"),
    :schema_element => [
      ["sessionResponse", "ActiveNetsuite::SessionResponse"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::MapSsoResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "MapSsoResponse"),
    :schema_element => [
      ["sessionResponse", "ActiveNetsuite::SessionResponse"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ChangePasswordResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "ChangePasswordResponse"),
    :schema_element => [
      ["sessionResponse", "ActiveNetsuite::SessionResponse"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ChangeEmailResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "ChangeEmailResponse"),
    :schema_element => [
      ["sessionResponse", "ActiveNetsuite::SessionResponse"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LogoutResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "LogoutResponse"),
    :schema_element => [
      ["sessionResponse", "ActiveNetsuite::SessionResponse"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AddResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AddResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AddListResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AddListResponse"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UpdateResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpdateResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UpdateListResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpdateListResponse"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UpsertResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpsertResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UpsertListResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpsertListResponse"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DeleteResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "DeleteResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DeleteListResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "DeleteListResponse"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchResponse"),
    :schema_element => [
      ["searchResult", ["ActiveNetsuite::SearchResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "searchResult")]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchMoreResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchMoreResponse"),
    :schema_element => [
      ["searchResult", ["ActiveNetsuite::SearchResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "searchResult")]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchMoreWithIdResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchMoreWithIdResponse"),
    :schema_element => [
      ["searchResult", ["ActiveNetsuite::SearchResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "searchResult")]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchNextResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchNextResponse"),
    :schema_element => [
      ["searchResult", ["ActiveNetsuite::SearchResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "searchResult")]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetResponse"),
    :schema_element => [
      ["readResponse", "ActiveNetsuite::ReadResponse"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetListResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetListResponse"),
    :schema_element => [
      ["readResponseList", "ActiveNetsuite::ReadResponseList"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetAllResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetAllResponse"),
    :schema_element => [
      ["getAllResult", ["ActiveNetsuite::GetAllResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getAllResult")]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetSavedSearchResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetSavedSearchResponse"),
    :schema_element => [
      ["getSavedSearchResult", ["ActiveNetsuite::GetSavedSearchResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getSavedSearchResult")]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetCustomizationIdResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetCustomizationIdResponse"),
    :schema_element => [
      ["getCustomizationIdResult", ["ActiveNetsuite::GetCustomizationIdResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getCustomizationIdResult")]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InitializeResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeResponse"),
    :schema_element => [
      ["readResponse", "ActiveNetsuite::ReadResponse"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InitializeListResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeListResponse"),
    :schema_element => [
      ["readResponseList", "ActiveNetsuite::ReadResponseList"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetSelectValueResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getSelectValueResponse"),
    :schema_element => [
      ["getSelectValueResult", ["ActiveNetsuite::GetSelectValueResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getSelectValueResult")]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetItemAvailabilityResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetItemAvailabilityResponse"),
    :schema_element => [
      ["getItemAvailabilityResult", ["ActiveNetsuite::GetItemAvailabilityResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getItemAvailabilityResult")]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetBudgetExchangeRateResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetBudgetExchangeRateResponse"),
    :schema_element => [
      ["getBudgetExchangeRateResult", ["ActiveNetsuite::GetBudgetExchangeRateResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getBudgetExchangeRateResult")]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetConsolidatedExchangeRateResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetConsolidatedExchangeRateResponse"),
    :schema_element => [
      ["getConsolidatedExchangeRateResult", ["ActiveNetsuite::GetConsolidatedExchangeRateResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getConsolidatedExchangeRateResult")]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetCurrencyRateResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetCurrencyRateResponse"),
    :schema_element => [
      ["getCurrencyRateResult", ["ActiveNetsuite::GetCurrencyRateResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getCurrencyRateResult")]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetDataCenterUrlsResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetDataCenterUrlsResponse"),
    :schema_element => [
      ["getDataCenterUrlsResult", ["ActiveNetsuite::GetDataCenterUrlsResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getDataCenterUrlsResult")]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetPostingTransactionSummaryResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetPostingTransactionSummaryResponse"),
    :schema_element => [
      ["getPostingTransactionSummaryResult", ["ActiveNetsuite::GetPostingTransactionSummaryResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getPostingTransactionSummaryResult")]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetServerTimeResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetServerTimeResponse"),
    :schema_element => [
      ["getServerTimeResult", ["ActiveNetsuite::GetServerTimeResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getServerTimeResult")]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AttachResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AttachResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DetachResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "DetachResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UpdateInviteeStatusResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpdateInviteeStatusResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UpdateInviteeStatusListResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpdateInviteeStatusListResponse"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AsyncStatusResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncStatusResponse"),
    :schema_element => [
      ["asyncStatusResult", ["ActiveNetsuite::AsyncStatusResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncStatusResult")]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetAsyncResultResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetAsyncResultResponse"),
    :schema_element => [
      ["asyncResult", "ActiveNetsuite::AsyncResult"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AsyncAddListResult,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncAddListResult"),
    :schema_basetype => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncResult"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AsyncUpdateListResult,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncUpdateListResult"),
    :schema_basetype => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncResult"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AsyncUpsertListResult,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncUpsertListResult"),
    :schema_basetype => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncResult"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AsyncDeleteListResult,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncDeleteListResult"),
    :schema_basetype => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncResult"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AsyncGetListResult,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncGetListResult"),
    :schema_basetype => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncResult"),
    :schema_element => [
      ["readResponseList", "ActiveNetsuite::ReadResponseList"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AsyncSearchResult,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncSearchResult"),
    :schema_basetype => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncResult"),
    :schema_element => [
      ["searchResult", ["ActiveNetsuite::SearchResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "searchResult")]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AsyncInitializeListResult,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncInitializeListResult"),
    :schema_basetype => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncResult"),
    :schema_element => [
      ["readResponseList", "ActiveNetsuite::ReadResponseList"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetDeletedResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetDeletedResponse"),
    :schema_element => [
      ["getDeletedResult", ["ActiveNetsuite::GetDeletedResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getDeletedResult")]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LoginRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "LoginRequest"),
    :schema_element => [
      ["passport", "ActiveNetsuite::Passport"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SsoLoginRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SsoLoginRequest"),
    :schema_element => [
      ["ssoPassport", "ActiveNetsuite::SsoPassport"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::MapSsoRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "MapSsoRequest"),
    :schema_element => [
      ["ssoCredentials", "ActiveNetsuite::SsoCredentials"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ChangePasswordRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "ChangePasswordRequest"),
    :schema_element => [
      ["changePassword", "ActiveNetsuite::ChangePassword"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ChangeEmailRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "ChangeEmailRequest"),
    :schema_element => [
      ["changeEmail", "ActiveNetsuite::ChangeEmail"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LogoutRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "LogoutRequest"),
    :schema_element => []
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AddRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AddRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DeleteRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "DeleteRequest"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRequest"),
    :schema_element => [
      ["searchRecord", "ActiveNetsuite::SearchRecord"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchMoreRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchMoreRequest"),
    :schema_element => [
      ["pageIndex", "SOAP::SOAPInt"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchMoreWithIdRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchMoreWithIdRequest"),
    :schema_element => [
      ["searchId", "SOAP::SOAPString"],
      ["pageIndex", "SOAP::SOAPInt"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchNextRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchNextRequest"),
    :schema_element => []
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UpdateRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpdateRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UpsertRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpsertRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AddListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AddListRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DeleteListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "DeleteListRequest"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UpdateListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpdateListRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UpsertListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpsertListRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetRequest"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetListRequest"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetAllRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetAllRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::GetAllRecord"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetSavedSearchRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetSavedSearchRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::GetSavedSearchRecord"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetCustomizationIdRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetCustomizationIdRequest"),
    :schema_element => [
      ["customizationType", "ActiveNetsuite::CustomizationType"],
      ["includeInactives", "SOAP::SOAPBoolean"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InitializeRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeRequest"),
    :schema_element => [
      ["initializeRecord", "ActiveNetsuite::InitializeRecord"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InitializeListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeListRequest"),
    :schema_element => [
      ["initializeRecord", "ActiveNetsuite::InitializeRecord[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetSelectValueRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getSelectValueRequest"),
    :schema_element => [
      ["fieldDescription", "ActiveNetsuite::GetSelectValueFieldDescription"],
      ["pageIndex", "SOAP::SOAPInt"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetItemAvailabilityRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetItemAvailabilityRequest"),
    :schema_element => [
      ["itemAvailabilityFilter", "ActiveNetsuite::ItemAvailabilityFilter"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetBudgetExchangeRateRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetBudgetExchangeRateRequest"),
    :schema_element => [
      ["budgetExchangeRateFilter", "ActiveNetsuite::BudgetExchangeRateFilter"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetConsolidatedExchangeRateRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetConsolidatedExchangeRateRequest"),
    :schema_element => [
      ["consolidatedExchangeRateFilter", "ActiveNetsuite::ConsolidatedExchangeRateFilter"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetCurrencyRateRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetCurrencyRateRequest"),
    :schema_element => [
      ["currencyRateFilter", "ActiveNetsuite::CurrencyRateFilter"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetDataCenterUrlsRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetDataCenterUrlsRequest"),
    :schema_element => [
      ["account", "SOAP::SOAPString"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetPostingTransactionSummaryRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetPostingTransactionSummaryRequest"),
    :schema_element => [
      ["fields", "ActiveNetsuite::PostingTransactionSummaryField"],
      ["filters", "ActiveNetsuite::PostingTransactionSummaryFilter", [0, 1]],
      ["pageIndex", "SOAP::SOAPInt"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetServerTimeRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetServerTimeRequest"),
    :schema_element => []
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AttachRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AttachRequest"),
    :schema_element => [
      ["attachReference", "ActiveNetsuite::AttachReference"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DetachRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "DetachRequest"),
    :schema_element => [
      ["detachReference", "ActiveNetsuite::DetachReference"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AsyncAddListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncAddListRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UpdateInviteeStatusRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpdateInviteeStatusRequest"),
    :schema_element => [
      ["updateInviteeStatusReference", "ActiveNetsuite::UpdateInviteeStatusReference"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UpdateInviteeStatusListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpdateInviteeStatusListRequest"),
    :schema_element => [
      ["updateInviteeStatusReference", "ActiveNetsuite::UpdateInviteeStatusReference[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AsyncUpdateListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncUpdateListRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AsyncUpsertListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncUpsertListRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AsyncDeleteListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncDeleteListRequest"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AsyncGetListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncGetListRequest"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AsyncInitializeListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncInitializeListRequest"),
    :schema_element => [
      ["initializeRecord", "ActiveNetsuite::InitializeRecord[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AsyncSearchRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncSearchRequest"),
    :schema_element => [
      ["searchRecord", "ActiveNetsuite::SearchRecord"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CheckAsyncStatusRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "CheckAsyncStatusRequest"),
    :schema_element => [
      ["jobId", "SOAP::SOAPString"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetAsyncResultRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetAsyncResultRequest"),
    :schema_element => [
      ["jobId", "SOAP::SOAPString"],
      ["pageIndex", "SOAP::SOAPInt"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetDeletedRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetDeletedRequest"),
    :schema_element => [
      ["getDeletedFilter", "ActiveNetsuite::GetDeletedFilter"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ShipAddress,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ShipAddress"),
    :schema_element => [
      ["shipAttention", "SOAP::SOAPString", [0, 1]],
      ["shipAddressee", "SOAP::SOAPString", [0, 1]],
      ["shipPhone", "SOAP::SOAPString", [0, 1]],
      ["shipAddr1", "SOAP::SOAPString", [0, 1]],
      ["shipAddr2", "SOAP::SOAPString", [0, 1]],
      ["shipAddr3", "SOAP::SOAPString", [0, 1]],
      ["shipCity", "SOAP::SOAPString", [0, 1]],
      ["shipState", "SOAP::SOAPString", [0, 1]],
      ["shipZip", "SOAP::SOAPString", [0, 1]],
      ["shipCountry", "ActiveNetsuite::Country", [0, 1]],
      ["shipIsResidential", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BillAddress,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "BillAddress"),
    :schema_element => [
      ["billAttention", "SOAP::SOAPString", [0, 1]],
      ["billAddressee", "SOAP::SOAPString", [0, 1]],
      ["billPhone", "SOAP::SOAPString", [0, 1]],
      ["billAddr1", "SOAP::SOAPString", [0, 1]],
      ["billAddr2", "SOAP::SOAPString", [0, 1]],
      ["billAddr3", "SOAP::SOAPString", [0, 1]],
      ["billCity", "SOAP::SOAPString", [0, 1]],
      ["billState", "SOAP::SOAPString", [0, 1]],
      ["billZip", "SOAP::SOAPString", [0, 1]],
      ["billCountry", "ActiveNetsuite::Country", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PresentationItem,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PresentationItem"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemType", "ActiveNetsuite::PresentationItemType", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["onlinePrice", "SOAP::SOAPDouble", [0, 1]],
      ["basePrice", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Partners,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "Partners"),
    :schema_element => [
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["partnerRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LandedCost,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "LandedCost"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["landedCostDataList", "ActiveNetsuite::LandedCostDataList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LandedCostDataList,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "LandedCostDataList"),
    :schema_element => [
      ["landedCostData", "ActiveNetsuite::LandedCostData[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LandedCostData,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "LandedCostData"),
    :schema_element => [
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LandedCostSummary,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "LandedCostSummary"),
    :schema_element => [
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["source", "ActiveNetsuite::LandedCostSource", [0, 1]],
      ["transaction", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerSalesTeam,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomerSalesTeam"),
    :schema_element => [
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TimeItem,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TimeItem"),
    :schema_element => [
      ["id", "SOAP::SOAPLong", [0, 1]],
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["timeType", "ActiveNetsuite::TimeItemTimeType", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["temporaryLocalJurisdiction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["temporaryStateJurisdiction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["hours", "ActiveNetsuite::Duration", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["overrideRate", "SOAP::SOAPBoolean", [0, 1]],
      ["hoursTotal", "ActiveNetsuite::Duration", [0, 1]],
      ["caseTaskEvent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["isUtilized", "SOAP::SOAPBoolean", [0, 1]],
      ["isProductive", "SOAP::SOAPBoolean", [0, 1]],
      ["isExempt", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryDetail,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "InventoryDetail"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["inventoryAssignmentList", "ActiveNetsuite::InventoryAssignmentList", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RecurrenceDowMaskList,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "RecurrenceDowMaskList"),
    :schema_element => [
      ["recurrenceDowMask", "ActiveNetsuite::RecurrenceDow[]", [1, 7]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryAssignmentList,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "InventoryAssignmentList"),
    :schema_element => [
      ["inventoryAssignment", "ActiveNetsuite::InventoryAssignment[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryAssignment,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "InventoryAssignment"),
    :schema_element => [
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["issueInventoryNumber", "ActiveNetsuite::RecordRef", [0, 1]],
      ["receiptInventoryNumber", "SOAP::SOAPString", [0, 1]],
      ["binNumber", "ActiveNetsuite::RecordRef", [0, 1]],
      ["toBinNumber", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryDetailSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "InventoryDetailSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["binNumber", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["inventoryNumber", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["quantity", "ActiveNetsuite::SearchDoubleField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryDetailSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "InventoryDetailSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["binNumber", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["inventoryNumber", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["quantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EntitySearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "EntitySearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["address", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressee", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressLabel", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressPhone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["attention", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["city", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["comments", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["country", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["county", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["dateCreated", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["entityId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fax", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["giveAccess", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["image", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isDefaultBilling", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isDefaultShipping", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["language", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["level", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["permission", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["phone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["phoneticName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["state", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["type", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["zipCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EntitySearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "EntitySearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["address", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressInternalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressLabel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["attention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["billCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billZipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["city", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["comments", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["country", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["countryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["dateCreated", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["entityId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["entityNumber", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["fax", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["image", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isDefaultBilling", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isDefaultShipping", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["language", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["level", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["permission", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["phone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["phoneticName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["shipCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipZip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["state", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subscription", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subscriptionDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["subscriptionStatus", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["type", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["zipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ContactSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["address", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressee", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressLabel", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressPhone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["attention", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["availableOffline", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["category", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["city", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["comments", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["company", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["contactRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["contactSource", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["country", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["county", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["dateCreated", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["employer", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["entityId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fax", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["firstName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["giveAccess", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["group", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["hasDuplicates", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["image", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isDefaultBilling", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isDefaultShipping", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isPrivate", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["language", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["level", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["middleName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["owner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["permission", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["phone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["phoneticName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["salutation", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["state", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["type", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["zipCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ContactSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["address", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressInternalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressLabel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["attention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["availableOffline", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["billAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["billCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billZipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["category", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["city", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["comments", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["company", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["contactRole", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["contactSource", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["country", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["countryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["dateCreated", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["entityId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["entityNumber", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["fax", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["firstName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["giveAccess", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["hasDuplicates", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["homePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["image", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isDefaultBilling", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isDefaultShipping", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["language", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["level", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["middleName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["mobilePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["permission", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["phone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["phoneticName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["salutation", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["shipCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipZip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["state", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subscription", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subscriptionDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["subscriptionStatus", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["type", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["zipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomerSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["accountNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["address", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressee", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressLabel", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressPhone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["attention", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["availableOffline", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["balance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["billAddress", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["boughtAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["boughtDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["buyingReason", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["buyingTimeFrame", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["category", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["ccCustomerCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["ccDefault", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["ccExpDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["ccHolderName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["ccNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["ccType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["city", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["classBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["comments", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["companyName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["consolBalance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["consolDaysOverdue", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["consolDepositBalance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["consolOverdueBalance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["consolUnbilledOrders", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["contact", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["contribution", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["conversionDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["country", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["county", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["creditHold", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["creditHoldOverride", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["creditLimit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["currency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["custStage", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["custStatus", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["dateClosed", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["dateCreated", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["daysOverdue", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["defaultOrderPriority", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["depositBalance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["deptBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["drAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["emailPreference", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["emailTransactions", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["entityId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["entityStatus", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["estimatedBudget", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["explicitConversion", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fax", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["faxTransactions", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["firstName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["firstOrderDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["firstSaleDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["fxAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["fxBalance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxConsolBalance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxConsolUnbilledOrders", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxUnbilledOrders", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["giveAccess", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["group", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["groupPricingLevel", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["hasDuplicates", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["image", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isBudgetApproved", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isDefaultBilling", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isDefaultShipping", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isPerson", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isReportedLead", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isShipAddress", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["itemPricingLevel", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["itemPricingUnitPrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["itemsBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["itemsOrdered", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["language", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["lastOrderDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastSaleDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["leadDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["leadSource", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["level", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["locationBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["manualCreditHold", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["merchantAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["middleName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["monthlyClosing", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["onCreditHold", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["orderedAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["orderedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["otherRelationships", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["overdueBalance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["parentItemsBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["parentItemsOrdered", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partnerContribution", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["partnerRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partnerTeamMember", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["pec", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["permission", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["phone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["phoneticName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["priceLevel", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["pricingItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["printTransactions", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["prospectDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["pstExempt", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["receivablesAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["reminderDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["resaleNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["role", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesReadiness", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesRep", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesTeamMember", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesTeamRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salutation", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipAddress", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipComplete", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["shippingItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["stage", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["state", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["taxable", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["terms", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["territory", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["unbilledOrders", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["url", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["vatRegNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["webLead", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["zipCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomerSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["accountNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressInternalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressLabel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altContact", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["attention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["availableOffline", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["balance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["billAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["billCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billZipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["buyingReason", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["buyingTimeFrame", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["category", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["ccCustomerCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccDefault", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["ccExpDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["ccHolderName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccInternalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["city", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["comments", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["companyName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["consolBalance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["consolDaysOverdue", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["consolDepositBalance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["consolOverdueBalance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["consolUnbilledOrders", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["contact", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["contribution", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["contributionPrimary", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["conversionDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["country", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["countryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["creditHold", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["creditHoldOverride", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["creditLimit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["currency", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["dateClosed", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["dateCreated", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["daysOverdue", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["defaultOrderPriority", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["depositBalance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["drAccount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["emailPreference", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["emailTransactions", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["entityId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["entityNumber", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["entityStatus", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["estimatedBudget", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["explicitConversion", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["fax", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["faxTransactions", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["firstName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["firstOrderDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["firstSaleDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["fxAccount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["fxBalance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxConsolBalance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxConsolUnbilledOrders", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxUnbilledOrders", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["giveAccess", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["groupPricingLevel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["hasDuplicates", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["homePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["image", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isBudgetApproved", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isDefaultBilling", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isDefaultShipping", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isPerson", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isShipAddress", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["itemPricingLevel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["itemPricingUnitPrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["jobEndDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["jobProjectedEnd", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["jobStartDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["jobType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["language", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["lastOrderDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastSaleDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["leadDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["leadSource", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["level", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["manualCreditHold", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["middleName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["mobilePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["monthlyClosing", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["onCreditHold", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["overdueBalance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["parent", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["partner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["partnerContribution", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["partnerRole", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["partnerTeamMember", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["pec", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["permission", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["phone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["phoneticName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["prefCCProcessor", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["priceLevel", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["pricingGroup", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["pricingItem", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["printTransactions", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["prospectDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["receivablesAccount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["reminderDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["resaleNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["role", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["salesReadiness", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["salesRep", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salesTeamMember", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salesTeamRole", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salutation", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipComplete", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["shipCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["shipCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shippingItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["shipState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipZip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["stage", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["state", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subscription", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subscriptionDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["subscriptionStatus", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["taxable", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["taxItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["terms", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["territory", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["unbilledOrders", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["url", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["vatRegNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["webLead", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["zipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CalendarEventSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CalendarEventSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["attendee", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["calendar", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["completedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["createdDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["instanceStart", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isUpcomingEvent", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["location", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["message", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["organizer", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["owner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["resource", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["response", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["status", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CalendarEventSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CalendarEventSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["attendee", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["company", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["completedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["contact", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["createdDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["endTime", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["instanceEnd", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["instanceStart", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["markdone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["message", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["organizer", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["recurrence", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["resource", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["response", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["startTime", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["transaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaskSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TaskSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["actualTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["assigned", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["company", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["completedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["contact", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["createdDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["estimatedTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedTimeOverride", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isJobSummaryTask", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isJobTask", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isPrivate", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["milestone", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["owner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["percentComplete", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["percentTimeComplete", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["priority", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["status", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["timeRemaining", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaskSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TaskSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["accessLevel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["actualTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["assigned", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["company", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["completedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["contact", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["createdDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["dueDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["estimatedTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedTimeOverride", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isJobSummaryTask", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isJobTask", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["markdone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["message", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["milestone", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["order", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["percentComplete", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["percentTimeComplete", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["priority", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["startTime", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["timeRemaining", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["transaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OpportunitySearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "OpportunitySearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["amount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["availableOffline", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["buyingReason", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["buyingTimeFrame", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["v_class", ["ActiveNetsuite::SearchMultiSelectField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["closeDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["competitor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["contribution", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["currency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["custType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["dateCreated", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["daysOpen", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["daysToClose", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["department", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["entity", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["entityStatus", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["estimatedBudget", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["expectedCloseDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["forecastType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["foreignProjectedAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["foreignRangeHigh", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["foreignRangeLow", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxTranCostEstimate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isBudgetApproved", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["leadSource", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["memo", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["number", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["partner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partnerContribution", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["partnerRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partnerTeamMember", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriodRelative", "ActiveNetsuite::PostingPeriodDate", [0, 1]],
      ["probability", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["projAltSalesAmt", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["projectedTotal", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["rangeHigh", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["rangeHighAlt", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["rangeLow", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["rangeLowAlt", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["salesReadiness", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesRep", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesTeamMember", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesTeamRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["status", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["taxPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxPeriodRelative", "ActiveNetsuite::PostingPeriodDate", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["tranCostEstimate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["tranDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["tranEstGrossProfit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["tranEstGrossProfitPct", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["tranFxEstGrossProfit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["tranId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["winLossReason", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["wonBy", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OpportunitySearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "OpportunitySearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["actionItem", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["availableOffline", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["buyingReason", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["buyingTimeFrame", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["v_class", ["ActiveNetsuite::SearchColumnSelectField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, nil]],
      ["closeDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["competitor", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["contribution", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["contributionPrimary", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["currency", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["custType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["dateCreated", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["daysOpen", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["daysToClose", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["decisionMaker", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["department", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["entity", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["entityStatus", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["estimatedBudget", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["expectedCloseDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["forecastType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["foreignProjectedAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["foreignRangeHigh", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["foreignRangeLow", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxTranCostEstimate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isBudgetApproved", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["leadSource", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["memo", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["partner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["partnerContribution", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["partnerRole", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["partnerTeamMember", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["period", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["probability", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["projAltSalesAmt", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["projectedTotal", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["rangeHigh", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["rangeHighAlt", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["rangeLow", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["rangeLowAlt", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["salesReadiness", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["salesRep", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salesTeamMember", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salesTeamRole", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["taxPeriod", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["total", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["tranCostEstimate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["tranDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["tranEstGrossProfit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["tranEstGrossProfitPct", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["tranFxEstGrossProfit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["tranId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["weightedTotal", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["winLossReason", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["wonBy", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "EmployeeSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["address", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressee", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressLabel", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressPhone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["alienNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["anniversary", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["approvalLimit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["approver", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["attention", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["authWorkDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["billAddress", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["billingClass", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["birthDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["birthDay", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["cContribution", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["city", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["v_class", ["ActiveNetsuite::SearchMultiSelectField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["comments", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["commissionPlan", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["concurrentWebServicesUser", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["country", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["county", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["dateCreated", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["deduction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["department", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["earning", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["education", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["eligibleForCommission", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["employeeStatus", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["employeeType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["employeeTypeKpi", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["entityId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["ethnicity", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["expenseLimit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fax", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["firstName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["gender", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["giveAccess", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["group", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["hireDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["i9Verified", ["ActiveNetsuite::SearchBooleanField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "I9Verified")], [0, 1]],
      ["image", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isDefaultBilling", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isDefaultShipping", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isJobResource", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isTemplate", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["jobDescription", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["laborCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["language", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["lastPaidDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastReviewDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["level", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["maritalStatus", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["middleName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["nextReviewDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["offlineAccess", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["payFrequency", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["permChangeDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["permission", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["permissionChange", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["phone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["phoneticName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["primaryEarningAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["primaryEarningItem", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["primaryEarningType", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["purchaseOrderApprovalLimit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["purchaseOrderApprover", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["purchaseOrderLimit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["releaseDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["residentStatus", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["role", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["roleChange", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["roleChangeDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["salesRep", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["salesRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salutation", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["socialSecurityNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["state", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["supervisor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["supportRep", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["timeApprover", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["type", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["usePerquest", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["useTimeData", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["visaExpDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["visaType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["withholding", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["workCalendar", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["workplace", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["zipCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "EmployeeSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["accountNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressInternalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressLabel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["alienNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["approvalLimit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["approver", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["attention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["authWorkDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["billAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["billCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billingClass", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["billPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billZipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["birthDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["birthDay", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["city", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["v_class", ["ActiveNetsuite::SearchColumnSelectField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, nil]],
      ["comments", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["concurrentWebServicesUser", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["country", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["countryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["dateCreated", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["department", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["eligibleForCommission", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["employeeStatus", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["employeeType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["entityId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["entityNumber", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["ethnicity", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["expenseLimit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["fax", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["firstName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["gender", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["giveAccess", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["hireDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["homePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["i9Verified", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["image", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isDefaultBilling", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isDefaultShipping", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isJobResource", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isSalesRep", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isSupportRep", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isTemplate", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["laborCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["language", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["lastPaidDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastReviewDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["level", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["maritalStatus", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["middleName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["mobilePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["nextReviewDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["offlineAccess", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["payFrequency", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["permChangeDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["permChangeLevel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["permission", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["permissionChange", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["phone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["phoneticName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["primaryEarningAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["primaryEarningItem", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["primaryEarningType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["purchaseOrderApprovalLimit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["purchaseOrderApprover", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["purchaseOrderLimit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["releaseDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["residentStatus", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["role", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["roleChange", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["roleChangeAction", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["roleChangeDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["salesRole", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salutation", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["shipCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipZip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["socialSecurityNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["state", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["subscription", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subscriptionDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["subscriptionStatus", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["supervisor", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["timeApprover", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["type", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["usePerquest", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["useTimeData", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["visaExpDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["visaType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["workCalendar", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["workplace", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["zipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PhoneCallSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PhoneCallSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["assigned", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["company", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["completedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["contact", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["createdBy", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["createdDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isPrivate", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["owner", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["phone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["priority", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["status", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PhoneCallSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PhoneCallSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["accessLevel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["assigned", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["company", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["completedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["contact", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["createdDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["markdone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["message", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["phone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["priority", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["startTime", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["transaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SupportCaseSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SupportCaseSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["assigned", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["awaitingReply", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["caseNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["category", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["closedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["company", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["contact", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["createdDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["escalateTo", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["helpDesk", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["inboundEmail", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["issue", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["lastMessage", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastReopenedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["locked", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["message", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["messageAuthor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["messageDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["messageType", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["v_module", ["ActiveNetsuite::SearchMultiSelectField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "module")], [0, 1]],
      ["number", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["origin", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["priority", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["product", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["serialNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["stage", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["status", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SupportCaseSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SupportCaseSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["assigned", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["awaitingReply", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["caseNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["category", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["company", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["contact", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["createdDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["customerStage", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["escalatee", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["helpDesk", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["inboundEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["issue", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["issueNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["lastMessageDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastReopenedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["locked", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["v_module", ["ActiveNetsuite::SearchColumnSelectField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "module")], [0, nil]],
      ["origin", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["priority", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["product", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["serialNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["stage", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::MessageSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "MessageSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["author", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["authorEmail", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["bcc", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["cc", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["hasAttachment", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["internalOnly", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["message", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["messageDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["messageType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["recipient", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["recipientEmail", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subject", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::MessageSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "MessageSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["author", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["authorEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["bcc", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["cc", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["hasAttachment", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalOnly", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isEmailed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isIncoming", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["message", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["messageDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["messageType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["recipient", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["recipientEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subject", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NoteSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "NoteSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["author", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["direction", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["note", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["noteDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["noteType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NoteSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "NoteSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["author", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["direction", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["note", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["noteDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["noteType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomRecordSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["recType", "ActiveNetsuite::RecordRef"],
      ["availableOffline", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["created", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["id", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["lastModified", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastModifiedBy", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["owner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomRecordSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["recType", "ActiveNetsuite::RecordRef"],
      ["altName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["availableOffline", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["created", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["id", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["lastModified", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastModifiedBy", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AccountSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "AccountSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["balance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["cashFlowRateType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["category1099Misc", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["generalRateType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["number", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["type", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AccountSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "AccountSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["balance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["cashFlowRateType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["category1099Misc", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["generalRateType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["number", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["type", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "RevRecScheduleSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["amount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["defRev", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["entity", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["incomeAcct", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["jeDoc", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["name", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["postPeriod", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["srcDoc", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["srcDocDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["srcTranPostPeriod", "ActiveNetsuite::SearchMultiSelectField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "RevRecScheduleSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["amount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["defRev", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["entity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["incomeAcct", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["jeDoc", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["jeDocUrl", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["nameUrl", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["postPeriod", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["srcDoc", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["srcDocLine", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevRecTemplateSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "RevRecTemplateSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["amorMethod", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["amorPeriod", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["amorStartOffset", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["amorTermSrc", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["amorType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["contraAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["deferralAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["periodOffset", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["targetAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["useForeignAmounts", "ActiveNetsuite::SearchBooleanField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevRecTemplateSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "RevRecTemplateSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["amorMethod", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["amorPeriod", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["amorStartOffset", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["amorTermSrc", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["amorType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["contraAccount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["deferralAccount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["periodOffset", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["targetAccount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["useForeignAmounts", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BinSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "BinSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["binNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["inactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["memo", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BinSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "BinSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["binNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["inactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["memo", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DepartmentSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "DepartmentSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["nameNoHierarchy", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DepartmentSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "DepartmentSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["nameNoHierarchy", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LocationSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "LocationSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["address", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["city", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["country", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["county", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isOffice", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["makeInventoryAvailable", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["makeInventoryAvailableStore", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["nameNoHierarchy", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["phone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["state", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["tranprefix", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["zip", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LocationSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "LocationSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["address1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["city", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["country", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isOffice", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["makeInventoryAvailable", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["makeInventoryAvailableStore", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["nameNoHierarchy", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["phone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["state", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["tranPrefix", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["zip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ClassificationSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ClassificationSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["nameNoHierarchy", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ClassificationSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ClassificationSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["nameNoHierarchy", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TransactionSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["account", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["accountType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["actualShipDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["altSalesAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["altSalesNetAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["amount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["amountPaid", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["amountRemaining", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["amountUnbilled", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["anyLineItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["appliedToForeignAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["appliedToIsFxVariance", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["appliedToLinkAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["appliedToLinkType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["appliedToTransaction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["applyingForeignAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["applyingIsFxVariance", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["applyingLinkAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["applyingLinkType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["applyingTransaction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["approvalStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["authCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["avsStreetMatch", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["avsZipMatch", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["billable", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["billAddress", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["billAddressee", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["billAttention", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["billCity", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["billCountry", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["billCounty", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["billedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["billingStatus", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["billingTransaction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["billPhone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["billState", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["billVarianceStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["billZip", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["binNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["binNumberQuantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["bomQuantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["buildEntireAssembly", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["buildVariance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["built", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["ccCustomerCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["ccExpireDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["ccName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["ccNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["chargeType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["v_class", ["ActiveNetsuite::SearchMultiSelectField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["cleared", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["closed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["closeDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["cogs", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["commissionEffectiveDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["commit", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["componentYield", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["confirmationNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["contribution", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["costComponentAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costComponentCategory", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["costComponentItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["costComponentQuantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costComponentStandardCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costEstimate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costEstimateRate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["createdBy", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["createdFrom", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["creditAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["cscMatch", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["currency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customerSubOf", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customForm", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["custType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["dateCreated", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["daysOpen", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["daysOverdue", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["debitAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["deferredRevenue", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["deferRevRec", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["department", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["depositDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["depositTransaction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["drAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["dueDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["employee", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["entity", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["entityStatus", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["estGrossProfit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estGrossProfitPct", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["exchangeRate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["excludeCommission", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["expectedCloseDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["expectedReceiptDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["expenseCategory", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["expenseDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["finChrg", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["forecastType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["fulfillingTransaction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["fxAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["fxAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxCostEstimate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxCostEstimateRate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxEstGrossProfit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxTranCostEstimate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxVsoeAllocation", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxVsoeAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxVsoePrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["gcoAvailabelToCharge", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["gcoAvailableToRefund", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["gcoAvsStreetMatch", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["gcoAvsZipMatch", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["gcoBuyerAccountAge", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["gcoBuyerIp", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["gcoChargeAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["gcoChargebackAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["gcoConfirmedChargedTotal", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["gcoConfirmedRefundedTotal", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["gcoCreditcardNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["gcoCscMatch", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["gcoFinancialState", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["gcoFulfillmentState", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["gcoOrderId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["gcoOrderTotal", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["gcoPromotionAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["gcoPromotionName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["gcoRefundAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["gcoShippingTotal", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["gcoStateChangedDetail", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["giftCertificate", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["grossAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["includeInForecast", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["intercoStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["intercoTransaction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["inVsoeBundle", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isAllocation", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isBackflush", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isGcoChargeback", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isGcoChargeConfirmed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isGcoPaymentGuaranteed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isGcoRefundConfirmed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isIntercompanyAdjustment", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isMultiShipTo", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isPayPalMeth", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isReversal", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isRevRecTransaction", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isScrap", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isShipAddress", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isTransferPriceCosting", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isVsoeAlloc", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isWip", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["itemRevision", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["itemSubOf", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["landedCostPerLine", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["leadSource", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["mainLine", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["mainName", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["manufacturingRouting", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["matchBillToReceipt", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["memo", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["memoMain", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["memorized", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["merchantAccount", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["message", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["multiSubsidiary", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["nameText", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["netAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["nextApprover", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["nextBillDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["nonReimbursable", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["number", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["opportunity", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["orderPriority", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["otherRefNum", "ActiveNetsuite::SearchTextNumberField", [0, 1]],
      ["otherRefNumNonDeposit", "ActiveNetsuite::SearchTextNumberField", [0, 1]],
      ["overheadParentItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["packageCount", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["paidTransaction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["partner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partnerContribution", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["partnerRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partnerTeamMember", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["payingTransaction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["paymentApproved", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["paymentEventDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["paymentEventHoldReason", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["paymentEventPurchaseCardUsed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["paymentEventPurchaseDataSent", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["paymentEventResult", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["paymentEventType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["payPalPending", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["payPalStatus", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["payPalTranId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["pnRefNum", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["poAsText", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["posting", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriodRelative", "ActiveNetsuite::PostingPeriodDate", [0, 1]],
      ["priceLevel", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["printedPickingTicket", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["probability", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["projectedAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["promoCode", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["purchaseOrder", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["quantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityBilled", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityCommitted", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityPacked", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityPicked", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityRevCommitted", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityShipRecv", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["recognizedRevenue", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["recordType", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["refNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["revCommitStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["revCommittingStatus", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["revCommittingTransaction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["revenueStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["reversalDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["reversalNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["revRecEndDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["revRecOnRevCommitment", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["revRecStartDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["revRecTermInMonths", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["salesEffectiveDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["salesOrder", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesRep", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesTeamMember", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesTeamRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["serialNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["serialNumberCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["serialNumberCostAdjustment", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["serialNumberQuantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["serialNumbers", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipAddress", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipAddressee", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipAttention", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipCity", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipComplete", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["shipCountry", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["shipCounty", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["shipGroup", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["shipMethod", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["shipPhone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipping", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["shipRecvStatus", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["shipRecvStatusLine", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["shipState", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["shipTo", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["shipZip", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["source", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["status", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["taxItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["taxLine", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["taxPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxPeriodRelative", "ActiveNetsuite::PostingPeriodDate", [0, 1]],
      ["taxRate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["terms", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["toBeEmailed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["toBePrinted", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["toSubsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["totalAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["trackingNumbers", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["tranCostEstimate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["tranDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["tranEstGrossProfit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["tranEstGrossProfitPct", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["tranFxEstGrossProfit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["tranId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["tranIsVsoeBundle", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["transactionDiscount", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["transactionLineType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["transferLocation", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["transferOrderQuantityCommitted", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["transferOrderQuantityPacked", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["transferOrderQuantityPicked", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["transferOrderQuantityReceived", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["transferOrderQuantityShipped", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["type", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["unit", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["unitCostOverride", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["vendType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["visibleToCustomer", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["voided", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["vsoeAllocation", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["vsoeAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["vsoeDelivered", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["vsoePrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["webSite", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TransactionSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["abbrev", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["account", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["accountType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["actualShipDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["altSalesAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["altSalesNetAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["amount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["amountPaid", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["amountRemaining", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["amountUnbilled", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["appliedToForeignAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["appliedToIsFxVariance", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["appliedToLinkAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["appliedToLinkType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["appliedToTransaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["applyingForeignAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["applyingIsFxVariance", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["applyingLinkAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["applyingLinkType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["applyingTransaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["approvalStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["authCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["avsStreetMatch", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["avsZipMatch", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["billable", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["billAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["billCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["billingAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["billingSchedule", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["billingTransaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["billPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billVarianceStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["billZip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["binNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["binNumberQuantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["bomQuantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["buildEntireAssembly", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["buildVariance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["built", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["ccCustomerCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccExpDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["ccHolderName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccStreet", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccZipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["v_class", ["ActiveNetsuite::SearchColumnSelectField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, nil]],
      ["cleared", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["closed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["closeDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["cogsAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["commissionEffectiveDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["commit", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["componentYield", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["confirmationNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["contribution", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["contributionPrimary", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costComponentAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costComponentCategory", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["costComponentItem", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["costComponentQuantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costComponentStandardCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costEstimate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costEstimateRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costEstimateType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["createdBy", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["createdFrom", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["creditAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["cscMatch", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["currency", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customForm", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["custType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["dateCreated", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["daysOpen", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["daysOverdue", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["debitAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["deferredRevenue", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["deferRevRec", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["department", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["depositDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["depositTransaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["discountAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["drAccount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["dueDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["effectiveRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["entity", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["entityStatus", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["estGrossProfit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estGrossProfitPct", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estGrossProfitPercent", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["exchangeRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["excludeCommission", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["expectedCloseDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["expectedReceiptDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["expenseCategory", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["expenseDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["forecastType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["fulfillingTransaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["fxAccount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["fxAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxCostEstimate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxCostEstimateRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxEstGrossProfit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxTranCostEstimate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxVsoeAllocation", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxVsoeAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxVsoePrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["gcoAvailabelToCharge", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["gcoAvailableToRefund", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["gcoAvsStreetMatch", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["gcoAvsZipMatch", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["gcoBuyerAccountAge", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["gcoBuyerIp", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["gcoChargeAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["gcoChargebackAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["gcoConfirmedChargedTotal", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["gcoConfirmedRefundedTotal", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["gcoCreditcardNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["gcoCscMatch", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["gcoFinancialState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["gcoFulfillmentState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["gcoOrderId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["gcoOrderTotal", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["gcoPromotionAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["gcoPromotionName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["gcoRefundAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["gcoShippingTotal", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["gcoStateChangedDetail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["giftCert", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["grossAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["includeInForecast", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["intercoStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["intercoTransaction", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["inVsoeBundle", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isAllocation", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isBackflush", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isGcoChargeback", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isGcoChargeConfirmed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isGcoPaymentGuaranteed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isGcoRefundConfirmed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isIntercompanyAdjustment", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isMultiShipTo", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isReversal", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isRevRecTransaction", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isScrap", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isShipAddress", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isTransferPriceCosting", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isWip", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["itemRevision", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["landedCostPerLine", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["leadSource", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["line", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["lineSequenceNumber", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["mainLine", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["mainName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["manufacturingRouting", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["matchBillToReceipt", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["memo", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["memoMain", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["memorized", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["merchantAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["message", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["multiSubsidiary", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["netAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["netAmountNoTax", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["nextApprover", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["nextBillDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["nonReimbursable", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["opportunity", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["options", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["orderPriority", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["originator", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["otherRefNum", "ActiveNetsuite::SearchColumnTextNumberField[]", [0, nil]],
      ["overheadParentItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["packageCount", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["paidAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["paidTransaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["partner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["partnerContribution", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["partnerRole", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["partnerTeamMember", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["payingAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["payingTransaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["paymentApproved", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["paymentEventDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["paymentEventHoldReason", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["paymentEventPurchaseCardUsed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["paymentEventPurchaseDataSent", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["paymentEventResult", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["paymentEventType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["paymentMethod", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["payPalPending", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["payPalStatus", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["payPalTranId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["payrollBatch", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["pnRefNum", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["poRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["posting", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["postingPeriod", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["priceLevel", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["print", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["probability", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["projectedAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["promoCode", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["purchaseOrder", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["quantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityBilled", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityCommitted", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityPacked", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityPicked", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityRevCommitted", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityShipRecv", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityUom", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["rate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["realizedGainPostingTransaction", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["recognizedRevenue", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["recordType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["refNumber", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["revCommitStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["revCommittingTransaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["revenueStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["reversalDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["reversalNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["revRecEndDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["revRecOnRevCommitment", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["revRecStartDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["rgAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["rgAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["salesEffectiveDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["salesOrder", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salesRep", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salesTeamMember", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salesTeamRole", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["serialNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["serialNumberCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["serialNumberCostAdjustment", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["serialNumberQuantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["serialNumbers", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipComplete", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["shipCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["shipCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["shipGroup", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["shipMethod", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["shipPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shippingAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["shipRecvStatusLine", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["shipState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipTo", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["shipZip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["signedAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["source", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["taxAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["taxCode", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["taxLine", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["taxPeriod", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["taxTotal", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["termInMonths", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["terms", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["toBeEmailed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["toBePrinted", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["toSubsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["total", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["totalCostEstimate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["trackingNumbers", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["tranDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["tranEstGrossProfit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["tranFxEstGrossProfit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["tranId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["tranIsVsoeBundle", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["transactionDiscount", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["transactionLineType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["transferLocation", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["transferOrderItemLine", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["transferOrderQuantityCommitted", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["transferOrderQuantityPacked", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["transferOrderQuantityPicked", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["transferOrderQuantityReceived", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["transferOrderQuantityShipped", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["type", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["unit", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["unitCostOverride", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["vendType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["visibleToCustomer", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["vsoeAllocation", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["vsoeAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["vsoeDeferral", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["vsoeDelivered", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["vsoePermitDiscount", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["vsoePrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["webSite", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["account", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["allowedShippingMethod", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["atpLeadTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["atpMethod", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["autoLeadTime", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["autoPreferredStockLevel", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["autoReorderPoint", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["availableToPartners", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["averageCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["backwardConsumptionDays", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["binNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["binOnHandAvail", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["binOnHandCount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["bomQuantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["buildEntireAssembly", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["buildTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["buyItNowPrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["caption", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["category", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["v_class", ["ActiveNetsuite::SearchMultiSelectField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["component", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["componentOf", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["componentYield", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["copyDescription", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["correlatedItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["correlatedItemCorrelation", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["correlatedItemCount", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["correlatedItemLift", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["correlatedItemPurchaseRate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["cost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costAccountingStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["costCategory", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["costEstimate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["costingMethod", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["created", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["createJob", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["dateViewed", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["daysBeforeExpiration", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["defaultReturnCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["defaultShippingMethod", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["demandModifier", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["demandSource", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["department", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["displayIneBayStore", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["displayName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["dontShowPrice", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["eBayItemDescription", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["eBayItemSubtitle", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["eBayItemTitle", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["ebayRelistingOption", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["effectiveBomControl", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["effectiveDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["effectiveRevision", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["endAuctionsWhenOutOfStock", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["excludeFromSitemap", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["featuredDescription", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["feedDescription", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["feedName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fixedLotSize", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["forwardConsumptionDays", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["froogleProductFeed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["fxCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["giftCertAuthCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["giftCertEmail", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["giftCertExpDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["giftCertFrom", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["giftCertMsg", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["giftCertOrigAmt", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["giftCertRecipient", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["imageUrl", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["inventoryLocation", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["invtClassification", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["invtCountInterval", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isAvailable", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isDropShipItem", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isFulfillable", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isGcoCompliant", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isLotItem", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isOnline", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isPreferredVendor", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isSerialItem", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isSpecialOrderItem", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isSpecialWorkOrderItem", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["issueProduct", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["isTaxable", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isVsoeBundle", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isWip", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["itemId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["itemUrl", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["lastInvtCountDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastPurchasePrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["lastQuantityAvailableChange", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["leadTime", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["listingDuration", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["locationAtpLeadTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationAverageCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationBuildTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationCostAccountingStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["locationDefaultReturnCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationDemandSource", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["locationFixedLotSize", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationInventoryCostTemplate", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["locationInvtClassification", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["locationInvtCountInterval", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["locationLastInvtCountDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["locationLeadTime", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["locationNextInvtCountDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["locationPeriodicLotSizeDays", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["locationPeriodicLotSizeType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["locationPreferredStockLevel", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationQuantityAvailable", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationQuantityBackOrdered", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationQuantityCommitted", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationQuantityInTransit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationQuantityOnHand", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationQuantityOnOrder", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationReorderPoint", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationSafetyStockLevel", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationSupplyLotSizingMethod", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["locationSupplyType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["locationTotalValue", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locBackwardConsumptionDays", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["locForwardConsumptionDays", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["manufacturer", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["manufactureraddr1", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["manufacturerCity", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["manufacturerState", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["manufacturerTariff", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["manufacturerTaxId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["manufacturerZip", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["manufacturingChargeItem", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["matchBillToReceipt", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["matrix", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["matrixChild", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["metaTagHtml", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["minimumQuantity", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["mpn", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["multManufactureAddr", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["nexTagCategory", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["nexTagProductFeed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["nextInvtCountDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["numActiveListings", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["numberAllowedDownloads", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["numCurrentlyListed", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["obsoleteDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["obsoleteRevision", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["offerSupport", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["onlineCustomerPrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["onSpecial", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["otherVendor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["overheadType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["pageTitle", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["periodicLotSizeDays", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["periodicLotSizeType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["preferredBin", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["preferredLocation", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["preferredStockLevel", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["preferredStockLevelDays", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["price", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["pricesIncludeTax", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["primaryCategory", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["quantityAvailable", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityBackOrdered", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityCommitted", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityOnHand", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityOnOrder", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["reorderMultiple", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["reorderPoint", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["reservePrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["roundUpAsComponent", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["safetyStockLevel", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["safetyStockLevelDays", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["salesDescription", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["saleUnit", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["scheduleBNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["scheduleBQuantity", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["searchKeywords", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["seasonalDemand", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["sellOnEBay", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["serialNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["serialNumberLocation", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["shipIndividually", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["shipPackage", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["shippingCarrier", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["shippingRate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["shoppingDotComCategory", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shoppingProductFeed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["shopzillaCategoryId", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["shopzillaProductFeed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["startingPrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["stockDescription", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["stockUnit", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["storeDescription", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["subType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["supplyType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["taxCode", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["thumbnailUrl", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["totalValue", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["trackLandedCost", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["transferPrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["type", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["unitsType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["upcCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["urlComponent", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["useBins", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["useComponentYield", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["useMarginalRates", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["vendor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["vendorCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["vendorCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["vendorCostEntered", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["vendorName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["vendorPriceCurrency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["vsoeDelivered", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["vsoePrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["webSite", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["weight", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["yahooProductFeed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["allowedShippingMethod", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["alternateDemandSourceItem", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["assetAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["atpLeadTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["atpMethod", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["autoLeadTime", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["autoPreferredStockLevel", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["autoReorderPoint", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["availableToPartners", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["averageCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["backwardConsumptionDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["basePrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["billExchRateVarianceAcct", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["billPriceVarianceAcct", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["billQtyVarianceAcct", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["binNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["binOnHandAvail", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["binOnHandCount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["bomQuantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["buildEntireAssembly", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["buildTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["buyItNowPrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["category", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["categoryPreferred", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["v_class", ["ActiveNetsuite::SearchColumnSelectField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, nil]],
      ["componentYield", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["copyDescription", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["correlatedItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["correlatedItemCorrelation", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["correlatedItemCount", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["correlatedItemLift", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["correlatedItemPurchaseRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["cost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costAccountingStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["costCategory", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["costEstimate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costEstimateType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["costingMethod", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["countryOfManufacture", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["created", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["createJob", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["custReturnVarianceAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["dateViewed", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["daysBeforeExpiration", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["defaultReturnCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["defaultShippingMethod", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["deferredExpenseAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["deferredRevenueAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["demandModifier", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["demandSource", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["department", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["departmentnohierarchy", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["displayIneBayStore", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["displayName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["dontShowPrice", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["eBayItemDescription", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["eBayItemSubtitle", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["eBayItemTitle", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ebayRelistingOption", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["effectiveBomControl", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["effectiveDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["effectiveRevision", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["endAuctionsWhenOutOfStock", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["excludeFromSitemap", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["expenseAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["featuredDescription", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["feedDescription", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["feedName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["fixedLotSize", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["forwardConsumptionDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["froogleProductFeed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["fxCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["gainLossAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["giftCertAuthCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["giftCertEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["giftCertExpirationDate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["giftCertFrom", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["giftCertMessage", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["giftCertOriginalAmount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["giftCertRecipient", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["hits", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["imageUrl", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["incomeAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["inventoryLocation", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["invtClassification", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["invtCountInterval", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["isAvailable", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isDropShipItem", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isFulfillable", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isGcoCompliant", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isLotItem", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isOnline", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isSerialItem", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isSpecialOrderItem", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isSpecialWorkOrderItem", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["issueProduct", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isTaxable", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isVsoeBundle", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isWip", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["itemId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["itemUrl", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["lastInvtCountDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastPurchasePrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["lastQuantityAvailableChange", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["leadTime", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["liabilityAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["listingDuration", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["locationAtpLeadTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationAverageCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationBinQuantityAvailable", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["locationBuildTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationCostAccountingStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["locationDefaultReturnCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationDemandSource", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["locationFixedLotSize", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationInventoryCostTemplate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["locationInvtClassification", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["locationInvtCountInterval", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["locationLastInvtCountDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["locationLeadTime", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["locationNextInvtCountDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["locationPeriodicLotSizeDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["locationPeriodicLotSizeType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["locationPreferredStockLevel", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationQuantityAvailable", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationQuantityBackOrdered", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationQuantityCommitted", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationQuantityInTransit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationQuantityOnHand", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationQuantityOnOrder", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationReOrderPoint", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationSafetyStockLevel", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationSupplyLotSizingMethod", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["locationSupplyType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["locationTotalValue", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locBackwardConsumptionDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["locForwardConsumptionDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["manufacturer", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["manufacturerAddr1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["manufacturerCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["manufacturerState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["manufacturerTariff", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["manufacturerTaxId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["manufacturerZip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["manufacturingChargeItem", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["matchBillToReceipt", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["memberItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["memberQuantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["metaTagHtml", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["minimumQuantity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["modified", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["mpn", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["multManufactureAddr", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["nextagCategory", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["nextagProductFeed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["nextInvtCountDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["noPriceMessage", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["numActiveListings", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["numberAllowedDownloads", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["numCurrentlyListed", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["obsoleteDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["obsoleteRevision", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["offerSupport", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["onlineCustomerPrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["onlinePrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["onSpecial", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["otherPrices", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["otherVendor", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["outOfStockBehavior", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["outOfStockMessage", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["overallQuantityPricingType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["overheadType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["pageTitle", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["parent", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["periodicLotSizeDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["periodicLotSizeType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["preferenceCriterion", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["preferredBin", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["preferredLocation", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["preferredStockLevel", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["preferredStockLevelDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["pricesIncludeTax", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["pricingGroup", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["primaryCategory", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["prodPriceVarianceAcct", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["prodQtyVarianceAcct", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["purchaseDescription", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["purchasePriceVarianceAcct", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["purchaseUnit", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["quantityAvailable", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityBackOrdered", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityCommitted", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityOnHand", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityOnOrder", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityPricingSchedule", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["reorderMultiple", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["reOrderPoint", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["reservePrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["revRecSchedule", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["roundUpAsComponent", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["safetyStockLevel", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["safetyStockLevelDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["salesDescription", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["salesTaxCode", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["saleUnit", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["scheduleBCode", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["scheduleBNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["scheduleBQuantity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["scrapAcct", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["searchKeywords", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["seasonalDemand", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["sellOnEBay", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["serialNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["serialNumberLocation", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipIndividually", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["shipPackage", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["shippingCarrier", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["shippingRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["shoppingDotComCategory", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shoppingProductFeed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["shopzillaCategoryId", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["shopzillaProductFeed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["sitemapPriority", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["softDescriptor", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["startingPrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["stockDescription", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["stockUnit", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["storeDescription", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["storeDetailedDescription", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["storeDisplayImage", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["storeDisplayName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["storeDisplayThumbnail", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["supplyLotSizingMethod", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["supplyType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["taxSchedule", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["thumbNailUrl", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["totalValue", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["trackLandedCost", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["transferPrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["type", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["unbuildVarianceAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["unitsType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["upcCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["urlComponent", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["useBins", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["useComponentYield", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["useMarginalRates", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["vendor", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["vendorCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["vendorCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["vendorCostEntered", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["vendorName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["vendorPriceCurrency", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["vendorSchedule", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["vendReturnVarianceAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["vsoeDeferral", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["vsoeDelivered", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["vsoePermitDiscount", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["vsoePrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["webSite", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["weight", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["weightUnit", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["wipAcct", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["wipVarianceAcct", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["yahooProductFeed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PartnerSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PartnerSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["address", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressee", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressLabel", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressPhone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["assignTasks", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["attention", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["billAddress", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["category", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["city", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["v_class", ["ActiveNetsuite::SearchMultiSelectField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["comments", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["commissionPlan", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["country", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["county", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["dateCreated", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["department", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["eligibleForCommission", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["emailPreference", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["entityId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fax", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["firstName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["giveAccess", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["group", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["hasDuplicates", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["image", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isDefaultBilling", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isDefaultShipping", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isPerson", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["language", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["level", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["middleName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["otherRelationships", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partnerCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["permission", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["phone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["phoneticName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["promoCode", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salutation", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipAddress", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["state", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["uRL", ["ActiveNetsuite::SearchStringField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "URL")], [0, 1]],
      ["zipCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PartnerSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PartnerSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["address", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressInternalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressLabel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["assignTasks", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["attention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["billCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billZipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["category", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["city", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["v_class", ["ActiveNetsuite::SearchColumnSelectField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, nil]],
      ["comments", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["companyName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["country", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["countryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["dateCreated", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["department", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["eligibleForCommission", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["emailPreference", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["entityId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["entityNumber", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["fax", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["firstName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["giveAccess", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["hasDuplicates", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["homePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["image", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isDefaultBilling", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isDefaultShipping", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isPerson", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["language", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["level", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["middleName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["mobilePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["parent", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["partnerCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["permission", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["phone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["phoneticName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["promoCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["salutation", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["shipCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipZip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["state", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subscription", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subscriptionDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["subscriptionStatus", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["url", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["zipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "VendorSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["accountNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["address", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressee", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressLabel", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressPhone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["attention", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["balance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["billAddress", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["category", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["city", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["comments", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["contact", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["country", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["county", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["creditLimit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["currency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["currentExchangeRate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["dateCreated", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["eligibleForCommission", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["emailPreference", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["emailTransactions", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["entityId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fax", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["faxTransactions", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["firstName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fxBalance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxUnbilledOrders", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["giveAccess", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["group", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["hasDuplicates", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["image", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["is1099Eligible", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isDefaultBilling", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isDefaultShipping", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isJobResourceVend", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isPerson", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["laborCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["language", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["level", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["middleName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["otherRelationships", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["payablesAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["pec", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["permission", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["phone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["phoneticName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["printTransactions", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["salutation", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipAddress", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["state", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["taxIdNum", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["unbilledOrders", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["url", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["vatRegNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["workCalendar", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["zipCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "VendorSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["accountNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressInternalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressLabel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altContact", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["attention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["balance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["billAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["billCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billZipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["category", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["city", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["comments", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["companyName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["contact", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["country", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["countryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["creditLimit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["currency", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["currentExchangeRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["dateCreated", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["eligibleForCommission", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["emailPreference", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["emailTransactions", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["entityId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["entityNumber", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["expenseAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["fax", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["faxTransactions", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["firstName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["fxBalance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxUnbilledOrders", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["giveAccess", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["hasDuplicates", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["homePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["image", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["is1099Eligible", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isDefaultBilling", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isDefaultShipping", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isJobResourceVend", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isPerson", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["laborCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["language", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["level", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["middleName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["mobilePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["payablesAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["pec", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["permission", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["phone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["phoneticName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["printOnCheckAs", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["printTransactions", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["salutation", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["shipCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipZip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["state", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subscription", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subscriptionDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["subscriptionStatus", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["taxIdNum", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["terms", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["unbilledOrders", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["url", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["vatRegNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["workCalendar", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["zipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SiteCategorySearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SiteCategorySearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["dateViewed", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["excludeFromSitemap", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["name", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SiteCategorySearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SiteCategorySearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["dateViewed", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["excludeFromSitemap", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["fullName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["hidden", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["hits", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["longDescription", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["pageTitle", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["sitemapPriority", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["urlComponent", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TimeBillSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TimeBillSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["approved", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["billable", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["v_class", ["ActiveNetsuite::SearchMultiSelectField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["customer", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["date", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["dateCreated", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["department", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["duration", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["employee", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["exempt", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["lastModified", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["memo", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["paidByPayroll", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["paidExternally", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["payItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["productive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["status", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["temporaryLocalJurisdiction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["temporaryStateJurisdiction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["type", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["utilized", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TimeBillSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TimeBillSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["v_break", ["ActiveNetsuite::SearchColumnStringField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "break")], [0, nil]],
      ["v_class", ["ActiveNetsuite::SearchColumnSelectField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, nil]],
      ["customer", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["date", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["dateCreated", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["department", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["durationDecimal", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["employee", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["endTime", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["hours", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isBillable", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isExempt", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isProductive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isUtilized", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["lastModified", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["memo", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["paidExternally", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["payItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["payrollDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["rate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["startTime", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["supervisorApproval", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["temporaryLocalJurisdiction", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["temporaryStateJurisdiction", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["type", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SolutionSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SolutionSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["abstract", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["assigned", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["caseCount", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["code", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["createdDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["find", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isOnline", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["number", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["status", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["topic", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SolutionSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SolutionSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["assigned", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["caseCount", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["createdDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["displayOnline", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["message", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["previewref", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["solutionCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TopicSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TopicSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TopicSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TopicSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SubsidiarySearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SubsidiarySearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["address", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["city", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["country", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["currency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fax", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isElimination", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["legalName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["nameNoHierarchy", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["phone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["state", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["taxIdNum", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["tranPrefix", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["url", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["zip", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SubsidiarySearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SubsidiarySearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["address1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["anonymousCustomerInboundEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["anonymousCustomerOnlineForms", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["caseAssignmentTemplate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["caseAutomaticClosureTemplate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["caseCopyEmployeeTemplate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["caseCreationTemplate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["caseEscalationTemplate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["caseUpdateTemplate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["city", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["companyNameForSupportMessages", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["country", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["currency", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["employeeCaseUpdateTemplate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["fax", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isElimination", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["legalName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["mainSupportEmailAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["nameNoHierarchy", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["phone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["state", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["taxIdNum", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["tranPrefix", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["url", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["zip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GiftCertificateSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "GiftCertificateSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["amountAvailableBilled", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["amountRemaining", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["createdDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["expirationDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["giftCertCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isActive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["liabilityAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["message", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["originalAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["purchaseDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["sender", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GiftCertificateSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "GiftCertificateSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["amountRemaining", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["amtAvailBilled", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["createdDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["expirationDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["gcActive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["giftCertCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["incomeAcct", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["liabilityAcct", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["message", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["originalAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["purchaseDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["sender", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::FolderSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "FolderSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["v_class", ["ActiveNetsuite::SearchMultiSelectField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["department", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["group", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isTopLevel", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["numFiles", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["owner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["predecessor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["private", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["size", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::FolderSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "FolderSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["v_class", ["ActiveNetsuite::SearchColumnSelectField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, nil]],
      ["department", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["folderSize", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["group", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["numFiles", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["parent", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::FileSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "FileSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["availableWithoutLogin", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["created", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["dateViewed", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["documentSize", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fileType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["folder", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isAvailable", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isLink", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["modified", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["owner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["url", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::FileSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "FileSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["availableWithoutLogin", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["created", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["dateViewed", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["documentSize", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["fileType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["folder", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["hits", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["hostedPath", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isAvailable", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["modified", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["url", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "JobSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["accountNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["actualTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["address", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressee", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressLabel", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressPhone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["allocatePayrollExpenses", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["allowAllResourcesForTasks", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["allowExpenses", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["allowTime", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["applyProjectExpenseTypeToAll", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["attention", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["calculatedEndDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["calculatedEndDateBaseline", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["category", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["city", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["comments", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["contact", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["country", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["county", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customer", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["dateCreated", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["entityId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["estCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estEndDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["estimatedGrossProfit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedGrossProfitPercent", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedLaborCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedLaborCostBaseline", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedLaborRevenue", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedTimeOverride", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedTimeOverrideBaseline", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estRevenue", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fax", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["giveAccess", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["image", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["includeCrmTasksInTotals", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isDefaultBilling", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isDefaultShipping", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isExemptTime", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isProductiveTime", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isUtilizedTime", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["jobBillingType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["jobItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["jobPrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["jobResource", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["jobResourceRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["language", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["lastBaselineDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["level", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["limitTimeToAssignees", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["materializeTime", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["pctComplete", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["percentTimeComplete", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["permission", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["phone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["phoneticName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["projectedEndDateBaseline", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["projectExpenseType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["startDateBaseline", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["state", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["status", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["timeRemaining", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["type", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["zipCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "JobSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["accountNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["actualTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["address", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressInternalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressLabel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["allocatePayrollExpenses", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["allowAllResourcesForTasks", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["allowExpenses", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["allowTime", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["altContact", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["attention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["billCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billingSchedule", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["billPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billZipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["calculatedEndDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["calculatedEndDateBaseline", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["category", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["city", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["comments", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["companyName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["contact", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["country", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["countryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customer", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["dateCreated", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["entityId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["entityNumber", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["entityStatus", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["estimatedCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedGrossProfit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedGrossProfitPercent", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedLaborCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedLaborCostBaseline", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedLaborRevenue", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedRevenue", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedTimeOverride", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedTimeOverrideBaseline", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["fax", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["image", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["includeCrmTasksInTotals", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isDefaultBilling", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isDefaultShipping", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isExemptTime", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isProductiveTime", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isUtilizedTime", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["jobBillingType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["jobItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["jobPrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["jobResource", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["jobResourceRole", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["language", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["lastBaselineDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["level", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["limitTimeToAssignees", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["materializeTime", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["percentComplete", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["percentTimeComplete", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["permission", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["phone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["phoneticName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["projectedEndDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["projectedEndDateBaseline", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["projectExpenseType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["shipAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["shipCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipZip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["startDateBaseline", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["state", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subscription", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subscriptionDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["subscriptionStatus", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["timeRemaining", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["type", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["zipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::IssueSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "IssueSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["ageInMonths", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["assigned", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["buildBroken", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["buildBrokenName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["buildFixed", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["buildFixedName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["buildTarget", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["buildTargetName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["caseCount", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["caseNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["closedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["createdDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["dateReleased", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["details", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["duplicateOf", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["eFix", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["employeeOrTeam", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["eventStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["externalAbstract", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalDetails", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalFixedIn", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalStatus", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["fixed", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["fixedBy", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isOwner", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isReviewed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isShowStopper", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["issueAbstract", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["issueNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["v_module", ["ActiveNetsuite::SearchMultiSelectField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "module")], [0, 1]],
      ["number", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["originalFixedIn", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["priority", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["product", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["productTeam", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["relatedIssue", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["relationship", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["relationshipComment", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["reportedBy", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["reproduce", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["resolved", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["resolvedBy", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["reviewer", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["severity", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["source", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["status", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["tags", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["tracking", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["type", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["userType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["versionBroken", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["versionFixed", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["versionTarget", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::IssueSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "IssueSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["ageInMonths", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["assigned", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["buildBroken", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["buildFixed", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["buildTarget", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["caseCount", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["caseNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["closedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["createdDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["dateReleased", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["duplicateOf", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["employeeOrTeam", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["eventStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["externalAbstract", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalDetails", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalFixedIn", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["externalStatus", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["fixed", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["fixedBy", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isOwner", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isReviewed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isShowStopper", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["issueAbstract", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["issueStatus", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["v_module", ["ActiveNetsuite::SearchColumnStringField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "module")], [0, nil]],
      ["number", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["originalFixedIn", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["priority", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["product", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["productTeam", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["relatedIssue", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["relationship", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["relationshipComment", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["reportedBy", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["reproduce", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["resolved", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["resolvedBy", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["reviewer", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["severity", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["source", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["tags", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["type", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["userType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["versionBroken", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["versionFixed", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["versionTarget", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GroupMemberSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "GroupMemberSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["groupId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CampaignSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["audience", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["baseCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["campaignEventType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["campaignId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["category", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["channel", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["cost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["createdDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["event", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["expectedRevenue", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["family", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["group", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isSalesCampaign", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["keyword", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["manager", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["managerRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["number", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["offer", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["promoCode", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["recipient", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["response", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["responseCategory", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["responseCode", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["responseComments", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["responseDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["scheduleDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["searchEngine", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["status", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["subscription", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["template", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["vertical", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CampaignSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["audience", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["baseCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["campaignId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["category", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["channel", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["cost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["createdDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["event", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["executedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["expectedRevenue", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["family", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isSalesCampaign", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["keyword", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["managerRole", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["message", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["offer", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["promoCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["recipient", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["response", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["responseCategory", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["responseCode", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["responseDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["responseNotes", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["revenue", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["roi", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["scheduledDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["searchEngine", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["subscription", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["url", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["vertical", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EntityGroupSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "EntityGroupSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["groupName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["groupOwner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["groupType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isDynamic", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isManufacturingWorkCenter", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isPrivate", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["laborResources", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["machineResources", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EntityGroupSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "EntityGroupSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["groupName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["groupType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isDynamic", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isManufacturingWorkCenter", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isPrivate", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["laborResources", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["machineResources", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["savedSearch", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["size", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PromotionCodeSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PromotionCodeSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["applyDiscountTo", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["code", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["discount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["discountAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["freeShipItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isPublic", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["partner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PromotionCodeSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PromotionCodeSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["code", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["discount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["discountAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isPublic", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BudgetSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "BudgetSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["account", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["amount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["category", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["v_class", ["ActiveNetsuite::SearchMultiSelectField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["currency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customer", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["department", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["global", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["year", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["year2", "ActiveNetsuite::SearchMultiSelectField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BudgetSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "BudgetSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["account", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["amount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["category", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["v_class", ["ActiveNetsuite::SearchColumnStringField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, nil]],
      ["classnohierarchy", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["currency", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customer", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["department", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["departmentnohierarchy", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["global", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["locationnohierarchy", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subsidiarynohierarchy", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["year", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["year2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ProjectTaskSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ProjectTaskSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["actualWork", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["assignee", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["company", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["constraintType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["contact", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["cost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costBase", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costBaseBaseline", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costBaseline", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costBaseVariance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costVariance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costVariancePercent", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["createdDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["endDateBaseline", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["endDateVariance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedWork", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedWorkBaseline", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedWorkVariance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedWorkVariancePercent", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["finishByDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["id", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isMilestone", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isSummaryTask", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["owner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["percentWorkComplete", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["predecessor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["predecessors", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["priority", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["remainingWork", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["startDateBaseline", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["startDateVariance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["status", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["successor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ProjectTaskSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ProjectTaskSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["actualWork", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["company", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["constraintType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["contact", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["cost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costBase", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costBaseBaseline", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costBaseline", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costBaseVariance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costVariance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costVariancePercent", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["createdDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["endDateBaseline", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["endDateVariance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedWork", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedWorkBaseline", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedWorkVariance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedWorkVariancePercent", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["finishByDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["id", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isMilestone", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isSummaryTask", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["message", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["parent", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["percentWorkComplete", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["predecessor", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["predecessorLagDays", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["predecessors", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["predecessorType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["priority", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["remainingWork", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["startDateBaseline", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["startDateVariance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["successor", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["successorType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ProjectTaskAssignmentSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ProjectTaskAssignmentSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["actualWork", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["cost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costBase", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["estimatedWork", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedWorkBaseline", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["grossProfit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["grossProfitBase", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["price", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["priceBase", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["resource", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["resourceName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["serviceItem", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["serviceItemDesc", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["unitCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["unitCostBase", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["unitPrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["unitPriceBase", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["units", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["workCalendar", "ActiveNetsuite::SearchMultiSelectField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ProjectTaskAssignmentSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ProjectTaskAssignmentSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["actualWork", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["cost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costBase", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["estimatedWork", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedWorkBaseline", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["grossProfit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["grossProfitBase", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["price", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["priceBase", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["resource", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["resourceName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["serviceItem", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["serviceItemDesc", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["unitCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["unitCostBase", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["unitPrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["unitPriceBase", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["units", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["workCalendar", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AccountingPeriodSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "AccountingPeriodSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["allLocked", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["allowNonGlChanges", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["apLocked", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["arLocked", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["closed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["closedOnDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isAdjust", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isQuarter", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isYear", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["payrollLocked", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["periodName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AccountingPeriodSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "AccountingPeriodSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["allLocked", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["allowNonGLChanges", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["apLocked", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["arLocked", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["closed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["closedOnDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isAdjust", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isQuarter", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isYear", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["parent", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["payrollLocked", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["periodName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactCategorySearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ContactCategorySearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["private", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["sync", "ActiveNetsuite::SearchBooleanField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactCategorySearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ContactCategorySearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["private", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["sync", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactRoleSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ContactRoleSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactRoleSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ContactRoleSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerCategorySearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomerCategorySearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerCategorySearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomerCategorySearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerStatusSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomerStatusSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["includeInLeadReports", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["probability", "ActiveNetsuite::SearchDoubleField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerStatusSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomerStatusSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["includeInLeadReports", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["probability", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ExpenseCategorySearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ExpenseCategorySearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["account", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["rateRequired", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ExpenseCategorySearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ExpenseCategorySearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["account", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["rateRequired", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobStatusSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "JobStatusSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobStatusSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "JobStatusSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobTypeSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "JobTypeSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobTypeSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "JobTypeSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["parent", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NoteTypeSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "NoteTypeSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NoteTypeSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "NoteTypeSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PartnerCategorySearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PartnerCategorySearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PartnerCategorySearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PartnerCategorySearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["parent", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PaymentMethodSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PaymentMethodSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["account", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["creditCard", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isDebitCard", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PaymentMethodSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PaymentMethodSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["account", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["creditCard", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isDebitCard", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PriceLevelSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PriceLevelSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["discountPct", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isOnline", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PriceLevelSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PriceLevelSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["discountPct", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isOnline", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SalesRoleSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SalesRoleSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SalesRoleSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SalesRoleSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TermSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TermSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["dateDriven", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["dayDiscountExpires", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["dayOfMonthNetDue", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["daysUntilExpiry", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["daysUntilNetDue", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["discountPercent", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["discountPercentDateDriven", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["dueNextMonthIfWithinDays", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["preferred", "ActiveNetsuite::SearchBooleanField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TermSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TermSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["dateDriven", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["dayDiscountExpires", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["dayOfMonthNetDue", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["daysUntilExpiry", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["daysUntilNetDue", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["discountPercent", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["discountPercentDateDriven", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["dueNextMonthIfWithinDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["preferred", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorCategorySearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "VendorCategorySearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isTaxAgency", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorCategorySearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "VendorCategorySearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isTaxAgency", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WinLossReasonSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "WinLossReasonSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WinLossReasonSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "WinLossReasonSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OriginatingLeadSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "OriginatingLeadSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["accountNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["availableOffline", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["balance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["boughtAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["boughtDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["buyingReason", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["buyingTimeFrame", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["category", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["ccCustomerCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["ccDefault", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["ccExpDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["ccHolderName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["ccNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["ccType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["classBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["companyName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["contact", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["contribution", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["conversionDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["creditHoldOverride", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["creditLimit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["currency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["custStage", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["custStatus", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["dateClosed", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["daysOverdue", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["depositBalance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["deptBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["emailTransactions", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["entityStatus", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["estimatedBudget", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["explicitConversion", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["faxTransactions", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["firstName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["firstOrderDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["firstSaleDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["group", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["groupPricingLevel", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["hasDuplicates", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isBudgetApproved", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isPerson", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isReportedLead", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isShipAddress", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["itemPricingLevel", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["itemPricingUnitPrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["itemsBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["itemsOrdered", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["lastName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["leadDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["leadSource", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["locationBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["manualCreditHold", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["merchantAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["middleName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["onCreditHold", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["orderedAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["orderedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["otherRelationships", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["overdueBalance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["parentItemsBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["parentItemsOrdered", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partnerContribution", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["partnerRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partnerTeamMember", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["pec", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["priceLevel", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["pricingItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["printTransactions", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["prospectDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["pstExempt", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["reminderDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["resaleNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["role", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesReadiness", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesRep", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesTeamMember", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesTeamRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salutation", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipComplete", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["shippingItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["stage", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["subsidBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["taxable", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["terms", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["territory", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["unbilledOrders", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["url", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["vatRegNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["webLead", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OriginatingLeadSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "OriginatingLeadSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["accountNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altContact", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["availableOffline", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["balance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["billAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["buyingReason", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["buyingTimeFrame", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["category", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["ccCustomerCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccDefault", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["ccExpDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["ccHolderName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["companyName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["contact", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["contribution", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["contributionPrimary", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["conversionDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["creditHoldOverride", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["creditLimit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["currency", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["dateClosed", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["daysOverdue", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["depositBalance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["emailTransactions", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["entityStatus", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["estimatedBudget", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["explicitConversion", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["faxTransactions", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["firstName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["firstOrderDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["firstSaleDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["giveAccess", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["groupPricingLevel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["hasDuplicates", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["homePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["isBudgetApproved", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isPerson", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isShipAddress", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["itemPricingLevel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["itemPricingUnitPrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["jobEndDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["jobProjectedEnd", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["jobStartDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["jobType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["lastName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["leadDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["leadSource", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["manualCreditHold", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["middleName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["mobilePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["onCreditHold", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["overdueBalance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["parent", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["partner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["partnerContribution", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["partnerRole", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["partnerTeamMember", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["pec", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["prefCCProcessor", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["priceLevel", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["pricingGroup", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["pricingItem", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["printTransactions", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["prospectDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["reminderDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["resaleNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["role", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["salesReadiness", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["salesRep", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salesTeamMember", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salesTeamRole", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salutation", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipComplete", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["shippingItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["stage", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["taxable", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["taxItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["terms", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["territory", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["unbilledOrders", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["url", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["vatRegNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["webLead", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UnitsTypeSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "UnitsTypeSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["abbreviation", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["baseUnit", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["conversionRate", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInActive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["pluralAbbreviation", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["pluralName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["unitName", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UnitsTypeSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "UnitsTypeSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["abbreviation", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["baseUnit", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["conversionRate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInActive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["pluralAbbreviation", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["pluralName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["unitName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomListSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomListSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isOrdered", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["owner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["scriptId", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomListSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomListSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isOrdered", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["scriptId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PricingGroupSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PricingGroupSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PricingGroupSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PricingGroupSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryNumberSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "InventoryNumberSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["expirationDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["inventoryNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["isOnHand", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["memo", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["quantityAvailable", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityInTransit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityOnHand", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityOnOrder", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryNumberSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "InventoryNumberSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["expirationDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["inventoryNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["isonhand", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["memo", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["quantityavailable", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityintransit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityonhand", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityonorder", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryNumberBinSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "InventoryNumberBinSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["binNumber", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["inventoryNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["quantityAvailable", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityOnHand", "ActiveNetsuite::SearchDoubleField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryNumberBinSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "InventoryNumberBinSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["binNumber", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["inventoryNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["quantityAvailable", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityOnHand", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemBinNumberSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemBinNumberSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["binNumber", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["quantityAvailable", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityOnHand", "ActiveNetsuite::SearchDoubleField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemBinNumberSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemBinNumberSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["binNumber", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["quantityAvailable", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityOnHand", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AppDefinitionSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "AppDefinitionSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AppDefinitionSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "AppDefinitionSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AppPackageSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "AppPackageSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["appDefinition", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["version", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AppPackageSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "AppPackageSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["appDefinition", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["bundle", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["packageFile", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["version", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NexusSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "NexusSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["country", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["state", "ActiveNetsuite::SearchMultiSelectField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NexusSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "NexusSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["country", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["state", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OtherNameCategorySearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "OtherNameCategorySearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OtherNameCategorySearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "OtherNameCategorySearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerMessageSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomerMessageSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["preferred", "ActiveNetsuite::SearchBooleanField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerMessageSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomerMessageSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["preferred", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemDemandPlanSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemDemandPlanSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["alternateSourceItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["analysisDuration", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["demandDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["memo", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["projectionDuration", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["projectionInterval", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["projectionMethod", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["projectionStartDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["quantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["units", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemDemandPlanSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemDemandPlanSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["alternateSourceItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["analysisDuration", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["demandDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["memo", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["projectionDuration", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["projectionInterval", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["projectionMethod", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["projectionStartDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["quantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityUom", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["units", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemSupplyPlanSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemSupplyPlanSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["memo", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["orderCreated", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["orderDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["orderType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["quantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["receiptDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["units", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemSupplyPlanSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemSupplyPlanSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["memo", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["orderCreated", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["orderDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["orderType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["quantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityUom", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["receiptDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["units", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CurrencyRateSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CurrencyRateSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["baseCurrency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["effectiveDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["exchangeRate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["transactionCurrency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CurrencyRateSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CurrencyRateSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["baseCurrency", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["effectiveDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["exchangeRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["transactionCurrency", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemRevisionSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemRevisionSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["effectiveDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["obsoleteDate", "ActiveNetsuite::SearchDateField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemRevisionSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemRevisionSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["effectiveDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["memo", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["obsoleteDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CouponCodeSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CouponCodeSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["code", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["dateSent", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["id", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["promotion", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["recipient", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["useCount", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["used", "ActiveNetsuite::SearchBooleanField", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CouponCodeSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CouponCodeSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["code", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["dateSent", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["id", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["promotion", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["recipient", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["useCount", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["used", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PayrollItemSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PayrollItemSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["itemTypeNoHierarchy", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["liabilityAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["vendor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PayrollItemSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PayrollItemSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["expenseAccount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["itemTypeNoHierarchy", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["liabilityAccount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["vendor", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingCostTemplateSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ManufacturingCostTemplateSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["memo", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingCostTemplateSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ManufacturingCostTemplateSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["memo", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingRoutingSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ManufacturingRoutingSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isDefault", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["manufacturingCostTemplate", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["manufacturingWorkCenter", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["memo", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["operationName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["operationYield", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["runRate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["sequence", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["setupTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingRoutingSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ManufacturingRoutingSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isDefault", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["manufacturingCostTemplate", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["manufacturingWorkCenter", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["memo", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["operationName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["operationYield", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["runRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["sequence", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["setupTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingOperationTaskSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ManufacturingOperationTaskSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["actualRunTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["actualSetupTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["completedQuantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["estimatedWork", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["id", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["inputQuantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["laborResources", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["machineResources", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["manufacturingCostTemplate", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["manufacturingWorkCenter", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["order", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["predecessor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["remainingQuantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["runRate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["runTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["sequence", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["setupTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["status", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["workOrder", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingOperationTaskSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ManufacturingOperationTaskSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["actualRunTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["actualSetupTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["completedQuantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["estimatedWork", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["id", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["inputQuantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["laborResources", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["machineResources", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["message", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["manufacturingCostTemplate", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["manufacturingWorkCenter", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["order", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["predecessor", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["predecessorLagDays", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["predecessorType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["remainingQuantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["runRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["runTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["sequence", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["setupTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["workOrder", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ResourceAllocationSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ResourceAllocationSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["allocationType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["allocationUnit", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["customer", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["notes", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["numberHours", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["percentOfTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["project", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["requestedBy", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["resource", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ResourceAllocationSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ResourceAllocationSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["allocationType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["allocationUnit", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["customer", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["notes", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["numberHours", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["percentOfTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["project", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["requestedBy", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["resource", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomSearchJoin,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomSearchJoin"),
    :schema_element => [
      ["customizationRef", "ActiveNetsuite::CustomizationRef"],
      ["searchRecordBasic", "ActiveNetsuite::SearchRecordBasic"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomSearchRowBasic"),
    :schema_element => [
      ["customizationRef", "ActiveNetsuite::CustomizationRef"],
      ["searchRowBasic", "ActiveNetsuite::SearchRowBasic"]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ChargeSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ChargeSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["amount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["billingItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["billTo", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["chargeDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["chargeType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["createdDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["currency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["modifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriodRelative", "ActiveNetsuite::PostingPeriodDate", [0, 1]],
      ["quantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["rate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["rule", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["runId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["salesOrder", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["stage", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["use", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ChargeSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ChargeSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["amount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["billingItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["billTo", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["chargeDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["chargeType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["createdDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["currency", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["modifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["postingPeriod", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["quantity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["rate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["rule", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["runId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["salesOrder", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["stage", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["use", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CalendarEvent,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEvent"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supportCase", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["period", "SOAP::SOAPLong", [0, 1]],
      ["frequency", "ActiveNetsuite::RecurrenceFrequency", [0, 1]],
      ["recurrenceDowMaskList", "ActiveNetsuite::RecurrenceDowMaskList", [0, 1]],
      ["recurrenceDow", "ActiveNetsuite::RecurrenceDow", [0, 1]],
      ["recurrenceDowim", "ActiveNetsuite::RecurrenceDowim", [0, 1]],
      ["seriesStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endByDate", "SOAP::SOAPDateTime", [0, 1]],
      ["noEndDate", "SOAP::SOAPBoolean", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["recurrence", "SOAP::SOAPString", [0, 1]],
      ["location", "SOAP::SOAPString", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["allDayEvent", "SOAP::SOAPBoolean", [0, 1]],
      ["timedEvent", "SOAP::SOAPBoolean", [0, 1]],
      ["reminderType", "ActiveNetsuite::CalendarEventReminderType", [0, 1]],
      ["reminderMinutes", "ActiveNetsuite::CalendarEventReminderMinutes", [0, 1]],
      ["status", "ActiveNetsuite::CalendarEventStatus", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CalendarEventAccessLevel", [0, 1]],
      ["organizer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["exclusionDateList", "ActiveNetsuite::ExclusionDateList", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["attendeeList", "ActiveNetsuite::CalendarEventAttendeeList", [0, 1]],
      ["resourceList", "ActiveNetsuite::CalendarEventResourceList", [0, 1]],
      ["timeItemList", "ActiveNetsuite::CalendarEventTimeItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ExclusionDateList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ExclusionDateList"),
    :schema_element => [
      ["exclusionDate", "SOAP::SOAPDateTime[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CalendarEventAttendee,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventAttendee"),
    :schema_element => [
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["attendee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["response", "ActiveNetsuite::CalendarEventAttendeeResponse", [0, 1]],
      ["attendance", "ActiveNetsuite::CalendarEventAttendeeAttendance", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CalendarEventAttendeeList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventAttendeeList"),
    :schema_element => [
      ["attendee", "ActiveNetsuite::CalendarEventAttendee[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CalendarEventResource,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventResource"),
    :schema_element => [
      ["resource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CalendarEventResourceList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventResourceList"),
    :schema_element => [
      ["resource", "ActiveNetsuite::CalendarEventResource[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CalendarEventSearch,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["attendeeJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["attendeeContactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["attendeeCustomerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CalendarEventSearchAdvanced,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::CalendarEventSearch", [0, 1]],
      ["columns", "ActiveNetsuite::CalendarEventSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CalendarEventSearchRow,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CalendarEventSearchRowBasic", [0, 1]],
      ["attendeeJoin", "ActiveNetsuite::EntitySearchRowBasic", [0, 1]],
      ["attendeeContactJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["attendeeCustomerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchRowBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Task,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "Task"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supportCase", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["milestone", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["assigned", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["timedEvent", "SOAP::SOAPBoolean", [0, 1]],
      ["estimatedTime", "ActiveNetsuite::Duration", [0, 1]],
      ["estimatedTimeOverride", "ActiveNetsuite::Duration", [0, 1]],
      ["actualTime", "ActiveNetsuite::Duration", [0, 1]],
      ["timeRemaining", "ActiveNetsuite::Duration", [0, 1]],
      ["percentTimeComplete", "SOAP::SOAPDouble", [0, 1]],
      ["percentComplete", "SOAP::SOAPDouble", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["dueDate", "SOAP::SOAPDateTime", [0, 1]],
      ["completedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["priority", "ActiveNetsuite::TaskPriority", [0, 1]],
      ["status", "ActiveNetsuite::TaskStatus", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["accessLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["reminderType", "ActiveNetsuite::TaskReminderType", [0, 1]],
      ["reminderMinutes", "ActiveNetsuite::TaskReminderMinutes", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contactList", "ActiveNetsuite::TaskContactList", [0, 1]],
      ["timeItemList", "ActiveNetsuite::TaskTimeItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaskContact,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "TaskContact"),
    :schema_element => [
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaskContactList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "TaskContactList"),
    :schema_element => [
      ["contact", "ActiveNetsuite::TaskContact[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaskSearch,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "TaskSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["companyCustomerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaskSearchAdvanced,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "TaskSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::TaskSearch", [0, 1]],
      ["columns", "ActiveNetsuite::TaskSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaskSearchRow,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "TaskSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TaskSearchRowBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["companyCustomerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchRowBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchRowBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PhoneCall,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCall"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supportCase", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["milestone", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assigned", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["timedEvent", "SOAP::SOAPBoolean", [0, 1]],
      ["completedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["status", "ActiveNetsuite::PhoneCallStatus", [0, 1]],
      ["priority", "ActiveNetsuite::PhoneCallPriority", [0, 1]],
      ["accessLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["reminderType", "ActiveNetsuite::PhoneCallReminderType", [0, 1]],
      ["reminderMinutes", "ActiveNetsuite::PhoneCallReminderMinutes", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["contactList", "ActiveNetsuite::PhoneCallContactList", [0, 1]],
      ["timeItemList", "ActiveNetsuite::PhoneCallTimeItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PhoneCallContact,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCallContact"),
    :schema_element => [
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PhoneCallContactList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCallContactList"),
    :schema_element => [
      ["contact", "ActiveNetsuite::PhoneCallContact[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PhoneCallSearch,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCallSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["companyCustomerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["participantJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PhoneCallSearchAdvanced,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCallSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::PhoneCallSearch", [0, 1]],
      ["columns", "ActiveNetsuite::PhoneCallSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PhoneCallSearchRow,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCallSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PhoneCallSearchRowBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["companyCustomerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchRowBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchRowBasic", [0, 1]],
      ["participantJoin", "ActiveNetsuite::EntitySearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ProjectTask,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTask"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["eventId", "ActiveNetsuite::RecordRef", [0, 1]],
      ["percentTimeComplete", "SOAP::SOAPDouble", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]],
      ["order", "ActiveNetsuite::RecordRef", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["priority", "ActiveNetsuite::RecordRef", [0, 1]],
      ["estimatedWork", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedWorkBaseline", "SOAP::SOAPDouble", [0, 1]],
      ["constraintType", "ActiveNetsuite::ProjectTaskConstraintType", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["startDateBaseline", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["finishByDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDateBaseline", "SOAP::SOAPDateTime", [0, 1]],
      ["actualWork", "SOAP::SOAPDouble", [0, 1]],
      ["remainingWork", "SOAP::SOAPDouble", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["isMilestone", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnCriticalPath", "SOAP::SOAPString", [0, 1]],
      ["slackMinutes", "SOAP::SOAPDouble", [0, 1]],
      ["lateEnd", "SOAP::SOAPDateTime", [0, 1]],
      ["lateStart", "SOAP::SOAPDateTime", [0, 1]],
      ["status", "ActiveNetsuite::ProjectTaskStatus", [0, 1]],
      ["assigneeList", "ActiveNetsuite::ProjectTaskAssigneeList", [0, 1]],
      ["predecessorList", "ActiveNetsuite::ProjectTaskPredecessorList", [0, 1]],
      ["timeItemList", "ActiveNetsuite::ProjectTaskTimeItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ProjectTaskPredecessor,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskPredecessor"),
    :schema_element => [
      ["task", "ActiveNetsuite::RecordRef", [0, 1]],
      ["type", "ActiveNetsuite::ProjectTaskPredecessorPredecessorType", [0, 1]],
      ["lagDays", "SOAP::SOAPDouble", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ProjectTaskPredecessorList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskPredecessorList"),
    :schema_element => [
      ["projectTaskPredecessor", "ActiveNetsuite::ProjectTaskPredecessor[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ProjectTaskAssignee,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskAssignee"),
    :schema_element => [
      ["resource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["units", "SOAP::SOAPDouble", [0, 1]],
      ["serviceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["estimatedWork", "SOAP::SOAPDouble", [0, 1]],
      ["unitCost", "SOAP::SOAPDouble", [0, 1]],
      ["unitPrice", "SOAP::SOAPDouble", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["price", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ProjectTaskAssigneeList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskAssigneeList"),
    :schema_element => [
      ["projectTaskAssignee", "ActiveNetsuite::ProjectTaskAssignee[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ProjectTaskSearch,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ProjectTaskSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["predecessorJoin", "ActiveNetsuite::ProjectTaskSearchBasic", [0, 1]],
      ["projectTaskAssignmentJoin", "ActiveNetsuite::ProjectTaskAssignmentSearchBasic", [0, 1]],
      ["successorJoin", "ActiveNetsuite::ProjectTaskSearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ProjectTaskSearchAdvanced,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ProjectTaskSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ProjectTaskSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ProjectTaskSearchRow,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ProjectTaskSearchRowBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["predecessorJoin", "ActiveNetsuite::ProjectTaskSearchRowBasic", [0, 1]],
      ["projectTaskAssignmentJoin", "ActiveNetsuite::ProjectTaskAssignmentSearchRowBasic", [0, 1]],
      ["successorJoin", "ActiveNetsuite::ProjectTaskSearchRowBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PhoneCallTimeItemList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCallTimeItemList"),
    :schema_element => [
      ["timeItem", "ActiveNetsuite::TimeItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CalendarEventTimeItemList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventTimeItemList"),
    :schema_element => [
      ["timeItem", "ActiveNetsuite::TimeItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaskTimeItemList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "TaskTimeItemList"),
    :schema_element => [
      ["timeItem", "ActiveNetsuite::TimeItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ProjectTaskTimeItemList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskTimeItemList"),
    :schema_element => [
      ["timeItem", "ActiveNetsuite::TimeItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ResourceAllocation,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ResourceAllocation"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["requestedby", "ActiveNetsuite::RecordRef", [0, 1]],
      ["allocationResource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["project", "ActiveNetsuite::RecordRef", [0, 1]],
      ["notes", "SOAP::SOAPString", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["allocationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["allocationUnit", "ActiveNetsuite::ResourceAllocationAllocationUnit", [0, 1]],
      ["numberHours", "SOAP::SOAPDouble", [0, 1]],
      ["percentOfTime", "SOAP::SOAPDouble", [0, 1]],
      ["allocationType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ResourceAllocationSearch,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ResourceAllocationSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ResourceAllocationSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["requestedByJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["resourceJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ResourceAllocationSearchAdvanced,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ResourceAllocationSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ResourceAllocationSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ResourceAllocationSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ResourceAllocationSearchRow,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ResourceAllocationSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ResourceAllocationSearchRowBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["requestedByJoin", "ActiveNetsuite::EntitySearchRowBasic", [0, 1]],
      ["resourceJoin", "ActiveNetsuite::EntitySearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Note,
    :schema_type => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "Note"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["noteType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["direction", "ActiveNetsuite::NoteDirection", [0, 1]],
      ["noteDate", "SOAP::SOAPDateTime", [0, 1]],
      ["note", "SOAP::SOAPString", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["activity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["author", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["folder", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["media", "ActiveNetsuite::RecordRef", [0, 1]],
      ["record", "ActiveNetsuite::RecordRef", [0, 1]],
      ["recordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["topic", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transaction", "ActiveNetsuite::RecordRef", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NoteSearch,
    :schema_type => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "NoteSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["authorJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["campaignJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["entityJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["issueJoin", "ActiveNetsuite::IssueSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["solutionJoin", "ActiveNetsuite::SolutionSearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NoteSearchAdvanced,
    :schema_type => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "NoteSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::NoteSearch", [0, 1]],
      ["columns", "ActiveNetsuite::NoteSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NoteSearchRow,
    :schema_type => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "NoteSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["authorJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchRowBasic", [0, 1]],
      ["campaignJoin", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["entityJoin", "ActiveNetsuite::EntitySearchRowBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchRowBasic", [0, 1]],
      ["issueJoin", "ActiveNetsuite::IssueSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchRowBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchRowBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchRowBasic", [0, 1]],
      ["solutionJoin", "ActiveNetsuite::SolutionSearchRowBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Message,
    :schema_type => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "Message"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["author", "ActiveNetsuite::RecordRef", [0, 1]],
      ["recipient", "ActiveNetsuite::RecordRef", [0, 1]],
      ["cc", "SOAP::SOAPString", [0, 1]],
      ["bcc", "SOAP::SOAPString", [0, 1]],
      ["messageDate", "SOAP::SOAPDateTime", [0, 1]],
      ["recordName", "SOAP::SOAPString", [0, 1]],
      ["recordTypeName", "SOAP::SOAPString", [0, 1]],
      ["subject", "SOAP::SOAPString", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["emailed", "SOAP::SOAPBoolean", [0, 1]],
      ["activity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["compressAttachments", "SOAP::SOAPBoolean", [0, 1]],
      ["incoming", "SOAP::SOAPBoolean", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["transaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["mediaItemList", "ActiveNetsuite::MessageMediaItemList", [0, 1]],
      ["dateTime", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::MessageMediaItemList,
    :schema_type => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "MessageMediaItemList"),
    :schema_element => [
      ["mediaItem", "ActiveNetsuite::C_File[]", [1, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::MessageSearch,
    :schema_type => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "MessageSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["attachmentsJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["authorJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["campaignJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["entityJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["recipientJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::MessageSearchAdvanced,
    :schema_type => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "MessageSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::MessageSearch", [0, 1]],
      ["columns", "ActiveNetsuite::MessageSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::MessageSearchRow,
    :schema_type => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "MessageSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["attachmentsJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["authorJoin", "ActiveNetsuite::EntitySearchRowBasic", [0, 1]],
      ["campaignJoin", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["entityJoin", "ActiveNetsuite::EntitySearchRowBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchRowBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchRowBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchRowBasic", [0, 1]],
      ["recipientJoin", "ActiveNetsuite::EntitySearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::C_File,
    :schema_type => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "File"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["attachFrom", "ActiveNetsuite::FileAttachFrom", [0, 1]],
      ["mediaTypeName", "SOAP::SOAPString", [0, 1]],
      ["fileType", "ActiveNetsuite::MediaType", [0, 1]],
      ["content", "SOAP::SOAPBase64", [0, 1]],
      ["folder", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fileSize", "SOAP::SOAPDouble", [0, 1]],
      ["url", "SOAP::SOAPString", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["mediaFile", "ActiveNetsuite::RecordRef", [0, 1]],
      ["textFileEncoding", "ActiveNetsuite::TextFileEncoding", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["encoding", "ActiveNetsuite::FileEncoding", [0, 1]],
      ["altTagCaption", "SOAP::SOAPString", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["v_class", ["SOAP::SOAPString", XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["bundleable", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "SOAP::SOAPString", [0, 1]],
      ["hideInBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["isPrivate", "SOAP::SOAPBoolean", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caption", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["siteDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::FileSiteCategoryList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::FileSiteCategory,
    :schema_type => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "FileSiteCategory"),
    :schema_element => [
      ["isDefault", "SOAP::SOAPBoolean", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["categoryDescription", "SOAP::SOAPString", [0, 1]],
      ["website", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::FileSiteCategoryList,
    :schema_type => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "FileSiteCategoryList"),
    :schema_element => [
      ["siteCategory", "ActiveNetsuite::FileSiteCategory[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::FileSearch,
    :schema_type => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "FileSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["shopperJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::FileSearchAdvanced,
    :schema_type => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "FileSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::FileSearch", [0, 1]],
      ["columns", "ActiveNetsuite::FileSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::FileSearchRow,
    :schema_type => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "FileSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["shopperJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Folder,
    :schema_type => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "Folder"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["isPrivate", "SOAP::SOAPBoolean", [0, 1]],
      ["bundleable", "SOAP::SOAPBoolean", [0, 1]],
      ["hideInBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["group", "ActiveNetsuite::RecordRef", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::FolderSearch,
    :schema_type => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "FolderSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::FolderSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::FolderSearchAdvanced,
    :schema_type => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "FolderSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::FolderSearch", [0, 1]],
      ["columns", "ActiveNetsuite::FolderSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::FolderSearchRow,
    :schema_type => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "FolderSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::FolderSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Subscriptions,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "Subscriptions"),
    :schema_element => [
      ["subscribed", "SOAP::SOAPBoolean", [0, 1]],
      ["subscription", "ActiveNetsuite::RecordRef", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SubscriptionsList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "SubscriptionsList"),
    :schema_element => [
      ["subscriptions", "ActiveNetsuite::Subscriptions[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Contact,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "Contact"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityId", "SOAP::SOAPString", [0, 1]],
      ["contactSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salutation", "SOAP::SOAPString", [0, 1]],
      ["firstName", "SOAP::SOAPString", [0, 1]],
      ["middleName", "SOAP::SOAPString", [0, 1]],
      ["lastName", "SOAP::SOAPString", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["defaultAddress", "SOAP::SOAPString", [0, 1]],
      ["isPrivate", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["phoneticName", "SOAP::SOAPString", [0, 1]],
      ["categoryList", "ActiveNetsuite::CategoryList", [0, 1]],
      ["altEmail", "SOAP::SOAPString", [0, 1]],
      ["officePhone", "SOAP::SOAPString", [0, 1]],
      ["homePhone", "SOAP::SOAPString", [0, 1]],
      ["mobilePhone", "SOAP::SOAPString", [0, 1]],
      ["supervisor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supervisorPhone", "SOAP::SOAPString", [0, 1]],
      ["assistant", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assistantPhone", "SOAP::SOAPString", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::GlobalSubscriptionStatus", [0, 1]],
      ["image", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["dateCreated", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["addressbookList", "ActiveNetsuite::ContactAddressbookList", [0, 1]],
      ["subscriptionsList", "ActiveNetsuite::SubscriptionsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CategoryList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CategoryList"),
    :schema_element => [
      ["category", "ActiveNetsuite::RecordRef[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactAddressbook,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "ContactAddressbook"),
    :schema_element => [
      ["defaultShipping", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultBilling", "SOAP::SOAPBoolean", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["attention", "SOAP::SOAPString", [0, 1]],
      ["addressee", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["addr1", "SOAP::SOAPString", [0, 1]],
      ["addr2", "SOAP::SOAPString", [0, 1]],
      ["addr3", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["addrText", "SOAP::SOAPString", [0, 1]],
      ["override", "SOAP::SOAPBoolean", [0, 1]],
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactAddressbookList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "ContactAddressbookList"),
    :schema_element => [
      ["addressbook", "ActiveNetsuite::ContactAddressbook[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactSearch,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "ContactSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["customerPrimaryJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["jobPrimaryJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["parentCustomerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["parentJobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["parentPartnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["parentVendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["partnerPrimaryJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["purchasedItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["upsellItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["vendorPrimaryJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactSearchAdvanced,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "ContactSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ContactSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ContactSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactSearchRow,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "ContactSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchRowBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["customerPrimaryJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["jobPrimaryJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchRowBasic", [0, 1]],
      ["parentCustomerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["parentJobJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["parentPartnerJoin", "ActiveNetsuite::PartnerSearchRowBasic", [0, 1]],
      ["parentVendorJoin", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchRowBasic", [0, 1]],
      ["partnerPrimaryJoin", "ActiveNetsuite::PartnerSearchRowBasic", [0, 1]],
      ["purchasedItemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["upsellItemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]],
      ["vendorPrimaryJoin", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Customer,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "Customer"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityId", "SOAP::SOAPString", [0, 1]],
      ["altName", "SOAP::SOAPString", [0, 1]],
      ["isPerson", "SOAP::SOAPBoolean", [0, 1]],
      ["phoneticName", "SOAP::SOAPString", [0, 1]],
      ["salutation", "SOAP::SOAPString", [0, 1]],
      ["firstName", "SOAP::SOAPString", [0, 1]],
      ["middleName", "SOAP::SOAPString", [0, 1]],
      ["lastName", "SOAP::SOAPString", [0, 1]],
      ["companyName", "SOAP::SOAPString", [0, 1]],
      ["entityStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["url", "SOAP::SOAPString", [0, 1]],
      ["defaultAddress", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["printOnCheckAs", "SOAP::SOAPString", [0, 1]],
      ["altPhone", "SOAP::SOAPString", [0, 1]],
      ["homePhone", "SOAP::SOAPString", [0, 1]],
      ["mobilePhone", "SOAP::SOAPString", [0, 1]],
      ["altEmail", "SOAP::SOAPString", [0, 1]],
      ["language", "ActiveNetsuite::Language", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["numberFormat", "ActiveNetsuite::CustomerNumberFormat", [0, 1]],
      ["negativeNumberFormat", "ActiveNetsuite::CustomerNegativeNumberFormat", [0, 1]],
      ["dateCreated", "SOAP::SOAPDateTime", [0, 1]],
      ["image", "ActiveNetsuite::RecordRef", [0, 1]],
      ["emailPreference", "ActiveNetsuite::EmailPreference", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["representingSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["territory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vatRegNumber", "SOAP::SOAPString", [0, 1]],
      ["accountNumber", "SOAP::SOAPString", [0, 1]],
      ["taxExempt", "SOAP::SOAPBoolean", [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["creditLimit", "SOAP::SOAPDouble", [0, 1]],
      ["creditHoldOverride", "ActiveNetsuite::CustomerCreditHoldOverride", [0, 1]],
      ["monthlyClosing", "ActiveNetsuite::CustomerMonthlyClosing", [0, 1]],
      ["overrideCurrencyFormat", "SOAP::SOAPBoolean", [0, 1]],
      ["displaySymbol", "SOAP::SOAPString", [0, 1]],
      ["symbolPlacement", "ActiveNetsuite::CurrencySymbolPlacement", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["overdueBalance", "SOAP::SOAPDouble", [0, 1]],
      ["daysOverdue", "SOAP::SOAPLong", [0, 1]],
      ["unbilledOrders", "SOAP::SOAPDouble", [0, 1]],
      ["consolUnbilledOrders", "SOAP::SOAPDouble", [0, 1]],
      ["consolOverdueBalance", "SOAP::SOAPDouble", [0, 1]],
      ["consolDepositBalance", "SOAP::SOAPDouble", [0, 1]],
      ["consolBalance", "SOAP::SOAPDouble", [0, 1]],
      ["consolAging", "SOAP::SOAPDouble", [0, 1]],
      ["consolDaysOverdue", "SOAP::SOAPLong", [0, 1]],
      ["priceLevel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["prefCCProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["depositBalance", "SOAP::SOAPDouble", [0, 1]],
      ["shipComplete", "SOAP::SOAPBoolean", [0, 1]],
      ["taxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["resaleNumber", "SOAP::SOAPString", [0, 1]],
      ["aging", "SOAP::SOAPDouble", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["reminderDays", "SOAP::SOAPLong", [0, 1]],
      ["shippingItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["thirdPartyAcct", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyZipcode", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyCountry", "ActiveNetsuite::Country", [0, 1]],
      ["giveAccess", "SOAP::SOAPBoolean", [0, 1]],
      ["estimatedBudget", "SOAP::SOAPDouble", [0, 1]],
      ["accessRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["password", "SOAP::SOAPString", [0, 1]],
      ["password2", "SOAP::SOAPString", [0, 1]],
      ["requirePwdChange", "SOAP::SOAPBoolean", [0, 1]],
      ["campaignCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["receivablesAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["drAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fxAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["defaultOrderPriority", "SOAP::SOAPDouble", [0, 1]],
      ["webLead", "SOAP::SOAPString", [0, 1]],
      ["referrer", "SOAP::SOAPString", [0, 1]],
      ["keywords", "SOAP::SOAPString", [0, 1]],
      ["clickStream", "SOAP::SOAPString", [0, 1]],
      ["lastPageVisited", "SOAP::SOAPString", [0, 1]],
      ["visits", "SOAP::SOAPLong", [0, 1]],
      ["firstVisit", "SOAP::SOAPDateTime", [0, 1]],
      ["lastVisit", "SOAP::SOAPDateTime", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["openingBalance", "SOAP::SOAPDouble", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["openingBalanceDate", "SOAP::SOAPDateTime", [0, 1]],
      ["openingBalanceAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stage", "ActiveNetsuite::CustomerStage", [0, 1]],
      ["emailTransactions", "SOAP::SOAPBoolean", [0, 1]],
      ["printTransactions", "SOAP::SOAPBoolean", [0, 1]],
      ["faxTransactions", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["isBudgetApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::GlobalSubscriptionStatus", [0, 1]],
      ["salesReadiness", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::CustomerSalesTeamList", [0, 1]],
      ["buyingReason", "ActiveNetsuite::RecordRef", [0, 1]],
      ["downloadList", "ActiveNetsuite::CustomerDownloadList", [0, 1]],
      ["buyingTimeFrame", "ActiveNetsuite::RecordRef", [0, 1]],
      ["addressbookList", "ActiveNetsuite::CustomerAddressbookList", [0, 1]],
      ["subscriptionsList", "ActiveNetsuite::SubscriptionsList", [0, 1]],
      ["contactRolesList", "ActiveNetsuite::ContactAccessRolesList", [0, 1]],
      ["currencyList", "ActiveNetsuite::CustomerCurrencyList", [0, 1]],
      ["creditCardsList", "ActiveNetsuite::CustomerCreditCardsList", [0, 1]],
      ["partnersList", "ActiveNetsuite::CustomerPartnersList", [0, 1]],
      ["groupPricingList", "ActiveNetsuite::CustomerGroupPricingList", [0, 1]],
      ["itemPricingList", "ActiveNetsuite::CustomerItemPricingList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerDownload,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerDownload"),
    :schema_element => [
      ["file", "ActiveNetsuite::RecordRef", [0, 1]],
      ["licenseCode", "SOAP::SOAPString", [0, 1]],
      ["remainingDownloads", "SOAP::SOAPLong", [0, 1]],
      ["expiration", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerDownloadList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerDownloadList"),
    :schema_element => [
      ["download", "ActiveNetsuite::CustomerDownload[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactAccessRoles,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "ContactAccessRoles"),
    :schema_element => [
      ["giveAccess", "SOAP::SOAPBoolean", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["role", "ActiveNetsuite::RecordRef", [0, 1]],
      ["password", "SOAP::SOAPString", [0, 1]],
      ["password2", "SOAP::SOAPString", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactAccessRolesList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "ContactAccessRolesList"),
    :schema_element => [
      ["contactRoles", "ActiveNetsuite::ContactAccessRoles[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerSalesTeam_,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerSalesTeam"),
    :schema_element => [
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerSalesTeamList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerSalesTeamList"),
    :schema_element => [
      ["salesTeam", "ActiveNetsuite::CustomerSalesTeam_[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerAddressbook,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerAddressbook"),
    :schema_element => [
      ["defaultShipping", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultBilling", "SOAP::SOAPBoolean", [0, 1]],
      ["isResidential", "SOAP::SOAPBoolean", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["attention", "SOAP::SOAPString", [0, 1]],
      ["addressee", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["addr1", "SOAP::SOAPString", [0, 1]],
      ["addr2", "SOAP::SOAPString", [0, 1]],
      ["addr3", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["addrText", "SOAP::SOAPString", [0, 1]],
      ["override", "SOAP::SOAPBoolean", [0, 1]],
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerAddressbookList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerAddressbookList"),
    :schema_element => [
      ["addressbook", "ActiveNetsuite::CustomerAddressbook[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerCreditCards,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerCreditCards"),
    :schema_element => [
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["debitcardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["ccMemo", "SOAP::SOAPString", [0, 1]],
      ["validfrom", "SOAP::SOAPDateTime", [0, 1]],
      ["ccDefault", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerCreditCardsList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerCreditCardsList"),
    :schema_element => [
      ["creditCards", "ActiveNetsuite::CustomerCreditCards[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerGroupPricing,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerGroupPricing"),
    :schema_element => [
      ["group", "ActiveNetsuite::RecordRef", [0, 1]],
      ["level", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerGroupPricingList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerGroupPricingList"),
    :schema_element => [
      ["groupPricing", "ActiveNetsuite::CustomerGroupPricing[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerItemPricing,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerItemPricing"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["level", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["price", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerItemPricingList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerItemPricingList"),
    :schema_element => [
      ["itemPricing", "ActiveNetsuite::CustomerItemPricing[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerPartnersList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerPartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::Partners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerSearch,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["hostedPageJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["leadSourceJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["parentCustomerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["purchasedItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["resourceAllocationJoin", "ActiveNetsuite::ResourceAllocationSearchBasic", [0, 1]],
      ["salesRepJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["subCustomerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["topLevelParentJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["upsellItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["webSiteCategoryJoin", "ActiveNetsuite::SiteCategorySearchBasic", [0, 1]],
      ["webSiteItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerSearchAdvanced,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::CustomerSearch", [0, 1]],
      ["columns", "ActiveNetsuite::CustomerSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerSearchRow,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchRowBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["hostedPageJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["leadSourceJoin", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchRowBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchRowBasic", [0, 1]],
      ["parentCustomerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchRowBasic", [0, 1]],
      ["purchasedItemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["resourceAllocationJoin", "ActiveNetsuite::ResourceAllocationSearchRowBasic", [0, 1]],
      ["salesRepJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["subCustomerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchRowBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchRowBasic", [0, 1]],
      ["topLevelParentJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["upsellItemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["webSiteCategoryJoin", "ActiveNetsuite::SiteCategorySearchRowBasic", [0, 1]],
      ["webSiteItemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerStatus,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerStatus"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["stage", "ActiveNetsuite::CustomerStatusStage", [0, 1]],
      ["probability", "SOAP::SOAPDouble", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["includeInLeadReports", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Partner,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "Partner"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityId", "SOAP::SOAPString", [0, 1]],
      ["altName", "SOAP::SOAPString", [0, 1]],
      ["partnerCode", "SOAP::SOAPString", [0, 1]],
      ["isPerson", "SOAP::SOAPBoolean", [0, 1]],
      ["phoneticName", "SOAP::SOAPString", [0, 1]],
      ["salutation", "SOAP::SOAPString", [0, 1]],
      ["firstName", "SOAP::SOAPString", [0, 1]],
      ["middleName", "SOAP::SOAPString", [0, 1]],
      ["lastName", "SOAP::SOAPString", [0, 1]],
      ["companyName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["url", "SOAP::SOAPString", [0, 1]],
      ["defaultAddress", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["dateCreated", "SOAP::SOAPDateTime", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::GlobalSubscriptionStatus", [0, 1]],
      ["referringUrl", "SOAP::SOAPString", [0, 1]],
      ["roleList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["categoryList", "ActiveNetsuite::CategoryList", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["printOnCheckAs", "SOAP::SOAPString", [0, 1]],
      ["taxIdNum", "SOAP::SOAPString", [0, 1]],
      ["vatRegNumber", "SOAP::SOAPString", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["bcn", "SOAP::SOAPString", [0, 1]],
      ["image", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxFractionUnit", "ActiveNetsuite::TaxFractionUnit", [0, 1]],
      ["emailPreference", "ActiveNetsuite::EmailPreference", [0, 1]],
      ["taxRounding", "ActiveNetsuite::TaxRounding", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["homePhone", "SOAP::SOAPString", [0, 1]],
      ["mobilePhone", "SOAP::SOAPString", [0, 1]],
      ["altEmail", "SOAP::SOAPString", [0, 1]],
      ["giveAccess", "SOAP::SOAPBoolean", [0, 1]],
      ["accessRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["password", "SOAP::SOAPString", [0, 1]],
      ["password2", "SOAP::SOAPString", [0, 1]],
      ["requirePwdChange", "SOAP::SOAPBoolean", [0, 1]],
      ["subPartnerLogin", "SOAP::SOAPBoolean", [0, 1]],
      ["loginAs", "SOAP::SOAPString", [0, 1]],
      ["eligibleForCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["contactRolesList", "ActiveNetsuite::ContactAccessRolesList", [0, 1]],
      ["promoCodeList", "ActiveNetsuite::PartnerPromoCodeList", [0, 1]],
      ["addressbookList", "ActiveNetsuite::PartnerAddressbookList", [0, 1]],
      ["subscriptionsList", "ActiveNetsuite::SubscriptionsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PartnerPromoCode,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerPromoCode"),
    :schema_element => [
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discount", "SOAP::SOAPString", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PartnerPromoCodeList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerPromoCodeList"),
    :schema_element => [
      ["promoCode", "ActiveNetsuite::PartnerPromoCode[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PartnerAddressbook,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerAddressbook"),
    :schema_element => [
      ["defaultShipping", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultBilling", "SOAP::SOAPBoolean", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["attention", "SOAP::SOAPString", [0, 1]],
      ["addressee", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["addr1", "SOAP::SOAPString", [0, 1]],
      ["addr2", "SOAP::SOAPString", [0, 1]],
      ["addr3", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["addrText", "SOAP::SOAPString", [0, 1]],
      ["override", "SOAP::SOAPBoolean", [0, 1]],
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PartnerAddressbookList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerAddressbookList"),
    :schema_element => [
      ["addressbook", "ActiveNetsuite::PartnerAddressbook[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PartnerSearch,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PartnerSearchAdvanced,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::PartnerSearch", [0, 1]],
      ["columns", "ActiveNetsuite::PartnerSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PartnerSearchRow,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PartnerSearchRowBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Vendor,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "Vendor"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityId", "SOAP::SOAPString", [0, 1]],
      ["altName", "SOAP::SOAPString", [0, 1]],
      ["isPerson", "SOAP::SOAPBoolean", [0, 1]],
      ["phoneticName", "SOAP::SOAPString", [0, 1]],
      ["salutation", "SOAP::SOAPString", [0, 1]],
      ["firstName", "SOAP::SOAPString", [0, 1]],
      ["middleName", "SOAP::SOAPString", [0, 1]],
      ["lastName", "SOAP::SOAPString", [0, 1]],
      ["companyName", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["url", "SOAP::SOAPString", [0, 1]],
      ["defaultAddress", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["dateCreated", "SOAP::SOAPDateTime", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["printOnCheckAs", "SOAP::SOAPString", [0, 1]],
      ["altPhone", "SOAP::SOAPString", [0, 1]],
      ["homePhone", "SOAP::SOAPString", [0, 1]],
      ["mobilePhone", "SOAP::SOAPString", [0, 1]],
      ["altEmail", "SOAP::SOAPString", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::GlobalSubscriptionStatus", [0, 1]],
      ["image", "ActiveNetsuite::RecordRef", [0, 1]],
      ["emailPreference", "ActiveNetsuite::EmailPreference", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["representingSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["accountNumber", "SOAP::SOAPString", [0, 1]],
      ["legalName", "SOAP::SOAPString", [0, 1]],
      ["vatRegNumber", "SOAP::SOAPString", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payablesAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["creditLimit", "SOAP::SOAPDouble", [0, 1]],
      ["balancePrimary", "SOAP::SOAPDouble", [0, 1]],
      ["openingBalance", "SOAP::SOAPDouble", [0, 1]],
      ["openingBalanceDate", "SOAP::SOAPDateTime", [0, 1]],
      ["openingBalanceAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["unbilledOrdersPrimary", "SOAP::SOAPDouble", [0, 1]],
      ["bcn", "SOAP::SOAPString", [0, 1]],
      ["unbilledOrders", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["is1099Eligible", "SOAP::SOAPBoolean", [0, 1]],
      ["isJobResourceVend", "SOAP::SOAPBoolean", [0, 1]],
      ["laborCost", "SOAP::SOAPDouble", [0, 1]],
      ["workCalendar", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxIdNum", "SOAP::SOAPString", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["giveAccess", "SOAP::SOAPBoolean", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["isAccountant", "SOAP::SOAPBoolean", [0, 1]],
      ["password", "SOAP::SOAPString", [0, 1]],
      ["password2", "SOAP::SOAPString", [0, 1]],
      ["requirePwdChange", "SOAP::SOAPBoolean", [0, 1]],
      ["eligibleForCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["emailTransactions", "SOAP::SOAPBoolean", [0, 1]],
      ["printTransactions", "SOAP::SOAPBoolean", [0, 1]],
      ["faxTransactions", "SOAP::SOAPBoolean", [0, 1]],
      ["pricingScheduleList", "ActiveNetsuite::VendorPricingScheduleList", [0, 1]],
      ["subscriptionsList", "ActiveNetsuite::SubscriptionsList", [0, 1]],
      ["addressbookList", "ActiveNetsuite::VendorAddressbookList", [0, 1]],
      ["currencyList", "ActiveNetsuite::VendorCurrencyList", [0, 1]],
      ["rolesList", "ActiveNetsuite::VendorRolesList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorPricingSchedule,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorPricingSchedule"),
    :schema_element => [
      ["scheduleName", "SOAP::SOAPString", [0, 1]],
      ["scheduleDiscount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorPricingScheduleList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorPricingScheduleList"),
    :schema_element => [
      ["pricingSchedule", "ActiveNetsuite::VendorPricingSchedule[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorAddressbook,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorAddressbook"),
    :schema_element => [
      ["defaultShipping", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultBilling", "SOAP::SOAPBoolean", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["attention", "SOAP::SOAPString", [0, 1]],
      ["addressee", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["addr1", "SOAP::SOAPString", [0, 1]],
      ["addr2", "SOAP::SOAPString", [0, 1]],
      ["addr3", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["addrText", "SOAP::SOAPString", [0, 1]],
      ["override", "SOAP::SOAPBoolean", [0, 1]],
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorAddressbookList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorAddressbookList"),
    :schema_element => [
      ["addressbook", "ActiveNetsuite::VendorAddressbook[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorRoles,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorRoles"),
    :schema_element => [
      ["selectedRole", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorRolesList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorRolesList"),
    :schema_element => [
      ["roles", "ActiveNetsuite::VendorRoles[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorSearch,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorSearchAdvanced,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::VendorSearch", [0, 1]],
      ["columns", "ActiveNetsuite::VendorSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorSearchRow,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EntityGroup,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EntityGroup"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["groupName", "SOAP::SOAPString", [0, 1]],
      ["groupType", "ActiveNetsuite::EntityGroupType", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["groupOwner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSavedSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["parentGroupType", "ActiveNetsuite::EntityGroupType", [0, 1]],
      ["savedSearch", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSalesTeam", "SOAP::SOAPBoolean", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["isPrivate", "SOAP::SOAPBoolean", [0, 1]],
      ["restrictionGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["isSalesRep", "SOAP::SOAPBoolean", [0, 1]],
      ["isSupportRep", "SOAP::SOAPBoolean", [0, 1]],
      ["isProductTeam", "SOAP::SOAPBoolean", [0, 1]],
      ["isFunctionalTeam", "SOAP::SOAPBoolean", [0, 1]],
      ["issueRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isManufacturingWorkCenter", "SOAP::SOAPBoolean", [0, 1]],
      ["calendarName", "SOAP::SOAPString", [0, 1]],
      ["calendarStartTime", "ActiveNetsuite::EntityGroupDailyTime", [0, 1]],
      ["calendarEndTime", "ActiveNetsuite::EntityGroupDailyTime", [0, 1]],
      ["calendarDefaultView", "ActiveNetsuite::EntityGroupDefView", [0, 1]],
      ["calendarPeriod", "ActiveNetsuite::EntityGroupPeriodSize", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["machineResources", "SOAP::SOAPLong", [0, 1]],
      ["laborResources", "SOAP::SOAPLong", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EntityGroupSearch,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EntityGroupSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::EntityGroupSearchBasic", [0, 1]],
      ["groupMemberJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EntityGroupSearchAdvanced,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EntityGroupSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::EntityGroupSearch", [0, 1]],
      ["columns", "ActiveNetsuite::EntityGroupSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EntityGroupSearchRow,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EntityGroupSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::EntityGroupSearchRowBasic", [0, 1]],
      ["groupMemberJoin", "ActiveNetsuite::EntitySearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Job,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "Job"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityId", "SOAP::SOAPString", [0, 1]],
      ["altName", "SOAP::SOAPString", [0, 1]],
      ["companyName", "SOAP::SOAPString", [0, 1]],
      ["phoneticName", "SOAP::SOAPString", [0, 1]],
      ["entityStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["defaultAddress", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["dateCreated", "SOAP::SOAPDateTime", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["workplace", "ActiveNetsuite::RecordRef", [0, 1]],
      ["language", "ActiveNetsuite::RecordRef", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["accountNumber", "SOAP::SOAPString", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fxRate", "SOAP::SOAPDouble", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["altPhone", "SOAP::SOAPString", [0, 1]],
      ["calculatedEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["calculatedEndDateBaseline", "SOAP::SOAPDateTime", [0, 1]],
      ["startDateBaseline", "SOAP::SOAPDateTime", [0, 1]],
      ["projectedEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["projectedEndDateBaseline", "SOAP::SOAPDateTime", [0, 1]],
      ["lastBaselineDate", "SOAP::SOAPDateTime", [0, 1]],
      ["jobType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["percentComplete", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedCost", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedTime", "ActiveNetsuite::Duration", [0, 1]],
      ["estimatedTimeOverride", "ActiveNetsuite::Duration", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["emailPreference", "ActiveNetsuite::EmailPreference", [0, 1]],
      ["openingBalance", "SOAP::SOAPDouble", [0, 1]],
      ["openingBalanceDate", "SOAP::SOAPDateTime", [0, 1]],
      ["openingBalanceAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["jobBillingType", "ActiveNetsuite::JobBillingType", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["jobItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["percentTimeComplete", "SOAP::SOAPDouble", [0, 1]],
      ["actualTime", "ActiveNetsuite::Duration", [0, 1]],
      ["allowTime", "SOAP::SOAPBoolean", [0, 1]],
      ["timeRemaining", "ActiveNetsuite::Duration", [0, 1]],
      ["limitTimeToAssignees", "SOAP::SOAPBoolean", [0, 1]],
      ["estimatedLaborCost", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedLaborCostBaseline", "SOAP::SOAPDouble", [0, 1]],
      ["estimateRevRecTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["estimatedLaborRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["projectExpenseType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["applyProjectExpenseTypeToAll", "SOAP::SOAPBoolean", [0, 1]],
      ["allowAllResourcesForTasks", "SOAP::SOAPBoolean", [0, 1]],
      ["jobPrice", "SOAP::SOAPDouble", [0, 1]],
      ["isUtilizedTime", "SOAP::SOAPBoolean", [0, 1]],
      ["isProductiveTime", "SOAP::SOAPBoolean", [0, 1]],
      ["isExemptTime", "SOAP::SOAPBoolean", [0, 1]],
      ["materializeTime", "SOAP::SOAPBoolean", [0, 1]],
      ["allowExpenses", "SOAP::SOAPBoolean", [0, 1]],
      ["allocatePayrollExpenses", "SOAP::SOAPBoolean", [0, 1]],
      ["includeCrmTasksInTotals", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::GlobalSubscriptionStatus", [0, 1]],
      ["jobResourcesList", "ActiveNetsuite::JobResourcesList", [0, 1]],
      ["addressbookList", "ActiveNetsuite::JobAddressbookList", [0, 1]],
      ["milestonesList", "ActiveNetsuite::JobMilestonesList", [0, 1]],
      ["creditCardsList", "ActiveNetsuite::JobCreditCardsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobAddressbook,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobAddressbook"),
    :schema_element => [
      ["defaultShipping", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultBilling", "SOAP::SOAPBoolean", [0, 1]],
      ["isResidential", "SOAP::SOAPBoolean", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["attention", "SOAP::SOAPString", [0, 1]],
      ["addressee", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["addr1", "SOAP::SOAPString", [0, 1]],
      ["addr2", "SOAP::SOAPString", [0, 1]],
      ["addr3", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["addrText", "SOAP::SOAPString", [0, 1]],
      ["override", "SOAP::SOAPBoolean", [0, 1]],
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobAddressbookList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobAddressbookList"),
    :schema_element => [
      ["addressbook", "ActiveNetsuite::JobAddressbook[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobResources,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobResources"),
    :schema_element => [
      ["jobResource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["role", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobResourcesList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobResourcesList"),
    :schema_element => [
      ["jobResources", "ActiveNetsuite::JobResources[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobMilestones,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobMilestones"),
    :schema_element => [
      ["milestoneName", "SOAP::SOAPString", [0, 1]],
      ["milestoneOrder", "SOAP::SOAPString", [0, 1]],
      ["milestoneEstComplete", "SOAP::SOAPDateTime", [0, 1]],
      ["milestoneCompleted", "SOAP::SOAPBoolean", [0, 1]],
      ["milestoneComments", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobMilestonesList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobMilestonesList"),
    :schema_element => [
      ["milestones", "ActiveNetsuite::JobMilestones[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobCreditCards,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobCreditCards"),
    :schema_element => [
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccMemo", "SOAP::SOAPString", [0, 1]],
      ["ccDefault", "SOAP::SOAPBoolean", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobCreditCardsList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobCreditCardsList"),
    :schema_element => [
      ["creditCards", "ActiveNetsuite::JobCreditCards[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobSearch,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["projectTaskJoin", "ActiveNetsuite::ProjectTaskSearchBasic", [0, 1]],
      ["resourceAllocationJoin", "ActiveNetsuite::ResourceAllocationSearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobSearchAdvanced,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::JobSearch", [0, 1]],
      ["columns", "ActiveNetsuite::JobSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobSearchRow,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["projectTaskJoin", "ActiveNetsuite::ProjectTaskSearchRowBasic", [0, 1]],
      ["resourceAllocationJoin", "ActiveNetsuite::ResourceAllocationSearchRowBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchRowBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobType,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobType"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobStatus,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobStatus"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerStatusSearch,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerStatusSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomerStatusSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerStatusSearchAdvanced,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerStatusSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::CustomerStatusSearch", [0, 1]],
      ["columns", "ActiveNetsuite::CustomerStatusSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerStatusSearchRow,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerStatusSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomerStatusSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobStatusSearch,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobStatusSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::JobStatusSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobStatusSearchAdvanced,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobStatusSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::JobStatusSearch", [0, 1]],
      ["columns", "ActiveNetsuite::JobStatusSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobStatusSearchRow,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobStatusSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::JobStatusSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobTypeSearch,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobTypeSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::JobTypeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobTypeSearchAdvanced,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobTypeSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::JobTypeSearch", [0, 1]],
      ["columns", "ActiveNetsuite::JobTypeSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobTypeSearchRow,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobTypeSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::JobTypeSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OriginatingLeadSearch,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "OriginatingLeadSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OriginatingLeadSearchRow,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "OriginatingLeadSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::OriginatingLeadSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerCurrency,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerCurrency"),
    :schema_element => [
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["consolBalance", "SOAP::SOAPDouble", [0, 1]],
      ["depositBalance", "SOAP::SOAPDouble", [0, 1]],
      ["consolDepositBalance", "SOAP::SOAPDouble", [0, 1]],
      ["overdueBalance", "SOAP::SOAPDouble", [0, 1]],
      ["consolOverdueBalance", "SOAP::SOAPDouble", [0, 1]],
      ["unbilledOrders", "SOAP::SOAPDouble", [0, 1]],
      ["consolUnbilledOrders", "SOAP::SOAPDouble", [0, 1]],
      ["overrideCurrencyFormat", "SOAP::SOAPBoolean", [0, 1]],
      ["displaySymbol", "SOAP::SOAPString", [0, 1]],
      ["symbolPlacement", "ActiveNetsuite::CurrencySymbolPlacement", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerCurrencyList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerCurrencyList"),
    :schema_element => [
      ["currency", "ActiveNetsuite::CustomerCurrency[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorCurrency,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorCurrency"),
    :schema_element => [
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["unbilledOrders", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorCurrencyList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorCurrencyList"),
    :schema_element => [
      ["vendorCurrency", "ActiveNetsuite::VendorCurrency[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SupportCase,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCase"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["escalationMessage", "SOAP::SOAPString", [0, 1]],
      ["lastReopenedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["incomingMessage", "SOAP::SOAPString", [0, 1]],
      ["insertSolution", "ActiveNetsuite::RecordRef", [0, 1]],
      ["outgoingMessage", "SOAP::SOAPString", [0, 1]],
      ["searchSolution", "SOAP::SOAPString", [0, 1]],
      ["emailForm", "SOAP::SOAPBoolean", [0, 1]],
      ["newSolutionFromMsg", "SOAP::SOAPString", [0, 1]],
      ["internalOnly", "SOAP::SOAPBoolean", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["caseNumber", "SOAP::SOAPString", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastMessageDate", "SOAP::SOAPDateTime", [0, 1]],
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["product", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_module", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "module")], [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["serialNumber", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inboundEmail", "SOAP::SOAPString", [0, 1]],
      ["issue", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["priority", "ActiveNetsuite::RecordRef", [0, 1]],
      ["origin", "ActiveNetsuite::RecordRef", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assigned", "ActiveNetsuite::RecordRef", [0, 1]],
      ["helpDesk", "SOAP::SOAPBoolean", [0, 1]],
      ["emailEmployeesList", "ActiveNetsuite::EmailEmployeesList", [0, 1]],
      ["escalateToList", "ActiveNetsuite::SupportCaseEscalateToList", [0, 1]],
      ["timeItemList", "ActiveNetsuite::SupportCaseTimeItemList", [0, 1]],
      ["solutionsList", "ActiveNetsuite::SupportCaseSolutionsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmailEmployeesList,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "EmailEmployeesList"),
    :schema_element => [
      ["emailEmployees", "ActiveNetsuite::RecordRef[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SupportCaseEscalateTo,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseEscalateTo"),
    :schema_element => [
      ["escalatee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SupportCaseEscalateToList,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseEscalateToList"),
    :schema_element => [
      ["escalateTo", "ActiveNetsuite::SupportCaseEscalateTo[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SupportCaseSolutions,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseSolutions"),
    :schema_element => [
      ["solution", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["dateApplied", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SupportCaseSolutionsList,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseSolutionsList"),
    :schema_element => [
      ["solutions", "ActiveNetsuite::SupportCaseSolutions[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SupportCaseTimeItemList,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseTimeItemList"),
    :schema_element => [
      ["timeItem", "ActiveNetsuite::TimeItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SupportCaseSearch,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["issueJoin", "ActiveNetsuite::IssueSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SupportCaseSearchAdvanced,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::SupportCaseSearch", [0, 1]],
      ["columns", "ActiveNetsuite::SupportCaseSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SupportCaseSearchRow,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["issueJoin", "ActiveNetsuite::IssueSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SupportCaseStatus,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseStatus"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stage", "ActiveNetsuite::SupportCaseStatusStage", [0, 1]],
      ["caseOnHold", "SOAP::SOAPBoolean", [0, 1]],
      ["autoCloseCase", "SOAP::SOAPBoolean", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SupportCaseType,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseType"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SupportCaseOrigin,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseOrigin"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SupportCaseIssue,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseIssue"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SupportCasePriority,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCasePriority"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Solution,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "Solution"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["solutionCode", "SOAP::SOAPString", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["status", "ActiveNetsuite::SolutionStatus", [0, 1]],
      ["displayOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["assigned", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["longDescription", "SOAP::SOAPString", [0, 1]],
      ["topicsList", "ActiveNetsuite::SolutionTopicsList", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["solutionsList", "ActiveNetsuite::SolutionsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SolutionTopics,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SolutionTopics"),
    :schema_element => [
      ["topic", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SolutionTopicsList,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SolutionTopicsList"),
    :schema_element => [
      ["topics", "ActiveNetsuite::SolutionTopics[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Solutions,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "Solutions"),
    :schema_element => [
      ["solution", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SolutionsList,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SolutionsList"),
    :schema_element => [
      ["solutions", "ActiveNetsuite::Solutions[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SolutionSearch,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SolutionSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SolutionSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["relatedSolutionJoin", "ActiveNetsuite::SolutionSearchBasic", [0, 1]],
      ["topicJoin", "ActiveNetsuite::TopicSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SolutionSearchAdvanced,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SolutionSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::SolutionSearch", [0, 1]],
      ["columns", "ActiveNetsuite::SolutionSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SolutionSearchRow,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SolutionSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SolutionSearchRowBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["relatedSolutionJoin", "ActiveNetsuite::SolutionSearchRowBasic", [0, 1]],
      ["topicJoin", "ActiveNetsuite::TopicSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Topic,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "Topic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["parentTopic", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["longDescription", "SOAP::SOAPString", [0, 1]],
      ["solutionList", "ActiveNetsuite::TopicSolutionList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TopicSolution,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "TopicSolution"),
    :schema_element => [
      ["solution", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TopicSolutionList,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "TopicSolutionList"),
    :schema_element => [
      ["solution", "ActiveNetsuite::TopicSolution[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TopicSearch,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "TopicSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TopicSearchBasic", [0, 1]],
      ["solutionJoin", "ActiveNetsuite::SolutionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TopicSearchAdvanced,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "TopicSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::TopicSearch", [0, 1]],
      ["columns", "ActiveNetsuite::TopicSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TopicSearchRow,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "TopicSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TopicSearchRowBasic", [0, 1]],
      ["solutionJoin", "ActiveNetsuite::SolutionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Issue,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "Issue"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueNumber", "SOAP::SOAPString", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["issueType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["product", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_module", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "module")], [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["productTeam", "ActiveNetsuite::RecordRef", [0, 1]],
      ["source", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reportedBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reproduce", "ActiveNetsuite::RecordRef", [0, 1]],
      ["severity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["priority", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isShowStopper", "SOAP::SOAPBoolean", [0, 1]],
      ["assigned", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reviewer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isReviewed", "SOAP::SOAPBoolean", [0, 1]],
      ["issueStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["issueTagsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["issueAbstract", "SOAP::SOAPString", [0, 1]],
      ["newDetails", "SOAP::SOAPString", [0, 1]],
      ["isOwner", "SOAP::SOAPBoolean", [0, 1]],
      ["trackCode", "ActiveNetsuite::IssueTrackCode", [0, 1]],
      ["emailAssignee", "SOAP::SOAPBoolean", [0, 1]],
      ["emailEmployeesList", "ActiveNetsuite::EmailEmployeesList", [0, 1]],
      ["emailCellsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["externalAbstract", "SOAP::SOAPString", [0, 1]],
      ["externalDetails", "SOAP::SOAPString", [0, 1]],
      ["brokenInVersionList", "ActiveNetsuite::IssueVersionList", [0, 1]],
      ["targetVersionList", "ActiveNetsuite::IssueVersionList", [0, 1]],
      ["fixedInVersionList", "ActiveNetsuite::IssueVersionList", [0, 1]],
      ["relatedIssuesList", "ActiveNetsuite::IssueRelatedIssuesList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::IssueVersion,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "IssueVersion"),
    :schema_element => [
      ["primary", "SOAP::SOAPBoolean", [0, 1]],
      ["version", "ActiveNetsuite::RecordRef", [0, 1]],
      ["build", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::IssueVersionList,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "IssueVersionList"),
    :schema_element => [
      ["issueVersion", "ActiveNetsuite::IssueVersion[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::IssueSearch,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "IssueSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::IssueSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::IssueSearchAdvanced,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "IssueSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::IssueSearch", [0, 1]],
      ["columns", "ActiveNetsuite::IssueSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::IssueSearchRow,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "IssueSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::IssueSearchRowBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::IssueRelatedIssues,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "IssueRelatedIssues"),
    :schema_element => [
      ["relationship", "ActiveNetsuite::IssueRelationship", [0, 1]],
      ["issueNumber", "ActiveNetsuite::RecordRef", [0, 1]],
      ["relationshipComment", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::IssueRelatedIssuesList,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "IssueRelatedIssuesList"),
    :schema_element => [
      ["issueRelatedIssues", "ActiveNetsuite::IssueRelatedIssues[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ClassTranslation,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ClassTranslation"),
    :schema_element => [
      ["locale", "SOAP::SOAPString", [0, 1]],
      ["language", "SOAP::SOAPString", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ClassTranslationList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ClassTranslationList"),
    :schema_element => [
      ["classTranslation", "ActiveNetsuite::ClassTranslation[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactCategory,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ContactCategory"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["private", "SOAP::SOAPBoolean", [0, 1]],
      ["sync", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerCategory,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerCategory"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SalesRole,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SalesRole"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isSalesRep", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PriceLevel,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PriceLevel"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["discountpct", "SOAP::SOAPDouble", [0, 1]],
      ["updateExistingPrices", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WinLossReason,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "WinLossReason"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Term,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Term"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["dateDriven", "SOAP::SOAPBoolean", [0, 1]],
      ["daysUntilNetDue", "SOAP::SOAPLong", [0, 1]],
      ["discountPercent", "SOAP::SOAPDouble", [0, 1]],
      ["daysUntilExpiry", "SOAP::SOAPLong", [0, 1]],
      ["dayOfMonthNetDue", "SOAP::SOAPLong", [0, 1]],
      ["dueNextMonthIfWithinDays", "SOAP::SOAPLong", [0, 1]],
      ["discountPercentDateDriven", "SOAP::SOAPDouble", [0, 1]],
      ["dayDiscountExpires", "SOAP::SOAPLong", [0, 1]],
      ["preferred", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NoteType,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NoteType"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PaymentMethod,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PaymentMethod"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["creditCard", "SOAP::SOAPBoolean", [0, 1]],
      ["undepFunds", "SOAP::SOAPBoolean", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isDebitCard", "SOAP::SOAPBoolean", [0, 1]],
      ["merchantAccountsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["payPalEmailAddress", "SOAP::SOAPString", [0, 1]],
      ["expressCheckoutArrangement", "SOAP::SOAPString", [0, 1]],
      ["useExpressCheckout", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LeadSource,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LeadSource"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Price,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Price"),
    :schema_element => [
      ["value", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PriceList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PriceList"),
    :schema_element => [
      ["price", "ActiveNetsuite::Price[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Pricing,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Pricing"),
    :schema_element => [
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["priceLevel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discount", "SOAP::SOAPDouble", [0, 1]],
      ["priceList", "ActiveNetsuite::PriceList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PricingMatrix,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PricingMatrix"),
    :schema_element => [
      ["pricing", "ActiveNetsuite::Pricing[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Rate,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Rate"),
    :schema_element => [
      ["value", "SOAP::SOAPDouble", [0, 1]],
      ["priceLevel", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RateList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RateList"),
    :schema_element => [
      ["rate", "ActiveNetsuite::Rate[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BillingRates,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "BillingRates"),
    :schema_element => [
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingClass", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rateList", "ActiveNetsuite::RateList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BillingRatesMatrix,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "BillingRatesMatrix"),
    :schema_element => [
      ["billingRates", "ActiveNetsuite::BillingRates[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Translation,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Translation"),
    :schema_element => [
      ["locale", "ActiveNetsuite::Language", [0, 1]],
      ["language", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TranslationList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TranslationList"),
    :schema_element => [
      ["translation", "ActiveNetsuite::Translation[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemOptionsList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemOptionsList"),
    :schema_element => [
      ["itemOptions", "ActiveNetsuite::RecordRef[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemVendor,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemVendor"),
    :schema_element => [
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vendorCode", "SOAP::SOAPString", [0, 1]],
      ["vendorCurrencyName", "SOAP::SOAPString", [0, 1]],
      ["vendorCurrency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["preferredVendor", "SOAP::SOAPBoolean", [0, 1]],
      ["schedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemVendorList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemVendorList"),
    :schema_element => [
      ["itemVendor", "ActiveNetsuite::ItemVendor[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SiteCategory_,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SiteCategory"),
    :schema_element => [
      ["website", "ActiveNetsuite::RecordRef", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isDefault", "SOAP::SOAPBoolean", [0, 1]],
      ["categoryDescription", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SiteCategoryList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SiteCategoryList"),
    :schema_element => [
      ["siteCategory", "ActiveNetsuite::SiteCategory_[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ProductFeedList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ProductFeedList"),
    :schema_element => [
      ["productFeed", "ActiveNetsuite::ItemProductFeed[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemMember,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemMember"),
    :schema_element => [
      ["memberDescr", "SOAP::SOAPString", [0, 1]],
      ["componentYield", "SOAP::SOAPDouble", [0, 1]],
      ["bomQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["memberUnit", "SOAP::SOAPString", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxcode", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxrate", "SOAP::SOAPDouble", [0, 1]],
      ["effectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["obsoleteDate", "SOAP::SOAPDateTime", [0, 1]],
      ["effectiveRevision", "ActiveNetsuite::RecordRef", [0, 1]],
      ["obsoleteRevision", "ActiveNetsuite::RecordRef", [0, 1]],
      ["lineNumber", "SOAP::SOAPLong", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemMemberList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemMemberList"),
    :schema_element => [
      ["itemMember", "ActiveNetsuite::ItemMember[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["copyDescription", "SOAP::SOAPBoolean", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dateConvertedToInv", "SOAP::SOAPDateTime", [0, 1]],
      ["originalItemType", "ActiveNetsuite::ItemType", [0, 1]],
      ["originalItemSubtype", "ActiveNetsuite::ItemSubType", [0, 1]],
      ["cogsAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["assetAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matchBillToReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["billQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billExchRateVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gainLossAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["weightUnits", "SOAP::SOAPString", [0, 1]],
      ["costingMethodDisplay", "SOAP::SOAPString", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackLandedCost", "SOAP::SOAPBoolean", [0, 1]],
      ["isDropShipItem", "SOAP::SOAPBoolean", [0, 1]],
      ["isSpecialOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturerAddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["roundUpAsComponent", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::ScheduleBCode", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["purchasePriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reorderPointUnits", "SOAP::SOAPString", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["transferPrice", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reorderMultiple", "SOAP::SOAPLong", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["totalValue", "SOAP::SOAPDouble", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["useBins", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityReorderUnits", "SOAP::SOAPString", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["autoLeadTime", "SOAP::SOAPBoolean", [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["autoPreferredStockLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelDays", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevelDays", "SOAP::SOAPLong", [0, 1]],
      ["backwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["seasonalDemand", "SOAP::SOAPBoolean", [0, 1]],
      ["safetyStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["demandModifier", "SOAP::SOAPDouble", [0, 1]],
      ["autoReorderPoint", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costingMethod", "ActiveNetsuite::ItemCostingMethod", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["periodicLotSizeType", "ActiveNetsuite::PeriodicLotSizeType", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["periodicLotSizeDays", "SOAP::SOAPLong", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["forwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["onHandValueMli", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommittedUnits", "SOAP::SOAPString", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityAvailableUnits", "SOAP::SOAPString", [0, 1]],
      ["quantityOnHandUnits", "SOAP::SOAPString", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityOnOrderUnits", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["binNumberList", "ActiveNetsuite::InventoryItemBinNumberList", [0, 1]],
      ["locationsList", "ActiveNetsuite::InventoryItemLocationsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::MatrixOptionList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "MatrixOptionList"),
    :schema_element => [
      ["matrixOption", "ActiveNetsuite::SelectCustomFieldRef[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryItemBinNumber,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryItemBinNumber"),
    :schema_element => [
      ["binNumber", "ActiveNetsuite::RecordRef", [0, 1]],
      ["onHand", "SOAP::SOAPString", [0, 1]],
      ["onHandAvail", "SOAP::SOAPString", [0, 1]],
      ["location", "SOAP::SOAPString", [0, 1]],
      ["preferredBin", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryItemBinNumberList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryItemBinNumberList"),
    :schema_element => [
      ["binNumber", "ActiveNetsuite::InventoryItemBinNumber[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryItemLocations,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryItemLocations"),
    :schema_element => [
      ["location", "SOAP::SOAPString", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["onHandValueMli", "SOAP::SOAPDouble", [0, 1]],
      ["averageCostMli", "SOAP::SOAPDouble", [0, 1]],
      ["lastPurchasePriceMli", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["inventoryCostTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildTime", "SOAP::SOAPDouble", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["isWip", "SOAP::SOAPBoolean", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["costingLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["locationId", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["periodicLotSizeType", "ActiveNetsuite::PeriodicLotSizeType", [0, 1]],
      ["periodicLotSizeDays", "SOAP::SOAPLong", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["backwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["forwardConsumptionDays", "SOAP::SOAPLong", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryItemLocationsList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryItemLocationsList"),
    :schema_element => [
      ["locations", "ActiveNetsuite::InventoryItemLocations[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PresentationItemList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PresentationItemList"),
    :schema_element => [
      ["presentationItem", "ActiveNetsuite::PresentationItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DescriptionItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "DescriptionItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DiscountItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "DiscountItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["nonPosting", "SOAP::SOAPBoolean", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["isPreTax", "SOAP::SOAPBoolean", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DownloadItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "DownloadItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["numOfAllowedDownloads", "SOAP::SOAPLong", [0, 1]],
      ["daysBeforeExpiration", "SOAP::SOAPLong", [0, 1]],
      ["immediateDownload", "SOAP::SOAPBoolean", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::MarkupItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "MarkupItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["nonPosting", "SOAP::SOAPBoolean", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["isPreTax", "SOAP::SOAPBoolean", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PaymentItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PaymentItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["undepFunds", "SOAP::SOAPBoolean", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SubtotalItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SubtotalItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NonInventoryPurchaseItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NonInventoryPurchaseItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NonInventorySaleItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NonInventorySaleItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["weightUnits", "SOAP::SOAPString", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturerAddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::ScheduleBCode", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NonInventoryResaleItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NonInventoryResaleItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["copyDescription", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isDropShipItem", "SOAP::SOAPBoolean", [0, 1]],
      ["isSpecialOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["weightUnits", "SOAP::SOAPString", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturerAddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::ScheduleBCode", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OtherChargeResaleItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "OtherChargeResaleItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["manufacturingChargeItem", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OtherChargePurchaseItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "OtherChargePurchaseItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["manufacturingChargeItem", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["overheadType", "ActiveNetsuite::ItemOverheadType", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ServiceResaleItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ServiceResaleItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["manufacturingChargeItem", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["createJob", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["itemTaskTemplatesList", "ActiveNetsuite::ServiceItemTaskTemplatesList", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["billingRatesMatrix", "ActiveNetsuite::BillingRatesMatrix", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ServicePurchaseItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ServicePurchaseItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["manufacturingChargeItem", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ServiceSaleItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ServiceSaleItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["createJob", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["itemTaskTemplatesList", "ActiveNetsuite::ServiceItemTaskTemplatesList", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["billingRatesMatrix", "ActiveNetsuite::BillingRatesMatrix", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OtherChargeSaleItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "OtherChargeSaleItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Currency,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Currency"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["symbol", "SOAP::SOAPString", [0, 1]],
      ["isBaseCurrency", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["overrideCurrencyFormat", "SOAP::SOAPBoolean", [0, 1]],
      ["displaySymbol", "SOAP::SOAPString", [0, 1]],
      ["symbolPlacement", "ActiveNetsuite::CurrencySymbolPlacement", [0, 1]],
      ["locale", "ActiveNetsuite::CurrencyLocale", [0, 1]],
      ["formatSample", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["fxRateUpdateTimezone", "ActiveNetsuite::CurrencyFxRateUpdateTimezone", [0, 1]],
      ["inclInFxRateUpdates", "SOAP::SOAPBoolean", [0, 1]],
      ["currencyPrecision", "ActiveNetsuite::CurrencyCurrencyPrecision", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ExpenseCategory,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ExpenseCategory"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["expenseAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["rateRequired", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultRate", "SOAP::SOAPDouble", [0, 1]],
      ["ratesList", "ActiveNetsuite::ExpenseCategoryRatesList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Account,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Account"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["acctType", "ActiveNetsuite::AccountType", [0, 1]],
      ["acctNumber", "SOAP::SOAPString", [0, 1]],
      ["acctName", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPString", [0, 1]],
      ["generalRate", "ActiveNetsuite::ConsolidatedRate", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["cashFlowRate", "ActiveNetsuite::ConsolidatedRate", [0, 1]],
      ["billableExpensesAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["curDocNum", "SOAP::SOAPLong", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventory", "SOAP::SOAPBoolean", [0, 1]],
      ["eliminate", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["category1099misc", "ActiveNetsuite::RecordRef", [0, 1]],
      ["openingBalance", "SOAP::SOAPDouble", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revalue", "SOAP::SOAPBoolean", [0, 1]],
      ["translationsList", "ActiveNetsuite::AccountTranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AccountTranslationList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountTranslationList"),
    :schema_element => [
      ["translation", "ActiveNetsuite::ClassTranslation[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AccountSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::AccountSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AccountSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::AccountSearch", [0, 1]],
      ["columns", "ActiveNetsuite::AccountSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AccountSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::AccountSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Department,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Department"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["classTranslationList", "ActiveNetsuite::ClassTranslationList", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DepartmentSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "DepartmentSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::DepartmentSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DepartmentSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "DepartmentSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::DepartmentSearch", [0, 1]],
      ["columns", "ActiveNetsuite::DepartmentSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DepartmentSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "DepartmentSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::DepartmentSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Classification,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Classification"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["classTranslationList", "ActiveNetsuite::ClassTranslationList", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ClassificationSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ClassificationSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ClassificationSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ClassificationSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ClassificationSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ClassificationSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ClassificationSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ClassificationSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ClassificationSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ClassificationSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Location,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Location"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["tranPrefix", "SOAP::SOAPString", [0, 1]],
      ["attention", "SOAP::SOAPString", [0, 1]],
      ["addressee", "SOAP::SOAPString", [0, 1]],
      ["addrPhone", "SOAP::SOAPString", [0, 1]],
      ["addr1", "SOAP::SOAPString", [0, 1]],
      ["addr2", "SOAP::SOAPString", [0, 1]],
      ["addr3", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["addrText", "SOAP::SOAPString", [0, 1]],
      ["override", "SOAP::SOAPBoolean", [0, 1]],
      ["logo", "ActiveNetsuite::RecordRef", [0, 1]],
      ["makeInventoryAvailable", "SOAP::SOAPBoolean", [0, 1]],
      ["makeInventoryAvailableStore", "SOAP::SOAPBoolean", [0, 1]],
      ["classTranslationList", "ActiveNetsuite::ClassTranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LocationSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LocationSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LocationSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LocationSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::LocationSearch", [0, 1]],
      ["columns", "ActiveNetsuite::LocationSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LocationSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LocationSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::LocationSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UnitsType,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "UnitsType"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["uomList", "ActiveNetsuite::UnitsTypeUomList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UnitsTypeUom,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "UnitsTypeUom"),
    :schema_element => [
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["unitName", "SOAP::SOAPString", [0, 1]],
      ["pluralName", "SOAP::SOAPString", [0, 1]],
      ["abbreviation", "SOAP::SOAPString", [0, 1]],
      ["pluralAbbreviation", "SOAP::SOAPString", [0, 1]],
      ["conversionRate", "SOAP::SOAPDouble", [0, 1]],
      ["baseUnit", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UnitsTypeUomList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "UnitsTypeUomList"),
    :schema_element => [
      ["uom", "ActiveNetsuite::UnitsTypeUom[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["binNumberJoin", "ActiveNetsuite::BinSearchBasic", [0, 1]],
      ["binOnHandJoin", "ActiveNetsuite::ItemBinNumberSearchBasic", [0, 1]],
      ["correlatedItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["effectiveRevisionJoin", "ActiveNetsuite::ItemRevisionSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["inventoryDetailJoin", "ActiveNetsuite::InventoryDetailSearchBasic", [0, 1]],
      ["inventoryLocationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["inventoryNumberJoin", "ActiveNetsuite::InventoryNumberSearchBasic", [0, 1]],
      ["inventoryNumberBinOnHandJoin", "ActiveNetsuite::InventoryNumberBinSearchBasic", [0, 1]],
      ["memberItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["obsoleteRevisionJoin", "ActiveNetsuite::ItemRevisionSearchBasic", [0, 1]],
      ["parentJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["preferredLocationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["preferredVendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["shopperJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ItemSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ItemSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["binNumberJoin", "ActiveNetsuite::BinSearchRowBasic", [0, 1]],
      ["binOnHandJoin", "ActiveNetsuite::ItemBinNumberSearchRowBasic", [0, 1]],
      ["correlatedItemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["effectiveRevisionJoin", "ActiveNetsuite::ItemRevisionSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["inventoryDetailJoin", "ActiveNetsuite::InventoryDetailSearchRowBasic", [0, 1]],
      ["inventoryLocationJoin", "ActiveNetsuite::LocationSearchRowBasic", [0, 1]],
      ["inventoryNumberJoin", "ActiveNetsuite::InventoryNumberSearchRowBasic", [0, 1]],
      ["inventoryNumberBinOnHandJoin", "ActiveNetsuite::InventoryNumberBinSearchRowBasic", [0, 1]],
      ["memberItemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["obsoleteRevisionJoin", "ActiveNetsuite::ItemRevisionSearchRowBasic", [0, 1]],
      ["parentJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["preferredLocationJoin", "ActiveNetsuite::LocationSearchRowBasic", [0, 1]],
      ["preferredVendorJoin", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]],
      ["shopperJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactRole,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ContactRole"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Bin,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Bin"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["binNumber", "SOAP::SOAPString", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BinSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "BinSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::BinSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BinSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "BinSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::BinSearch", [0, 1]],
      ["columns", "ActiveNetsuite::BinSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BinSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "BinSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::BinSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SalesTaxItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SalesTaxItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["taxType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxAgency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["effectiveFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["validUntil", "SOAP::SOAPDateTime", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["eccode", "SOAP::SOAPBoolean", [0, 1]],
      ["reverseCharge", "SOAP::SOAPBoolean", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["service", "SOAP::SOAPBoolean", [0, 1]],
      ["exempt", "SOAP::SOAPBoolean", [0, 1]],
      ["isDefault", "SOAP::SOAPBoolean", [0, 1]],
      ["excludeFromTaxReports", "SOAP::SOAPBoolean", [0, 1]],
      ["available", "ActiveNetsuite::SalesTaxItemAvailable", [0, 1]],
      ["export", "SOAP::SOAPBoolean", [0, 1]],
      ["taxAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["county", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["nexusCountry", "ActiveNetsuite::RecordRef", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaxGroup,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TaxGroup"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["taxitem1", "ActiveNetsuite::RecordRef", [0, 1]],
      ["unitprice1", "SOAP::SOAPString", [0, 1]],
      ["taxitem2", "ActiveNetsuite::RecordRef", [0, 1]],
      ["unitprice2", "SOAP::SOAPString", [0, 1]],
      ["piggyback", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["taxType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["county", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["nexusCountry", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isDefault", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItemList", "ActiveNetsuite::TaxGroupTaxItemList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaxGroupTaxItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TaxGroupTaxItem"),
    :schema_element => [
      ["taxName", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["basis", "SOAP::SOAPDouble", [0, 1]],
      ["taxType", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaxGroupTaxItemList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TaxGroupTaxItemList"),
    :schema_element => [
      ["taxItem", "ActiveNetsuite::TaxGroupTaxItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaxType,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TaxType"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["nexusesTaxList", "ActiveNetsuite::TaxTypeNexusesTaxList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaxTypeNexusesTax,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TaxTypeNexusesTax"),
    :schema_element => [
      ["nexus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["saleTaxAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchTaxAcct", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaxTypeNexusesTaxList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TaxTypeNexusesTaxList"),
    :schema_element => [
      ["nexusesTax", "ActiveNetsuite::TaxTypeNexusesTax[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SerializedInventoryItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SerializedInventoryItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costingMethod", "ActiveNetsuite::ItemCostingMethod", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["copyDescription", "SOAP::SOAPBoolean", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["cogsAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assetAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matchBillToReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["billQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billExchRateVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gainLossAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["costingMethodDisplay", "SOAP::SOAPString", [0, 1]],
      ["shippingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["handlingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["safetyStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackLandedCost", "SOAP::SOAPBoolean", [0, 1]],
      ["isDropShipItem", "SOAP::SOAPBoolean", [0, 1]],
      ["isSpecialOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturerAddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["roundUpAsComponent", "SOAP::SOAPBoolean", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::ScheduleBCode", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["transferPrice", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["preferredLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["quantityReorderUnits", "SOAP::SOAPString", [0, 1]],
      ["reorderMultiple", "SOAP::SOAPLong", [0, 1]],
      ["totalValue", "SOAP::SOAPDouble", [0, 1]],
      ["useBins", "SOAP::SOAPBoolean", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["autoLeadTime", "SOAP::SOAPBoolean", [0, 1]],
      ["autoReorderPoint", "SOAP::SOAPBoolean", [0, 1]],
      ["autoPreferredStockLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelDays", "SOAP::SOAPDouble", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevelDays", "SOAP::SOAPLong", [0, 1]],
      ["backwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["seasonalDemand", "SOAP::SOAPBoolean", [0, 1]],
      ["demandModifier", "SOAP::SOAPDouble", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["weightUnits", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHandUnits", "SOAP::SOAPString", [0, 1]],
      ["onHandValueMli", "SOAP::SOAPDouble", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPointUnits", "SOAP::SOAPString", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["periodicLotSizeType", "ActiveNetsuite::PeriodicLotSizeType", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["periodicLotSizeDays", "SOAP::SOAPLong", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["forwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchasePriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["itemNumberOptionsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["numbersList", "ActiveNetsuite::SerializedInventoryItemNumbersList", [0, 1]],
      ["binNumberList", "ActiveNetsuite::InventoryItemBinNumberList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["locationsList", "ActiveNetsuite::SerializedInventoryItemLocationsList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SerializedInventoryItemLocations,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SerializedInventoryItemLocations"),
    :schema_element => [
      ["location", "SOAP::SOAPString", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["onHandValueMli", "SOAP::SOAPDouble", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["averageCostMli", "SOAP::SOAPDouble", [0, 1]],
      ["lastPurchasePriceMli", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["isWip", "SOAP::SOAPBoolean", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["inventoryCostTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildTime", "SOAP::SOAPDouble", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["costingLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["locationId", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["periodicLotSizeType", "ActiveNetsuite::PeriodicLotSizeType", [0, 1]],
      ["periodicLotSizeDays", "SOAP::SOAPLong", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["backwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["forwardConsumptionDays", "SOAP::SOAPLong", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SerializedInventoryItemLocationsList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SerializedInventoryItemLocationsList"),
    :schema_element => [
      ["locations", "ActiveNetsuite::SerializedInventoryItemLocations[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SerializedInventoryItemNumbers,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SerializedInventoryItemNumbers"),
    :schema_element => [
      ["serialNumber", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SerializedInventoryItemNumbersList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SerializedInventoryItemNumbersList"),
    :schema_element => [
      ["numbers", "ActiveNetsuite::SerializedInventoryItemNumbers[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LotNumberedInventoryItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LotNumberedInventoryItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costingMethod", "ActiveNetsuite::ItemCostingMethod", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["copyDescription", "SOAP::SOAPBoolean", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["cogsAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["assetAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matchBillToReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["billQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billExchRateVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gainLossAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["costingMethodDisplay", "SOAP::SOAPString", [0, 1]],
      ["shippingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["handlingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["safetyStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackLandedCost", "SOAP::SOAPBoolean", [0, 1]],
      ["isDropShipItem", "SOAP::SOAPBoolean", [0, 1]],
      ["isSpecialOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturerAddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["roundUpAsComponent", "SOAP::SOAPBoolean", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::ScheduleBCode", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["purchasePriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["transferPrice", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["preferredLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["reorderMultiple", "SOAP::SOAPLong", [0, 1]],
      ["quantityReorderUnits", "SOAP::SOAPString", [0, 1]],
      ["totalValue", "SOAP::SOAPDouble", [0, 1]],
      ["useBins", "SOAP::SOAPBoolean", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["autoLeadTime", "SOAP::SOAPBoolean", [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["autoReorderPoint", "SOAP::SOAPBoolean", [0, 1]],
      ["autoPreferredStockLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelDays", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevelDays", "SOAP::SOAPLong", [0, 1]],
      ["backwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["seasonalDemand", "SOAP::SOAPBoolean", [0, 1]],
      ["demandModifier", "SOAP::SOAPDouble", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["weightUnits", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHandUnits", "SOAP::SOAPString", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["onHandValueMli", "SOAP::SOAPDouble", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPointUnits", "SOAP::SOAPString", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["periodicLotSizeType", "ActiveNetsuite::PeriodicLotSizeType", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["periodicLotSizeDays", "SOAP::SOAPLong", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["forwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["itemNumberOptionsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["numbersList", "ActiveNetsuite::LotNumberedInventoryItemNumbersList", [0, 1]],
      ["binNumberList", "ActiveNetsuite::InventoryItemBinNumberList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["locationsList", "ActiveNetsuite::LotNumberedInventoryItemLocationsList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LotNumberedInventoryItemLocations,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LotNumberedInventoryItemLocations"),
    :schema_element => [
      ["location", "SOAP::SOAPString", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["onHandValueMli", "SOAP::SOAPDouble", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["averageCostMli", "SOAP::SOAPDouble", [0, 1]],
      ["lastPurchasePriceMli", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["inventoryCostTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildTime", "SOAP::SOAPDouble", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["isWip", "SOAP::SOAPBoolean", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["costingLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["locationId", "ActiveNetsuite::RecordRef", [0, 1]],
      ["locationlookup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location_display", "SOAP::SOAPString", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["periodicLotSizeType", "ActiveNetsuite::PeriodicLotSizeType", [0, 1]],
      ["periodicLotSizeDays", "SOAP::SOAPLong", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["backwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["forwardConsumptionDays", "SOAP::SOAPLong", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LotNumberedInventoryItemLocationsList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LotNumberedInventoryItemLocationsList"),
    :schema_element => [
      ["locations", "ActiveNetsuite::LotNumberedInventoryItemLocations[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LotNumberedInventoryItemNumbers,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LotNumberedInventoryItemNumbers"),
    :schema_element => [
      ["serialNumber", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LotNumberedInventoryItemNumbersList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LotNumberedInventoryItemNumbersList"),
    :schema_element => [
      ["numbers", "ActiveNetsuite::LotNumberedInventoryItemNumbers[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GiftCertificateItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "GiftCertificateItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["liabilityAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["daysBeforeExpiration", "SOAP::SOAPLong", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["authCodesList", "ActiveNetsuite::GiftCertificateItemAuthCodesList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GiftCertificateItemAuthCodes,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "GiftCertificateItemAuthCodes"),
    :schema_element => [
      ["authCode", "SOAP::SOAPString", [0, 1]],
      ["used", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GiftCertificateItemAuthCodesList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "GiftCertificateItemAuthCodesList"),
    :schema_element => [
      ["authCodes", "ActiveNetsuite::GiftCertificateItemAuthCodes[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Subsidiary,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Subsidiary"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["showSubsidiaryName", "SOAP::SOAPBoolean", [0, 1]],
      ["url", "SOAP::SOAPString", [0, 1]],
      ["logo", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranPrefix", "SOAP::SOAPString", [0, 1]],
      ["pageLogo", "ActiveNetsuite::RecordRef", [0, 1]],
      ["attention", "SOAP::SOAPString", [0, 1]],
      ["addressee", "SOAP::SOAPString", [0, 1]],
      ["addrPhone", "SOAP::SOAPString", [0, 1]],
      ["addr1", "SOAP::SOAPString", [0, 1]],
      ["addr2", "SOAP::SOAPString", [0, 1]],
      ["addr3", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["addrText", "SOAP::SOAPString", [0, 1]],
      ["override", "SOAP::SOAPBoolean", [0, 1]],
      ["shipAddr", "SOAP::SOAPString", [0, 1]],
      ["returnAddr", "SOAP::SOAPString", [0, 1]],
      ["companyNameForSupportMessages", "SOAP::SOAPString", [0, 1]],
      ["mainSupportEmailAddress", "SOAP::SOAPString", [0, 1]],
      ["anonymousCustomerInboundEmail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["anonymousCustomerOnlineForms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseCreationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseUpdateTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseAutomaticClosureTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseAssignmentTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employeeCaseUpdateTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseCopyEmployeeTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseEscalationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["returnAddress1", "SOAP::SOAPString", [0, 1]],
      ["returnAddress2", "SOAP::SOAPString", [0, 1]],
      ["returnCity", "SOAP::SOAPString", [0, 1]],
      ["returnState", "SOAP::SOAPString", [0, 1]],
      ["returnCountry", "ActiveNetsuite::Country", [0, 1]],
      ["returnZip", "SOAP::SOAPString", [0, 1]],
      ["legalName", "SOAP::SOAPString", [0, 1]],
      ["isElimination", "SOAP::SOAPBoolean", [0, 1]],
      ["fiscalCalendar", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxFiscalCalendar", "ActiveNetsuite::RecordRef", [0, 1]],
      ["allowPayroll", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["edition", "SOAP::SOAPString", [0, 1]],
      ["federalIdNumber", "SOAP::SOAPString", [0, 1]],
      ["addrLanguage", "SOAP::SOAPString", [0, 1]],
      ["nonConsol", "SOAP::SOAPString", [0, 1]],
      ["consol", "SOAP::SOAPString", [0, 1]],
      ["shipAddress1", "SOAP::SOAPString", [0, 1]],
      ["shipAddress2", "SOAP::SOAPString", [0, 1]],
      ["shipCity", "SOAP::SOAPString", [0, 1]],
      ["shipState", "SOAP::SOAPString", [0, 1]],
      ["shipCountry", "ActiveNetsuite::Country", [0, 1]],
      ["shipZip", "SOAP::SOAPString", [0, 1]],
      ["state1TaxNumber", "SOAP::SOAPString", [0, 1]],
      ["ssnOrTin", "SOAP::SOAPString", [0, 1]],
      ["interCoAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["nexusList", "ActiveNetsuite::SubsidiaryNexusList", [0, 1]],
      ["checkLayout", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inboundEmail", "SOAP::SOAPString", [0, 1]],
      ["classTranslationList", "ActiveNetsuite::ClassTranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SubsidiaryNexus,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SubsidiaryNexus"),
    :schema_element => [
      ["nexusId", "ActiveNetsuite::RecordRef", [0, 1]],
      ["country", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SubsidiaryNexusList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SubsidiaryNexusList"),
    :schema_element => [
      ["nexus", "ActiveNetsuite::SubsidiaryNexus[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SubsidiarySearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SubsidiarySearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SubsidiarySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SubsidiarySearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SubsidiarySearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::SubsidiarySearch", [0, 1]],
      ["columns", "ActiveNetsuite::SubsidiarySearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SubsidiarySearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SubsidiarySearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SubsidiarySearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GiftCertificate,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "GiftCertificate"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["giftCertCode", "SOAP::SOAPString", [0, 1]],
      ["sender", "SOAP::SOAPString", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["originalAmount", "SOAP::SOAPDouble", [0, 1]],
      ["amountRemaining", "SOAP::SOAPDouble", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GiftCertificateSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "GiftCertificateSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::GiftCertificateSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GiftCertificateSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "GiftCertificateSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::GiftCertificateSearch", [0, 1]],
      ["columns", "ActiveNetsuite::GiftCertificateSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GiftCertificateSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "GiftCertificateSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::GiftCertificateSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PartnerCategory,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerCategory"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorCategory,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "VendorCategory"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["isTaxAgency", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::KitItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "KitItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["printItems", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["weightUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufactureraddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["memberList", "ActiveNetsuite::ItemMemberList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AssemblyItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AssemblyItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["printItems", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["cogsAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assetAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matchBillToReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["billQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billExchRateVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gainLossAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useComponentYield", "SOAP::SOAPBoolean", [0, 1]],
      ["wipVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["scrapAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["wipAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["costingMethod", "ActiveNetsuite::ItemCostingMethod", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["costingMethodDisplay", "SOAP::SOAPString", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackLandedCost", "SOAP::SOAPBoolean", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufactureraddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["effectiveBomControl", "ActiveNetsuite::AssemblyItemEffectiveBomControl", [0, 1]],
      ["defaultRevision", "SOAP::SOAPString", [0, 1]],
      ["roundUpAsComponent", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSpecialWorkOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["prodQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["prodPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchasePriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildEntireAssembly", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["transferPrice", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["unbuildVarianceAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["preferredLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["totalValue", "SOAP::SOAPDouble", [0, 1]],
      ["useBins", "SOAP::SOAPBoolean", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["autoLeadTime", "SOAP::SOAPBoolean", [0, 1]],
      ["buildTime", "SOAP::SOAPLong", [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevelDays", "SOAP::SOAPLong", [0, 1]],
      ["seasonalDemand", "SOAP::SOAPBoolean", [0, 1]],
      ["reorderMultiple", "SOAP::SOAPLong", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["demandModifier", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["autoReorderPoint", "SOAP::SOAPBoolean", [0, 1]],
      ["autoPreferredStockLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelDays", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["itemNumberOptionsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["memberList", "ActiveNetsuite::ItemMemberList", [0, 1]],
      ["locationsList", "ActiveNetsuite::InventoryItemLocationsList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["binNumberList", "ActiveNetsuite::InventoryItemBinNumberList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SerializedAssemblyItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SerializedAssemblyItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["printItems", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["useComponentYield", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["cogsAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assetAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matchBillToReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["billQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billExchRateVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gainLossAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["prodQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["prodPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchasePriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["wipVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["scrapAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["wipAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["weightUnits", "SOAP::SOAPString", [0, 1]],
      ["costingMethod", "ActiveNetsuite::ItemCostingMethod", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["costingMethodDisplay", "SOAP::SOAPString", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackLandedCost", "SOAP::SOAPBoolean", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufactureraddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["effectiveBomControl", "ActiveNetsuite::AssemblyItemEffectiveBomControl", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["defaultRevision", "SOAP::SOAPString", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["roundUpAsComponent", "SOAP::SOAPBoolean", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSpecialWorkOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildEntireAssembly", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHandUnits", "SOAP::SOAPString", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["reorderMultiple", "SOAP::SOAPLong", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["transferPrice", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["unbuildVarianceAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["preferredLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["totalValue", "SOAP::SOAPDouble", [0, 1]],
      ["useBins", "SOAP::SOAPBoolean", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["autoLeadTime", "SOAP::SOAPBoolean", [0, 1]],
      ["buildTime", "SOAP::SOAPLong", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["safetyStockLevelDays", "SOAP::SOAPLong", [0, 1]],
      ["seasonalDemand", "SOAP::SOAPBoolean", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPointUnits", "SOAP::SOAPString", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["demandModifier", "SOAP::SOAPDouble", [0, 1]],
      ["autoReorderPoint", "SOAP::SOAPBoolean", [0, 1]],
      ["autoPreferredStockLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelDays", "SOAP::SOAPDouble", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["itemNumberOptionsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["memberList", "ActiveNetsuite::ItemMemberList", [0, 1]],
      ["locationsList", "ActiveNetsuite::SerializedInventoryItemLocationsList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["binNumberList", "ActiveNetsuite::InventoryItemBinNumberList", [0, 1]],
      ["numbersList", "ActiveNetsuite::SerializedInventoryItemNumbersList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LotNumberedAssemblyItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LotNumberedAssemblyItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["printItems", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["useComponentYield", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["cogsAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assetAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matchBillToReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["billQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billExchRateVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gainLossAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["prodQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["prodPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchasePriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["wipVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["scrapAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["wipAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["costingMethod", "ActiveNetsuite::ItemCostingMethod", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["costingMethodDisplay", "SOAP::SOAPString", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackLandedCost", "SOAP::SOAPBoolean", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufactureraddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["effectiveBomControl", "ActiveNetsuite::AssemblyItemEffectiveBomControl", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["defaultRevision", "SOAP::SOAPString", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["roundUpAsComponent", "SOAP::SOAPBoolean", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSpecialWorkOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildEntireAssembly", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["reorderMultiple", "SOAP::SOAPLong", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["transferPrice", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["unbuildVarianceAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["preferredLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["totalValue", "SOAP::SOAPDouble", [0, 1]],
      ["useBins", "SOAP::SOAPBoolean", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["autoLeadTime", "SOAP::SOAPBoolean", [0, 1]],
      ["buildTime", "SOAP::SOAPLong", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevelDays", "SOAP::SOAPLong", [0, 1]],
      ["seasonalDemand", "SOAP::SOAPBoolean", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["demandModifier", "SOAP::SOAPDouble", [0, 1]],
      ["autoReorderPoint", "SOAP::SOAPBoolean", [0, 1]],
      ["autoPreferredStockLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelDays", "SOAP::SOAPDouble", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["itemNumberOptionsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["memberList", "ActiveNetsuite::ItemMemberList", [0, 1]],
      ["locationsList", "ActiveNetsuite::LotNumberedInventoryItemLocationsList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["binNumberList", "ActiveNetsuite::InventoryItemBinNumberList", [0, 1]],
      ["numbersList", "ActiveNetsuite::LotNumberedInventoryItemNumbersList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ServiceItemTaskTemplates,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ServiceItemTaskTemplates"),
    :schema_element => [
      ["taskName", "SOAP::SOAPString", [0, 1]],
      ["taskStartOffset", "SOAP::SOAPLong", [0, 1]],
      ["taskDuration", "ActiveNetsuite::Duration", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ServiceItemTaskTemplatesList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ServiceItemTaskTemplatesList"),
    :schema_element => [
      ["taskTemplates", "ActiveNetsuite::ServiceItemTaskTemplates[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::State,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "State"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["fullName", "SOAP::SOAPString", [0, 1]],
      ["shortname", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AccountingPeriod,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountingPeriod"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["periodName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["fiscalCalendar", "ActiveNetsuite::RecordRef", [0, 1]],
      ["closedOnDate", "SOAP::SOAPDateTime", [0, 1]],
      ["isAdjust", "SOAP::SOAPBoolean", [0, 1]],
      ["fiscalCalendarsList", "ActiveNetsuite::AccountingPeriodFiscalCalendarsList", [0, 1]],
      ["isQuarter", "SOAP::SOAPBoolean", [0, 1]],
      ["isYear", "SOAP::SOAPBoolean", [0, 1]],
      ["closed", "SOAP::SOAPBoolean", [0, 1]],
      ["apLocked", "SOAP::SOAPBoolean", [0, 1]],
      ["arLocked", "SOAP::SOAPBoolean", [0, 1]],
      ["payrollLocked", "SOAP::SOAPBoolean", [0, 1]],
      ["allLocked", "SOAP::SOAPBoolean", [0, 1]],
      ["allowNonGLChanges", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BudgetCategory,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "BudgetCategory"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["budgetType", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AccountingPeriodSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountingPeriodSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::AccountingPeriodSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AccountingPeriodSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountingPeriodSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::AccountingPeriodSearch", [0, 1]],
      ["columns", "ActiveNetsuite::AccountingPeriodSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AccountingPeriodSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountingPeriodSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::AccountingPeriodSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactCategorySearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ContactCategorySearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ContactCategorySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactCategorySearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ContactCategorySearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ContactCategorySearch", [0, 1]],
      ["columns", "ActiveNetsuite::ContactCategorySearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactCategorySearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ContactCategorySearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ContactCategorySearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactRoleSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ContactRoleSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ContactRoleSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactRoleSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ContactRoleSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ContactRoleSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ContactRoleSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactRoleSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ContactRoleSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ContactRoleSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerCategorySearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerCategorySearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomerCategorySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerCategorySearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerCategorySearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::CustomerCategorySearch", [0, 1]],
      ["columns", "ActiveNetsuite::CustomerCategorySearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerCategorySearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerCategorySearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomerCategorySearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ExpenseCategorySearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ExpenseCategorySearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ExpenseCategorySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ExpenseCategorySearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ExpenseCategorySearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ExpenseCategorySearch", [0, 1]],
      ["columns", "ActiveNetsuite::ExpenseCategorySearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ExpenseCategorySearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ExpenseCategorySearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ExpenseCategorySearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NoteTypeSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NoteTypeSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::NoteTypeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NoteTypeSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NoteTypeSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::NoteTypeSearch", [0, 1]],
      ["columns", "ActiveNetsuite::NoteTypeSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NoteTypeSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NoteTypeSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::NoteTypeSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PartnerCategorySearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerCategorySearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PartnerCategorySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PartnerCategorySearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerCategorySearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::PartnerCategorySearch", [0, 1]],
      ["columns", "ActiveNetsuite::PartnerCategorySearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PartnerCategorySearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerCategorySearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PartnerCategorySearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PaymentMethodSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PaymentMethodSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PaymentMethodSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PaymentMethodSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PaymentMethodSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::PaymentMethodSearch", [0, 1]],
      ["columns", "ActiveNetsuite::PaymentMethodSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PaymentMethodSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PaymentMethodSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PaymentMethodSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PriceLevelSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PriceLevelSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PriceLevelSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PriceLevelSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PriceLevelSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::PriceLevelSearch", [0, 1]],
      ["columns", "ActiveNetsuite::PriceLevelSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PriceLevelSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PriceLevelSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PriceLevelSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SalesRoleSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SalesRoleSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SalesRoleSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SalesRoleSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SalesRoleSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::SalesRoleSearch", [0, 1]],
      ["columns", "ActiveNetsuite::SalesRoleSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SalesRoleSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SalesRoleSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SalesRoleSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TermSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TermSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TermSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TermSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TermSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::TermSearch", [0, 1]],
      ["columns", "ActiveNetsuite::TermSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TermSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TermSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TermSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorCategorySearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "VendorCategorySearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::VendorCategorySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorCategorySearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "VendorCategorySearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::VendorCategorySearch", [0, 1]],
      ["columns", "ActiveNetsuite::VendorCategorySearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorCategorySearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "VendorCategorySearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::VendorCategorySearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WinLossReasonSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "WinLossReasonSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::WinLossReasonSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WinLossReasonSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "WinLossReasonSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::WinLossReasonSearch", [0, 1]],
      ["columns", "ActiveNetsuite::WinLossReasonSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WinLossReasonSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "WinLossReasonSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::WinLossReasonSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UnitsTypeSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "UnitsTypeSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::UnitsTypeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UnitsTypeSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "UnitsTypeSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::UnitsTypeSearch", [0, 1]],
      ["columns", "ActiveNetsuite::UnitsTypeSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::UnitsTypeSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "UnitsTypeSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::UnitsTypeSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PricingGroup,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PricingGroup"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PricingGroupSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PricingGroupSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PricingGroupSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PricingGroupSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PricingGroupSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::PricingGroupSearch", [0, 1]],
      ["columns", "ActiveNetsuite::PricingGroupSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PricingGroupSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PricingGroupSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PricingGroupSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryNumber,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryNumber"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["inventoryNumber", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["units", "SOAP::SOAPString", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["locationsList", "ActiveNetsuite::InventoryNumberLocationsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryNumberLocations,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryNumberLocations"),
    :schema_element => [
      ["location", "SOAP::SOAPString", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["quantityInTransit", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryNumberLocationsList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryNumberLocationsList"),
    :schema_element => [
      ["locations", "ActiveNetsuite::InventoryNumberLocations[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryNumberSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryNumberSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::InventoryNumberSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryNumberSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryNumberSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::InventoryNumberSearch", [0, 1]],
      ["columns", "ActiveNetsuite::InventoryNumberSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryNumberSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryNumberSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::InventoryNumberSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevRecSchedule,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecSchedule"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["amortizationType", "ActiveNetsuite::RevRecScheduleAmortizationType", [0, 1]],
      ["recurrenceType", "ActiveNetsuite::RevRecScheduleRecurrenceType", [0, 1]],
      ["recogIntervalSrc", "ActiveNetsuite::RevRecScheduleRecogIntervalSrc", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["periodOffset", "SOAP::SOAPLong", [0, 1]],
      ["revRecOffset", "SOAP::SOAPLong", [0, 1]],
      ["initialAmount", "SOAP::SOAPDouble", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["recurrenceList", "ActiveNetsuite::RevRecScheduleRecurrenceList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleRecurrence,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecScheduleRecurrence"),
    :schema_element => [
      ["incomeaccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["periodOffset", "SOAP::SOAPLong", [0, 1]],
      ["recamount", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleRecurrenceList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecScheduleRecurrenceList"),
    :schema_element => [
      ["revRecScheduleRecurrence", "ActiveNetsuite::RevRecScheduleRecurrence[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevRecTemplate,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecTemplate"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["amortizationType", "ActiveNetsuite::RevRecScheduleAmortizationType", [0, 1]],
      ["recurrenceType", "ActiveNetsuite::RevRecScheduleRecurrenceType", [0, 1]],
      ["recogIntervalSrc", "ActiveNetsuite::RevRecScheduleRecogIntervalSrc", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["periodOffset", "SOAP::SOAPLong", [0, 1]],
      ["revRecOffset", "SOAP::SOAPLong", [0, 1]],
      ["initialAmount", "SOAP::SOAPDouble", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["recurrenceList", "ActiveNetsuite::RevRecTemplateRecurrenceList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevRecTemplateRecurrence,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecTemplateRecurrence"),
    :schema_element => [
      ["incomeaccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["periodOffset", "SOAP::SOAPLong", [0, 1]],
      ["recamount", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevRecTemplateRecurrenceList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecTemplateRecurrenceList"),
    :schema_element => [
      ["revRecTemplateRecurrence", "ActiveNetsuite::RevRecTemplateRecurrence[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecScheduleSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::RevRecScheduleSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecScheduleSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::RevRecScheduleSearch", [0, 1]],
      ["columns", "ActiveNetsuite::RevRecScheduleSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecScheduleSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::RevRecScheduleSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevRecTemplateSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecTemplateSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::RevRecTemplateSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevRecTemplateSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecTemplateSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::RevRecTemplateSearch", [0, 1]],
      ["columns", "ActiveNetsuite::RevRecTemplateSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevRecTemplateSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecTemplateSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::RevRecTemplateSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CostCategory,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CostCategory"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCostType", "ActiveNetsuite::CostCategoryItemCostType", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Nexus,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Nexus"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["state", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxAgency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxAgencyPst", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NexusSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NexusSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::NexusSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NexusSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NexusSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::NexusSearch", [0, 1]],
      ["columns", "ActiveNetsuite::NexusSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NexusSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NexusSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::NexusSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerMessage,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerMessage"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["preferred", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OtherNameCategory,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "OtherNameCategory"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OtherNameCategorySearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "OtherNameCategorySearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::OtherNameCategorySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OtherNameCategorySearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "OtherNameCategorySearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::OtherNameCategorySearch", [0, 1]],
      ["columns", "ActiveNetsuite::OtherNameCategorySearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OtherNameCategorySearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "OtherNameCategorySearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::OtherNameCategorySearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerMessageSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerMessageSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomerMessageSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerMessageSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerMessageSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::CustomerMessageSearch", [0, 1]],
      ["columns", "ActiveNetsuite::CustomerMessageSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerMessageSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerMessageSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomerMessageSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemGroup,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemGroup"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeStartEndLines", "SOAP::SOAPBoolean", [0, 1]],
      ["isVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["printItems", "SOAP::SOAPBoolean", [0, 1]],
      ["memberList", "ActiveNetsuite::ItemMemberList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CurrencyRate,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CurrencyRate"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["baseCurrency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transactionCurrency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["effectiveDate", "SOAP::SOAPDateTime", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CurrencyRateSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CurrencyRateSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CurrencyRateSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CurrencyRateSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CurrencyRateSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::CurrencyRateSearch", [0, 1]],
      ["columns", "ActiveNetsuite::CurrencyRateSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CurrencyRateSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CurrencyRateSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CurrencyRateSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemRevision,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemRevision"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["effectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["obsoleteDate", "SOAP::SOAPDateTime", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["inactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemRevisionSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemRevisionSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ItemRevisionSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemRevisionSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemRevisionSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ItemRevisionSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ItemRevisionSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemRevisionSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemRevisionSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ItemRevisionSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AccountingPeriodFiscalCalendars,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountingPeriodFiscalCalendars"),
    :schema_element => [
      ["fiscalCalendar", "ActiveNetsuite::RecordRef", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AccountingPeriodFiscalCalendarsList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountingPeriodFiscalCalendarsList"),
    :schema_element => [
      ["accountingPeriodFiscalCalendars", "ActiveNetsuite::AccountingPeriodFiscalCalendars[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaxAcct,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TaxAcct"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["nexus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["taxAcctType", "ActiveNetsuite::TaxAcctType", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ExpenseCategoryRates,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ExpenseCategoryRates"),
    :schema_element => [
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["defaultRate", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ExpenseCategoryRatesList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ExpenseCategoryRatesList"),
    :schema_element => [
      ["expenseCategoryRates", "ActiveNetsuite::ExpenseCategoryRates[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Opportunity,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "Opportunity"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["estimatedBudget", "SOAP::SOAPDouble", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["probability", "SOAP::SOAPDouble", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["expectedCloseDate", "SOAP::SOAPDateTime", [0, 1]],
      ["daysOpen", "SOAP::SOAPLong", [0, 1]],
      ["forecastType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["projectedTotal", "SOAP::SOAPDouble", [0, 1]],
      ["rangeLow", "SOAP::SOAPDouble", [0, 1]],
      ["rangeHigh", "SOAP::SOAPDouble", [0, 1]],
      ["projAltSalesAmt", "SOAP::SOAPDouble", [0, 1]],
      ["altSalesRangeLow", "SOAP::SOAPDouble", [0, 1]],
      ["altSalesRangeHigh", "SOAP::SOAPDouble", [0, 1]],
      ["weightedTotal", "SOAP::SOAPDouble", [0, 1]],
      ["actionItem", "SOAP::SOAPString", [0, 1]],
      ["winLossReason", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["isBudgetApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["salesReadiness", "ActiveNetsuite::RecordRef", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["buyingTimeFrame", "ActiveNetsuite::RecordRef", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["buyingReason", "ActiveNetsuite::RecordRef", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["closeDate", "SOAP::SOAPDateTime", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::OpportunitySalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::OpportunityPartnersList", [0, 1]],
      ["itemList", "ActiveNetsuite::OpportunityItemList", [0, 1]],
      ["competitorsList", "ActiveNetsuite::OpportunityCompetitorsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OpportunitySalesTeam,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunitySalesTeam"),
    :schema_element => [
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OpportunitySalesTeamList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunitySalesTeamList"),
    :schema_element => [
      ["salesTeam", "ActiveNetsuite::OpportunitySalesTeam[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OpportunityItem,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunityItem"),
    :schema_element => [
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["altSalesAmt", "SOAP::SOAPDouble", [0, 1]],
      ["revRecTermInMonths", "SOAP::SOAPLong", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["fromJob", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isEstimate", "SOAP::SOAPBoolean", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["expectedShipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OpportunityItemList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunityItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::OpportunityItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OpportunityCompetitors,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunityCompetitors"),
    :schema_element => [
      ["competitor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["url", "SOAP::SOAPString", [0, 1]],
      ["notes", "SOAP::SOAPString", [0, 1]],
      ["strategy", "SOAP::SOAPString", [0, 1]],
      ["winner", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OpportunityCompetitorsList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunityCompetitorsList"),
    :schema_element => [
      ["competitors", "ActiveNetsuite::OpportunityCompetitors[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OpportunitySearch,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunitySearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["actualJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["decisionMakerJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["estimateJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["leadSourceJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["orderJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["salesRepJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OpportunitySearchAdvanced,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunitySearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::OpportunitySearch", [0, 1]],
      ["columns", "ActiveNetsuite::OpportunitySearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OpportunitySearchRow,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunitySearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::OpportunitySearchRowBasic", [0, 1]],
      ["actualJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchRowBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["decisionMakerJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["estimateJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["leadSourceJoin", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["orderJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchRowBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchRowBasic", [0, 1]],
      ["salesRepJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OpportunityPartnersList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunityPartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::Partners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SalesOrder,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrder"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["drAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fxAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["orderStatus", "ActiveNetsuite::SalesOrderOrderStatus", [0, 1]],
      ["opportunity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["salesEffectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["excludeCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["actualShipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["isMultiShipTo", "SOAP::SOAPBoolean", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["shipComplete", "SOAP::SOAPBoolean", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shopperIpAddress", "SOAP::SOAPString", [0, 1]],
      ["saveOnAuthDecline", "SOAP::SOAPBoolean", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revenueStatus", "ActiveNetsuite::RevenueStatus", [0, 1]],
      ["recognizedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["deferredRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["revRecOnRevCommitment", "SOAP::SOAPBoolean", [0, 1]],
      ["revCommitStatus", "ActiveNetsuite::RevenueCommitStatus", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["payPalStatus", "SOAP::SOAPString", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payPalTranId", "SOAP::SOAPString", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["getAuth", "SOAP::SOAPBoolean", [0, 1]],
      ["authCode", "SOAP::SOAPString", [0, 1]],
      ["ccAvsStreetMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["ccAvsZipMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["ccSecurityCodeMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["altSalesTotal", "SOAP::SOAPDouble", [0, 1]],
      ["ignoreAvs", "SOAP::SOAPBoolean", [0, 1]],
      ["paymentEventResult", "ActiveNetsuite::TransactionPaymentEventResult", [0, 1]],
      ["paymentEventHoldReason", "ActiveNetsuite::TransactionPaymentEventHoldReason", [0, 1]],
      ["paymentEventType", "ActiveNetsuite::TransactionPaymentEventType", [0, 1]],
      ["paymentEventDate", "SOAP::SOAPDateTime", [0, 1]],
      ["paymentEventUpdatedBy", "SOAP::SOAPString", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["altHandlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["paypalAuthId", "SOAP::SOAPString", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["paypalProcess", "SOAP::SOAPBoolean", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccSecurityCode", "SOAP::SOAPString", [0, 1]],
      ["threeDStatusCode", "SOAP::SOAPString", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoTransaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoStatus", "ActiveNetsuite::IntercoStatus", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["giftCertApplied", "SOAP::SOAPDouble", [0, 1]],
      ["tranIsVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoeAutoCalc", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::SalesOrderSalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::SalesOrderPartnersList", [0, 1]],
      ["giftCertRedemptionList", "ActiveNetsuite::GiftCertRedemptionList", [0, 1]],
      ["itemList", "ActiveNetsuite::SalesOrderItemList", [0, 1]],
      ["shipGroupList", "ActiveNetsuite::SalesOrderShipGroupList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SalesOrderSalesTeam,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrderSalesTeam"),
    :schema_element => [
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SalesOrderSalesTeamList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrderSalesTeamList"),
    :schema_element => [
      ["salesTeam", "ActiveNetsuite::SalesOrderSalesTeam[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SalesOrderItem,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrderItem"),
    :schema_element => [
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["commitInventory", "ActiveNetsuite::SalesOrderItemCommitInventory", [0, 1]],
      ["orderPriority", "SOAP::SOAPDouble", [0, 1]],
      ["licenseCode", "SOAP::SOAPString", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["createPo", "ActiveNetsuite::SalesOrderItemCreatePo", [0, 1]],
      ["createdPo", "ActiveNetsuite::RecordRef", [0, 1]],
      ["altSalesAmt", "SOAP::SOAPDouble", [0, 1]],
      ["createWo", "SOAP::SOAPBoolean", [0, 1]],
      ["poVendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["poCurrency", "SOAP::SOAPString", [0, 1]],
      ["poRate", "SOAP::SOAPDouble", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecTermInMonths", "SOAP::SOAPLong", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["deferRevRec", "SOAP::SOAPBoolean", [0, 1]],
      ["isClosed", "SOAP::SOAPBoolean", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fromJob", "SOAP::SOAPBoolean", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["excludeFromRateRequest", "SOAP::SOAPBoolean", [0, 1]],
      ["isEstimate", "SOAP::SOAPBoolean", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["percentComplete", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBilled", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityFulfilled", "SOAP::SOAPDouble", [0, 1]],
      ["quantityPacked", "SOAP::SOAPDouble", [0, 1]],
      ["quantityPicked", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertFrom", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientName", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientEmail", "SOAP::SOAPString", [0, 1]],
      ["giftCertMessage", "SOAP::SOAPString", [0, 1]],
      ["giftCertNumber", "SOAP::SOAPString", [0, 1]],
      ["shipGroup", "SOAP::SOAPLong", [0, 1]],
      ["itemIsFulfilled", "SOAP::SOAPBoolean", [0, 1]],
      ["shipAddress", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeIsEstimate", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAmount", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAllocation", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["expectedShipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["chargeType", "ActiveNetsuite::ChargeRuleType", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SalesOrderItemList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrderItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::SalesOrderItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SalesOrderPartnersList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrderPartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::Partners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SalesOrderShipGroupList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrderShipGroupList"),
    :schema_element => [
      ["shipGroup", "ActiveNetsuite::TransactionShipGroup[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionSearch,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["accountJoin", "ActiveNetsuite::AccountSearchBasic", [0, 1]],
      ["accountingPeriodJoin", "ActiveNetsuite::AccountingPeriodSearchBasic", [0, 1]],
      ["appliedToTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["applyingTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["billingTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["binNumberJoin", "ActiveNetsuite::BinSearchBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["classJoin", "ActiveNetsuite::ClassificationSearchBasic", [0, 1]],
      ["cogsPurchaseJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["cogsSaleJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["createdFromJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["customerMainJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["departmentJoin", "ActiveNetsuite::DepartmentSearchBasic", [0, 1]],
      ["depositTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["expenseCategoryJoin", "ActiveNetsuite::ExpenseCategorySearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["fulfillingTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["inventoryDetailJoin", "ActiveNetsuite::InventoryDetailSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["itemNumberJoin", "ActiveNetsuite::InventoryNumberSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["jobMainJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["leadSourceJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["paidTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["payingTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["payrollItemJoin", "ActiveNetsuite::PayrollItemSearchBasic", [0, 1]],
      ["purchaseOrderJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["requestorJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["revCommittingTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["revisionJoin", "ActiveNetsuite::ItemRevisionSearchBasic", [0, 1]],
      ["rgPostingTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["salesOrderJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["salesRepJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["subsidiaryJoin", "ActiveNetsuite::SubsidiarySearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionSearchAdvanced,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::TransactionSearch", [0, 1]],
      ["columns", "ActiveNetsuite::TransactionSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionSearchRow,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["accountJoin", "ActiveNetsuite::AccountSearchRowBasic", [0, 1]],
      ["accountingPeriodJoin", "ActiveNetsuite::AccountingPeriodSearchRowBasic", [0, 1]],
      ["appliedToTransactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["applyingTransactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["billingTransactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["binNumberJoin", "ActiveNetsuite::BinSearchRowBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchRowBasic", [0, 1]],
      ["classJoin", "ActiveNetsuite::ClassificationSearchRowBasic", [0, 1]],
      ["cogsPurchaseJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["cogsSaleJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["createdFromJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["customerMainJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["departmentJoin", "ActiveNetsuite::DepartmentSearchRowBasic", [0, 1]],
      ["depositTransactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchRowBasic", [0, 1]],
      ["expenseCategoryJoin", "ActiveNetsuite::ExpenseCategorySearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["fulfillingTransactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["inventoryDetailJoin", "ActiveNetsuite::InventoryDetailSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["itemNumberJoin", "ActiveNetsuite::InventoryNumberSearchRowBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["jobMainJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["leadSourceJoin", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchRowBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchRowBasic", [0, 1]],
      ["paidTransactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchRowBasic", [0, 1]],
      ["payingTransactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["payrollItemJoin", "ActiveNetsuite::PayrollItemSearchRowBasic", [0, 1]],
      ["purchaseOrderJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["requestorJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["revCommittingTransactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["revisionJoin", "ActiveNetsuite::ItemRevisionSearchRowBasic", [0, 1]],
      ["rgPostingTransactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["salesOrderJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["salesRepJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["subsidiaryJoin", "ActiveNetsuite::SubsidiarySearchRowBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillment,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillment"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["createdFromShipGroup", "SOAP::SOAPLong", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["shipStatus", "ActiveNetsuite::ItemFulfillmentShipStatus", [0, 1]],
      ["saturdayDeliveryUps", "SOAP::SOAPBoolean", [0, 1]],
      ["sendShipNotifyEmailUps", "SOAP::SOAPBoolean", [0, 1]],
      ["sendBackupEmailUps", "SOAP::SOAPBoolean", [0, 1]],
      ["shipNotifyEmailAddressUps", "SOAP::SOAPString", [0, 1]],
      ["shipNotifyEmailAddress2Ups", "SOAP::SOAPString", [0, 1]],
      ["backupEmailAddressUps", "SOAP::SOAPString", [0, 1]],
      ["shipNotifyEmailMessageUps", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyAcctUps", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyZipcodeUps", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyCountryUps", "ActiveNetsuite::Country", [0, 1]],
      ["thirdPartyTypeUps", "ActiveNetsuite::ItemFulfillmentThirdPartyTypeUps", [0, 1]],
      ["partiesToTransactionUps", "SOAP::SOAPBoolean", [0, 1]],
      ["exportTypeUps", "ActiveNetsuite::ItemFulfillmentExportTypeUps", [0, 1]],
      ["methodOfTransportUps", "ActiveNetsuite::ItemFulfillmentMethodOfTransportUps", [0, 1]],
      ["carrierIdUps", "SOAP::SOAPString", [0, 1]],
      ["entryNumberUps", "SOAP::SOAPString", [0, 1]],
      ["inbondCodeUps", "SOAP::SOAPString", [0, 1]],
      ["isRoutedExportTransactionUps", "SOAP::SOAPBoolean", [0, 1]],
      ["licenseNumberUps", "SOAP::SOAPString", [0, 1]],
      ["licenseDateUps", "SOAP::SOAPDateTime", [0, 1]],
      ["licenseExceptionUps", "ActiveNetsuite::ItemFulfillmentLicenseExceptionUps", [0, 1]],
      ["eccNumberUps", "SOAP::SOAPString", [0, 1]],
      ["recipientTaxIdUps", "SOAP::SOAPString", [0, 1]],
      ["blanketStartDateUps", "SOAP::SOAPDateTime", [0, 1]],
      ["blanketEndDateUps", "SOAP::SOAPDateTime", [0, 1]],
      ["shipmentWeightUps", "SOAP::SOAPDouble", [0, 1]],
      ["saturdayDeliveryFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["saturdayPickupFedex", "SOAP::SOAPBoolean", [0, 1]],
      ["sendShipNotifyEmailFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["sendBackupEmailFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["signatureHomeDeliveryFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["shipNotifyEmailAddressFedEx", "SOAP::SOAPString", [0, 1]],
      ["backupEmailAddressFedEx", "SOAP::SOAPString", [0, 1]],
      ["shipDateFedEx", "SOAP::SOAPDateTime", [0, 1]],
      ["homeDeliveryTypeFedEx", "ActiveNetsuite::ItemFulfillmentHomeDeliveryTypeFedEx", [0, 1]],
      ["homeDeliveryDateFedEx", "SOAP::SOAPDateTime", [0, 1]],
      ["bookingConfirmationNumFedEx", "SOAP::SOAPString", [0, 1]],
      ["intlExemptionNumFedEx", "SOAP::SOAPString", [0, 1]],
      ["b13aFilingOptionFedEx", "ActiveNetsuite::ItemFulfillmentB13AFilingOptionFedEx", [0, 1]],
      ["b13aStatementDataFedEx", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyAcctFedEx", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyCountryFedEx", "ActiveNetsuite::Country", [0, 1]],
      ["thirdPartyTypeFedEx", "ActiveNetsuite::ItemFulfillmentThirdPartyTypeFedEx", [0, 1]],
      ["shipmentWeightFedEx", "SOAP::SOAPDouble", [0, 1]],
      ["termsOfSaleFedEx", "ActiveNetsuite::ItemFulfillmentTermsOfSaleFedEx", [0, 1]],
      ["termsFreightChargeFedEx", "SOAP::SOAPDouble", [0, 1]],
      ["termsInsuranceChargeFedEx", "SOAP::SOAPDouble", [0, 1]],
      ["insideDeliveryFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["insidePickupFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["ancillaryEndorsementFedEx", "ActiveNetsuite::ItemFulfillmentAncillaryEndorsementFedEx", [0, 1]],
      ["holdAtLocationFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["halPhoneFedEx", "SOAP::SOAPString", [0, 1]],
      ["halAddr1FedEx", "SOAP::SOAPString", [0, 1]],
      ["halAddr2FedEx", "SOAP::SOAPString", [0, 1]],
      ["halAddr3FedEx", "SOAP::SOAPString", [0, 1]],
      ["halCityFedEx", "SOAP::SOAPString", [0, 1]],
      ["halZipFedEx", "SOAP::SOAPString", [0, 1]],
      ["halStateFedEx", "SOAP::SOAPString", [0, 1]],
      ["halCountryFedEx", "SOAP::SOAPString", [0, 1]],
      ["hazmatTypeFedEx", "ActiveNetsuite::ItemFulfillmentHazmatTypeFedEx", [0, 1]],
      ["accessibilityTypeFedEx", "ActiveNetsuite::ItemFulfillmentAccessibilityTypeFedEx", [0, 1]],
      ["isCargoAircraftOnlyFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["generateIntegratedShipperLabel", "SOAP::SOAPBoolean", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["transferLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["packageList", "ActiveNetsuite::ItemFulfillmentPackageList", [0, 1]],
      ["packageUpsList", "ActiveNetsuite::ItemFulfillmentPackageUpsList", [0, 1]],
      ["packageUspsList", "ActiveNetsuite::ItemFulfillmentPackageUspsList", [0, 1]],
      ["packageFedExList", "ActiveNetsuite::ItemFulfillmentPackageFedExList", [0, 1]],
      ["itemList", "ActiveNetsuite::ItemFulfillmentItemList", [0, 1]],
      ["shipGroupList", "ActiveNetsuite::ItemFulfillmentShipGroupList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentItem,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentItem"),
    :schema_element => [
      ["jobName", "SOAP::SOAPString", [0, 1]],
      ["itemReceive", "SOAP::SOAPBoolean", [0, 1]],
      ["itemName", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["onHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["unitsDisplay", "SOAP::SOAPString", [0, 1]],
      ["createPo", "SOAP::SOAPString", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["poNum", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["quantityRemaining", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["shipGroup", "SOAP::SOAPLong", [0, 1]],
      ["itemIsFulfilled", "SOAP::SOAPBoolean", [0, 1]],
      ["shipAddress", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentItemList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::ItemFulfillmentItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackage,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackage"),
    :schema_element => [
      ["packageWeight", "SOAP::SOAPDouble", [0, 1]],
      ["packageDescr", "SOAP::SOAPString", [0, 1]],
      ["packageTrackingNumber", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageList"),
    :schema_element => [
      ["package", "ActiveNetsuite::ItemFulfillmentPackage[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageUps,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageUps"),
    :schema_element => [
      ["packageWeightUps", "SOAP::SOAPDouble", [0, 1]],
      ["packageDescrUps", "SOAP::SOAPString", [0, 1]],
      ["packageTrackingNumberUps", "SOAP::SOAPString", [0, 1]],
      ["packagingUps", "ActiveNetsuite::ItemFulfillmentPackageUpsPackagingUps", [0, 1]],
      ["useInsuredValueUps", "SOAP::SOAPBoolean", [0, 1]],
      ["insuredValueUps", "SOAP::SOAPDouble", [0, 1]],
      ["reference1Ups", "SOAP::SOAPString", [0, 1]],
      ["reference2Ups", "SOAP::SOAPString", [0, 1]],
      ["packageLengthUps", "SOAP::SOAPLong", [0, 1]],
      ["packageWidthUps", "SOAP::SOAPLong", [0, 1]],
      ["packageHeightUps", "SOAP::SOAPLong", [0, 1]],
      ["additionalHandlingUps", "SOAP::SOAPBoolean", [0, 1]],
      ["useCodUps", "SOAP::SOAPBoolean", [0, 1]],
      ["codAmountUps", "SOAP::SOAPDouble", [0, 1]],
      ["codMethodUps", "ActiveNetsuite::ItemFulfillmentPackageUpsCodMethodUps", [0, 1]],
      ["deliveryConfUps", "ActiveNetsuite::ItemFulfillmentPackageUpsDeliveryConfUps", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageUpsList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageUpsList"),
    :schema_element => [
      ["packageUps", "ActiveNetsuite::ItemFulfillmentPackageUps[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageUsps,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageUsps"),
    :schema_element => [
      ["packageWeightUsps", "SOAP::SOAPDouble", [0, 1]],
      ["packageDescrUsps", "SOAP::SOAPString", [0, 1]],
      ["packageTrackingNumberUsps", "SOAP::SOAPString", [0, 1]],
      ["packagingUsps", "ActiveNetsuite::ItemFulfillmentPackageUspsPackagingUsps", [0, 1]],
      ["useInsuredValueUsps", "SOAP::SOAPBoolean", [0, 1]],
      ["insuredValueUsps", "SOAP::SOAPDouble", [0, 1]],
      ["reference1Usps", "SOAP::SOAPString", [0, 1]],
      ["reference2Usps", "SOAP::SOAPString", [0, 1]],
      ["packageLengthUsps", "SOAP::SOAPLong", [0, 1]],
      ["packageWidthUsps", "SOAP::SOAPLong", [0, 1]],
      ["packageHeightUsps", "SOAP::SOAPLong", [0, 1]],
      ["deliveryConfUsps", "ActiveNetsuite::ItemFulfillmentPackageUspsDeliveryConfUsps", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageUspsList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageUspsList"),
    :schema_element => [
      ["packageUsps", "ActiveNetsuite::ItemFulfillmentPackageUsps[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageFedEx,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageFedEx"),
    :schema_element => [
      ["packageWeightFedEx", "SOAP::SOAPDouble", [0, 1]],
      ["dryIceWeightFedEx", "SOAP::SOAPDouble", [0, 1]],
      ["packageTrackingNumberFedEx", "SOAP::SOAPString", [0, 1]],
      ["packagingFedEx", "ActiveNetsuite::ItemFulfillmentPackageFedExPackagingFedEx", [0, 1]],
      ["admPackageTypeFedEx", "ActiveNetsuite::ItemFulfillmentPackageFedExAdmPackageTypeFedEx", [0, 1]],
      ["isNonStandardContainerFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["isAlcoholFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["isNonHazLithiumFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["insuredValueFedEx", "SOAP::SOAPDouble", [0, 1]],
      ["useInsuredValueFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["reference1FedEx", "SOAP::SOAPString", [0, 1]],
      ["priorityAlertTypeFedEx", "ActiveNetsuite::ItemFulfillmentPackageFedExPriorityAlertTypeFedEx", [0, 1]],
      ["priorityAlertContentFedEx", "SOAP::SOAPString", [0, 1]],
      ["packageLengthFedEx", "SOAP::SOAPLong", [0, 1]],
      ["packageWidthFedEx", "SOAP::SOAPLong", [0, 1]],
      ["packageHeightFedEx", "SOAP::SOAPLong", [0, 1]],
      ["useCodFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["codAmountFedEx", "SOAP::SOAPDouble", [0, 1]],
      ["codMethodFedEx", "ActiveNetsuite::ItemFulfillmentPackageFedExCodMethodFedEx", [0, 1]],
      ["codFreightTypeFedEx", "ActiveNetsuite::ItemFulfillmentPackageFedExCodFreightTypeFedEx", [0, 1]],
      ["deliveryConfFedEx", "ActiveNetsuite::ItemFulfillmentPackageFedExDeliveryConfFedEx", [0, 1]],
      ["signatureOptionsFedEx", "ActiveNetsuite::ItemFulfillmentPackageFedExSignatureOptionsFedEx", [0, 1]],
      ["signatureReleaseFedEx", "SOAP::SOAPString", [0, 1]],
      ["authorizationNumberFedEx", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageFedExList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageFedExList"),
    :schema_element => [
      ["packageFedEx", "ActiveNetsuite::ItemFulfillmentPackageFedEx[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentShipGroupList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentShipGroupList"),
    :schema_element => [
      ["shipGroup", "ActiveNetsuite::TransactionShipGroup[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Invoice,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "Invoice"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["opportunity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dueDate", "SOAP::SOAPDateTime", [0, 1]],
      ["discountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["discountAmount", "SOAP::SOAPDouble", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["salesEffectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["excludeCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amountPaid", "SOAP::SOAPDouble", [0, 1]],
      ["amountRemaining", "SOAP::SOAPDouble", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["onCreditHold", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["revenueStatus", "ActiveNetsuite::RevenueStatus", [0, 1]],
      ["recognizedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["deferredRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["revRecOnRevCommitment", "SOAP::SOAPBoolean", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["altHandlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["expCostDiscount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCostDiscount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["timeDiscount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expCostDiscRate", "SOAP::SOAPString", [0, 1]],
      ["itemCostDiscRate", "SOAP::SOAPString", [0, 1]],
      ["timeDiscRate", "SOAP::SOAPString", [0, 1]],
      ["expCostDiscAmount", "SOAP::SOAPDouble", [0, 1]],
      ["expCostTaxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["expCostTaxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostDiscAmount", "SOAP::SOAPDouble", [0, 1]],
      ["expCostTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expCostDiscTax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostTaxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["timeDiscAmount", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expCostDiscTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["itemCostDiscTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["itemCostTaxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostDiscTax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostDiscPrint", "SOAP::SOAPBoolean", [0, 1]],
      ["timeDiscTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["timeTaxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["expCostDiscPrint", "SOAP::SOAPBoolean", [0, 1]],
      ["timeTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["timeDiscPrint", "SOAP::SOAPBoolean", [0, 1]],
      ["giftCertApplied", "SOAP::SOAPDouble", [0, 1]],
      ["timeDiscTax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["tranIsVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["timeTaxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAutoCalc", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::InvoiceSalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::InvoicePartnersList", [0, 1]],
      ["itemList", "ActiveNetsuite::InvoiceItemList", [0, 1]],
      ["itemCostList", "ActiveNetsuite::InvoiceItemCostList", [0, 1]],
      ["giftCertRedemptionList", "ActiveNetsuite::GiftCertRedemptionList", [0, 1]],
      ["expCostList", "ActiveNetsuite::InvoiceExpCostList", [0, 1]],
      ["timeList", "ActiveNetsuite::InvoiceTimeList", [0, 1]],
      ["shipGroupList", "ActiveNetsuite::InvoiceShipGroupList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InvoiceSalesTeam,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceSalesTeam"),
    :schema_element => [
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InvoiceSalesTeamList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceSalesTeamList"),
    :schema_element => [
      ["salesTeam", "ActiveNetsuite::InvoiceSalesTeam[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InvoiceItem,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceItem"),
    :schema_element => [
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["deferRevRec", "SOAP::SOAPBoolean", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["currentPercent", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["percentComplete", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityRemaining", "SOAP::SOAPDouble", [0, 1]],
      ["quantityFulfilled", "SOAP::SOAPDouble", [0, 1]],
      ["amountOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["licenseCode", "SOAP::SOAPString", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertFrom", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientName", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientEmail", "SOAP::SOAPString", [0, 1]],
      ["giftCertMessage", "SOAP::SOAPString", [0, 1]],
      ["giftCertNumber", "SOAP::SOAPString", [0, 1]],
      ["shipGroup", "SOAP::SOAPLong", [0, 1]],
      ["itemIsFulfilled", "SOAP::SOAPBoolean", [0, 1]],
      ["shipAddress", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeIsEstimate", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAmount", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAllocation", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["chargeType", "ActiveNetsuite::ChargeRuleType", [0, 1]],
      ["chargesList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InvoiceItemList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::InvoiceItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InvoiceItemCost,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceItemCost"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["billedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["itemDisp", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["jobDisp", "SOAP::SOAPString", [0, 1]],
      ["department", "SOAP::SOAPString", [0, 1]],
      ["v_class", ["SOAP::SOAPString", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "SOAP::SOAPString", [0, 1]],
      ["unitDisp", "SOAP::SOAPString", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["itemCostCount", "SOAP::SOAPString", [0, 1]],
      ["quantity", "SOAP::SOAPString", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InvoiceItemCostList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceItemCostList"),
    :schema_element => [
      ["itemCost", "ActiveNetsuite::InvoiceItemCost[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InvoiceExpCost,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceExpCost"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["billedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["jobDisp", "SOAP::SOAPString", [0, 1]],
      ["employeeDisp", "SOAP::SOAPString", [0, 1]],
      ["categoryDisp", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "SOAP::SOAPString", [0, 1]],
      ["v_class", ["SOAP::SOAPString", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "SOAP::SOAPString", [0, 1]],
      ["originalAmount", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["taxableDisp", "SOAP::SOAPString", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InvoiceExpCostList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceExpCostList"),
    :schema_element => [
      ["expCost", "ActiveNetsuite::InvoiceExpCost[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InvoiceTime,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceTime"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["billedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["employeeDisp", "SOAP::SOAPString", [0, 1]],
      ["itemDisp", "SOAP::SOAPString", [0, 1]],
      ["jobDisp", "SOAP::SOAPString", [0, 1]],
      ["department", "SOAP::SOAPString", [0, 1]],
      ["v_class", ["SOAP::SOAPString", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "SOAP::SOAPString", [0, 1]],
      ["quantity", "SOAP::SOAPString", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["unitDisp", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InvoiceTimeList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceTimeList"),
    :schema_element => [
      ["time", "ActiveNetsuite::InvoiceTime[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InvoicePartnersList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoicePartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::Partners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InvoiceShipGroupList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceShipGroupList"),
    :schema_element => [
      ["shipGroup", "ActiveNetsuite::TransactionShipGroup[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CashSale,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSale"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["opportunity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["salesEffectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["excludeCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["undepFunds", "SOAP::SOAPBoolean", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revenueStatus", "ActiveNetsuite::RevenueStatus", [0, 1]],
      ["recognizedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["deferredRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["revRecOnRevCommitment", "SOAP::SOAPBoolean", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payPalStatus", "SOAP::SOAPString", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["authCode", "SOAP::SOAPString", [0, 1]],
      ["ccAvsStreetMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["ccAvsZipMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["payPalTranId", "SOAP::SOAPString", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["ccIsPurchaseCardBin", "SOAP::SOAPBoolean", [0, 1]],
      ["ignoreAvs", "SOAP::SOAPBoolean", [0, 1]],
      ["ccProcessAsPurchaseCard", "SOAP::SOAPBoolean", [0, 1]],
      ["itemCostDiscount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCostDiscRate", "SOAP::SOAPString", [0, 1]],
      ["itemCostDiscAmount", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostTaxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostTaxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostDiscTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["itemCostTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCostDiscTax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostDiscPrint", "SOAP::SOAPBoolean", [0, 1]],
      ["expCostDiscount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expCostDiscRate", "SOAP::SOAPString", [0, 1]],
      ["expCostDiscAmount", "SOAP::SOAPDouble", [0, 1]],
      ["expCostDiscTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["expCostDiscprint", "SOAP::SOAPBoolean", [0, 1]],
      ["expCostTaxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["timeDiscount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expCostTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["timeDiscRate", "SOAP::SOAPString", [0, 1]],
      ["expCostTaxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["expCostDiscTax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["timeDiscAmount", "SOAP::SOAPDouble", [0, 1]],
      ["timeDiscTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["timeDiscPrint", "SOAP::SOAPBoolean", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["timeTaxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["timeTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["altHandlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["timeDiscTax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["ccSecurityCode", "SOAP::SOAPString", [0, 1]],
      ["timeTaxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["ccSecurityCodeMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["chargeIt", "SOAP::SOAPBoolean", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["threeDStatusCode", "SOAP::SOAPString", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["paypalAuthId", "SOAP::SOAPString", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["paypalProcess", "SOAP::SOAPBoolean", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["giftCertApplied", "SOAP::SOAPDouble", [0, 1]],
      ["tranIsVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoeAutoCalc", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::CashSaleSalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::CashSalePartnersList", [0, 1]],
      ["itemList", "ActiveNetsuite::CashSaleItemList", [0, 1]],
      ["itemCostList", "ActiveNetsuite::CashSaleItemCostList", [0, 1]],
      ["giftCertRedemptionList", "ActiveNetsuite::GiftCertRedemptionList", [0, 1]],
      ["expCostList", "ActiveNetsuite::CashSaleExpCostList", [0, 1]],
      ["timeList", "ActiveNetsuite::CashSaleTimeList", [0, 1]],
      ["shipGroupList", "ActiveNetsuite::CashSaleShipGroupList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CashSaleSalesTeam,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleSalesTeam"),
    :schema_element => [
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CashSaleSalesTeamList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleSalesTeamList"),
    :schema_element => [
      ["salesTeam", "ActiveNetsuite::CashSaleSalesTeam[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CashSaleItem,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleItem"),
    :schema_element => [
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityFulfilled", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["licenseCode", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["deferRevRec", "SOAP::SOAPBoolean", [0, 1]],
      ["currentPercent", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["percentComplete", "SOAP::SOAPDouble", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["amountOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityRemaining", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertFrom", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientName", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientEmail", "SOAP::SOAPString", [0, 1]],
      ["giftCertMessage", "SOAP::SOAPString", [0, 1]],
      ["giftCertNumber", "SOAP::SOAPString", [0, 1]],
      ["shipGroup", "SOAP::SOAPLong", [0, 1]],
      ["itemIsFulfilled", "SOAP::SOAPBoolean", [0, 1]],
      ["shipAddress", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeIsEstimate", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAmount", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAllocation", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["chargeType", "ActiveNetsuite::ChargeRuleType", [0, 1]],
      ["chargesList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CashSaleItemList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::CashSaleItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CashSaleItemCost,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleItemCost"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["billedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["itemDisp", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["jobDisp", "SOAP::SOAPString", [0, 1]],
      ["department", "SOAP::SOAPString", [0, 1]],
      ["v_class", ["SOAP::SOAPString", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "SOAP::SOAPString", [0, 1]],
      ["unitDisp", "SOAP::SOAPString", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["itemCostCount", "SOAP::SOAPString", [0, 1]],
      ["quantity", "SOAP::SOAPString", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CashSaleItemCostList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleItemCostList"),
    :schema_element => [
      ["itemCost", "ActiveNetsuite::CashSaleItemCost[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CashSaleExpCost,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleExpCost"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["billedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["jobDisp", "SOAP::SOAPString", [0, 1]],
      ["employeeDisp", "SOAP::SOAPString", [0, 1]],
      ["categoryDisp", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "SOAP::SOAPString", [0, 1]],
      ["v_class", ["SOAP::SOAPString", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "SOAP::SOAPString", [0, 1]],
      ["originalAmount", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["taxableDisp", "SOAP::SOAPString", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CashSaleExpCostList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleExpCostList"),
    :schema_element => [
      ["expCost", "ActiveNetsuite::CashSaleExpCost[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CashSaleTime,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleTime"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["billedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["employeeDisp", "SOAP::SOAPString", [0, 1]],
      ["itemDisp", "SOAP::SOAPString", [0, 1]],
      ["jobDisp", "SOAP::SOAPString", [0, 1]],
      ["department", "SOAP::SOAPString", [0, 1]],
      ["v_class", ["SOAP::SOAPString", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "SOAP::SOAPString", [0, 1]],
      ["quantity", "SOAP::SOAPString", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["unitDisp", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CashSaleTimeList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleTimeList"),
    :schema_element => [
      ["time", "ActiveNetsuite::CashSaleTime[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CashSalePartnersList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSalePartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::Partners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CashSaleShipGroupList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleShipGroupList"),
    :schema_element => [
      ["shipGroup", "ActiveNetsuite::TransactionShipGroup[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Estimate,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "Estimate"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["entityStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["probability", "SOAP::SOAPDouble", [0, 1]],
      ["includeInForecast", "SOAP::SOAPBoolean", [0, 1]],
      ["forecastType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["opportunity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dueDate", "SOAP::SOAPDateTime", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expectedCloseDate", "SOAP::SOAPDateTime", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["visibleToCustomer", "SOAP::SOAPBoolean", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["altSalesTotal", "SOAP::SOAPDouble", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["altHandlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["itemList", "ActiveNetsuite::EstimateItemList", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::EstimateSalesTeamList", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["partnersList", "ActiveNetsuite::EstimatePartnersList", [0, 1]],
      ["shipGroupList", "ActiveNetsuite::EstimateShipGroupList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EstimateItem,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "EstimateItem"),
    :schema_element => [
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["revRecTermInMonths", "SOAP::SOAPLong", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["altSalesAmt", "SOAP::SOAPDouble", [0, 1]],
      ["fromJob", "SOAP::SOAPBoolean", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["isEstimate", "SOAP::SOAPBoolean", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["shipGroup", "SOAP::SOAPLong", [0, 1]],
      ["itemIsFulfilled", "SOAP::SOAPBoolean", [0, 1]],
      ["shipAddress", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expectedShipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["chargeType", "ActiveNetsuite::ChargeRuleType", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EstimateItemList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "EstimateItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::EstimateItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EstimateSalesTeam,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "EstimateSalesTeam"),
    :schema_element => [
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EstimateSalesTeamList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "EstimateSalesTeamList"),
    :schema_element => [
      ["salesTeam", "ActiveNetsuite::EstimateSalesTeam[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EstimatePartnersList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "EstimatePartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::Partners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EstimateShipGroupList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "EstimateShipGroupList"),
    :schema_element => [
      ["shipGroup", "ActiveNetsuite::TransactionShipGroup[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GiftCertRedemption,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "GiftCertRedemption"),
    :schema_element => [
      ["authCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["authCodeApplied", "SOAP::SOAPDouble", [0, 1]],
      ["authCodeAmtRemaining", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertAvailable", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GiftCertRedemptionList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "GiftCertRedemptionList"),
    :schema_element => [
      ["giftCertRedemption", "ActiveNetsuite::GiftCertRedemption[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionShipGroup,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionShipGroup"),
    :schema_element => [
      ["id", "SOAP::SOAPLong", [0, 1]],
      ["isFulfilled", "SOAP::SOAPBoolean", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["sourceAddressRef", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceAddress", "SOAP::SOAPString", [0, 1]],
      ["destinationAddressRef", "ActiveNetsuite::RecordRef", [0, 1]],
      ["destinationAddress", "SOAP::SOAPString", [0, 1]],
      ["shippingMethodRef", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingMethod", "SOAP::SOAPString", [0, 1]],
      ["isHandlingTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTaxRate", "SOAP::SOAPString", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["handlingRate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTaxAmt", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Amt", "SOAP::SOAPDouble", [0, 1]],
      ["isShippingTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingTaxRate", "SOAP::SOAPString", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["shippingRate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTaxAmt", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax2Amt", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PurchLandedCostList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "PurchLandedCostList"),
    :schema_element => [
      ["landedCost", "ActiveNetsuite::LandedCostSummary[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorBill,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorBill"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["approvalStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["nextApprover", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dueDate", "SOAP::SOAPDateTime", [0, 1]],
      ["discountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["userTotal", "SOAP::SOAPDouble", [0, 1]],
      ["discountAmount", "SOAP::SOAPDouble", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["creditLimit", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["landedCostMethod", "ActiveNetsuite::LandedCostMethod", [0, 1]],
      ["landedCostPerLine", "SOAP::SOAPBoolean", [0, 1]],
      ["expenseList", "ActiveNetsuite::VendorBillExpenseList", [0, 1]],
      ["itemList", "ActiveNetsuite::VendorBillItemList", [0, 1]],
      ["landedCostsList", "ActiveNetsuite::PurchLandedCostList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["purchaseOrderList", "ActiveNetsuite::RecordRefList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorBillExpense,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorBillExpense"),
    :schema_element => [
      ["orderDoc", "SOAP::SOAPLong", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["amortizationSched", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationResidual", "SOAP::SOAPString", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorBillExpenseList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorBillExpenseList"),
    :schema_element => [
      ["expense", "ActiveNetsuite::VendorBillExpense[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorBillItem,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorBillItem"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["orderDoc", "SOAP::SOAPLong", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["landedCostCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["billVarianceStatus", "ActiveNetsuite::TransactionBillVarianceStatus", [0, 1]],
      ["billreceiptsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["amortizationSched", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationResidual", "SOAP::SOAPString", [0, 1]],
      ["landedCost", "ActiveNetsuite::LandedCost", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorBillItemList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorBillItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::VendorBillItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PurchaseOrder,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "PurchaseOrder"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supervisorApproval", "SOAP::SOAPBoolean", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dueDate", "SOAP::SOAPDateTime", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["approvalStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["nextApprover", "ActiveNetsuite::RecordRef", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipTo", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoTransaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoStatus", "ActiveNetsuite::IntercoStatus", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["orderStatus", "ActiveNetsuite::PurchaseOrderOrderStatus", [0, 1]],
      ["itemList", "ActiveNetsuite::PurchaseOrderItemList", [0, 1]],
      ["expenseList", "ActiveNetsuite::PurchaseOrderExpenseList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PurchaseOrderExpense,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "PurchaseOrderExpense"),
    :schema_element => [
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isClosed", "SOAP::SOAPBoolean", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PurchaseOrderExpenseList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "PurchaseOrderExpenseList"),
    :schema_element => [
      ["expense", "ActiveNetsuite::PurchaseOrderExpense[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PurchaseOrderItem,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "PurchaseOrderItem"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["quantityReceived", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBilled", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["landedCostCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["billVarianceStatus", "ActiveNetsuite::TransactionBillVarianceStatus", [0, 1]],
      ["matchBillToReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["expectedReceiptDate", "SOAP::SOAPDateTime", [0, 1]],
      ["isClosed", "SOAP::SOAPBoolean", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PurchaseOrderItemList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "PurchaseOrderItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::PurchaseOrderItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemReceipt,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemReceipt"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["landedCostMethod", "ActiveNetsuite::LandedCostMethod", [0, 1]],
      ["landedCostPerLine", "SOAP::SOAPBoolean", [0, 1]],
      ["itemList", "ActiveNetsuite::ItemReceiptItemList", [0, 1]],
      ["expenseList", "ActiveNetsuite::ItemReceiptExpenseList", [0, 1]],
      ["landedCostsList", "ActiveNetsuite::PurchLandedCostList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemReceiptItem,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemReceiptItem"),
    :schema_element => [
      ["itemReceive", "SOAP::SOAPBoolean", [0, 1]],
      ["jobName", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["itemName", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["onHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityRemaining", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["unitsDisplay", "SOAP::SOAPString", [0, 1]],
      ["unitCostOverride", "SOAP::SOAPDouble", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["restock", "SOAP::SOAPBoolean", [0, 1]],
      ["billVarianceStatus", "ActiveNetsuite::TransactionBillVarianceStatus", [0, 1]],
      ["isDropShipment", "SOAP::SOAPBoolean", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["landedCost", "ActiveNetsuite::LandedCost", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemReceiptItemList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemReceiptItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::ItemReceiptItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemReceiptExpense,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemReceiptExpense"),
    :schema_element => [
      ["markReceived", "SOAP::SOAPBoolean", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["account", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemReceiptExpenseList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemReceiptExpenseList"),
    :schema_element => [
      ["expense", "ActiveNetsuite::ItemReceiptExpense[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorPayment,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorPayment"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["apAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["address", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["voidJournal", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["toAch", "SOAP::SOAPBoolean", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["printVoucher", "SOAP::SOAPBoolean", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["applyList", "ActiveNetsuite::VendorPaymentApplyList", [0, 1]],
      ["creditList", "ActiveNetsuite::VendorPaymentCreditList", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorPaymentApply,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorPaymentApply"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["job", "SOAP::SOAPString", [0, 1]],
      ["applyDate", "SOAP::SOAPDateTime", [0, 1]],
      ["type", "SOAP::SOAPString", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["due", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["discDate", "SOAP::SOAPDateTime", [0, 1]],
      ["discAmt", "SOAP::SOAPDouble", [0, 1]],
      ["disc", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorPaymentApplyList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorPaymentApplyList"),
    :schema_element => [
      ["apply", "ActiveNetsuite::VendorPaymentApply[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorPaymentCredit,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorPaymentCredit"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["creditDate", "SOAP::SOAPDateTime", [0, 1]],
      ["type", "SOAP::SOAPString", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["appliedTo", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["due", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorPaymentCreditList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorPaymentCreditList"),
    :schema_element => [
      ["credit", "ActiveNetsuite::VendorPaymentCredit[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorCredit,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorCredit"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["unApplied", "SOAP::SOAPDouble", [0, 1]],
      ["autoApply", "SOAP::SOAPBoolean", [0, 1]],
      ["applied", "SOAP::SOAPDouble", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["userTotal", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expenseList", "ActiveNetsuite::VendorCreditExpenseList", [0, 1]],
      ["itemList", "ActiveNetsuite::VendorCreditItemList", [0, 1]],
      ["applyList", "ActiveNetsuite::VendorCreditApplyList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorCreditExpense,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorCreditExpense"),
    :schema_element => [
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["amortizationSched", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationResidual", "SOAP::SOAPString", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorCreditExpenseList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorCreditExpenseList"),
    :schema_element => [
      ["expense", "ActiveNetsuite::VendorCreditExpense[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorCreditItem,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorCreditItem"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbersList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["amortizationSched", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationResidual", "SOAP::SOAPString", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorCreditItemList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorCreditItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::VendorCreditItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorCreditApply,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorCreditApply"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["applyDate", "SOAP::SOAPDateTime", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["type", "SOAP::SOAPString", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["due", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorCreditApplyList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorCreditApplyList"),
    :schema_element => [
      ["apply", "ActiveNetsuite::VendorCreditApply[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorReturnAuthorization,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorReturnAuthorization"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["orderStatus", "ActiveNetsuite::VendorReturnAuthorizationOrderStatus", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["userTotal", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoTransaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoStatus", "ActiveNetsuite::IntercoStatus", [0, 1]],
      ["expenseList", "ActiveNetsuite::VendorReturnAuthorizationExpenseList", [0, 1]],
      ["itemList", "ActiveNetsuite::VendorReturnAuthorizationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorReturnAuthorizationExpense,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorReturnAuthorizationExpense"),
    :schema_element => [
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["amortizationSched", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationResidual", "SOAP::SOAPString", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorReturnAuthorizationExpenseList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorReturnAuthorizationExpenseList"),
    :schema_element => [
      ["expense", "ActiveNetsuite::VendorReturnAuthorizationExpense[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorReturnAuthorizationItem,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorReturnAuthorizationItem"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbersList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["isClosed", "SOAP::SOAPBoolean", [0, 1]],
      ["amortizationSched", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isDropShipment", "SOAP::SOAPBoolean", [0, 1]],
      ["amortizStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationResidual", "SOAP::SOAPString", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorReturnAuthorizationItemList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorReturnAuthorizationItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::VendorReturnAuthorizationItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CashRefund,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashRefund"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["salesEffectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["refundCheck", "SOAP::SOAPBoolean", [0, 1]],
      ["toPrint2", "SOAP::SOAPBoolean", [0, 1]],
      ["excludeCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revenueStatus", "ActiveNetsuite::RevenueStatus", [0, 1]],
      ["recognizedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["deferredRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["revRecOnRevCommitment", "SOAP::SOAPBoolean", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["chargeIt", "SOAP::SOAPBoolean", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["payPalTranId", "SOAP::SOAPString", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["ccIsPurchaseCardBin", "SOAP::SOAPBoolean", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["ccProcessAsPurchaseCard", "SOAP::SOAPBoolean", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["payPalStatus", "SOAP::SOAPString", [0, 1]],
      ["altHandlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["payPalAuthId", "SOAP::SOAPString", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["giftCert", "ActiveNetsuite::RecordRef", [0, 1]],
      ["giftCertTotal", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertApplied", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["tranIsVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["payPalProcess", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoeAutoCalc", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["itemList", "ActiveNetsuite::CashRefundItemList", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::CashRefundSalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::CashRefundPartnersList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CashRefundItem,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashRefundItem"),
    :schema_element => [
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPString", [0, 1]],
      ["taxRate2", "SOAP::SOAPString", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["giftCertFrom", "SOAP::SOAPString", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertRecipientName", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientEmail", "SOAP::SOAPString", [0, 1]],
      ["giftCertMessage", "SOAP::SOAPString", [0, 1]],
      ["giftCertNumber", "SOAP::SOAPString", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeIsEstimate", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAmount", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAllocation", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["chargeType", "ActiveNetsuite::ChargeRuleType", [0, 1]],
      ["chargesList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CashRefundItemList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashRefundItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::CashRefundItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CashRefundSalesTeam,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashRefundSalesTeam"),
    :schema_element => [
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CashRefundSalesTeamList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashRefundSalesTeamList"),
    :schema_element => [
      ["salesTeam", "ActiveNetsuite::CashRefundSalesTeam[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CashRefundPartnersList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashRefundPartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::Partners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerPayment,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerPayment"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["arAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["pending", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payment", "SOAP::SOAPDouble", [0, 1]],
      ["autoApply", "SOAP::SOAPBoolean", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccIsPurchaseCardBin", "SOAP::SOAPBoolean", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["ccProcessAsPurchaseCard", "SOAP::SOAPBoolean", [0, 1]],
      ["checkNum", "SOAP::SOAPString", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["chargeIt", "SOAP::SOAPBoolean", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["authCode", "SOAP::SOAPString", [0, 1]],
      ["ccAvsStreetMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["ccAvsZipMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["ccSecurityCode", "SOAP::SOAPString", [0, 1]],
      ["ignoreAvs", "SOAP::SOAPBoolean", [0, 1]],
      ["ccSecurityCodeMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["threeDStatusCode", "SOAP::SOAPString", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["undepFunds", "SOAP::SOAPBoolean", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["applied", "SOAP::SOAPDouble", [0, 1]],
      ["unapplied", "SOAP::SOAPDouble", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["applyList", "ActiveNetsuite::CustomerPaymentApplyList", [0, 1]],
      ["creditList", "ActiveNetsuite::CustomerPaymentCreditList", [0, 1]],
      ["depositList", "ActiveNetsuite::CustomerPaymentDepositList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerPaymentApply,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerPaymentApply"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["applyDate", "SOAP::SOAPDateTime", [0, 1]],
      ["job", "SOAP::SOAPString", [0, 1]],
      ["type", "SOAP::SOAPString", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["due", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["discDate", "SOAP::SOAPDateTime", [0, 1]],
      ["discAmt", "SOAP::SOAPDouble", [0, 1]],
      ["disc", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerPaymentApplyList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerPaymentApplyList"),
    :schema_element => [
      ["apply", "ActiveNetsuite::CustomerPaymentApply[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerPaymentCredit,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerPaymentCredit"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["creditDate", "SOAP::SOAPDateTime", [0, 1]],
      ["type", "SOAP::SOAPString", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["appliedTo", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["due", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerPaymentCreditList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerPaymentCreditList"),
    :schema_element => [
      ["credit", "ActiveNetsuite::CustomerPaymentCredit[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerPaymentDeposit,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerPaymentDeposit"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["depositDate", "SOAP::SOAPDateTime", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["remaining", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerPaymentDepositList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerPaymentDepositList"),
    :schema_element => [
      ["deposit", "ActiveNetsuite::CustomerPaymentDeposit[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ReturnAuthorization,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ReturnAuthorization"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoTransaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoStatus", "ActiveNetsuite::IntercoStatus", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["drAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fxAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesEffectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["excludeCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["revenueStatus", "ActiveNetsuite::RevenueStatus", [0, 1]],
      ["recognizedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["deferredRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["revRecOnRevCommitment", "SOAP::SOAPBoolean", [0, 1]],
      ["revCommitStatus", "ActiveNetsuite::RevenueCommitStatus", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["altSalesTotal", "SOAP::SOAPDouble", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payPalAuthId", "SOAP::SOAPString", [0, 1]],
      ["payPalProcess", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["orderStatus", "ActiveNetsuite::ReturnAuthorizationOrderStatus", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["giftCert", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["giftCertTotal", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertApplied", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["tranIsVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoeAutoCalc", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["itemList", "ActiveNetsuite::ReturnAuthorizationItemList", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::ReturnAuthorizationSalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::ReturnAuthorizationPartnersList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ReturnAuthorizationItem,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ReturnAuthorizationItem"),
    :schema_element => [
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["quantityReceived", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBilled", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["revRecTermInMonths", "SOAP::SOAPLong", [0, 1]],
      ["deferRevRec", "SOAP::SOAPBoolean", [0, 1]],
      ["isClosed", "SOAP::SOAPBoolean", [0, 1]],
      ["isDropShipment", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["giftCertFrom", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientName", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientEmail", "SOAP::SOAPString", [0, 1]],
      ["giftCertMessage", "SOAP::SOAPString", [0, 1]],
      ["giftCertNumber", "SOAP::SOAPString", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeIsEstimate", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAmount", "SOAP::SOAPDouble", [0, 1]],
      ["altSalesAmt", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAllocation", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ReturnAuthorizationItemList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ReturnAuthorizationItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::ReturnAuthorizationItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ReturnAuthorizationSalesTeam,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ReturnAuthorizationSalesTeam"),
    :schema_element => [
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ReturnAuthorizationSalesTeamList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ReturnAuthorizationSalesTeamList"),
    :schema_element => [
      ["salesTeam", "ActiveNetsuite::ReturnAuthorizationSalesTeam[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ReturnAuthorizationPartnersList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ReturnAuthorizationPartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::Partners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CreditMemo,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CreditMemo"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["excludeCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["onCreditHold", "SOAP::SOAPString", [0, 1]],
      ["amountPaid", "SOAP::SOAPDouble", [0, 1]],
      ["salesEffectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amountRemaining", "SOAP::SOAPDouble", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["unapplied", "SOAP::SOAPDouble", [0, 1]],
      ["autoApply", "SOAP::SOAPBoolean", [0, 1]],
      ["applied", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["revenueStatus", "ActiveNetsuite::RevenueStatus", [0, 1]],
      ["recognizedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["deferredRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["revRecOnRevCommitment", "SOAP::SOAPBoolean", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["altHandlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["giftCert", "ActiveNetsuite::RecordRef", [0, 1]],
      ["giftCertTotal", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertApplied", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["tranIsVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoeAutoCalc", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::CreditMemoSalesTeamList", [0, 1]],
      ["itemList", "ActiveNetsuite::CreditMemoItemList", [0, 1]],
      ["partnersList", "ActiveNetsuite::CreditMemoPartnersList", [0, 1]],
      ["applyList", "ActiveNetsuite::CreditMemoApplyList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CreditMemoSalesTeam,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CreditMemoSalesTeam"),
    :schema_element => [
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CreditMemoSalesTeamList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CreditMemoSalesTeamList"),
    :schema_element => [
      ["salesTeam", "ActiveNetsuite::CreditMemoSalesTeam[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CreditMemoItem,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CreditMemoItem"),
    :schema_element => [
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecTermInMonths", "SOAP::SOAPLong", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["deferRevRec", "SOAP::SOAPBoolean", [0, 1]],
      ["giftCertFrom", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientName", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientEmail", "SOAP::SOAPString", [0, 1]],
      ["giftCertMessage", "SOAP::SOAPString", [0, 1]],
      ["giftCertNumber", "SOAP::SOAPString", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeIsEstimate", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAmount", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAllocation", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["chargeType", "ActiveNetsuite::ChargeRuleType", [0, 1]],
      ["chargesList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CreditMemoItemList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CreditMemoItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::CreditMemoItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CreditMemoApply,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CreditMemoApply"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["applyDate", "SOAP::SOAPDateTime", [0, 1]],
      ["job", "SOAP::SOAPString", [0, 1]],
      ["type", "SOAP::SOAPString", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["due", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CreditMemoApplyList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CreditMemoApplyList"),
    :schema_element => [
      ["apply", "ActiveNetsuite::CreditMemoApply[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CreditMemoPartnersList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CreditMemoPartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::Partners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerRefund,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerRefund"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["arAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["address", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["voidJournal", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["chargeIt", "SOAP::SOAPBoolean", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccIsPurchaseCardBin", "SOAP::SOAPBoolean", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["ccProcessAsPurchaseCard", "SOAP::SOAPBoolean", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["applyList", "ActiveNetsuite::CustomerRefundApplyList", [0, 1]],
      ["depositList", "ActiveNetsuite::CustomerRefundDepositList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerRefundApply,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerRefundApply"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["applyDate", "SOAP::SOAPDateTime", [0, 1]],
      ["type", "SOAP::SOAPString", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["due", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerRefundApplyList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerRefundApplyList"),
    :schema_element => [
      ["apply", "ActiveNetsuite::CustomerRefundApply[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerRefundDeposit,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerRefundDeposit"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["depositDate", "SOAP::SOAPDateTime", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["remaining", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerRefundDepositList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerRefundDepositList"),
    :schema_element => [
      ["customerRefundDeposit", "ActiveNetsuite::CustomerRefundDeposit[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerDeposit,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerDeposit"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesOrder", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payment", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccIsPurchaseCardBin", "SOAP::SOAPBoolean", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["ccProcessAsPurchaseCard", "SOAP::SOAPBoolean", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["checkNum", "SOAP::SOAPString", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccSecurityCode", "SOAP::SOAPString", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["chargeIt", "SOAP::SOAPBoolean", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["authCode", "SOAP::SOAPString", [0, 1]],
      ["ccAvsStreetMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["ccAvsZipMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["ccSecurityCodeMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["threeDStatusCode", "SOAP::SOAPString", [0, 1]],
      ["ignoreAvs", "SOAP::SOAPBoolean", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["undepFunds", "SOAP::SOAPBoolean", [0, 1]],
      ["applyList", "ActiveNetsuite::CustomerDepositApplyList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerDepositApply,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerDepositApply"),
    :schema_element => [
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["applyDate", "SOAP::SOAPDateTime", [0, 1]],
      ["type", "SOAP::SOAPString", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["job", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerDepositApplyList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerDepositApplyList"),
    :schema_element => [
      ["customerDepositApply", "ActiveNetsuite::CustomerDepositApply[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DepositApplication,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "DepositApplication"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["arAcct", "SOAP::SOAPString", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deposit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["depDate", "SOAP::SOAPDateTime", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["applied", "SOAP::SOAPDouble", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["unapplied", "SOAP::SOAPDouble", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["applyList", "ActiveNetsuite::DepositApplicationApplyList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DepositApplicationApply,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "DepositApplicationApply"),
    :schema_element => [
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["applyDate", "SOAP::SOAPDateTime", [0, 1]],
      ["job", "SOAP::SOAPString", [0, 1]],
      ["type", "SOAP::SOAPString", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["due", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DepositApplicationApplyList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "DepositApplicationApplyList"),
    :schema_element => [
      ["apply", "ActiveNetsuite::DepositApplicationApply[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Charge,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "Charge"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesOrder", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billTo", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stage", "ActiveNetsuite::ChargeStage", [0, 1]],
      ["chargeDate", "SOAP::SOAPDateTime", [0, 1]],
      ["use", "ActiveNetsuite::ChargeUse", [0, 1]],
      ["chargeType", "ActiveNetsuite::ChargeRuleType", [0, 1]],
      ["projectTask", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["timeRecord", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["billingItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesOrderLine", "ActiveNetsuite::RecordRef", [0, 1]],
      ["invoice", "ActiveNetsuite::RecordRef", [0, 1]],
      ["invoiceLine", "ActiveNetsuite::RecordRef", [0, 1]],
      ["runId", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ChargeSearch,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ChargeSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ChargeSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ChargeSearchAdvanced,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ChargeSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ChargeSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ChargeSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ChargeSearchRow,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ChargeSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ChargeSearchRowBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Budget,
    :schema_type => XSD::QName.new(NsFinancial_2013_2TransactionsWebservicesActiveNetsuiteCom, "Budget"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["year", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsFinancial_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["budgetType", "ActiveNetsuite::BudgetBudgetType", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["periodAmount1", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount2", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount3", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount4", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount5", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount6", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount7", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount8", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount9", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount10", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount11", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount12", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BudgetSearch,
    :schema_type => XSD::QName.new(NsFinancial_2013_2TransactionsWebservicesActiveNetsuiteCom, "BudgetSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::BudgetSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BudgetSearchAdvanced,
    :schema_type => XSD::QName.new(NsFinancial_2013_2TransactionsWebservicesActiveNetsuiteCom, "BudgetSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::BudgetSearch", [0, 1]],
      ["columns", "ActiveNetsuite::BudgetSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BudgetSearchRow,
    :schema_type => XSD::QName.new(NsFinancial_2013_2TransactionsWebservicesActiveNetsuiteCom, "BudgetSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::BudgetSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CheckLandedCostList,
    :schema_type => XSD::QName.new(NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom, "CheckLandedCostList"),
    :schema_element => [
      ["landedCost", "ActiveNetsuite::LandedCostSummary[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Check,
    :schema_type => XSD::QName.new(NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom, "Check"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["address", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["voidJournal", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["userTotal", "SOAP::SOAPDouble", [0, 1]],
      ["landedCostMethod", "ActiveNetsuite::LandedCostMethod", [0, 1]],
      ["landedCostPerLine", "SOAP::SOAPBoolean", [0, 1]],
      ["expenseList", "ActiveNetsuite::CheckExpenseList", [0, 1]],
      ["itemList", "ActiveNetsuite::CheckItemList", [0, 1]],
      ["landedCostsList", "ActiveNetsuite::CheckLandedCostList", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CheckExpense,
    :schema_type => XSD::QName.new(NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom, "CheckExpense"),
    :schema_element => [
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CheckExpenseList,
    :schema_type => XSD::QName.new(NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom, "CheckExpenseList"),
    :schema_element => [
      ["expense", "ActiveNetsuite::CheckExpense[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CheckItem,
    :schema_type => XSD::QName.new(NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom, "CheckItem"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["landedCost", "ActiveNetsuite::LandedCost", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CheckItemList,
    :schema_type => XSD::QName.new(NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom, "CheckItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::CheckItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryAdjustment,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InventoryAdjustment"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["estimatedTotalValue", "SOAP::SOAPDouble", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["adjLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["inventoryList", "ActiveNetsuite::InventoryAdjustmentInventoryList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryAdjustmentInventory,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InventoryAdjustmentInventory"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["currentValue", "SOAP::SOAPDouble", [0, 1]],
      ["adjustQtyBy", "SOAP::SOAPDouble", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["newQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["unitCost", "SOAP::SOAPDouble", [0, 1]],
      ["foreignCurrencyUnitCost", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryAdjustmentInventoryList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InventoryAdjustmentInventoryList"),
    :schema_element => [
      ["inventory", "ActiveNetsuite::InventoryAdjustmentInventory[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AssemblyBuild,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "AssemblyBuild"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildable", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revision", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["componentList", "ActiveNetsuite::AssemblyComponentList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AssemblyUnbuild,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "AssemblyUnbuild"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["built", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["componentList", "ActiveNetsuite::AssemblyComponentList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AssemblyComponent,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "AssemblyComponent"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["componentInventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["componentNumbers", "SOAP::SOAPString", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AssemblyComponentList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "AssemblyComponentList"),
    :schema_element => [
      ["component", "ActiveNetsuite::AssemblyComponent[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransferOrder,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransferOrder"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["orderStatus", "ActiveNetsuite::TransferOrderOrderStatus", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transferLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["shipComplete", "SOAP::SOAPBoolean", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["itemList", "ActiveNetsuite::TransferOrderItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransferOrderItem,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransferOrderItem"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityFulfilled", "SOAP::SOAPDouble", [0, 1]],
      ["quantityPacked", "SOAP::SOAPDouble", [0, 1]],
      ["quantityPicked", "SOAP::SOAPDouble", [0, 1]],
      ["quantityReceived", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["commitInventory", "ActiveNetsuite::TransferOrderItemCommitInventory", [0, 1]],
      ["orderPriority", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["isClosed", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["expectedShipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["expectedReceiptDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransferOrderItemList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransferOrderItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::TransferOrderItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InterCompanyTransferOrder,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InterCompanyTransferOrder"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["orderStatus", "ActiveNetsuite::TransferOrderOrderStatus", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["toSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transferLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["shipComplete", "SOAP::SOAPBoolean", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["itemList", "ActiveNetsuite::InterCompanyTransferOrderItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InterCompanyTransferOrderItem,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InterCompanyTransferOrderItem"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityFulfilled", "SOAP::SOAPDouble", [0, 1]],
      ["quantityReceived", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["commitInventory", "ActiveNetsuite::TransferOrderItemCommitInventory", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InterCompanyTransferOrderItemList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InterCompanyTransferOrderItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::InterCompanyTransferOrderItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WorkOrder,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrder"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturingRouting", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assemblyItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expandAssembly", "SOAP::SOAPBoolean", [0, 1]],
      ["isWip", "SOAP::SOAPBoolean", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["itemList", "ActiveNetsuite::WorkOrderItemList", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::SalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::PartnersList", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildable", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["built", "SOAP::SOAPDouble", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revision", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WorkOrderItem,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderItem"),
    :schema_element => [
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["componentYield", "SOAP::SOAPDouble", [0, 1]],
      ["bomQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["orderPriority", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["poVendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["poRate", "SOAP::SOAPDouble", [0, 1]],
      ["percentComplete", "SOAP::SOAPDouble", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["commit", "ActiveNetsuite::WorkOrderItemItemCommitInventory", [0, 1]],
      ["createPo", "ActiveNetsuite::WorkOrderItemItemCreatePo", [0, 1]],
      ["createWo", "SOAP::SOAPBoolean", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WorkOrderItemList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::WorkOrderItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SalesTeamList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesTeamList"),
    :schema_element => [
      ["salesTeam", "ActiveNetsuite::CustomerSalesTeam[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PartnersList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "PartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::Partners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryTransfer,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InventoryTransfer"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transferLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryList", "ActiveNetsuite::InventoryTransferInventoryList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryTransferInventory,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InventoryTransferInventory"),
    :schema_element => [
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["adjustQtyBy", "SOAP::SOAPDouble", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["fromBinNumbers", "SOAP::SOAPString", [0, 1]],
      ["toBinNumbers", "SOAP::SOAPString", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryTransferInventoryList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InventoryTransferInventoryList"),
    :schema_element => [
      ["inventory", "ActiveNetsuite::InventoryTransferInventory[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BinTransfer,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "BinTransfer"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryList", "ActiveNetsuite::BinTransferInventoryList", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BinTransferInventory,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "BinTransferInventory"),
    :schema_element => [
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["preferredBin", "SOAP::SOAPString", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["itemUnitsLabel", "SOAP::SOAPString", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["fromBins", "SOAP::SOAPString", [0, 1]],
      ["toBins", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BinTransferInventoryList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "BinTransferInventoryList"),
    :schema_element => [
      ["inventory", "ActiveNetsuite::BinTransferInventory[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BinWorksheet,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "BinWorksheet"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["itemList", "ActiveNetsuite::BinWorksheetItemList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BinWorksheetItem,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "BinWorksheetItem"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemName", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["itemOnHand", "SOAP::SOAPString", [0, 1]],
      ["itemUnitsLabel", "SOAP::SOAPString", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["itemBins", "SOAP::SOAPString", [0, 1]],
      ["itemBinNumbers", "SOAP::SOAPString", [0, 1]],
      ["itemBinList", "SOAP::SOAPString", [0, 1]],
      ["itemPreferBin", "SOAP::SOAPString", [0, 1]],
      ["itemBlank", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BinWorksheetItemList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "BinWorksheetItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::BinWorksheetItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WorkOrderIssue,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderIssue"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revision", "ActiveNetsuite::RecordRef", [0, 1]],
      ["componentList", "ActiveNetsuite::WorkOrderIssueComponentList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WorkOrderIssueComponent,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderIssueComponent"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["componentInventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["lineNumber", "SOAP::SOAPLong", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WorkOrderIssueComponentList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderIssueComponentList"),
    :schema_element => [
      ["workOrderIssueComponent", "ActiveNetsuite::WorkOrderIssueComponent[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WorkOrderCompletion,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderCompletion"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["scrapQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBackflush", "SOAP::SOAPBoolean", [0, 1]],
      ["orderQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revision", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startOperation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["endOperation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["completedQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["manufacturingRouting", "ActiveNetsuite::RecordRef", [0, 1]],
      ["componentList", "ActiveNetsuite::WorkOrderCompletionComponentList", [0, 1]],
      ["operationList", "ActiveNetsuite::WorkOrderCompletionOperationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WorkOrderCompletionComponent,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderCompletionComponent"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityPer", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["componentInventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["lineNumber", "SOAP::SOAPLong", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WorkOrderCompletionComponentList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderCompletionComponentList"),
    :schema_element => [
      ["workOrderCompletionComponent", "ActiveNetsuite::WorkOrderCompletionComponent[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WorkOrderClose,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderClose"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["orderQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["scrapQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revision", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WorkOrderCompletionOperation,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderCompletionOperation"),
    :schema_element => [
      ["operationSequence", "SOAP::SOAPLong", [0, 1]],
      ["operationName", "SOAP::SOAPString", [0, 1]],
      ["workCenter", "SOAP::SOAPString", [0, 1]],
      ["machineResources", "SOAP::SOAPLong", [0, 1]],
      ["laborResources", "SOAP::SOAPLong", [0, 1]],
      ["inputQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["quantityRemaining", "SOAP::SOAPDouble", [0, 1]],
      ["predecessorCompletedQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["completedQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["recordSetup", "SOAP::SOAPBoolean", [0, 1]],
      ["machineSetupTime", "SOAP::SOAPDouble", [0, 1]],
      ["laborSetupTime", "SOAP::SOAPDouble", [0, 1]],
      ["machineRunTime", "SOAP::SOAPDouble", [0, 1]],
      ["laborRunTime", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WorkOrderCompletionOperationList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderCompletionOperationList"),
    :schema_element => [
      ["workOrderCompletionOperation", "ActiveNetsuite::WorkOrderCompletionOperation[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryCostRevaluation,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InventoryCostRevaluation"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["inventoryValue", "SOAP::SOAPDouble", [0, 1]],
      ["unitCost", "SOAP::SOAPDouble", [0, 1]],
      ["costComponentList", "ActiveNetsuite::InventoryCostRevaluationCostComponentList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryCostRevaluationCostComponent,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InventoryCostRevaluationCostComponent"),
    :schema_element => [
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["componentItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InventoryCostRevaluationCostComponentList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InventoryCostRevaluationCostComponentList"),
    :schema_element => [
      ["costComponent", "ActiveNetsuite::InventoryCostRevaluationCostComponent[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JournalEntry,
    :schema_type => XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "JournalEntry"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["reversalDate", "SOAP::SOAPDateTime", [0, 1]],
      ["reversalDefer", "SOAP::SOAPBoolean", [0, 1]],
      ["parentExpenseAlloc", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reversalEntry", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["toSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["approved", "SOAP::SOAPBoolean", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["lineList", "ActiveNetsuite::JournalEntryLineList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JournalEntryLine,
    :schema_type => XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "JournalEntryLine"),
    :schema_element => [
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["debit", "SOAP::SOAPDouble", [0, 1]],
      ["credit", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["eliminate", "SOAP::SOAPBoolean", [0, 1]],
      ["schedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["scheduleNum", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Acct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JournalEntryLineList,
    :schema_type => XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "JournalEntryLineList"),
    :schema_element => [
      ["line", "ActiveNetsuite::JournalEntryLine[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InterCompanyJournalEntry,
    :schema_type => XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "InterCompanyJournalEntry"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["reversalDate", "SOAP::SOAPDateTime", [0, 1]],
      ["reversalDefer", "SOAP::SOAPBoolean", [0, 1]],
      ["parentExpenseAlloc", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reversalEntry", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["toSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["approved", "SOAP::SOAPBoolean", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lineList", "ActiveNetsuite::InterCompanyJournalEntryLineList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InterCompanyJournalEntryLine,
    :schema_type => XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "InterCompanyJournalEntryLine"),
    :schema_element => [
      ["lineSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["debit", "SOAP::SOAPDouble", [0, 1]],
      ["credit", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["schedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["eliminate", "SOAP::SOAPBoolean", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["amortizationSched", "ActiveNetsuite::RecordRef", [0, 1]],
      ["scheduleNum", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationResidual", "SOAP::SOAPString", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Acct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InterCompanyJournalEntryLineList,
    :schema_type => XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "InterCompanyJournalEntryLineList"),
    :schema_element => [
      ["line", "ActiveNetsuite::InterCompanyJournalEntryLine[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecord,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecord"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customRecordId", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["disclaimer", "SOAP::SOAPString", [0, 1]],
      ["created", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModified", "SOAP::SOAPDateTime", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["recType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["enableNumbering", "SOAP::SOAPBoolean", [0, 1]],
      ["numberingPrefix", "SOAP::SOAPString", [0, 1]],
      ["numberingSuffix", "SOAP::SOAPString", [0, 1]],
      ["numberingMinDigits", "SOAP::SOAPLong", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["numberingInit", "SOAP::SOAPLong", [0, 1]],
      ["numberingCurrentNumber", "SOAP::SOAPLong", [0, 1]],
      ["allowNumberingOverride", "SOAP::SOAPBoolean", [0, 1]],
      ["isNumberingUpdateable", "SOAP::SOAPBoolean", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomRecordTranslationsList", [0, 1]],
      ["includeName", "SOAP::SOAPBoolean", [0, 1]],
      ["showId", "SOAP::SOAPBoolean", [0, 1]],
      ["showCreationDate", "SOAP::SOAPBoolean", [0, 1]],
      ["showCreationDateOnList", "SOAP::SOAPBoolean", [0, 1]],
      ["showLastModified", "SOAP::SOAPBoolean", [0, 1]],
      ["showLastModifiedOnList", "SOAP::SOAPBoolean", [0, 1]],
      ["showOwner", "SOAP::SOAPBoolean", [0, 1]],
      ["showOwnerOnList", "SOAP::SOAPBoolean", [0, 1]],
      ["showOwnerAllowChange", "SOAP::SOAPBoolean", [0, 1]],
      ["usePermissions", "SOAP::SOAPBoolean", [0, 1]],
      ["allowAttachments", "SOAP::SOAPBoolean", [0, 1]],
      ["showNotes", "SOAP::SOAPBoolean", [0, 1]],
      ["enablEmailMerge", "SOAP::SOAPBoolean", [0, 1]],
      ["isOrdered", "SOAP::SOAPBoolean", [0, 1]],
      ["allowInlineEditing", "SOAP::SOAPBoolean", [0, 1]],
      ["isAvailableOffline", "SOAP::SOAPBoolean", [0, 1]],
      ["allowQuickSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["recordName", "SOAP::SOAPString", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordSearch,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomRecordSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["ownerJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordSearchAdvanced,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::CustomRecordSearch", [0, 1]],
      ["columns", "ActiveNetsuite::CustomRecordSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordSearchRow,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomRecordSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["ownerJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomList"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOrdered", "SOAP::SOAPBoolean", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isMatrixOption", "SOAP::SOAPBoolean", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["convertToCustomRecord", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["customValueList", "ActiveNetsuite::CustomListCustomValueList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomListTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomListCustomValue,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomListCustomValue"),
    :schema_element => [
      ["value", "SOAP::SOAPString", [0, 1]],
      ["abbreviation", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["valueId", "SOAP::SOAPLong", [0, 1]],
      ["valueLanguageValueList", "ActiveNetsuite::LanguageValueList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomListCustomValueList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomListCustomValueList"),
    :schema_element => [
      ["customValue", "ActiveNetsuite::CustomListCustomValue[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomListTranslations,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomListTranslations"),
    :schema_element => [
      ["locale", "ActiveNetsuite::Language", [0, 1]],
      ["localeDescription", "SOAP::SOAPString", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomListTranslationsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomListTranslationsList"),
    :schema_element => [
      ["translations", "ActiveNetsuite::CustomListTranslations[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordType,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordType"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["recordName", "SOAP::SOAPString", [0, 1]],
      ["includeName", "SOAP::SOAPBoolean", [0, 1]],
      ["showId", "SOAP::SOAPBoolean", [0, 1]],
      ["showCreationDate", "SOAP::SOAPBoolean", [0, 1]],
      ["showCreationDateOnList", "SOAP::SOAPBoolean", [0, 1]],
      ["showLastModified", "SOAP::SOAPBoolean", [0, 1]],
      ["showLastModifiedOnList", "SOAP::SOAPBoolean", [0, 1]],
      ["showOwner", "SOAP::SOAPBoolean", [0, 1]],
      ["showOwnerOnList", "SOAP::SOAPBoolean", [0, 1]],
      ["showOwnerAllowChange", "SOAP::SOAPBoolean", [0, 1]],
      ["accessType", "ActiveNetsuite::CustomRecordTypeAccessType", [0, 1]],
      ["allowAttachments", "SOAP::SOAPBoolean", [0, 1]],
      ["showNotes", "SOAP::SOAPBoolean", [0, 1]],
      ["enableMailMerge", "SOAP::SOAPBoolean", [0, 1]],
      ["isOrdered", "SOAP::SOAPBoolean", [0, 1]],
      ["isAvailableOffline", "SOAP::SOAPBoolean", [0, 1]],
      ["allowQuickSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["enableDle", "SOAP::SOAPBoolean", [0, 1]],
      ["enableNameTranslation", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["disclaimer", "SOAP::SOAPString", [0, 1]],
      ["enableNumbering", "SOAP::SOAPBoolean", [0, 1]],
      ["numberingPrefix", "SOAP::SOAPString", [0, 1]],
      ["numberingSuffix", "SOAP::SOAPString", [0, 1]],
      ["numberingMinDigits", "SOAP::SOAPLong", [0, 1]],
      ["numberingInit", "SOAP::SOAPLong", [0, 1]],
      ["numberingCurrentNumber", "SOAP::SOAPLong", [0, 1]],
      ["allowNumberingOverride", "SOAP::SOAPBoolean", [0, 1]],
      ["isNumberingUpdateable", "SOAP::SOAPBoolean", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["tabsList", "ActiveNetsuite::CustomRecordTypeTabsList", [0, 1]],
      ["sublistsList", "ActiveNetsuite::CustomRecordTypeSublistsList", [0, 1]],
      ["formsList", "ActiveNetsuite::CustomRecordTypeFormsList", [0, 1]],
      ["onlineFormsList", "ActiveNetsuite::CustomRecordTypeOnlineFormsList", [0, 1]],
      ["permissionsList", "ActiveNetsuite::CustomRecordTypePermissionsList", [0, 1]],
      ["linksList", "ActiveNetsuite::CustomRecordTypeLinksList", [0, 1]],
      ["managersList", "ActiveNetsuite::CustomRecordTypeManagersList", [0, 1]],
      ["childrenList", "ActiveNetsuite::CustomRecordTypeChildrenList", [0, 1]],
      ["parentsList", "ActiveNetsuite::CustomRecordTypeParentsList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomRecordTypeTranslationsList", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomRecordTypeFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeFieldList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeFieldList"),
    :schema_element => [
      ["customField", "ActiveNetsuite::CustomRecordCustomField[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeTabs,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeTabs"),
    :schema_element => [
      ["tabTitle", "SOAP::SOAPString", [0, 1]],
      ["tabParent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tabTitleLanguageValueList", "ActiveNetsuite::LanguageValueList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeTabsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeTabsList"),
    :schema_element => [
      ["tabs", "ActiveNetsuite::CustomRecordTypeTabs[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeForms,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeForms"),
    :schema_element => [
      ["formEdit", "SOAP::SOAPString", [0, 1]],
      ["formName", "SOAP::SOAPString", [0, 1]],
      ["formPref", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeFormsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeFormsList"),
    :schema_element => [
      ["forms", "ActiveNetsuite::CustomRecordTypeForms[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeOnlineForms,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeOnlineForms"),
    :schema_element => [
      ["onlineFormName", "SOAP::SOAPString", [0, 1]],
      ["isOnline", "SOAP::SOAPString", [0, 1]],
      ["templateName", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeOnlineFormsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeOnlineFormsList"),
    :schema_element => [
      ["onlineForms", "ActiveNetsuite::CustomRecordTypeOnlineForms[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypePermissions,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypePermissions"),
    :schema_element => [
      ["permittedRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["permittedLevel", "ActiveNetsuite::CustomRecordTypePermissionsPermittedLevel", [0, 1]],
      ["restriction", "ActiveNetsuite::CustomRecordTypePermissionsRestriction", [0, 1]],
      ["defaultForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["restrictForm", "SOAP::SOAPBoolean", [0, 1]],
      ["searchForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchResults", "ActiveNetsuite::RecordRef", [0, 1]],
      ["listView", "ActiveNetsuite::RecordRef", [0, 1]],
      ["listViewRestricted", "SOAP::SOAPBoolean", [0, 1]],
      ["dashboardView", "ActiveNetsuite::RecordRef", [0, 1]],
      ["restrictDashboardView", "SOAP::SOAPBoolean", [0, 1]],
      ["sublistView", "ActiveNetsuite::RecordRef", [0, 1]],
      ["restrictSublistView", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypePermissionsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypePermissionsList"),
    :schema_element => [
      ["permissions", "ActiveNetsuite::CustomRecordTypePermissions[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeLinks,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeLinks"),
    :schema_element => [
      ["linkCenter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["linkSection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["linkLabel", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeLinksList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeLinksList"),
    :schema_element => [
      ["links", "ActiveNetsuite::CustomRecordTypeLinks[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeManagers,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeManagers"),
    :schema_element => [
      ["managerEmp", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeManagersList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeManagersList"),
    :schema_element => [
      ["managers", "ActiveNetsuite::CustomRecordTypeManagers[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeChildren,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeChildren"),
    :schema_element => [
      ["childDescr", "SOAP::SOAPString", [0, 1]],
      ["childTab", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeChildrenList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeChildrenList"),
    :schema_element => [
      ["children", "ActiveNetsuite::CustomRecordTypeChildren[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeParents,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeParents"),
    :schema_element => [
      ["childDescr", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeParentsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeParentsList"),
    :schema_element => [
      ["parents", "ActiveNetsuite::CustomRecordTypeParents[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeTranslations,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeTranslations"),
    :schema_element => [
      ["locale", "ActiveNetsuite::Language", [0, 1]],
      ["localeDescription", "SOAP::SOAPString", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeTranslationsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeTranslationsList"),
    :schema_element => [
      ["translations", "ActiveNetsuite::CustomRecordTypeTranslations[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeSublists,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeSublists"),
    :schema_element => [
      ["recordSearch", "ActiveNetsuite::RecordRef", [0, 1]],
      ["recordDescr", "SOAP::SOAPString", [0, 1]],
      ["recordDescrLanguageValueList", "ActiveNetsuite::LanguageValueList", [0, 1]],
      ["recordTab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["recordId", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeSublistsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeSublistsList"),
    :schema_element => [
      ["sublists", "ActiveNetsuite::CustomRecordTypeSublists[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EntityCustomField,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "EntityCustomField"),
    :schema_basetype => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["isParent", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["availableToSso", "SOAP::SOAPBoolean", [0, 1]],
      ["subtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["parentSubtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["appliesToCustomer", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToProject", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToVendor", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToEmployee", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToOtherName", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToContact", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToPartner", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToWebSite", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToGroup", "SOAP::SOAPBoolean", [0, 1]],
      ["availableExternally", "SOAP::SOAPBoolean", [0, 1]],
      ["filterList", "ActiveNetsuite::EntityCustomFieldFilterList", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["appliesToStatement", "SOAP::SOAPBoolean", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["appliesToPriceList", "SOAP::SOAPBoolean", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EntityCustomFieldFilter,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "EntityCustomFieldFilter"),
    :schema_element => [
      ["fldFilter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fldFilterChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["fldFilterCompareType", "ActiveNetsuite::CustomizationFilterCompareType", [0, 1]],
      ["fldFilterVal", "SOAP::SOAPString", [0, 1]],
      ["fldFilterSelList", "ActiveNetsuite::FldFilterSelList", [0, 1]],
      ["fldFilterNotNull", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EntityCustomFieldFilterList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "EntityCustomFieldFilterList"),
    :schema_element => [
      ["filter", "ActiveNetsuite::EntityCustomFieldFilter[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::FldFilterSelList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "FldFilterSelList"),
    :schema_element => [
      ["fldFilterSel", "ActiveNetsuite::RecordRef[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CrmCustomField,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CrmCustomField"),
    :schema_basetype => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["isParent", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["parentSubtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["appliesToTask", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToMfgProjectTask", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToProjectTask", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToPhoneCall", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToEvent", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToCase", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToCampaign", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesPerKeyword", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToSolution", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToIssue", "SOAP::SOAPBoolean", [0, 1]],
      ["availableExternally", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToSso", "SOAP::SOAPBoolean", [0, 1]],
      ["showIssueChanges", "SOAP::SOAPBoolean", [0, 1]],
      ["filterList", "ActiveNetsuite::CrmCustomFieldFilterList", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CrmCustomFieldFilter,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CrmCustomFieldFilter"),
    :schema_element => [
      ["fldFilter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fldFilterChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["fldFilterCompareType", "ActiveNetsuite::CustomizationFilterCompareType", [0, 1]],
      ["fldFilterVal", "SOAP::SOAPString", [0, 1]],
      ["fldFilterSelList", "ActiveNetsuite::FldFilterSelList", [0, 1]],
      ["fldFilterNotNull", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CrmCustomFieldFilterList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CrmCustomFieldFilterList"),
    :schema_element => [
      ["filter", "ActiveNetsuite::CrmCustomFieldFilter[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OtherCustomField,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "OtherCustomField"),
    :schema_basetype => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["recType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["filterList", "ActiveNetsuite::OtherCustomFieldFilterList", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OtherCustomFieldFilter,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "OtherCustomFieldFilter"),
    :schema_element => [
      ["fldFilter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fldFilterChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["fldFilterCompareType", "ActiveNetsuite::CustomizationFilterCompareType", [0, 1]],
      ["fldFilterVal", "SOAP::SOAPString", [0, 1]],
      ["fldFilterSelList", "ActiveNetsuite::FldFilterSelList", [0, 1]],
      ["fldFilterNotNull", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OtherCustomFieldFilterList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "OtherCustomFieldFilterList"),
    :schema_element => [
      ["filter", "ActiveNetsuite::OtherCustomFieldFilter[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemCustomField,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemCustomField"),
    :schema_basetype => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemMatrix", "SOAP::SOAPBoolean", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["isParent", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["parentSubtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["appliesToInventory", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToNonInventory", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToService", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToOtherCharge", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToGroup", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToKit", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToItemAssembly", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToSso", "SOAP::SOAPBoolean", [0, 1]],
      ["itemSubType", "ActiveNetsuite::ItemCustomFieldItemSubType", [0, 1]],
      ["filterList", "ActiveNetsuite::ItemCustomFieldFilterList", [0, 1]],
      ["appliesToPriceList", "SOAP::SOAPBoolean", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemCustomFieldFilter,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemCustomFieldFilter"),
    :schema_element => [
      ["fldFilter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fldFilterChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["fldFilterCompareType", "ActiveNetsuite::CustomizationFilterCompareType", [0, 1]],
      ["fldFilterVal", "SOAP::SOAPString", [0, 1]],
      ["fldFilterSelList", "ActiveNetsuite::FldFilterSelList", [0, 1]],
      ["fldFilterNotNull", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemCustomFieldFilterList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemCustomFieldFilterList"),
    :schema_element => [
      ["filter", "ActiveNetsuite::ItemCustomFieldFilter[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionBodyCustomField,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "TransactionBodyCustomField"),
    :schema_basetype => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["isParent", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["availableToSso", "SOAP::SOAPBoolean", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["parentSubtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["bodyPurchase", "SOAP::SOAPBoolean", [0, 1]],
      ["bodySale", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyOpportunity", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyJournal", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyExpenseReport", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyStore", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyTransferOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyItemReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyItemReceiptOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyItemFulfillment", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyItemFulfillmentOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyInventoryAdjustment", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyBTegata", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyAssemblyBuild", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyPrintFlag", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyPickingTicket", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyPrintPackingSlip", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyCustomerPayment", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyVendorPayment", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyDeposit", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyBom", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyPrintStatement", "SOAP::SOAPBoolean", [0, 1]],
      ["filterList", "ActiveNetsuite::TransactionBodyCustomFieldFilterList", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionBodyCustomFieldFilter,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "TransactionBodyCustomFieldFilter"),
    :schema_element => [
      ["fldFilter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fldFilterChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["fldFilterCompareType", "ActiveNetsuite::CustomizationFilterCompareType", [0, 1]],
      ["fldFilterVal", "SOAP::SOAPString", [0, 1]],
      ["fldFilterSelList", "ActiveNetsuite::FldFilterSelList", [0, 1]],
      ["fldFilterNotNull", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionBodyCustomFieldFilterList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "TransactionBodyCustomFieldFilterList"),
    :schema_element => [
      ["filter", "ActiveNetsuite::TransactionBodyCustomFieldFilter[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionColumnCustomField,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "TransactionColumnCustomField"),
    :schema_basetype => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["availableToSso", "SOAP::SOAPBoolean", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["colExpense", "SOAP::SOAPBoolean", [0, 1]],
      ["colPurchase", "SOAP::SOAPBoolean", [0, 1]],
      ["colSale", "SOAP::SOAPBoolean", [0, 1]],
      ["colOpportunity", "SOAP::SOAPBoolean", [0, 1]],
      ["colStore", "SOAP::SOAPBoolean", [0, 1]],
      ["colStoreHidden", "SOAP::SOAPBoolean", [0, 1]],
      ["colJournal", "SOAP::SOAPBoolean", [0, 1]],
      ["colBuild", "SOAP::SOAPBoolean", [0, 1]],
      ["colExpenseReport", "SOAP::SOAPBoolean", [0, 1]],
      ["colTime", "SOAP::SOAPBoolean", [0, 1]],
      ["colTransferOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["colTimeGroup", "SOAP::SOAPBoolean", [0, 1]],
      ["colItemReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["colItemReceiptOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["colItemFulfillment", "SOAP::SOAPBoolean", [0, 1]],
      ["colItemFulfillmentOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["colPrintFlag", "SOAP::SOAPBoolean", [0, 1]],
      ["colPickingTicket", "SOAP::SOAPBoolean", [0, 1]],
      ["colPackingSlip", "SOAP::SOAPBoolean", [0, 1]],
      ["colReturnForm", "SOAP::SOAPBoolean", [0, 1]],
      ["colStoreWithGroups", "SOAP::SOAPBoolean", [0, 1]],
      ["colGroupOnInvoices", "SOAP::SOAPBoolean", [0, 1]],
      ["colKitItem", "SOAP::SOAPBoolean", [0, 1]],
      ["filterList", "ActiveNetsuite::TransactionColumnCustomFieldFilterList", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionColumnCustomFieldFilter,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "TransactionColumnCustomFieldFilter"),
    :schema_element => [
      ["fldFilter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fldFilterChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["fldFilterCompareType", "ActiveNetsuite::CustomizationFilterCompareType", [0, 1]],
      ["fldFilterVal", "SOAP::SOAPString", [0, 1]],
      ["fldFilterSelList", "ActiveNetsuite::FldFilterSelList", [0, 1]],
      ["fldFilterNotNull", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionColumnCustomFieldFilterList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "TransactionColumnCustomFieldFilterList"),
    :schema_element => [
      ["filter", "ActiveNetsuite::TransactionColumnCustomFieldFilter[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemOptionCustomField,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemOptionCustomField"),
    :schema_basetype => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["colPurchase", "SOAP::SOAPBoolean", [0, 1]],
      ["colSale", "SOAP::SOAPBoolean", [0, 1]],
      ["colOpportunity", "SOAP::SOAPBoolean", [0, 1]],
      ["colStore", "SOAP::SOAPBoolean", [0, 1]],
      ["colStoreHidden", "SOAP::SOAPBoolean", [0, 1]],
      ["colTransferOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["colAllItems", "SOAP::SOAPBoolean", [0, 1]],
      ["itemsList", "ActiveNetsuite::ItemsList", [0, 1]],
      ["colKitItem", "SOAP::SOAPBoolean", [0, 1]],
      ["filterList", "ActiveNetsuite::ItemOptionCustomFieldFilterList", [0, 1]],
      ["colOptionLabel", "SOAP::SOAPString", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemsList"),
    :schema_element => [
      ["items", "ActiveNetsuite::RecordRef[]", [1, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemOptionCustomFieldFilter,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemOptionCustomFieldFilter"),
    :schema_element => [
      ["fldFilter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fldFilterChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["fldFilterCompareType", "ActiveNetsuite::CustomizationFilterCompareType", [0, 1]],
      ["fldFilterVal", "SOAP::SOAPString", [0, 1]],
      ["fldFilterSelList", "ActiveNetsuite::FldFilterSelList", [0, 1]],
      ["fldFilterNotNull", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemOptionCustomFieldFilterList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemOptionCustomFieldFilterList"),
    :schema_element => [
      ["filter", "ActiveNetsuite::ItemOptionCustomFieldFilter[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordCustomField,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordCustomField"),
    :schema_basetype => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["isParent", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["parentSubtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourcefilterby", "ActiveNetsuite::RecordRef", [0, 1]],
      ["recType", "SOAP::SOAPString", [0, 1]],
      ["roleRestrict", "SOAP::SOAPBoolean", [0, 1]],
      ["filterList", "ActiveNetsuite::CustomRecordCustomFieldFilterList", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordCustomFieldFilter,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordCustomFieldFilter"),
    :schema_element => [
      ["fldFilter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fldFilterChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["fldFilterCompareType", "ActiveNetsuite::CustomizationFilterCompareType", [0, 1]],
      ["fldFilterVal", "SOAP::SOAPString", [0, 1]],
      ["fldFilterSelList", "ActiveNetsuite::FldFilterSelList", [0, 1]],
      ["fldFilterNotNull", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordCustomFieldFilterList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordCustomFieldFilterList"),
    :schema_element => [
      ["filter", "ActiveNetsuite::CustomRecordCustomFieldFilter[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomFieldRoleAccess,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldRoleAccess"),
    :schema_element => [
      ["role", "ActiveNetsuite::RecordRef", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomFieldRoleAccessList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldRoleAccessList"),
    :schema_element => [
      ["roleAccess", "ActiveNetsuite::CustomFieldRoleAccess[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomFieldDepartmentAccess,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldDepartmentAccess"),
    :schema_element => [
      ["dept", "ActiveNetsuite::RecordRef", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomFieldDepartmentAccessList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldDepartmentAccessList"),
    :schema_element => [
      ["deptAccess", "ActiveNetsuite::CustomFieldDepartmentAccess[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomFieldSubAccess,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldSubAccess"),
    :schema_element => [
      ["sub", "ActiveNetsuite::RecordRef", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomFieldSubAccessList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldSubAccessList"),
    :schema_element => [
      ["subAccess", "ActiveNetsuite::CustomFieldSubAccess[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LanguageValue,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "LanguageValue"),
    :schema_element => [
      ["locale", "ActiveNetsuite::Language", [0, 1]],
      ["value", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LanguageValueList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "LanguageValueList"),
    :schema_element => [
      ["languageValue", "ActiveNetsuite::LanguageValue[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomFieldTranslations,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldTranslations"),
    :schema_element => [
      ["locale", "ActiveNetsuite::Language", [0, 1]],
      ["localeDescription", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomFieldTranslationsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldTranslationsList"),
    :schema_element => [
      ["translations", "ActiveNetsuite::CustomFieldTranslations[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemNumberCustomField,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemNumberCustomField"),
    :schema_basetype => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["filterList", "ActiveNetsuite::ItemNumberCustomFieldFilterList", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["appliesToAllItems", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToSerialized", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToLots", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToGiftCerts", "SOAP::SOAPBoolean", [0, 1]],
      ["itemsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemNumberCustomFieldFilter,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemNumberCustomFieldFilter"),
    :schema_element => [
      ["fldFilter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fldFilterChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["fldFilterCompareType", "ActiveNetsuite::CustomizationFilterCompareType", [0, 1]],
      ["fldFilterVal", "SOAP::SOAPString", [0, 1]],
      ["fldFilterNotNull", "SOAP::SOAPBoolean", [0, 1]],
      ["fldfilterNull", "SOAP::SOAPBoolean", [0, 1]],
      ["fldCompareField", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemNumberCustomFieldFilterList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemNumberCustomFieldFilterList"),
    :schema_element => [
      ["filter", "ActiveNetsuite::ItemNumberCustomFieldFilter[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomListSearch,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomListSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomListSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomListSearchAdvanced,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomListSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::CustomListSearch", [0, 1]],
      ["columns", "ActiveNetsuite::CustomListSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomListSearchRow,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomListSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomListSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AppDefinition,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "AppDefinition"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["packagesList", "ActiveNetsuite::AppDefinitionPackagesList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AppDefinitionPackages,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "AppDefinitionPackages"),
    :schema_element => []
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AppDefinitionPackagesList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "AppDefinitionPackagesList"),
    :schema_element => [
      ["packages", "ActiveNetsuite::AppDefinitionPackages[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AppDefinitionSearch,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "AppDefinitionSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::AppDefinitionSearchBasic", [0, 1]],
      ["appPackageJoin", "ActiveNetsuite::AppPackageSearchBasic", [0, 1]],
      ["creatorJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AppDefinitionSearchAdvanced,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "AppDefinitionSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::AppDefinitionSearch", [0, 1]],
      ["columns", "ActiveNetsuite::AppDefinitionSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AppDefinitionSearchRow,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "AppDefinitionSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::AppDefinitionSearchRowBasic", [0, 1]],
      ["appPackageJoin", "ActiveNetsuite::AppPackageSearchRowBasic", [0, 1]],
      ["creatorJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AppPackage,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "AppPackage"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["appDefinition", "ActiveNetsuite::RecordRef", [0, 1]],
      ["version", "SOAP::SOAPString", [0, 1]],
      ["packageFile", "ActiveNetsuite::RecordRef", [0, 1]],
      ["bundle", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AppPackageSearch,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "AppPackageSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::AppPackageSearchBasic", [0, 1]],
      ["appDefinitionJoin", "ActiveNetsuite::AppDefinitionSearchBasic", [0, 1]],
      ["creatorJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["packageFileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AppPackageSearchAdvanced,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "AppPackageSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::AppPackageSearch", [0, 1]],
      ["columns", "ActiveNetsuite::AppPackageSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AppPackageSearchRow,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "AppPackageSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::AppPackageSearchRowBasic", [0, 1]],
      ["appDefinitionJoin", "ActiveNetsuite::AppDefinitionSearchRowBasic", [0, 1]],
      ["creatorJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["packageFileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTranslations,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTranslations"),
    :schema_element => [
      ["locale", "ActiveNetsuite::Language", [0, 1]],
      ["language", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTranslationsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTranslationsList"),
    :schema_element => [
      ["customRecordTranslations", "ActiveNetsuite::CustomRecordTranslations[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Employee,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "Employee"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["template", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityId", "SOAP::SOAPString", [0, 1]],
      ["salutation", "SOAP::SOAPString", [0, 1]],
      ["firstName", "SOAP::SOAPString", [0, 1]],
      ["middleName", "SOAP::SOAPString", [0, 1]],
      ["lastName", "SOAP::SOAPString", [0, 1]],
      ["altName", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["defaultAddress", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["phoneticName", "SOAP::SOAPString", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["dateCreated", "SOAP::SOAPDateTime", [0, 1]],
      ["initials", "SOAP::SOAPString", [0, 1]],
      ["officePhone", "SOAP::SOAPString", [0, 1]],
      ["homePhone", "SOAP::SOAPString", [0, 1]],
      ["mobilePhone", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingClass", "ActiveNetsuite::RecordRef", [0, 1]],
      ["accountNumber", "SOAP::SOAPString", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::GlobalSubscriptionStatus", [0, 1]],
      ["image", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payFrequency", "ActiveNetsuite::EmployeePayFrequency", [0, 1]],
      ["lastPaidDate", "SOAP::SOAPDateTime", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useTimeData", "ActiveNetsuite::EmployeeUseTimeData", [0, 1]],
      ["usePerquest", "SOAP::SOAPBoolean", [0, 1]],
      ["workplace", "ActiveNetsuite::RecordRef", [0, 1]],
      ["adpId", "SOAP::SOAPString", [0, 1]],
      ["directDeposit", "SOAP::SOAPBoolean", [0, 1]],
      ["expenseLimit", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseOrderLimit", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseOrderApprovalLimit", "SOAP::SOAPDouble", [0, 1]],
      ["socialSecurityNumber", "SOAP::SOAPString", [0, 1]],
      ["supervisor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["approver", "ActiveNetsuite::RecordRef", [0, 1]],
      ["approvalLimit", "SOAP::SOAPDouble", [0, 1]],
      ["timeApprover", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employeeType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSalesRep", "SOAP::SOAPBoolean", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSupportRep", "SOAP::SOAPBoolean", [0, 1]],
      ["isJobResource", "SOAP::SOAPBoolean", [0, 1]],
      ["laborCost", "SOAP::SOAPDouble", [0, 1]],
      ["birthDate", "SOAP::SOAPDateTime", [0, 1]],
      ["hireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["releaseDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastReviewDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextReviewDate", "SOAP::SOAPDateTime", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["employeeStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["jobDescription", "SOAP::SOAPString", [0, 1]],
      ["maritalStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ethnicity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gender", "ActiveNetsuite::Gender", [0, 1]],
      ["purchaseOrderApprover", "ActiveNetsuite::RecordRef", [0, 1]],
      ["workCalendar", "ActiveNetsuite::RecordRef", [0, 1]],
      ["giveAccess", "SOAP::SOAPBoolean", [0, 1]],
      ["concurrentWebServicesUser", "SOAP::SOAPBoolean", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["hasOfflineAccess", "SOAP::SOAPBoolean", [0, 1]],
      ["password", "SOAP::SOAPString", [0, 1]],
      ["password2", "SOAP::SOAPString", [0, 1]],
      ["requirePwdChange", "SOAP::SOAPBoolean", [0, 1]],
      ["inheritIPRules", "SOAP::SOAPBoolean", [0, 1]],
      ["iPAddressRule", ["SOAP::SOAPString", XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "IPAddressRule")], [0, 1]],
      ["commissionPaymentPreference", "ActiveNetsuite::EmployeeCommissionPaymentPreference", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["eligibleForCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["subscriptionsList", "ActiveNetsuite::EmployeeSubscriptionsList", [0, 1]],
      ["addressbookList", "ActiveNetsuite::EmployeeAddressbookList", [0, 1]],
      ["rolesList", "ActiveNetsuite::EmployeeRolesList", [0, 1]],
      ["hrEducationList", "ActiveNetsuite::EmployeeHrEducationList", [0, 1]],
      ["accruedTimeList", "ActiveNetsuite::EmployeeAccruedTimeList", [0, 1]],
      ["directDepositList", "ActiveNetsuite::EmployeeDirectDepositList", [0, 1]],
      ["companyContributionList", "ActiveNetsuite::EmployeeCompanyContributionList", [0, 1]],
      ["earningList", "ActiveNetsuite::EmployeeEarningList", [0, 1]],
      ["emergencyContactList", "ActiveNetsuite::EmployeeEmergencyContactList", [0, 1]],
      ["deductionList", "ActiveNetsuite::EmployeeDeductionList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeSubscriptions,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeSubscriptions"),
    :schema_element => [
      ["subscribed", "SOAP::SOAPString", [0, 1]],
      ["subscription", "SOAP::SOAPString", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeSubscriptionsList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeSubscriptionsList"),
    :schema_element => [
      ["subscriptions", "ActiveNetsuite::EmployeeSubscriptions[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeAddressbook,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeAddressbook"),
    :schema_element => [
      ["defaultShipping", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultBilling", "SOAP::SOAPBoolean", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["attention", "SOAP::SOAPString", [0, 1]],
      ["addressee", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["addr1", "SOAP::SOAPString", [0, 1]],
      ["addr2", "SOAP::SOAPString", [0, 1]],
      ["addr3", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["addrText", "SOAP::SOAPString", [0, 1]],
      ["override", "SOAP::SOAPBoolean", [0, 1]],
      ["internalId", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeAddressbookList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeAddressbookList"),
    :schema_element => [
      ["addressbook", "ActiveNetsuite::EmployeeAddressbook[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeRoles,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeRoles"),
    :schema_element => [
      ["selectedRole", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeRolesList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeRolesList"),
    :schema_element => [
      ["roles", "ActiveNetsuite::EmployeeRoles[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeSearch,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["departmentJoin", "ActiveNetsuite::DepartmentSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["resourceAllocationJoin", "ActiveNetsuite::ResourceAllocationSearchBasic", [0, 1]],
      ["subsidiaryJoin", "ActiveNetsuite::SubsidiarySearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeSearchAdvanced,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::EmployeeSearch", [0, 1]],
      ["columns", "ActiveNetsuite::EmployeeSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeSearchRow,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["departmentJoin", "ActiveNetsuite::DepartmentSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchRowBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["resourceAllocationJoin", "ActiveNetsuite::ResourceAllocationSearchRowBasic", [0, 1]],
      ["subsidiaryJoin", "ActiveNetsuite::SubsidiarySearchRowBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeEmergencyContact,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeEmergencyContact"),
    :schema_element => [
      ["id", "SOAP::SOAPLong", [0, 1]],
      ["contact", "SOAP::SOAPString", [0, 1]],
      ["relationship", "SOAP::SOAPString", [0, 1]],
      ["address", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeEmergencyContactList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeEmergencyContactList"),
    :schema_element => [
      ["employeeEmergencyContact", "ActiveNetsuite::EmployeeEmergencyContact[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeHrEducation,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeHrEducation"),
    :schema_element => [
      ["education", "ActiveNetsuite::RecordRef", [0, 1]],
      ["degree", "SOAP::SOAPString", [0, 1]],
      ["degreeDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeHrEducationList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeHrEducationList"),
    :schema_element => [
      ["employeeHrEducation", "ActiveNetsuite::EmployeeHrEducation[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeAccruedTime,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeAccruedTime"),
    :schema_element => [
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["accruedHours", "SOAP::SOAPDouble", [0, 1]],
      ["accrualRate", "SOAP::SOAPDouble", [0, 1]],
      ["monetaryRate", "SOAP::SOAPDouble", [0, 1]],
      ["resetAccruedHoursAtYearEnd", "SOAP::SOAPBoolean", [0, 1]],
      ["accrualMethod", "ActiveNetsuite::EmployeeAccruedTimeAccrualMethod", [0, 1]],
      ["maximumAccruedHours", "SOAP::SOAPDouble", [0, 1]],
      ["inactive", "SOAP::SOAPBoolean", [0, 1]],
      ["effectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeAccruedTimeList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeAccruedTimeList"),
    :schema_element => [
      ["employeeAccruedTime", "ActiveNetsuite::EmployeeAccruedTime[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeDeduction,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeDeduction"),
    :schema_element => [
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["limit", "SOAP::SOAPDouble", [0, 1]],
      ["inactive", "SOAP::SOAPBoolean", [0, 1]],
      ["effectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeDeductionList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeDeductionList"),
    :schema_element => [
      ["employeeDeduction", "ActiveNetsuite::EmployeeDeduction[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeCompanyContribution,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeCompanyContribution"),
    :schema_element => [
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["limit", "SOAP::SOAPDouble", [0, 1]],
      ["inactive", "SOAP::SOAPBoolean", [0, 1]],
      ["effectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeCompanyContributionList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeCompanyContributionList"),
    :schema_element => [
      ["employeeCompanyContribution", "ActiveNetsuite::EmployeeCompanyContribution[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeEarning,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeEarning"),
    :schema_element => [
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payRate", "SOAP::SOAPString", [0, 1]],
      ["primaryEarning", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultHours", "SOAP::SOAPDouble", [0, 1]],
      ["inactive", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultEarning", "SOAP::SOAPBoolean", [0, 1]],
      ["effectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeEarningList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeEarningList"),
    :schema_element => [
      ["employeeEarning", "ActiveNetsuite::EmployeeEarning[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeDirectDeposit,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeDirectDeposit"),
    :schema_element => [
      ["id", "SOAP::SOAPLong", [0, 1]],
      ["netAccount", "SOAP::SOAPBoolean", [0, 1]],
      ["savingsAccount", "SOAP::SOAPBoolean", [0, 1]],
      ["accountPrenoted", "SOAP::SOAPBoolean", [0, 1]],
      ["accountStatus", "ActiveNetsuite::EmployeeDirectDepositAccountStatus", [0, 1]],
      ["bankName", "SOAP::SOAPString", [0, 1]],
      ["bankId", "SOAP::SOAPString", [0, 1]],
      ["bankNumber", "SOAP::SOAPString", [0, 1]],
      ["bankRoutingNumber", "SOAP::SOAPString", [0, 1]],
      ["bankAccountNumber", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["inactive", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeDirectDepositList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeDirectDepositList"),
    :schema_element => [
      ["employeeDirectDeposit", "ActiveNetsuite::EmployeeDirectDeposit[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PayrollItem,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "PayrollItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["liabilityAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employeePaid", "SOAP::SOAPBoolean", [0, 1]],
      ["inactive", "SOAP::SOAPBoolean", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PayrollItemSearch,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "PayrollItemSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PayrollItemSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PayrollItemSearchAdvanced,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "PayrollItemSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::PayrollItemSearch", [0, 1]],
      ["columns", "ActiveNetsuite::PayrollItemSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PayrollItemSearchRow,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "PayrollItemSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PayrollItemSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SiteCategory,
    :schema_type => XSD::QName.new(NsWebsite_2013_2ListsWebservicesActiveNetsuiteCom, "SiteCategory"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["website", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["parentCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["categoryListLayout", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemListLayout", "ActiveNetsuite::RecordRef", [0, 1]],
      ["relatedItemsListLayout", "ActiveNetsuite::RecordRef", [0, 1]],
      ["correlatedItemsListLayout", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::SiteCategoryPresentationItemList", [0, 1]],
      ["translationsList", "ActiveNetsuite::SiteCategoryTranslationList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SiteCategoryTranslation,
    :schema_type => XSD::QName.new(NsWebsite_2013_2ListsWebservicesActiveNetsuiteCom, "SiteCategoryTranslation"),
    :schema_element => [
      ["locale", "ActiveNetsuite::Language", [0, 1]],
      ["language", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SiteCategoryTranslationList,
    :schema_type => XSD::QName.new(NsWebsite_2013_2ListsWebservicesActiveNetsuiteCom, "SiteCategoryTranslationList"),
    :schema_element => [
      ["translation", "ActiveNetsuite::SiteCategoryTranslation[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SiteCategoryPresentationItemList,
    :schema_type => XSD::QName.new(NsWebsite_2013_2ListsWebservicesActiveNetsuiteCom, "SiteCategoryPresentationItemList"),
    :schema_element => [
      ["presentationItem", "ActiveNetsuite::PresentationItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SiteCategorySearch,
    :schema_type => XSD::QName.new(NsWebsite_2013_2ListsWebservicesActiveNetsuiteCom, "SiteCategorySearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SiteCategorySearchBasic", [0, 1]],
      ["shopperJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SiteCategorySearchAdvanced,
    :schema_type => XSD::QName.new(NsWebsite_2013_2ListsWebservicesActiveNetsuiteCom, "SiteCategorySearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::SiteCategorySearch", [0, 1]],
      ["columns", "ActiveNetsuite::SiteCategorySearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SiteCategorySearchRow,
    :schema_type => XSD::QName.new(NsWebsite_2013_2ListsWebservicesActiveNetsuiteCom, "SiteCategorySearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SiteCategorySearchRowBasic", [0, 1]],
      ["shopperJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TimeBill,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "TimeBill"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseTaskEvent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["paidExternally", "SOAP::SOAPBoolean", [0, 1]],
      ["workplace", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["hours", "ActiveNetsuite::Duration", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["timeType", "ActiveNetsuite::TimeBillTimeType", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["overrideRate", "SOAP::SOAPBoolean", [0, 1]],
      ["temporaryLocalJurisdiction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["temporaryStateJurisdiction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supervisorApproval", "SOAP::SOAPBoolean", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TimeBillSearch,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "TimeBillSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["classJoin", "ActiveNetsuite::ClassificationSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["departmentJoin", "ActiveNetsuite::DepartmentSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["projectTaskJoin", "ActiveNetsuite::ProjectTaskSearchBasic", [0, 1]],
      ["projectTaskAssignmentJoin", "ActiveNetsuite::ProjectTaskAssignmentSearchBasic", [0, 1]],
      ["resourceAllocationJoin", "ActiveNetsuite::ResourceAllocationSearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TimeBillSearchAdvanced,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "TimeBillSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::TimeBillSearch", [0, 1]],
      ["columns", "ActiveNetsuite::TimeBillSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TimeBillSearchRow,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "TimeBillSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TimeBillSearchRowBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchRowBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["classJoin", "ActiveNetsuite::ClassificationSearchRowBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["departmentJoin", "ActiveNetsuite::DepartmentSearchRowBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchRowBasic", [0, 1]],
      ["projectTaskJoin", "ActiveNetsuite::ProjectTaskSearchRowBasic", [0, 1]],
      ["projectTaskAssignmentJoin", "ActiveNetsuite::ProjectTaskAssignmentSearchRowBasic", [0, 1]],
      ["resourceAllocationJoin", "ActiveNetsuite::ResourceAllocationSearchRowBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ExpenseReport,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "ExpenseReport"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["dueDate", "SOAP::SOAPDateTime", [0, 1]],
      ["approvalStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["nextApprover", "ActiveNetsuite::RecordRef", [0, 1]],
      ["advance", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["complete", "SOAP::SOAPBoolean", [0, 1]],
      ["supervisorApproval", "SOAP::SOAPBoolean", [0, 1]],
      ["accountingApproval", "SOAP::SOAPBoolean", [0, 1]],
      ["useMultiCurrency", "SOAP::SOAPBoolean", [0, 1]],
      ["tax2Amt", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expenseList", "ActiveNetsuite::ExpenseReportExpenseList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ExpenseReportExpense,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "ExpenseReportExpense"),
    :schema_element => [
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["expenseDate", "SOAP::SOAPDateTime", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["foreignAmount", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["expMediaItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isNonReimbursable", "SOAP::SOAPBoolean", [0, 1]],
      ["receipt", "SOAP::SOAPBoolean", [0, 1]],
      ["refNumber", "SOAP::SOAPLong", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ExpenseReportExpenseList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "ExpenseReportExpenseList"),
    :schema_element => [
      ["expense", "ActiveNetsuite::ExpenseReportExpense[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PaycheckJournal,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournal"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["companyContributionList", "ActiveNetsuite::PaycheckJournalCompanyContributionList", [0, 1]],
      ["deductionList", "ActiveNetsuite::PaycheckJournalDeductionList", [0, 1]],
      ["employeeTaxList", "ActiveNetsuite::PaycheckJournalEmployeeTaxList", [0, 1]],
      ["companyTaxList", "ActiveNetsuite::PaycheckJournalCompanyTaxList", [0, 1]],
      ["earningList", "ActiveNetsuite::PaycheckJournalEarningList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PaycheckJournalCompanyTax,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournalCompanyTax"),
    :schema_element => [
      ["id", "SOAP::SOAPLong", [0, 1]],
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PaycheckJournalCompanyTaxList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournalCompanyTaxList"),
    :schema_element => [
      ["paycheckJournalCompanyTax", "ActiveNetsuite::PaycheckJournalCompanyTax[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PaycheckJournalDeduction,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournalDeduction"),
    :schema_element => [
      ["id", "SOAP::SOAPLong", [0, 1]],
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PaycheckJournalDeductionList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournalDeductionList"),
    :schema_element => [
      ["paycheckJournalDeduction", "ActiveNetsuite::PaycheckJournalDeduction[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PaycheckJournalCompanyContribution,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournalCompanyContribution"),
    :schema_element => [
      ["id", "SOAP::SOAPLong", [0, 1]],
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PaycheckJournalCompanyContributionList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournalCompanyContributionList"),
    :schema_element => [
      ["paycheckJournalCompanyContribution", "ActiveNetsuite::PaycheckJournalCompanyContribution[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PaycheckJournalEarning,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournalEarning"),
    :schema_element => [
      ["id", "SOAP::SOAPLong", [0, 1]],
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["hours", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PaycheckJournalEarningList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournalEarningList"),
    :schema_element => [
      ["paycheckJournalEarning", "ActiveNetsuite::PaycheckJournalEarning[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PaycheckJournalEmployeeTax,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournalEmployeeTax"),
    :schema_element => [
      ["id", "SOAP::SOAPLong", [0, 1]],
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PaycheckJournalEmployeeTaxList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournalEmployeeTaxList"),
    :schema_element => [
      ["paycheckJournalEmployeeTax", "ActiveNetsuite::PaycheckJournalEmployeeTax[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Campaign,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "Campaign"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["campaignId", "SOAP::SOAPString", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["url", "SOAP::SOAPString", [0, 1]],
      ["baseCost", "SOAP::SOAPDouble", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["expectedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["local", "SOAP::SOAPBoolean", [0, 1]],
      ["totalRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["roi", "SOAP::SOAPDouble", [0, 1]],
      ["profit", "SOAP::SOAPDouble", [0, 1]],
      ["costPerCustomer", "SOAP::SOAPDouble", [0, 1]],
      ["convCostPerCustomer", "SOAP::SOAPDouble", [0, 1]],
      ["conversions", "SOAP::SOAPLong", [0, 1]],
      ["leadsGenerated", "SOAP::SOAPLong", [0, 1]],
      ["uniqueVisitors", "SOAP::SOAPLong", [0, 1]],
      ["vertical", "ActiveNetsuite::RecordRef", [0, 1]],
      ["audience", "ActiveNetsuite::RecordRef", [0, 1]],
      ["offer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["promotionCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["family", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchEngine", "ActiveNetsuite::RecordRef", [0, 1]],
      ["keyword", "SOAP::SOAPString", [0, 1]],
      ["campaignEmailList", "ActiveNetsuite::CampaignEmailList", [0, 1]],
      ["campaignDirectMailList", "ActiveNetsuite::CampaignDirectMailList", [0, 1]],
      ["campaignEventList", "ActiveNetsuite::CampaignEventList", [0, 1]],
      ["eventResponseList", "ActiveNetsuite::CampaignEventResponseList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignEmail,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignEmail"),
    :schema_element => [
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["campaignGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["template", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["subscription", "ActiveNetsuite::RecordRef", [0, 1]],
      ["channel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["status", "ActiveNetsuite::CampaignCampaignEmailStatus", [0, 1]],
      ["dateScheduled", "SOAP::SOAPDateTime", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignEmailList,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignEmailList"),
    :schema_element => [
      ["campaignEmail", "ActiveNetsuite::CampaignEmail[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignDirectMail,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignDirectMail"),
    :schema_element => [
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["campaignGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["template", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["subscription", "ActiveNetsuite::RecordRef", [0, 1]],
      ["channel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["status", "ActiveNetsuite::CampaignCampaignDirectMailStatus", [0, 1]],
      ["dateScheduled", "SOAP::SOAPDateTime", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignDirectMailList,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignDirectMailList"),
    :schema_element => [
      ["campaignDirectMail", "ActiveNetsuite::CampaignDirectMail[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignEvent,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignEvent"),
    :schema_element => [
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["campaignGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["subscription", "ActiveNetsuite::RecordRef", [0, 1]],
      ["channel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["status", "ActiveNetsuite::CampaignCampaignEventStatus", [0, 1]],
      ["dateScheduled", "SOAP::SOAPDateTime", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignEventList,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignEventList"),
    :schema_element => [
      ["campaignEvent", "ActiveNetsuite::CampaignEvent[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignEventResponse,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignEventResponse"),
    :schema_element => [
      ["name", "SOAP::SOAPString", [0, 1]],
      ["type", "SOAP::SOAPString", [0, 1]],
      ["dateSent", "SOAP::SOAPDateTime", [0, 1]],
      ["sent", "SOAP::SOAPDouble", [0, 1]],
      ["opened", "SOAP::SOAPDouble", [0, 1]],
      ["openedRatio", "SOAP::SOAPDouble", [0, 1]],
      ["clickedThru", "SOAP::SOAPDouble", [0, 1]],
      ["clickedThruRatio", "SOAP::SOAPDouble", [0, 1]],
      ["responded", "SOAP::SOAPLong", [0, 1]],
      ["respondedRatio", "SOAP::SOAPDouble", [0, 1]],
      ["unsubscribed", "SOAP::SOAPLong", [0, 1]],
      ["unsubscribedRatio", "SOAP::SOAPDouble", [0, 1]],
      ["bounced", "SOAP::SOAPLong", [0, 1]],
      ["bouncedRatio", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignEventResponseList,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignEventResponseList"),
    :schema_element => [
      ["eventResponse", "ActiveNetsuite::CampaignEventResponse[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignSearch,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["campaignRecipientJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["promotionCodeJoin", "ActiveNetsuite::PromotionCodeSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignSearchAdvanced,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::CampaignSearch", [0, 1]],
      ["columns", "ActiveNetsuite::CampaignSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignSearchRow,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["campaignRecipientJoin", "ActiveNetsuite::EntitySearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchRowBasic", [0, 1]],
      ["promotionCodeJoin", "ActiveNetsuite::PromotionCodeSearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignCategory,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignCategory"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isexternal", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignAudience,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignAudience"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignFamily,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignFamily"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignSearchEngine,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignSearchEngine"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignChannel,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignChannel"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["eventType", "ActiveNetsuite::CampaignChannelEventType", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignOffer,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignOffer"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignResponse,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignResponse"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["campaignEvent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["campaignResponseDate", "SOAP::SOAPDateTime", [0, 1]],
      ["channel", "SOAP::SOAPString", [0, 1]],
      ["response", "ActiveNetsuite::CampaignResponseResponse", [0, 1]],
      ["note", "SOAP::SOAPString", [0, 1]],
      ["responsesList", "ActiveNetsuite::CampaignResponseResponsesList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignResponseResponses,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignResponseResponses"),
    :schema_element => [
      ["response", "SOAP::SOAPString", [0, 1]],
      ["responseDate", "SOAP::SOAPString", [0, 1]],
      ["author", "SOAP::SOAPString", [0, 1]],
      ["note", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignResponseResponsesList,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignResponseResponsesList"),
    :schema_element => [
      ["responses", "ActiveNetsuite::CampaignResponseResponses[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignVertical,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignVertical"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignSubscription,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignSubscription"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["subscribedByDefault", "SOAP::SOAPBoolean", [0, 1]],
      ["unsubscribed", "SOAP::SOAPBoolean", [0, 1]],
      ["externalName", "SOAP::SOAPString", [0, 1]],
      ["externalDescription", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PromotionCode,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCode"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["implementation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useType", "ActiveNetsuite::PromotionCodeUseType", [0, 1]],
      ["displayLineDiscounts", "SOAP::SOAPBoolean", [0, 1]],
      ["code", "SOAP::SOAPString", [0, 1]],
      ["codePattern", "SOAP::SOAPString", [0, 1]],
      ["numberToGenerate", "SOAP::SOAPLong", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["discount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["discountType", "SOAP::SOAPBoolean", [0, 1]],
      ["applyDiscountTo", "ActiveNetsuite::PromotionCodeApplyDiscountTo", [0, 1]],
      ["freeShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumOrderAmount", "SOAP::SOAPDouble", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["isPublic", "SOAP::SOAPBoolean", [0, 1]],
      ["currencyList", "ActiveNetsuite::PromotionCodeCurrencyList", [0, 1]],
      ["excludeItems", "SOAP::SOAPBoolean", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["itemsList", "ActiveNetsuite::PromotionCodeItemsList", [0, 1]],
      ["partnersList", "ActiveNetsuite::PromotionCodePartnersList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PromotionCodePartners,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodePartners"),
    :schema_element => [
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["code", "SOAP::SOAPString", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PromotionCodePartnersList,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodePartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::PromotionCodePartners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PromotionCodeItems,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodeItems"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PromotionCodeItemsList,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodeItemsList"),
    :schema_element => [
      ["items", "ActiveNetsuite::PromotionCodeItems[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PromotionCodeSearch,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodeSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PromotionCodeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PromotionCodeSearchAdvanced,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodeSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::PromotionCodeSearch", [0, 1]],
      ["columns", "ActiveNetsuite::PromotionCodeSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PromotionCodeSearchRow,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodeSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PromotionCodeSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PromotionCodeCurrency,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodeCurrency"),
    :schema_element => [
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumOrderAmount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PromotionCodeCurrencyList,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodeCurrencyList"),
    :schema_element => [
      ["currency", "ActiveNetsuite::PromotionCodeCurrency[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CouponCode,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CouponCode"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["promotion", "ActiveNetsuite::RecordRef"],
      ["code", "SOAP::SOAPString"],
      ["recipient", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dateSent", "SOAP::SOAPDateTime", [0, 1]],
      ["used", "SOAP::SOAPBoolean", [0, 1]],
      ["useCount", "SOAP::SOAPLong", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CouponCodeSearch,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CouponCodeSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CouponCodeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CouponCodeSearchAdvanced,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CouponCodeSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::CouponCodeSearch", [0, 1]],
      ["columns", "ActiveNetsuite::CouponCodeSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CouponCodeSearchRow,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CouponCodeSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CouponCodeSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemDemandPlan,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemDemandPlan"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["year", "SOAP::SOAPLong", [0, 1]],
      ["month", "ActiveNetsuite::DemandPlanMonth", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["demandPlanCalendarType", "ActiveNetsuite::DemandPlanCalendarType", [0, 1]],
      ["demandPlanMatrix", "ActiveNetsuite::DemandPlanMatrix", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DemandPlan,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "DemandPlan"),
    :schema_element => [
      ["startDate", "SOAP::SOAPDateTime"],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["calculatedQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["periodDemandPlanList", "ActiveNetsuite::PeriodDemandPlanList", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DemandPlanMatrix,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "DemandPlanMatrix"),
    :schema_element => [
      ["demandPlan", "ActiveNetsuite::DemandPlan[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PeriodDemandPlanList,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "PeriodDemandPlanList"),
    :schema_element => [
      ["periodDemandPlan", "ActiveNetsuite::PeriodDemandPlan[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PeriodDemandPlan,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "PeriodDemandPlan"),
    :schema_element => [
      ["quantity", "SOAP::SOAPDouble"],
      ["dayOfTheWeek", "ActiveNetsuite::DayOfTheWeek", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemDemandPlanSearch,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemDemandPlanSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ItemDemandPlanSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["lastAlternateSourceItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemDemandPlanSearchAdvanced,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemDemandPlanSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ItemDemandPlanSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ItemDemandPlanSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemDemandPlanSearchRow,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemDemandPlanSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ItemDemandPlanSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["lastAlternateSourceItemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemSupplyPlan,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemSupplyPlan"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["orderList", "ActiveNetsuite::ItemSupplyPlanOrderList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemSupplyPlanOrder,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemSupplyPlanOrder"),
    :schema_element => [
      ["orderLineId", "SOAP::SOAPLong", [0, 1]],
      ["orderDate", "SOAP::SOAPDateTime", [0, 1]],
      ["receiptDate", "SOAP::SOAPDateTime", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["orderCreated", "SOAP::SOAPBoolean", [0, 1]],
      ["orderType", "ActiveNetsuite::ItemSupplyPlanOrderType", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemSupplyPlanOrderList,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemSupplyPlanOrderList"),
    :schema_element => [
      ["itemSupplyPlanOrder", "ActiveNetsuite::ItemSupplyPlanOrder[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemSupplyPlanSearch,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemSupplyPlanSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ItemSupplyPlanSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemSupplyPlanSearchAdvanced,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemSupplyPlanSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ItemSupplyPlanSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ItemSupplyPlanSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemSupplyPlanSearchRow,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemSupplyPlanSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ItemSupplyPlanSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingCostTemplate,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingCostTemplate"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["costDetailList", "ActiveNetsuite::ManufacturingCostDetailList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingCostDetail,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingCostDetail"),
    :schema_element => [
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedRate", "SOAP::SOAPDouble", [0, 1]],
      ["runRate", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingCostDetailList,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingCostDetailList"),
    :schema_element => [
      ["manufacturingCostDetail", "ActiveNetsuite::ManufacturingCostDetail[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingCostTemplateSearch,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingCostTemplateSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ManufacturingCostTemplateSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingCostTemplateSearchAdvanced,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingCostTemplateSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ManufacturingCostTemplateSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ManufacturingCostTemplateSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingCostTemplateSearchRow,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingCostTemplateSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ManufacturingCostTemplateSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingRouting,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingRouting"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["locationList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["isDefault", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["routingStepList", "ActiveNetsuite::ManufacturingRoutingRoutingStepList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingRoutingRoutingStep,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingRoutingRoutingStep"),
    :schema_element => [
      ["operationSequence", "SOAP::SOAPLong", [0, 1]],
      ["operationName", "SOAP::SOAPString", [0, 1]],
      ["manufacturingWorkCenter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["machineResources", "SOAP::SOAPLong", [0, 1]],
      ["laborResources", "SOAP::SOAPLong", [0, 1]],
      ["manufacturingCostTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["setupTime", "SOAP::SOAPDouble", [0, 1]],
      ["runRate", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingRoutingRoutingStepList,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingRoutingRoutingStepList"),
    :schema_element => [
      ["manufacturingRoutingRoutingStep", "ActiveNetsuite::ManufacturingRoutingRoutingStep[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingRoutingSearch,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingRoutingSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ManufacturingRoutingSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["manufacturingCostTemplateJoin", "ActiveNetsuite::ManufacturingCostTemplateSearchBasic", [0, 1]],
      ["manufacturingWorkCenterJoin", "ActiveNetsuite::EntityGroupSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingRoutingSearchAdvanced,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingRoutingSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ManufacturingRoutingSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ManufacturingRoutingSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingRoutingSearchRow,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingRoutingSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ManufacturingRoutingSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchRowBasic", [0, 1]],
      ["manufacturingCostTemplateJoin", "ActiveNetsuite::ManufacturingCostTemplateSearchRowBasic", [0, 1]],
      ["manufacturingWorkCenterJoin", "ActiveNetsuite::EntityGroupSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingOperationTask,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingOperationTask"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturingWorkCenter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturingCostTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["operationSequence", "SOAP::SOAPLong", [0, 1]],
      ["workOrder", "ActiveNetsuite::RecordRef", [0, 1]],
      ["order", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "ActiveNetsuite::ManufacturingOperationTaskStatus", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["estimatedWork", "SOAP::SOAPDouble", [0, 1]],
      ["actualWork", "SOAP::SOAPDouble", [0, 1]],
      ["remainingWork", "SOAP::SOAPDouble", [0, 1]],
      ["inputQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["completedQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["setupTime", "SOAP::SOAPDouble", [0, 1]],
      ["runRate", "SOAP::SOAPDouble", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["machineResources", "SOAP::SOAPLong", [0, 1]],
      ["laborResources", "SOAP::SOAPLong", [0, 1]],
      ["costDetailList", "ActiveNetsuite::ManufacturingCostDetailList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingOperationTaskSearch,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingOperationTaskSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ManufacturingOperationTaskSearchBasic", [0, 1]],
      ["predecessorJoin", "ActiveNetsuite::ManufacturingOperationTaskSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["workOrderJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingOperationTaskSearchAdvanced,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingOperationTaskSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ManufacturingOperationTaskSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ManufacturingOperationTaskSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingOperationTaskSearchRow,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingOperationTaskSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ManufacturingOperationTaskSearchRowBasic", [0, 1]],
      ["predecessorJoin", "ActiveNetsuite::ManufacturingOperationTaskSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["workOrderJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RecordType,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "RecordType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchRecordType,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetAllRecordType,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetAllRecordType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetCustomizationType,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetCustomizationType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InitializeType,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InitializeRefType,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeRefType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::InitializeAuxRefType,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeAuxRefType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DeletedRecordType,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "DeletedRecordType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AsyncStatusType,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncStatusType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchStringFieldOperator,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchStringFieldOperator")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchLongFieldOperator,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchLongFieldOperator")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchTextNumberFieldOperator,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchTextNumberFieldOperator")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchDoubleFieldOperator,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchDoubleFieldOperator")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchDateFieldOperator,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchDateFieldOperator")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchEnumMultiSelectFieldOperator,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchEnumMultiSelectFieldOperator")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchMultiSelectFieldOperator,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchMultiSelectFieldOperator")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SearchDate,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchDate")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DurationUnit,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "DurationUnit")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CalendarEventAttendeeResponse,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CalendarEventAttendeeResponse")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GetSelectValueFilterOperator,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetSelectValueFilterOperator")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::StatusDetailType,
    :schema_type => XSD::QName.new(NsTypesFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "StatusDetailType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::StatusDetailCodeType,
    :schema_type => XSD::QName.new(NsTypesFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "StatusDetailCodeType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::FaultCodeType,
    :schema_type => XSD::QName.new(NsTypesFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "FaultCodeType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Country,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "Country")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Language,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "Language")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AvsMatchCode,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "AvsMatchCode")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CscMatchCode,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CscMatchCode")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VsoeSopGroup,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "VsoeSopGroup")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VsoeDeferral,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "VsoeDeferral")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VsoePermitDiscount,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "VsoePermitDiscount")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevenueStatus,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "RevenueStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevenueCommitStatus,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "RevenueCommitStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PostingPeriodDate,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PostingPeriodDate")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PermissionLevel,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PermissionLevel")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Source,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "Source")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GlobalSubscriptionStatus,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "GlobalSubscriptionStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemCostEstimateType,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemCostEstimateType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PresentationItemType,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PresentationItemType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LandedCostSource,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "LandedCostSource")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::LandedCostMethod,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "LandedCostMethod")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SitemapPriority,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SitemapPriority")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TimeItemTimeType,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TimeItemTimeType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PermissionCode,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PermissionCode")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::IntercoStatus,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "IntercoStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CurrencySymbolPlacement,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CurrencySymbolPlacement")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RecurrenceFrequency,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "RecurrenceFrequency")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RecurrenceDow,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "RecurrenceDow")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RecurrenceDowim,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "RecurrenceDowim")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ChargeRuleType,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ChargeRuleType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CalendarEventAccessLevel,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventAccessLevel")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CalendarEventAttendeeAttendance,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventAttendeeAttendance")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CalendarEventReminderMinutes,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventReminderMinutes")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CalendarEventReminderType,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventReminderType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CalendarEventStatus,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaskPriority,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "TaskPriority")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaskReminderMinutes,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "TaskReminderMinutes")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaskReminderType,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "TaskReminderType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaskStatus,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "TaskStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PhoneCallPriority,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCallPriority")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PhoneCallReminderMinutes,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCallReminderMinutes")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PhoneCallReminderType,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCallReminderType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PhoneCallStatus,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCallStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ProjectTaskPriority,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskPriority")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ProjectTaskStatus,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ProjectTaskConstraintType,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskConstraintType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ProjectTaskPredecessorPredecessorType,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskPredecessorPredecessorType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ResourceAllocationAllocationUnit,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ResourceAllocationAllocationUnit")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::NoteDirection,
    :schema_type => XSD::QName.new(NsTypesCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "NoteDirection")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::MessageMessageType,
    :schema_type => XSD::QName.new(NsTypesCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "MessageMessageType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::MediaType,
    :schema_type => XSD::QName.new(NsTypesFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "MediaType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::FileAttachFrom,
    :schema_type => XSD::QName.new(NsTypesFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "FileAttachFrom")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::FileEncoding,
    :schema_type => XSD::QName.new(NsTypesFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "FileEncoding")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TextFileEncoding,
    :schema_type => XSD::QName.new(NsTypesFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "TextFileEncoding")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EntityType,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EntityType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerStatusStage,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerStatusStage")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ContactType,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "ContactType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerStage,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerStage")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerCreditHoldOverride,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerCreditHoldOverride")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerMonthlyClosing,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerMonthlyClosing")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmailPreference,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EmailPreference")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EntityGroupType,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EntityGroupType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EntityGroupDailyTime,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EntityGroupDailyTime")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EntityGroupDefView,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EntityGroupDefView")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EntityGroupPeriodSize,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EntityGroupPeriodSize")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaxFractionUnit,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "TaxFractionUnit")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaxRounding,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "TaxRounding")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::JobBillingType,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobBillingType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PartnerOtherRelationships,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerOtherRelationships")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerOtherRelationships,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerOtherRelationships")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorOtherRelationships,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorOtherRelationships")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerNegativeNumberFormat,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerNegativeNumberFormat")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomerNumberFormat,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerNumberFormat")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SupportCaseStatusStage,
    :schema_type => XSD::QName.new(NsTypesSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseStatusStage")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SupportCaseStage,
    :schema_type => XSD::QName.new(NsTypesSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseStage")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SolutionStatus,
    :schema_type => XSD::QName.new(NsTypesSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SolutionStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::IssueEventStatus,
    :schema_type => XSD::QName.new(NsTypesSupport_2013_2ListsWebservicesActiveNetsuiteCom, "IssueEventStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::IssueTrackCode,
    :schema_type => XSD::QName.new(NsTypesSupport_2013_2ListsWebservicesActiveNetsuiteCom, "IssueTrackCode")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::IssueRelationship,
    :schema_type => XSD::QName.new(NsTypesSupport_2013_2ListsWebservicesActiveNetsuiteCom, "IssueRelationship")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CurrencyLocale,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CurrencyLocale")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AccountType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemCostingMethod,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemCostingMethod")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemProductFeed,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemProductFeed")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemWeightUnit,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemWeightUnit")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemPreferenceCriterion,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemPreferenceCriterion")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemOverallQuantityPricingType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemOverallQuantityPricingType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ScheduleBCode,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ScheduleBCode")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemSubType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemSubType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CurrencyCurrencyPrecision,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CurrencyCurrencyPrecision")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CurrencyFxRateUpdateTimezone,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CurrencyFxRateUpdateTimezone")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SalesTaxItemAvailable,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SalesTaxItemAvailable")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemEbayAuctionDuration,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemEbayAuctionDuration")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemOutOfStockBehavior,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemOutOfStockBehavior")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemEbayRelistingOption,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemEbayRelistingOption")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ConsolidatedRate,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ConsolidatedRate")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CashFlowRateType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CashFlowRateType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::GeneralRateType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "GeneralRateType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemMatrixType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemMatrixType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemDemandSource,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemDemandSource")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemSupplyLotSizingMethod,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemSupplyLotSizingMethod")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemSupplyType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemSupplyType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemSupplyReplenishmentMethod,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemSupplyReplenishmentMethod")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleRecogIntervalSrc,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecScheduleRecogIntervalSrc")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleRecurrenceType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecScheduleRecurrenceType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleAmortizationType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecScheduleAmortizationType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CostCategoryItemCostType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CostCategoryItemCostType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemAtpMethod,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemAtpMethod")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::AssemblyItemEffectiveBomControl,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AssemblyItemEffectiveBomControl")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemInvtClassification,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemInvtClassification")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PeriodicLotSizeType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PeriodicLotSizeType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::HazmatPackingGroup,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "HazmatPackingGroup")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemCarrier,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemCarrier")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TaxAcctType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TaxAcctType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemOverheadType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemOverheadType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemCostAccountingStatus,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemCostAccountingStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SalesOrderItemCommitInventory,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrderItemCommitInventory")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SalesOrderItemCreatePo,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrderItemCreatePo")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::SalesOrderOrderStatus,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrderOrderStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentExportTypeUps,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentExportTypeUps")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentLicenseExceptionUps,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentLicenseExceptionUps")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentMethodOfTransportUps,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentMethodOfTransportUps")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentThirdPartyTypeUps,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentThirdPartyTypeUps")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageUpsCodMethodUps,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageUpsCodMethodUps")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageUpsDeliveryConfUps,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageUpsDeliveryConfUps")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageUpsPackagingUps,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageUpsPackagingUps")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageUspsDeliveryConfUsps,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageUspsDeliveryConfUsps")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageUspsPackagingUsps,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageUspsPackagingUsps")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentB13AFilingOptionFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentB13AFilingOptionFedEx")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentHomeDeliveryTypeFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentHomeDeliveryTypeFedEx")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentThirdPartyTypeFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentThirdPartyTypeFedEx")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageFedExAdmPackageTypeFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageFedExAdmPackageTypeFedEx")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageFedExCodMethodFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageFedExCodMethodFedEx")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageFedExDeliveryConfFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageFedExDeliveryConfFedEx")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageFedExPackagingFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageFedExPackagingFedEx")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageFedExSignatureOptionsFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageFedExSignatureOptionsFedEx")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentTermsOfSaleFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentTermsOfSaleFedEx")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentShipStatus,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentShipStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::OpportunityStatus,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunityStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionType,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionStatus,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionPaymentEventResult,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionPaymentEventResult")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionPaymentEventType,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionPaymentEventType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionPaymentEventHoldReason,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionPaymentEventHoldReason")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageFedExCodFreightTypeFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageFedExCodFreightTypeFedEx")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionLinkType,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionLinkType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ForecastType,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ForecastType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionLineType,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionLineType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionApprovalStatus,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionApprovalStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageFedExPriorityAlertTypeFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageFedExPriorityAlertTypeFedEx")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentHazmatTypeFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentHazmatTypeFedEx")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentAncillaryEndorsementFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentAncillaryEndorsementFedEx")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentAccessibilityTypeFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentAccessibilityTypeFedEx")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionChargeType,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionChargeType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PurchaseOrderOrderStatus,
    :schema_type => XSD::QName.new(NsTypesPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "PurchaseOrderOrderStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransactionBillVarianceStatus,
    :schema_type => XSD::QName.new(NsTypesPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionBillVarianceStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::VendorReturnAuthorizationOrderStatus,
    :schema_type => XSD::QName.new(NsTypesPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorReturnAuthorizationOrderStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ReturnAuthorizationOrderStatus,
    :schema_type => XSD::QName.new(NsTypesCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ReturnAuthorizationOrderStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ChargeStage,
    :schema_type => XSD::QName.new(NsTypesCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ChargeStage")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ChargeUse,
    :schema_type => XSD::QName.new(NsTypesCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ChargeUse")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::BudgetBudgetType,
    :schema_type => XSD::QName.new(NsTypesFinancial_2013_2TransactionsWebservicesActiveNetsuiteCom, "BudgetBudgetType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransferOrderItemCommitInventory,
    :schema_type => XSD::QName.new(NsTypesInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransferOrderItemCommitInventory")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TransferOrderOrderStatus,
    :schema_type => XSD::QName.new(NsTypesInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransferOrderOrderStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WorkOrderItemItemCreatePo,
    :schema_type => XSD::QName.new(NsTypesInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderItemItemCreatePo")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::WorkOrderItemItemCommitInventory,
    :schema_type => XSD::QName.new(NsTypesInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderItemItemCommitInventory")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomizationFieldType,
    :schema_type => XSD::QName.new(NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomizationFieldType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomizationDynamicDefault,
    :schema_type => XSD::QName.new(NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomizationDynamicDefault")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomizationDisplayType,
    :schema_type => XSD::QName.new(NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomizationDisplayType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomizationFilterCompareType,
    :schema_type => XSD::QName.new(NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomizationFilterCompareType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypePermissionsPermittedLevel,
    :schema_type => XSD::QName.new(NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypePermissionsPermittedLevel")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypePermissionsRestriction,
    :schema_type => XSD::QName.new(NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypePermissionsRestriction")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemCustomFieldItemSubType,
    :schema_type => XSD::QName.new(NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemCustomFieldItemSubType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomizationAccessLevel,
    :schema_type => XSD::QName.new(NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomizationAccessLevel")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomizationSearchLevel,
    :schema_type => XSD::QName.new(NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomizationSearchLevel")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeAccessType,
    :schema_type => XSD::QName.new(NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeAccessType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeePayFrequency,
    :schema_type => XSD::QName.new(NsTypesEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeePayFrequency")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeUseTimeData,
    :schema_type => XSD::QName.new(NsTypesEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeUseTimeData")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeCommissionPaymentPreference,
    :schema_type => XSD::QName.new(NsTypesEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeCommissionPaymentPreference")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::Gender,
    :schema_type => XSD::QName.new(NsTypesEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "Gender")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeAccruedTimeAccrualMethod,
    :schema_type => XSD::QName.new(NsTypesEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeAccruedTimeAccrualMethod")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::EmployeeDirectDepositAccountStatus,
    :schema_type => XSD::QName.new(NsTypesEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeDirectDepositAccountStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PayrollItemItemTypeNoHierarchy,
    :schema_type => XSD::QName.new(NsTypesEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "PayrollItemItemTypeNoHierarchy")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::TimeBillTimeType,
    :schema_type => XSD::QName.new(NsTypesEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "TimeBillTimeType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignCampaignDirectMailStatus,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignCampaignDirectMailStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignCampaignEmailStatus,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignCampaignEmailStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignCampaignEventStatus,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignCampaignEventStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignChannelEventType,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignChannelEventType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignResponseResponse,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignResponseResponse")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignCampaignEventType,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignCampaignEventType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignResponse_,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignResponse")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignStatus,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignStatus")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PromotionCodeApplyDiscountTo,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodeApplyDiscountTo")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::CampaignResponseCategory,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignResponseCategory")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::PromotionCodeUseType,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodeUseType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DemandPlanCalendarType,
    :schema_type => XSD::QName.new(NsTypesDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "DemandPlanCalendarType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DemandPlanMonth,
    :schema_type => XSD::QName.new(NsTypesDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "DemandPlanMonth")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::DayOfTheWeek,
    :schema_type => XSD::QName.new(NsTypesDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "DayOfTheWeek")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemDemandPlanProjectionMethod,
    :schema_type => XSD::QName.new(NsTypesDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemDemandPlanProjectionMethod")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ItemSupplyPlanOrderType,
    :schema_type => XSD::QName.new(NsTypesDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemSupplyPlanOrderType")
  )

  EncodedRegistry.register(
    :class => ActiveNetsuite::ManufacturingOperationTaskStatus,
    :schema_type => XSD::QName.new(NsTypesSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingOperationTaskStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Passport,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Passport"),
    :schema_element => [
      ["email", "SOAP::SOAPString"],
      ["password", "SOAP::SOAPString"],
      ["account", "SOAP::SOAPString"],
      ["role", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SsoPassport,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SsoPassport"),
    :schema_element => [
      ["authenticationToken", "SOAP::SOAPString"],
      ["partnerId", "SOAP::SOAPString"],
      ["partnerAccount", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SsoCredentials,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SsoCredentials"),
    :schema_element => [
      ["email", "SOAP::SOAPString"],
      ["password", "SOAP::SOAPString"],
      ["account", "SOAP::SOAPString"],
      ["role", "ActiveNetsuite::RecordRef", [0, 1]],
      ["authenticationToken", "SOAP::SOAPString"],
      ["partnerId", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ChangePassword,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "ChangePassword"),
    :schema_element => [
      ["currentPassword", "SOAP::SOAPString"],
      ["newPassword", "SOAP::SOAPString", [0, 1]],
      ["newPassword2", "SOAP::SOAPString", [0, 1]],
      ["justThisAccount", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ChangeEmail,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "ChangeEmail"),
    :schema_element => [
      ["currentPassword", "SOAP::SOAPString"],
      ["newEmail", "SOAP::SOAPString"],
      ["newEmail2", "SOAP::SOAPString"],
      ["justThisAccount", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::StatusDetail,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "StatusDetail"),
    :schema_element => [
      ["code", "ActiveNetsuite::StatusDetailCodeType"],
      ["message", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "type") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Status,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Status"),
    :schema_element => [
      ["statusDetail", "ActiveNetsuite::StatusDetail[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "isSuccess") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WsRole,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "WsRole"),
    :schema_element => [
      ["role", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isDefault", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["isLoggedInRole", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WsRoleList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "WsRoleList"),
    :schema_element => [
      ["wsRole", "ActiveNetsuite::WsRole[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NullField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "NullField"),
    :schema_element => [
      ["name", "SOAP::SOAPString[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["totalRecords", "SOAP::SOAPInt", [0, 1]],
      ["pageSize", "SOAP::SOAPInt", [0, 1]],
      ["totalPages", "SOAP::SOAPInt", [0, 1]],
      ["pageIndex", "SOAP::SOAPInt", [0, 1]],
      ["searchId", "SOAP::SOAPString", [0, 1]],
      ["recordList", "ActiveNetsuite::RecordList", [0, 1]],
      ["searchRowList", "ActiveNetsuite::SearchRowList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncStatusResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncStatusResult"),
    :schema_element => [
      ["jobId", "SOAP::SOAPString"],
      ["status", "ActiveNetsuite::AsyncStatusType"],
      ["percentCompleted", "SOAP::SOAPDouble"],
      ["estRemainingDuration", "SOAP::SOAPDouble"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetAllResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetAllResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["totalRecords", "SOAP::SOAPInt", [0, 1]],
      ["recordList", "ActiveNetsuite::RecordList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetSavedSearchResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetSavedSearchResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["totalRecords", "SOAP::SOAPInt", [0, 1]],
      ["recordRefList", "ActiveNetsuite::RecordRefList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetCustomizationIdResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetCustomizationIdResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["totalRecords", "SOAP::SOAPInt", [0, 1]],
      ["customizationRefList", "ActiveNetsuite::CustomizationRefList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetSelectValueResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetSelectValueResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["totalRecords", "SOAP::SOAPInt", [0, 1]],
      ["totalPages", "SOAP::SOAPInt", [0, 1]],
      ["baseRefList", "ActiveNetsuite::BaseRefList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RecordList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "RecordList"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchRowList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowList"),
    :schema_element => [
      ["searchRow", "ActiveNetsuite::SearchRow[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RecordRefList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "RecordRefList"),
    :schema_element => [
      ["recordRef", "ActiveNetsuite::RecordRef[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BaseRefList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "BaseRefList"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RecordRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "RecordRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "BaseRef"),
    :schema_element => [
      ["name", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "type") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Duration,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Duration"),
    :schema_element => [
      ["timeSpan", "SOAP::SOAPDouble"],
      ["unit", "ActiveNetsuite::DurationUnit"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomRecordRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "BaseRef"),
    :schema_element => [
      ["name", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "typeId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomizationRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomizationRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "RecordRef"),
    :schema_element => [
      ["name", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "type") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomizationRefList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomizationRefList"),
    :schema_element => [
      ["customizationRef", "ActiveNetsuite::CustomizationRef[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InitializeRecord,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeRecord"),
    :schema_element => [
      ["type", "ActiveNetsuite::InitializeType"],
      ["reference", "ActiveNetsuite::InitializeRef", [0, 1]],
      ["auxReference", "ActiveNetsuite::InitializeAuxRef", [0, 1]],
      ["referenceList", "ActiveNetsuite::InitializeRefList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InitializeRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "BaseRef"),
    :schema_element => [
      ["name", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "type") => "SOAP::SOAPString",
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InitializeRefList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeRefList"),
    :schema_element => [
      ["initializeRef", "ActiveNetsuite::InitializeRef[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InitializeAuxRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeAuxRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "BaseRef"),
    :schema_element => [
      ["name", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "type") => "SOAP::SOAPString",
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpdateInviteeStatusReference,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "UpdateInviteeStatusReference"),
    :schema_element => [
      ["eventId", "ActiveNetsuite::RecordRef"],
      ["responseCode", "ActiveNetsuite::CalendarEventAttendeeResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetAllRecord,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetAllRecord"),
    :schema_element => [],
    :schema_attribute => {
      XSD::QName.new(nil, "recordType") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetSavedSearchRecord,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetSavedSearchRecord"),
    :schema_element => [],
    :schema_attribute => {
      XSD::QName.new(nil, "searchType") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomizationType,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomizationType"),
    :schema_element => [],
    :schema_attribute => {
      XSD::QName.new(nil, "getCustomizationType") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ListOrRecordRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "ListOrRecordRef"),
    :schema_element => [
      ["name", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "typeId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LongCustomFieldRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "LongCustomFieldRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomFieldRef"),
    :schema_element => [
      ["value", "SOAP::SOAPLong"]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DoubleCustomFieldRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "DoubleCustomFieldRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomFieldRef"),
    :schema_element => [
      ["value", "SOAP::SOAPDouble"]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BooleanCustomFieldRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "BooleanCustomFieldRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomFieldRef"),
    :schema_element => [
      ["value", "SOAP::SOAPBoolean"]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::StringCustomFieldRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "StringCustomFieldRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomFieldRef"),
    :schema_element => [
      ["value", "SOAP::SOAPString"]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DateCustomFieldRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "DateCustomFieldRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomFieldRef"),
    :schema_element => [
      ["value", "SOAP::SOAPDateTime"]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SelectCustomFieldRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SelectCustomFieldRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomFieldRef"),
    :schema_element => [
      ["value", "ActiveNetsuite::ListOrRecordRef"]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::MultiSelectCustomFieldRef,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "MultiSelectCustomFieldRef"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomFieldRef"),
    :schema_element => [
      ["value", "ActiveNetsuite::ListOrRecordRef[]", [1, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomFieldList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomFieldList"),
    :schema_element => [
      ["customField", "ActiveNetsuite::CustomFieldRef[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchBooleanField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchBooleanField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchStringField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchStringField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchLongField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchLongField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPLong", [0, 1]],
      ["searchValue2", "SOAP::SOAPLong", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchTextNumberField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchTextNumberField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPString", [0, 1]],
      ["searchValue2", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchDoubleField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchDoubleField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPDouble", [0, 1]],
      ["searchValue2", "SOAP::SOAPDouble", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchDateField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchDateField"),
    :schema_element => [
      ["predefinedSearchValue", "ActiveNetsuite::SearchDate", [0, 1]],
      ["searchValue", "SOAP::SOAPDateTime", [0, 1]],
      ["searchValue2", "SOAP::SOAPDateTime", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchEnumMultiSelectField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchEnumMultiSelectField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPString[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchMultiSelectField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchMultiSelectField"),
    :schema_element => [
      ["searchValue", "ActiveNetsuite::RecordRef[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchBooleanCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchBooleanCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchCustomField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchStringCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchStringCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchCustomField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchLongCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchLongCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchCustomField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPLong", [0, 1]],
      ["searchValue2", "SOAP::SOAPLong", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchDoubleCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchDoubleCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchCustomField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPDouble", [0, 1]],
      ["searchValue2", "SOAP::SOAPDouble", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchDateCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchDateCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchCustomField"),
    :schema_element => [
      ["predefinedSearchValue", "ActiveNetsuite::SearchDate", [0, 1]],
      ["searchValue", "SOAP::SOAPDateTime", [0, 1]],
      ["searchValue2", "SOAP::SOAPDateTime", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchEnumMultiSelectCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchEnumMultiSelectCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchCustomField"),
    :schema_element => [
      ["searchValue", "SOAP::SOAPString[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchMultiSelectCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchMultiSelectCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchCustomField"),
    :schema_element => [
      ["searchValue", "ActiveNetsuite::ListOrRecordRef[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchCustomFieldList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchCustomFieldList"),
    :schema_element => [
      ["customField", "ActiveNetsuite::SearchCustomField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchColumnBooleanField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnBooleanField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchColumnStringField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnStringField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchColumnLongField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnLongField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPLong", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchColumnTextNumberField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnTextNumberField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchColumnDoubleField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnDoubleField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchColumnDateField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnDateField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchColumnEnumSelectField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnEnumSelectField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchColumnSelectField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnSelectField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchColumnBooleanCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnBooleanCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnCustomField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchColumnStringCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnStringCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnCustomField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchColumnLongCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnLongCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnCustomField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPLong", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchColumnDoubleCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnDoubleCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnCustomField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPDouble", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchColumnDateCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnDateCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnCustomField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPDateTime", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchColumnEnumMultiSelectCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnEnumMultiSelectCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnCustomField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "SOAP::SOAPString[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchColumnSelectCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnSelectCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnCustomField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "ActiveNetsuite::ListOrRecordRef", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchColumnMultiSelectCustomField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnMultiSelectCustomField"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnCustomField"),
    :schema_element => [
      ["customLabel", "SOAP::SOAPString", [0, 1]],
      ["searchValue", "ActiveNetsuite::ListOrRecordRef[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "scriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchColumnCustomFieldList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchColumnCustomFieldList"),
    :schema_element => [
      ["customField", "ActiveNetsuite::SearchColumnCustomField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemAvailabilityFilter,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemAvailabilityFilter"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRefList"],
      ["lastQtyAvailableChange", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemAvailability,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemAvailability"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef"],
      ["lastQtyAvailableChange", "SOAP::SOAPDateTime", [0, 1]],
      ["locationId", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["onHandValueMli", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemAvailabilityList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemAvailabilityList"),
    :schema_element => [
      ["itemAvailability", "ActiveNetsuite::ItemAvailability[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetItemAvailabilityResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetItemAvailabilityResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["itemAvailabilityList", "ActiveNetsuite::ItemAvailabilityList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BudgetExchangeRateFilter,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "BudgetExchangeRateFilter"),
    :schema_element => [
      ["period", "ActiveNetsuite::RecordRef"],
      ["fromSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["toSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BudgetExchangeRate,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "BudgetExchangeRate"),
    :schema_element => [
      ["period", "ActiveNetsuite::RecordRef"],
      ["fromSubsidiary", "ActiveNetsuite::RecordRef"],
      ["toSubsidiary", "ActiveNetsuite::RecordRef"],
      ["currentRate", "SOAP::SOAPDouble", [0, 1]],
      ["averageRate", "SOAP::SOAPDouble", [0, 1]],
      ["historicalRate", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BudgetExchangeRateList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "BudgetExchangeRateList"),
    :schema_element => [
      ["budgetExchangeRate", "ActiveNetsuite::BudgetExchangeRate[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetBudgetExchangeRateResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetBudgetExchangeRateResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["budgetExchangeRateList", "ActiveNetsuite::BudgetExchangeRateList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ConsolidatedExchangeRateFilter,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "ConsolidatedExchangeRateFilter"),
    :schema_element => [
      ["period", "ActiveNetsuite::RecordRef"],
      ["fromSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["toSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ConsolidatedExchangeRate,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "ConsolidatedExchangeRate"),
    :schema_element => [
      ["period", "ActiveNetsuite::RecordRef"],
      ["fromSubsidiary", "ActiveNetsuite::RecordRef"],
      ["toSubsidiary", "ActiveNetsuite::RecordRef"],
      ["currentRate", "SOAP::SOAPDouble", [0, 1]],
      ["averageRate", "SOAP::SOAPDouble", [0, 1]],
      ["historicalRate", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ConsolidatedExchangeRateList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "ConsolidatedExchangeRateList"),
    :schema_element => [
      ["consolidatedExchangeRate", "ActiveNetsuite::ConsolidatedExchangeRate[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetConsolidatedExchangeRateResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetConsolidatedExchangeRateResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["consolidatedExchangeRateList", "ActiveNetsuite::ConsolidatedExchangeRateList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CurrencyRateFilter,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CurrencyRateFilter"),
    :schema_element => [
      ["baseCurrency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fromCurrency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["effectiveDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CurrencyRate_,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CurrencyRate"),
    :schema_element => [
      ["baseCurrency", "ActiveNetsuite::RecordRef"],
      ["fromCurrency", "ActiveNetsuite::RecordRef"],
      ["exchangeRate", "SOAP::SOAPDouble"],
      ["effectiveDate", "SOAP::SOAPDateTime"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CurrencyRateList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CurrencyRateList"),
    :schema_element => [
      ["currencyRate", "ActiveNetsuite::CurrencyRate_[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetCurrencyRateResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetCurrencyRateResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["currencyRateList", "ActiveNetsuite::CurrencyRateList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DataCenterUrls,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "DataCenterUrls"),
    :schema_element => [
      ["restDomain", "SOAP::SOAPString"],
      ["webservicesDomain", "SOAP::SOAPString"],
      ["systemDomain", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetDataCenterUrlsResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetDataCenterUrlsResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["dataCenterUrls", "ActiveNetsuite::DataCenterUrls", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PostingTransactionSummaryField,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "PostingTransactionSummaryField"),
    :schema_element => [
      ["period", "SOAP::SOAPBoolean", [0, 1]],
      ["account", "SOAP::SOAPBoolean", [0, 1]],
      ["parentItem", "SOAP::SOAPBoolean", [0, 1]],
      ["item", "SOAP::SOAPBoolean", [0, 1]],
      ["entity", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "SOAP::SOAPBoolean", [0, 1]],
      ["v_class", ["SOAP::SOAPBoolean", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiary", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PostingTransactionSummaryFilter,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "PostingTransactionSummaryFilter"),
    :schema_element => [
      ["period", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["account", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["parentItem", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["item", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRefList", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRefList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PostingTransactionSummary,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "PostingTransactionSummary"),
    :schema_element => [
      ["period", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["parentItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PostingTransactionSummaryList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "PostingTransactionSummaryList"),
    :schema_element => [
      ["postingTransactionSummary", "ActiveNetsuite::PostingTransactionSummary[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetPostingTransactionSummaryResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetPostingTransactionSummaryResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["totalRecords", "SOAP::SOAPInt", [0, 1]],
      ["pageSize", "SOAP::SOAPInt", [0, 1]],
      ["totalPages", "SOAP::SOAPInt", [0, 1]],
      ["pageIndex", "SOAP::SOAPInt", [0, 1]],
      ["postingTransactionSummaryList", "ActiveNetsuite::PostingTransactionSummaryList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetSelectValueFieldDescription,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetSelectValueFieldDescription"),
    :schema_element => [
      ["recordType", "ActiveNetsuite::RecordType", [0, 1]],
      ["customRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sublist", "SOAP::SOAPString", [0, 1]],
      ["field", "SOAP::SOAPString"],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["filter", "ActiveNetsuite::GetSelectValueFilter", [0, 1]],
      ["filterByValueList", "ActiveNetsuite::GetSelectFilterByFieldValueList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetSelectValueFilter,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetSelectValueFilter"),
    :schema_element => [
      ["filterValue", "SOAP::SOAPString"]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "operator") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetSelectFilterByFieldValueList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetSelectFilterByFieldValueList"),
    :schema_element => [
      ["filterBy", "ActiveNetsuite::GetSelectFilterByFieldValue[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetSelectFilterByFieldValue,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetSelectFilterByFieldValue"),
    :schema_element => [
      ["sublist", "SOAP::SOAPString", [0, 1]],
      ["field", "SOAP::SOAPString"],
      ["internalId", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetServerTimeResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetServerTimeResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["serverTime", "SOAP::SOAPDateTime"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DeletedRecord,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "DeletedRecord"),
    :schema_element => [
      ["deletedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["record", "ActiveNetsuite::BaseRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DeletedRecordList,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "DeletedRecordList"),
    :schema_element => [
      ["deletedRecord", "ActiveNetsuite::DeletedRecord[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetDeletedResult,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetDeletedResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["deletedRecordList", "ActiveNetsuite::DeletedRecordList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetDeletedFilter,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetDeletedFilter"),
    :schema_element => [
      ["deletedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["type", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AttachContactReference,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "AttachContactReference"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "AttachReference"),
    :schema_element => [
      ["attachTo", "ActiveNetsuite::BaseRef"],
      ["contact", "ActiveNetsuite::RecordRef"],
      ["contactRole", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AttachBasicReference,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "AttachBasicReference"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "AttachReference"),
    :schema_element => [
      ["attachTo", "ActiveNetsuite::BaseRef"],
      ["attachedRecord", "ActiveNetsuite::BaseRef"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DetachBasicReference,
    :schema_type => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "DetachBasicReference"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "DetachReference"),
    :schema_element => [
      ["detachFrom", "ActiveNetsuite::BaseRef"],
      ["detachedRecord", "ActiveNetsuite::BaseRef"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SoapFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InsufficientPermissionFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "InsufficientPermissionFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InvalidAccountFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "InvalidAccountFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InvalidCredentialsFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "InvalidCredentialsFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InvalidSessionFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "InvalidSessionFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExceededRequestLimitFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "ExceededRequestLimitFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExceededUsageLimitFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "ExceededUsageLimitFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExceededRecordCountFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "ExceededRecordCountFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InvalidVersionFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "InvalidVersionFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExceededRequestSizeFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "ExceededRequestSizeFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UnexpectedErrorFault,
    :schema_type => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "UnexpectedErrorFault"),
    :schema_basetype => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "SoapFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ApplicationInfo,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "ApplicationInfo"),
    :schema_element => [
      ["applicationId", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerInfo,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "PartnerInfo"),
    :schema_element => [
      ["partnerId", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DocumentInfo,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "DocumentInfo"),
    :schema_element => [
      ["nsId", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Preferences,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "Preferences"),
    :schema_element => [
      ["warningAsError", "SOAP::SOAPBoolean", [0, 1]],
      ["disableMandatoryCustomFieldValidation", "SOAP::SOAPBoolean", [0, 1]],
      ["disableSystemNotesForCustomFields", "SOAP::SOAPBoolean", [0, 1]],
      ["ignoreReadOnlyFields", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchPreferences,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchPreferences"),
    :schema_element => [
      ["bodyFieldsOnly", "SOAP::SOAPBoolean", [0, 1]],
      ["returnSearchColumns", "SOAP::SOAPBoolean", [0, 1]],
      ["pageSize", "SOAP::SOAPInt", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SessionResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SessionResponse"),
    :schema_element => [
      ["status", ["ActiveNetsuite::Status", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "status")]],
      ["userId", "ActiveNetsuite::RecordRef", [0, 1]],
      ["wsRoleList", ["ActiveNetsuite::WsRoleList", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "wsRoleList")], [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WriteResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "WriteResponse"),
    :schema_element => [
      ["status", ["ActiveNetsuite::Status", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "status")]],
      ["baseRef", "ActiveNetsuite::BaseRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ReadResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "ReadResponse"),
    :schema_element => [
      ["status", ["ActiveNetsuite::Status", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "status")]],
      ["record", "ActiveNetsuite::Record", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WriteResponseList,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "WriteResponseList"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ReadResponseList,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "ReadResponseList"),
    :schema_element => [
      ["readResponse", "ActiveNetsuite::ReadResponse[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LoginResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "LoginResponse"),
    :schema_element => [
      ["sessionResponse", "ActiveNetsuite::SessionResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SsoLoginResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SsoLoginResponse"),
    :schema_element => [
      ["sessionResponse", "ActiveNetsuite::SessionResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::MapSsoResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "MapSsoResponse"),
    :schema_element => [
      ["sessionResponse", "ActiveNetsuite::SessionResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ChangePasswordResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "ChangePasswordResponse"),
    :schema_element => [
      ["sessionResponse", "ActiveNetsuite::SessionResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ChangeEmailResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "ChangeEmailResponse"),
    :schema_element => [
      ["sessionResponse", "ActiveNetsuite::SessionResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LogoutResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "LogoutResponse"),
    :schema_element => [
      ["sessionResponse", "ActiveNetsuite::SessionResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AddResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AddResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AddListResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AddListResponse"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpdateResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpdateResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpdateListResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpdateListResponse"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpsertResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpsertResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpsertListResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpsertListResponse"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DeleteResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "DeleteResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DeleteListResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "DeleteListResponse"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchResponse"),
    :schema_element => [
      ["searchResult", ["ActiveNetsuite::SearchResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "searchResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchMoreResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchMoreResponse"),
    :schema_element => [
      ["searchResult", ["ActiveNetsuite::SearchResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "searchResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchMoreWithIdResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchMoreWithIdResponse"),
    :schema_element => [
      ["searchResult", ["ActiveNetsuite::SearchResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "searchResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchNextResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchNextResponse"),
    :schema_element => [
      ["searchResult", ["ActiveNetsuite::SearchResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "searchResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetResponse"),
    :schema_element => [
      ["readResponse", "ActiveNetsuite::ReadResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetListResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetListResponse"),
    :schema_element => [
      ["readResponseList", "ActiveNetsuite::ReadResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetAllResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetAllResponse"),
    :schema_element => [
      ["getAllResult", ["ActiveNetsuite::GetAllResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getAllResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetSavedSearchResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetSavedSearchResponse"),
    :schema_element => [
      ["getSavedSearchResult", ["ActiveNetsuite::GetSavedSearchResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getSavedSearchResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetCustomizationIdResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetCustomizationIdResponse"),
    :schema_element => [
      ["getCustomizationIdResult", ["ActiveNetsuite::GetCustomizationIdResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getCustomizationIdResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InitializeResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeResponse"),
    :schema_element => [
      ["readResponse", "ActiveNetsuite::ReadResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InitializeListResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeListResponse"),
    :schema_element => [
      ["readResponseList", "ActiveNetsuite::ReadResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetSelectValueResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getSelectValueResponse"),
    :schema_element => [
      ["getSelectValueResult", ["ActiveNetsuite::GetSelectValueResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getSelectValueResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetItemAvailabilityResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetItemAvailabilityResponse"),
    :schema_element => [
      ["getItemAvailabilityResult", ["ActiveNetsuite::GetItemAvailabilityResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getItemAvailabilityResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetBudgetExchangeRateResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetBudgetExchangeRateResponse"),
    :schema_element => [
      ["getBudgetExchangeRateResult", ["ActiveNetsuite::GetBudgetExchangeRateResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getBudgetExchangeRateResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetConsolidatedExchangeRateResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetConsolidatedExchangeRateResponse"),
    :schema_element => [
      ["getConsolidatedExchangeRateResult", ["ActiveNetsuite::GetConsolidatedExchangeRateResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getConsolidatedExchangeRateResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetCurrencyRateResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetCurrencyRateResponse"),
    :schema_element => [
      ["getCurrencyRateResult", ["ActiveNetsuite::GetCurrencyRateResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getCurrencyRateResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetDataCenterUrlsResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetDataCenterUrlsResponse"),
    :schema_element => [
      ["getDataCenterUrlsResult", ["ActiveNetsuite::GetDataCenterUrlsResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getDataCenterUrlsResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetPostingTransactionSummaryResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetPostingTransactionSummaryResponse"),
    :schema_element => [
      ["getPostingTransactionSummaryResult", ["ActiveNetsuite::GetPostingTransactionSummaryResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getPostingTransactionSummaryResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetServerTimeResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetServerTimeResponse"),
    :schema_element => [
      ["getServerTimeResult", ["ActiveNetsuite::GetServerTimeResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getServerTimeResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AttachResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AttachResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DetachResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "DetachResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpdateInviteeStatusResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpdateInviteeStatusResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpdateInviteeStatusListResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpdateInviteeStatusListResponse"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncStatusResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncStatusResponse"),
    :schema_element => [
      ["asyncStatusResult", ["ActiveNetsuite::AsyncStatusResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncStatusResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetAsyncResultResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetAsyncResultResponse"),
    :schema_element => [
      ["asyncResult", "ActiveNetsuite::AsyncResult"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncAddListResult,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncAddListResult"),
    :schema_basetype => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncResult"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncUpdateListResult,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncUpdateListResult"),
    :schema_basetype => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncResult"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncUpsertListResult,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncUpsertListResult"),
    :schema_basetype => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncResult"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncDeleteListResult,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncDeleteListResult"),
    :schema_basetype => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncResult"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncGetListResult,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncGetListResult"),
    :schema_basetype => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncResult"),
    :schema_element => [
      ["readResponseList", "ActiveNetsuite::ReadResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncSearchResult,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncSearchResult"),
    :schema_basetype => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncResult"),
    :schema_element => [
      ["searchResult", ["ActiveNetsuite::SearchResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "searchResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncInitializeListResult,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncInitializeListResult"),
    :schema_basetype => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncResult"),
    :schema_element => [
      ["readResponseList", "ActiveNetsuite::ReadResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetDeletedResponse,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetDeletedResponse"),
    :schema_element => [
      ["getDeletedResult", ["ActiveNetsuite::GetDeletedResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getDeletedResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LoginRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "LoginRequest"),
    :schema_element => [
      ["passport", "ActiveNetsuite::Passport"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SsoLoginRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SsoLoginRequest"),
    :schema_element => [
      ["ssoPassport", "ActiveNetsuite::SsoPassport"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::MapSsoRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "MapSsoRequest"),
    :schema_element => [
      ["ssoCredentials", "ActiveNetsuite::SsoCredentials"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ChangePasswordRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "ChangePasswordRequest"),
    :schema_element => [
      ["changePassword", "ActiveNetsuite::ChangePassword"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ChangeEmailRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "ChangeEmailRequest"),
    :schema_element => [
      ["changeEmail", "ActiveNetsuite::ChangeEmail"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LogoutRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "LogoutRequest"),
    :schema_element => []
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AddRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AddRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DeleteRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "DeleteRequest"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRequest"),
    :schema_element => [
      ["searchRecord", "ActiveNetsuite::SearchRecord"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchMoreRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchMoreRequest"),
    :schema_element => [
      ["pageIndex", "SOAP::SOAPInt"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchMoreWithIdRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchMoreWithIdRequest"),
    :schema_element => [
      ["searchId", "SOAP::SOAPString"],
      ["pageIndex", "SOAP::SOAPInt"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchNextRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchNextRequest"),
    :schema_element => []
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpdateRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpdateRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpsertRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpsertRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AddListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AddListRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DeleteListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "DeleteListRequest"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpdateListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpdateListRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpsertListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpsertListRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetRequest"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetListRequest"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetAllRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetAllRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::GetAllRecord"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetSavedSearchRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetSavedSearchRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::GetSavedSearchRecord"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetCustomizationIdRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetCustomizationIdRequest"),
    :schema_element => [
      ["customizationType", "ActiveNetsuite::CustomizationType"],
      ["includeInactives", "SOAP::SOAPBoolean"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InitializeRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeRequest"),
    :schema_element => [
      ["initializeRecord", "ActiveNetsuite::InitializeRecord"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InitializeListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeListRequest"),
    :schema_element => [
      ["initializeRecord", "ActiveNetsuite::InitializeRecord[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetSelectValueRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getSelectValueRequest"),
    :schema_element => [
      ["fieldDescription", "ActiveNetsuite::GetSelectValueFieldDescription"],
      ["pageIndex", "SOAP::SOAPInt"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetItemAvailabilityRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetItemAvailabilityRequest"),
    :schema_element => [
      ["itemAvailabilityFilter", "ActiveNetsuite::ItemAvailabilityFilter"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetBudgetExchangeRateRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetBudgetExchangeRateRequest"),
    :schema_element => [
      ["budgetExchangeRateFilter", "ActiveNetsuite::BudgetExchangeRateFilter"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetConsolidatedExchangeRateRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetConsolidatedExchangeRateRequest"),
    :schema_element => [
      ["consolidatedExchangeRateFilter", "ActiveNetsuite::ConsolidatedExchangeRateFilter"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetCurrencyRateRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetCurrencyRateRequest"),
    :schema_element => [
      ["currencyRateFilter", "ActiveNetsuite::CurrencyRateFilter"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetDataCenterUrlsRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetDataCenterUrlsRequest"),
    :schema_element => [
      ["account", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetPostingTransactionSummaryRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetPostingTransactionSummaryRequest"),
    :schema_element => [
      ["fields", "ActiveNetsuite::PostingTransactionSummaryField"],
      ["filters", "ActiveNetsuite::PostingTransactionSummaryFilter", [0, 1]],
      ["pageIndex", "SOAP::SOAPInt"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetServerTimeRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetServerTimeRequest"),
    :schema_element => []
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AttachRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AttachRequest"),
    :schema_element => [
      ["attachReference", "ActiveNetsuite::AttachReference"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DetachRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "DetachRequest"),
    :schema_element => [
      ["detachReference", "ActiveNetsuite::DetachReference"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncAddListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncAddListRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpdateInviteeStatusRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpdateInviteeStatusRequest"),
    :schema_element => [
      ["updateInviteeStatusReference", "ActiveNetsuite::UpdateInviteeStatusReference"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpdateInviteeStatusListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "UpdateInviteeStatusListRequest"),
    :schema_element => [
      ["updateInviteeStatusReference", "ActiveNetsuite::UpdateInviteeStatusReference[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncUpdateListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncUpdateListRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncUpsertListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncUpsertListRequest"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncDeleteListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncDeleteListRequest"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncGetListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncGetListRequest"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncInitializeListRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncInitializeListRequest"),
    :schema_element => [
      ["initializeRecord", "ActiveNetsuite::InitializeRecord[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncSearchRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncSearchRequest"),
    :schema_element => [
      ["searchRecord", "ActiveNetsuite::SearchRecord"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CheckAsyncStatusRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "CheckAsyncStatusRequest"),
    :schema_element => [
      ["jobId", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetAsyncResultRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetAsyncResultRequest"),
    :schema_element => [
      ["jobId", "SOAP::SOAPString"],
      ["pageIndex", "SOAP::SOAPInt"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetDeletedRequest,
    :schema_type => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "GetDeletedRequest"),
    :schema_element => [
      ["getDeletedFilter", "ActiveNetsuite::GetDeletedFilter"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ShipAddress,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ShipAddress"),
    :schema_element => [
      ["shipAttention", "SOAP::SOAPString", [0, 1]],
      ["shipAddressee", "SOAP::SOAPString", [0, 1]],
      ["shipPhone", "SOAP::SOAPString", [0, 1]],
      ["shipAddr1", "SOAP::SOAPString", [0, 1]],
      ["shipAddr2", "SOAP::SOAPString", [0, 1]],
      ["shipAddr3", "SOAP::SOAPString", [0, 1]],
      ["shipCity", "SOAP::SOAPString", [0, 1]],
      ["shipState", "SOAP::SOAPString", [0, 1]],
      ["shipZip", "SOAP::SOAPString", [0, 1]],
      ["shipCountry", "ActiveNetsuite::Country", [0, 1]],
      ["shipIsResidential", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BillAddress,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "BillAddress"),
    :schema_element => [
      ["billAttention", "SOAP::SOAPString", [0, 1]],
      ["billAddressee", "SOAP::SOAPString", [0, 1]],
      ["billPhone", "SOAP::SOAPString", [0, 1]],
      ["billAddr1", "SOAP::SOAPString", [0, 1]],
      ["billAddr2", "SOAP::SOAPString", [0, 1]],
      ["billAddr3", "SOAP::SOAPString", [0, 1]],
      ["billCity", "SOAP::SOAPString", [0, 1]],
      ["billState", "SOAP::SOAPString", [0, 1]],
      ["billZip", "SOAP::SOAPString", [0, 1]],
      ["billCountry", "ActiveNetsuite::Country", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PresentationItem,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PresentationItem"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemType", "ActiveNetsuite::PresentationItemType", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["onlinePrice", "SOAP::SOAPDouble", [0, 1]],
      ["basePrice", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Partners,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "Partners"),
    :schema_element => [
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["partnerRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LandedCost,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "LandedCost"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["landedCostDataList", "ActiveNetsuite::LandedCostDataList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LandedCostDataList,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "LandedCostDataList"),
    :schema_element => [
      ["landedCostData", "ActiveNetsuite::LandedCostData[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LandedCostData,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "LandedCostData"),
    :schema_element => [
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LandedCostSummary,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "LandedCostSummary"),
    :schema_element => [
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["source", "ActiveNetsuite::LandedCostSource", [0, 1]],
      ["transaction", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerSalesTeam,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomerSalesTeam"),
    :schema_element => [
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TimeItem,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TimeItem"),
    :schema_element => [
      ["id", "SOAP::SOAPLong", [0, 1]],
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["timeType", "ActiveNetsuite::TimeItemTimeType", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["temporaryLocalJurisdiction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["temporaryStateJurisdiction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["hours", "ActiveNetsuite::Duration", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["overrideRate", "SOAP::SOAPBoolean", [0, 1]],
      ["hoursTotal", "ActiveNetsuite::Duration", [0, 1]],
      ["caseTaskEvent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["isUtilized", "SOAP::SOAPBoolean", [0, 1]],
      ["isProductive", "SOAP::SOAPBoolean", [0, 1]],
      ["isExempt", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryDetail,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "InventoryDetail"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["inventoryAssignmentList", "ActiveNetsuite::InventoryAssignmentList", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RecurrenceDowMaskList,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "RecurrenceDowMaskList"),
    :schema_element => [
      ["recurrenceDowMask", "ActiveNetsuite::RecurrenceDow[]", [1, 7]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryAssignmentList,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "InventoryAssignmentList"),
    :schema_element => [
      ["inventoryAssignment", "ActiveNetsuite::InventoryAssignment[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryAssignment,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "InventoryAssignment"),
    :schema_element => [
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["issueInventoryNumber", "ActiveNetsuite::RecordRef", [0, 1]],
      ["receiptInventoryNumber", "SOAP::SOAPString", [0, 1]],
      ["binNumber", "ActiveNetsuite::RecordRef", [0, 1]],
      ["toBinNumber", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryDetailSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "InventoryDetailSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["binNumber", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["inventoryNumber", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["quantity", "ActiveNetsuite::SearchDoubleField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryDetailSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "InventoryDetailSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["binNumber", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["inventoryNumber", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["quantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EntitySearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "EntitySearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["address", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressee", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressLabel", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressPhone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["attention", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["city", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["comments", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["country", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["county", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["dateCreated", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["entityId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fax", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["giveAccess", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["image", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isDefaultBilling", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isDefaultShipping", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["language", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["level", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["permission", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["phone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["phoneticName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["state", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["type", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["zipCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EntitySearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "EntitySearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["address", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressInternalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressLabel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["attention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["billCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billZipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["city", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["comments", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["country", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["countryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["dateCreated", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["entityId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["entityNumber", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["fax", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["image", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isDefaultBilling", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isDefaultShipping", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["language", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["level", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["permission", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["phone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["phoneticName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["shipCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipZip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["state", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subscription", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subscriptionDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["subscriptionStatus", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["type", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["zipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ContactSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["address", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressee", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressLabel", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressPhone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["attention", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["availableOffline", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["category", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["city", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["comments", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["company", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["contactRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["contactSource", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["country", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["county", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["dateCreated", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["employer", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["entityId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fax", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["firstName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["giveAccess", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["group", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["hasDuplicates", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["image", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isDefaultBilling", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isDefaultShipping", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isPrivate", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["language", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["level", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["middleName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["owner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["permission", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["phone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["phoneticName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["salutation", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["state", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["type", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["zipCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ContactSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["address", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressInternalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressLabel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["attention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["availableOffline", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["billAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["billCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billZipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["category", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["city", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["comments", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["company", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["contactRole", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["contactSource", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["country", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["countryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["dateCreated", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["entityId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["entityNumber", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["fax", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["firstName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["giveAccess", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["hasDuplicates", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["homePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["image", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isDefaultBilling", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isDefaultShipping", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["language", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["level", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["middleName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["mobilePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["permission", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["phone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["phoneticName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["salutation", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["shipCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipZip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["state", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subscription", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subscriptionDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["subscriptionStatus", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["type", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["zipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomerSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["accountNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["address", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressee", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressLabel", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressPhone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["attention", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["availableOffline", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["balance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["billAddress", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["boughtAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["boughtDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["buyingReason", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["buyingTimeFrame", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["category", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["ccCustomerCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["ccDefault", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["ccExpDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["ccHolderName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["ccNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["ccType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["city", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["classBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["comments", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["companyName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["consolBalance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["consolDaysOverdue", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["consolDepositBalance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["consolOverdueBalance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["consolUnbilledOrders", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["contact", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["contribution", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["conversionDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["country", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["county", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["creditHold", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["creditHoldOverride", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["creditLimit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["currency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["custStage", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["custStatus", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["dateClosed", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["dateCreated", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["daysOverdue", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["defaultOrderPriority", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["depositBalance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["deptBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["drAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["emailPreference", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["emailTransactions", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["entityId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["entityStatus", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["estimatedBudget", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["explicitConversion", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fax", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["faxTransactions", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["firstName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["firstOrderDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["firstSaleDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["fxAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["fxBalance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxConsolBalance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxConsolUnbilledOrders", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxUnbilledOrders", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["giveAccess", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["group", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["groupPricingLevel", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["hasDuplicates", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["image", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isBudgetApproved", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isDefaultBilling", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isDefaultShipping", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isPerson", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isReportedLead", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isShipAddress", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["itemPricingLevel", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["itemPricingUnitPrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["itemsBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["itemsOrdered", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["language", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["lastOrderDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastSaleDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["leadDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["leadSource", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["level", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["locationBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["manualCreditHold", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["merchantAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["middleName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["monthlyClosing", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["onCreditHold", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["orderedAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["orderedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["otherRelationships", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["overdueBalance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["parentItemsBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["parentItemsOrdered", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partnerContribution", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["partnerRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partnerTeamMember", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["pec", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["permission", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["phone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["phoneticName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["priceLevel", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["pricingItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["printTransactions", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["prospectDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["pstExempt", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["receivablesAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["reminderDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["resaleNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["role", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesReadiness", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesRep", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesTeamMember", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesTeamRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salutation", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipAddress", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipComplete", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["shippingItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["stage", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["state", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["taxable", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["terms", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["territory", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["unbilledOrders", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["url", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["vatRegNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["webLead", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["zipCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomerSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["accountNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressInternalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressLabel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altContact", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["attention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["availableOffline", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["balance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["billAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["billCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billZipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["buyingReason", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["buyingTimeFrame", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["category", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["ccCustomerCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccDefault", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["ccExpDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["ccHolderName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccInternalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["city", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["comments", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["companyName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["consolBalance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["consolDaysOverdue", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["consolDepositBalance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["consolOverdueBalance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["consolUnbilledOrders", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["contact", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["contribution", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["contributionPrimary", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["conversionDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["country", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["countryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["creditHold", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["creditHoldOverride", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["creditLimit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["currency", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["dateClosed", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["dateCreated", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["daysOverdue", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["defaultOrderPriority", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["depositBalance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["drAccount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["emailPreference", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["emailTransactions", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["entityId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["entityNumber", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["entityStatus", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["estimatedBudget", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["explicitConversion", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["fax", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["faxTransactions", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["firstName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["firstOrderDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["firstSaleDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["fxAccount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["fxBalance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxConsolBalance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxConsolUnbilledOrders", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxUnbilledOrders", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["giveAccess", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["groupPricingLevel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["hasDuplicates", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["homePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["image", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isBudgetApproved", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isDefaultBilling", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isDefaultShipping", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isPerson", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isShipAddress", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["itemPricingLevel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["itemPricingUnitPrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["jobEndDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["jobProjectedEnd", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["jobStartDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["jobType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["language", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["lastOrderDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastSaleDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["leadDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["leadSource", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["level", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["manualCreditHold", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["middleName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["mobilePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["monthlyClosing", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["onCreditHold", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["overdueBalance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["parent", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["partner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["partnerContribution", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["partnerRole", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["partnerTeamMember", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["pec", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["permission", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["phone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["phoneticName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["prefCCProcessor", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["priceLevel", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["pricingGroup", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["pricingItem", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["printTransactions", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["prospectDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["receivablesAccount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["reminderDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["resaleNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["role", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["salesReadiness", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["salesRep", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salesTeamMember", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salesTeamRole", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salutation", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipComplete", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["shipCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["shipCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shippingItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["shipState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipZip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["stage", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["state", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subscription", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subscriptionDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["subscriptionStatus", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["taxable", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["taxItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["terms", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["territory", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["unbilledOrders", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["url", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["vatRegNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["webLead", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["zipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CalendarEventSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CalendarEventSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["attendee", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["calendar", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["completedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["createdDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["instanceStart", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isUpcomingEvent", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["location", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["message", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["organizer", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["owner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["resource", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["response", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["status", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CalendarEventSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CalendarEventSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["attendee", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["company", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["completedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["contact", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["createdDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["endTime", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["instanceEnd", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["instanceStart", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["markdone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["message", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["organizer", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["recurrence", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["resource", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["response", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["startTime", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["transaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaskSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TaskSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["actualTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["assigned", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["company", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["completedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["contact", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["createdDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["estimatedTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedTimeOverride", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isJobSummaryTask", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isJobTask", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isPrivate", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["milestone", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["owner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["percentComplete", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["percentTimeComplete", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["priority", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["status", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["timeRemaining", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaskSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TaskSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["accessLevel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["actualTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["assigned", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["company", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["completedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["contact", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["createdDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["dueDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["estimatedTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedTimeOverride", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isJobSummaryTask", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isJobTask", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["markdone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["message", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["milestone", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["order", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["percentComplete", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["percentTimeComplete", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["priority", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["startTime", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["timeRemaining", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["transaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OpportunitySearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "OpportunitySearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["amount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["availableOffline", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["buyingReason", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["buyingTimeFrame", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["v_class", ["ActiveNetsuite::SearchMultiSelectField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["closeDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["competitor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["contribution", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["currency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["custType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["dateCreated", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["daysOpen", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["daysToClose", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["department", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["entity", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["entityStatus", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["estimatedBudget", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["expectedCloseDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["forecastType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["foreignProjectedAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["foreignRangeHigh", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["foreignRangeLow", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxTranCostEstimate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isBudgetApproved", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["leadSource", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["memo", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["number", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["partner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partnerContribution", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["partnerRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partnerTeamMember", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriodRelative", "ActiveNetsuite::PostingPeriodDate", [0, 1]],
      ["probability", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["projAltSalesAmt", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["projectedTotal", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["rangeHigh", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["rangeHighAlt", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["rangeLow", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["rangeLowAlt", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["salesReadiness", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesRep", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesTeamMember", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesTeamRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["status", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["taxPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxPeriodRelative", "ActiveNetsuite::PostingPeriodDate", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["tranCostEstimate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["tranDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["tranEstGrossProfit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["tranEstGrossProfitPct", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["tranFxEstGrossProfit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["tranId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["winLossReason", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["wonBy", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OpportunitySearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "OpportunitySearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["actionItem", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["availableOffline", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["buyingReason", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["buyingTimeFrame", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["v_class", ["ActiveNetsuite::SearchColumnSelectField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, nil]],
      ["closeDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["competitor", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["contribution", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["contributionPrimary", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["currency", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["custType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["dateCreated", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["daysOpen", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["daysToClose", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["decisionMaker", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["department", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["entity", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["entityStatus", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["estimatedBudget", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["expectedCloseDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["forecastType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["foreignProjectedAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["foreignRangeHigh", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["foreignRangeLow", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxTranCostEstimate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isBudgetApproved", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["leadSource", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["memo", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["partner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["partnerContribution", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["partnerRole", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["partnerTeamMember", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["period", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["probability", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["projAltSalesAmt", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["projectedTotal", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["rangeHigh", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["rangeHighAlt", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["rangeLow", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["rangeLowAlt", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["salesReadiness", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["salesRep", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salesTeamMember", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salesTeamRole", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["taxPeriod", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["total", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["tranCostEstimate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["tranDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["tranEstGrossProfit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["tranEstGrossProfitPct", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["tranFxEstGrossProfit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["tranId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["weightedTotal", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["winLossReason", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["wonBy", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "EmployeeSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["address", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressee", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressLabel", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressPhone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["alienNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["anniversary", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["approvalLimit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["approver", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["attention", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["authWorkDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["billAddress", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["billingClass", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["birthDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["birthDay", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["cContribution", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["city", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["v_class", ["ActiveNetsuite::SearchMultiSelectField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["comments", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["commissionPlan", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["concurrentWebServicesUser", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["country", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["county", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["dateCreated", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["deduction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["department", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["earning", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["education", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["eligibleForCommission", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["employeeStatus", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["employeeType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["employeeTypeKpi", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["entityId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["ethnicity", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["expenseLimit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fax", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["firstName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["gender", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["giveAccess", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["group", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["hireDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["i9Verified", ["ActiveNetsuite::SearchBooleanField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "I9Verified")], [0, 1]],
      ["image", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isDefaultBilling", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isDefaultShipping", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isJobResource", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isTemplate", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["jobDescription", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["laborCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["language", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["lastPaidDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastReviewDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["level", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["maritalStatus", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["middleName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["nextReviewDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["offlineAccess", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["payFrequency", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["permChangeDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["permission", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["permissionChange", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["phone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["phoneticName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["primaryEarningAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["primaryEarningItem", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["primaryEarningType", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["purchaseOrderApprovalLimit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["purchaseOrderApprover", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["purchaseOrderLimit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["releaseDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["residentStatus", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["role", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["roleChange", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["roleChangeDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["salesRep", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["salesRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salutation", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["socialSecurityNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["state", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["supervisor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["supportRep", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["timeApprover", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["type", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["usePerquest", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["useTimeData", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["visaExpDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["visaType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["withholding", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["workCalendar", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["workplace", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["zipCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "EmployeeSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["accountNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressInternalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressLabel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["alienNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["approvalLimit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["approver", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["attention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["authWorkDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["billAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["billCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billingClass", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["billPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billZipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["birthDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["birthDay", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["city", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["v_class", ["ActiveNetsuite::SearchColumnSelectField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, nil]],
      ["comments", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["concurrentWebServicesUser", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["country", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["countryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["dateCreated", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["department", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["eligibleForCommission", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["employeeStatus", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["employeeType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["entityId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["entityNumber", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["ethnicity", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["expenseLimit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["fax", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["firstName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["gender", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["giveAccess", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["hireDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["homePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["i9Verified", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["image", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isDefaultBilling", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isDefaultShipping", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isJobResource", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isSalesRep", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isSupportRep", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isTemplate", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["laborCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["language", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["lastPaidDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastReviewDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["level", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["maritalStatus", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["middleName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["mobilePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["nextReviewDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["offlineAccess", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["payFrequency", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["permChangeDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["permChangeLevel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["permission", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["permissionChange", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["phone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["phoneticName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["primaryEarningAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["primaryEarningItem", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["primaryEarningType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["purchaseOrderApprovalLimit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["purchaseOrderApprover", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["purchaseOrderLimit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["releaseDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["residentStatus", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["role", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["roleChange", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["roleChangeAction", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["roleChangeDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["salesRole", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salutation", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["shipCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipZip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["socialSecurityNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["state", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["subscription", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subscriptionDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["subscriptionStatus", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["supervisor", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["timeApprover", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["type", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["usePerquest", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["useTimeData", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["visaExpDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["visaType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["workCalendar", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["workplace", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["zipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PhoneCallSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PhoneCallSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["assigned", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["company", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["completedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["contact", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["createdBy", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["createdDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isPrivate", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["owner", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["phone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["priority", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["status", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PhoneCallSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PhoneCallSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["accessLevel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["assigned", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["company", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["completedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["contact", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["createdDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["markdone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["message", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["phone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["priority", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["startTime", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["transaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SupportCaseSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["assigned", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["awaitingReply", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["caseNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["category", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["closedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["company", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["contact", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["createdDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["escalateTo", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["helpDesk", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["inboundEmail", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["issue", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["lastMessage", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastReopenedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["locked", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["message", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["messageAuthor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["messageDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["messageType", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["v_module", ["ActiveNetsuite::SearchMultiSelectField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "module")], [0, 1]],
      ["number", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["origin", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["priority", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["product", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["serialNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["stage", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["status", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SupportCaseSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["assigned", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["awaitingReply", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["caseNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["category", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["company", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["contact", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["createdDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["customerStage", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["escalatee", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["helpDesk", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["inboundEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["issue", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["issueNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["lastMessageDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastReopenedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["locked", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["v_module", ["ActiveNetsuite::SearchColumnSelectField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "module")], [0, nil]],
      ["origin", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["priority", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["product", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["serialNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["stage", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::MessageSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "MessageSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["author", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["authorEmail", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["bcc", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["cc", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["hasAttachment", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["internalOnly", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["message", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["messageDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["messageType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["recipient", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["recipientEmail", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subject", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::MessageSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "MessageSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["author", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["authorEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["bcc", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["cc", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["hasAttachment", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalOnly", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isEmailed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isIncoming", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["message", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["messageDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["messageType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["recipient", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["recipientEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subject", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NoteSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "NoteSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["author", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["direction", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["note", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["noteDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["noteType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NoteSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "NoteSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["author", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["direction", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["note", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["noteDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["noteType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomRecordSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["recType", "ActiveNetsuite::RecordRef"],
      ["availableOffline", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["created", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["id", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["lastModified", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastModifiedBy", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["owner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomRecordSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["recType", "ActiveNetsuite::RecordRef"],
      ["altName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["availableOffline", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["created", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["id", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["lastModified", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastModifiedBy", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AccountSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "AccountSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["balance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["cashFlowRateType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["category1099Misc", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["generalRateType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["number", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["type", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AccountSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "AccountSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["balance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["cashFlowRateType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["category1099Misc", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["generalRateType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["number", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["type", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "RevRecScheduleSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["amount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["defRev", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["entity", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["incomeAcct", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["jeDoc", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["name", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["postPeriod", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["srcDoc", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["srcDocDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["srcTranPostPeriod", "ActiveNetsuite::SearchMultiSelectField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "RevRecScheduleSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["amount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["defRev", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["entity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["incomeAcct", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["jeDoc", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["jeDocUrl", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["nameUrl", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["postPeriod", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["srcDoc", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["srcDocLine", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecTemplateSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "RevRecTemplateSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["amorMethod", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["amorPeriod", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["amorStartOffset", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["amorTermSrc", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["amorType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["contraAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["deferralAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["periodOffset", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["targetAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["useForeignAmounts", "ActiveNetsuite::SearchBooleanField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecTemplateSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "RevRecTemplateSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["amorMethod", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["amorPeriod", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["amorStartOffset", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["amorTermSrc", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["amorType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["contraAccount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["deferralAccount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["periodOffset", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["targetAccount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["useForeignAmounts", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BinSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "BinSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["binNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["inactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["memo", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BinSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "BinSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["binNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["inactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["memo", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DepartmentSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "DepartmentSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["nameNoHierarchy", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DepartmentSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "DepartmentSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["nameNoHierarchy", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LocationSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "LocationSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["address", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["city", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["country", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["county", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isOffice", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["makeInventoryAvailable", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["makeInventoryAvailableStore", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["nameNoHierarchy", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["phone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["state", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["tranprefix", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["zip", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LocationSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "LocationSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["address1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["city", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["country", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isOffice", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["makeInventoryAvailable", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["makeInventoryAvailableStore", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["nameNoHierarchy", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["phone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["state", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["tranPrefix", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["zip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ClassificationSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ClassificationSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["nameNoHierarchy", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ClassificationSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ClassificationSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["nameNoHierarchy", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TransactionSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["account", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["accountType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["actualShipDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["altSalesAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["altSalesNetAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["amount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["amountPaid", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["amountRemaining", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["amountUnbilled", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["anyLineItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["appliedToForeignAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["appliedToIsFxVariance", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["appliedToLinkAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["appliedToLinkType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["appliedToTransaction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["applyingForeignAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["applyingIsFxVariance", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["applyingLinkAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["applyingLinkType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["applyingTransaction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["approvalStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["authCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["avsStreetMatch", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["avsZipMatch", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["billable", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["billAddress", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["billAddressee", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["billAttention", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["billCity", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["billCountry", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["billCounty", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["billedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["billingStatus", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["billingTransaction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["billPhone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["billState", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["billVarianceStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["billZip", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["binNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["binNumberQuantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["bomQuantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["buildEntireAssembly", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["buildVariance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["built", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["ccCustomerCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["ccExpireDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["ccName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["ccNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["chargeType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["v_class", ["ActiveNetsuite::SearchMultiSelectField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["cleared", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["closed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["closeDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["cogs", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["commissionEffectiveDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["commit", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["componentYield", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["confirmationNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["contribution", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["costComponentAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costComponentCategory", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["costComponentItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["costComponentQuantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costComponentStandardCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costEstimate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costEstimateRate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["createdBy", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["createdFrom", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["creditAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["cscMatch", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["currency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customerSubOf", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customForm", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["custType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["dateCreated", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["daysOpen", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["daysOverdue", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["debitAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["deferredRevenue", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["deferRevRec", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["department", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["depositDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["depositTransaction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["drAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["dueDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["employee", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["entity", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["entityStatus", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["estGrossProfit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estGrossProfitPct", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["exchangeRate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["excludeCommission", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["expectedCloseDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["expectedReceiptDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["expenseCategory", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["expenseDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["finChrg", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["forecastType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["fulfillingTransaction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["fxAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["fxAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxCostEstimate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxCostEstimateRate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxEstGrossProfit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxTranCostEstimate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxVsoeAllocation", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxVsoeAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxVsoePrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["gcoAvailabelToCharge", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["gcoAvailableToRefund", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["gcoAvsStreetMatch", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["gcoAvsZipMatch", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["gcoBuyerAccountAge", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["gcoBuyerIp", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["gcoChargeAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["gcoChargebackAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["gcoConfirmedChargedTotal", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["gcoConfirmedRefundedTotal", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["gcoCreditcardNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["gcoCscMatch", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["gcoFinancialState", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["gcoFulfillmentState", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["gcoOrderId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["gcoOrderTotal", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["gcoPromotionAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["gcoPromotionName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["gcoRefundAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["gcoShippingTotal", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["gcoStateChangedDetail", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["giftCertificate", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["grossAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["includeInForecast", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["intercoStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["intercoTransaction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["inVsoeBundle", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isAllocation", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isBackflush", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isGcoChargeback", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isGcoChargeConfirmed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isGcoPaymentGuaranteed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isGcoRefundConfirmed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isIntercompanyAdjustment", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isMultiShipTo", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isPayPalMeth", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isReversal", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isRevRecTransaction", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isScrap", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isShipAddress", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isTransferPriceCosting", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isVsoeAlloc", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isWip", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["itemRevision", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["itemSubOf", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["landedCostPerLine", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["leadSource", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["mainLine", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["mainName", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["manufacturingRouting", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["matchBillToReceipt", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["memo", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["memoMain", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["memorized", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["merchantAccount", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["message", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["multiSubsidiary", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["nameText", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["netAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["nextApprover", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["nextBillDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["nonReimbursable", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["number", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["opportunity", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["orderPriority", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["otherRefNum", "ActiveNetsuite::SearchTextNumberField", [0, 1]],
      ["otherRefNumNonDeposit", "ActiveNetsuite::SearchTextNumberField", [0, 1]],
      ["overheadParentItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["packageCount", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["paidTransaction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["partner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partnerContribution", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["partnerRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partnerTeamMember", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["payingTransaction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["paymentApproved", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["paymentEventDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["paymentEventHoldReason", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["paymentEventPurchaseCardUsed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["paymentEventPurchaseDataSent", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["paymentEventResult", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["paymentEventType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["payPalPending", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["payPalStatus", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["payPalTranId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["pnRefNum", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["poAsText", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["posting", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriodRelative", "ActiveNetsuite::PostingPeriodDate", [0, 1]],
      ["priceLevel", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["printedPickingTicket", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["probability", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["projectedAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["promoCode", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["purchaseOrder", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["quantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityBilled", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityCommitted", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityPacked", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityPicked", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityRevCommitted", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityShipRecv", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["recognizedRevenue", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["recordType", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["refNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["revCommitStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["revCommittingStatus", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["revCommittingTransaction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["revenueStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["reversalDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["reversalNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["revRecEndDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["revRecOnRevCommitment", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["revRecStartDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["revRecTermInMonths", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["salesEffectiveDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["salesOrder", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesRep", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesTeamMember", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesTeamRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["serialNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["serialNumberCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["serialNumberCostAdjustment", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["serialNumberQuantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["serialNumbers", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipAddress", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipAddressee", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipAttention", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipCity", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipComplete", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["shipCountry", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["shipCounty", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["shipGroup", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["shipMethod", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["shipPhone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipping", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["shipRecvStatus", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["shipRecvStatusLine", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["shipState", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["shipTo", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["shipZip", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["source", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["status", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["taxItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["taxLine", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["taxPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxPeriodRelative", "ActiveNetsuite::PostingPeriodDate", [0, 1]],
      ["taxRate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["terms", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["toBeEmailed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["toBePrinted", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["toSubsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["totalAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["trackingNumbers", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["tranCostEstimate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["tranDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["tranEstGrossProfit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["tranEstGrossProfitPct", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["tranFxEstGrossProfit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["tranId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["tranIsVsoeBundle", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["transactionDiscount", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["transactionLineType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["transferLocation", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["transferOrderQuantityCommitted", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["transferOrderQuantityPacked", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["transferOrderQuantityPicked", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["transferOrderQuantityReceived", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["transferOrderQuantityShipped", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["type", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["unit", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["unitCostOverride", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["vendType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["visibleToCustomer", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["voided", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["vsoeAllocation", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["vsoeAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["vsoeDelivered", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["vsoePrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["webSite", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TransactionSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["abbrev", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["account", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["accountType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["actualShipDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["altSalesAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["altSalesNetAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["amount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["amountPaid", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["amountRemaining", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["amountUnbilled", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["appliedToForeignAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["appliedToIsFxVariance", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["appliedToLinkAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["appliedToLinkType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["appliedToTransaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["applyingForeignAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["applyingIsFxVariance", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["applyingLinkAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["applyingLinkType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["applyingTransaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["approvalStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["authCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["avsStreetMatch", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["avsZipMatch", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["billable", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["billAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["billCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["billingAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["billingSchedule", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["billingTransaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["billPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billVarianceStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["billZip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["binNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["binNumberQuantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["bomQuantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["buildEntireAssembly", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["buildVariance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["built", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["ccCustomerCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccExpDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["ccHolderName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccStreet", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccZipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["v_class", ["ActiveNetsuite::SearchColumnSelectField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, nil]],
      ["cleared", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["closed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["closeDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["cogsAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["commissionEffectiveDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["commit", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["componentYield", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["confirmationNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["contribution", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["contributionPrimary", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costComponentAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costComponentCategory", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["costComponentItem", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["costComponentQuantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costComponentStandardCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costEstimate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costEstimateRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costEstimateType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["createdBy", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["createdFrom", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["creditAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["cscMatch", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["currency", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customForm", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["custType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["dateCreated", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["daysOpen", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["daysOverdue", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["debitAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["deferredRevenue", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["deferRevRec", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["department", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["depositDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["depositTransaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["discountAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["drAccount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["dueDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["effectiveRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["entity", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["entityStatus", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["estGrossProfit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estGrossProfitPct", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estGrossProfitPercent", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["exchangeRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["excludeCommission", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["expectedCloseDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["expectedReceiptDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["expenseCategory", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["expenseDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["forecastType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["fulfillingTransaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["fxAccount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["fxAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxCostEstimate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxCostEstimateRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxEstGrossProfit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxTranCostEstimate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxVsoeAllocation", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxVsoeAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxVsoePrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["gcoAvailabelToCharge", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["gcoAvailableToRefund", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["gcoAvsStreetMatch", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["gcoAvsZipMatch", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["gcoBuyerAccountAge", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["gcoBuyerIp", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["gcoChargeAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["gcoChargebackAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["gcoConfirmedChargedTotal", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["gcoConfirmedRefundedTotal", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["gcoCreditcardNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["gcoCscMatch", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["gcoFinancialState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["gcoFulfillmentState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["gcoOrderId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["gcoOrderTotal", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["gcoPromotionAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["gcoPromotionName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["gcoRefundAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["gcoShippingTotal", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["gcoStateChangedDetail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["giftCert", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["grossAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["includeInForecast", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["intercoStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["intercoTransaction", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["inVsoeBundle", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isAllocation", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isBackflush", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isGcoChargeback", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isGcoChargeConfirmed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isGcoPaymentGuaranteed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isGcoRefundConfirmed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isIntercompanyAdjustment", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isMultiShipTo", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isReversal", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isRevRecTransaction", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isScrap", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isShipAddress", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isTransferPriceCosting", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isWip", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["itemRevision", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["landedCostPerLine", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["leadSource", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["line", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["lineSequenceNumber", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["mainLine", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["mainName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["manufacturingRouting", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["matchBillToReceipt", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["memo", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["memoMain", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["memorized", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["merchantAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["message", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["multiSubsidiary", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["netAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["netAmountNoTax", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["nextApprover", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["nextBillDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["nonReimbursable", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["opportunity", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["options", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["orderPriority", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["originator", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["otherRefNum", "ActiveNetsuite::SearchColumnTextNumberField[]", [0, nil]],
      ["overheadParentItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["packageCount", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["paidAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["paidTransaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["partner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["partnerContribution", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["partnerRole", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["partnerTeamMember", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["payingAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["payingTransaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["paymentApproved", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["paymentEventDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["paymentEventHoldReason", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["paymentEventPurchaseCardUsed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["paymentEventPurchaseDataSent", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["paymentEventResult", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["paymentEventType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["paymentMethod", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["payPalPending", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["payPalStatus", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["payPalTranId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["payrollBatch", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["pnRefNum", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["poRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["posting", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["postingPeriod", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["priceLevel", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["print", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["probability", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["projectedAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["promoCode", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["purchaseOrder", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["quantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityBilled", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityCommitted", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityPacked", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityPicked", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityRevCommitted", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityShipRecv", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityUom", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["rate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["realizedGainPostingTransaction", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["recognizedRevenue", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["recordType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["refNumber", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["revCommitStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["revCommittingTransaction", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["revenueStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["reversalDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["reversalNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["revRecEndDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["revRecOnRevCommitment", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["revRecStartDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["rgAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["rgAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["salesEffectiveDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["salesOrder", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salesRep", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salesTeamMember", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salesTeamRole", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["serialNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["serialNumberCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["serialNumberCostAdjustment", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["serialNumberQuantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["serialNumbers", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipComplete", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["shipCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["shipCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["shipGroup", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["shipMethod", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["shipPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shippingAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["shipRecvStatusLine", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["shipState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipTo", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["shipZip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["signedAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["source", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["taxAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["taxCode", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["taxLine", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["taxPeriod", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["taxTotal", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["termInMonths", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["terms", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["toBeEmailed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["toBePrinted", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["toSubsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["total", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["totalCostEstimate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["trackingNumbers", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["tranDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["tranEstGrossProfit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["tranFxEstGrossProfit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["tranId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["tranIsVsoeBundle", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["transactionDiscount", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["transactionLineType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["transferLocation", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["transferOrderItemLine", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["transferOrderQuantityCommitted", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["transferOrderQuantityPacked", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["transferOrderQuantityPicked", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["transferOrderQuantityReceived", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["transferOrderQuantityShipped", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["type", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["unit", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["unitCostOverride", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["vendType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["visibleToCustomer", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["vsoeAllocation", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["vsoeAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["vsoeDeferral", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["vsoeDelivered", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["vsoePermitDiscount", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["vsoePrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["webSite", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["account", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["allowedShippingMethod", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["atpLeadTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["atpMethod", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["autoLeadTime", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["autoPreferredStockLevel", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["autoReorderPoint", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["availableToPartners", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["averageCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["backwardConsumptionDays", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["binNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["binOnHandAvail", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["binOnHandCount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["bomQuantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["buildEntireAssembly", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["buildTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["buyItNowPrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["caption", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["category", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["v_class", ["ActiveNetsuite::SearchMultiSelectField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["component", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["componentOf", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["componentYield", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["copyDescription", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["correlatedItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["correlatedItemCorrelation", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["correlatedItemCount", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["correlatedItemLift", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["correlatedItemPurchaseRate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["cost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costAccountingStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["costCategory", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["costEstimate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["costingMethod", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["created", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["createJob", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["dateViewed", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["daysBeforeExpiration", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["defaultReturnCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["defaultShippingMethod", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["demandModifier", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["demandSource", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["department", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["displayIneBayStore", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["displayName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["dontShowPrice", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["eBayItemDescription", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["eBayItemSubtitle", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["eBayItemTitle", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["ebayRelistingOption", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["effectiveBomControl", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["effectiveDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["effectiveRevision", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["endAuctionsWhenOutOfStock", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["excludeFromSitemap", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["featuredDescription", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["feedDescription", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["feedName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fixedLotSize", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["forwardConsumptionDays", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["froogleProductFeed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["fxCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["giftCertAuthCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["giftCertEmail", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["giftCertExpDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["giftCertFrom", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["giftCertMsg", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["giftCertOrigAmt", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["giftCertRecipient", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["imageUrl", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["inventoryLocation", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["invtClassification", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["invtCountInterval", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isAvailable", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isDropShipItem", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isFulfillable", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isGcoCompliant", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isLotItem", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isOnline", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isPreferredVendor", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isSerialItem", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isSpecialOrderItem", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isSpecialWorkOrderItem", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["issueProduct", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["isTaxable", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isVsoeBundle", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isWip", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["itemId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["itemUrl", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["lastInvtCountDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastPurchasePrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["lastQuantityAvailableChange", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["leadTime", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["listingDuration", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["locationAtpLeadTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationAverageCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationBuildTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationCostAccountingStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["locationDefaultReturnCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationDemandSource", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["locationFixedLotSize", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationInventoryCostTemplate", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["locationInvtClassification", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["locationInvtCountInterval", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["locationLastInvtCountDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["locationLeadTime", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["locationNextInvtCountDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["locationPeriodicLotSizeDays", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["locationPeriodicLotSizeType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["locationPreferredStockLevel", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationQuantityAvailable", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationQuantityBackOrdered", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationQuantityCommitted", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationQuantityInTransit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationQuantityOnHand", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationQuantityOnOrder", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationReorderPoint", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationSafetyStockLevel", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locationSupplyLotSizingMethod", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["locationSupplyType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["locationTotalValue", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["locBackwardConsumptionDays", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["locForwardConsumptionDays", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["manufacturer", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["manufactureraddr1", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["manufacturerCity", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["manufacturerState", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["manufacturerTariff", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["manufacturerTaxId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["manufacturerZip", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["manufacturingChargeItem", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["matchBillToReceipt", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["matrix", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["matrixChild", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["metaTagHtml", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["minimumQuantity", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["mpn", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["multManufactureAddr", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["nexTagCategory", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["nexTagProductFeed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["nextInvtCountDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["numActiveListings", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["numberAllowedDownloads", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["numCurrentlyListed", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["obsoleteDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["obsoleteRevision", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["offerSupport", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["onlineCustomerPrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["onSpecial", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["otherVendor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["overheadType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["pageTitle", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["periodicLotSizeDays", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["periodicLotSizeType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["preferredBin", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["preferredLocation", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["preferredStockLevel", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["preferredStockLevelDays", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["price", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["pricesIncludeTax", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["primaryCategory", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["quantityAvailable", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityBackOrdered", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityCommitted", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityOnHand", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityOnOrder", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["reorderMultiple", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["reorderPoint", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["reservePrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["roundUpAsComponent", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["safetyStockLevel", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["safetyStockLevelDays", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["salesDescription", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["saleUnit", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["scheduleBNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["scheduleBQuantity", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["searchKeywords", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["seasonalDemand", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["sellOnEBay", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["serialNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["serialNumberLocation", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["shipIndividually", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["shipPackage", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["shippingCarrier", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["shippingRate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["shoppingDotComCategory", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shoppingProductFeed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["shopzillaCategoryId", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["shopzillaProductFeed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["startingPrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["stockDescription", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["stockUnit", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["storeDescription", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["subType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["supplyType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["taxCode", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["thumbnailUrl", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["totalValue", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["trackLandedCost", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["transferPrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["type", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["unitsType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["upcCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["urlComponent", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["useBins", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["useComponentYield", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["useMarginalRates", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["vendor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["vendorCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["vendorCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["vendorCostEntered", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["vendorName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["vendorPriceCurrency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["vsoeDelivered", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["vsoePrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["webSite", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["weight", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["yahooProductFeed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["allowedShippingMethod", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["alternateDemandSourceItem", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["assetAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["atpLeadTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["atpMethod", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["autoLeadTime", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["autoPreferredStockLevel", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["autoReorderPoint", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["availableToPartners", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["averageCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["backwardConsumptionDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["basePrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["billExchRateVarianceAcct", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["billPriceVarianceAcct", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["billQtyVarianceAcct", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["binNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["binOnHandAvail", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["binOnHandCount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["bomQuantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["buildEntireAssembly", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["buildTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["buyItNowPrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["category", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["categoryPreferred", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["v_class", ["ActiveNetsuite::SearchColumnSelectField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, nil]],
      ["componentYield", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["copyDescription", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["correlatedItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["correlatedItemCorrelation", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["correlatedItemCount", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["correlatedItemLift", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["correlatedItemPurchaseRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["cost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costAccountingStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["costCategory", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["costEstimate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costEstimateType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["costingMethod", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["countryOfManufacture", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["created", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["createJob", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["custReturnVarianceAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["dateViewed", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["daysBeforeExpiration", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["defaultReturnCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["defaultShippingMethod", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["deferredExpenseAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["deferredRevenueAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["demandModifier", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["demandSource", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["department", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["departmentnohierarchy", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["displayIneBayStore", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["displayName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["dontShowPrice", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["eBayItemDescription", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["eBayItemSubtitle", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["eBayItemTitle", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ebayRelistingOption", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["effectiveBomControl", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["effectiveDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["effectiveRevision", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["endAuctionsWhenOutOfStock", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["excludeFromSitemap", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["expenseAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["featuredDescription", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["feedDescription", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["feedName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["fixedLotSize", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["forwardConsumptionDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["froogleProductFeed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["fxCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["gainLossAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["giftCertAuthCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["giftCertEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["giftCertExpirationDate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["giftCertFrom", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["giftCertMessage", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["giftCertOriginalAmount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["giftCertRecipient", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["hits", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["imageUrl", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["incomeAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["inventoryLocation", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["invtClassification", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["invtCountInterval", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["isAvailable", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isDropShipItem", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isFulfillable", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isGcoCompliant", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isLotItem", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isOnline", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isSerialItem", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isSpecialOrderItem", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isSpecialWorkOrderItem", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["issueProduct", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isTaxable", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isVsoeBundle", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isWip", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["itemId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["itemUrl", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["lastInvtCountDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastPurchasePrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["lastQuantityAvailableChange", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["leadTime", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["liabilityAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["listingDuration", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["locationAtpLeadTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationAverageCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationBinQuantityAvailable", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["locationBuildTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationCostAccountingStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["locationDefaultReturnCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationDemandSource", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["locationFixedLotSize", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationInventoryCostTemplate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["locationInvtClassification", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["locationInvtCountInterval", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["locationLastInvtCountDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["locationLeadTime", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["locationNextInvtCountDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["locationPeriodicLotSizeDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["locationPeriodicLotSizeType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["locationPreferredStockLevel", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationQuantityAvailable", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationQuantityBackOrdered", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationQuantityCommitted", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationQuantityInTransit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationQuantityOnHand", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationQuantityOnOrder", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationReOrderPoint", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationSafetyStockLevel", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locationSupplyLotSizingMethod", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["locationSupplyType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["locationTotalValue", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["locBackwardConsumptionDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["locForwardConsumptionDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["manufacturer", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["manufacturerAddr1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["manufacturerCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["manufacturerState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["manufacturerTariff", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["manufacturerTaxId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["manufacturerZip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["manufacturingChargeItem", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["matchBillToReceipt", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["memberItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["memberQuantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["metaTagHtml", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["minimumQuantity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["modified", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["mpn", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["multManufactureAddr", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["nextagCategory", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["nextagProductFeed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["nextInvtCountDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["noPriceMessage", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["numActiveListings", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["numberAllowedDownloads", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["numCurrentlyListed", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["obsoleteDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["obsoleteRevision", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["offerSupport", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["onlineCustomerPrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["onlinePrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["onSpecial", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["otherPrices", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["otherVendor", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["outOfStockBehavior", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["outOfStockMessage", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["overallQuantityPricingType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["overheadType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["pageTitle", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["parent", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["periodicLotSizeDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["periodicLotSizeType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["preferenceCriterion", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["preferredBin", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["preferredLocation", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["preferredStockLevel", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["preferredStockLevelDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["pricesIncludeTax", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["pricingGroup", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["primaryCategory", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["prodPriceVarianceAcct", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["prodQtyVarianceAcct", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["purchaseDescription", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["purchasePriceVarianceAcct", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["purchaseUnit", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["quantityAvailable", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityBackOrdered", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityCommitted", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityOnHand", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityOnOrder", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityPricingSchedule", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["reorderMultiple", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["reOrderPoint", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["reservePrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["revRecSchedule", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["roundUpAsComponent", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["safetyStockLevel", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["safetyStockLevelDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["salesDescription", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["salesTaxCode", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["saleUnit", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["scheduleBCode", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["scheduleBNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["scheduleBQuantity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["scrapAcct", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["searchKeywords", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["seasonalDemand", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["sellOnEBay", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["serialNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["serialNumberLocation", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipIndividually", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["shipPackage", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["shippingCarrier", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["shippingRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["shoppingDotComCategory", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shoppingProductFeed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["shopzillaCategoryId", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["shopzillaProductFeed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["sitemapPriority", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["softDescriptor", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["startingPrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["stockDescription", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["stockUnit", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["storeDescription", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["storeDetailedDescription", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["storeDisplayImage", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["storeDisplayName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["storeDisplayThumbnail", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["supplyLotSizingMethod", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["supplyType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["taxSchedule", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["thumbNailUrl", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["totalValue", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["trackLandedCost", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["transferPrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["type", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["unbuildVarianceAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["unitsType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["upcCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["urlComponent", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["useBins", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["useComponentYield", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["useMarginalRates", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["vendor", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["vendorCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["vendorCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["vendorCostEntered", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["vendorName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["vendorPriceCurrency", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["vendorSchedule", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["vendReturnVarianceAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["vsoeDeferral", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["vsoeDelivered", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["vsoePermitDiscount", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["vsoePrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["webSite", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["weight", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["weightUnit", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["wipAcct", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["wipVarianceAcct", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["yahooProductFeed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PartnerSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["address", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressee", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressLabel", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressPhone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["assignTasks", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["attention", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["billAddress", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["category", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["city", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["v_class", ["ActiveNetsuite::SearchMultiSelectField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["comments", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["commissionPlan", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["country", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["county", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["dateCreated", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["department", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["eligibleForCommission", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["emailPreference", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["entityId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fax", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["firstName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["giveAccess", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["group", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["hasDuplicates", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["image", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isDefaultBilling", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isDefaultShipping", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isPerson", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["language", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["level", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["middleName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["otherRelationships", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partnerCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["permission", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["phone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["phoneticName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["promoCode", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salutation", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipAddress", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["state", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["uRL", ["ActiveNetsuite::SearchStringField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "URL")], [0, 1]],
      ["zipCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PartnerSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["address", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressInternalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressLabel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["assignTasks", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["attention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["billCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billZipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["category", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["city", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["v_class", ["ActiveNetsuite::SearchColumnSelectField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, nil]],
      ["comments", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["companyName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["country", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["countryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["dateCreated", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["department", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["eligibleForCommission", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["emailPreference", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["entityId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["entityNumber", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["fax", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["firstName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["giveAccess", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["hasDuplicates", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["homePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["image", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isDefaultBilling", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isDefaultShipping", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isPerson", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["language", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["level", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["middleName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["mobilePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["parent", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["partnerCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["permission", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["phone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["phoneticName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["promoCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["salutation", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["shipCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipZip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["state", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subscription", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subscriptionDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["subscriptionStatus", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["url", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["zipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "VendorSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["accountNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["address", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressee", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressLabel", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressPhone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["attention", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["balance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["billAddress", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["category", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["city", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["comments", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["contact", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["country", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["county", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["creditLimit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["currency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["currentExchangeRate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["dateCreated", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["eligibleForCommission", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["emailPreference", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["emailTransactions", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["entityId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fax", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["faxTransactions", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["firstName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fxBalance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["fxUnbilledOrders", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["giveAccess", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["group", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["hasDuplicates", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["image", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["is1099Eligible", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isDefaultBilling", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isDefaultShipping", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isJobResourceVend", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isPerson", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["laborCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["language", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["level", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["middleName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["otherRelationships", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["payablesAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["pec", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["permission", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["phone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["phoneticName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["printTransactions", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["salutation", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipAddress", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["state", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["taxIdNum", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["unbilledOrders", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["url", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["vatRegNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["workCalendar", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["zipCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "VendorSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["accountNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressInternalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressLabel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altContact", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["attention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["balance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["billAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["billCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billZipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["category", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["city", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["comments", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["companyName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["contact", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["country", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["countryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["creditLimit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["currency", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["currentExchangeRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["dateCreated", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["eligibleForCommission", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["emailPreference", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["emailTransactions", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["entityId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["entityNumber", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["expenseAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["fax", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["faxTransactions", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["firstName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["fxBalance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["fxUnbilledOrders", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["giveAccess", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["hasDuplicates", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["homePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["image", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["is1099Eligible", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isDefaultBilling", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isDefaultShipping", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isJobResourceVend", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isPerson", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["laborCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["language", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["level", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["middleName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["mobilePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["payablesAccount", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["pec", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["permission", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["phone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["phoneticName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["printOnCheckAs", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["printTransactions", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["salutation", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["shipCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipZip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["state", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subscription", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subscriptionDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["subscriptionStatus", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["taxIdNum", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["terms", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["unbilledOrders", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["url", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["vatRegNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["workCalendar", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["zipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SiteCategorySearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SiteCategorySearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["dateViewed", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["excludeFromSitemap", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["name", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SiteCategorySearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SiteCategorySearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["dateViewed", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["excludeFromSitemap", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["fullName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["hidden", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["hits", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["longDescription", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["pageTitle", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["sitemapPriority", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["urlComponent", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TimeBillSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TimeBillSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["approved", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["billable", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["v_class", ["ActiveNetsuite::SearchMultiSelectField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["customer", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["date", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["dateCreated", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["department", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["duration", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["employee", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["exempt", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["lastModified", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["memo", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["paidByPayroll", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["paidExternally", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["payItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["productive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["status", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["temporaryLocalJurisdiction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["temporaryStateJurisdiction", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["type", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["utilized", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TimeBillSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TimeBillSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["v_break", ["ActiveNetsuite::SearchColumnStringField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "break")], [0, nil]],
      ["v_class", ["ActiveNetsuite::SearchColumnSelectField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, nil]],
      ["customer", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["date", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["dateCreated", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["department", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["durationDecimal", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["employee", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["endTime", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["hours", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isBillable", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isExempt", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isProductive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isUtilized", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["lastModified", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["memo", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["paidExternally", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["payItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["payrollDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["rate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["startTime", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["supervisorApproval", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["temporaryLocalJurisdiction", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["temporaryStateJurisdiction", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["type", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SolutionSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SolutionSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["abstract", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["assigned", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["caseCount", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["code", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["createdDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["find", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isOnline", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["number", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["status", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["topic", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SolutionSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SolutionSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["assigned", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["caseCount", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["createdDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["displayOnline", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["message", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["previewref", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["solutionCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TopicSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TopicSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TopicSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TopicSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SubsidiarySearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SubsidiarySearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["address", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["city", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["country", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["currency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fax", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isElimination", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["legalName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["nameNoHierarchy", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["phone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["state", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["taxIdNum", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["tranPrefix", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["url", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["zip", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SubsidiarySearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SubsidiarySearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["address1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["anonymousCustomerInboundEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["anonymousCustomerOnlineForms", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["caseAssignmentTemplate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["caseAutomaticClosureTemplate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["caseCopyEmployeeTemplate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["caseCreationTemplate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["caseEscalationTemplate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["caseUpdateTemplate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["city", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["companyNameForSupportMessages", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["country", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["currency", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["employeeCaseUpdateTemplate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["fax", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isElimination", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["legalName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["mainSupportEmailAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["nameNoHierarchy", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["phone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["state", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["taxIdNum", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["tranPrefix", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["url", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["zip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GiftCertificateSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "GiftCertificateSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["amountAvailableBilled", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["amountRemaining", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["createdDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["expirationDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["giftCertCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isActive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["liabilityAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["message", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["originalAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["purchaseDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["sender", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GiftCertificateSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "GiftCertificateSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["amountRemaining", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["amtAvailBilled", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["createdDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["expirationDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["gcActive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["giftCertCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["incomeAcct", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["liabilityAcct", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["message", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["originalAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["purchaseDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["sender", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::FolderSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "FolderSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["v_class", ["ActiveNetsuite::SearchMultiSelectField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["department", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["group", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isTopLevel", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["numFiles", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["owner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["predecessor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["private", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["size", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::FolderSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "FolderSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["v_class", ["ActiveNetsuite::SearchColumnSelectField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, nil]],
      ["department", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["folderSize", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["group", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["numFiles", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["parent", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::FileSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "FileSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["availableWithoutLogin", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["created", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["dateViewed", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["documentSize", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fileType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["folder", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isAvailable", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isLink", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["modified", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["owner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["url", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::FileSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "FileSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["availableWithoutLogin", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["created", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["dateViewed", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["documentSize", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["fileType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["folder", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["hits", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["hostedPath", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isAvailable", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["modified", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["url", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "JobSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["accountNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["actualTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["address", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressee", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressLabel", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["addressPhone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["allocatePayrollExpenses", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["allowAllResourcesForTasks", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["allowExpenses", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["allowTime", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["applyProjectExpenseTypeToAll", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["attention", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["calculatedEndDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["calculatedEndDateBaseline", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["category", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["city", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["comments", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["contact", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["country", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["county", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customer", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["dateCreated", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["entityId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["estCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estEndDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["estimatedGrossProfit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedGrossProfitPercent", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedLaborCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedLaborCostBaseline", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedLaborRevenue", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedTimeOverride", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedTimeOverrideBaseline", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estRevenue", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["fax", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["giveAccess", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["image", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["includeCrmTasksInTotals", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isDefaultBilling", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isDefaultShipping", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isExemptTime", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isProductiveTime", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isUtilizedTime", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["jobBillingType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["jobItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["jobPrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["jobResource", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["jobResourceRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["language", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["lastBaselineDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["level", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["limitTimeToAssignees", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["materializeTime", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["pctComplete", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["percentTimeComplete", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["permission", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["phone", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["phoneticName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["projectedEndDateBaseline", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["projectExpenseType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["startDateBaseline", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["state", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["status", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["timeRemaining", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["type", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["zipCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "JobSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["accountNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["actualTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["address", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["address3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressInternalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressLabel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["addressPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["allocatePayrollExpenses", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["allowAllResourcesForTasks", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["allowExpenses", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["allowTime", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["altContact", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altEmail", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["attention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["billCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billingSchedule", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["billPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["billZipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["calculatedEndDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["calculatedEndDateBaseline", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["category", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["city", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["comments", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["companyName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["contact", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["country", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["countryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customer", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["dateCreated", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["entityId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["entityNumber", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["entityStatus", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["estimatedCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedGrossProfit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedGrossProfitPercent", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedLaborCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedLaborCostBaseline", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedLaborRevenue", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedRevenue", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedTimeOverride", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedTimeOverrideBaseline", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["fax", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["globalSubscriptionStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["image", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["includeCrmTasksInTotals", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isDefaultBilling", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isDefaultShipping", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isExemptTime", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isProductiveTime", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isUtilizedTime", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["jobBillingType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["jobItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["jobPrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["jobResource", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["jobResourceRole", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["language", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["lastBaselineDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["level", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["limitTimeToAssignees", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["materializeTime", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["percentComplete", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["percentTimeComplete", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["permission", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["phone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["phoneticName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["projectedEndDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["projectedEndDateBaseline", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["projectExpenseType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["shipAddress1", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress3", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddressee", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAttention", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipCountry", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["shipCountryCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipPhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipState", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipZip", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["startDateBaseline", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["state", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subscription", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["subscriptionDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["subscriptionStatus", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["timeRemaining", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["type", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["zipCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::IssueSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "IssueSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["ageInMonths", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["assigned", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["buildBroken", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["buildBrokenName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["buildFixed", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["buildFixedName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["buildTarget", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["buildTargetName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["caseCount", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["caseNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["closedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["createdDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["dateReleased", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["details", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["duplicateOf", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["eFix", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["employeeOrTeam", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["eventStatus", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["externalAbstract", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalDetails", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalFixedIn", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalStatus", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["fixed", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["fixedBy", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isOwner", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isReviewed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isShowStopper", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["issueAbstract", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["issueNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["v_module", ["ActiveNetsuite::SearchMultiSelectField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "module")], [0, 1]],
      ["number", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["originalFixedIn", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["priority", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["product", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["productTeam", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["relatedIssue", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["relationship", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["relationshipComment", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["reportedBy", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["reproduce", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["resolved", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["resolvedBy", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["reviewer", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["severity", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["source", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["status", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["tags", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["tracking", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["type", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["userType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["versionBroken", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["versionFixed", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["versionTarget", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::IssueSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "IssueSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["ageInMonths", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["assigned", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["buildBroken", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["buildFixed", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["buildTarget", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["caseCount", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["caseNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["closedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["createdDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["dateReleased", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["duplicateOf", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["employeeOrTeam", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["eventStatus", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["externalAbstract", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalDetails", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalFixedIn", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["externalStatus", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["fixed", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["fixedBy", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isOwner", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isReviewed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isShowStopper", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["issueAbstract", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["issueStatus", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["v_module", ["ActiveNetsuite::SearchColumnStringField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "module")], [0, nil]],
      ["number", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["originalFixedIn", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["priority", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["product", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["productTeam", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["relatedIssue", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["relationship", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["relationshipComment", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["reportedBy", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["reproduce", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["resolved", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["resolvedBy", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["reviewer", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["severity", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["source", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["tags", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["type", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["userType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["versionBroken", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["versionFixed", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["versionTarget", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GroupMemberSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "GroupMemberSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["groupId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CampaignSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["audience", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["baseCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["campaignEventType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["campaignId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["category", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["channel", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["cost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["createdDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["event", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["expectedRevenue", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["family", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["group", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isSalesCampaign", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["keyword", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["manager", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["managerRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["number", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["offer", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["promoCode", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["recipient", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["response", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["responseCategory", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["responseCode", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["responseComments", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["responseDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["scheduleDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["searchEngine", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["status", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["subscription", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["template", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["vertical", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CampaignSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["audience", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["baseCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["campaignId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["category", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["channel", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["cost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["createdDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["event", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["executedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["expectedRevenue", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["family", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isSalesCampaign", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["keyword", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["managerRole", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["message", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["offer", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["promoCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["recipient", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["response", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["responseCategory", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["responseCode", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["responseDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["responseNotes", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["revenue", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["roi", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["scheduledDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["searchEngine", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["subscription", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["url", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["vertical", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EntityGroupSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "EntityGroupSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["email", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["groupName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["groupOwner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["groupType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isDynamic", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isManufacturingWorkCenter", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isPrivate", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["laborResources", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["machineResources", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EntityGroupSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "EntityGroupSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["email", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["groupName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["groupType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isDynamic", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isManufacturingWorkCenter", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isPrivate", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["laborResources", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["machineResources", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["savedSearch", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["size", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PromotionCodeSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PromotionCodeSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["applyDiscountTo", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["code", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["discount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["discountAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["freeShipItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isPublic", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["partner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PromotionCodeSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PromotionCodeSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["code", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["discount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["discountAmount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isPublic", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BudgetSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "BudgetSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["account", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["amount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["category", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["v_class", ["ActiveNetsuite::SearchMultiSelectField", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["currency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customer", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["department", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["global", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["year", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["year2", "ActiveNetsuite::SearchMultiSelectField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BudgetSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "BudgetSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["account", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["amount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["category", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["v_class", ["ActiveNetsuite::SearchColumnStringField[]", XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "class")], [0, nil]],
      ["classnohierarchy", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["currency", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customer", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["department", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["departmentnohierarchy", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["global", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["locationnohierarchy", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subsidiarynohierarchy", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["year", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["year2", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ProjectTaskSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ProjectTaskSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["actualWork", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["assignee", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["company", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["constraintType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["contact", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["cost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costBase", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costBaseBaseline", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costBaseline", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costBaseVariance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costVariance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costVariancePercent", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["createdDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["endDateBaseline", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["endDateVariance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedWork", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedWorkBaseline", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedWorkVariance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedWorkVariancePercent", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["finishByDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["id", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isMilestone", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isSummaryTask", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["owner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["percentWorkComplete", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["predecessor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["predecessors", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["priority", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["remainingWork", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["startDateBaseline", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["startDateVariance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["status", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["successor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ProjectTaskSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ProjectTaskSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["actualWork", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["company", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["constraintType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["contact", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["cost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costBase", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costBaseBaseline", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costBaseline", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costBaseVariance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costVariance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costVariancePercent", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["createdDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["endDateBaseline", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["endDateVariance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedWork", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedWorkBaseline", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedWorkVariance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedWorkVariancePercent", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["finishByDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["id", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isMilestone", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isSummaryTask", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["message", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["parent", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["percentWorkComplete", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["predecessor", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["predecessorLagDays", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["predecessors", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["predecessorType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["priority", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["remainingWork", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["startDateBaseline", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["startDateVariance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["successor", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["successorType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ProjectTaskAssignmentSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ProjectTaskAssignmentSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["actualWork", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["cost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["costBase", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["estimatedWork", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["estimatedWorkBaseline", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["grossProfit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["grossProfitBase", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["price", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["priceBase", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["resource", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["resourceName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["serviceItem", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["serviceItemDesc", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["unitCost", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["unitCostBase", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["unitPrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["unitPriceBase", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["units", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["workCalendar", "ActiveNetsuite::SearchMultiSelectField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ProjectTaskAssignmentSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ProjectTaskAssignmentSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["actualWork", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["cost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["costBase", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["estimatedWork", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["estimatedWorkBaseline", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["grossProfit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["grossProfitBase", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["price", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["priceBase", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["resource", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["resourceName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["serviceItem", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["serviceItemDesc", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["unitCost", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["unitCostBase", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["unitPrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["unitPriceBase", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["units", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["workCalendar", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AccountingPeriodSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "AccountingPeriodSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["allLocked", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["allowNonGlChanges", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["apLocked", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["arLocked", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["closed", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["closedOnDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isAdjust", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isQuarter", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isYear", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["payrollLocked", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["periodName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AccountingPeriodSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "AccountingPeriodSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["allLocked", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["allowNonGLChanges", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["apLocked", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["arLocked", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["closed", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["closedOnDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isAdjust", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isQuarter", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isYear", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["parent", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["payrollLocked", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["periodName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactCategorySearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ContactCategorySearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["private", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["sync", "ActiveNetsuite::SearchBooleanField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactCategorySearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ContactCategorySearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["private", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["sync", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactRoleSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ContactRoleSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactRoleSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ContactRoleSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerCategorySearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomerCategorySearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerCategorySearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomerCategorySearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerStatusSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomerStatusSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["includeInLeadReports", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["probability", "ActiveNetsuite::SearchDoubleField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerStatusSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomerStatusSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["includeInLeadReports", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["probability", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExpenseCategorySearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ExpenseCategorySearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["account", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["rateRequired", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExpenseCategorySearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ExpenseCategorySearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["account", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["rateRequired", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobStatusSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "JobStatusSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobStatusSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "JobStatusSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobTypeSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "JobTypeSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobTypeSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "JobTypeSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["parent", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NoteTypeSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "NoteTypeSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NoteTypeSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "NoteTypeSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerCategorySearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PartnerCategorySearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerCategorySearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PartnerCategorySearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["parent", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaymentMethodSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PaymentMethodSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["account", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["creditCard", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isDebitCard", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaymentMethodSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PaymentMethodSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["account", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["creditCard", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isDebitCard", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PriceLevelSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PriceLevelSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["discountPct", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isOnline", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PriceLevelSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PriceLevelSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["discountPct", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isOnline", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesRoleSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SalesRoleSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesRoleSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SalesRoleSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TermSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TermSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["dateDriven", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["dayDiscountExpires", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["dayOfMonthNetDue", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["daysUntilExpiry", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["daysUntilNetDue", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["discountPercent", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["discountPercentDateDriven", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["dueNextMonthIfWithinDays", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["preferred", "ActiveNetsuite::SearchBooleanField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TermSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TermSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["dateDriven", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["dayDiscountExpires", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["dayOfMonthNetDue", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["daysUntilExpiry", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["daysUntilNetDue", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["discountPercent", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["discountPercentDateDriven", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["dueNextMonthIfWithinDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["preferred", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorCategorySearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "VendorCategorySearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isTaxAgency", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorCategorySearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "VendorCategorySearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isTaxAgency", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WinLossReasonSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "WinLossReasonSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WinLossReasonSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "WinLossReasonSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OriginatingLeadSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "OriginatingLeadSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["accountNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["availableOffline", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["balance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["boughtAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["boughtDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["buyingReason", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["buyingTimeFrame", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["category", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["ccCustomerCode", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["ccDefault", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["ccExpDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["ccHolderName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["ccNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["ccType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["classBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["companyName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["contact", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["contribution", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["conversionDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["creditHoldOverride", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["creditLimit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["currency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["custStage", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["custStatus", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["dateClosed", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["daysOverdue", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["depositBalance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["deptBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["emailTransactions", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["entityStatus", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["estimatedBudget", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["explicitConversion", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["faxTransactions", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["firstName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["firstOrderDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["firstSaleDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["group", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["groupPricingLevel", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["hasDuplicates", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isBudgetApproved", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isPerson", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isReportedLead", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isShipAddress", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["itemPricingLevel", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["itemPricingUnitPrice", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["itemsBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["itemsOrdered", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["lastName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["leadDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["leadSource", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["locationBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["manualCreditHold", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["merchantAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["middleName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["onCreditHold", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["orderedAmount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["orderedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["otherRelationships", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["overdueBalance", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["parent", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["parentItemsBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["parentItemsOrdered", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partnerContribution", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["partnerRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["partnerTeamMember", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["pec", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["priceLevel", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["pricingItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["printTransactions", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["prospectDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["pstExempt", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["reminderDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["resaleNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["role", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesReadiness", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesRep", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesTeamMember", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salesTeamRole", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["salutation", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["shipComplete", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["shippingItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["stage", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["subsidBought", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["taxable", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["terms", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["territory", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["title", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["unbilledOrders", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["url", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["vatRegNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["webLead", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OriginatingLeadSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "OriginatingLeadSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["accountNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["altContact", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["availableOffline", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["balance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["billAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["buyingReason", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["buyingTimeFrame", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["category", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["ccCustomerCode", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccDefault", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["ccExpDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["ccHolderName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["ccType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["companyName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["contact", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["contribution", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["contributionPrimary", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["conversionDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["creditHoldOverride", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["creditLimit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["currency", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["dateClosed", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["daysOverdue", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["depositBalance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["emailTransactions", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["entityStatus", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["estimatedBudget", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["explicitConversion", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["faxTransactions", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["firstName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["firstOrderDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["firstSaleDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["giveAccess", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["groupPricingLevel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["hasDuplicates", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["homePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["isBudgetApproved", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isPerson", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isShipAddress", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["itemPricingLevel", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["itemPricingUnitPrice", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["jobEndDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["jobProjectedEnd", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["jobStartDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["jobType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["lastName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["leadDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["leadSource", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["manualCreditHold", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["middleName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["mobilePhone", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["onCreditHold", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["overdueBalance", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["parent", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["partner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["partnerContribution", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["partnerRole", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["partnerTeamMember", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["pec", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["prefCCProcessor", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["priceLevel", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["pricingGroup", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["pricingItem", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["printTransactions", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["prospectDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["reminderDays", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["resaleNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["role", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["salesReadiness", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["salesRep", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salesTeamMember", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salesTeamRole", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["salutation", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipAddress", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["shipComplete", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["shippingItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["stage", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["taxable", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["taxItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["terms", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["territory", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["title", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["unbilledOrders", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["url", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["vatRegNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["webLead", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UnitsTypeSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "UnitsTypeSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["abbreviation", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["baseUnit", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["conversionRate", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInActive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["pluralAbbreviation", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["pluralName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["unitName", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UnitsTypeSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "UnitsTypeSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["abbreviation", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["baseUnit", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["conversionRate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInActive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["pluralAbbreviation", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["pluralName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["unitName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomListSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomListSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isOrdered", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["owner", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["scriptId", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomListSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomListSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isOrdered", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["owner", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["scriptId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PricingGroupSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PricingGroupSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PricingGroupSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PricingGroupSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryNumberSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "InventoryNumberSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["expirationDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["inventoryNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["isOnHand", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["memo", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["quantityAvailable", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityInTransit", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityOnHand", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityOnOrder", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryNumberSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "InventoryNumberSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["expirationDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["inventoryNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["isonhand", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["memo", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["quantityavailable", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityintransit", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityonhand", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityonorder", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryNumberBinSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "InventoryNumberBinSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["binNumber", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["inventoryNumber", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["quantityAvailable", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityOnHand", "ActiveNetsuite::SearchDoubleField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryNumberBinSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "InventoryNumberBinSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["binNumber", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["inventoryNumber", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["quantityAvailable", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityOnHand", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemBinNumberSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemBinNumberSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["binNumber", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["quantityAvailable", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["quantityOnHand", "ActiveNetsuite::SearchDoubleField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemBinNumberSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemBinNumberSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["binNumber", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["quantityAvailable", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityOnHand", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AppDefinitionSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "AppDefinitionSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AppDefinitionSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "AppDefinitionSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AppPackageSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "AppPackageSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["appDefinition", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["version", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AppPackageSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "AppPackageSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["appDefinition", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["bundle", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["packageFile", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["version", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NexusSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "NexusSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["country", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["state", "ActiveNetsuite::SearchMultiSelectField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NexusSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "NexusSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["country", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["state", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OtherNameCategorySearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "OtherNameCategorySearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OtherNameCategorySearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "OtherNameCategorySearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerMessageSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomerMessageSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["preferred", "ActiveNetsuite::SearchBooleanField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerMessageSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomerMessageSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["description", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["preferred", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemDemandPlanSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemDemandPlanSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["alternateSourceItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["analysisDuration", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["demandDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["memo", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["projectionDuration", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["projectionInterval", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["projectionMethod", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["projectionStartDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["quantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["units", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemDemandPlanSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemDemandPlanSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["alternateSourceItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["analysisDuration", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["demandDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["memo", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["projectionDuration", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["projectionInterval", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["projectionMethod", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["projectionStartDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["quantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityUom", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["units", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSupplyPlanSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemSupplyPlanSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["lastModifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["memo", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["orderCreated", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["orderDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["orderType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["quantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["receiptDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["units", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSupplyPlanSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemSupplyPlanSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["lastModifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["memo", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["orderCreated", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["orderDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["orderType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["quantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["quantityUom", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["receiptDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["units", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CurrencyRateSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CurrencyRateSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["baseCurrency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["effectiveDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["exchangeRate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["transactionCurrency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CurrencyRateSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CurrencyRateSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["baseCurrency", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["effectiveDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["exchangeRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["transactionCurrency", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemRevisionSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemRevisionSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["effectiveDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["obsoleteDate", "ActiveNetsuite::SearchDateField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemRevisionSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemRevisionSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["effectiveDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["memo", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["obsoleteDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CouponCodeSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CouponCodeSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["code", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["dateSent", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["id", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["promotion", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["recipient", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["useCount", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["used", "ActiveNetsuite::SearchBooleanField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CouponCodeSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CouponCodeSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["code", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["dateSent", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["id", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["promotion", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["recipient", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["useCount", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["used", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PayrollItemSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PayrollItemSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["itemTypeNoHierarchy", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["liabilityAccount", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["vendor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PayrollItemSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PayrollItemSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["expenseAccount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["itemTypeNoHierarchy", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["liabilityAccount", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["vendor", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingCostTemplateSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ManufacturingCostTemplateSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["memo", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingCostTemplateSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ManufacturingCostTemplateSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["memo", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingRoutingSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ManufacturingRoutingSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["isDefault", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["isInactive", "ActiveNetsuite::SearchBooleanField", [0, 1]],
      ["subsidiary", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["item", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["location", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["manufacturingCostTemplate", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["manufacturingWorkCenter", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["memo", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["operationName", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["operationYield", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["runRate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["sequence", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["setupTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingRoutingSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ManufacturingRoutingSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["isDefault", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["isInactive", "ActiveNetsuite::SearchColumnBooleanField[]", [0, nil]],
      ["subsidiary", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["item", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["location", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["manufacturingCostTemplate", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["manufacturingWorkCenter", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["memo", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["operationName", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["operationYield", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["runRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["sequence", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["setupTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingOperationTaskSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ManufacturingOperationTaskSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["actualRunTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["actualSetupTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["completedQuantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["estimatedWork", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["id", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["inputQuantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["laborResources", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["machineResources", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["manufacturingCostTemplate", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["manufacturingWorkCenter", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["name", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["order", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["predecessor", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["remainingQuantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["runRate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["runTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["sequence", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["setupTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["status", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["workOrder", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingOperationTaskSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ManufacturingOperationTaskSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["actualRunTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["actualSetupTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["completedQuantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["estimatedWork", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["id", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["inputQuantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["laborResources", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["machineResources", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["message", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["manufacturingCostTemplate", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["manufacturingWorkCenter", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["name", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["order", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["predecessor", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["predecessorLagDays", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["predecessorType", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["remainingQuantity", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["runRate", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["runTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["sequence", "ActiveNetsuite::SearchColumnLongField[]", [0, nil]],
      ["setupTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["status", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["workOrder", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ResourceAllocationSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ResourceAllocationSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["allocationType", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["allocationUnit", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["customer", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["endDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["notes", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["numberHours", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["percentOfTime", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["project", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["requestedBy", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["resource", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["startDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ResourceAllocationSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ResourceAllocationSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["allocationType", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["allocationUnit", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["customer", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["endDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["notes", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["numberHours", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["percentOfTime", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["project", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["requestedBy", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["resource", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["startDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomSearchJoin,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomSearchJoin"),
    :schema_element => [
      ["customizationRef", "ActiveNetsuite::CustomizationRef"],
      ["searchRecordBasic", "ActiveNetsuite::SearchRecordBasic"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CustomSearchRowBasic"),
    :schema_element => [
      ["customizationRef", "ActiveNetsuite::CustomizationRef"],
      ["searchRowBasic", "ActiveNetsuite::SearchRowBasic"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ChargeSearchBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ChargeSearchBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordBasic"),
    :schema_element => [
      ["amount", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["billingItem", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["billTo", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["chargeDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["chargeType", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["createdDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["currency", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["externalIdString", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["internalId", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["internalIdNumber", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["modifiedDate", "ActiveNetsuite::SearchDateField", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriodRelative", "ActiveNetsuite::PostingPeriodDate", [0, 1]],
      ["quantity", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["rate", "ActiveNetsuite::SearchDoubleField", [0, 1]],
      ["rule", "ActiveNetsuite::SearchMultiSelectField", [0, 1]],
      ["runId", "ActiveNetsuite::SearchStringField", [0, 1]],
      ["salesOrder", "ActiveNetsuite::SearchLongField", [0, 1]],
      ["stage", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["use", "ActiveNetsuite::SearchEnumMultiSelectField", [0, 1]],
      ["customFieldList", "ActiveNetsuite::SearchCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ChargeSearchRowBasic,
    :schema_type => XSD::QName.new(NsCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ChargeSearchRowBasic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRowBasic"),
    :schema_element => [
      ["amount", "ActiveNetsuite::SearchColumnDoubleField[]", [0, nil]],
      ["billingItem", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["billTo", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["chargeDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["chargeType", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["createdDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["currency", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["externalId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["internalId", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["modifiedDate", "ActiveNetsuite::SearchColumnDateField[]", [0, nil]],
      ["postingPeriod", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["quantity", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["rate", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["rule", "ActiveNetsuite::SearchColumnSelectField[]", [0, nil]],
      ["runId", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["salesOrder", "ActiveNetsuite::SearchColumnStringField[]", [0, nil]],
      ["stage", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["use", "ActiveNetsuite::SearchColumnEnumSelectField[]", [0, nil]],
      ["customFieldList", "ActiveNetsuite::SearchColumnCustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CalendarEvent,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEvent"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supportCase", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["period", "SOAP::SOAPLong", [0, 1]],
      ["frequency", "ActiveNetsuite::RecurrenceFrequency", [0, 1]],
      ["recurrenceDowMaskList", "ActiveNetsuite::RecurrenceDowMaskList", [0, 1]],
      ["recurrenceDow", "ActiveNetsuite::RecurrenceDow", [0, 1]],
      ["recurrenceDowim", "ActiveNetsuite::RecurrenceDowim", [0, 1]],
      ["seriesStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endByDate", "SOAP::SOAPDateTime", [0, 1]],
      ["noEndDate", "SOAP::SOAPBoolean", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["recurrence", "SOAP::SOAPString", [0, 1]],
      ["location", "SOAP::SOAPString", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["allDayEvent", "SOAP::SOAPBoolean", [0, 1]],
      ["timedEvent", "SOAP::SOAPBoolean", [0, 1]],
      ["reminderType", "ActiveNetsuite::CalendarEventReminderType", [0, 1]],
      ["reminderMinutes", "ActiveNetsuite::CalendarEventReminderMinutes", [0, 1]],
      ["status", "ActiveNetsuite::CalendarEventStatus", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CalendarEventAccessLevel", [0, 1]],
      ["organizer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["exclusionDateList", "ActiveNetsuite::ExclusionDateList", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["attendeeList", "ActiveNetsuite::CalendarEventAttendeeList", [0, 1]],
      ["resourceList", "ActiveNetsuite::CalendarEventResourceList", [0, 1]],
      ["timeItemList", "ActiveNetsuite::CalendarEventTimeItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExclusionDateList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ExclusionDateList"),
    :schema_element => [
      ["exclusionDate", "SOAP::SOAPDateTime[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CalendarEventAttendee,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventAttendee"),
    :schema_element => [
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["attendee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["response", "ActiveNetsuite::CalendarEventAttendeeResponse", [0, 1]],
      ["attendance", "ActiveNetsuite::CalendarEventAttendeeAttendance", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CalendarEventAttendeeList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventAttendeeList"),
    :schema_element => [
      ["attendee", "ActiveNetsuite::CalendarEventAttendee[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CalendarEventResource,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventResource"),
    :schema_element => [
      ["resource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CalendarEventResourceList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventResourceList"),
    :schema_element => [
      ["resource", "ActiveNetsuite::CalendarEventResource[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CalendarEventSearch,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["attendeeJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["attendeeContactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["attendeeCustomerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CalendarEventSearchAdvanced,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::CalendarEventSearch", [0, 1]],
      ["columns", "ActiveNetsuite::CalendarEventSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CalendarEventSearchRow,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CalendarEventSearchRowBasic", [0, 1]],
      ["attendeeJoin", "ActiveNetsuite::EntitySearchRowBasic", [0, 1]],
      ["attendeeContactJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["attendeeCustomerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchRowBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Task,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "Task"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supportCase", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["milestone", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["assigned", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["timedEvent", "SOAP::SOAPBoolean", [0, 1]],
      ["estimatedTime", "ActiveNetsuite::Duration", [0, 1]],
      ["estimatedTimeOverride", "ActiveNetsuite::Duration", [0, 1]],
      ["actualTime", "ActiveNetsuite::Duration", [0, 1]],
      ["timeRemaining", "ActiveNetsuite::Duration", [0, 1]],
      ["percentTimeComplete", "SOAP::SOAPDouble", [0, 1]],
      ["percentComplete", "SOAP::SOAPDouble", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["dueDate", "SOAP::SOAPDateTime", [0, 1]],
      ["completedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["priority", "ActiveNetsuite::TaskPriority", [0, 1]],
      ["status", "ActiveNetsuite::TaskStatus", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["accessLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["reminderType", "ActiveNetsuite::TaskReminderType", [0, 1]],
      ["reminderMinutes", "ActiveNetsuite::TaskReminderMinutes", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contactList", "ActiveNetsuite::TaskContactList", [0, 1]],
      ["timeItemList", "ActiveNetsuite::TaskTimeItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaskContact,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "TaskContact"),
    :schema_element => [
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaskContactList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "TaskContactList"),
    :schema_element => [
      ["contact", "ActiveNetsuite::TaskContact[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaskSearch,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "TaskSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["companyCustomerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaskSearchAdvanced,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "TaskSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::TaskSearch", [0, 1]],
      ["columns", "ActiveNetsuite::TaskSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaskSearchRow,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "TaskSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TaskSearchRowBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["companyCustomerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchRowBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchRowBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PhoneCall,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCall"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supportCase", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["milestone", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assigned", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["timedEvent", "SOAP::SOAPBoolean", [0, 1]],
      ["completedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["status", "ActiveNetsuite::PhoneCallStatus", [0, 1]],
      ["priority", "ActiveNetsuite::PhoneCallPriority", [0, 1]],
      ["accessLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["reminderType", "ActiveNetsuite::PhoneCallReminderType", [0, 1]],
      ["reminderMinutes", "ActiveNetsuite::PhoneCallReminderMinutes", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["contactList", "ActiveNetsuite::PhoneCallContactList", [0, 1]],
      ["timeItemList", "ActiveNetsuite::PhoneCallTimeItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PhoneCallContact,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCallContact"),
    :schema_element => [
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PhoneCallContactList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCallContactList"),
    :schema_element => [
      ["contact", "ActiveNetsuite::PhoneCallContact[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PhoneCallSearch,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCallSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["companyCustomerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["participantJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PhoneCallSearchAdvanced,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCallSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::PhoneCallSearch", [0, 1]],
      ["columns", "ActiveNetsuite::PhoneCallSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PhoneCallSearchRow,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCallSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PhoneCallSearchRowBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["companyCustomerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchRowBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchRowBasic", [0, 1]],
      ["participantJoin", "ActiveNetsuite::EntitySearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ProjectTask,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTask"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["eventId", "ActiveNetsuite::RecordRef", [0, 1]],
      ["percentTimeComplete", "SOAP::SOAPDouble", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]],
      ["order", "ActiveNetsuite::RecordRef", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["priority", "ActiveNetsuite::RecordRef", [0, 1]],
      ["estimatedWork", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedWorkBaseline", "SOAP::SOAPDouble", [0, 1]],
      ["constraintType", "ActiveNetsuite::ProjectTaskConstraintType", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["startDateBaseline", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["finishByDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDateBaseline", "SOAP::SOAPDateTime", [0, 1]],
      ["actualWork", "SOAP::SOAPDouble", [0, 1]],
      ["remainingWork", "SOAP::SOAPDouble", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["isMilestone", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnCriticalPath", "SOAP::SOAPString", [0, 1]],
      ["slackMinutes", "SOAP::SOAPDouble", [0, 1]],
      ["lateEnd", "SOAP::SOAPDateTime", [0, 1]],
      ["lateStart", "SOAP::SOAPDateTime", [0, 1]],
      ["status", "ActiveNetsuite::ProjectTaskStatus", [0, 1]],
      ["assigneeList", "ActiveNetsuite::ProjectTaskAssigneeList", [0, 1]],
      ["predecessorList", "ActiveNetsuite::ProjectTaskPredecessorList", [0, 1]],
      ["timeItemList", "ActiveNetsuite::ProjectTaskTimeItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ProjectTaskPredecessor,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskPredecessor"),
    :schema_element => [
      ["task", "ActiveNetsuite::RecordRef", [0, 1]],
      ["type", "ActiveNetsuite::ProjectTaskPredecessorPredecessorType", [0, 1]],
      ["lagDays", "SOAP::SOAPDouble", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ProjectTaskPredecessorList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskPredecessorList"),
    :schema_element => [
      ["projectTaskPredecessor", "ActiveNetsuite::ProjectTaskPredecessor[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ProjectTaskAssignee,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskAssignee"),
    :schema_element => [
      ["resource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["units", "SOAP::SOAPDouble", [0, 1]],
      ["serviceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["estimatedWork", "SOAP::SOAPDouble", [0, 1]],
      ["unitCost", "SOAP::SOAPDouble", [0, 1]],
      ["unitPrice", "SOAP::SOAPDouble", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["price", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ProjectTaskAssigneeList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskAssigneeList"),
    :schema_element => [
      ["projectTaskAssignee", "ActiveNetsuite::ProjectTaskAssignee[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ProjectTaskSearch,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ProjectTaskSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["predecessorJoin", "ActiveNetsuite::ProjectTaskSearchBasic", [0, 1]],
      ["projectTaskAssignmentJoin", "ActiveNetsuite::ProjectTaskAssignmentSearchBasic", [0, 1]],
      ["successorJoin", "ActiveNetsuite::ProjectTaskSearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ProjectTaskSearchAdvanced,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ProjectTaskSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ProjectTaskSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ProjectTaskSearchRow,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ProjectTaskSearchRowBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["predecessorJoin", "ActiveNetsuite::ProjectTaskSearchRowBasic", [0, 1]],
      ["projectTaskAssignmentJoin", "ActiveNetsuite::ProjectTaskAssignmentSearchRowBasic", [0, 1]],
      ["successorJoin", "ActiveNetsuite::ProjectTaskSearchRowBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PhoneCallTimeItemList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCallTimeItemList"),
    :schema_element => [
      ["timeItem", "ActiveNetsuite::TimeItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CalendarEventTimeItemList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventTimeItemList"),
    :schema_element => [
      ["timeItem", "ActiveNetsuite::TimeItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaskTimeItemList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "TaskTimeItemList"),
    :schema_element => [
      ["timeItem", "ActiveNetsuite::TimeItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ProjectTaskTimeItemList,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskTimeItemList"),
    :schema_element => [
      ["timeItem", "ActiveNetsuite::TimeItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ResourceAllocation,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ResourceAllocation"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["requestedby", "ActiveNetsuite::RecordRef", [0, 1]],
      ["allocationResource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["project", "ActiveNetsuite::RecordRef", [0, 1]],
      ["notes", "SOAP::SOAPString", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["allocationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["allocationUnit", "ActiveNetsuite::ResourceAllocationAllocationUnit", [0, 1]],
      ["numberHours", "SOAP::SOAPDouble", [0, 1]],
      ["percentOfTime", "SOAP::SOAPDouble", [0, 1]],
      ["allocationType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ResourceAllocationSearch,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ResourceAllocationSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ResourceAllocationSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["requestedByJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["resourceJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ResourceAllocationSearchAdvanced,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ResourceAllocationSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ResourceAllocationSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ResourceAllocationSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ResourceAllocationSearchRow,
    :schema_type => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ResourceAllocationSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ResourceAllocationSearchRowBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["requestedByJoin", "ActiveNetsuite::EntitySearchRowBasic", [0, 1]],
      ["resourceJoin", "ActiveNetsuite::EntitySearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Note,
    :schema_type => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "Note"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["noteType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["direction", "ActiveNetsuite::NoteDirection", [0, 1]],
      ["noteDate", "SOAP::SOAPDateTime", [0, 1]],
      ["note", "SOAP::SOAPString", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["activity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["author", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["folder", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["media", "ActiveNetsuite::RecordRef", [0, 1]],
      ["record", "ActiveNetsuite::RecordRef", [0, 1]],
      ["recordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["topic", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transaction", "ActiveNetsuite::RecordRef", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NoteSearch,
    :schema_type => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "NoteSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["authorJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["campaignJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["entityJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["issueJoin", "ActiveNetsuite::IssueSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["solutionJoin", "ActiveNetsuite::SolutionSearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NoteSearchAdvanced,
    :schema_type => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "NoteSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::NoteSearch", [0, 1]],
      ["columns", "ActiveNetsuite::NoteSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NoteSearchRow,
    :schema_type => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "NoteSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["authorJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchRowBasic", [0, 1]],
      ["campaignJoin", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["entityJoin", "ActiveNetsuite::EntitySearchRowBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchRowBasic", [0, 1]],
      ["issueJoin", "ActiveNetsuite::IssueSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchRowBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchRowBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchRowBasic", [0, 1]],
      ["solutionJoin", "ActiveNetsuite::SolutionSearchRowBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Message,
    :schema_type => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "Message"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["author", "ActiveNetsuite::RecordRef", [0, 1]],
      ["recipient", "ActiveNetsuite::RecordRef", [0, 1]],
      ["cc", "SOAP::SOAPString", [0, 1]],
      ["bcc", "SOAP::SOAPString", [0, 1]],
      ["messageDate", "SOAP::SOAPDateTime", [0, 1]],
      ["recordName", "SOAP::SOAPString", [0, 1]],
      ["recordTypeName", "SOAP::SOAPString", [0, 1]],
      ["subject", "SOAP::SOAPString", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["emailed", "SOAP::SOAPBoolean", [0, 1]],
      ["activity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["compressAttachments", "SOAP::SOAPBoolean", [0, 1]],
      ["incoming", "SOAP::SOAPBoolean", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["transaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["mediaItemList", "ActiveNetsuite::MessageMediaItemList", [0, 1]],
      ["dateTime", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::MessageMediaItemList,
    :schema_type => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "MessageMediaItemList"),
    :schema_element => [
      ["mediaItem", "ActiveNetsuite::C_File[]", [1, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::MessageSearch,
    :schema_type => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "MessageSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["attachmentsJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["authorJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["campaignJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["entityJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["recipientJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::MessageSearchAdvanced,
    :schema_type => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "MessageSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::MessageSearch", [0, 1]],
      ["columns", "ActiveNetsuite::MessageSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::MessageSearchRow,
    :schema_type => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "MessageSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["attachmentsJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["authorJoin", "ActiveNetsuite::EntitySearchRowBasic", [0, 1]],
      ["campaignJoin", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["entityJoin", "ActiveNetsuite::EntitySearchRowBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchRowBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchRowBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchRowBasic", [0, 1]],
      ["recipientJoin", "ActiveNetsuite::EntitySearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::C_File,
    :schema_type => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "File"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["attachFrom", "ActiveNetsuite::FileAttachFrom", [0, 1]],
      ["mediaTypeName", "SOAP::SOAPString", [0, 1]],
      ["fileType", "ActiveNetsuite::MediaType", [0, 1]],
      ["content", "SOAP::SOAPBase64", [0, 1]],
      ["folder", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fileSize", "SOAP::SOAPDouble", [0, 1]],
      ["url", "SOAP::SOAPString", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["mediaFile", "ActiveNetsuite::RecordRef", [0, 1]],
      ["textFileEncoding", "ActiveNetsuite::TextFileEncoding", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["encoding", "ActiveNetsuite::FileEncoding", [0, 1]],
      ["altTagCaption", "SOAP::SOAPString", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["v_class", ["SOAP::SOAPString", XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["bundleable", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "SOAP::SOAPString", [0, 1]],
      ["hideInBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["isPrivate", "SOAP::SOAPBoolean", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caption", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["siteDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::FileSiteCategoryList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::FileSiteCategory,
    :schema_type => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "FileSiteCategory"),
    :schema_element => [
      ["isDefault", "SOAP::SOAPBoolean", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["categoryDescription", "SOAP::SOAPString", [0, 1]],
      ["website", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::FileSiteCategoryList,
    :schema_type => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "FileSiteCategoryList"),
    :schema_element => [
      ["siteCategory", "ActiveNetsuite::FileSiteCategory[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::FileSearch,
    :schema_type => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "FileSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["shopperJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::FileSearchAdvanced,
    :schema_type => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "FileSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::FileSearch", [0, 1]],
      ["columns", "ActiveNetsuite::FileSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::FileSearchRow,
    :schema_type => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "FileSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["shopperJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Folder,
    :schema_type => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "Folder"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["isPrivate", "SOAP::SOAPBoolean", [0, 1]],
      ["bundleable", "SOAP::SOAPBoolean", [0, 1]],
      ["hideInBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["group", "ActiveNetsuite::RecordRef", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::FolderSearch,
    :schema_type => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "FolderSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::FolderSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::FolderSearchAdvanced,
    :schema_type => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "FolderSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::FolderSearch", [0, 1]],
      ["columns", "ActiveNetsuite::FolderSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::FolderSearchRow,
    :schema_type => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "FolderSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::FolderSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Subscriptions,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "Subscriptions"),
    :schema_element => [
      ["subscribed", "SOAP::SOAPBoolean", [0, 1]],
      ["subscription", "ActiveNetsuite::RecordRef", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SubscriptionsList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "SubscriptionsList"),
    :schema_element => [
      ["subscriptions", "ActiveNetsuite::Subscriptions[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Contact,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "Contact"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityId", "SOAP::SOAPString", [0, 1]],
      ["contactSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salutation", "SOAP::SOAPString", [0, 1]],
      ["firstName", "SOAP::SOAPString", [0, 1]],
      ["middleName", "SOAP::SOAPString", [0, 1]],
      ["lastName", "SOAP::SOAPString", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["defaultAddress", "SOAP::SOAPString", [0, 1]],
      ["isPrivate", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["phoneticName", "SOAP::SOAPString", [0, 1]],
      ["categoryList", "ActiveNetsuite::CategoryList", [0, 1]],
      ["altEmail", "SOAP::SOAPString", [0, 1]],
      ["officePhone", "SOAP::SOAPString", [0, 1]],
      ["homePhone", "SOAP::SOAPString", [0, 1]],
      ["mobilePhone", "SOAP::SOAPString", [0, 1]],
      ["supervisor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supervisorPhone", "SOAP::SOAPString", [0, 1]],
      ["assistant", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assistantPhone", "SOAP::SOAPString", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::GlobalSubscriptionStatus", [0, 1]],
      ["image", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["dateCreated", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["addressbookList", "ActiveNetsuite::ContactAddressbookList", [0, 1]],
      ["subscriptionsList", "ActiveNetsuite::SubscriptionsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CategoryList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CategoryList"),
    :schema_element => [
      ["category", "ActiveNetsuite::RecordRef[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactAddressbook,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "ContactAddressbook"),
    :schema_element => [
      ["defaultShipping", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultBilling", "SOAP::SOAPBoolean", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["attention", "SOAP::SOAPString", [0, 1]],
      ["addressee", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["addr1", "SOAP::SOAPString", [0, 1]],
      ["addr2", "SOAP::SOAPString", [0, 1]],
      ["addr3", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["addrText", "SOAP::SOAPString", [0, 1]],
      ["override", "SOAP::SOAPBoolean", [0, 1]],
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactAddressbookList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "ContactAddressbookList"),
    :schema_element => [
      ["addressbook", "ActiveNetsuite::ContactAddressbook[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactSearch,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "ContactSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["customerPrimaryJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["jobPrimaryJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["parentCustomerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["parentJobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["parentPartnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["parentVendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["partnerPrimaryJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["purchasedItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["upsellItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["vendorPrimaryJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactSearchAdvanced,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "ContactSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ContactSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ContactSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactSearchRow,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "ContactSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchRowBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["customerPrimaryJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["jobPrimaryJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchRowBasic", [0, 1]],
      ["parentCustomerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["parentJobJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["parentPartnerJoin", "ActiveNetsuite::PartnerSearchRowBasic", [0, 1]],
      ["parentVendorJoin", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchRowBasic", [0, 1]],
      ["partnerPrimaryJoin", "ActiveNetsuite::PartnerSearchRowBasic", [0, 1]],
      ["purchasedItemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["upsellItemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]],
      ["vendorPrimaryJoin", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Customer,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "Customer"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityId", "SOAP::SOAPString", [0, 1]],
      ["altName", "SOAP::SOAPString", [0, 1]],
      ["isPerson", "SOAP::SOAPBoolean", [0, 1]],
      ["phoneticName", "SOAP::SOAPString", [0, 1]],
      ["salutation", "SOAP::SOAPString", [0, 1]],
      ["firstName", "SOAP::SOAPString", [0, 1]],
      ["middleName", "SOAP::SOAPString", [0, 1]],
      ["lastName", "SOAP::SOAPString", [0, 1]],
      ["companyName", "SOAP::SOAPString", [0, 1]],
      ["entityStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["url", "SOAP::SOAPString", [0, 1]],
      ["defaultAddress", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["printOnCheckAs", "SOAP::SOAPString", [0, 1]],
      ["altPhone", "SOAP::SOAPString", [0, 1]],
      ["homePhone", "SOAP::SOAPString", [0, 1]],
      ["mobilePhone", "SOAP::SOAPString", [0, 1]],
      ["altEmail", "SOAP::SOAPString", [0, 1]],
      ["language", "ActiveNetsuite::Language", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["numberFormat", "ActiveNetsuite::CustomerNumberFormat", [0, 1]],
      ["negativeNumberFormat", "ActiveNetsuite::CustomerNegativeNumberFormat", [0, 1]],
      ["dateCreated", "SOAP::SOAPDateTime", [0, 1]],
      ["image", "ActiveNetsuite::RecordRef", [0, 1]],
      ["emailPreference", "ActiveNetsuite::EmailPreference", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["representingSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["territory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vatRegNumber", "SOAP::SOAPString", [0, 1]],
      ["accountNumber", "SOAP::SOAPString", [0, 1]],
      ["taxExempt", "SOAP::SOAPBoolean", [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["creditLimit", "SOAP::SOAPDouble", [0, 1]],
      ["creditHoldOverride", "ActiveNetsuite::CustomerCreditHoldOverride", [0, 1]],
      ["monthlyClosing", "ActiveNetsuite::CustomerMonthlyClosing", [0, 1]],
      ["overrideCurrencyFormat", "SOAP::SOAPBoolean", [0, 1]],
      ["displaySymbol", "SOAP::SOAPString", [0, 1]],
      ["symbolPlacement", "ActiveNetsuite::CurrencySymbolPlacement", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["overdueBalance", "SOAP::SOAPDouble", [0, 1]],
      ["daysOverdue", "SOAP::SOAPLong", [0, 1]],
      ["unbilledOrders", "SOAP::SOAPDouble", [0, 1]],
      ["consolUnbilledOrders", "SOAP::SOAPDouble", [0, 1]],
      ["consolOverdueBalance", "SOAP::SOAPDouble", [0, 1]],
      ["consolDepositBalance", "SOAP::SOAPDouble", [0, 1]],
      ["consolBalance", "SOAP::SOAPDouble", [0, 1]],
      ["consolAging", "SOAP::SOAPDouble", [0, 1]],
      ["consolDaysOverdue", "SOAP::SOAPLong", [0, 1]],
      ["priceLevel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["prefCCProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["depositBalance", "SOAP::SOAPDouble", [0, 1]],
      ["shipComplete", "SOAP::SOAPBoolean", [0, 1]],
      ["taxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["resaleNumber", "SOAP::SOAPString", [0, 1]],
      ["aging", "SOAP::SOAPDouble", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["reminderDays", "SOAP::SOAPLong", [0, 1]],
      ["shippingItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["thirdPartyAcct", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyZipcode", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyCountry", "ActiveNetsuite::Country", [0, 1]],
      ["giveAccess", "SOAP::SOAPBoolean", [0, 1]],
      ["estimatedBudget", "SOAP::SOAPDouble", [0, 1]],
      ["accessRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["password", "SOAP::SOAPString", [0, 1]],
      ["password2", "SOAP::SOAPString", [0, 1]],
      ["requirePwdChange", "SOAP::SOAPBoolean", [0, 1]],
      ["campaignCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["receivablesAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["drAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fxAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["defaultOrderPriority", "SOAP::SOAPDouble", [0, 1]],
      ["webLead", "SOAP::SOAPString", [0, 1]],
      ["referrer", "SOAP::SOAPString", [0, 1]],
      ["keywords", "SOAP::SOAPString", [0, 1]],
      ["clickStream", "SOAP::SOAPString", [0, 1]],
      ["lastPageVisited", "SOAP::SOAPString", [0, 1]],
      ["visits", "SOAP::SOAPLong", [0, 1]],
      ["firstVisit", "SOAP::SOAPDateTime", [0, 1]],
      ["lastVisit", "SOAP::SOAPDateTime", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["openingBalance", "SOAP::SOAPDouble", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["openingBalanceDate", "SOAP::SOAPDateTime", [0, 1]],
      ["openingBalanceAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stage", "ActiveNetsuite::CustomerStage", [0, 1]],
      ["emailTransactions", "SOAP::SOAPBoolean", [0, 1]],
      ["printTransactions", "SOAP::SOAPBoolean", [0, 1]],
      ["faxTransactions", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["isBudgetApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::GlobalSubscriptionStatus", [0, 1]],
      ["salesReadiness", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::CustomerSalesTeamList", [0, 1]],
      ["buyingReason", "ActiveNetsuite::RecordRef", [0, 1]],
      ["downloadList", "ActiveNetsuite::CustomerDownloadList", [0, 1]],
      ["buyingTimeFrame", "ActiveNetsuite::RecordRef", [0, 1]],
      ["addressbookList", "ActiveNetsuite::CustomerAddressbookList", [0, 1]],
      ["subscriptionsList", "ActiveNetsuite::SubscriptionsList", [0, 1]],
      ["contactRolesList", "ActiveNetsuite::ContactAccessRolesList", [0, 1]],
      ["currencyList", "ActiveNetsuite::CustomerCurrencyList", [0, 1]],
      ["creditCardsList", "ActiveNetsuite::CustomerCreditCardsList", [0, 1]],
      ["partnersList", "ActiveNetsuite::CustomerPartnersList", [0, 1]],
      ["groupPricingList", "ActiveNetsuite::CustomerGroupPricingList", [0, 1]],
      ["itemPricingList", "ActiveNetsuite::CustomerItemPricingList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerDownload,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerDownload"),
    :schema_element => [
      ["file", "ActiveNetsuite::RecordRef", [0, 1]],
      ["licenseCode", "SOAP::SOAPString", [0, 1]],
      ["remainingDownloads", "SOAP::SOAPLong", [0, 1]],
      ["expiration", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerDownloadList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerDownloadList"),
    :schema_element => [
      ["download", "ActiveNetsuite::CustomerDownload[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactAccessRoles,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "ContactAccessRoles"),
    :schema_element => [
      ["giveAccess", "SOAP::SOAPBoolean", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["role", "ActiveNetsuite::RecordRef", [0, 1]],
      ["password", "SOAP::SOAPString", [0, 1]],
      ["password2", "SOAP::SOAPString", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactAccessRolesList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "ContactAccessRolesList"),
    :schema_element => [
      ["contactRoles", "ActiveNetsuite::ContactAccessRoles[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerSalesTeam_,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerSalesTeam"),
    :schema_element => [
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerSalesTeamList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerSalesTeamList"),
    :schema_element => [
      ["salesTeam", "ActiveNetsuite::CustomerSalesTeam_[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerAddressbook,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerAddressbook"),
    :schema_element => [
      ["defaultShipping", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultBilling", "SOAP::SOAPBoolean", [0, 1]],
      ["isResidential", "SOAP::SOAPBoolean", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["attention", "SOAP::SOAPString", [0, 1]],
      ["addressee", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["addr1", "SOAP::SOAPString", [0, 1]],
      ["addr2", "SOAP::SOAPString", [0, 1]],
      ["addr3", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["addrText", "SOAP::SOAPString", [0, 1]],
      ["override", "SOAP::SOAPBoolean", [0, 1]],
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerAddressbookList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerAddressbookList"),
    :schema_element => [
      ["addressbook", "ActiveNetsuite::CustomerAddressbook[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerCreditCards,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerCreditCards"),
    :schema_element => [
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["debitcardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["ccMemo", "SOAP::SOAPString", [0, 1]],
      ["validfrom", "SOAP::SOAPDateTime", [0, 1]],
      ["ccDefault", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerCreditCardsList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerCreditCardsList"),
    :schema_element => [
      ["creditCards", "ActiveNetsuite::CustomerCreditCards[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerGroupPricing,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerGroupPricing"),
    :schema_element => [
      ["group", "ActiveNetsuite::RecordRef", [0, 1]],
      ["level", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerGroupPricingList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerGroupPricingList"),
    :schema_element => [
      ["groupPricing", "ActiveNetsuite::CustomerGroupPricing[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerItemPricing,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerItemPricing"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["level", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["price", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerItemPricingList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerItemPricingList"),
    :schema_element => [
      ["itemPricing", "ActiveNetsuite::CustomerItemPricing[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerPartnersList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerPartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::Partners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerSearch,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["hostedPageJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["leadSourceJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["parentCustomerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["purchasedItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["resourceAllocationJoin", "ActiveNetsuite::ResourceAllocationSearchBasic", [0, 1]],
      ["salesRepJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["subCustomerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["topLevelParentJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["upsellItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["webSiteCategoryJoin", "ActiveNetsuite::SiteCategorySearchBasic", [0, 1]],
      ["webSiteItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerSearchAdvanced,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::CustomerSearch", [0, 1]],
      ["columns", "ActiveNetsuite::CustomerSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerSearchRow,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchRowBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["hostedPageJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["leadSourceJoin", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchRowBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchRowBasic", [0, 1]],
      ["parentCustomerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchRowBasic", [0, 1]],
      ["purchasedItemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["resourceAllocationJoin", "ActiveNetsuite::ResourceAllocationSearchRowBasic", [0, 1]],
      ["salesRepJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["subCustomerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchRowBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchRowBasic", [0, 1]],
      ["topLevelParentJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["upsellItemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["webSiteCategoryJoin", "ActiveNetsuite::SiteCategorySearchRowBasic", [0, 1]],
      ["webSiteItemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerStatus,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerStatus"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["stage", "ActiveNetsuite::CustomerStatusStage", [0, 1]],
      ["probability", "SOAP::SOAPDouble", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["includeInLeadReports", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Partner,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "Partner"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityId", "SOAP::SOAPString", [0, 1]],
      ["altName", "SOAP::SOAPString", [0, 1]],
      ["partnerCode", "SOAP::SOAPString", [0, 1]],
      ["isPerson", "SOAP::SOAPBoolean", [0, 1]],
      ["phoneticName", "SOAP::SOAPString", [0, 1]],
      ["salutation", "SOAP::SOAPString", [0, 1]],
      ["firstName", "SOAP::SOAPString", [0, 1]],
      ["middleName", "SOAP::SOAPString", [0, 1]],
      ["lastName", "SOAP::SOAPString", [0, 1]],
      ["companyName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["url", "SOAP::SOAPString", [0, 1]],
      ["defaultAddress", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["dateCreated", "SOAP::SOAPDateTime", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::GlobalSubscriptionStatus", [0, 1]],
      ["referringUrl", "SOAP::SOAPString", [0, 1]],
      ["roleList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["categoryList", "ActiveNetsuite::CategoryList", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["printOnCheckAs", "SOAP::SOAPString", [0, 1]],
      ["taxIdNum", "SOAP::SOAPString", [0, 1]],
      ["vatRegNumber", "SOAP::SOAPString", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["bcn", "SOAP::SOAPString", [0, 1]],
      ["image", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxFractionUnit", "ActiveNetsuite::TaxFractionUnit", [0, 1]],
      ["emailPreference", "ActiveNetsuite::EmailPreference", [0, 1]],
      ["taxRounding", "ActiveNetsuite::TaxRounding", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["homePhone", "SOAP::SOAPString", [0, 1]],
      ["mobilePhone", "SOAP::SOAPString", [0, 1]],
      ["altEmail", "SOAP::SOAPString", [0, 1]],
      ["giveAccess", "SOAP::SOAPBoolean", [0, 1]],
      ["accessRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["password", "SOAP::SOAPString", [0, 1]],
      ["password2", "SOAP::SOAPString", [0, 1]],
      ["requirePwdChange", "SOAP::SOAPBoolean", [0, 1]],
      ["subPartnerLogin", "SOAP::SOAPBoolean", [0, 1]],
      ["loginAs", "SOAP::SOAPString", [0, 1]],
      ["eligibleForCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["contactRolesList", "ActiveNetsuite::ContactAccessRolesList", [0, 1]],
      ["promoCodeList", "ActiveNetsuite::PartnerPromoCodeList", [0, 1]],
      ["addressbookList", "ActiveNetsuite::PartnerAddressbookList", [0, 1]],
      ["subscriptionsList", "ActiveNetsuite::SubscriptionsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerPromoCode,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerPromoCode"),
    :schema_element => [
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discount", "SOAP::SOAPString", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerPromoCodeList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerPromoCodeList"),
    :schema_element => [
      ["promoCode", "ActiveNetsuite::PartnerPromoCode[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerAddressbook,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerAddressbook"),
    :schema_element => [
      ["defaultShipping", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultBilling", "SOAP::SOAPBoolean", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["attention", "SOAP::SOAPString", [0, 1]],
      ["addressee", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["addr1", "SOAP::SOAPString", [0, 1]],
      ["addr2", "SOAP::SOAPString", [0, 1]],
      ["addr3", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["addrText", "SOAP::SOAPString", [0, 1]],
      ["override", "SOAP::SOAPBoolean", [0, 1]],
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerAddressbookList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerAddressbookList"),
    :schema_element => [
      ["addressbook", "ActiveNetsuite::PartnerAddressbook[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerSearch,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerSearchAdvanced,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::PartnerSearch", [0, 1]],
      ["columns", "ActiveNetsuite::PartnerSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerSearchRow,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PartnerSearchRowBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Vendor,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "Vendor"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityId", "SOAP::SOAPString", [0, 1]],
      ["altName", "SOAP::SOAPString", [0, 1]],
      ["isPerson", "SOAP::SOAPBoolean", [0, 1]],
      ["phoneticName", "SOAP::SOAPString", [0, 1]],
      ["salutation", "SOAP::SOAPString", [0, 1]],
      ["firstName", "SOAP::SOAPString", [0, 1]],
      ["middleName", "SOAP::SOAPString", [0, 1]],
      ["lastName", "SOAP::SOAPString", [0, 1]],
      ["companyName", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["url", "SOAP::SOAPString", [0, 1]],
      ["defaultAddress", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["dateCreated", "SOAP::SOAPDateTime", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["printOnCheckAs", "SOAP::SOAPString", [0, 1]],
      ["altPhone", "SOAP::SOAPString", [0, 1]],
      ["homePhone", "SOAP::SOAPString", [0, 1]],
      ["mobilePhone", "SOAP::SOAPString", [0, 1]],
      ["altEmail", "SOAP::SOAPString", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::GlobalSubscriptionStatus", [0, 1]],
      ["image", "ActiveNetsuite::RecordRef", [0, 1]],
      ["emailPreference", "ActiveNetsuite::EmailPreference", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["representingSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["accountNumber", "SOAP::SOAPString", [0, 1]],
      ["legalName", "SOAP::SOAPString", [0, 1]],
      ["vatRegNumber", "SOAP::SOAPString", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payablesAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["creditLimit", "SOAP::SOAPDouble", [0, 1]],
      ["balancePrimary", "SOAP::SOAPDouble", [0, 1]],
      ["openingBalance", "SOAP::SOAPDouble", [0, 1]],
      ["openingBalanceDate", "SOAP::SOAPDateTime", [0, 1]],
      ["openingBalanceAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["unbilledOrdersPrimary", "SOAP::SOAPDouble", [0, 1]],
      ["bcn", "SOAP::SOAPString", [0, 1]],
      ["unbilledOrders", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["is1099Eligible", "SOAP::SOAPBoolean", [0, 1]],
      ["isJobResourceVend", "SOAP::SOAPBoolean", [0, 1]],
      ["laborCost", "SOAP::SOAPDouble", [0, 1]],
      ["workCalendar", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxIdNum", "SOAP::SOAPString", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["giveAccess", "SOAP::SOAPBoolean", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["isAccountant", "SOAP::SOAPBoolean", [0, 1]],
      ["password", "SOAP::SOAPString", [0, 1]],
      ["password2", "SOAP::SOAPString", [0, 1]],
      ["requirePwdChange", "SOAP::SOAPBoolean", [0, 1]],
      ["eligibleForCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["emailTransactions", "SOAP::SOAPBoolean", [0, 1]],
      ["printTransactions", "SOAP::SOAPBoolean", [0, 1]],
      ["faxTransactions", "SOAP::SOAPBoolean", [0, 1]],
      ["pricingScheduleList", "ActiveNetsuite::VendorPricingScheduleList", [0, 1]],
      ["subscriptionsList", "ActiveNetsuite::SubscriptionsList", [0, 1]],
      ["addressbookList", "ActiveNetsuite::VendorAddressbookList", [0, 1]],
      ["currencyList", "ActiveNetsuite::VendorCurrencyList", [0, 1]],
      ["rolesList", "ActiveNetsuite::VendorRolesList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorPricingSchedule,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorPricingSchedule"),
    :schema_element => [
      ["scheduleName", "SOAP::SOAPString", [0, 1]],
      ["scheduleDiscount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorPricingScheduleList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorPricingScheduleList"),
    :schema_element => [
      ["pricingSchedule", "ActiveNetsuite::VendorPricingSchedule[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorAddressbook,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorAddressbook"),
    :schema_element => [
      ["defaultShipping", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultBilling", "SOAP::SOAPBoolean", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["attention", "SOAP::SOAPString", [0, 1]],
      ["addressee", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["addr1", "SOAP::SOAPString", [0, 1]],
      ["addr2", "SOAP::SOAPString", [0, 1]],
      ["addr3", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["addrText", "SOAP::SOAPString", [0, 1]],
      ["override", "SOAP::SOAPBoolean", [0, 1]],
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorAddressbookList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorAddressbookList"),
    :schema_element => [
      ["addressbook", "ActiveNetsuite::VendorAddressbook[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorRoles,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorRoles"),
    :schema_element => [
      ["selectedRole", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorRolesList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorRolesList"),
    :schema_element => [
      ["roles", "ActiveNetsuite::VendorRoles[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorSearch,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorSearchAdvanced,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::VendorSearch", [0, 1]],
      ["columns", "ActiveNetsuite::VendorSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorSearchRow,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EntityGroup,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EntityGroup"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["groupName", "SOAP::SOAPString", [0, 1]],
      ["groupType", "ActiveNetsuite::EntityGroupType", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["groupOwner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSavedSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["parentGroupType", "ActiveNetsuite::EntityGroupType", [0, 1]],
      ["savedSearch", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSalesTeam", "SOAP::SOAPBoolean", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["isPrivate", "SOAP::SOAPBoolean", [0, 1]],
      ["restrictionGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["isSalesRep", "SOAP::SOAPBoolean", [0, 1]],
      ["isSupportRep", "SOAP::SOAPBoolean", [0, 1]],
      ["isProductTeam", "SOAP::SOAPBoolean", [0, 1]],
      ["isFunctionalTeam", "SOAP::SOAPBoolean", [0, 1]],
      ["issueRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isManufacturingWorkCenter", "SOAP::SOAPBoolean", [0, 1]],
      ["calendarName", "SOAP::SOAPString", [0, 1]],
      ["calendarStartTime", "ActiveNetsuite::EntityGroupDailyTime", [0, 1]],
      ["calendarEndTime", "ActiveNetsuite::EntityGroupDailyTime", [0, 1]],
      ["calendarDefaultView", "ActiveNetsuite::EntityGroupDefView", [0, 1]],
      ["calendarPeriod", "ActiveNetsuite::EntityGroupPeriodSize", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["machineResources", "SOAP::SOAPLong", [0, 1]],
      ["laborResources", "SOAP::SOAPLong", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EntityGroupSearch,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EntityGroupSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::EntityGroupSearchBasic", [0, 1]],
      ["groupMemberJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EntityGroupSearchAdvanced,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EntityGroupSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::EntityGroupSearch", [0, 1]],
      ["columns", "ActiveNetsuite::EntityGroupSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EntityGroupSearchRow,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EntityGroupSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::EntityGroupSearchRowBasic", [0, 1]],
      ["groupMemberJoin", "ActiveNetsuite::EntitySearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Job,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "Job"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityId", "SOAP::SOAPString", [0, 1]],
      ["altName", "SOAP::SOAPString", [0, 1]],
      ["companyName", "SOAP::SOAPString", [0, 1]],
      ["phoneticName", "SOAP::SOAPString", [0, 1]],
      ["entityStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["defaultAddress", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["dateCreated", "SOAP::SOAPDateTime", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["workplace", "ActiveNetsuite::RecordRef", [0, 1]],
      ["language", "ActiveNetsuite::RecordRef", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["accountNumber", "SOAP::SOAPString", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fxRate", "SOAP::SOAPDouble", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["altPhone", "SOAP::SOAPString", [0, 1]],
      ["calculatedEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["calculatedEndDateBaseline", "SOAP::SOAPDateTime", [0, 1]],
      ["startDateBaseline", "SOAP::SOAPDateTime", [0, 1]],
      ["projectedEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["projectedEndDateBaseline", "SOAP::SOAPDateTime", [0, 1]],
      ["lastBaselineDate", "SOAP::SOAPDateTime", [0, 1]],
      ["jobType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["percentComplete", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedCost", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedTime", "ActiveNetsuite::Duration", [0, 1]],
      ["estimatedTimeOverride", "ActiveNetsuite::Duration", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["emailPreference", "ActiveNetsuite::EmailPreference", [0, 1]],
      ["openingBalance", "SOAP::SOAPDouble", [0, 1]],
      ["openingBalanceDate", "SOAP::SOAPDateTime", [0, 1]],
      ["openingBalanceAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["jobBillingType", "ActiveNetsuite::JobBillingType", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["jobItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["percentTimeComplete", "SOAP::SOAPDouble", [0, 1]],
      ["actualTime", "ActiveNetsuite::Duration", [0, 1]],
      ["allowTime", "SOAP::SOAPBoolean", [0, 1]],
      ["timeRemaining", "ActiveNetsuite::Duration", [0, 1]],
      ["limitTimeToAssignees", "SOAP::SOAPBoolean", [0, 1]],
      ["estimatedLaborCost", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedLaborCostBaseline", "SOAP::SOAPDouble", [0, 1]],
      ["estimateRevRecTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["estimatedLaborRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["projectExpenseType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["applyProjectExpenseTypeToAll", "SOAP::SOAPBoolean", [0, 1]],
      ["allowAllResourcesForTasks", "SOAP::SOAPBoolean", [0, 1]],
      ["jobPrice", "SOAP::SOAPDouble", [0, 1]],
      ["isUtilizedTime", "SOAP::SOAPBoolean", [0, 1]],
      ["isProductiveTime", "SOAP::SOAPBoolean", [0, 1]],
      ["isExemptTime", "SOAP::SOAPBoolean", [0, 1]],
      ["materializeTime", "SOAP::SOAPBoolean", [0, 1]],
      ["allowExpenses", "SOAP::SOAPBoolean", [0, 1]],
      ["allocatePayrollExpenses", "SOAP::SOAPBoolean", [0, 1]],
      ["includeCrmTasksInTotals", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::GlobalSubscriptionStatus", [0, 1]],
      ["jobResourcesList", "ActiveNetsuite::JobResourcesList", [0, 1]],
      ["addressbookList", "ActiveNetsuite::JobAddressbookList", [0, 1]],
      ["milestonesList", "ActiveNetsuite::JobMilestonesList", [0, 1]],
      ["creditCardsList", "ActiveNetsuite::JobCreditCardsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobAddressbook,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobAddressbook"),
    :schema_element => [
      ["defaultShipping", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultBilling", "SOAP::SOAPBoolean", [0, 1]],
      ["isResidential", "SOAP::SOAPBoolean", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["attention", "SOAP::SOAPString", [0, 1]],
      ["addressee", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["addr1", "SOAP::SOAPString", [0, 1]],
      ["addr2", "SOAP::SOAPString", [0, 1]],
      ["addr3", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["addrText", "SOAP::SOAPString", [0, 1]],
      ["override", "SOAP::SOAPBoolean", [0, 1]],
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobAddressbookList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobAddressbookList"),
    :schema_element => [
      ["addressbook", "ActiveNetsuite::JobAddressbook[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobResources,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobResources"),
    :schema_element => [
      ["jobResource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["role", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobResourcesList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobResourcesList"),
    :schema_element => [
      ["jobResources", "ActiveNetsuite::JobResources[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobMilestones,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobMilestones"),
    :schema_element => [
      ["milestoneName", "SOAP::SOAPString", [0, 1]],
      ["milestoneOrder", "SOAP::SOAPString", [0, 1]],
      ["milestoneEstComplete", "SOAP::SOAPDateTime", [0, 1]],
      ["milestoneCompleted", "SOAP::SOAPBoolean", [0, 1]],
      ["milestoneComments", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobMilestonesList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobMilestonesList"),
    :schema_element => [
      ["milestones", "ActiveNetsuite::JobMilestones[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobCreditCards,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobCreditCards"),
    :schema_element => [
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccMemo", "SOAP::SOAPString", [0, 1]],
      ["ccDefault", "SOAP::SOAPBoolean", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobCreditCardsList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobCreditCardsList"),
    :schema_element => [
      ["creditCards", "ActiveNetsuite::JobCreditCards[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobSearch,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["projectTaskJoin", "ActiveNetsuite::ProjectTaskSearchBasic", [0, 1]],
      ["resourceAllocationJoin", "ActiveNetsuite::ResourceAllocationSearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobSearchAdvanced,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::JobSearch", [0, 1]],
      ["columns", "ActiveNetsuite::JobSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobSearchRow,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["projectTaskJoin", "ActiveNetsuite::ProjectTaskSearchRowBasic", [0, 1]],
      ["resourceAllocationJoin", "ActiveNetsuite::ResourceAllocationSearchRowBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchRowBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobType,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobType"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobStatus,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobStatus"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerStatusSearch,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerStatusSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomerStatusSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerStatusSearchAdvanced,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerStatusSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::CustomerStatusSearch", [0, 1]],
      ["columns", "ActiveNetsuite::CustomerStatusSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerStatusSearchRow,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerStatusSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomerStatusSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobStatusSearch,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobStatusSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::JobStatusSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobStatusSearchAdvanced,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobStatusSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::JobStatusSearch", [0, 1]],
      ["columns", "ActiveNetsuite::JobStatusSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobStatusSearchRow,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobStatusSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::JobStatusSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobTypeSearch,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobTypeSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::JobTypeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobTypeSearchAdvanced,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobTypeSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::JobTypeSearch", [0, 1]],
      ["columns", "ActiveNetsuite::JobTypeSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobTypeSearchRow,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobTypeSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::JobTypeSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OriginatingLeadSearch,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "OriginatingLeadSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OriginatingLeadSearchRow,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "OriginatingLeadSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::OriginatingLeadSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerCurrency,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerCurrency"),
    :schema_element => [
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["consolBalance", "SOAP::SOAPDouble", [0, 1]],
      ["depositBalance", "SOAP::SOAPDouble", [0, 1]],
      ["consolDepositBalance", "SOAP::SOAPDouble", [0, 1]],
      ["overdueBalance", "SOAP::SOAPDouble", [0, 1]],
      ["consolOverdueBalance", "SOAP::SOAPDouble", [0, 1]],
      ["unbilledOrders", "SOAP::SOAPDouble", [0, 1]],
      ["consolUnbilledOrders", "SOAP::SOAPDouble", [0, 1]],
      ["overrideCurrencyFormat", "SOAP::SOAPBoolean", [0, 1]],
      ["displaySymbol", "SOAP::SOAPString", [0, 1]],
      ["symbolPlacement", "ActiveNetsuite::CurrencySymbolPlacement", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerCurrencyList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerCurrencyList"),
    :schema_element => [
      ["currency", "ActiveNetsuite::CustomerCurrency[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorCurrency,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorCurrency"),
    :schema_element => [
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["unbilledOrders", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorCurrencyList,
    :schema_type => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorCurrencyList"),
    :schema_element => [
      ["vendorCurrency", "ActiveNetsuite::VendorCurrency[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCase,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCase"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["escalationMessage", "SOAP::SOAPString", [0, 1]],
      ["lastReopenedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["incomingMessage", "SOAP::SOAPString", [0, 1]],
      ["insertSolution", "ActiveNetsuite::RecordRef", [0, 1]],
      ["outgoingMessage", "SOAP::SOAPString", [0, 1]],
      ["searchSolution", "SOAP::SOAPString", [0, 1]],
      ["emailForm", "SOAP::SOAPBoolean", [0, 1]],
      ["newSolutionFromMsg", "SOAP::SOAPString", [0, 1]],
      ["internalOnly", "SOAP::SOAPBoolean", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["caseNumber", "SOAP::SOAPString", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastMessageDate", "SOAP::SOAPDateTime", [0, 1]],
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["product", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_module", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "module")], [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["serialNumber", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inboundEmail", "SOAP::SOAPString", [0, 1]],
      ["issue", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["priority", "ActiveNetsuite::RecordRef", [0, 1]],
      ["origin", "ActiveNetsuite::RecordRef", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assigned", "ActiveNetsuite::RecordRef", [0, 1]],
      ["helpDesk", "SOAP::SOAPBoolean", [0, 1]],
      ["emailEmployeesList", "ActiveNetsuite::EmailEmployeesList", [0, 1]],
      ["escalateToList", "ActiveNetsuite::SupportCaseEscalateToList", [0, 1]],
      ["timeItemList", "ActiveNetsuite::SupportCaseTimeItemList", [0, 1]],
      ["solutionsList", "ActiveNetsuite::SupportCaseSolutionsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmailEmployeesList,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "EmailEmployeesList"),
    :schema_element => [
      ["emailEmployees", "ActiveNetsuite::RecordRef[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseEscalateTo,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseEscalateTo"),
    :schema_element => [
      ["escalatee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseEscalateToList,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseEscalateToList"),
    :schema_element => [
      ["escalateTo", "ActiveNetsuite::SupportCaseEscalateTo[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseSolutions,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseSolutions"),
    :schema_element => [
      ["solution", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["dateApplied", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseSolutionsList,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseSolutionsList"),
    :schema_element => [
      ["solutions", "ActiveNetsuite::SupportCaseSolutions[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseTimeItemList,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseTimeItemList"),
    :schema_element => [
      ["timeItem", "ActiveNetsuite::TimeItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseSearch,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["issueJoin", "ActiveNetsuite::IssueSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseSearchAdvanced,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::SupportCaseSearch", [0, 1]],
      ["columns", "ActiveNetsuite::SupportCaseSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseSearchRow,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["issueJoin", "ActiveNetsuite::IssueSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseStatus,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseStatus"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stage", "ActiveNetsuite::SupportCaseStatusStage", [0, 1]],
      ["caseOnHold", "SOAP::SOAPBoolean", [0, 1]],
      ["autoCloseCase", "SOAP::SOAPBoolean", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseType,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseType"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseOrigin,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseOrigin"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseIssue,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseIssue"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCasePriority,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCasePriority"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Solution,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "Solution"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["solutionCode", "SOAP::SOAPString", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["status", "ActiveNetsuite::SolutionStatus", [0, 1]],
      ["displayOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["assigned", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["longDescription", "SOAP::SOAPString", [0, 1]],
      ["topicsList", "ActiveNetsuite::SolutionTopicsList", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["solutionsList", "ActiveNetsuite::SolutionsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SolutionTopics,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SolutionTopics"),
    :schema_element => [
      ["topic", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SolutionTopicsList,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SolutionTopicsList"),
    :schema_element => [
      ["topics", "ActiveNetsuite::SolutionTopics[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Solutions,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "Solutions"),
    :schema_element => [
      ["solution", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SolutionsList,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SolutionsList"),
    :schema_element => [
      ["solutions", "ActiveNetsuite::Solutions[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SolutionSearch,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SolutionSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SolutionSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["relatedSolutionJoin", "ActiveNetsuite::SolutionSearchBasic", [0, 1]],
      ["topicJoin", "ActiveNetsuite::TopicSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SolutionSearchAdvanced,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SolutionSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::SolutionSearch", [0, 1]],
      ["columns", "ActiveNetsuite::SolutionSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SolutionSearchRow,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SolutionSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SolutionSearchRowBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["relatedSolutionJoin", "ActiveNetsuite::SolutionSearchRowBasic", [0, 1]],
      ["topicJoin", "ActiveNetsuite::TopicSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Topic,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "Topic"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["parentTopic", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["longDescription", "SOAP::SOAPString", [0, 1]],
      ["solutionList", "ActiveNetsuite::TopicSolutionList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TopicSolution,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "TopicSolution"),
    :schema_element => [
      ["solution", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TopicSolutionList,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "TopicSolutionList"),
    :schema_element => [
      ["solution", "ActiveNetsuite::TopicSolution[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TopicSearch,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "TopicSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TopicSearchBasic", [0, 1]],
      ["solutionJoin", "ActiveNetsuite::SolutionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TopicSearchAdvanced,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "TopicSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::TopicSearch", [0, 1]],
      ["columns", "ActiveNetsuite::TopicSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TopicSearchRow,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "TopicSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TopicSearchRowBasic", [0, 1]],
      ["solutionJoin", "ActiveNetsuite::SolutionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Issue,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "Issue"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueNumber", "SOAP::SOAPString", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["issueType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["product", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_module", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "module")], [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["productTeam", "ActiveNetsuite::RecordRef", [0, 1]],
      ["source", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reportedBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reproduce", "ActiveNetsuite::RecordRef", [0, 1]],
      ["severity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["priority", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isShowStopper", "SOAP::SOAPBoolean", [0, 1]],
      ["assigned", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reviewer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isReviewed", "SOAP::SOAPBoolean", [0, 1]],
      ["issueStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["issueTagsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["issueAbstract", "SOAP::SOAPString", [0, 1]],
      ["newDetails", "SOAP::SOAPString", [0, 1]],
      ["isOwner", "SOAP::SOAPBoolean", [0, 1]],
      ["trackCode", "ActiveNetsuite::IssueTrackCode", [0, 1]],
      ["emailAssignee", "SOAP::SOAPBoolean", [0, 1]],
      ["emailEmployeesList", "ActiveNetsuite::EmailEmployeesList", [0, 1]],
      ["emailCellsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["externalAbstract", "SOAP::SOAPString", [0, 1]],
      ["externalDetails", "SOAP::SOAPString", [0, 1]],
      ["brokenInVersionList", "ActiveNetsuite::IssueVersionList", [0, 1]],
      ["targetVersionList", "ActiveNetsuite::IssueVersionList", [0, 1]],
      ["fixedInVersionList", "ActiveNetsuite::IssueVersionList", [0, 1]],
      ["relatedIssuesList", "ActiveNetsuite::IssueRelatedIssuesList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::IssueVersion,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "IssueVersion"),
    :schema_element => [
      ["primary", "SOAP::SOAPBoolean", [0, 1]],
      ["version", "ActiveNetsuite::RecordRef", [0, 1]],
      ["build", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::IssueVersionList,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "IssueVersionList"),
    :schema_element => [
      ["issueVersion", "ActiveNetsuite::IssueVersion[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::IssueSearch,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "IssueSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::IssueSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::IssueSearchAdvanced,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "IssueSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::IssueSearch", [0, 1]],
      ["columns", "ActiveNetsuite::IssueSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::IssueSearchRow,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "IssueSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::IssueSearchRowBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::IssueRelatedIssues,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "IssueRelatedIssues"),
    :schema_element => [
      ["relationship", "ActiveNetsuite::IssueRelationship", [0, 1]],
      ["issueNumber", "ActiveNetsuite::RecordRef", [0, 1]],
      ["relationshipComment", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::IssueRelatedIssuesList,
    :schema_type => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "IssueRelatedIssuesList"),
    :schema_element => [
      ["issueRelatedIssues", "ActiveNetsuite::IssueRelatedIssues[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ClassTranslation,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ClassTranslation"),
    :schema_element => [
      ["locale", "SOAP::SOAPString", [0, 1]],
      ["language", "SOAP::SOAPString", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ClassTranslationList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ClassTranslationList"),
    :schema_element => [
      ["classTranslation", "ActiveNetsuite::ClassTranslation[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactCategory,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ContactCategory"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["private", "SOAP::SOAPBoolean", [0, 1]],
      ["sync", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerCategory,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerCategory"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesRole,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SalesRole"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isSalesRep", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PriceLevel,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PriceLevel"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["discountpct", "SOAP::SOAPDouble", [0, 1]],
      ["updateExistingPrices", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WinLossReason,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "WinLossReason"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Term,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Term"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["dateDriven", "SOAP::SOAPBoolean", [0, 1]],
      ["daysUntilNetDue", "SOAP::SOAPLong", [0, 1]],
      ["discountPercent", "SOAP::SOAPDouble", [0, 1]],
      ["daysUntilExpiry", "SOAP::SOAPLong", [0, 1]],
      ["dayOfMonthNetDue", "SOAP::SOAPLong", [0, 1]],
      ["dueNextMonthIfWithinDays", "SOAP::SOAPLong", [0, 1]],
      ["discountPercentDateDriven", "SOAP::SOAPDouble", [0, 1]],
      ["dayDiscountExpires", "SOAP::SOAPLong", [0, 1]],
      ["preferred", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NoteType,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NoteType"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaymentMethod,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PaymentMethod"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["creditCard", "SOAP::SOAPBoolean", [0, 1]],
      ["undepFunds", "SOAP::SOAPBoolean", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isDebitCard", "SOAP::SOAPBoolean", [0, 1]],
      ["merchantAccountsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["payPalEmailAddress", "SOAP::SOAPString", [0, 1]],
      ["expressCheckoutArrangement", "SOAP::SOAPString", [0, 1]],
      ["useExpressCheckout", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LeadSource,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LeadSource"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Price,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Price"),
    :schema_element => [
      ["value", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PriceList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PriceList"),
    :schema_element => [
      ["price", "ActiveNetsuite::Price[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Pricing,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Pricing"),
    :schema_element => [
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["priceLevel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discount", "SOAP::SOAPDouble", [0, 1]],
      ["priceList", "ActiveNetsuite::PriceList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PricingMatrix,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PricingMatrix"),
    :schema_element => [
      ["pricing", "ActiveNetsuite::Pricing[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Rate,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Rate"),
    :schema_element => [
      ["value", "SOAP::SOAPDouble", [0, 1]],
      ["priceLevel", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RateList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RateList"),
    :schema_element => [
      ["rate", "ActiveNetsuite::Rate[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BillingRates,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "BillingRates"),
    :schema_element => [
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingClass", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rateList", "ActiveNetsuite::RateList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BillingRatesMatrix,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "BillingRatesMatrix"),
    :schema_element => [
      ["billingRates", "ActiveNetsuite::BillingRates[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Translation,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Translation"),
    :schema_element => [
      ["locale", "ActiveNetsuite::Language", [0, 1]],
      ["language", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TranslationList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TranslationList"),
    :schema_element => [
      ["translation", "ActiveNetsuite::Translation[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemOptionsList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemOptionsList"),
    :schema_element => [
      ["itemOptions", "ActiveNetsuite::RecordRef[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemVendor,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemVendor"),
    :schema_element => [
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vendorCode", "SOAP::SOAPString", [0, 1]],
      ["vendorCurrencyName", "SOAP::SOAPString", [0, 1]],
      ["vendorCurrency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["preferredVendor", "SOAP::SOAPBoolean", [0, 1]],
      ["schedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemVendorList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemVendorList"),
    :schema_element => [
      ["itemVendor", "ActiveNetsuite::ItemVendor[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SiteCategory_,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SiteCategory"),
    :schema_element => [
      ["website", "ActiveNetsuite::RecordRef", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isDefault", "SOAP::SOAPBoolean", [0, 1]],
      ["categoryDescription", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SiteCategoryList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SiteCategoryList"),
    :schema_element => [
      ["siteCategory", "ActiveNetsuite::SiteCategory_[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ProductFeedList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ProductFeedList"),
    :schema_element => [
      ["productFeed", "ActiveNetsuite::ItemProductFeed[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemMember,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemMember"),
    :schema_element => [
      ["memberDescr", "SOAP::SOAPString", [0, 1]],
      ["componentYield", "SOAP::SOAPDouble", [0, 1]],
      ["bomQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["memberUnit", "SOAP::SOAPString", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxcode", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxrate", "SOAP::SOAPDouble", [0, 1]],
      ["effectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["obsoleteDate", "SOAP::SOAPDateTime", [0, 1]],
      ["effectiveRevision", "ActiveNetsuite::RecordRef", [0, 1]],
      ["obsoleteRevision", "ActiveNetsuite::RecordRef", [0, 1]],
      ["lineNumber", "SOAP::SOAPLong", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemMemberList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemMemberList"),
    :schema_element => [
      ["itemMember", "ActiveNetsuite::ItemMember[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["copyDescription", "SOAP::SOAPBoolean", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dateConvertedToInv", "SOAP::SOAPDateTime", [0, 1]],
      ["originalItemType", "ActiveNetsuite::ItemType", [0, 1]],
      ["originalItemSubtype", "ActiveNetsuite::ItemSubType", [0, 1]],
      ["cogsAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["assetAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matchBillToReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["billQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billExchRateVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gainLossAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["weightUnits", "SOAP::SOAPString", [0, 1]],
      ["costingMethodDisplay", "SOAP::SOAPString", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackLandedCost", "SOAP::SOAPBoolean", [0, 1]],
      ["isDropShipItem", "SOAP::SOAPBoolean", [0, 1]],
      ["isSpecialOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturerAddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["roundUpAsComponent", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::ScheduleBCode", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["purchasePriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reorderPointUnits", "SOAP::SOAPString", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["transferPrice", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reorderMultiple", "SOAP::SOAPLong", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["totalValue", "SOAP::SOAPDouble", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["useBins", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityReorderUnits", "SOAP::SOAPString", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["autoLeadTime", "SOAP::SOAPBoolean", [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["autoPreferredStockLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelDays", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevelDays", "SOAP::SOAPLong", [0, 1]],
      ["backwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["seasonalDemand", "SOAP::SOAPBoolean", [0, 1]],
      ["safetyStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["demandModifier", "SOAP::SOAPDouble", [0, 1]],
      ["autoReorderPoint", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costingMethod", "ActiveNetsuite::ItemCostingMethod", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["periodicLotSizeType", "ActiveNetsuite::PeriodicLotSizeType", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["periodicLotSizeDays", "SOAP::SOAPLong", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["forwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["onHandValueMli", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommittedUnits", "SOAP::SOAPString", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityAvailableUnits", "SOAP::SOAPString", [0, 1]],
      ["quantityOnHandUnits", "SOAP::SOAPString", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityOnOrderUnits", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["binNumberList", "ActiveNetsuite::InventoryItemBinNumberList", [0, 1]],
      ["locationsList", "ActiveNetsuite::InventoryItemLocationsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::MatrixOptionList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "MatrixOptionList"),
    :schema_element => [
      ["matrixOption", "ActiveNetsuite::SelectCustomFieldRef[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryItemBinNumber,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryItemBinNumber"),
    :schema_element => [
      ["binNumber", "ActiveNetsuite::RecordRef", [0, 1]],
      ["onHand", "SOAP::SOAPString", [0, 1]],
      ["onHandAvail", "SOAP::SOAPString", [0, 1]],
      ["location", "SOAP::SOAPString", [0, 1]],
      ["preferredBin", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryItemBinNumberList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryItemBinNumberList"),
    :schema_element => [
      ["binNumber", "ActiveNetsuite::InventoryItemBinNumber[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryItemLocations,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryItemLocations"),
    :schema_element => [
      ["location", "SOAP::SOAPString", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["onHandValueMli", "SOAP::SOAPDouble", [0, 1]],
      ["averageCostMli", "SOAP::SOAPDouble", [0, 1]],
      ["lastPurchasePriceMli", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["inventoryCostTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildTime", "SOAP::SOAPDouble", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["isWip", "SOAP::SOAPBoolean", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["costingLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["locationId", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["periodicLotSizeType", "ActiveNetsuite::PeriodicLotSizeType", [0, 1]],
      ["periodicLotSizeDays", "SOAP::SOAPLong", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["backwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["forwardConsumptionDays", "SOAP::SOAPLong", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryItemLocationsList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryItemLocationsList"),
    :schema_element => [
      ["locations", "ActiveNetsuite::InventoryItemLocations[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PresentationItemList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PresentationItemList"),
    :schema_element => [
      ["presentationItem", "ActiveNetsuite::PresentationItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DescriptionItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "DescriptionItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DiscountItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "DiscountItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["nonPosting", "SOAP::SOAPBoolean", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["isPreTax", "SOAP::SOAPBoolean", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DownloadItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "DownloadItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["numOfAllowedDownloads", "SOAP::SOAPLong", [0, 1]],
      ["daysBeforeExpiration", "SOAP::SOAPLong", [0, 1]],
      ["immediateDownload", "SOAP::SOAPBoolean", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::MarkupItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "MarkupItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["nonPosting", "SOAP::SOAPBoolean", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["isPreTax", "SOAP::SOAPBoolean", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaymentItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PaymentItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["undepFunds", "SOAP::SOAPBoolean", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SubtotalItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SubtotalItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NonInventoryPurchaseItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NonInventoryPurchaseItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NonInventorySaleItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NonInventorySaleItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["weightUnits", "SOAP::SOAPString", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturerAddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::ScheduleBCode", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NonInventoryResaleItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NonInventoryResaleItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["copyDescription", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isDropShipItem", "SOAP::SOAPBoolean", [0, 1]],
      ["isSpecialOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["weightUnits", "SOAP::SOAPString", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturerAddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::ScheduleBCode", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OtherChargeResaleItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "OtherChargeResaleItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["manufacturingChargeItem", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OtherChargePurchaseItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "OtherChargePurchaseItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["manufacturingChargeItem", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["overheadType", "ActiveNetsuite::ItemOverheadType", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ServiceResaleItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ServiceResaleItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["manufacturingChargeItem", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["createJob", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["itemTaskTemplatesList", "ActiveNetsuite::ServiceItemTaskTemplatesList", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["billingRatesMatrix", "ActiveNetsuite::BillingRatesMatrix", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ServicePurchaseItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ServicePurchaseItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["manufacturingChargeItem", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ServiceSaleItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ServiceSaleItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["createJob", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["itemTaskTemplatesList", "ActiveNetsuite::ServiceItemTaskTemplatesList", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["billingRatesMatrix", "ActiveNetsuite::BillingRatesMatrix", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OtherChargeSaleItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "OtherChargeSaleItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Currency,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Currency"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["symbol", "SOAP::SOAPString", [0, 1]],
      ["isBaseCurrency", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["overrideCurrencyFormat", "SOAP::SOAPBoolean", [0, 1]],
      ["displaySymbol", "SOAP::SOAPString", [0, 1]],
      ["symbolPlacement", "ActiveNetsuite::CurrencySymbolPlacement", [0, 1]],
      ["locale", "ActiveNetsuite::CurrencyLocale", [0, 1]],
      ["formatSample", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["fxRateUpdateTimezone", "ActiveNetsuite::CurrencyFxRateUpdateTimezone", [0, 1]],
      ["inclInFxRateUpdates", "SOAP::SOAPBoolean", [0, 1]],
      ["currencyPrecision", "ActiveNetsuite::CurrencyCurrencyPrecision", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExpenseCategory,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ExpenseCategory"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["expenseAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["rateRequired", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultRate", "SOAP::SOAPDouble", [0, 1]],
      ["ratesList", "ActiveNetsuite::ExpenseCategoryRatesList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Account,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Account"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["acctType", "ActiveNetsuite::AccountType", [0, 1]],
      ["acctNumber", "SOAP::SOAPString", [0, 1]],
      ["acctName", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPString", [0, 1]],
      ["generalRate", "ActiveNetsuite::ConsolidatedRate", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["cashFlowRate", "ActiveNetsuite::ConsolidatedRate", [0, 1]],
      ["billableExpensesAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["curDocNum", "SOAP::SOAPLong", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventory", "SOAP::SOAPBoolean", [0, 1]],
      ["eliminate", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["category1099misc", "ActiveNetsuite::RecordRef", [0, 1]],
      ["openingBalance", "SOAP::SOAPDouble", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revalue", "SOAP::SOAPBoolean", [0, 1]],
      ["translationsList", "ActiveNetsuite::AccountTranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AccountTranslationList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountTranslationList"),
    :schema_element => [
      ["translation", "ActiveNetsuite::ClassTranslation[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AccountSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::AccountSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AccountSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::AccountSearch", [0, 1]],
      ["columns", "ActiveNetsuite::AccountSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AccountSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::AccountSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Department,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Department"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["classTranslationList", "ActiveNetsuite::ClassTranslationList", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DepartmentSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "DepartmentSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::DepartmentSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DepartmentSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "DepartmentSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::DepartmentSearch", [0, 1]],
      ["columns", "ActiveNetsuite::DepartmentSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DepartmentSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "DepartmentSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::DepartmentSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Classification,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Classification"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["classTranslationList", "ActiveNetsuite::ClassTranslationList", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ClassificationSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ClassificationSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ClassificationSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ClassificationSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ClassificationSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ClassificationSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ClassificationSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ClassificationSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ClassificationSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ClassificationSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Location,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Location"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["tranPrefix", "SOAP::SOAPString", [0, 1]],
      ["attention", "SOAP::SOAPString", [0, 1]],
      ["addressee", "SOAP::SOAPString", [0, 1]],
      ["addrPhone", "SOAP::SOAPString", [0, 1]],
      ["addr1", "SOAP::SOAPString", [0, 1]],
      ["addr2", "SOAP::SOAPString", [0, 1]],
      ["addr3", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["addrText", "SOAP::SOAPString", [0, 1]],
      ["override", "SOAP::SOAPBoolean", [0, 1]],
      ["logo", "ActiveNetsuite::RecordRef", [0, 1]],
      ["makeInventoryAvailable", "SOAP::SOAPBoolean", [0, 1]],
      ["makeInventoryAvailableStore", "SOAP::SOAPBoolean", [0, 1]],
      ["classTranslationList", "ActiveNetsuite::ClassTranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LocationSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LocationSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LocationSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LocationSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::LocationSearch", [0, 1]],
      ["columns", "ActiveNetsuite::LocationSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LocationSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LocationSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::LocationSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UnitsType,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "UnitsType"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["uomList", "ActiveNetsuite::UnitsTypeUomList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UnitsTypeUom,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "UnitsTypeUom"),
    :schema_element => [
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["unitName", "SOAP::SOAPString", [0, 1]],
      ["pluralName", "SOAP::SOAPString", [0, 1]],
      ["abbreviation", "SOAP::SOAPString", [0, 1]],
      ["pluralAbbreviation", "SOAP::SOAPString", [0, 1]],
      ["conversionRate", "SOAP::SOAPDouble", [0, 1]],
      ["baseUnit", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UnitsTypeUomList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "UnitsTypeUomList"),
    :schema_element => [
      ["uom", "ActiveNetsuite::UnitsTypeUom[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["binNumberJoin", "ActiveNetsuite::BinSearchBasic", [0, 1]],
      ["binOnHandJoin", "ActiveNetsuite::ItemBinNumberSearchBasic", [0, 1]],
      ["correlatedItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["effectiveRevisionJoin", "ActiveNetsuite::ItemRevisionSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["inventoryDetailJoin", "ActiveNetsuite::InventoryDetailSearchBasic", [0, 1]],
      ["inventoryLocationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["inventoryNumberJoin", "ActiveNetsuite::InventoryNumberSearchBasic", [0, 1]],
      ["inventoryNumberBinOnHandJoin", "ActiveNetsuite::InventoryNumberBinSearchBasic", [0, 1]],
      ["memberItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["obsoleteRevisionJoin", "ActiveNetsuite::ItemRevisionSearchBasic", [0, 1]],
      ["parentJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["preferredLocationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["preferredVendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["shopperJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ItemSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ItemSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["binNumberJoin", "ActiveNetsuite::BinSearchRowBasic", [0, 1]],
      ["binOnHandJoin", "ActiveNetsuite::ItemBinNumberSearchRowBasic", [0, 1]],
      ["correlatedItemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["effectiveRevisionJoin", "ActiveNetsuite::ItemRevisionSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["inventoryDetailJoin", "ActiveNetsuite::InventoryDetailSearchRowBasic", [0, 1]],
      ["inventoryLocationJoin", "ActiveNetsuite::LocationSearchRowBasic", [0, 1]],
      ["inventoryNumberJoin", "ActiveNetsuite::InventoryNumberSearchRowBasic", [0, 1]],
      ["inventoryNumberBinOnHandJoin", "ActiveNetsuite::InventoryNumberBinSearchRowBasic", [0, 1]],
      ["memberItemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["obsoleteRevisionJoin", "ActiveNetsuite::ItemRevisionSearchRowBasic", [0, 1]],
      ["parentJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["preferredLocationJoin", "ActiveNetsuite::LocationSearchRowBasic", [0, 1]],
      ["preferredVendorJoin", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]],
      ["shopperJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactRole,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ContactRole"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Bin,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Bin"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["binNumber", "SOAP::SOAPString", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BinSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "BinSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::BinSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BinSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "BinSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::BinSearch", [0, 1]],
      ["columns", "ActiveNetsuite::BinSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BinSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "BinSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::BinSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesTaxItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SalesTaxItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["taxType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxAgency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["effectiveFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["validUntil", "SOAP::SOAPDateTime", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["eccode", "SOAP::SOAPBoolean", [0, 1]],
      ["reverseCharge", "SOAP::SOAPBoolean", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["service", "SOAP::SOAPBoolean", [0, 1]],
      ["exempt", "SOAP::SOAPBoolean", [0, 1]],
      ["isDefault", "SOAP::SOAPBoolean", [0, 1]],
      ["excludeFromTaxReports", "SOAP::SOAPBoolean", [0, 1]],
      ["available", "ActiveNetsuite::SalesTaxItemAvailable", [0, 1]],
      ["export", "SOAP::SOAPBoolean", [0, 1]],
      ["taxAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["county", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["nexusCountry", "ActiveNetsuite::RecordRef", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaxGroup,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TaxGroup"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["taxitem1", "ActiveNetsuite::RecordRef", [0, 1]],
      ["unitprice1", "SOAP::SOAPString", [0, 1]],
      ["taxitem2", "ActiveNetsuite::RecordRef", [0, 1]],
      ["unitprice2", "SOAP::SOAPString", [0, 1]],
      ["piggyback", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["taxType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["county", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["nexusCountry", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isDefault", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItemList", "ActiveNetsuite::TaxGroupTaxItemList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaxGroupTaxItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TaxGroupTaxItem"),
    :schema_element => [
      ["taxName", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["basis", "SOAP::SOAPDouble", [0, 1]],
      ["taxType", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaxGroupTaxItemList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TaxGroupTaxItemList"),
    :schema_element => [
      ["taxItem", "ActiveNetsuite::TaxGroupTaxItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaxType,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TaxType"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["nexusesTaxList", "ActiveNetsuite::TaxTypeNexusesTaxList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaxTypeNexusesTax,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TaxTypeNexusesTax"),
    :schema_element => [
      ["nexus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["saleTaxAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchTaxAcct", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaxTypeNexusesTaxList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TaxTypeNexusesTaxList"),
    :schema_element => [
      ["nexusesTax", "ActiveNetsuite::TaxTypeNexusesTax[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SerializedInventoryItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SerializedInventoryItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costingMethod", "ActiveNetsuite::ItemCostingMethod", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["copyDescription", "SOAP::SOAPBoolean", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["cogsAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assetAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matchBillToReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["billQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billExchRateVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gainLossAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["costingMethodDisplay", "SOAP::SOAPString", [0, 1]],
      ["shippingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["handlingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["safetyStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackLandedCost", "SOAP::SOAPBoolean", [0, 1]],
      ["isDropShipItem", "SOAP::SOAPBoolean", [0, 1]],
      ["isSpecialOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturerAddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["roundUpAsComponent", "SOAP::SOAPBoolean", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::ScheduleBCode", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["transferPrice", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["preferredLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["quantityReorderUnits", "SOAP::SOAPString", [0, 1]],
      ["reorderMultiple", "SOAP::SOAPLong", [0, 1]],
      ["totalValue", "SOAP::SOAPDouble", [0, 1]],
      ["useBins", "SOAP::SOAPBoolean", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["autoLeadTime", "SOAP::SOAPBoolean", [0, 1]],
      ["autoReorderPoint", "SOAP::SOAPBoolean", [0, 1]],
      ["autoPreferredStockLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelDays", "SOAP::SOAPDouble", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevelDays", "SOAP::SOAPLong", [0, 1]],
      ["backwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["seasonalDemand", "SOAP::SOAPBoolean", [0, 1]],
      ["demandModifier", "SOAP::SOAPDouble", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["weightUnits", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHandUnits", "SOAP::SOAPString", [0, 1]],
      ["onHandValueMli", "SOAP::SOAPDouble", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPointUnits", "SOAP::SOAPString", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["periodicLotSizeType", "ActiveNetsuite::PeriodicLotSizeType", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["periodicLotSizeDays", "SOAP::SOAPLong", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["forwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchasePriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["itemNumberOptionsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["numbersList", "ActiveNetsuite::SerializedInventoryItemNumbersList", [0, 1]],
      ["binNumberList", "ActiveNetsuite::InventoryItemBinNumberList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["locationsList", "ActiveNetsuite::SerializedInventoryItemLocationsList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SerializedInventoryItemLocations,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SerializedInventoryItemLocations"),
    :schema_element => [
      ["location", "SOAP::SOAPString", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["onHandValueMli", "SOAP::SOAPDouble", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["averageCostMli", "SOAP::SOAPDouble", [0, 1]],
      ["lastPurchasePriceMli", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["isWip", "SOAP::SOAPBoolean", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["inventoryCostTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildTime", "SOAP::SOAPDouble", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["costingLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["locationId", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["periodicLotSizeType", "ActiveNetsuite::PeriodicLotSizeType", [0, 1]],
      ["periodicLotSizeDays", "SOAP::SOAPLong", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["backwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["forwardConsumptionDays", "SOAP::SOAPLong", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SerializedInventoryItemLocationsList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SerializedInventoryItemLocationsList"),
    :schema_element => [
      ["locations", "ActiveNetsuite::SerializedInventoryItemLocations[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SerializedInventoryItemNumbers,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SerializedInventoryItemNumbers"),
    :schema_element => [
      ["serialNumber", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SerializedInventoryItemNumbersList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SerializedInventoryItemNumbersList"),
    :schema_element => [
      ["numbers", "ActiveNetsuite::SerializedInventoryItemNumbers[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LotNumberedInventoryItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LotNumberedInventoryItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costingMethod", "ActiveNetsuite::ItemCostingMethod", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["copyDescription", "SOAP::SOAPBoolean", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["cogsAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["assetAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matchBillToReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["billQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billExchRateVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gainLossAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["costingMethodDisplay", "SOAP::SOAPString", [0, 1]],
      ["shippingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["handlingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["safetyStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackLandedCost", "SOAP::SOAPBoolean", [0, 1]],
      ["isDropShipItem", "SOAP::SOAPBoolean", [0, 1]],
      ["isSpecialOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturerAddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["roundUpAsComponent", "SOAP::SOAPBoolean", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::ScheduleBCode", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["purchasePriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["transferPrice", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["preferredLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["reorderMultiple", "SOAP::SOAPLong", [0, 1]],
      ["quantityReorderUnits", "SOAP::SOAPString", [0, 1]],
      ["totalValue", "SOAP::SOAPDouble", [0, 1]],
      ["useBins", "SOAP::SOAPBoolean", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["autoLeadTime", "SOAP::SOAPBoolean", [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["autoReorderPoint", "SOAP::SOAPBoolean", [0, 1]],
      ["autoPreferredStockLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelDays", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevelDays", "SOAP::SOAPLong", [0, 1]],
      ["backwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["seasonalDemand", "SOAP::SOAPBoolean", [0, 1]],
      ["demandModifier", "SOAP::SOAPDouble", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["weightUnits", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHandUnits", "SOAP::SOAPString", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["onHandValueMli", "SOAP::SOAPDouble", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPointUnits", "SOAP::SOAPString", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["periodicLotSizeType", "ActiveNetsuite::PeriodicLotSizeType", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["periodicLotSizeDays", "SOAP::SOAPLong", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["forwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["itemNumberOptionsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["numbersList", "ActiveNetsuite::LotNumberedInventoryItemNumbersList", [0, 1]],
      ["binNumberList", "ActiveNetsuite::InventoryItemBinNumberList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["locationsList", "ActiveNetsuite::LotNumberedInventoryItemLocationsList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LotNumberedInventoryItemLocations,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LotNumberedInventoryItemLocations"),
    :schema_element => [
      ["location", "SOAP::SOAPString", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["onHandValueMli", "SOAP::SOAPDouble", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["averageCostMli", "SOAP::SOAPDouble", [0, 1]],
      ["lastPurchasePriceMli", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["inventoryCostTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildTime", "SOAP::SOAPDouble", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["isWip", "SOAP::SOAPBoolean", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["costingLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["locationId", "ActiveNetsuite::RecordRef", [0, 1]],
      ["locationlookup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location_display", "SOAP::SOAPString", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["periodicLotSizeType", "ActiveNetsuite::PeriodicLotSizeType", [0, 1]],
      ["periodicLotSizeDays", "SOAP::SOAPLong", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["backwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["forwardConsumptionDays", "SOAP::SOAPLong", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LotNumberedInventoryItemLocationsList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LotNumberedInventoryItemLocationsList"),
    :schema_element => [
      ["locations", "ActiveNetsuite::LotNumberedInventoryItemLocations[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LotNumberedInventoryItemNumbers,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LotNumberedInventoryItemNumbers"),
    :schema_element => [
      ["serialNumber", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LotNumberedInventoryItemNumbersList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LotNumberedInventoryItemNumbersList"),
    :schema_element => [
      ["numbers", "ActiveNetsuite::LotNumberedInventoryItemNumbers[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GiftCertificateItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "GiftCertificateItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["liabilityAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["daysBeforeExpiration", "SOAP::SOAPLong", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["authCodesList", "ActiveNetsuite::GiftCertificateItemAuthCodesList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GiftCertificateItemAuthCodes,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "GiftCertificateItemAuthCodes"),
    :schema_element => [
      ["authCode", "SOAP::SOAPString", [0, 1]],
      ["used", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GiftCertificateItemAuthCodesList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "GiftCertificateItemAuthCodesList"),
    :schema_element => [
      ["authCodes", "ActiveNetsuite::GiftCertificateItemAuthCodes[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Subsidiary,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Subsidiary"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["showSubsidiaryName", "SOAP::SOAPBoolean", [0, 1]],
      ["url", "SOAP::SOAPString", [0, 1]],
      ["logo", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranPrefix", "SOAP::SOAPString", [0, 1]],
      ["pageLogo", "ActiveNetsuite::RecordRef", [0, 1]],
      ["attention", "SOAP::SOAPString", [0, 1]],
      ["addressee", "SOAP::SOAPString", [0, 1]],
      ["addrPhone", "SOAP::SOAPString", [0, 1]],
      ["addr1", "SOAP::SOAPString", [0, 1]],
      ["addr2", "SOAP::SOAPString", [0, 1]],
      ["addr3", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["addrText", "SOAP::SOAPString", [0, 1]],
      ["override", "SOAP::SOAPBoolean", [0, 1]],
      ["shipAddr", "SOAP::SOAPString", [0, 1]],
      ["returnAddr", "SOAP::SOAPString", [0, 1]],
      ["companyNameForSupportMessages", "SOAP::SOAPString", [0, 1]],
      ["mainSupportEmailAddress", "SOAP::SOAPString", [0, 1]],
      ["anonymousCustomerInboundEmail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["anonymousCustomerOnlineForms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseCreationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseUpdateTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseAutomaticClosureTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseAssignmentTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employeeCaseUpdateTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseCopyEmployeeTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseEscalationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["returnAddress1", "SOAP::SOAPString", [0, 1]],
      ["returnAddress2", "SOAP::SOAPString", [0, 1]],
      ["returnCity", "SOAP::SOAPString", [0, 1]],
      ["returnState", "SOAP::SOAPString", [0, 1]],
      ["returnCountry", "ActiveNetsuite::Country", [0, 1]],
      ["returnZip", "SOAP::SOAPString", [0, 1]],
      ["legalName", "SOAP::SOAPString", [0, 1]],
      ["isElimination", "SOAP::SOAPBoolean", [0, 1]],
      ["fiscalCalendar", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxFiscalCalendar", "ActiveNetsuite::RecordRef", [0, 1]],
      ["allowPayroll", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["edition", "SOAP::SOAPString", [0, 1]],
      ["federalIdNumber", "SOAP::SOAPString", [0, 1]],
      ["addrLanguage", "SOAP::SOAPString", [0, 1]],
      ["nonConsol", "SOAP::SOAPString", [0, 1]],
      ["consol", "SOAP::SOAPString", [0, 1]],
      ["shipAddress1", "SOAP::SOAPString", [0, 1]],
      ["shipAddress2", "SOAP::SOAPString", [0, 1]],
      ["shipCity", "SOAP::SOAPString", [0, 1]],
      ["shipState", "SOAP::SOAPString", [0, 1]],
      ["shipCountry", "ActiveNetsuite::Country", [0, 1]],
      ["shipZip", "SOAP::SOAPString", [0, 1]],
      ["state1TaxNumber", "SOAP::SOAPString", [0, 1]],
      ["ssnOrTin", "SOAP::SOAPString", [0, 1]],
      ["interCoAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["nexusList", "ActiveNetsuite::SubsidiaryNexusList", [0, 1]],
      ["checkLayout", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inboundEmail", "SOAP::SOAPString", [0, 1]],
      ["classTranslationList", "ActiveNetsuite::ClassTranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SubsidiaryNexus,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SubsidiaryNexus"),
    :schema_element => [
      ["nexusId", "ActiveNetsuite::RecordRef", [0, 1]],
      ["country", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SubsidiaryNexusList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SubsidiaryNexusList"),
    :schema_element => [
      ["nexus", "ActiveNetsuite::SubsidiaryNexus[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SubsidiarySearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SubsidiarySearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SubsidiarySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SubsidiarySearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SubsidiarySearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::SubsidiarySearch", [0, 1]],
      ["columns", "ActiveNetsuite::SubsidiarySearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SubsidiarySearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SubsidiarySearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SubsidiarySearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GiftCertificate,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "GiftCertificate"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["giftCertCode", "SOAP::SOAPString", [0, 1]],
      ["sender", "SOAP::SOAPString", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["originalAmount", "SOAP::SOAPDouble", [0, 1]],
      ["amountRemaining", "SOAP::SOAPDouble", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GiftCertificateSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "GiftCertificateSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::GiftCertificateSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GiftCertificateSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "GiftCertificateSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::GiftCertificateSearch", [0, 1]],
      ["columns", "ActiveNetsuite::GiftCertificateSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GiftCertificateSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "GiftCertificateSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::GiftCertificateSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerCategory,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerCategory"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorCategory,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "VendorCategory"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["isTaxAgency", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::KitItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "KitItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["printItems", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["weightUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufactureraddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["memberList", "ActiveNetsuite::ItemMemberList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AssemblyItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AssemblyItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["printItems", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["cogsAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assetAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matchBillToReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["billQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billExchRateVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gainLossAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useComponentYield", "SOAP::SOAPBoolean", [0, 1]],
      ["wipVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["scrapAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["wipAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["costingMethod", "ActiveNetsuite::ItemCostingMethod", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["costingMethodDisplay", "SOAP::SOAPString", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackLandedCost", "SOAP::SOAPBoolean", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufactureraddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["effectiveBomControl", "ActiveNetsuite::AssemblyItemEffectiveBomControl", [0, 1]],
      ["defaultRevision", "SOAP::SOAPString", [0, 1]],
      ["roundUpAsComponent", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSpecialWorkOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["prodQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["prodPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchasePriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildEntireAssembly", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["transferPrice", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["unbuildVarianceAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["preferredLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["totalValue", "SOAP::SOAPDouble", [0, 1]],
      ["useBins", "SOAP::SOAPBoolean", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["autoLeadTime", "SOAP::SOAPBoolean", [0, 1]],
      ["buildTime", "SOAP::SOAPLong", [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevelDays", "SOAP::SOAPLong", [0, 1]],
      ["seasonalDemand", "SOAP::SOAPBoolean", [0, 1]],
      ["reorderMultiple", "SOAP::SOAPLong", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["demandModifier", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["autoReorderPoint", "SOAP::SOAPBoolean", [0, 1]],
      ["autoPreferredStockLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelDays", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["itemNumberOptionsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["memberList", "ActiveNetsuite::ItemMemberList", [0, 1]],
      ["locationsList", "ActiveNetsuite::InventoryItemLocationsList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["binNumberList", "ActiveNetsuite::InventoryItemBinNumberList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SerializedAssemblyItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SerializedAssemblyItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["printItems", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["useComponentYield", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["cogsAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assetAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matchBillToReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["billQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billExchRateVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gainLossAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["prodQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["prodPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchasePriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["wipVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["scrapAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["wipAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["weightUnits", "SOAP::SOAPString", [0, 1]],
      ["costingMethod", "ActiveNetsuite::ItemCostingMethod", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["costingMethodDisplay", "SOAP::SOAPString", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackLandedCost", "SOAP::SOAPBoolean", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufactureraddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["effectiveBomControl", "ActiveNetsuite::AssemblyItemEffectiveBomControl", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["defaultRevision", "SOAP::SOAPString", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["roundUpAsComponent", "SOAP::SOAPBoolean", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSpecialWorkOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildEntireAssembly", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHandUnits", "SOAP::SOAPString", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["reorderMultiple", "SOAP::SOAPLong", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["transferPrice", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["unbuildVarianceAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["preferredLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["totalValue", "SOAP::SOAPDouble", [0, 1]],
      ["useBins", "SOAP::SOAPBoolean", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["autoLeadTime", "SOAP::SOAPBoolean", [0, 1]],
      ["buildTime", "SOAP::SOAPLong", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["safetyStockLevelDays", "SOAP::SOAPLong", [0, 1]],
      ["seasonalDemand", "SOAP::SOAPBoolean", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPointUnits", "SOAP::SOAPString", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["demandModifier", "SOAP::SOAPDouble", [0, 1]],
      ["autoReorderPoint", "SOAP::SOAPBoolean", [0, 1]],
      ["autoPreferredStockLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelDays", "SOAP::SOAPDouble", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["itemNumberOptionsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["memberList", "ActiveNetsuite::ItemMemberList", [0, 1]],
      ["locationsList", "ActiveNetsuite::SerializedInventoryItemLocationsList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["binNumberList", "ActiveNetsuite::InventoryItemBinNumberList", [0, 1]],
      ["numbersList", "ActiveNetsuite::SerializedInventoryItemNumbersList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LotNumberedAssemblyItem,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LotNumberedAssemblyItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["printItems", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["useComponentYield", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["cogsAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assetAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matchBillToReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["billQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billExchRateVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gainLossAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["prodQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["prodPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchasePriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["wipVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["scrapAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["wipAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["costingMethod", "ActiveNetsuite::ItemCostingMethod", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["costingMethodDisplay", "SOAP::SOAPString", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackLandedCost", "SOAP::SOAPBoolean", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufactureraddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["effectiveBomControl", "ActiveNetsuite::AssemblyItemEffectiveBomControl", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["defaultRevision", "SOAP::SOAPString", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["roundUpAsComponent", "SOAP::SOAPBoolean", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSpecialWorkOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildEntireAssembly", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["reorderMultiple", "SOAP::SOAPLong", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["transferPrice", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["unbuildVarianceAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["preferredLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["totalValue", "SOAP::SOAPDouble", [0, 1]],
      ["useBins", "SOAP::SOAPBoolean", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["autoLeadTime", "SOAP::SOAPBoolean", [0, 1]],
      ["buildTime", "SOAP::SOAPLong", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevelDays", "SOAP::SOAPLong", [0, 1]],
      ["seasonalDemand", "SOAP::SOAPBoolean", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["demandModifier", "SOAP::SOAPDouble", [0, 1]],
      ["autoReorderPoint", "SOAP::SOAPBoolean", [0, 1]],
      ["autoPreferredStockLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelDays", "SOAP::SOAPDouble", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["itemNumberOptionsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["memberList", "ActiveNetsuite::ItemMemberList", [0, 1]],
      ["locationsList", "ActiveNetsuite::LotNumberedInventoryItemLocationsList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["binNumberList", "ActiveNetsuite::InventoryItemBinNumberList", [0, 1]],
      ["numbersList", "ActiveNetsuite::LotNumberedInventoryItemNumbersList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ServiceItemTaskTemplates,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ServiceItemTaskTemplates"),
    :schema_element => [
      ["taskName", "SOAP::SOAPString", [0, 1]],
      ["taskStartOffset", "SOAP::SOAPLong", [0, 1]],
      ["taskDuration", "ActiveNetsuite::Duration", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ServiceItemTaskTemplatesList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ServiceItemTaskTemplatesList"),
    :schema_element => [
      ["taskTemplates", "ActiveNetsuite::ServiceItemTaskTemplates[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::State,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "State"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["fullName", "SOAP::SOAPString", [0, 1]],
      ["shortname", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AccountingPeriod,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountingPeriod"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["periodName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["fiscalCalendar", "ActiveNetsuite::RecordRef", [0, 1]],
      ["closedOnDate", "SOAP::SOAPDateTime", [0, 1]],
      ["isAdjust", "SOAP::SOAPBoolean", [0, 1]],
      ["fiscalCalendarsList", "ActiveNetsuite::AccountingPeriodFiscalCalendarsList", [0, 1]],
      ["isQuarter", "SOAP::SOAPBoolean", [0, 1]],
      ["isYear", "SOAP::SOAPBoolean", [0, 1]],
      ["closed", "SOAP::SOAPBoolean", [0, 1]],
      ["apLocked", "SOAP::SOAPBoolean", [0, 1]],
      ["arLocked", "SOAP::SOAPBoolean", [0, 1]],
      ["payrollLocked", "SOAP::SOAPBoolean", [0, 1]],
      ["allLocked", "SOAP::SOAPBoolean", [0, 1]],
      ["allowNonGLChanges", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BudgetCategory,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "BudgetCategory"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["budgetType", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AccountingPeriodSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountingPeriodSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::AccountingPeriodSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AccountingPeriodSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountingPeriodSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::AccountingPeriodSearch", [0, 1]],
      ["columns", "ActiveNetsuite::AccountingPeriodSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AccountingPeriodSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountingPeriodSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::AccountingPeriodSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactCategorySearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ContactCategorySearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ContactCategorySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactCategorySearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ContactCategorySearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ContactCategorySearch", [0, 1]],
      ["columns", "ActiveNetsuite::ContactCategorySearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactCategorySearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ContactCategorySearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ContactCategorySearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactRoleSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ContactRoleSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ContactRoleSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactRoleSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ContactRoleSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ContactRoleSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ContactRoleSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactRoleSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ContactRoleSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ContactRoleSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerCategorySearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerCategorySearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomerCategorySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerCategorySearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerCategorySearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::CustomerCategorySearch", [0, 1]],
      ["columns", "ActiveNetsuite::CustomerCategorySearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerCategorySearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerCategorySearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomerCategorySearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExpenseCategorySearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ExpenseCategorySearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ExpenseCategorySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExpenseCategorySearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ExpenseCategorySearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ExpenseCategorySearch", [0, 1]],
      ["columns", "ActiveNetsuite::ExpenseCategorySearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExpenseCategorySearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ExpenseCategorySearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ExpenseCategorySearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NoteTypeSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NoteTypeSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::NoteTypeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NoteTypeSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NoteTypeSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::NoteTypeSearch", [0, 1]],
      ["columns", "ActiveNetsuite::NoteTypeSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NoteTypeSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NoteTypeSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::NoteTypeSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerCategorySearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerCategorySearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PartnerCategorySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerCategorySearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerCategorySearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::PartnerCategorySearch", [0, 1]],
      ["columns", "ActiveNetsuite::PartnerCategorySearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerCategorySearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerCategorySearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PartnerCategorySearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaymentMethodSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PaymentMethodSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PaymentMethodSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaymentMethodSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PaymentMethodSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::PaymentMethodSearch", [0, 1]],
      ["columns", "ActiveNetsuite::PaymentMethodSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaymentMethodSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PaymentMethodSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PaymentMethodSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PriceLevelSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PriceLevelSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PriceLevelSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PriceLevelSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PriceLevelSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::PriceLevelSearch", [0, 1]],
      ["columns", "ActiveNetsuite::PriceLevelSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PriceLevelSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PriceLevelSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PriceLevelSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesRoleSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SalesRoleSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SalesRoleSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesRoleSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SalesRoleSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::SalesRoleSearch", [0, 1]],
      ["columns", "ActiveNetsuite::SalesRoleSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesRoleSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SalesRoleSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SalesRoleSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TermSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TermSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TermSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TermSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TermSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::TermSearch", [0, 1]],
      ["columns", "ActiveNetsuite::TermSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TermSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TermSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TermSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorCategorySearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "VendorCategorySearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::VendorCategorySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorCategorySearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "VendorCategorySearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::VendorCategorySearch", [0, 1]],
      ["columns", "ActiveNetsuite::VendorCategorySearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorCategorySearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "VendorCategorySearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::VendorCategorySearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WinLossReasonSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "WinLossReasonSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::WinLossReasonSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WinLossReasonSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "WinLossReasonSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::WinLossReasonSearch", [0, 1]],
      ["columns", "ActiveNetsuite::WinLossReasonSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WinLossReasonSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "WinLossReasonSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::WinLossReasonSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UnitsTypeSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "UnitsTypeSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::UnitsTypeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UnitsTypeSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "UnitsTypeSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::UnitsTypeSearch", [0, 1]],
      ["columns", "ActiveNetsuite::UnitsTypeSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UnitsTypeSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "UnitsTypeSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::UnitsTypeSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PricingGroup,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PricingGroup"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PricingGroupSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PricingGroupSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PricingGroupSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PricingGroupSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PricingGroupSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::PricingGroupSearch", [0, 1]],
      ["columns", "ActiveNetsuite::PricingGroupSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PricingGroupSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PricingGroupSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PricingGroupSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryNumber,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryNumber"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["inventoryNumber", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["units", "SOAP::SOAPString", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["locationsList", "ActiveNetsuite::InventoryNumberLocationsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryNumberLocations,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryNumberLocations"),
    :schema_element => [
      ["location", "SOAP::SOAPString", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["quantityInTransit", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryNumberLocationsList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryNumberLocationsList"),
    :schema_element => [
      ["locations", "ActiveNetsuite::InventoryNumberLocations[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryNumberSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryNumberSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::InventoryNumberSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryNumberSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryNumberSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::InventoryNumberSearch", [0, 1]],
      ["columns", "ActiveNetsuite::InventoryNumberSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryNumberSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryNumberSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::InventoryNumberSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecSchedule,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecSchedule"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["amortizationType", "ActiveNetsuite::RevRecScheduleAmortizationType", [0, 1]],
      ["recurrenceType", "ActiveNetsuite::RevRecScheduleRecurrenceType", [0, 1]],
      ["recogIntervalSrc", "ActiveNetsuite::RevRecScheduleRecogIntervalSrc", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["periodOffset", "SOAP::SOAPLong", [0, 1]],
      ["revRecOffset", "SOAP::SOAPLong", [0, 1]],
      ["initialAmount", "SOAP::SOAPDouble", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["recurrenceList", "ActiveNetsuite::RevRecScheduleRecurrenceList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleRecurrence,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecScheduleRecurrence"),
    :schema_element => [
      ["incomeaccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["periodOffset", "SOAP::SOAPLong", [0, 1]],
      ["recamount", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleRecurrenceList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecScheduleRecurrenceList"),
    :schema_element => [
      ["revRecScheduleRecurrence", "ActiveNetsuite::RevRecScheduleRecurrence[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecTemplate,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecTemplate"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["amortizationType", "ActiveNetsuite::RevRecScheduleAmortizationType", [0, 1]],
      ["recurrenceType", "ActiveNetsuite::RevRecScheduleRecurrenceType", [0, 1]],
      ["recogIntervalSrc", "ActiveNetsuite::RevRecScheduleRecogIntervalSrc", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["periodOffset", "SOAP::SOAPLong", [0, 1]],
      ["revRecOffset", "SOAP::SOAPLong", [0, 1]],
      ["initialAmount", "SOAP::SOAPDouble", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["recurrenceList", "ActiveNetsuite::RevRecTemplateRecurrenceList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecTemplateRecurrence,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecTemplateRecurrence"),
    :schema_element => [
      ["incomeaccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["periodOffset", "SOAP::SOAPLong", [0, 1]],
      ["recamount", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecTemplateRecurrenceList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecTemplateRecurrenceList"),
    :schema_element => [
      ["revRecTemplateRecurrence", "ActiveNetsuite::RevRecTemplateRecurrence[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecScheduleSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::RevRecScheduleSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecScheduleSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::RevRecScheduleSearch", [0, 1]],
      ["columns", "ActiveNetsuite::RevRecScheduleSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecScheduleSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::RevRecScheduleSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecTemplateSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecTemplateSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::RevRecTemplateSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecTemplateSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecTemplateSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::RevRecTemplateSearch", [0, 1]],
      ["columns", "ActiveNetsuite::RevRecTemplateSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecTemplateSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecTemplateSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::RevRecTemplateSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CostCategory,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CostCategory"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCostType", "ActiveNetsuite::CostCategoryItemCostType", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Nexus,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Nexus"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["state", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxAgency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxAgencyPst", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NexusSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NexusSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::NexusSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NexusSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NexusSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::NexusSearch", [0, 1]],
      ["columns", "ActiveNetsuite::NexusSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NexusSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NexusSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::NexusSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerMessage,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerMessage"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["preferred", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OtherNameCategory,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "OtherNameCategory"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OtherNameCategorySearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "OtherNameCategorySearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::OtherNameCategorySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OtherNameCategorySearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "OtherNameCategorySearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::OtherNameCategorySearch", [0, 1]],
      ["columns", "ActiveNetsuite::OtherNameCategorySearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OtherNameCategorySearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "OtherNameCategorySearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::OtherNameCategorySearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerMessageSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerMessageSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomerMessageSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerMessageSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerMessageSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::CustomerMessageSearch", [0, 1]],
      ["columns", "ActiveNetsuite::CustomerMessageSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerMessageSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerMessageSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomerMessageSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemGroup,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemGroup"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeStartEndLines", "SOAP::SOAPBoolean", [0, 1]],
      ["isVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["printItems", "SOAP::SOAPBoolean", [0, 1]],
      ["memberList", "ActiveNetsuite::ItemMemberList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CurrencyRate,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CurrencyRate"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["baseCurrency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transactionCurrency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["effectiveDate", "SOAP::SOAPDateTime", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CurrencyRateSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CurrencyRateSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CurrencyRateSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CurrencyRateSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CurrencyRateSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::CurrencyRateSearch", [0, 1]],
      ["columns", "ActiveNetsuite::CurrencyRateSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CurrencyRateSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CurrencyRateSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CurrencyRateSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemRevision,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemRevision"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["effectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["obsoleteDate", "SOAP::SOAPDateTime", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["inactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemRevisionSearch,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemRevisionSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ItemRevisionSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemRevisionSearchAdvanced,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemRevisionSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ItemRevisionSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ItemRevisionSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemRevisionSearchRow,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemRevisionSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ItemRevisionSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AccountingPeriodFiscalCalendars,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountingPeriodFiscalCalendars"),
    :schema_element => [
      ["fiscalCalendar", "ActiveNetsuite::RecordRef", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AccountingPeriodFiscalCalendarsList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountingPeriodFiscalCalendarsList"),
    :schema_element => [
      ["accountingPeriodFiscalCalendars", "ActiveNetsuite::AccountingPeriodFiscalCalendars[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaxAcct,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TaxAcct"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["nexus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["taxAcctType", "ActiveNetsuite::TaxAcctType", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExpenseCategoryRates,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ExpenseCategoryRates"),
    :schema_element => [
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["defaultRate", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExpenseCategoryRatesList,
    :schema_type => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ExpenseCategoryRatesList"),
    :schema_element => [
      ["expenseCategoryRates", "ActiveNetsuite::ExpenseCategoryRates[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Opportunity,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "Opportunity"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["estimatedBudget", "SOAP::SOAPDouble", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["probability", "SOAP::SOAPDouble", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["expectedCloseDate", "SOAP::SOAPDateTime", [0, 1]],
      ["daysOpen", "SOAP::SOAPLong", [0, 1]],
      ["forecastType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["projectedTotal", "SOAP::SOAPDouble", [0, 1]],
      ["rangeLow", "SOAP::SOAPDouble", [0, 1]],
      ["rangeHigh", "SOAP::SOAPDouble", [0, 1]],
      ["projAltSalesAmt", "SOAP::SOAPDouble", [0, 1]],
      ["altSalesRangeLow", "SOAP::SOAPDouble", [0, 1]],
      ["altSalesRangeHigh", "SOAP::SOAPDouble", [0, 1]],
      ["weightedTotal", "SOAP::SOAPDouble", [0, 1]],
      ["actionItem", "SOAP::SOAPString", [0, 1]],
      ["winLossReason", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["isBudgetApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["salesReadiness", "ActiveNetsuite::RecordRef", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["buyingTimeFrame", "ActiveNetsuite::RecordRef", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["buyingReason", "ActiveNetsuite::RecordRef", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["closeDate", "SOAP::SOAPDateTime", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::OpportunitySalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::OpportunityPartnersList", [0, 1]],
      ["itemList", "ActiveNetsuite::OpportunityItemList", [0, 1]],
      ["competitorsList", "ActiveNetsuite::OpportunityCompetitorsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OpportunitySalesTeam,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunitySalesTeam"),
    :schema_element => [
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OpportunitySalesTeamList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunitySalesTeamList"),
    :schema_element => [
      ["salesTeam", "ActiveNetsuite::OpportunitySalesTeam[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OpportunityItem,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunityItem"),
    :schema_element => [
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["altSalesAmt", "SOAP::SOAPDouble", [0, 1]],
      ["revRecTermInMonths", "SOAP::SOAPLong", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["fromJob", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isEstimate", "SOAP::SOAPBoolean", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["expectedShipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OpportunityItemList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunityItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::OpportunityItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OpportunityCompetitors,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunityCompetitors"),
    :schema_element => [
      ["competitor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["url", "SOAP::SOAPString", [0, 1]],
      ["notes", "SOAP::SOAPString", [0, 1]],
      ["strategy", "SOAP::SOAPString", [0, 1]],
      ["winner", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OpportunityCompetitorsList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunityCompetitorsList"),
    :schema_element => [
      ["competitors", "ActiveNetsuite::OpportunityCompetitors[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OpportunitySearch,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunitySearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["actualJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["decisionMakerJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["estimateJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["leadSourceJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["orderJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["salesRepJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OpportunitySearchAdvanced,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunitySearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::OpportunitySearch", [0, 1]],
      ["columns", "ActiveNetsuite::OpportunitySearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OpportunitySearchRow,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunitySearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::OpportunitySearchRowBasic", [0, 1]],
      ["actualJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchRowBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["decisionMakerJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["estimateJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["leadSourceJoin", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["orderJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchRowBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchRowBasic", [0, 1]],
      ["salesRepJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OpportunityPartnersList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunityPartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::Partners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesOrder,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrder"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["drAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fxAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["orderStatus", "ActiveNetsuite::SalesOrderOrderStatus", [0, 1]],
      ["opportunity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["salesEffectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["excludeCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["actualShipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["isMultiShipTo", "SOAP::SOAPBoolean", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["shipComplete", "SOAP::SOAPBoolean", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shopperIpAddress", "SOAP::SOAPString", [0, 1]],
      ["saveOnAuthDecline", "SOAP::SOAPBoolean", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revenueStatus", "ActiveNetsuite::RevenueStatus", [0, 1]],
      ["recognizedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["deferredRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["revRecOnRevCommitment", "SOAP::SOAPBoolean", [0, 1]],
      ["revCommitStatus", "ActiveNetsuite::RevenueCommitStatus", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["payPalStatus", "SOAP::SOAPString", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payPalTranId", "SOAP::SOAPString", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["getAuth", "SOAP::SOAPBoolean", [0, 1]],
      ["authCode", "SOAP::SOAPString", [0, 1]],
      ["ccAvsStreetMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["ccAvsZipMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["ccSecurityCodeMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["altSalesTotal", "SOAP::SOAPDouble", [0, 1]],
      ["ignoreAvs", "SOAP::SOAPBoolean", [0, 1]],
      ["paymentEventResult", "ActiveNetsuite::TransactionPaymentEventResult", [0, 1]],
      ["paymentEventHoldReason", "ActiveNetsuite::TransactionPaymentEventHoldReason", [0, 1]],
      ["paymentEventType", "ActiveNetsuite::TransactionPaymentEventType", [0, 1]],
      ["paymentEventDate", "SOAP::SOAPDateTime", [0, 1]],
      ["paymentEventUpdatedBy", "SOAP::SOAPString", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["altHandlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["paypalAuthId", "SOAP::SOAPString", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["paypalProcess", "SOAP::SOAPBoolean", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccSecurityCode", "SOAP::SOAPString", [0, 1]],
      ["threeDStatusCode", "SOAP::SOAPString", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoTransaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoStatus", "ActiveNetsuite::IntercoStatus", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["giftCertApplied", "SOAP::SOAPDouble", [0, 1]],
      ["tranIsVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoeAutoCalc", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::SalesOrderSalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::SalesOrderPartnersList", [0, 1]],
      ["giftCertRedemptionList", "ActiveNetsuite::GiftCertRedemptionList", [0, 1]],
      ["itemList", "ActiveNetsuite::SalesOrderItemList", [0, 1]],
      ["shipGroupList", "ActiveNetsuite::SalesOrderShipGroupList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesOrderSalesTeam,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrderSalesTeam"),
    :schema_element => [
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesOrderSalesTeamList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrderSalesTeamList"),
    :schema_element => [
      ["salesTeam", "ActiveNetsuite::SalesOrderSalesTeam[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesOrderItem,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrderItem"),
    :schema_element => [
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["commitInventory", "ActiveNetsuite::SalesOrderItemCommitInventory", [0, 1]],
      ["orderPriority", "SOAP::SOAPDouble", [0, 1]],
      ["licenseCode", "SOAP::SOAPString", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["createPo", "ActiveNetsuite::SalesOrderItemCreatePo", [0, 1]],
      ["createdPo", "ActiveNetsuite::RecordRef", [0, 1]],
      ["altSalesAmt", "SOAP::SOAPDouble", [0, 1]],
      ["createWo", "SOAP::SOAPBoolean", [0, 1]],
      ["poVendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["poCurrency", "SOAP::SOAPString", [0, 1]],
      ["poRate", "SOAP::SOAPDouble", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecTermInMonths", "SOAP::SOAPLong", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["deferRevRec", "SOAP::SOAPBoolean", [0, 1]],
      ["isClosed", "SOAP::SOAPBoolean", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fromJob", "SOAP::SOAPBoolean", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["excludeFromRateRequest", "SOAP::SOAPBoolean", [0, 1]],
      ["isEstimate", "SOAP::SOAPBoolean", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["percentComplete", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBilled", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityFulfilled", "SOAP::SOAPDouble", [0, 1]],
      ["quantityPacked", "SOAP::SOAPDouble", [0, 1]],
      ["quantityPicked", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertFrom", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientName", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientEmail", "SOAP::SOAPString", [0, 1]],
      ["giftCertMessage", "SOAP::SOAPString", [0, 1]],
      ["giftCertNumber", "SOAP::SOAPString", [0, 1]],
      ["shipGroup", "SOAP::SOAPLong", [0, 1]],
      ["itemIsFulfilled", "SOAP::SOAPBoolean", [0, 1]],
      ["shipAddress", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeIsEstimate", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAmount", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAllocation", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["expectedShipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["chargeType", "ActiveNetsuite::ChargeRuleType", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesOrderItemList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrderItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::SalesOrderItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesOrderPartnersList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrderPartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::Partners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesOrderShipGroupList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrderShipGroupList"),
    :schema_element => [
      ["shipGroup", "ActiveNetsuite::TransactionShipGroup[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionSearch,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["accountJoin", "ActiveNetsuite::AccountSearchBasic", [0, 1]],
      ["accountingPeriodJoin", "ActiveNetsuite::AccountingPeriodSearchBasic", [0, 1]],
      ["appliedToTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["applyingTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["billingTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["binNumberJoin", "ActiveNetsuite::BinSearchBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["classJoin", "ActiveNetsuite::ClassificationSearchBasic", [0, 1]],
      ["cogsPurchaseJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["cogsSaleJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["createdFromJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["customerMainJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["departmentJoin", "ActiveNetsuite::DepartmentSearchBasic", [0, 1]],
      ["depositTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["expenseCategoryJoin", "ActiveNetsuite::ExpenseCategorySearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["fulfillingTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["inventoryDetailJoin", "ActiveNetsuite::InventoryDetailSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["itemNumberJoin", "ActiveNetsuite::InventoryNumberSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["jobMainJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["leadSourceJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["paidTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["payingTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["payrollItemJoin", "ActiveNetsuite::PayrollItemSearchBasic", [0, 1]],
      ["purchaseOrderJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["requestorJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["revCommittingTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["revisionJoin", "ActiveNetsuite::ItemRevisionSearchBasic", [0, 1]],
      ["rgPostingTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["salesOrderJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["salesRepJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["subsidiaryJoin", "ActiveNetsuite::SubsidiarySearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionSearchAdvanced,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::TransactionSearch", [0, 1]],
      ["columns", "ActiveNetsuite::TransactionSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionSearchRow,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["accountJoin", "ActiveNetsuite::AccountSearchRowBasic", [0, 1]],
      ["accountingPeriodJoin", "ActiveNetsuite::AccountingPeriodSearchRowBasic", [0, 1]],
      ["appliedToTransactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["applyingTransactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["billingTransactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["binNumberJoin", "ActiveNetsuite::BinSearchRowBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchRowBasic", [0, 1]],
      ["classJoin", "ActiveNetsuite::ClassificationSearchRowBasic", [0, 1]],
      ["cogsPurchaseJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["cogsSaleJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchRowBasic", [0, 1]],
      ["createdFromJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["customerMainJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["departmentJoin", "ActiveNetsuite::DepartmentSearchRowBasic", [0, 1]],
      ["depositTransactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchRowBasic", [0, 1]],
      ["expenseCategoryJoin", "ActiveNetsuite::ExpenseCategorySearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["fulfillingTransactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["inventoryDetailJoin", "ActiveNetsuite::InventoryDetailSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["itemNumberJoin", "ActiveNetsuite::InventoryNumberSearchRowBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["jobMainJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["leadSourceJoin", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchRowBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchRowBasic", [0, 1]],
      ["paidTransactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchRowBasic", [0, 1]],
      ["payingTransactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["payrollItemJoin", "ActiveNetsuite::PayrollItemSearchRowBasic", [0, 1]],
      ["purchaseOrderJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["requestorJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["revCommittingTransactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["revisionJoin", "ActiveNetsuite::ItemRevisionSearchRowBasic", [0, 1]],
      ["rgPostingTransactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["salesOrderJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["salesRepJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["subsidiaryJoin", "ActiveNetsuite::SubsidiarySearchRowBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillment,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillment"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["createdFromShipGroup", "SOAP::SOAPLong", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["shipStatus", "ActiveNetsuite::ItemFulfillmentShipStatus", [0, 1]],
      ["saturdayDeliveryUps", "SOAP::SOAPBoolean", [0, 1]],
      ["sendShipNotifyEmailUps", "SOAP::SOAPBoolean", [0, 1]],
      ["sendBackupEmailUps", "SOAP::SOAPBoolean", [0, 1]],
      ["shipNotifyEmailAddressUps", "SOAP::SOAPString", [0, 1]],
      ["shipNotifyEmailAddress2Ups", "SOAP::SOAPString", [0, 1]],
      ["backupEmailAddressUps", "SOAP::SOAPString", [0, 1]],
      ["shipNotifyEmailMessageUps", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyAcctUps", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyZipcodeUps", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyCountryUps", "ActiveNetsuite::Country", [0, 1]],
      ["thirdPartyTypeUps", "ActiveNetsuite::ItemFulfillmentThirdPartyTypeUps", [0, 1]],
      ["partiesToTransactionUps", "SOAP::SOAPBoolean", [0, 1]],
      ["exportTypeUps", "ActiveNetsuite::ItemFulfillmentExportTypeUps", [0, 1]],
      ["methodOfTransportUps", "ActiveNetsuite::ItemFulfillmentMethodOfTransportUps", [0, 1]],
      ["carrierIdUps", "SOAP::SOAPString", [0, 1]],
      ["entryNumberUps", "SOAP::SOAPString", [0, 1]],
      ["inbondCodeUps", "SOAP::SOAPString", [0, 1]],
      ["isRoutedExportTransactionUps", "SOAP::SOAPBoolean", [0, 1]],
      ["licenseNumberUps", "SOAP::SOAPString", [0, 1]],
      ["licenseDateUps", "SOAP::SOAPDateTime", [0, 1]],
      ["licenseExceptionUps", "ActiveNetsuite::ItemFulfillmentLicenseExceptionUps", [0, 1]],
      ["eccNumberUps", "SOAP::SOAPString", [0, 1]],
      ["recipientTaxIdUps", "SOAP::SOAPString", [0, 1]],
      ["blanketStartDateUps", "SOAP::SOAPDateTime", [0, 1]],
      ["blanketEndDateUps", "SOAP::SOAPDateTime", [0, 1]],
      ["shipmentWeightUps", "SOAP::SOAPDouble", [0, 1]],
      ["saturdayDeliveryFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["saturdayPickupFedex", "SOAP::SOAPBoolean", [0, 1]],
      ["sendShipNotifyEmailFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["sendBackupEmailFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["signatureHomeDeliveryFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["shipNotifyEmailAddressFedEx", "SOAP::SOAPString", [0, 1]],
      ["backupEmailAddressFedEx", "SOAP::SOAPString", [0, 1]],
      ["shipDateFedEx", "SOAP::SOAPDateTime", [0, 1]],
      ["homeDeliveryTypeFedEx", "ActiveNetsuite::ItemFulfillmentHomeDeliveryTypeFedEx", [0, 1]],
      ["homeDeliveryDateFedEx", "SOAP::SOAPDateTime", [0, 1]],
      ["bookingConfirmationNumFedEx", "SOAP::SOAPString", [0, 1]],
      ["intlExemptionNumFedEx", "SOAP::SOAPString", [0, 1]],
      ["b13aFilingOptionFedEx", "ActiveNetsuite::ItemFulfillmentB13AFilingOptionFedEx", [0, 1]],
      ["b13aStatementDataFedEx", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyAcctFedEx", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyCountryFedEx", "ActiveNetsuite::Country", [0, 1]],
      ["thirdPartyTypeFedEx", "ActiveNetsuite::ItemFulfillmentThirdPartyTypeFedEx", [0, 1]],
      ["shipmentWeightFedEx", "SOAP::SOAPDouble", [0, 1]],
      ["termsOfSaleFedEx", "ActiveNetsuite::ItemFulfillmentTermsOfSaleFedEx", [0, 1]],
      ["termsFreightChargeFedEx", "SOAP::SOAPDouble", [0, 1]],
      ["termsInsuranceChargeFedEx", "SOAP::SOAPDouble", [0, 1]],
      ["insideDeliveryFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["insidePickupFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["ancillaryEndorsementFedEx", "ActiveNetsuite::ItemFulfillmentAncillaryEndorsementFedEx", [0, 1]],
      ["holdAtLocationFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["halPhoneFedEx", "SOAP::SOAPString", [0, 1]],
      ["halAddr1FedEx", "SOAP::SOAPString", [0, 1]],
      ["halAddr2FedEx", "SOAP::SOAPString", [0, 1]],
      ["halAddr3FedEx", "SOAP::SOAPString", [0, 1]],
      ["halCityFedEx", "SOAP::SOAPString", [0, 1]],
      ["halZipFedEx", "SOAP::SOAPString", [0, 1]],
      ["halStateFedEx", "SOAP::SOAPString", [0, 1]],
      ["halCountryFedEx", "SOAP::SOAPString", [0, 1]],
      ["hazmatTypeFedEx", "ActiveNetsuite::ItemFulfillmentHazmatTypeFedEx", [0, 1]],
      ["accessibilityTypeFedEx", "ActiveNetsuite::ItemFulfillmentAccessibilityTypeFedEx", [0, 1]],
      ["isCargoAircraftOnlyFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["generateIntegratedShipperLabel", "SOAP::SOAPBoolean", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["transferLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["packageList", "ActiveNetsuite::ItemFulfillmentPackageList", [0, 1]],
      ["packageUpsList", "ActiveNetsuite::ItemFulfillmentPackageUpsList", [0, 1]],
      ["packageUspsList", "ActiveNetsuite::ItemFulfillmentPackageUspsList", [0, 1]],
      ["packageFedExList", "ActiveNetsuite::ItemFulfillmentPackageFedExList", [0, 1]],
      ["itemList", "ActiveNetsuite::ItemFulfillmentItemList", [0, 1]],
      ["shipGroupList", "ActiveNetsuite::ItemFulfillmentShipGroupList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentItem,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentItem"),
    :schema_element => [
      ["jobName", "SOAP::SOAPString", [0, 1]],
      ["itemReceive", "SOAP::SOAPBoolean", [0, 1]],
      ["itemName", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["onHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["unitsDisplay", "SOAP::SOAPString", [0, 1]],
      ["createPo", "SOAP::SOAPString", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["poNum", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["quantityRemaining", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["shipGroup", "SOAP::SOAPLong", [0, 1]],
      ["itemIsFulfilled", "SOAP::SOAPBoolean", [0, 1]],
      ["shipAddress", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentItemList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::ItemFulfillmentItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackage,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackage"),
    :schema_element => [
      ["packageWeight", "SOAP::SOAPDouble", [0, 1]],
      ["packageDescr", "SOAP::SOAPString", [0, 1]],
      ["packageTrackingNumber", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageList"),
    :schema_element => [
      ["package", "ActiveNetsuite::ItemFulfillmentPackage[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageUps,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageUps"),
    :schema_element => [
      ["packageWeightUps", "SOAP::SOAPDouble", [0, 1]],
      ["packageDescrUps", "SOAP::SOAPString", [0, 1]],
      ["packageTrackingNumberUps", "SOAP::SOAPString", [0, 1]],
      ["packagingUps", "ActiveNetsuite::ItemFulfillmentPackageUpsPackagingUps", [0, 1]],
      ["useInsuredValueUps", "SOAP::SOAPBoolean", [0, 1]],
      ["insuredValueUps", "SOAP::SOAPDouble", [0, 1]],
      ["reference1Ups", "SOAP::SOAPString", [0, 1]],
      ["reference2Ups", "SOAP::SOAPString", [0, 1]],
      ["packageLengthUps", "SOAP::SOAPLong", [0, 1]],
      ["packageWidthUps", "SOAP::SOAPLong", [0, 1]],
      ["packageHeightUps", "SOAP::SOAPLong", [0, 1]],
      ["additionalHandlingUps", "SOAP::SOAPBoolean", [0, 1]],
      ["useCodUps", "SOAP::SOAPBoolean", [0, 1]],
      ["codAmountUps", "SOAP::SOAPDouble", [0, 1]],
      ["codMethodUps", "ActiveNetsuite::ItemFulfillmentPackageUpsCodMethodUps", [0, 1]],
      ["deliveryConfUps", "ActiveNetsuite::ItemFulfillmentPackageUpsDeliveryConfUps", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageUpsList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageUpsList"),
    :schema_element => [
      ["packageUps", "ActiveNetsuite::ItemFulfillmentPackageUps[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageUsps,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageUsps"),
    :schema_element => [
      ["packageWeightUsps", "SOAP::SOAPDouble", [0, 1]],
      ["packageDescrUsps", "SOAP::SOAPString", [0, 1]],
      ["packageTrackingNumberUsps", "SOAP::SOAPString", [0, 1]],
      ["packagingUsps", "ActiveNetsuite::ItemFulfillmentPackageUspsPackagingUsps", [0, 1]],
      ["useInsuredValueUsps", "SOAP::SOAPBoolean", [0, 1]],
      ["insuredValueUsps", "SOAP::SOAPDouble", [0, 1]],
      ["reference1Usps", "SOAP::SOAPString", [0, 1]],
      ["reference2Usps", "SOAP::SOAPString", [0, 1]],
      ["packageLengthUsps", "SOAP::SOAPLong", [0, 1]],
      ["packageWidthUsps", "SOAP::SOAPLong", [0, 1]],
      ["packageHeightUsps", "SOAP::SOAPLong", [0, 1]],
      ["deliveryConfUsps", "ActiveNetsuite::ItemFulfillmentPackageUspsDeliveryConfUsps", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageUspsList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageUspsList"),
    :schema_element => [
      ["packageUsps", "ActiveNetsuite::ItemFulfillmentPackageUsps[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageFedEx,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageFedEx"),
    :schema_element => [
      ["packageWeightFedEx", "SOAP::SOAPDouble", [0, 1]],
      ["dryIceWeightFedEx", "SOAP::SOAPDouble", [0, 1]],
      ["packageTrackingNumberFedEx", "SOAP::SOAPString", [0, 1]],
      ["packagingFedEx", "ActiveNetsuite::ItemFulfillmentPackageFedExPackagingFedEx", [0, 1]],
      ["admPackageTypeFedEx", "ActiveNetsuite::ItemFulfillmentPackageFedExAdmPackageTypeFedEx", [0, 1]],
      ["isNonStandardContainerFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["isAlcoholFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["isNonHazLithiumFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["insuredValueFedEx", "SOAP::SOAPDouble", [0, 1]],
      ["useInsuredValueFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["reference1FedEx", "SOAP::SOAPString", [0, 1]],
      ["priorityAlertTypeFedEx", "ActiveNetsuite::ItemFulfillmentPackageFedExPriorityAlertTypeFedEx", [0, 1]],
      ["priorityAlertContentFedEx", "SOAP::SOAPString", [0, 1]],
      ["packageLengthFedEx", "SOAP::SOAPLong", [0, 1]],
      ["packageWidthFedEx", "SOAP::SOAPLong", [0, 1]],
      ["packageHeightFedEx", "SOAP::SOAPLong", [0, 1]],
      ["useCodFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["codAmountFedEx", "SOAP::SOAPDouble", [0, 1]],
      ["codMethodFedEx", "ActiveNetsuite::ItemFulfillmentPackageFedExCodMethodFedEx", [0, 1]],
      ["codFreightTypeFedEx", "ActiveNetsuite::ItemFulfillmentPackageFedExCodFreightTypeFedEx", [0, 1]],
      ["deliveryConfFedEx", "ActiveNetsuite::ItemFulfillmentPackageFedExDeliveryConfFedEx", [0, 1]],
      ["signatureOptionsFedEx", "ActiveNetsuite::ItemFulfillmentPackageFedExSignatureOptionsFedEx", [0, 1]],
      ["signatureReleaseFedEx", "SOAP::SOAPString", [0, 1]],
      ["authorizationNumberFedEx", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageFedExList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageFedExList"),
    :schema_element => [
      ["packageFedEx", "ActiveNetsuite::ItemFulfillmentPackageFedEx[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentShipGroupList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentShipGroupList"),
    :schema_element => [
      ["shipGroup", "ActiveNetsuite::TransactionShipGroup[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Invoice,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "Invoice"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["opportunity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dueDate", "SOAP::SOAPDateTime", [0, 1]],
      ["discountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["discountAmount", "SOAP::SOAPDouble", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["salesEffectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["excludeCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amountPaid", "SOAP::SOAPDouble", [0, 1]],
      ["amountRemaining", "SOAP::SOAPDouble", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["onCreditHold", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["revenueStatus", "ActiveNetsuite::RevenueStatus", [0, 1]],
      ["recognizedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["deferredRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["revRecOnRevCommitment", "SOAP::SOAPBoolean", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["altHandlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["expCostDiscount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCostDiscount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["timeDiscount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expCostDiscRate", "SOAP::SOAPString", [0, 1]],
      ["itemCostDiscRate", "SOAP::SOAPString", [0, 1]],
      ["timeDiscRate", "SOAP::SOAPString", [0, 1]],
      ["expCostDiscAmount", "SOAP::SOAPDouble", [0, 1]],
      ["expCostTaxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["expCostTaxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostDiscAmount", "SOAP::SOAPDouble", [0, 1]],
      ["expCostTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expCostDiscTax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostTaxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["timeDiscAmount", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expCostDiscTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["itemCostDiscTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["itemCostTaxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostDiscTax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostDiscPrint", "SOAP::SOAPBoolean", [0, 1]],
      ["timeDiscTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["timeTaxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["expCostDiscPrint", "SOAP::SOAPBoolean", [0, 1]],
      ["timeTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["timeDiscPrint", "SOAP::SOAPBoolean", [0, 1]],
      ["giftCertApplied", "SOAP::SOAPDouble", [0, 1]],
      ["timeDiscTax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["tranIsVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["timeTaxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAutoCalc", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::InvoiceSalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::InvoicePartnersList", [0, 1]],
      ["itemList", "ActiveNetsuite::InvoiceItemList", [0, 1]],
      ["itemCostList", "ActiveNetsuite::InvoiceItemCostList", [0, 1]],
      ["giftCertRedemptionList", "ActiveNetsuite::GiftCertRedemptionList", [0, 1]],
      ["expCostList", "ActiveNetsuite::InvoiceExpCostList", [0, 1]],
      ["timeList", "ActiveNetsuite::InvoiceTimeList", [0, 1]],
      ["shipGroupList", "ActiveNetsuite::InvoiceShipGroupList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InvoiceSalesTeam,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceSalesTeam"),
    :schema_element => [
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InvoiceSalesTeamList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceSalesTeamList"),
    :schema_element => [
      ["salesTeam", "ActiveNetsuite::InvoiceSalesTeam[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InvoiceItem,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceItem"),
    :schema_element => [
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["deferRevRec", "SOAP::SOAPBoolean", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["currentPercent", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["percentComplete", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityRemaining", "SOAP::SOAPDouble", [0, 1]],
      ["quantityFulfilled", "SOAP::SOAPDouble", [0, 1]],
      ["amountOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["licenseCode", "SOAP::SOAPString", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertFrom", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientName", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientEmail", "SOAP::SOAPString", [0, 1]],
      ["giftCertMessage", "SOAP::SOAPString", [0, 1]],
      ["giftCertNumber", "SOAP::SOAPString", [0, 1]],
      ["shipGroup", "SOAP::SOAPLong", [0, 1]],
      ["itemIsFulfilled", "SOAP::SOAPBoolean", [0, 1]],
      ["shipAddress", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeIsEstimate", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAmount", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAllocation", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["chargeType", "ActiveNetsuite::ChargeRuleType", [0, 1]],
      ["chargesList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InvoiceItemList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::InvoiceItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InvoiceItemCost,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceItemCost"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["billedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["itemDisp", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["jobDisp", "SOAP::SOAPString", [0, 1]],
      ["department", "SOAP::SOAPString", [0, 1]],
      ["v_class", ["SOAP::SOAPString", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "SOAP::SOAPString", [0, 1]],
      ["unitDisp", "SOAP::SOAPString", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["itemCostCount", "SOAP::SOAPString", [0, 1]],
      ["quantity", "SOAP::SOAPString", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InvoiceItemCostList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceItemCostList"),
    :schema_element => [
      ["itemCost", "ActiveNetsuite::InvoiceItemCost[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InvoiceExpCost,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceExpCost"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["billedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["jobDisp", "SOAP::SOAPString", [0, 1]],
      ["employeeDisp", "SOAP::SOAPString", [0, 1]],
      ["categoryDisp", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "SOAP::SOAPString", [0, 1]],
      ["v_class", ["SOAP::SOAPString", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "SOAP::SOAPString", [0, 1]],
      ["originalAmount", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["taxableDisp", "SOAP::SOAPString", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InvoiceExpCostList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceExpCostList"),
    :schema_element => [
      ["expCost", "ActiveNetsuite::InvoiceExpCost[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InvoiceTime,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceTime"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["billedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["employeeDisp", "SOAP::SOAPString", [0, 1]],
      ["itemDisp", "SOAP::SOAPString", [0, 1]],
      ["jobDisp", "SOAP::SOAPString", [0, 1]],
      ["department", "SOAP::SOAPString", [0, 1]],
      ["v_class", ["SOAP::SOAPString", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "SOAP::SOAPString", [0, 1]],
      ["quantity", "SOAP::SOAPString", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["unitDisp", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InvoiceTimeList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceTimeList"),
    :schema_element => [
      ["time", "ActiveNetsuite::InvoiceTime[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InvoicePartnersList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoicePartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::Partners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InvoiceShipGroupList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "InvoiceShipGroupList"),
    :schema_element => [
      ["shipGroup", "ActiveNetsuite::TransactionShipGroup[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashSale,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSale"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["opportunity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["salesEffectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["excludeCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["undepFunds", "SOAP::SOAPBoolean", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revenueStatus", "ActiveNetsuite::RevenueStatus", [0, 1]],
      ["recognizedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["deferredRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["revRecOnRevCommitment", "SOAP::SOAPBoolean", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payPalStatus", "SOAP::SOAPString", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["authCode", "SOAP::SOAPString", [0, 1]],
      ["ccAvsStreetMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["ccAvsZipMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["payPalTranId", "SOAP::SOAPString", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["ccIsPurchaseCardBin", "SOAP::SOAPBoolean", [0, 1]],
      ["ignoreAvs", "SOAP::SOAPBoolean", [0, 1]],
      ["ccProcessAsPurchaseCard", "SOAP::SOAPBoolean", [0, 1]],
      ["itemCostDiscount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCostDiscRate", "SOAP::SOAPString", [0, 1]],
      ["itemCostDiscAmount", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostTaxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostTaxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostDiscTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["itemCostTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCostDiscTax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostDiscPrint", "SOAP::SOAPBoolean", [0, 1]],
      ["expCostDiscount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expCostDiscRate", "SOAP::SOAPString", [0, 1]],
      ["expCostDiscAmount", "SOAP::SOAPDouble", [0, 1]],
      ["expCostDiscTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["expCostDiscprint", "SOAP::SOAPBoolean", [0, 1]],
      ["expCostTaxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["timeDiscount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expCostTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["timeDiscRate", "SOAP::SOAPString", [0, 1]],
      ["expCostTaxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["expCostDiscTax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["timeDiscAmount", "SOAP::SOAPDouble", [0, 1]],
      ["timeDiscTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["timeDiscPrint", "SOAP::SOAPBoolean", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["timeTaxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["timeTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["altHandlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["timeDiscTax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["ccSecurityCode", "SOAP::SOAPString", [0, 1]],
      ["timeTaxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["ccSecurityCodeMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["chargeIt", "SOAP::SOAPBoolean", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["threeDStatusCode", "SOAP::SOAPString", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["paypalAuthId", "SOAP::SOAPString", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["paypalProcess", "SOAP::SOAPBoolean", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["giftCertApplied", "SOAP::SOAPDouble", [0, 1]],
      ["tranIsVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoeAutoCalc", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::CashSaleSalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::CashSalePartnersList", [0, 1]],
      ["itemList", "ActiveNetsuite::CashSaleItemList", [0, 1]],
      ["itemCostList", "ActiveNetsuite::CashSaleItemCostList", [0, 1]],
      ["giftCertRedemptionList", "ActiveNetsuite::GiftCertRedemptionList", [0, 1]],
      ["expCostList", "ActiveNetsuite::CashSaleExpCostList", [0, 1]],
      ["timeList", "ActiveNetsuite::CashSaleTimeList", [0, 1]],
      ["shipGroupList", "ActiveNetsuite::CashSaleShipGroupList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashSaleSalesTeam,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleSalesTeam"),
    :schema_element => [
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashSaleSalesTeamList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleSalesTeamList"),
    :schema_element => [
      ["salesTeam", "ActiveNetsuite::CashSaleSalesTeam[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashSaleItem,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleItem"),
    :schema_element => [
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityFulfilled", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["licenseCode", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["deferRevRec", "SOAP::SOAPBoolean", [0, 1]],
      ["currentPercent", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["percentComplete", "SOAP::SOAPDouble", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["amountOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityRemaining", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertFrom", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientName", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientEmail", "SOAP::SOAPString", [0, 1]],
      ["giftCertMessage", "SOAP::SOAPString", [0, 1]],
      ["giftCertNumber", "SOAP::SOAPString", [0, 1]],
      ["shipGroup", "SOAP::SOAPLong", [0, 1]],
      ["itemIsFulfilled", "SOAP::SOAPBoolean", [0, 1]],
      ["shipAddress", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeIsEstimate", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAmount", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAllocation", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["chargeType", "ActiveNetsuite::ChargeRuleType", [0, 1]],
      ["chargesList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashSaleItemList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::CashSaleItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashSaleItemCost,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleItemCost"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["billedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["itemDisp", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["jobDisp", "SOAP::SOAPString", [0, 1]],
      ["department", "SOAP::SOAPString", [0, 1]],
      ["v_class", ["SOAP::SOAPString", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "SOAP::SOAPString", [0, 1]],
      ["unitDisp", "SOAP::SOAPString", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["itemCostCount", "SOAP::SOAPString", [0, 1]],
      ["quantity", "SOAP::SOAPString", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashSaleItemCostList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleItemCostList"),
    :schema_element => [
      ["itemCost", "ActiveNetsuite::CashSaleItemCost[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashSaleExpCost,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleExpCost"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["billedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["jobDisp", "SOAP::SOAPString", [0, 1]],
      ["employeeDisp", "SOAP::SOAPString", [0, 1]],
      ["categoryDisp", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "SOAP::SOAPString", [0, 1]],
      ["v_class", ["SOAP::SOAPString", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "SOAP::SOAPString", [0, 1]],
      ["originalAmount", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["taxableDisp", "SOAP::SOAPString", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashSaleExpCostList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleExpCostList"),
    :schema_element => [
      ["expCost", "ActiveNetsuite::CashSaleExpCost[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashSaleTime,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleTime"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["billedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["employeeDisp", "SOAP::SOAPString", [0, 1]],
      ["itemDisp", "SOAP::SOAPString", [0, 1]],
      ["jobDisp", "SOAP::SOAPString", [0, 1]],
      ["department", "SOAP::SOAPString", [0, 1]],
      ["v_class", ["SOAP::SOAPString", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "SOAP::SOAPString", [0, 1]],
      ["quantity", "SOAP::SOAPString", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["unitDisp", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashSaleTimeList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleTimeList"),
    :schema_element => [
      ["time", "ActiveNetsuite::CashSaleTime[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashSalePartnersList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSalePartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::Partners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashSaleShipGroupList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSaleShipGroupList"),
    :schema_element => [
      ["shipGroup", "ActiveNetsuite::TransactionShipGroup[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Estimate,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "Estimate"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["entityStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["probability", "SOAP::SOAPDouble", [0, 1]],
      ["includeInForecast", "SOAP::SOAPBoolean", [0, 1]],
      ["forecastType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["opportunity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dueDate", "SOAP::SOAPDateTime", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expectedCloseDate", "SOAP::SOAPDateTime", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["visibleToCustomer", "SOAP::SOAPBoolean", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["altSalesTotal", "SOAP::SOAPDouble", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["altHandlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["itemList", "ActiveNetsuite::EstimateItemList", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::EstimateSalesTeamList", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["partnersList", "ActiveNetsuite::EstimatePartnersList", [0, 1]],
      ["shipGroupList", "ActiveNetsuite::EstimateShipGroupList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EstimateItem,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "EstimateItem"),
    :schema_element => [
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["revRecTermInMonths", "SOAP::SOAPLong", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["altSalesAmt", "SOAP::SOAPDouble", [0, 1]],
      ["fromJob", "SOAP::SOAPBoolean", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["isEstimate", "SOAP::SOAPBoolean", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["shipGroup", "SOAP::SOAPLong", [0, 1]],
      ["itemIsFulfilled", "SOAP::SOAPBoolean", [0, 1]],
      ["shipAddress", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expectedShipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["chargeType", "ActiveNetsuite::ChargeRuleType", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EstimateItemList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "EstimateItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::EstimateItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EstimateSalesTeam,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "EstimateSalesTeam"),
    :schema_element => [
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EstimateSalesTeamList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "EstimateSalesTeamList"),
    :schema_element => [
      ["salesTeam", "ActiveNetsuite::EstimateSalesTeam[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EstimatePartnersList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "EstimatePartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::Partners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EstimateShipGroupList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "EstimateShipGroupList"),
    :schema_element => [
      ["shipGroup", "ActiveNetsuite::TransactionShipGroup[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GiftCertRedemption,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "GiftCertRedemption"),
    :schema_element => [
      ["authCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["authCodeApplied", "SOAP::SOAPDouble", [0, 1]],
      ["authCodeAmtRemaining", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertAvailable", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GiftCertRedemptionList,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "GiftCertRedemptionList"),
    :schema_element => [
      ["giftCertRedemption", "ActiveNetsuite::GiftCertRedemption[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionShipGroup,
    :schema_type => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionShipGroup"),
    :schema_element => [
      ["id", "SOAP::SOAPLong", [0, 1]],
      ["isFulfilled", "SOAP::SOAPBoolean", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["sourceAddressRef", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceAddress", "SOAP::SOAPString", [0, 1]],
      ["destinationAddressRef", "ActiveNetsuite::RecordRef", [0, 1]],
      ["destinationAddress", "SOAP::SOAPString", [0, 1]],
      ["shippingMethodRef", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingMethod", "SOAP::SOAPString", [0, 1]],
      ["isHandlingTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTaxRate", "SOAP::SOAPString", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["handlingRate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTaxAmt", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Amt", "SOAP::SOAPDouble", [0, 1]],
      ["isShippingTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingTaxRate", "SOAP::SOAPString", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["shippingRate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTaxAmt", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax2Amt", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PurchLandedCostList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "PurchLandedCostList"),
    :schema_element => [
      ["landedCost", "ActiveNetsuite::LandedCostSummary[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorBill,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorBill"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["approvalStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["nextApprover", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dueDate", "SOAP::SOAPDateTime", [0, 1]],
      ["discountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["userTotal", "SOAP::SOAPDouble", [0, 1]],
      ["discountAmount", "SOAP::SOAPDouble", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["creditLimit", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["landedCostMethod", "ActiveNetsuite::LandedCostMethod", [0, 1]],
      ["landedCostPerLine", "SOAP::SOAPBoolean", [0, 1]],
      ["expenseList", "ActiveNetsuite::VendorBillExpenseList", [0, 1]],
      ["itemList", "ActiveNetsuite::VendorBillItemList", [0, 1]],
      ["landedCostsList", "ActiveNetsuite::PurchLandedCostList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["purchaseOrderList", "ActiveNetsuite::RecordRefList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorBillExpense,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorBillExpense"),
    :schema_element => [
      ["orderDoc", "SOAP::SOAPLong", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["amortizationSched", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationResidual", "SOAP::SOAPString", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorBillExpenseList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorBillExpenseList"),
    :schema_element => [
      ["expense", "ActiveNetsuite::VendorBillExpense[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorBillItem,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorBillItem"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["orderDoc", "SOAP::SOAPLong", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["landedCostCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["billVarianceStatus", "ActiveNetsuite::TransactionBillVarianceStatus", [0, 1]],
      ["billreceiptsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["amortizationSched", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationResidual", "SOAP::SOAPString", [0, 1]],
      ["landedCost", "ActiveNetsuite::LandedCost", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorBillItemList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorBillItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::VendorBillItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PurchaseOrder,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "PurchaseOrder"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supervisorApproval", "SOAP::SOAPBoolean", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dueDate", "SOAP::SOAPDateTime", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["approvalStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["nextApprover", "ActiveNetsuite::RecordRef", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipTo", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoTransaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoStatus", "ActiveNetsuite::IntercoStatus", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["orderStatus", "ActiveNetsuite::PurchaseOrderOrderStatus", [0, 1]],
      ["itemList", "ActiveNetsuite::PurchaseOrderItemList", [0, 1]],
      ["expenseList", "ActiveNetsuite::PurchaseOrderExpenseList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PurchaseOrderExpense,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "PurchaseOrderExpense"),
    :schema_element => [
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isClosed", "SOAP::SOAPBoolean", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PurchaseOrderExpenseList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "PurchaseOrderExpenseList"),
    :schema_element => [
      ["expense", "ActiveNetsuite::PurchaseOrderExpense[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PurchaseOrderItem,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "PurchaseOrderItem"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["quantityReceived", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBilled", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["landedCostCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["billVarianceStatus", "ActiveNetsuite::TransactionBillVarianceStatus", [0, 1]],
      ["matchBillToReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["expectedReceiptDate", "SOAP::SOAPDateTime", [0, 1]],
      ["isClosed", "SOAP::SOAPBoolean", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PurchaseOrderItemList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "PurchaseOrderItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::PurchaseOrderItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemReceipt,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemReceipt"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["landedCostMethod", "ActiveNetsuite::LandedCostMethod", [0, 1]],
      ["landedCostPerLine", "SOAP::SOAPBoolean", [0, 1]],
      ["itemList", "ActiveNetsuite::ItemReceiptItemList", [0, 1]],
      ["expenseList", "ActiveNetsuite::ItemReceiptExpenseList", [0, 1]],
      ["landedCostsList", "ActiveNetsuite::PurchLandedCostList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemReceiptItem,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemReceiptItem"),
    :schema_element => [
      ["itemReceive", "SOAP::SOAPBoolean", [0, 1]],
      ["jobName", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["itemName", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["onHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityRemaining", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["unitsDisplay", "SOAP::SOAPString", [0, 1]],
      ["unitCostOverride", "SOAP::SOAPDouble", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["restock", "SOAP::SOAPBoolean", [0, 1]],
      ["billVarianceStatus", "ActiveNetsuite::TransactionBillVarianceStatus", [0, 1]],
      ["isDropShipment", "SOAP::SOAPBoolean", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["landedCost", "ActiveNetsuite::LandedCost", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemReceiptItemList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemReceiptItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::ItemReceiptItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemReceiptExpense,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemReceiptExpense"),
    :schema_element => [
      ["markReceived", "SOAP::SOAPBoolean", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["account", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemReceiptExpenseList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemReceiptExpenseList"),
    :schema_element => [
      ["expense", "ActiveNetsuite::ItemReceiptExpense[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorPayment,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorPayment"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["apAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["address", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["voidJournal", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["toAch", "SOAP::SOAPBoolean", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["printVoucher", "SOAP::SOAPBoolean", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["applyList", "ActiveNetsuite::VendorPaymentApplyList", [0, 1]],
      ["creditList", "ActiveNetsuite::VendorPaymentCreditList", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorPaymentApply,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorPaymentApply"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["job", "SOAP::SOAPString", [0, 1]],
      ["applyDate", "SOAP::SOAPDateTime", [0, 1]],
      ["type", "SOAP::SOAPString", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["due", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["discDate", "SOAP::SOAPDateTime", [0, 1]],
      ["discAmt", "SOAP::SOAPDouble", [0, 1]],
      ["disc", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorPaymentApplyList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorPaymentApplyList"),
    :schema_element => [
      ["apply", "ActiveNetsuite::VendorPaymentApply[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorPaymentCredit,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorPaymentCredit"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["creditDate", "SOAP::SOAPDateTime", [0, 1]],
      ["type", "SOAP::SOAPString", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["appliedTo", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["due", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorPaymentCreditList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorPaymentCreditList"),
    :schema_element => [
      ["credit", "ActiveNetsuite::VendorPaymentCredit[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorCredit,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorCredit"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["unApplied", "SOAP::SOAPDouble", [0, 1]],
      ["autoApply", "SOAP::SOAPBoolean", [0, 1]],
      ["applied", "SOAP::SOAPDouble", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["userTotal", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expenseList", "ActiveNetsuite::VendorCreditExpenseList", [0, 1]],
      ["itemList", "ActiveNetsuite::VendorCreditItemList", [0, 1]],
      ["applyList", "ActiveNetsuite::VendorCreditApplyList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorCreditExpense,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorCreditExpense"),
    :schema_element => [
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["amortizationSched", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationResidual", "SOAP::SOAPString", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorCreditExpenseList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorCreditExpenseList"),
    :schema_element => [
      ["expense", "ActiveNetsuite::VendorCreditExpense[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorCreditItem,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorCreditItem"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbersList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["amortizationSched", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationResidual", "SOAP::SOAPString", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorCreditItemList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorCreditItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::VendorCreditItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorCreditApply,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorCreditApply"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["applyDate", "SOAP::SOAPDateTime", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["type", "SOAP::SOAPString", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["due", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorCreditApplyList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorCreditApplyList"),
    :schema_element => [
      ["apply", "ActiveNetsuite::VendorCreditApply[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorReturnAuthorization,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorReturnAuthorization"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["orderStatus", "ActiveNetsuite::VendorReturnAuthorizationOrderStatus", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["userTotal", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoTransaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoStatus", "ActiveNetsuite::IntercoStatus", [0, 1]],
      ["expenseList", "ActiveNetsuite::VendorReturnAuthorizationExpenseList", [0, 1]],
      ["itemList", "ActiveNetsuite::VendorReturnAuthorizationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorReturnAuthorizationExpense,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorReturnAuthorizationExpense"),
    :schema_element => [
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["amortizationSched", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationResidual", "SOAP::SOAPString", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorReturnAuthorizationExpenseList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorReturnAuthorizationExpenseList"),
    :schema_element => [
      ["expense", "ActiveNetsuite::VendorReturnAuthorizationExpense[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorReturnAuthorizationItem,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorReturnAuthorizationItem"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbersList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["isClosed", "SOAP::SOAPBoolean", [0, 1]],
      ["amortizationSched", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isDropShipment", "SOAP::SOAPBoolean", [0, 1]],
      ["amortizStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationResidual", "SOAP::SOAPString", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorReturnAuthorizationItemList,
    :schema_type => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorReturnAuthorizationItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::VendorReturnAuthorizationItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashRefund,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashRefund"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["salesEffectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["refundCheck", "SOAP::SOAPBoolean", [0, 1]],
      ["toPrint2", "SOAP::SOAPBoolean", [0, 1]],
      ["excludeCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revenueStatus", "ActiveNetsuite::RevenueStatus", [0, 1]],
      ["recognizedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["deferredRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["revRecOnRevCommitment", "SOAP::SOAPBoolean", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["chargeIt", "SOAP::SOAPBoolean", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["payPalTranId", "SOAP::SOAPString", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["ccIsPurchaseCardBin", "SOAP::SOAPBoolean", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["ccProcessAsPurchaseCard", "SOAP::SOAPBoolean", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["payPalStatus", "SOAP::SOAPString", [0, 1]],
      ["altHandlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["payPalAuthId", "SOAP::SOAPString", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["giftCert", "ActiveNetsuite::RecordRef", [0, 1]],
      ["giftCertTotal", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertApplied", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["tranIsVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["payPalProcess", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoeAutoCalc", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["itemList", "ActiveNetsuite::CashRefundItemList", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::CashRefundSalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::CashRefundPartnersList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashRefundItem,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashRefundItem"),
    :schema_element => [
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPString", [0, 1]],
      ["taxRate2", "SOAP::SOAPString", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["giftCertFrom", "SOAP::SOAPString", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertRecipientName", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientEmail", "SOAP::SOAPString", [0, 1]],
      ["giftCertMessage", "SOAP::SOAPString", [0, 1]],
      ["giftCertNumber", "SOAP::SOAPString", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeIsEstimate", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAmount", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAllocation", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["chargeType", "ActiveNetsuite::ChargeRuleType", [0, 1]],
      ["chargesList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashRefundItemList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashRefundItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::CashRefundItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashRefundSalesTeam,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashRefundSalesTeam"),
    :schema_element => [
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashRefundSalesTeamList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashRefundSalesTeamList"),
    :schema_element => [
      ["salesTeam", "ActiveNetsuite::CashRefundSalesTeam[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashRefundPartnersList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashRefundPartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::Partners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerPayment,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerPayment"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["arAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["pending", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payment", "SOAP::SOAPDouble", [0, 1]],
      ["autoApply", "SOAP::SOAPBoolean", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccIsPurchaseCardBin", "SOAP::SOAPBoolean", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["ccProcessAsPurchaseCard", "SOAP::SOAPBoolean", [0, 1]],
      ["checkNum", "SOAP::SOAPString", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["chargeIt", "SOAP::SOAPBoolean", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["authCode", "SOAP::SOAPString", [0, 1]],
      ["ccAvsStreetMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["ccAvsZipMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["ccSecurityCode", "SOAP::SOAPString", [0, 1]],
      ["ignoreAvs", "SOAP::SOAPBoolean", [0, 1]],
      ["ccSecurityCodeMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["threeDStatusCode", "SOAP::SOAPString", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["undepFunds", "SOAP::SOAPBoolean", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["applied", "SOAP::SOAPDouble", [0, 1]],
      ["unapplied", "SOAP::SOAPDouble", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["applyList", "ActiveNetsuite::CustomerPaymentApplyList", [0, 1]],
      ["creditList", "ActiveNetsuite::CustomerPaymentCreditList", [0, 1]],
      ["depositList", "ActiveNetsuite::CustomerPaymentDepositList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerPaymentApply,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerPaymentApply"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["applyDate", "SOAP::SOAPDateTime", [0, 1]],
      ["job", "SOAP::SOAPString", [0, 1]],
      ["type", "SOAP::SOAPString", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["due", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["discDate", "SOAP::SOAPDateTime", [0, 1]],
      ["discAmt", "SOAP::SOAPDouble", [0, 1]],
      ["disc", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerPaymentApplyList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerPaymentApplyList"),
    :schema_element => [
      ["apply", "ActiveNetsuite::CustomerPaymentApply[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerPaymentCredit,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerPaymentCredit"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["creditDate", "SOAP::SOAPDateTime", [0, 1]],
      ["type", "SOAP::SOAPString", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["appliedTo", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["due", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerPaymentCreditList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerPaymentCreditList"),
    :schema_element => [
      ["credit", "ActiveNetsuite::CustomerPaymentCredit[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerPaymentDeposit,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerPaymentDeposit"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["depositDate", "SOAP::SOAPDateTime", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["remaining", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerPaymentDepositList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerPaymentDepositList"),
    :schema_element => [
      ["deposit", "ActiveNetsuite::CustomerPaymentDeposit[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ReturnAuthorization,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ReturnAuthorization"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoTransaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoStatus", "ActiveNetsuite::IntercoStatus", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["drAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fxAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesEffectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["excludeCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["revenueStatus", "ActiveNetsuite::RevenueStatus", [0, 1]],
      ["recognizedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["deferredRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["revRecOnRevCommitment", "SOAP::SOAPBoolean", [0, 1]],
      ["revCommitStatus", "ActiveNetsuite::RevenueCommitStatus", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["altSalesTotal", "SOAP::SOAPDouble", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payPalAuthId", "SOAP::SOAPString", [0, 1]],
      ["payPalProcess", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["orderStatus", "ActiveNetsuite::ReturnAuthorizationOrderStatus", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["giftCert", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["giftCertTotal", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertApplied", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["tranIsVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoeAutoCalc", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["itemList", "ActiveNetsuite::ReturnAuthorizationItemList", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::ReturnAuthorizationSalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::ReturnAuthorizationPartnersList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ReturnAuthorizationItem,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ReturnAuthorizationItem"),
    :schema_element => [
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["quantityReceived", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBilled", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["revRecTermInMonths", "SOAP::SOAPLong", [0, 1]],
      ["deferRevRec", "SOAP::SOAPBoolean", [0, 1]],
      ["isClosed", "SOAP::SOAPBoolean", [0, 1]],
      ["isDropShipment", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["giftCertFrom", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientName", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientEmail", "SOAP::SOAPString", [0, 1]],
      ["giftCertMessage", "SOAP::SOAPString", [0, 1]],
      ["giftCertNumber", "SOAP::SOAPString", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeIsEstimate", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAmount", "SOAP::SOAPDouble", [0, 1]],
      ["altSalesAmt", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAllocation", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ReturnAuthorizationItemList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ReturnAuthorizationItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::ReturnAuthorizationItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ReturnAuthorizationSalesTeam,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ReturnAuthorizationSalesTeam"),
    :schema_element => [
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ReturnAuthorizationSalesTeamList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ReturnAuthorizationSalesTeamList"),
    :schema_element => [
      ["salesTeam", "ActiveNetsuite::ReturnAuthorizationSalesTeam[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ReturnAuthorizationPartnersList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ReturnAuthorizationPartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::Partners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CreditMemo,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CreditMemo"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["excludeCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["onCreditHold", "SOAP::SOAPString", [0, 1]],
      ["amountPaid", "SOAP::SOAPDouble", [0, 1]],
      ["salesEffectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amountRemaining", "SOAP::SOAPDouble", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["unapplied", "SOAP::SOAPDouble", [0, 1]],
      ["autoApply", "SOAP::SOAPBoolean", [0, 1]],
      ["applied", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["revenueStatus", "ActiveNetsuite::RevenueStatus", [0, 1]],
      ["recognizedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["deferredRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["revRecOnRevCommitment", "SOAP::SOAPBoolean", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["altHandlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["giftCert", "ActiveNetsuite::RecordRef", [0, 1]],
      ["giftCertTotal", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertApplied", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["tranIsVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoeAutoCalc", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::CreditMemoSalesTeamList", [0, 1]],
      ["itemList", "ActiveNetsuite::CreditMemoItemList", [0, 1]],
      ["partnersList", "ActiveNetsuite::CreditMemoPartnersList", [0, 1]],
      ["applyList", "ActiveNetsuite::CreditMemoApplyList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CreditMemoSalesTeam,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CreditMemoSalesTeam"),
    :schema_element => [
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isPrimary", "SOAP::SOAPBoolean", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CreditMemoSalesTeamList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CreditMemoSalesTeamList"),
    :schema_element => [
      ["salesTeam", "ActiveNetsuite::CreditMemoSalesTeam[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CreditMemoItem,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CreditMemoItem"),
    :schema_element => [
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["orderLine", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecTermInMonths", "SOAP::SOAPLong", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["deferRevRec", "SOAP::SOAPBoolean", [0, 1]],
      ["giftCertFrom", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientName", "SOAP::SOAPString", [0, 1]],
      ["giftCertRecipientEmail", "SOAP::SOAPString", [0, 1]],
      ["giftCertMessage", "SOAP::SOAPString", [0, 1]],
      ["giftCertNumber", "SOAP::SOAPString", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeIsEstimate", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAmount", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAllocation", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["chargeType", "ActiveNetsuite::ChargeRuleType", [0, 1]],
      ["chargesList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CreditMemoItemList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CreditMemoItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::CreditMemoItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CreditMemoApply,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CreditMemoApply"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["applyDate", "SOAP::SOAPDateTime", [0, 1]],
      ["job", "SOAP::SOAPString", [0, 1]],
      ["type", "SOAP::SOAPString", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["due", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CreditMemoApplyList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CreditMemoApplyList"),
    :schema_element => [
      ["apply", "ActiveNetsuite::CreditMemoApply[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CreditMemoPartnersList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CreditMemoPartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::Partners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerRefund,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerRefund"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["arAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["address", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["voidJournal", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["chargeIt", "SOAP::SOAPBoolean", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccIsPurchaseCardBin", "SOAP::SOAPBoolean", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["ccProcessAsPurchaseCard", "SOAP::SOAPBoolean", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["applyList", "ActiveNetsuite::CustomerRefundApplyList", [0, 1]],
      ["depositList", "ActiveNetsuite::CustomerRefundDepositList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerRefundApply,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerRefundApply"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["applyDate", "SOAP::SOAPDateTime", [0, 1]],
      ["type", "SOAP::SOAPString", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["due", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerRefundApplyList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerRefundApplyList"),
    :schema_element => [
      ["apply", "ActiveNetsuite::CustomerRefundApply[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerRefundDeposit,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerRefundDeposit"),
    :schema_element => [
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["depositDate", "SOAP::SOAPDateTime", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["remaining", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerRefundDepositList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerRefundDepositList"),
    :schema_element => [
      ["customerRefundDeposit", "ActiveNetsuite::CustomerRefundDeposit[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerDeposit,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerDeposit"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesOrder", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payment", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccIsPurchaseCardBin", "SOAP::SOAPBoolean", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["ccProcessAsPurchaseCard", "SOAP::SOAPBoolean", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["checkNum", "SOAP::SOAPString", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccSecurityCode", "SOAP::SOAPString", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["chargeIt", "SOAP::SOAPBoolean", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["authCode", "SOAP::SOAPString", [0, 1]],
      ["ccAvsStreetMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["ccAvsZipMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["ccSecurityCodeMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["threeDStatusCode", "SOAP::SOAPString", [0, 1]],
      ["ignoreAvs", "SOAP::SOAPBoolean", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["undepFunds", "SOAP::SOAPBoolean", [0, 1]],
      ["applyList", "ActiveNetsuite::CustomerDepositApplyList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerDepositApply,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerDepositApply"),
    :schema_element => [
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["applyDate", "SOAP::SOAPDateTime", [0, 1]],
      ["type", "SOAP::SOAPString", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["job", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerDepositApplyList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerDepositApplyList"),
    :schema_element => [
      ["customerDepositApply", "ActiveNetsuite::CustomerDepositApply[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DepositApplication,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "DepositApplication"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["arAcct", "SOAP::SOAPString", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deposit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["depDate", "SOAP::SOAPDateTime", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["applied", "SOAP::SOAPDouble", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["unapplied", "SOAP::SOAPDouble", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["applyList", "ActiveNetsuite::DepositApplicationApplyList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DepositApplicationApply,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "DepositApplicationApply"),
    :schema_element => [
      ["doc", "SOAP::SOAPLong", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["apply", "SOAP::SOAPBoolean", [0, 1]],
      ["applyDate", "SOAP::SOAPDateTime", [0, 1]],
      ["job", "SOAP::SOAPString", [0, 1]],
      ["type", "SOAP::SOAPString", [0, 1]],
      ["refNum", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["due", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DepositApplicationApplyList,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "DepositApplicationApplyList"),
    :schema_element => [
      ["apply", "ActiveNetsuite::DepositApplicationApply[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Charge,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "Charge"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesOrder", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billTo", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stage", "ActiveNetsuite::ChargeStage", [0, 1]],
      ["chargeDate", "SOAP::SOAPDateTime", [0, 1]],
      ["use", "ActiveNetsuite::ChargeUse", [0, 1]],
      ["chargeType", "ActiveNetsuite::ChargeRuleType", [0, 1]],
      ["projectTask", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["timeRecord", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["billingItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesOrderLine", "ActiveNetsuite::RecordRef", [0, 1]],
      ["invoice", "ActiveNetsuite::RecordRef", [0, 1]],
      ["invoiceLine", "ActiveNetsuite::RecordRef", [0, 1]],
      ["runId", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ChargeSearch,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ChargeSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ChargeSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ChargeSearchAdvanced,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ChargeSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ChargeSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ChargeSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ChargeSearchRow,
    :schema_type => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ChargeSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ChargeSearchRowBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Budget,
    :schema_type => XSD::QName.new(NsFinancial_2013_2TransactionsWebservicesActiveNetsuiteCom, "Budget"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["year", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsFinancial_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["budgetType", "ActiveNetsuite::BudgetBudgetType", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["periodAmount1", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount2", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount3", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount4", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount5", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount6", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount7", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount8", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount9", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount10", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount11", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount12", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BudgetSearch,
    :schema_type => XSD::QName.new(NsFinancial_2013_2TransactionsWebservicesActiveNetsuiteCom, "BudgetSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::BudgetSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BudgetSearchAdvanced,
    :schema_type => XSD::QName.new(NsFinancial_2013_2TransactionsWebservicesActiveNetsuiteCom, "BudgetSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::BudgetSearch", [0, 1]],
      ["columns", "ActiveNetsuite::BudgetSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BudgetSearchRow,
    :schema_type => XSD::QName.new(NsFinancial_2013_2TransactionsWebservicesActiveNetsuiteCom, "BudgetSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::BudgetSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CheckLandedCostList,
    :schema_type => XSD::QName.new(NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom, "CheckLandedCostList"),
    :schema_element => [
      ["landedCost", "ActiveNetsuite::LandedCostSummary[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Check,
    :schema_type => XSD::QName.new(NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom, "Check"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["address", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["voidJournal", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["userTotal", "SOAP::SOAPDouble", [0, 1]],
      ["landedCostMethod", "ActiveNetsuite::LandedCostMethod", [0, 1]],
      ["landedCostPerLine", "SOAP::SOAPBoolean", [0, 1]],
      ["expenseList", "ActiveNetsuite::CheckExpenseList", [0, 1]],
      ["itemList", "ActiveNetsuite::CheckItemList", [0, 1]],
      ["landedCostsList", "ActiveNetsuite::CheckLandedCostList", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CheckExpense,
    :schema_type => XSD::QName.new(NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom, "CheckExpense"),
    :schema_element => [
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CheckExpenseList,
    :schema_type => XSD::QName.new(NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom, "CheckExpenseList"),
    :schema_element => [
      ["expense", "ActiveNetsuite::CheckExpense[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CheckItem,
    :schema_type => XSD::QName.new(NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom, "CheckItem"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["landedCost", "ActiveNetsuite::LandedCost", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CheckItemList,
    :schema_type => XSD::QName.new(NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom, "CheckItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::CheckItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryAdjustment,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InventoryAdjustment"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["estimatedTotalValue", "SOAP::SOAPDouble", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["adjLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["inventoryList", "ActiveNetsuite::InventoryAdjustmentInventoryList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryAdjustmentInventory,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InventoryAdjustmentInventory"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["currentValue", "SOAP::SOAPDouble", [0, 1]],
      ["adjustQtyBy", "SOAP::SOAPDouble", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["newQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["unitCost", "SOAP::SOAPDouble", [0, 1]],
      ["foreignCurrencyUnitCost", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryAdjustmentInventoryList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InventoryAdjustmentInventoryList"),
    :schema_element => [
      ["inventory", "ActiveNetsuite::InventoryAdjustmentInventory[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AssemblyBuild,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "AssemblyBuild"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildable", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revision", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["componentList", "ActiveNetsuite::AssemblyComponentList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AssemblyUnbuild,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "AssemblyUnbuild"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["built", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["componentList", "ActiveNetsuite::AssemblyComponentList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AssemblyComponent,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "AssemblyComponent"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["componentInventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["componentNumbers", "SOAP::SOAPString", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AssemblyComponentList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "AssemblyComponentList"),
    :schema_element => [
      ["component", "ActiveNetsuite::AssemblyComponent[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransferOrder,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransferOrder"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["orderStatus", "ActiveNetsuite::TransferOrderOrderStatus", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transferLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["shipComplete", "SOAP::SOAPBoolean", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["itemList", "ActiveNetsuite::TransferOrderItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransferOrderItem,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransferOrderItem"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityFulfilled", "SOAP::SOAPDouble", [0, 1]],
      ["quantityPacked", "SOAP::SOAPDouble", [0, 1]],
      ["quantityPicked", "SOAP::SOAPDouble", [0, 1]],
      ["quantityReceived", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["commitInventory", "ActiveNetsuite::TransferOrderItemCommitInventory", [0, 1]],
      ["orderPriority", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["isClosed", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["expectedShipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["expectedReceiptDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransferOrderItemList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransferOrderItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::TransferOrderItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InterCompanyTransferOrder,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InterCompanyTransferOrder"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["orderStatus", "ActiveNetsuite::TransferOrderOrderStatus", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["toSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transferLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["shipComplete", "SOAP::SOAPBoolean", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["itemList", "ActiveNetsuite::InterCompanyTransferOrderItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InterCompanyTransferOrderItem,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InterCompanyTransferOrderItem"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityFulfilled", "SOAP::SOAPDouble", [0, 1]],
      ["quantityReceived", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["commitInventory", "ActiveNetsuite::TransferOrderItemCommitInventory", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InterCompanyTransferOrderItemList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InterCompanyTransferOrderItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::InterCompanyTransferOrderItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WorkOrder,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrder"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturingRouting", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assemblyItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expandAssembly", "SOAP::SOAPBoolean", [0, 1]],
      ["isWip", "SOAP::SOAPBoolean", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["itemList", "ActiveNetsuite::WorkOrderItemList", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::SalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::PartnersList", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildable", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["built", "SOAP::SOAPDouble", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revision", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WorkOrderItem,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderItem"),
    :schema_element => [
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["componentYield", "SOAP::SOAPDouble", [0, 1]],
      ["bomQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["orderPriority", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["poVendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["poRate", "SOAP::SOAPDouble", [0, 1]],
      ["percentComplete", "SOAP::SOAPDouble", [0, 1]],
      ["contribution", "SOAP::SOAPDouble", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["commit", "ActiveNetsuite::WorkOrderItemItemCommitInventory", [0, 1]],
      ["createPo", "ActiveNetsuite::WorkOrderItemItemCreatePo", [0, 1]],
      ["createWo", "SOAP::SOAPBoolean", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WorkOrderItemList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::WorkOrderItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesTeamList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesTeamList"),
    :schema_element => [
      ["salesTeam", "ActiveNetsuite::CustomerSalesTeam[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnersList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "PartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::Partners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryTransfer,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InventoryTransfer"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transferLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryList", "ActiveNetsuite::InventoryTransferInventoryList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryTransferInventory,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InventoryTransferInventory"),
    :schema_element => [
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["adjustQtyBy", "SOAP::SOAPDouble", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["fromBinNumbers", "SOAP::SOAPString", [0, 1]],
      ["toBinNumbers", "SOAP::SOAPString", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryTransferInventoryList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InventoryTransferInventoryList"),
    :schema_element => [
      ["inventory", "ActiveNetsuite::InventoryTransferInventory[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BinTransfer,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "BinTransfer"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryList", "ActiveNetsuite::BinTransferInventoryList", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BinTransferInventory,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "BinTransferInventory"),
    :schema_element => [
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["preferredBin", "SOAP::SOAPString", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["itemUnitsLabel", "SOAP::SOAPString", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["fromBins", "SOAP::SOAPString", [0, 1]],
      ["toBins", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BinTransferInventoryList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "BinTransferInventoryList"),
    :schema_element => [
      ["inventory", "ActiveNetsuite::BinTransferInventory[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BinWorksheet,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "BinWorksheet"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["itemList", "ActiveNetsuite::BinWorksheetItemList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BinWorksheetItem,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "BinWorksheetItem"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemName", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["itemOnHand", "SOAP::SOAPString", [0, 1]],
      ["itemUnitsLabel", "SOAP::SOAPString", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["itemBins", "SOAP::SOAPString", [0, 1]],
      ["itemBinNumbers", "SOAP::SOAPString", [0, 1]],
      ["itemBinList", "SOAP::SOAPString", [0, 1]],
      ["itemPreferBin", "SOAP::SOAPString", [0, 1]],
      ["itemBlank", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BinWorksheetItemList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "BinWorksheetItemList"),
    :schema_element => [
      ["item", "ActiveNetsuite::BinWorksheetItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WorkOrderIssue,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderIssue"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revision", "ActiveNetsuite::RecordRef", [0, 1]],
      ["componentList", "ActiveNetsuite::WorkOrderIssueComponentList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WorkOrderIssueComponent,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderIssueComponent"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["componentInventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["lineNumber", "SOAP::SOAPLong", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WorkOrderIssueComponentList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderIssueComponentList"),
    :schema_element => [
      ["workOrderIssueComponent", "ActiveNetsuite::WorkOrderIssueComponent[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WorkOrderCompletion,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderCompletion"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["scrapQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBackflush", "SOAP::SOAPBoolean", [0, 1]],
      ["orderQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revision", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startOperation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["endOperation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["completedQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["manufacturingRouting", "ActiveNetsuite::RecordRef", [0, 1]],
      ["componentList", "ActiveNetsuite::WorkOrderCompletionComponentList", [0, 1]],
      ["operationList", "ActiveNetsuite::WorkOrderCompletionOperationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WorkOrderCompletionComponent,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderCompletionComponent"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityPer", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["componentInventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["lineNumber", "SOAP::SOAPLong", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WorkOrderCompletionComponentList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderCompletionComponentList"),
    :schema_element => [
      ["workOrderCompletionComponent", "ActiveNetsuite::WorkOrderCompletionComponent[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WorkOrderClose,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderClose"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["orderQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["scrapQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revision", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WorkOrderCompletionOperation,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderCompletionOperation"),
    :schema_element => [
      ["operationSequence", "SOAP::SOAPLong", [0, 1]],
      ["operationName", "SOAP::SOAPString", [0, 1]],
      ["workCenter", "SOAP::SOAPString", [0, 1]],
      ["machineResources", "SOAP::SOAPLong", [0, 1]],
      ["laborResources", "SOAP::SOAPLong", [0, 1]],
      ["inputQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["quantityRemaining", "SOAP::SOAPDouble", [0, 1]],
      ["predecessorCompletedQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["completedQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["recordSetup", "SOAP::SOAPBoolean", [0, 1]],
      ["machineSetupTime", "SOAP::SOAPDouble", [0, 1]],
      ["laborSetupTime", "SOAP::SOAPDouble", [0, 1]],
      ["machineRunTime", "SOAP::SOAPDouble", [0, 1]],
      ["laborRunTime", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WorkOrderCompletionOperationList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderCompletionOperationList"),
    :schema_element => [
      ["workOrderCompletionOperation", "ActiveNetsuite::WorkOrderCompletionOperation[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryCostRevaluation,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InventoryCostRevaluation"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["inventoryValue", "SOAP::SOAPDouble", [0, 1]],
      ["unitCost", "SOAP::SOAPDouble", [0, 1]],
      ["costComponentList", "ActiveNetsuite::InventoryCostRevaluationCostComponentList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryCostRevaluationCostComponent,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InventoryCostRevaluationCostComponent"),
    :schema_element => [
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["componentItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryCostRevaluationCostComponentList,
    :schema_type => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InventoryCostRevaluationCostComponentList"),
    :schema_element => [
      ["costComponent", "ActiveNetsuite::InventoryCostRevaluationCostComponent[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JournalEntry,
    :schema_type => XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "JournalEntry"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["reversalDate", "SOAP::SOAPDateTime", [0, 1]],
      ["reversalDefer", "SOAP::SOAPBoolean", [0, 1]],
      ["parentExpenseAlloc", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reversalEntry", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["toSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["approved", "SOAP::SOAPBoolean", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["lineList", "ActiveNetsuite::JournalEntryLineList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JournalEntryLine,
    :schema_type => XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "JournalEntryLine"),
    :schema_element => [
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["debit", "SOAP::SOAPDouble", [0, 1]],
      ["credit", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["eliminate", "SOAP::SOAPBoolean", [0, 1]],
      ["schedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["scheduleNum", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Acct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JournalEntryLineList,
    :schema_type => XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "JournalEntryLineList"),
    :schema_element => [
      ["line", "ActiveNetsuite::JournalEntryLine[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InterCompanyJournalEntry,
    :schema_type => XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "InterCompanyJournalEntry"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["reversalDate", "SOAP::SOAPDateTime", [0, 1]],
      ["reversalDefer", "SOAP::SOAPBoolean", [0, 1]],
      ["parentExpenseAlloc", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reversalEntry", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["toSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["approved", "SOAP::SOAPBoolean", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lineList", "ActiveNetsuite::InterCompanyJournalEntryLineList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InterCompanyJournalEntryLine,
    :schema_type => XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "InterCompanyJournalEntryLine"),
    :schema_element => [
      ["lineSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["debit", "SOAP::SOAPDouble", [0, 1]],
      ["credit", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["schedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["eliminate", "SOAP::SOAPBoolean", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["amortizationSched", "ActiveNetsuite::RecordRef", [0, 1]],
      ["scheduleNum", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amortizationResidual", "SOAP::SOAPString", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Acct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InterCompanyJournalEntryLineList,
    :schema_type => XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "InterCompanyJournalEntryLineList"),
    :schema_element => [
      ["line", "ActiveNetsuite::InterCompanyJournalEntryLine[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecord,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecord"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customRecordId", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["disclaimer", "SOAP::SOAPString", [0, 1]],
      ["created", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModified", "SOAP::SOAPDateTime", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["recType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["enableNumbering", "SOAP::SOAPBoolean", [0, 1]],
      ["numberingPrefix", "SOAP::SOAPString", [0, 1]],
      ["numberingSuffix", "SOAP::SOAPString", [0, 1]],
      ["numberingMinDigits", "SOAP::SOAPLong", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["numberingInit", "SOAP::SOAPLong", [0, 1]],
      ["numberingCurrentNumber", "SOAP::SOAPLong", [0, 1]],
      ["allowNumberingOverride", "SOAP::SOAPBoolean", [0, 1]],
      ["isNumberingUpdateable", "SOAP::SOAPBoolean", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomRecordTranslationsList", [0, 1]],
      ["includeName", "SOAP::SOAPBoolean", [0, 1]],
      ["showId", "SOAP::SOAPBoolean", [0, 1]],
      ["showCreationDate", "SOAP::SOAPBoolean", [0, 1]],
      ["showCreationDateOnList", "SOAP::SOAPBoolean", [0, 1]],
      ["showLastModified", "SOAP::SOAPBoolean", [0, 1]],
      ["showLastModifiedOnList", "SOAP::SOAPBoolean", [0, 1]],
      ["showOwner", "SOAP::SOAPBoolean", [0, 1]],
      ["showOwnerOnList", "SOAP::SOAPBoolean", [0, 1]],
      ["showOwnerAllowChange", "SOAP::SOAPBoolean", [0, 1]],
      ["usePermissions", "SOAP::SOAPBoolean", [0, 1]],
      ["allowAttachments", "SOAP::SOAPBoolean", [0, 1]],
      ["showNotes", "SOAP::SOAPBoolean", [0, 1]],
      ["enablEmailMerge", "SOAP::SOAPBoolean", [0, 1]],
      ["isOrdered", "SOAP::SOAPBoolean", [0, 1]],
      ["allowInlineEditing", "SOAP::SOAPBoolean", [0, 1]],
      ["isAvailableOffline", "SOAP::SOAPBoolean", [0, 1]],
      ["allowQuickSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["recordName", "SOAP::SOAPString", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordSearch,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomRecordSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["ownerJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordSearchAdvanced,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::CustomRecordSearch", [0, 1]],
      ["columns", "ActiveNetsuite::CustomRecordSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordSearchRow,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomRecordSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["ownerJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomList"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOrdered", "SOAP::SOAPBoolean", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isMatrixOption", "SOAP::SOAPBoolean", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["convertToCustomRecord", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["customValueList", "ActiveNetsuite::CustomListCustomValueList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomListTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomListCustomValue,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomListCustomValue"),
    :schema_element => [
      ["value", "SOAP::SOAPString", [0, 1]],
      ["abbreviation", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["valueId", "SOAP::SOAPLong", [0, 1]],
      ["valueLanguageValueList", "ActiveNetsuite::LanguageValueList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomListCustomValueList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomListCustomValueList"),
    :schema_element => [
      ["customValue", "ActiveNetsuite::CustomListCustomValue[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomListTranslations,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomListTranslations"),
    :schema_element => [
      ["locale", "ActiveNetsuite::Language", [0, 1]],
      ["localeDescription", "SOAP::SOAPString", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomListTranslationsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomListTranslationsList"),
    :schema_element => [
      ["translations", "ActiveNetsuite::CustomListTranslations[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordType,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordType"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["recordName", "SOAP::SOAPString", [0, 1]],
      ["includeName", "SOAP::SOAPBoolean", [0, 1]],
      ["showId", "SOAP::SOAPBoolean", [0, 1]],
      ["showCreationDate", "SOAP::SOAPBoolean", [0, 1]],
      ["showCreationDateOnList", "SOAP::SOAPBoolean", [0, 1]],
      ["showLastModified", "SOAP::SOAPBoolean", [0, 1]],
      ["showLastModifiedOnList", "SOAP::SOAPBoolean", [0, 1]],
      ["showOwner", "SOAP::SOAPBoolean", [0, 1]],
      ["showOwnerOnList", "SOAP::SOAPBoolean", [0, 1]],
      ["showOwnerAllowChange", "SOAP::SOAPBoolean", [0, 1]],
      ["accessType", "ActiveNetsuite::CustomRecordTypeAccessType", [0, 1]],
      ["allowAttachments", "SOAP::SOAPBoolean", [0, 1]],
      ["showNotes", "SOAP::SOAPBoolean", [0, 1]],
      ["enableMailMerge", "SOAP::SOAPBoolean", [0, 1]],
      ["isOrdered", "SOAP::SOAPBoolean", [0, 1]],
      ["isAvailableOffline", "SOAP::SOAPBoolean", [0, 1]],
      ["allowQuickSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["enableDle", "SOAP::SOAPBoolean", [0, 1]],
      ["enableNameTranslation", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["disclaimer", "SOAP::SOAPString", [0, 1]],
      ["enableNumbering", "SOAP::SOAPBoolean", [0, 1]],
      ["numberingPrefix", "SOAP::SOAPString", [0, 1]],
      ["numberingSuffix", "SOAP::SOAPString", [0, 1]],
      ["numberingMinDigits", "SOAP::SOAPLong", [0, 1]],
      ["numberingInit", "SOAP::SOAPLong", [0, 1]],
      ["numberingCurrentNumber", "SOAP::SOAPLong", [0, 1]],
      ["allowNumberingOverride", "SOAP::SOAPBoolean", [0, 1]],
      ["isNumberingUpdateable", "SOAP::SOAPBoolean", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["tabsList", "ActiveNetsuite::CustomRecordTypeTabsList", [0, 1]],
      ["sublistsList", "ActiveNetsuite::CustomRecordTypeSublistsList", [0, 1]],
      ["formsList", "ActiveNetsuite::CustomRecordTypeFormsList", [0, 1]],
      ["onlineFormsList", "ActiveNetsuite::CustomRecordTypeOnlineFormsList", [0, 1]],
      ["permissionsList", "ActiveNetsuite::CustomRecordTypePermissionsList", [0, 1]],
      ["linksList", "ActiveNetsuite::CustomRecordTypeLinksList", [0, 1]],
      ["managersList", "ActiveNetsuite::CustomRecordTypeManagersList", [0, 1]],
      ["childrenList", "ActiveNetsuite::CustomRecordTypeChildrenList", [0, 1]],
      ["parentsList", "ActiveNetsuite::CustomRecordTypeParentsList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomRecordTypeTranslationsList", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomRecordTypeFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeFieldList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeFieldList"),
    :schema_element => [
      ["customField", "ActiveNetsuite::CustomRecordCustomField[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeTabs,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeTabs"),
    :schema_element => [
      ["tabTitle", "SOAP::SOAPString", [0, 1]],
      ["tabParent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tabTitleLanguageValueList", "ActiveNetsuite::LanguageValueList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeTabsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeTabsList"),
    :schema_element => [
      ["tabs", "ActiveNetsuite::CustomRecordTypeTabs[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeForms,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeForms"),
    :schema_element => [
      ["formEdit", "SOAP::SOAPString", [0, 1]],
      ["formName", "SOAP::SOAPString", [0, 1]],
      ["formPref", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeFormsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeFormsList"),
    :schema_element => [
      ["forms", "ActiveNetsuite::CustomRecordTypeForms[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeOnlineForms,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeOnlineForms"),
    :schema_element => [
      ["onlineFormName", "SOAP::SOAPString", [0, 1]],
      ["isOnline", "SOAP::SOAPString", [0, 1]],
      ["templateName", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeOnlineFormsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeOnlineFormsList"),
    :schema_element => [
      ["onlineForms", "ActiveNetsuite::CustomRecordTypeOnlineForms[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypePermissions,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypePermissions"),
    :schema_element => [
      ["permittedRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["permittedLevel", "ActiveNetsuite::CustomRecordTypePermissionsPermittedLevel", [0, 1]],
      ["restriction", "ActiveNetsuite::CustomRecordTypePermissionsRestriction", [0, 1]],
      ["defaultForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["restrictForm", "SOAP::SOAPBoolean", [0, 1]],
      ["searchForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchResults", "ActiveNetsuite::RecordRef", [0, 1]],
      ["listView", "ActiveNetsuite::RecordRef", [0, 1]],
      ["listViewRestricted", "SOAP::SOAPBoolean", [0, 1]],
      ["dashboardView", "ActiveNetsuite::RecordRef", [0, 1]],
      ["restrictDashboardView", "SOAP::SOAPBoolean", [0, 1]],
      ["sublistView", "ActiveNetsuite::RecordRef", [0, 1]],
      ["restrictSublistView", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypePermissionsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypePermissionsList"),
    :schema_element => [
      ["permissions", "ActiveNetsuite::CustomRecordTypePermissions[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeLinks,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeLinks"),
    :schema_element => [
      ["linkCenter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["linkSection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["linkLabel", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeLinksList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeLinksList"),
    :schema_element => [
      ["links", "ActiveNetsuite::CustomRecordTypeLinks[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeManagers,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeManagers"),
    :schema_element => [
      ["managerEmp", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeManagersList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeManagersList"),
    :schema_element => [
      ["managers", "ActiveNetsuite::CustomRecordTypeManagers[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeChildren,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeChildren"),
    :schema_element => [
      ["childDescr", "SOAP::SOAPString", [0, 1]],
      ["childTab", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeChildrenList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeChildrenList"),
    :schema_element => [
      ["children", "ActiveNetsuite::CustomRecordTypeChildren[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeParents,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeParents"),
    :schema_element => [
      ["childDescr", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeParentsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeParentsList"),
    :schema_element => [
      ["parents", "ActiveNetsuite::CustomRecordTypeParents[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeTranslations,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeTranslations"),
    :schema_element => [
      ["locale", "ActiveNetsuite::Language", [0, 1]],
      ["localeDescription", "SOAP::SOAPString", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeTranslationsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeTranslationsList"),
    :schema_element => [
      ["translations", "ActiveNetsuite::CustomRecordTypeTranslations[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeSublists,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeSublists"),
    :schema_element => [
      ["recordSearch", "ActiveNetsuite::RecordRef", [0, 1]],
      ["recordDescr", "SOAP::SOAPString", [0, 1]],
      ["recordDescrLanguageValueList", "ActiveNetsuite::LanguageValueList", [0, 1]],
      ["recordTab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["recordId", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeSublistsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeSublistsList"),
    :schema_element => [
      ["sublists", "ActiveNetsuite::CustomRecordTypeSublists[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EntityCustomField,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "EntityCustomField"),
    :schema_basetype => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["isParent", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["availableToSso", "SOAP::SOAPBoolean", [0, 1]],
      ["subtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["parentSubtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["appliesToCustomer", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToProject", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToVendor", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToEmployee", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToOtherName", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToContact", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToPartner", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToWebSite", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToGroup", "SOAP::SOAPBoolean", [0, 1]],
      ["availableExternally", "SOAP::SOAPBoolean", [0, 1]],
      ["filterList", "ActiveNetsuite::EntityCustomFieldFilterList", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["appliesToStatement", "SOAP::SOAPBoolean", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["appliesToPriceList", "SOAP::SOAPBoolean", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EntityCustomFieldFilter,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "EntityCustomFieldFilter"),
    :schema_element => [
      ["fldFilter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fldFilterChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["fldFilterCompareType", "ActiveNetsuite::CustomizationFilterCompareType", [0, 1]],
      ["fldFilterVal", "SOAP::SOAPString", [0, 1]],
      ["fldFilterSelList", "ActiveNetsuite::FldFilterSelList", [0, 1]],
      ["fldFilterNotNull", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EntityCustomFieldFilterList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "EntityCustomFieldFilterList"),
    :schema_element => [
      ["filter", "ActiveNetsuite::EntityCustomFieldFilter[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::FldFilterSelList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "FldFilterSelList"),
    :schema_element => [
      ["fldFilterSel", "ActiveNetsuite::RecordRef[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CrmCustomField,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CrmCustomField"),
    :schema_basetype => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["isParent", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["parentSubtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["appliesToTask", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToMfgProjectTask", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToProjectTask", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToPhoneCall", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToEvent", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToCase", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToCampaign", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesPerKeyword", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToSolution", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToIssue", "SOAP::SOAPBoolean", [0, 1]],
      ["availableExternally", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToSso", "SOAP::SOAPBoolean", [0, 1]],
      ["showIssueChanges", "SOAP::SOAPBoolean", [0, 1]],
      ["filterList", "ActiveNetsuite::CrmCustomFieldFilterList", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CrmCustomFieldFilter,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CrmCustomFieldFilter"),
    :schema_element => [
      ["fldFilter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fldFilterChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["fldFilterCompareType", "ActiveNetsuite::CustomizationFilterCompareType", [0, 1]],
      ["fldFilterVal", "SOAP::SOAPString", [0, 1]],
      ["fldFilterSelList", "ActiveNetsuite::FldFilterSelList", [0, 1]],
      ["fldFilterNotNull", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CrmCustomFieldFilterList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CrmCustomFieldFilterList"),
    :schema_element => [
      ["filter", "ActiveNetsuite::CrmCustomFieldFilter[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OtherCustomField,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "OtherCustomField"),
    :schema_basetype => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["recType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["filterList", "ActiveNetsuite::OtherCustomFieldFilterList", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OtherCustomFieldFilter,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "OtherCustomFieldFilter"),
    :schema_element => [
      ["fldFilter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fldFilterChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["fldFilterCompareType", "ActiveNetsuite::CustomizationFilterCompareType", [0, 1]],
      ["fldFilterVal", "SOAP::SOAPString", [0, 1]],
      ["fldFilterSelList", "ActiveNetsuite::FldFilterSelList", [0, 1]],
      ["fldFilterNotNull", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OtherCustomFieldFilterList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "OtherCustomFieldFilterList"),
    :schema_element => [
      ["filter", "ActiveNetsuite::OtherCustomFieldFilter[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemCustomField,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemCustomField"),
    :schema_basetype => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemMatrix", "SOAP::SOAPBoolean", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["isParent", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["parentSubtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["appliesToInventory", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToNonInventory", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToService", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToOtherCharge", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToGroup", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToKit", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToItemAssembly", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToSso", "SOAP::SOAPBoolean", [0, 1]],
      ["itemSubType", "ActiveNetsuite::ItemCustomFieldItemSubType", [0, 1]],
      ["filterList", "ActiveNetsuite::ItemCustomFieldFilterList", [0, 1]],
      ["appliesToPriceList", "SOAP::SOAPBoolean", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemCustomFieldFilter,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemCustomFieldFilter"),
    :schema_element => [
      ["fldFilter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fldFilterChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["fldFilterCompareType", "ActiveNetsuite::CustomizationFilterCompareType", [0, 1]],
      ["fldFilterVal", "SOAP::SOAPString", [0, 1]],
      ["fldFilterSelList", "ActiveNetsuite::FldFilterSelList", [0, 1]],
      ["fldFilterNotNull", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemCustomFieldFilterList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemCustomFieldFilterList"),
    :schema_element => [
      ["filter", "ActiveNetsuite::ItemCustomFieldFilter[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionBodyCustomField,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "TransactionBodyCustomField"),
    :schema_basetype => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["isParent", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["availableToSso", "SOAP::SOAPBoolean", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["parentSubtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["bodyPurchase", "SOAP::SOAPBoolean", [0, 1]],
      ["bodySale", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyOpportunity", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyJournal", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyExpenseReport", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyStore", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyTransferOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyItemReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyItemReceiptOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyItemFulfillment", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyItemFulfillmentOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyInventoryAdjustment", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyBTegata", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyAssemblyBuild", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyPrintFlag", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyPickingTicket", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyPrintPackingSlip", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyCustomerPayment", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyVendorPayment", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyDeposit", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyBom", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyPrintStatement", "SOAP::SOAPBoolean", [0, 1]],
      ["filterList", "ActiveNetsuite::TransactionBodyCustomFieldFilterList", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionBodyCustomFieldFilter,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "TransactionBodyCustomFieldFilter"),
    :schema_element => [
      ["fldFilter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fldFilterChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["fldFilterCompareType", "ActiveNetsuite::CustomizationFilterCompareType", [0, 1]],
      ["fldFilterVal", "SOAP::SOAPString", [0, 1]],
      ["fldFilterSelList", "ActiveNetsuite::FldFilterSelList", [0, 1]],
      ["fldFilterNotNull", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionBodyCustomFieldFilterList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "TransactionBodyCustomFieldFilterList"),
    :schema_element => [
      ["filter", "ActiveNetsuite::TransactionBodyCustomFieldFilter[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionColumnCustomField,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "TransactionColumnCustomField"),
    :schema_basetype => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["availableToSso", "SOAP::SOAPBoolean", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["colExpense", "SOAP::SOAPBoolean", [0, 1]],
      ["colPurchase", "SOAP::SOAPBoolean", [0, 1]],
      ["colSale", "SOAP::SOAPBoolean", [0, 1]],
      ["colOpportunity", "SOAP::SOAPBoolean", [0, 1]],
      ["colStore", "SOAP::SOAPBoolean", [0, 1]],
      ["colStoreHidden", "SOAP::SOAPBoolean", [0, 1]],
      ["colJournal", "SOAP::SOAPBoolean", [0, 1]],
      ["colBuild", "SOAP::SOAPBoolean", [0, 1]],
      ["colExpenseReport", "SOAP::SOAPBoolean", [0, 1]],
      ["colTime", "SOAP::SOAPBoolean", [0, 1]],
      ["colTransferOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["colTimeGroup", "SOAP::SOAPBoolean", [0, 1]],
      ["colItemReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["colItemReceiptOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["colItemFulfillment", "SOAP::SOAPBoolean", [0, 1]],
      ["colItemFulfillmentOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["colPrintFlag", "SOAP::SOAPBoolean", [0, 1]],
      ["colPickingTicket", "SOAP::SOAPBoolean", [0, 1]],
      ["colPackingSlip", "SOAP::SOAPBoolean", [0, 1]],
      ["colReturnForm", "SOAP::SOAPBoolean", [0, 1]],
      ["colStoreWithGroups", "SOAP::SOAPBoolean", [0, 1]],
      ["colGroupOnInvoices", "SOAP::SOAPBoolean", [0, 1]],
      ["colKitItem", "SOAP::SOAPBoolean", [0, 1]],
      ["filterList", "ActiveNetsuite::TransactionColumnCustomFieldFilterList", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionColumnCustomFieldFilter,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "TransactionColumnCustomFieldFilter"),
    :schema_element => [
      ["fldFilter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fldFilterChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["fldFilterCompareType", "ActiveNetsuite::CustomizationFilterCompareType", [0, 1]],
      ["fldFilterVal", "SOAP::SOAPString", [0, 1]],
      ["fldFilterSelList", "ActiveNetsuite::FldFilterSelList", [0, 1]],
      ["fldFilterNotNull", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionColumnCustomFieldFilterList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "TransactionColumnCustomFieldFilterList"),
    :schema_element => [
      ["filter", "ActiveNetsuite::TransactionColumnCustomFieldFilter[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemOptionCustomField,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemOptionCustomField"),
    :schema_basetype => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["colPurchase", "SOAP::SOAPBoolean", [0, 1]],
      ["colSale", "SOAP::SOAPBoolean", [0, 1]],
      ["colOpportunity", "SOAP::SOAPBoolean", [0, 1]],
      ["colStore", "SOAP::SOAPBoolean", [0, 1]],
      ["colStoreHidden", "SOAP::SOAPBoolean", [0, 1]],
      ["colTransferOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["colAllItems", "SOAP::SOAPBoolean", [0, 1]],
      ["itemsList", "ActiveNetsuite::ItemsList", [0, 1]],
      ["colKitItem", "SOAP::SOAPBoolean", [0, 1]],
      ["filterList", "ActiveNetsuite::ItemOptionCustomFieldFilterList", [0, 1]],
      ["colOptionLabel", "SOAP::SOAPString", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemsList"),
    :schema_element => [
      ["items", "ActiveNetsuite::RecordRef[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemOptionCustomFieldFilter,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemOptionCustomFieldFilter"),
    :schema_element => [
      ["fldFilter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fldFilterChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["fldFilterCompareType", "ActiveNetsuite::CustomizationFilterCompareType", [0, 1]],
      ["fldFilterVal", "SOAP::SOAPString", [0, 1]],
      ["fldFilterSelList", "ActiveNetsuite::FldFilterSelList", [0, 1]],
      ["fldFilterNotNull", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemOptionCustomFieldFilterList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemOptionCustomFieldFilterList"),
    :schema_element => [
      ["filter", "ActiveNetsuite::ItemOptionCustomFieldFilter[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordCustomField,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordCustomField"),
    :schema_basetype => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["isParent", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["parentSubtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourcefilterby", "ActiveNetsuite::RecordRef", [0, 1]],
      ["recType", "SOAP::SOAPString", [0, 1]],
      ["roleRestrict", "SOAP::SOAPBoolean", [0, 1]],
      ["filterList", "ActiveNetsuite::CustomRecordCustomFieldFilterList", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordCustomFieldFilter,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordCustomFieldFilter"),
    :schema_element => [
      ["fldFilter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fldFilterChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["fldFilterCompareType", "ActiveNetsuite::CustomizationFilterCompareType", [0, 1]],
      ["fldFilterVal", "SOAP::SOAPString", [0, 1]],
      ["fldFilterSelList", "ActiveNetsuite::FldFilterSelList", [0, 1]],
      ["fldFilterNotNull", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordCustomFieldFilterList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordCustomFieldFilterList"),
    :schema_element => [
      ["filter", "ActiveNetsuite::CustomRecordCustomFieldFilter[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomFieldRoleAccess,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldRoleAccess"),
    :schema_element => [
      ["role", "ActiveNetsuite::RecordRef", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomFieldRoleAccessList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldRoleAccessList"),
    :schema_element => [
      ["roleAccess", "ActiveNetsuite::CustomFieldRoleAccess[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomFieldDepartmentAccess,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldDepartmentAccess"),
    :schema_element => [
      ["dept", "ActiveNetsuite::RecordRef", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomFieldDepartmentAccessList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldDepartmentAccessList"),
    :schema_element => [
      ["deptAccess", "ActiveNetsuite::CustomFieldDepartmentAccess[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomFieldSubAccess,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldSubAccess"),
    :schema_element => [
      ["sub", "ActiveNetsuite::RecordRef", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomFieldSubAccessList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldSubAccessList"),
    :schema_element => [
      ["subAccess", "ActiveNetsuite::CustomFieldSubAccess[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LanguageValue,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "LanguageValue"),
    :schema_element => [
      ["locale", "ActiveNetsuite::Language", [0, 1]],
      ["value", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LanguageValueList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "LanguageValueList"),
    :schema_element => [
      ["languageValue", "ActiveNetsuite::LanguageValue[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomFieldTranslations,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldTranslations"),
    :schema_element => [
      ["locale", "ActiveNetsuite::Language", [0, 1]],
      ["localeDescription", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomFieldTranslationsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldTranslationsList"),
    :schema_element => [
      ["translations", "ActiveNetsuite::CustomFieldTranslations[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemNumberCustomField,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemNumberCustomField"),
    :schema_basetype => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomFieldType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["filterList", "ActiveNetsuite::ItemNumberCustomFieldFilterList", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["appliesToAllItems", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToSerialized", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToLots", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToGiftCerts", "SOAP::SOAPBoolean", [0, 1]],
      ["itemsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemNumberCustomFieldFilter,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemNumberCustomFieldFilter"),
    :schema_element => [
      ["fldFilter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fldFilterChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["fldFilterCompareType", "ActiveNetsuite::CustomizationFilterCompareType", [0, 1]],
      ["fldFilterVal", "SOAP::SOAPString", [0, 1]],
      ["fldFilterNotNull", "SOAP::SOAPBoolean", [0, 1]],
      ["fldfilterNull", "SOAP::SOAPBoolean", [0, 1]],
      ["fldCompareField", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemNumberCustomFieldFilterList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemNumberCustomFieldFilterList"),
    :schema_element => [
      ["filter", "ActiveNetsuite::ItemNumberCustomFieldFilter[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomListSearch,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomListSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomListSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomListSearchAdvanced,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomListSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::CustomListSearch", [0, 1]],
      ["columns", "ActiveNetsuite::CustomListSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomListSearchRow,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomListSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomListSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AppDefinition,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "AppDefinition"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["packagesList", "ActiveNetsuite::AppDefinitionPackagesList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AppDefinitionPackages,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "AppDefinitionPackages"),
    :schema_element => []
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AppDefinitionPackagesList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "AppDefinitionPackagesList"),
    :schema_element => [
      ["packages", "ActiveNetsuite::AppDefinitionPackages[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AppDefinitionSearch,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "AppDefinitionSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::AppDefinitionSearchBasic", [0, 1]],
      ["appPackageJoin", "ActiveNetsuite::AppPackageSearchBasic", [0, 1]],
      ["creatorJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AppDefinitionSearchAdvanced,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "AppDefinitionSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::AppDefinitionSearch", [0, 1]],
      ["columns", "ActiveNetsuite::AppDefinitionSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AppDefinitionSearchRow,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "AppDefinitionSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::AppDefinitionSearchRowBasic", [0, 1]],
      ["appPackageJoin", "ActiveNetsuite::AppPackageSearchRowBasic", [0, 1]],
      ["creatorJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AppPackage,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "AppPackage"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["appDefinition", "ActiveNetsuite::RecordRef", [0, 1]],
      ["version", "SOAP::SOAPString", [0, 1]],
      ["packageFile", "ActiveNetsuite::RecordRef", [0, 1]],
      ["bundle", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AppPackageSearch,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "AppPackageSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::AppPackageSearchBasic", [0, 1]],
      ["appDefinitionJoin", "ActiveNetsuite::AppDefinitionSearchBasic", [0, 1]],
      ["creatorJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["packageFileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AppPackageSearchAdvanced,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "AppPackageSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::AppPackageSearch", [0, 1]],
      ["columns", "ActiveNetsuite::AppPackageSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AppPackageSearchRow,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "AppPackageSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::AppPackageSearchRowBasic", [0, 1]],
      ["appDefinitionJoin", "ActiveNetsuite::AppDefinitionSearchRowBasic", [0, 1]],
      ["creatorJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["packageFileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTranslations,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTranslations"),
    :schema_element => [
      ["locale", "ActiveNetsuite::Language", [0, 1]],
      ["language", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTranslationsList,
    :schema_type => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTranslationsList"),
    :schema_element => [
      ["customRecordTranslations", "ActiveNetsuite::CustomRecordTranslations[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Employee,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "Employee"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["template", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityId", "SOAP::SOAPString", [0, 1]],
      ["salutation", "SOAP::SOAPString", [0, 1]],
      ["firstName", "SOAP::SOAPString", [0, 1]],
      ["middleName", "SOAP::SOAPString", [0, 1]],
      ["lastName", "SOAP::SOAPString", [0, 1]],
      ["altName", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["defaultAddress", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["phoneticName", "SOAP::SOAPString", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["dateCreated", "SOAP::SOAPDateTime", [0, 1]],
      ["initials", "SOAP::SOAPString", [0, 1]],
      ["officePhone", "SOAP::SOAPString", [0, 1]],
      ["homePhone", "SOAP::SOAPString", [0, 1]],
      ["mobilePhone", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingClass", "ActiveNetsuite::RecordRef", [0, 1]],
      ["accountNumber", "SOAP::SOAPString", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::GlobalSubscriptionStatus", [0, 1]],
      ["image", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payFrequency", "ActiveNetsuite::EmployeePayFrequency", [0, 1]],
      ["lastPaidDate", "SOAP::SOAPDateTime", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useTimeData", "ActiveNetsuite::EmployeeUseTimeData", [0, 1]],
      ["usePerquest", "SOAP::SOAPBoolean", [0, 1]],
      ["workplace", "ActiveNetsuite::RecordRef", [0, 1]],
      ["adpId", "SOAP::SOAPString", [0, 1]],
      ["directDeposit", "SOAP::SOAPBoolean", [0, 1]],
      ["expenseLimit", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseOrderLimit", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseOrderApprovalLimit", "SOAP::SOAPDouble", [0, 1]],
      ["socialSecurityNumber", "SOAP::SOAPString", [0, 1]],
      ["supervisor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["approver", "ActiveNetsuite::RecordRef", [0, 1]],
      ["approvalLimit", "SOAP::SOAPDouble", [0, 1]],
      ["timeApprover", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employeeType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSalesRep", "SOAP::SOAPBoolean", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSupportRep", "SOAP::SOAPBoolean", [0, 1]],
      ["isJobResource", "SOAP::SOAPBoolean", [0, 1]],
      ["laborCost", "SOAP::SOAPDouble", [0, 1]],
      ["birthDate", "SOAP::SOAPDateTime", [0, 1]],
      ["hireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["releaseDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastReviewDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextReviewDate", "SOAP::SOAPDateTime", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["employeeStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["jobDescription", "SOAP::SOAPString", [0, 1]],
      ["maritalStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ethnicity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gender", "ActiveNetsuite::Gender", [0, 1]],
      ["purchaseOrderApprover", "ActiveNetsuite::RecordRef", [0, 1]],
      ["workCalendar", "ActiveNetsuite::RecordRef", [0, 1]],
      ["giveAccess", "SOAP::SOAPBoolean", [0, 1]],
      ["concurrentWebServicesUser", "SOAP::SOAPBoolean", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["hasOfflineAccess", "SOAP::SOAPBoolean", [0, 1]],
      ["password", "SOAP::SOAPString", [0, 1]],
      ["password2", "SOAP::SOAPString", [0, 1]],
      ["requirePwdChange", "SOAP::SOAPBoolean", [0, 1]],
      ["inheritIPRules", "SOAP::SOAPBoolean", [0, 1]],
      ["iPAddressRule", ["SOAP::SOAPString", XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "IPAddressRule")], [0, 1]],
      ["commissionPaymentPreference", "ActiveNetsuite::EmployeeCommissionPaymentPreference", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["eligibleForCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["subscriptionsList", "ActiveNetsuite::EmployeeSubscriptionsList", [0, 1]],
      ["addressbookList", "ActiveNetsuite::EmployeeAddressbookList", [0, 1]],
      ["rolesList", "ActiveNetsuite::EmployeeRolesList", [0, 1]],
      ["hrEducationList", "ActiveNetsuite::EmployeeHrEducationList", [0, 1]],
      ["accruedTimeList", "ActiveNetsuite::EmployeeAccruedTimeList", [0, 1]],
      ["directDepositList", "ActiveNetsuite::EmployeeDirectDepositList", [0, 1]],
      ["companyContributionList", "ActiveNetsuite::EmployeeCompanyContributionList", [0, 1]],
      ["earningList", "ActiveNetsuite::EmployeeEarningList", [0, 1]],
      ["emergencyContactList", "ActiveNetsuite::EmployeeEmergencyContactList", [0, 1]],
      ["deductionList", "ActiveNetsuite::EmployeeDeductionList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeSubscriptions,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeSubscriptions"),
    :schema_element => [
      ["subscribed", "SOAP::SOAPString", [0, 1]],
      ["subscription", "SOAP::SOAPString", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeSubscriptionsList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeSubscriptionsList"),
    :schema_element => [
      ["subscriptions", "ActiveNetsuite::EmployeeSubscriptions[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeAddressbook,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeAddressbook"),
    :schema_element => [
      ["defaultShipping", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultBilling", "SOAP::SOAPBoolean", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["attention", "SOAP::SOAPString", [0, 1]],
      ["addressee", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["addr1", "SOAP::SOAPString", [0, 1]],
      ["addr2", "SOAP::SOAPString", [0, 1]],
      ["addr3", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["addrText", "SOAP::SOAPString", [0, 1]],
      ["override", "SOAP::SOAPBoolean", [0, 1]],
      ["internalId", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeAddressbookList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeAddressbookList"),
    :schema_element => [
      ["addressbook", "ActiveNetsuite::EmployeeAddressbook[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeRoles,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeRoles"),
    :schema_element => [
      ["selectedRole", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeRolesList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeRolesList"),
    :schema_element => [
      ["roles", "ActiveNetsuite::EmployeeRoles[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeSearch,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["departmentJoin", "ActiveNetsuite::DepartmentSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["resourceAllocationJoin", "ActiveNetsuite::ResourceAllocationSearchBasic", [0, 1]],
      ["subsidiaryJoin", "ActiveNetsuite::SubsidiarySearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeSearchAdvanced,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::EmployeeSearch", [0, 1]],
      ["columns", "ActiveNetsuite::EmployeeSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeSearchRow,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["departmentJoin", "ActiveNetsuite::DepartmentSearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchRowBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["resourceAllocationJoin", "ActiveNetsuite::ResourceAllocationSearchRowBasic", [0, 1]],
      ["subsidiaryJoin", "ActiveNetsuite::SubsidiarySearchRowBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeEmergencyContact,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeEmergencyContact"),
    :schema_element => [
      ["id", "SOAP::SOAPLong", [0, 1]],
      ["contact", "SOAP::SOAPString", [0, 1]],
      ["relationship", "SOAP::SOAPString", [0, 1]],
      ["address", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeEmergencyContactList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeEmergencyContactList"),
    :schema_element => [
      ["employeeEmergencyContact", "ActiveNetsuite::EmployeeEmergencyContact[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeHrEducation,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeHrEducation"),
    :schema_element => [
      ["education", "ActiveNetsuite::RecordRef", [0, 1]],
      ["degree", "SOAP::SOAPString", [0, 1]],
      ["degreeDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeHrEducationList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeHrEducationList"),
    :schema_element => [
      ["employeeHrEducation", "ActiveNetsuite::EmployeeHrEducation[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeAccruedTime,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeAccruedTime"),
    :schema_element => [
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["accruedHours", "SOAP::SOAPDouble", [0, 1]],
      ["accrualRate", "SOAP::SOAPDouble", [0, 1]],
      ["monetaryRate", "SOAP::SOAPDouble", [0, 1]],
      ["resetAccruedHoursAtYearEnd", "SOAP::SOAPBoolean", [0, 1]],
      ["accrualMethod", "ActiveNetsuite::EmployeeAccruedTimeAccrualMethod", [0, 1]],
      ["maximumAccruedHours", "SOAP::SOAPDouble", [0, 1]],
      ["inactive", "SOAP::SOAPBoolean", [0, 1]],
      ["effectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeAccruedTimeList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeAccruedTimeList"),
    :schema_element => [
      ["employeeAccruedTime", "ActiveNetsuite::EmployeeAccruedTime[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeDeduction,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeDeduction"),
    :schema_element => [
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["limit", "SOAP::SOAPDouble", [0, 1]],
      ["inactive", "SOAP::SOAPBoolean", [0, 1]],
      ["effectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeDeductionList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeDeductionList"),
    :schema_element => [
      ["employeeDeduction", "ActiveNetsuite::EmployeeDeduction[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeCompanyContribution,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeCompanyContribution"),
    :schema_element => [
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["limit", "SOAP::SOAPDouble", [0, 1]],
      ["inactive", "SOAP::SOAPBoolean", [0, 1]],
      ["effectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeCompanyContributionList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeCompanyContributionList"),
    :schema_element => [
      ["employeeCompanyContribution", "ActiveNetsuite::EmployeeCompanyContribution[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeEarning,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeEarning"),
    :schema_element => [
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payRate", "SOAP::SOAPString", [0, 1]],
      ["primaryEarning", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultHours", "SOAP::SOAPDouble", [0, 1]],
      ["inactive", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultEarning", "SOAP::SOAPBoolean", [0, 1]],
      ["effectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeEarningList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeEarningList"),
    :schema_element => [
      ["employeeEarning", "ActiveNetsuite::EmployeeEarning[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeDirectDeposit,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeDirectDeposit"),
    :schema_element => [
      ["id", "SOAP::SOAPLong", [0, 1]],
      ["netAccount", "SOAP::SOAPBoolean", [0, 1]],
      ["savingsAccount", "SOAP::SOAPBoolean", [0, 1]],
      ["accountPrenoted", "SOAP::SOAPBoolean", [0, 1]],
      ["accountStatus", "ActiveNetsuite::EmployeeDirectDepositAccountStatus", [0, 1]],
      ["bankName", "SOAP::SOAPString", [0, 1]],
      ["bankId", "SOAP::SOAPString", [0, 1]],
      ["bankNumber", "SOAP::SOAPString", [0, 1]],
      ["bankRoutingNumber", "SOAP::SOAPString", [0, 1]],
      ["bankAccountNumber", "SOAP::SOAPString", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["inactive", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeDirectDepositList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeDirectDepositList"),
    :schema_element => [
      ["employeeDirectDeposit", "ActiveNetsuite::EmployeeDirectDeposit[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PayrollItem,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "PayrollItem"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["liabilityAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employeePaid", "SOAP::SOAPBoolean", [0, 1]],
      ["inactive", "SOAP::SOAPBoolean", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PayrollItemSearch,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "PayrollItemSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PayrollItemSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PayrollItemSearchAdvanced,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "PayrollItemSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::PayrollItemSearch", [0, 1]],
      ["columns", "ActiveNetsuite::PayrollItemSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PayrollItemSearchRow,
    :schema_type => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "PayrollItemSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PayrollItemSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SiteCategory,
    :schema_type => XSD::QName.new(NsWebsite_2013_2ListsWebservicesActiveNetsuiteCom, "SiteCategory"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["website", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["parentCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["categoryListLayout", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemListLayout", "ActiveNetsuite::RecordRef", [0, 1]],
      ["relatedItemsListLayout", "ActiveNetsuite::RecordRef", [0, 1]],
      ["correlatedItemsListLayout", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::SiteCategoryPresentationItemList", [0, 1]],
      ["translationsList", "ActiveNetsuite::SiteCategoryTranslationList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SiteCategoryTranslation,
    :schema_type => XSD::QName.new(NsWebsite_2013_2ListsWebservicesActiveNetsuiteCom, "SiteCategoryTranslation"),
    :schema_element => [
      ["locale", "ActiveNetsuite::Language", [0, 1]],
      ["language", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SiteCategoryTranslationList,
    :schema_type => XSD::QName.new(NsWebsite_2013_2ListsWebservicesActiveNetsuiteCom, "SiteCategoryTranslationList"),
    :schema_element => [
      ["translation", "ActiveNetsuite::SiteCategoryTranslation[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SiteCategoryPresentationItemList,
    :schema_type => XSD::QName.new(NsWebsite_2013_2ListsWebservicesActiveNetsuiteCom, "SiteCategoryPresentationItemList"),
    :schema_element => [
      ["presentationItem", "ActiveNetsuite::PresentationItem[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SiteCategorySearch,
    :schema_type => XSD::QName.new(NsWebsite_2013_2ListsWebservicesActiveNetsuiteCom, "SiteCategorySearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SiteCategorySearchBasic", [0, 1]],
      ["shopperJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SiteCategorySearchAdvanced,
    :schema_type => XSD::QName.new(NsWebsite_2013_2ListsWebservicesActiveNetsuiteCom, "SiteCategorySearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::SiteCategorySearch", [0, 1]],
      ["columns", "ActiveNetsuite::SiteCategorySearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SiteCategorySearchRow,
    :schema_type => XSD::QName.new(NsWebsite_2013_2ListsWebservicesActiveNetsuiteCom, "SiteCategorySearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SiteCategorySearchRowBasic", [0, 1]],
      ["shopperJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TimeBill,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "TimeBill"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseTaskEvent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["paidExternally", "SOAP::SOAPBoolean", [0, 1]],
      ["workplace", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["hours", "ActiveNetsuite::Duration", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["timeType", "ActiveNetsuite::TimeBillTimeType", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["overrideRate", "SOAP::SOAPBoolean", [0, 1]],
      ["temporaryLocalJurisdiction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["temporaryStateJurisdiction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supervisorApproval", "SOAP::SOAPBoolean", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TimeBillSearch,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "TimeBillSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["classJoin", "ActiveNetsuite::ClassificationSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["departmentJoin", "ActiveNetsuite::DepartmentSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["projectTaskJoin", "ActiveNetsuite::ProjectTaskSearchBasic", [0, 1]],
      ["projectTaskAssignmentJoin", "ActiveNetsuite::ProjectTaskAssignmentSearchBasic", [0, 1]],
      ["resourceAllocationJoin", "ActiveNetsuite::ResourceAllocationSearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TimeBillSearchAdvanced,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "TimeBillSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::TimeBillSearch", [0, 1]],
      ["columns", "ActiveNetsuite::TimeBillSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TimeBillSearchRow,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "TimeBillSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TimeBillSearchRowBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchRowBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchRowBasic", [0, 1]],
      ["classJoin", "ActiveNetsuite::ClassificationSearchRowBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchRowBasic", [0, 1]],
      ["departmentJoin", "ActiveNetsuite::DepartmentSearchRowBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchRowBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchRowBasic", [0, 1]],
      ["projectTaskJoin", "ActiveNetsuite::ProjectTaskSearchRowBasic", [0, 1]],
      ["projectTaskAssignmentJoin", "ActiveNetsuite::ProjectTaskAssignmentSearchRowBasic", [0, 1]],
      ["resourceAllocationJoin", "ActiveNetsuite::ResourceAllocationSearchRowBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExpenseReport,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "ExpenseReport"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["dueDate", "SOAP::SOAPDateTime", [0, 1]],
      ["approvalStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["nextApprover", "ActiveNetsuite::RecordRef", [0, 1]],
      ["advance", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["complete", "SOAP::SOAPBoolean", [0, 1]],
      ["supervisorApproval", "SOAP::SOAPBoolean", [0, 1]],
      ["accountingApproval", "SOAP::SOAPBoolean", [0, 1]],
      ["useMultiCurrency", "SOAP::SOAPBoolean", [0, 1]],
      ["tax2Amt", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expenseList", "ActiveNetsuite::ExpenseReportExpenseList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExpenseReportExpense,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "ExpenseReportExpense"),
    :schema_element => [
      ["line", "SOAP::SOAPLong", [0, 1]],
      ["expenseDate", "SOAP::SOAPDateTime", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["foreignAmount", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["taxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["grossAmt", "SOAP::SOAPDouble", [0, 1]],
      ["taxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["expMediaItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isNonReimbursable", "SOAP::SOAPBoolean", [0, 1]],
      ["receipt", "SOAP::SOAPBoolean", [0, 1]],
      ["refNumber", "SOAP::SOAPLong", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExpenseReportExpenseList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "ExpenseReportExpenseList"),
    :schema_element => [
      ["expense", "ActiveNetsuite::ExpenseReportExpense[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaycheckJournal,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournal"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["companyContributionList", "ActiveNetsuite::PaycheckJournalCompanyContributionList", [0, 1]],
      ["deductionList", "ActiveNetsuite::PaycheckJournalDeductionList", [0, 1]],
      ["employeeTaxList", "ActiveNetsuite::PaycheckJournalEmployeeTaxList", [0, 1]],
      ["companyTaxList", "ActiveNetsuite::PaycheckJournalCompanyTaxList", [0, 1]],
      ["earningList", "ActiveNetsuite::PaycheckJournalEarningList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaycheckJournalCompanyTax,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournalCompanyTax"),
    :schema_element => [
      ["id", "SOAP::SOAPLong", [0, 1]],
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaycheckJournalCompanyTaxList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournalCompanyTaxList"),
    :schema_element => [
      ["paycheckJournalCompanyTax", "ActiveNetsuite::PaycheckJournalCompanyTax[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaycheckJournalDeduction,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournalDeduction"),
    :schema_element => [
      ["id", "SOAP::SOAPLong", [0, 1]],
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaycheckJournalDeductionList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournalDeductionList"),
    :schema_element => [
      ["paycheckJournalDeduction", "ActiveNetsuite::PaycheckJournalDeduction[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaycheckJournalCompanyContribution,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournalCompanyContribution"),
    :schema_element => [
      ["id", "SOAP::SOAPLong", [0, 1]],
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaycheckJournalCompanyContributionList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournalCompanyContributionList"),
    :schema_element => [
      ["paycheckJournalCompanyContribution", "ActiveNetsuite::PaycheckJournalCompanyContribution[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaycheckJournalEarning,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournalEarning"),
    :schema_element => [
      ["id", "SOAP::SOAPLong", [0, 1]],
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["hours", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaycheckJournalEarningList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournalEarningList"),
    :schema_element => [
      ["paycheckJournalEarning", "ActiveNetsuite::PaycheckJournalEarning[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaycheckJournalEmployeeTax,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournalEmployeeTax"),
    :schema_element => [
      ["id", "SOAP::SOAPLong", [0, 1]],
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaycheckJournalEmployeeTaxList,
    :schema_type => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "PaycheckJournalEmployeeTaxList"),
    :schema_element => [
      ["paycheckJournalEmployeeTax", "ActiveNetsuite::PaycheckJournalEmployeeTax[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Campaign,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "Campaign"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["campaignId", "SOAP::SOAPString", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["url", "SOAP::SOAPString", [0, 1]],
      ["baseCost", "SOAP::SOAPDouble", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["expectedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["local", "SOAP::SOAPBoolean", [0, 1]],
      ["totalRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["roi", "SOAP::SOAPDouble", [0, 1]],
      ["profit", "SOAP::SOAPDouble", [0, 1]],
      ["costPerCustomer", "SOAP::SOAPDouble", [0, 1]],
      ["convCostPerCustomer", "SOAP::SOAPDouble", [0, 1]],
      ["conversions", "SOAP::SOAPLong", [0, 1]],
      ["leadsGenerated", "SOAP::SOAPLong", [0, 1]],
      ["uniqueVisitors", "SOAP::SOAPLong", [0, 1]],
      ["vertical", "ActiveNetsuite::RecordRef", [0, 1]],
      ["audience", "ActiveNetsuite::RecordRef", [0, 1]],
      ["offer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["promotionCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["family", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchEngine", "ActiveNetsuite::RecordRef", [0, 1]],
      ["keyword", "SOAP::SOAPString", [0, 1]],
      ["campaignEmailList", "ActiveNetsuite::CampaignEmailList", [0, 1]],
      ["campaignDirectMailList", "ActiveNetsuite::CampaignDirectMailList", [0, 1]],
      ["campaignEventList", "ActiveNetsuite::CampaignEventList", [0, 1]],
      ["eventResponseList", "ActiveNetsuite::CampaignEventResponseList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignEmail,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignEmail"),
    :schema_element => [
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["campaignGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["template", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["subscription", "ActiveNetsuite::RecordRef", [0, 1]],
      ["channel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["status", "ActiveNetsuite::CampaignCampaignEmailStatus", [0, 1]],
      ["dateScheduled", "SOAP::SOAPDateTime", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignEmailList,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignEmailList"),
    :schema_element => [
      ["campaignEmail", "ActiveNetsuite::CampaignEmail[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignDirectMail,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignDirectMail"),
    :schema_element => [
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["campaignGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["template", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["subscription", "ActiveNetsuite::RecordRef", [0, 1]],
      ["channel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["status", "ActiveNetsuite::CampaignCampaignDirectMailStatus", [0, 1]],
      ["dateScheduled", "SOAP::SOAPDateTime", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignDirectMailList,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignDirectMailList"),
    :schema_element => [
      ["campaignDirectMail", "ActiveNetsuite::CampaignDirectMail[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignEvent,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignEvent"),
    :schema_element => [
      ["internalId", "SOAP::SOAPString", [0, 1]],
      ["campaignGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["subscription", "ActiveNetsuite::RecordRef", [0, 1]],
      ["channel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["status", "ActiveNetsuite::CampaignCampaignEventStatus", [0, 1]],
      ["dateScheduled", "SOAP::SOAPDateTime", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignEventList,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignEventList"),
    :schema_element => [
      ["campaignEvent", "ActiveNetsuite::CampaignEvent[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignEventResponse,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignEventResponse"),
    :schema_element => [
      ["name", "SOAP::SOAPString", [0, 1]],
      ["type", "SOAP::SOAPString", [0, 1]],
      ["dateSent", "SOAP::SOAPDateTime", [0, 1]],
      ["sent", "SOAP::SOAPDouble", [0, 1]],
      ["opened", "SOAP::SOAPDouble", [0, 1]],
      ["openedRatio", "SOAP::SOAPDouble", [0, 1]],
      ["clickedThru", "SOAP::SOAPDouble", [0, 1]],
      ["clickedThruRatio", "SOAP::SOAPDouble", [0, 1]],
      ["responded", "SOAP::SOAPLong", [0, 1]],
      ["respondedRatio", "SOAP::SOAPDouble", [0, 1]],
      ["unsubscribed", "SOAP::SOAPLong", [0, 1]],
      ["unsubscribedRatio", "SOAP::SOAPDouble", [0, 1]],
      ["bounced", "SOAP::SOAPLong", [0, 1]],
      ["bouncedRatio", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignEventResponseList,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignEventResponseList"),
    :schema_element => [
      ["eventResponse", "ActiveNetsuite::CampaignEventResponse[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignSearch,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["campaignRecipientJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["promotionCodeJoin", "ActiveNetsuite::PromotionCodeSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignSearchAdvanced,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::CampaignSearch", [0, 1]],
      ["columns", "ActiveNetsuite::CampaignSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignSearchRow,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CampaignSearchRowBasic", [0, 1]],
      ["campaignRecipientJoin", "ActiveNetsuite::EntitySearchRowBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchRowBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchRowBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchRowBasic", [0, 1]],
      ["promotionCodeJoin", "ActiveNetsuite::PromotionCodeSearchRowBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignCategory,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignCategory"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isexternal", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignAudience,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignAudience"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignFamily,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignFamily"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignSearchEngine,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignSearchEngine"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignChannel,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignChannel"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["eventType", "ActiveNetsuite::CampaignChannelEventType", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignOffer,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignOffer"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignResponse,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignResponse"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["campaignEvent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["campaignResponseDate", "SOAP::SOAPDateTime", [0, 1]],
      ["channel", "SOAP::SOAPString", [0, 1]],
      ["response", "ActiveNetsuite::CampaignResponseResponse", [0, 1]],
      ["note", "SOAP::SOAPString", [0, 1]],
      ["responsesList", "ActiveNetsuite::CampaignResponseResponsesList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignResponseResponses,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignResponseResponses"),
    :schema_element => [
      ["response", "SOAP::SOAPString", [0, 1]],
      ["responseDate", "SOAP::SOAPString", [0, 1]],
      ["author", "SOAP::SOAPString", [0, 1]],
      ["note", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignResponseResponsesList,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignResponseResponsesList"),
    :schema_element => [
      ["responses", "ActiveNetsuite::CampaignResponseResponses[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignVertical,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignVertical"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignSubscription,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignSubscription"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["subscribedByDefault", "SOAP::SOAPBoolean", [0, 1]],
      ["unsubscribed", "SOAP::SOAPBoolean", [0, 1]],
      ["externalName", "SOAP::SOAPString", [0, 1]],
      ["externalDescription", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PromotionCode,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCode"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["implementation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useType", "ActiveNetsuite::PromotionCodeUseType", [0, 1]],
      ["displayLineDiscounts", "SOAP::SOAPBoolean", [0, 1]],
      ["code", "SOAP::SOAPString", [0, 1]],
      ["codePattern", "SOAP::SOAPString", [0, 1]],
      ["numberToGenerate", "SOAP::SOAPLong", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["discount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["discountType", "SOAP::SOAPBoolean", [0, 1]],
      ["applyDiscountTo", "ActiveNetsuite::PromotionCodeApplyDiscountTo", [0, 1]],
      ["freeShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumOrderAmount", "SOAP::SOAPDouble", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["isPublic", "SOAP::SOAPBoolean", [0, 1]],
      ["currencyList", "ActiveNetsuite::PromotionCodeCurrencyList", [0, 1]],
      ["excludeItems", "SOAP::SOAPBoolean", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["itemsList", "ActiveNetsuite::PromotionCodeItemsList", [0, 1]],
      ["partnersList", "ActiveNetsuite::PromotionCodePartnersList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PromotionCodePartners,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodePartners"),
    :schema_element => [
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["code", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PromotionCodePartnersList,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodePartnersList"),
    :schema_element => [
      ["partners", "ActiveNetsuite::PromotionCodePartners[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PromotionCodeItems,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodeItems"),
    :schema_element => [
      ["item", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PromotionCodeItemsList,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodeItemsList"),
    :schema_element => [
      ["items", "ActiveNetsuite::PromotionCodeItems[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PromotionCodeSearch,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodeSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PromotionCodeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PromotionCodeSearchAdvanced,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodeSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::PromotionCodeSearch", [0, 1]],
      ["columns", "ActiveNetsuite::PromotionCodeSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PromotionCodeSearchRow,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodeSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PromotionCodeSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PromotionCodeCurrency,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodeCurrency"),
    :schema_element => [
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumOrderAmount", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PromotionCodeCurrencyList,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodeCurrencyList"),
    :schema_element => [
      ["currency", "ActiveNetsuite::PromotionCodeCurrency[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CouponCode,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CouponCode"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["promotion", "ActiveNetsuite::RecordRef"],
      ["code", "SOAP::SOAPString"],
      ["recipient", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dateSent", "SOAP::SOAPDateTime", [0, 1]],
      ["used", "SOAP::SOAPBoolean", [0, 1]],
      ["useCount", "SOAP::SOAPLong", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CouponCodeSearch,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CouponCodeSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CouponCodeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CouponCodeSearchAdvanced,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CouponCodeSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::CouponCodeSearch", [0, 1]],
      ["columns", "ActiveNetsuite::CouponCodeSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CouponCodeSearchRow,
    :schema_type => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CouponCodeSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CouponCodeSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemDemandPlan,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemDemandPlan"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["year", "SOAP::SOAPLong", [0, 1]],
      ["month", "ActiveNetsuite::DemandPlanMonth", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["demandPlanCalendarType", "ActiveNetsuite::DemandPlanCalendarType", [0, 1]],
      ["demandPlanMatrix", "ActiveNetsuite::DemandPlanMatrix", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DemandPlan,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "DemandPlan"),
    :schema_element => [
      ["startDate", "SOAP::SOAPDateTime"],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["calculatedQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["periodDemandPlanList", "ActiveNetsuite::PeriodDemandPlanList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DemandPlanMatrix,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "DemandPlanMatrix"),
    :schema_element => [
      ["demandPlan", "ActiveNetsuite::DemandPlan[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PeriodDemandPlanList,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "PeriodDemandPlanList"),
    :schema_element => [
      ["periodDemandPlan", "ActiveNetsuite::PeriodDemandPlan[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PeriodDemandPlan,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "PeriodDemandPlan"),
    :schema_element => [
      ["quantity", "SOAP::SOAPDouble"],
      ["dayOfTheWeek", "ActiveNetsuite::DayOfTheWeek", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemDemandPlanSearch,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemDemandPlanSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ItemDemandPlanSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["lastAlternateSourceItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemDemandPlanSearchAdvanced,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemDemandPlanSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ItemDemandPlanSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ItemDemandPlanSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemDemandPlanSearchRow,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemDemandPlanSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ItemDemandPlanSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["lastAlternateSourceItemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSupplyPlan,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemSupplyPlan"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["orderList", "ActiveNetsuite::ItemSupplyPlanOrderList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSupplyPlanOrder,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemSupplyPlanOrder"),
    :schema_element => [
      ["orderLineId", "SOAP::SOAPLong", [0, 1]],
      ["orderDate", "SOAP::SOAPDateTime", [0, 1]],
      ["receiptDate", "SOAP::SOAPDateTime", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["orderCreated", "SOAP::SOAPBoolean", [0, 1]],
      ["orderType", "ActiveNetsuite::ItemSupplyPlanOrderType", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSupplyPlanOrderList,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemSupplyPlanOrderList"),
    :schema_element => [
      ["itemSupplyPlanOrder", "ActiveNetsuite::ItemSupplyPlanOrder[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSupplyPlanSearch,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemSupplyPlanSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ItemSupplyPlanSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSupplyPlanSearchAdvanced,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemSupplyPlanSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ItemSupplyPlanSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ItemSupplyPlanSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSupplyPlanSearchRow,
    :schema_type => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemSupplyPlanSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ItemSupplyPlanSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingCostTemplate,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingCostTemplate"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["costDetailList", "ActiveNetsuite::ManufacturingCostDetailList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingCostDetail,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingCostDetail"),
    :schema_element => [
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedRate", "SOAP::SOAPDouble", [0, 1]],
      ["runRate", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingCostDetailList,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingCostDetailList"),
    :schema_element => [
      ["manufacturingCostDetail", "ActiveNetsuite::ManufacturingCostDetail[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingCostTemplateSearch,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingCostTemplateSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ManufacturingCostTemplateSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingCostTemplateSearchAdvanced,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingCostTemplateSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ManufacturingCostTemplateSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ManufacturingCostTemplateSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingCostTemplateSearchRow,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingCostTemplateSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ManufacturingCostTemplateSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingRouting,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingRouting"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["locationList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["isDefault", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["routingStepList", "ActiveNetsuite::ManufacturingRoutingRoutingStepList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingRoutingRoutingStep,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingRoutingRoutingStep"),
    :schema_element => [
      ["operationSequence", "SOAP::SOAPLong", [0, 1]],
      ["operationName", "SOAP::SOAPString", [0, 1]],
      ["manufacturingWorkCenter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["machineResources", "SOAP::SOAPLong", [0, 1]],
      ["laborResources", "SOAP::SOAPLong", [0, 1]],
      ["manufacturingCostTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["setupTime", "SOAP::SOAPDouble", [0, 1]],
      ["runRate", "SOAP::SOAPDouble", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingRoutingRoutingStepList,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingRoutingRoutingStepList"),
    :schema_element => [
      ["manufacturingRoutingRoutingStep", "ActiveNetsuite::ManufacturingRoutingRoutingStep[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "replaceAll") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingRoutingSearch,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingRoutingSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ManufacturingRoutingSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["manufacturingCostTemplateJoin", "ActiveNetsuite::ManufacturingCostTemplateSearchBasic", [0, 1]],
      ["manufacturingWorkCenterJoin", "ActiveNetsuite::EntityGroupSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingRoutingSearchAdvanced,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingRoutingSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ManufacturingRoutingSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ManufacturingRoutingSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingRoutingSearchRow,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingRoutingSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ManufacturingRoutingSearchRowBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchRowBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchRowBasic", [0, 1]],
      ["manufacturingCostTemplateJoin", "ActiveNetsuite::ManufacturingCostTemplateSearchRowBasic", [0, 1]],
      ["manufacturingWorkCenterJoin", "ActiveNetsuite::EntityGroupSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingOperationTask,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingOperationTask"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "Record"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturingWorkCenter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturingCostTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["operationSequence", "SOAP::SOAPLong", [0, 1]],
      ["workOrder", "ActiveNetsuite::RecordRef", [0, 1]],
      ["order", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "ActiveNetsuite::ManufacturingOperationTaskStatus", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["estimatedWork", "SOAP::SOAPDouble", [0, 1]],
      ["actualWork", "SOAP::SOAPDouble", [0, 1]],
      ["remainingWork", "SOAP::SOAPDouble", [0, 1]],
      ["inputQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["completedQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["setupTime", "SOAP::SOAPDouble", [0, 1]],
      ["runRate", "SOAP::SOAPDouble", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["machineResources", "SOAP::SOAPLong", [0, 1]],
      ["laborResources", "SOAP::SOAPLong", [0, 1]],
      ["costDetailList", "ActiveNetsuite::ManufacturingCostDetailList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingOperationTaskSearch,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingOperationTaskSearch"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ManufacturingOperationTaskSearchBasic", [0, 1]],
      ["predecessorJoin", "ActiveNetsuite::ManufacturingOperationTaskSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["workOrderJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingOperationTaskSearchAdvanced,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingOperationTaskSearchAdvanced"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecord"),
    :schema_element => [
      ["criteria", "ActiveNetsuite::ManufacturingOperationTaskSearch", [0, 1]],
      ["columns", "ActiveNetsuite::ManufacturingOperationTaskSearchRow", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "savedSearchId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "savedSearchScriptId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingOperationTaskSearchRow,
    :schema_type => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingOperationTaskSearchRow"),
    :schema_basetype => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRow"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ManufacturingOperationTaskSearchRowBasic", [0, 1]],
      ["predecessorJoin", "ActiveNetsuite::ManufacturingOperationTaskSearchRowBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchRowBasic", [0, 1]],
      ["workOrderJoin", "ActiveNetsuite::TransactionSearchRowBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchRowBasic[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RecordType,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "RecordType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchRecordType,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchRecordType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetAllRecordType,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetAllRecordType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetCustomizationType,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetCustomizationType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InitializeType,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InitializeRefType,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeRefType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InitializeAuxRefType,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "InitializeAuxRefType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DeletedRecordType,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "DeletedRecordType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncStatusType,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "AsyncStatusType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchStringFieldOperator,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchStringFieldOperator")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchLongFieldOperator,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchLongFieldOperator")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchTextNumberFieldOperator,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchTextNumberFieldOperator")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchDoubleFieldOperator,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchDoubleFieldOperator")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchDateFieldOperator,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchDateFieldOperator")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchEnumMultiSelectFieldOperator,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchEnumMultiSelectFieldOperator")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchMultiSelectFieldOperator,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchMultiSelectFieldOperator")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchDate,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "SearchDate")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DurationUnit,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "DurationUnit")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CalendarEventAttendeeResponse,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "CalendarEventAttendeeResponse")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetSelectValueFilterOperator,
    :schema_type => XSD::QName.new(NsTypesCore_2013_2PlatformWebservicesActiveNetsuiteCom, "GetSelectValueFilterOperator")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::StatusDetailType,
    :schema_type => XSD::QName.new(NsTypesFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "StatusDetailType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::StatusDetailCodeType,
    :schema_type => XSD::QName.new(NsTypesFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "StatusDetailCodeType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::FaultCodeType,
    :schema_type => XSD::QName.new(NsTypesFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "FaultCodeType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Country,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "Country")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Language,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "Language")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AvsMatchCode,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "AvsMatchCode")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CscMatchCode,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CscMatchCode")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VsoeSopGroup,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "VsoeSopGroup")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VsoeDeferral,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "VsoeDeferral")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VsoePermitDiscount,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "VsoePermitDiscount")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevenueStatus,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "RevenueStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevenueCommitStatus,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "RevenueCommitStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PostingPeriodDate,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PostingPeriodDate")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PermissionLevel,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PermissionLevel")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Source,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "Source")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GlobalSubscriptionStatus,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "GlobalSubscriptionStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemCostEstimateType,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ItemCostEstimateType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PresentationItemType,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PresentationItemType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LandedCostSource,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "LandedCostSource")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LandedCostMethod,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "LandedCostMethod")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SitemapPriority,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "SitemapPriority")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TimeItemTimeType,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "TimeItemTimeType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PermissionCode,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "PermissionCode")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::IntercoStatus,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "IntercoStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CurrencySymbolPlacement,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "CurrencySymbolPlacement")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RecurrenceFrequency,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "RecurrenceFrequency")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RecurrenceDow,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "RecurrenceDow")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RecurrenceDowim,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "RecurrenceDowim")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ChargeRuleType,
    :schema_type => XSD::QName.new(NsTypesCommon_2013_2PlatformWebservicesActiveNetsuiteCom, "ChargeRuleType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CalendarEventAccessLevel,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventAccessLevel")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CalendarEventAttendeeAttendance,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventAttendeeAttendance")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CalendarEventReminderMinutes,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventReminderMinutes")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CalendarEventReminderType,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventReminderType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CalendarEventStatus,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEventStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaskPriority,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "TaskPriority")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaskReminderMinutes,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "TaskReminderMinutes")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaskReminderType,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "TaskReminderType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaskStatus,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "TaskStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PhoneCallPriority,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCallPriority")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PhoneCallReminderMinutes,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCallReminderMinutes")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PhoneCallReminderType,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCallReminderType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PhoneCallStatus,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCallStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ProjectTaskPriority,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskPriority")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ProjectTaskStatus,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ProjectTaskConstraintType,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskConstraintType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ProjectTaskPredecessorPredecessorType,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ProjectTaskPredecessorPredecessorType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ResourceAllocationAllocationUnit,
    :schema_type => XSD::QName.new(NsTypesScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "ResourceAllocationAllocationUnit")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NoteDirection,
    :schema_type => XSD::QName.new(NsTypesCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "NoteDirection")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::MessageMessageType,
    :schema_type => XSD::QName.new(NsTypesCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "MessageMessageType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::MediaType,
    :schema_type => XSD::QName.new(NsTypesFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "MediaType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::FileAttachFrom,
    :schema_type => XSD::QName.new(NsTypesFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "FileAttachFrom")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::FileEncoding,
    :schema_type => XSD::QName.new(NsTypesFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "FileEncoding")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TextFileEncoding,
    :schema_type => XSD::QName.new(NsTypesFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "TextFileEncoding")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EntityType,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EntityType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerStatusStage,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerStatusStage")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactType,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "ContactType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerStage,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerStage")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerCreditHoldOverride,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerCreditHoldOverride")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerMonthlyClosing,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerMonthlyClosing")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmailPreference,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EmailPreference")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EntityGroupType,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EntityGroupType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EntityGroupDailyTime,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EntityGroupDailyTime")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EntityGroupDefView,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EntityGroupDefView")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EntityGroupPeriodSize,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EntityGroupPeriodSize")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaxFractionUnit,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "TaxFractionUnit")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaxRounding,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "TaxRounding")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobBillingType,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobBillingType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerOtherRelationships,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerOtherRelationships")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerOtherRelationships,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerOtherRelationships")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorOtherRelationships,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "VendorOtherRelationships")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerNegativeNumberFormat,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerNegativeNumberFormat")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerNumberFormat,
    :schema_type => XSD::QName.new(NsTypesRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerNumberFormat")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseStatusStage,
    :schema_type => XSD::QName.new(NsTypesSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseStatusStage")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseStage,
    :schema_type => XSD::QName.new(NsTypesSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseStage")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SolutionStatus,
    :schema_type => XSD::QName.new(NsTypesSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SolutionStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::IssueEventStatus,
    :schema_type => XSD::QName.new(NsTypesSupport_2013_2ListsWebservicesActiveNetsuiteCom, "IssueEventStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::IssueTrackCode,
    :schema_type => XSD::QName.new(NsTypesSupport_2013_2ListsWebservicesActiveNetsuiteCom, "IssueTrackCode")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::IssueRelationship,
    :schema_type => XSD::QName.new(NsTypesSupport_2013_2ListsWebservicesActiveNetsuiteCom, "IssueRelationship")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CurrencyLocale,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CurrencyLocale")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AccountType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AccountType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemCostingMethod,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemCostingMethod")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemProductFeed,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemProductFeed")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemWeightUnit,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemWeightUnit")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemPreferenceCriterion,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemPreferenceCriterion")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemOverallQuantityPricingType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemOverallQuantityPricingType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ScheduleBCode,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ScheduleBCode")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSubType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemSubType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CurrencyCurrencyPrecision,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CurrencyCurrencyPrecision")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CurrencyFxRateUpdateTimezone,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CurrencyFxRateUpdateTimezone")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesTaxItemAvailable,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SalesTaxItemAvailable")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemEbayAuctionDuration,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemEbayAuctionDuration")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemOutOfStockBehavior,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemOutOfStockBehavior")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemEbayRelistingOption,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemEbayRelistingOption")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ConsolidatedRate,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ConsolidatedRate")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashFlowRateType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CashFlowRateType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GeneralRateType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "GeneralRateType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemMatrixType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemMatrixType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemDemandSource,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemDemandSource")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSupplyLotSizingMethod,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemSupplyLotSizingMethod")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSupplyType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemSupplyType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSupplyReplenishmentMethod,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemSupplyReplenishmentMethod")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleRecogIntervalSrc,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecScheduleRecogIntervalSrc")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleRecurrenceType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecScheduleRecurrenceType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleAmortizationType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "RevRecScheduleAmortizationType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CostCategoryItemCostType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CostCategoryItemCostType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemAtpMethod,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemAtpMethod")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AssemblyItemEffectiveBomControl,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "AssemblyItemEffectiveBomControl")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemInvtClassification,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemInvtClassification")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PeriodicLotSizeType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PeriodicLotSizeType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::HazmatPackingGroup,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "HazmatPackingGroup")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemCarrier,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemCarrier")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaxAcctType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TaxAcctType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemOverheadType,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemOverheadType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemCostAccountingStatus,
    :schema_type => XSD::QName.new(NsTypesAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ItemCostAccountingStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesOrderItemCommitInventory,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrderItemCommitInventory")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesOrderItemCreatePo,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrderItemCreatePo")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesOrderOrderStatus,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrderOrderStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentExportTypeUps,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentExportTypeUps")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentLicenseExceptionUps,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentLicenseExceptionUps")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentMethodOfTransportUps,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentMethodOfTransportUps")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentThirdPartyTypeUps,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentThirdPartyTypeUps")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageUpsCodMethodUps,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageUpsCodMethodUps")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageUpsDeliveryConfUps,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageUpsDeliveryConfUps")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageUpsPackagingUps,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageUpsPackagingUps")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageUspsDeliveryConfUsps,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageUspsDeliveryConfUsps")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageUspsPackagingUsps,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageUspsPackagingUsps")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentB13AFilingOptionFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentB13AFilingOptionFedEx")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentHomeDeliveryTypeFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentHomeDeliveryTypeFedEx")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentThirdPartyTypeFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentThirdPartyTypeFedEx")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageFedExAdmPackageTypeFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageFedExAdmPackageTypeFedEx")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageFedExCodMethodFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageFedExCodMethodFedEx")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageFedExDeliveryConfFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageFedExDeliveryConfFedEx")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageFedExPackagingFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageFedExPackagingFedEx")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageFedExSignatureOptionsFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageFedExSignatureOptionsFedEx")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentTermsOfSaleFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentTermsOfSaleFedEx")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentShipStatus,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentShipStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OpportunityStatus,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "OpportunityStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionType,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionStatus,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionPaymentEventResult,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionPaymentEventResult")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionPaymentEventType,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionPaymentEventType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionPaymentEventHoldReason,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionPaymentEventHoldReason")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageFedExCodFreightTypeFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageFedExCodFreightTypeFedEx")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionLinkType,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionLinkType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ForecastType,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ForecastType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionLineType,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionLineType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionApprovalStatus,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionApprovalStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentPackageFedExPriorityAlertTypeFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentPackageFedExPriorityAlertTypeFedEx")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentHazmatTypeFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentHazmatTypeFedEx")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentAncillaryEndorsementFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentAncillaryEndorsementFedEx")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillmentAccessibilityTypeFedEx,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillmentAccessibilityTypeFedEx")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionChargeType,
    :schema_type => XSD::QName.new(NsTypesSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionChargeType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PurchaseOrderOrderStatus,
    :schema_type => XSD::QName.new(NsTypesPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "PurchaseOrderOrderStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionBillVarianceStatus,
    :schema_type => XSD::QName.new(NsTypesPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransactionBillVarianceStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorReturnAuthorizationOrderStatus,
    :schema_type => XSD::QName.new(NsTypesPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorReturnAuthorizationOrderStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ReturnAuthorizationOrderStatus,
    :schema_type => XSD::QName.new(NsTypesCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ReturnAuthorizationOrderStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ChargeStage,
    :schema_type => XSD::QName.new(NsTypesCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ChargeStage")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ChargeUse,
    :schema_type => XSD::QName.new(NsTypesCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ChargeUse")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BudgetBudgetType,
    :schema_type => XSD::QName.new(NsTypesFinancial_2013_2TransactionsWebservicesActiveNetsuiteCom, "BudgetBudgetType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransferOrderItemCommitInventory,
    :schema_type => XSD::QName.new(NsTypesInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransferOrderItemCommitInventory")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransferOrderOrderStatus,
    :schema_type => XSD::QName.new(NsTypesInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "TransferOrderOrderStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WorkOrderItemItemCreatePo,
    :schema_type => XSD::QName.new(NsTypesInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderItemItemCreatePo")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WorkOrderItemItemCommitInventory,
    :schema_type => XSD::QName.new(NsTypesInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "WorkOrderItemItemCommitInventory")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomizationFieldType,
    :schema_type => XSD::QName.new(NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomizationFieldType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomizationDynamicDefault,
    :schema_type => XSD::QName.new(NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomizationDynamicDefault")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomizationDisplayType,
    :schema_type => XSD::QName.new(NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomizationDisplayType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomizationFilterCompareType,
    :schema_type => XSD::QName.new(NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomizationFilterCompareType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypePermissionsPermittedLevel,
    :schema_type => XSD::QName.new(NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypePermissionsPermittedLevel")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypePermissionsRestriction,
    :schema_type => XSD::QName.new(NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypePermissionsRestriction")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemCustomFieldItemSubType,
    :schema_type => XSD::QName.new(NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemCustomFieldItemSubType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomizationAccessLevel,
    :schema_type => XSD::QName.new(NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomizationAccessLevel")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomizationSearchLevel,
    :schema_type => XSD::QName.new(NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomizationSearchLevel")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordTypeAccessType,
    :schema_type => XSD::QName.new(NsTypesCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordTypeAccessType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeePayFrequency,
    :schema_type => XSD::QName.new(NsTypesEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeePayFrequency")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeUseTimeData,
    :schema_type => XSD::QName.new(NsTypesEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeUseTimeData")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeCommissionPaymentPreference,
    :schema_type => XSD::QName.new(NsTypesEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeCommissionPaymentPreference")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Gender,
    :schema_type => XSD::QName.new(NsTypesEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "Gender")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeAccruedTimeAccrualMethod,
    :schema_type => XSD::QName.new(NsTypesEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeAccruedTimeAccrualMethod")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeDirectDepositAccountStatus,
    :schema_type => XSD::QName.new(NsTypesEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "EmployeeDirectDepositAccountStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PayrollItemItemTypeNoHierarchy,
    :schema_type => XSD::QName.new(NsTypesEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "PayrollItemItemTypeNoHierarchy")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TimeBillTimeType,
    :schema_type => XSD::QName.new(NsTypesEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "TimeBillTimeType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignCampaignDirectMailStatus,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignCampaignDirectMailStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignCampaignEmailStatus,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignCampaignEmailStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignCampaignEventStatus,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignCampaignEventStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignChannelEventType,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignChannelEventType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignResponseResponse,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignResponseResponse")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignCampaignEventType,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignCampaignEventType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignResponse_,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignResponse")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignStatus,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PromotionCodeApplyDiscountTo,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodeApplyDiscountTo")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignResponseCategory,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignResponseCategory")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PromotionCodeUseType,
    :schema_type => XSD::QName.new(NsTypesMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "PromotionCodeUseType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DemandPlanCalendarType,
    :schema_type => XSD::QName.new(NsTypesDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "DemandPlanCalendarType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DemandPlanMonth,
    :schema_type => XSD::QName.new(NsTypesDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "DemandPlanMonth")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DayOfTheWeek,
    :schema_type => XSD::QName.new(NsTypesDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "DayOfTheWeek")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemDemandPlanProjectionMethod,
    :schema_type => XSD::QName.new(NsTypesDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemDemandPlanProjectionMethod")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSupplyPlanOrderType,
    :schema_type => XSD::QName.new(NsTypesDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemSupplyPlanOrderType")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingOperationTaskStatus,
    :schema_type => XSD::QName.new(NsTypesSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "ManufacturingOperationTaskStatus")
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Status,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "status"),
    :schema_element => [
      ["statusDetail", "ActiveNetsuite::StatusDetail[]", [0, nil]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "isSuccess") => "SOAP::SOAPBoolean"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WsRoleList,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "wsRoleList"),
    :schema_element => [
      ["wsRole", "ActiveNetsuite::WsRole[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Record,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "record"),
    :schema_element => [
      ["nullFieldList", "ActiveNetsuite::NullField", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchRecord,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "searchRecord"),
    :schema_element => []
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchRecordBasic,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "searchRecordBasic"),
    :schema_element => []
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchRowBasic,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "searchRowBasic"),
    :schema_element => []
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchResult,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "searchResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["totalRecords", "SOAP::SOAPInt", [0, 1]],
      ["pageSize", "SOAP::SOAPInt", [0, 1]],
      ["totalPages", "SOAP::SOAPInt", [0, 1]],
      ["pageIndex", "SOAP::SOAPInt", [0, 1]],
      ["searchId", "SOAP::SOAPString", [0, 1]],
      ["recordList", "ActiveNetsuite::RecordList", [0, 1]],
      ["searchRowList", "ActiveNetsuite::SearchRowList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncStatusResult,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncStatusResult"),
    :schema_element => [
      ["jobId", "SOAP::SOAPString"],
      ["status", "ActiveNetsuite::AsyncStatusType"],
      ["percentCompleted", "SOAP::SOAPDouble"],
      ["estRemainingDuration", "SOAP::SOAPDouble"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetAllResult,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getAllResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["totalRecords", "SOAP::SOAPInt", [0, 1]],
      ["recordList", "ActiveNetsuite::RecordList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetSavedSearchResult,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getSavedSearchResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["totalRecords", "SOAP::SOAPInt", [0, 1]],
      ["recordRefList", "ActiveNetsuite::RecordRefList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetCustomizationIdResult,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getCustomizationIdResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["totalRecords", "SOAP::SOAPInt", [0, 1]],
      ["customizationRefList", "ActiveNetsuite::CustomizationRefList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetSelectValueResult,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getSelectValueResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["totalRecords", "SOAP::SOAPInt", [0, 1]],
      ["totalPages", "SOAP::SOAPInt", [0, 1]],
      ["baseRefList", "ActiveNetsuite::BaseRefList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RecordList,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "recordList"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchRowList,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "searchRowList"),
    :schema_element => [
      ["searchRow", "ActiveNetsuite::SearchRow[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RecordRefList,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "recordRefList"),
    :schema_element => [
      ["recordRef", "ActiveNetsuite::RecordRef[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BaseRef,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "baseRef"),
    :schema_element => [
      ["name", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BaseRefList,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "baseRefList"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomizationRefList,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "customizationRefList"),
    :schema_element => [
      ["customizationRef", "ActiveNetsuite::CustomizationRef[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InitializeRefList,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "initializeRefList"),
    :schema_element => [
      ["initializeRef", "ActiveNetsuite::InitializeRef[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetItemAvailabilityResult,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getItemAvailabilityResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["itemAvailabilityList", "ActiveNetsuite::ItemAvailabilityList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetBudgetExchangeRateResult,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getBudgetExchangeRateResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["budgetExchangeRateList", "ActiveNetsuite::BudgetExchangeRateList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetConsolidatedExchangeRateResult,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getConsolidatedExchangeRateResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["consolidatedExchangeRateList", "ActiveNetsuite::ConsolidatedExchangeRateList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetCurrencyRateResult,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getCurrencyRateResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["currencyRateList", "ActiveNetsuite::CurrencyRateList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetDataCenterUrlsResult,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getDataCenterUrlsResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["dataCenterUrls", "ActiveNetsuite::DataCenterUrls", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetPostingTransactionSummaryResult,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getPostingTransactionSummaryResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["totalRecords", "SOAP::SOAPInt", [0, 1]],
      ["pageSize", "SOAP::SOAPInt", [0, 1]],
      ["totalPages", "SOAP::SOAPInt", [0, 1]],
      ["pageIndex", "SOAP::SOAPInt", [0, 1]],
      ["postingTransactionSummaryList", "ActiveNetsuite::PostingTransactionSummaryList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetServerTimeResult,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getServerTimeResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["serverTime", "SOAP::SOAPDateTime"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DeletedRecordList,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "deletedRecordList"),
    :schema_element => [
      ["deletedRecord", "ActiveNetsuite::DeletedRecord[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetDeletedResult,
    :schema_name => XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getDeletedResult"),
    :schema_element => [
      ["status", "ActiveNetsuite::Status"],
      ["deletedRecordList", "ActiveNetsuite::DeletedRecordList", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InsufficientPermissionFault,
    :schema_name => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "insufficientPermissionFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InvalidAccountFault,
    :schema_name => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "invalidAccountFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InvalidCredentialsFault,
    :schema_name => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "invalidCredentialsFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InvalidSessionFault,
    :schema_name => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "invalidSessionFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExceededRequestLimitFault,
    :schema_name => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "exceededRequestLimitFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExceededUsageLimitFault,
    :schema_name => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "exceededUsageLimitFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExceededRecordCountFault,
    :schema_name => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "exceededRecordCountFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExceededRequestSizeFault,
    :schema_name => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "exceededRequestSizeFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InvalidVersionFault,
    :schema_name => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "invalidVersionFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncFault,
    :schema_name => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UnexpectedErrorFault,
    :schema_name => XSD::QName.new(NsFaults_2013_2PlatformWebservicesActiveNetsuiteCom, "unexpectedErrorFault"),
    :schema_element => [
      ["code", "ActiveNetsuite::FaultCodeType"],
      ["message", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ApplicationInfo,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "applicationInfo"),
    :schema_element => [
      ["applicationId", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerInfo,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "partnerInfo"),
    :schema_element => [
      ["partnerId", "SOAP::SOAPString", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DocumentInfo,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "documentInfo"),
    :schema_element => [
      ["nsId", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Preferences,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "preferences"),
    :schema_element => [
      ["warningAsError", "SOAP::SOAPBoolean", [0, 1]],
      ["disableMandatoryCustomFieldValidation", "SOAP::SOAPBoolean", [0, 1]],
      ["disableSystemNotesForCustomFields", "SOAP::SOAPBoolean", [0, 1]],
      ["ignoreReadOnlyFields", "SOAP::SOAPBoolean", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchPreferences,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "searchPreferences"),
    :schema_element => [
      ["bodyFieldsOnly", "SOAP::SOAPBoolean", [0, 1]],
      ["returnSearchColumns", "SOAP::SOAPBoolean", [0, 1]],
      ["pageSize", "SOAP::SOAPInt", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Passport,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "passport"),
    :schema_element => [
      ["email", "SOAP::SOAPString"],
      ["password", "SOAP::SOAPString"],
      ["account", "SOAP::SOAPString"],
      ["role", "ActiveNetsuite::RecordRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SessionResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "sessionResponse"),
    :schema_element => [
      ["status", ["ActiveNetsuite::Status", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "status")]],
      ["userId", "ActiveNetsuite::RecordRef", [0, 1]],
      ["wsRoleList", ["ActiveNetsuite::WsRoleList", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "wsRoleList")], [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WriteResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "writeResponse"),
    :schema_element => [
      ["status", ["ActiveNetsuite::Status", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "status")]],
      ["baseRef", "ActiveNetsuite::BaseRef", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ReadResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "readResponse"),
    :schema_element => [
      ["status", ["ActiveNetsuite::Status", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "status")]],
      ["record", "ActiveNetsuite::Record", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WriteResponseList,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "writeResponseList"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ReadResponseList,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "readResponseList"),
    :schema_element => [
      ["readResponse", "ActiveNetsuite::ReadResponse[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LoginResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "loginResponse"),
    :schema_element => [
      ["sessionResponse", "ActiveNetsuite::SessionResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SsoLoginResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "ssoLoginResponse"),
    :schema_element => [
      ["sessionResponse", "ActiveNetsuite::SessionResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::MapSsoResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "mapSsoResponse"),
    :schema_element => [
      ["sessionResponse", "ActiveNetsuite::SessionResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ChangePasswordResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "changePasswordResponse"),
    :schema_element => [
      ["sessionResponse", "ActiveNetsuite::SessionResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ChangeEmailResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "changeEmailResponse"),
    :schema_element => [
      ["sessionResponse", "ActiveNetsuite::SessionResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LogoutResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "logoutResponse"),
    :schema_element => [
      ["sessionResponse", "ActiveNetsuite::SessionResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AddResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "addResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AddListResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "addListResponse"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpdateResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "updateResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpdateListResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "updateListResponse"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpsertResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "upsertResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpsertListResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "upsertListResponse"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DeleteResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "deleteResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DeleteListResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "deleteListResponse"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "searchResponse"),
    :schema_element => [
      ["searchResult", ["ActiveNetsuite::SearchResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "searchResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchMoreResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "searchMoreResponse"),
    :schema_element => [
      ["searchResult", ["ActiveNetsuite::SearchResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "searchResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchMoreWithIdResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "searchMoreWithIdResponse"),
    :schema_element => [
      ["searchResult", ["ActiveNetsuite::SearchResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "searchResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchNextResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "searchNextResponse"),
    :schema_element => [
      ["searchResult", ["ActiveNetsuite::SearchResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "searchResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getResponse"),
    :schema_element => [
      ["readResponse", "ActiveNetsuite::ReadResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetListResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getListResponse"),
    :schema_element => [
      ["readResponseList", "ActiveNetsuite::ReadResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetAllResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getAllResponse"),
    :schema_element => [
      ["getAllResult", ["ActiveNetsuite::GetAllResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getAllResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetSavedSearchResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getSavedSearchResponse"),
    :schema_element => [
      ["getSavedSearchResult", ["ActiveNetsuite::GetSavedSearchResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getSavedSearchResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetCustomizationIdResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getCustomizationIdResponse"),
    :schema_element => [
      ["getCustomizationIdResult", ["ActiveNetsuite::GetCustomizationIdResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getCustomizationIdResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InitializeResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "initializeResponse"),
    :schema_element => [
      ["readResponse", "ActiveNetsuite::ReadResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InitializeListResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "initializeListResponse"),
    :schema_element => [
      ["readResponseList", "ActiveNetsuite::ReadResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetSelectValueResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getSelectValueResponse"),
    :schema_element => [
      ["getSelectValueResult", ["ActiveNetsuite::GetSelectValueResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getSelectValueResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetItemAvailabilityResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getItemAvailabilityResponse"),
    :schema_element => [
      ["getItemAvailabilityResult", ["ActiveNetsuite::GetItemAvailabilityResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getItemAvailabilityResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetBudgetExchangeRateResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getBudgetExchangeRateResponse"),
    :schema_element => [
      ["getBudgetExchangeRateResult", ["ActiveNetsuite::GetBudgetExchangeRateResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getBudgetExchangeRateResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetConsolidatedExchangeRateResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getConsolidatedExchangeRateResponse"),
    :schema_element => [
      ["getConsolidatedExchangeRateResult", ["ActiveNetsuite::GetConsolidatedExchangeRateResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getConsolidatedExchangeRateResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetCurrencyRateResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getCurrencyRateResponse"),
    :schema_element => [
      ["getCurrencyRateResult", ["ActiveNetsuite::GetCurrencyRateResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getCurrencyRateResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetDataCenterUrlsResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getDataCenterUrlsResponse"),
    :schema_element => [
      ["getDataCenterUrlsResult", ["ActiveNetsuite::GetDataCenterUrlsResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getDataCenterUrlsResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetPostingTransactionSummaryResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getPostingTransactionSummaryResponse"),
    :schema_element => [
      ["getPostingTransactionSummaryResult", ["ActiveNetsuite::GetPostingTransactionSummaryResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getPostingTransactionSummaryResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetServerTimeResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getServerTimeResponse"),
    :schema_element => [
      ["getServerTimeResult", ["ActiveNetsuite::GetServerTimeResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getServerTimeResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AttachResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "attachResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DetachResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "detachResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpdateInviteeStatusResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "updateInviteeStatusResponse"),
    :schema_element => [
      ["writeResponse", "ActiveNetsuite::WriteResponse"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpdateInviteeStatusListResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "updateInviteeStatusListResponse"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncStatusResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncAddListResponse"),
    :schema_element => [
      ["asyncStatusResult", ["ActiveNetsuite::AsyncStatusResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncStatusResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncStatusResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncUpdateListResponse"),
    :schema_element => [
      ["asyncStatusResult", ["ActiveNetsuite::AsyncStatusResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncStatusResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncStatusResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncUpsertListResponse"),
    :schema_element => [
      ["asyncStatusResult", ["ActiveNetsuite::AsyncStatusResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncStatusResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncStatusResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncDeleteListResponse"),
    :schema_element => [
      ["asyncStatusResult", ["ActiveNetsuite::AsyncStatusResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncStatusResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncStatusResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncGetListResponse"),
    :schema_element => [
      ["asyncStatusResult", ["ActiveNetsuite::AsyncStatusResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncStatusResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncStatusResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncInitializeListResponse"),
    :schema_element => [
      ["asyncStatusResult", ["ActiveNetsuite::AsyncStatusResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncStatusResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncStatusResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncSearchResponse"),
    :schema_element => [
      ["asyncStatusResult", ["ActiveNetsuite::AsyncStatusResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncStatusResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncStatusResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "checkAsyncStatusResponse"),
    :schema_element => [
      ["asyncStatusResult", ["ActiveNetsuite::AsyncStatusResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncStatusResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetAsyncResultResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getAsyncResultResponse"),
    :schema_element => [
      ["asyncResult", "ActiveNetsuite::AsyncResult"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncResult,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncResult"),
    :schema_element => []
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncAddListResult,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncAddListResult"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncUpdateListResult,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncUpdateListResult"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncUpsertListResult,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncUpsertListResult"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncDeleteListResult,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncDeleteListResult"),
    :schema_element => [
      ["writeResponseList", "ActiveNetsuite::WriteResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncGetListResult,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncGetListResult"),
    :schema_element => [
      ["readResponseList", "ActiveNetsuite::ReadResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncInitializeListResult,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncInitializeListResult"),
    :schema_element => [
      ["readResponseList", "ActiveNetsuite::ReadResponseList"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncSearchResult,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncSearchResult"),
    :schema_element => [
      ["searchResult", ["ActiveNetsuite::SearchResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "searchResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetDeletedResponse,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getDeletedResponse"),
    :schema_element => [
      ["getDeletedResult", ["ActiveNetsuite::GetDeletedResult", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "getDeletedResult")]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LoginRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "login"),
    :schema_element => [
      ["passport", "ActiveNetsuite::Passport"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SsoLoginRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "ssoLogin"),
    :schema_element => [
      ["ssoPassport", "ActiveNetsuite::SsoPassport"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::MapSsoRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "mapSso"),
    :schema_element => [
      ["ssoCredentials", "ActiveNetsuite::SsoCredentials"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ChangePasswordRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "changePassword"),
    :schema_element => [
      ["changePassword", "ActiveNetsuite::ChangePassword"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ChangeEmailRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "changeEmail"),
    :schema_element => [
      ["changeEmail", "ActiveNetsuite::ChangeEmail"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LogoutRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "logout"),
    :schema_element => []
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AddRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "add"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DeleteRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "delete"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "search"),
    :schema_element => [
      ["searchRecord", "ActiveNetsuite::SearchRecord"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchMoreRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "searchMore"),
    :schema_element => [
      ["pageIndex", "SOAP::SOAPInt"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchMoreWithIdRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "searchMoreWithId"),
    :schema_element => [
      ["searchId", "SOAP::SOAPString"],
      ["pageIndex", "SOAP::SOAPInt"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SearchNextRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "searchNext"),
    :schema_element => []
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpdateRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "update"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpsertRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "upsert"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AddListRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "addList"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DeleteListRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "deleteList"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpdateListRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "updateList"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpsertListRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "upsertList"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "get"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetListRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getList"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetAllRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getAll"),
    :schema_element => [
      ["record", "ActiveNetsuite::GetAllRecord"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetSavedSearchRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getSavedSearch"),
    :schema_element => [
      ["record", "ActiveNetsuite::GetSavedSearchRecord"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetCustomizationIdRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getCustomizationId"),
    :schema_element => [
      ["customizationType", "ActiveNetsuite::CustomizationType"],
      ["includeInactives", "SOAP::SOAPBoolean"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InitializeRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "initialize"),
    :schema_element => [
      ["initializeRecord", "ActiveNetsuite::InitializeRecord"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InitializeListRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "initializeList"),
    :schema_element => [
      ["initializeRecord", "ActiveNetsuite::InitializeRecord[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetSelectValueRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getSelectValue"),
    :schema_element => [
      ["fieldDescription", "ActiveNetsuite::GetSelectValueFieldDescription"],
      ["pageIndex", "SOAP::SOAPInt"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetItemAvailabilityRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getItemAvailability"),
    :schema_element => [
      ["itemAvailabilityFilter", "ActiveNetsuite::ItemAvailabilityFilter"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetBudgetExchangeRateRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getBudgetExchangeRate"),
    :schema_element => [
      ["budgetExchangeRateFilter", "ActiveNetsuite::BudgetExchangeRateFilter"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetConsolidatedExchangeRateRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getConsolidatedExchangeRate"),
    :schema_element => [
      ["consolidatedExchangeRateFilter", "ActiveNetsuite::ConsolidatedExchangeRateFilter"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetCurrencyRateRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getCurrencyRate"),
    :schema_element => [
      ["currencyRateFilter", "ActiveNetsuite::CurrencyRateFilter"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetDataCenterUrlsRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getDataCenterUrls"),
    :schema_element => [
      ["account", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetPostingTransactionSummaryRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getPostingTransactionSummary"),
    :schema_element => [
      ["fields", "ActiveNetsuite::PostingTransactionSummaryField"],
      ["filters", "ActiveNetsuite::PostingTransactionSummaryFilter", [0, 1]],
      ["pageIndex", "SOAP::SOAPInt"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetServerTimeRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getServerTime"),
    :schema_element => []
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AttachRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "attach"),
    :schema_element => [
      ["attachReference", "ActiveNetsuite::AttachReference"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DetachRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "detach"),
    :schema_element => [
      ["detachReference", "ActiveNetsuite::DetachReference"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpdateInviteeStatusRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "updateInviteeStatus"),
    :schema_element => [
      ["updateInviteeStatusReference", "ActiveNetsuite::UpdateInviteeStatusReference"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UpdateInviteeStatusListRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "updateInviteeStatusList"),
    :schema_element => [
      ["updateInviteeStatusReference", "ActiveNetsuite::UpdateInviteeStatusReference[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncAddListRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncAddList"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncUpdateListRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncUpdateList"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncUpsertListRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncUpsertList"),
    :schema_element => [
      ["record", "ActiveNetsuite::Record[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncDeleteListRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncDeleteList"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncGetListRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncGetList"),
    :schema_element => [
      ["baseRef", "ActiveNetsuite::BaseRef[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncInitializeListRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncInitializeList"),
    :schema_element => [
      ["initializeRecord", "ActiveNetsuite::InitializeRecord[]", [1, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AsyncSearchRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "asyncSearch"),
    :schema_element => [
      ["searchRecord", "ActiveNetsuite::SearchRecord"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CheckAsyncStatusRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "checkAsyncStatus"),
    :schema_element => [
      ["jobId", "SOAP::SOAPString"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetAsyncResultRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getAsyncResult"),
    :schema_element => [
      ["jobId", "SOAP::SOAPString"],
      ["pageIndex", "SOAP::SOAPInt"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GetDeletedRequest,
    :schema_name => XSD::QName.new(NsMessages_2013_2PlatformWebservicesActiveNetsuiteCom, "getDeleted"),
    :schema_element => [
      ["getDeletedFilter", "ActiveNetsuite::GetDeletedFilter"]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CalendarEvent,
    :schema_name => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "CalendarEvent"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supportCase", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["period", "SOAP::SOAPLong", [0, 1]],
      ["frequency", "ActiveNetsuite::RecurrenceFrequency", [0, 1]],
      ["recurrenceDowMaskList", "ActiveNetsuite::RecurrenceDowMaskList", [0, 1]],
      ["recurrenceDow", "ActiveNetsuite::RecurrenceDow", [0, 1]],
      ["recurrenceDowim", "ActiveNetsuite::RecurrenceDowim", [0, 1]],
      ["seriesStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endByDate", "SOAP::SOAPDateTime", [0, 1]],
      ["noEndDate", "SOAP::SOAPBoolean", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["recurrence", "SOAP::SOAPString", [0, 1]],
      ["location", "SOAP::SOAPString", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["allDayEvent", "SOAP::SOAPBoolean", [0, 1]],
      ["timedEvent", "SOAP::SOAPBoolean", [0, 1]],
      ["reminderType", "ActiveNetsuite::CalendarEventReminderType", [0, 1]],
      ["reminderMinutes", "ActiveNetsuite::CalendarEventReminderMinutes", [0, 1]],
      ["status", "ActiveNetsuite::CalendarEventStatus", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CalendarEventAccessLevel", [0, 1]],
      ["organizer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["exclusionDateList", "ActiveNetsuite::ExclusionDateList", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["attendeeList", "ActiveNetsuite::CalendarEventAttendeeList", [0, 1]],
      ["resourceList", "ActiveNetsuite::CalendarEventResourceList", [0, 1]],
      ["timeItemList", "ActiveNetsuite::CalendarEventTimeItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CalendarEventSearch,
    :schema_name => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "calendarEventSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["attendeeJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["attendeeContactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["attendeeCustomerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Task,
    :schema_name => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "Task"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supportCase", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["milestone", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["assigned", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["timedEvent", "SOAP::SOAPBoolean", [0, 1]],
      ["estimatedTime", "ActiveNetsuite::Duration", [0, 1]],
      ["estimatedTimeOverride", "ActiveNetsuite::Duration", [0, 1]],
      ["actualTime", "ActiveNetsuite::Duration", [0, 1]],
      ["timeRemaining", "ActiveNetsuite::Duration", [0, 1]],
      ["percentTimeComplete", "SOAP::SOAPDouble", [0, 1]],
      ["percentComplete", "SOAP::SOAPDouble", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["dueDate", "SOAP::SOAPDateTime", [0, 1]],
      ["completedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["priority", "ActiveNetsuite::TaskPriority", [0, 1]],
      ["status", "ActiveNetsuite::TaskStatus", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["accessLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["reminderType", "ActiveNetsuite::TaskReminderType", [0, 1]],
      ["reminderMinutes", "ActiveNetsuite::TaskReminderMinutes", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contactList", "ActiveNetsuite::TaskContactList", [0, 1]],
      ["timeItemList", "ActiveNetsuite::TaskTimeItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaskSearch,
    :schema_name => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "taskSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["companyCustomerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PhoneCall,
    :schema_name => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "PhoneCall"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supportCase", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["milestone", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assigned", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["timedEvent", "SOAP::SOAPBoolean", [0, 1]],
      ["completedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["status", "ActiveNetsuite::PhoneCallStatus", [0, 1]],
      ["priority", "ActiveNetsuite::PhoneCallPriority", [0, 1]],
      ["accessLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["reminderType", "ActiveNetsuite::PhoneCallReminderType", [0, 1]],
      ["reminderMinutes", "ActiveNetsuite::PhoneCallReminderMinutes", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["contactList", "ActiveNetsuite::PhoneCallContactList", [0, 1]],
      ["timeItemList", "ActiveNetsuite::PhoneCallTimeItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PhoneCallSearch,
    :schema_name => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "phoneCallSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["companyCustomerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["participantJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ProjectTask,
    :schema_name => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "projectTask"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["eventId", "ActiveNetsuite::RecordRef", [0, 1]],
      ["percentTimeComplete", "SOAP::SOAPDouble", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]],
      ["order", "ActiveNetsuite::RecordRef", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["priority", "ActiveNetsuite::RecordRef", [0, 1]],
      ["estimatedWork", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedWorkBaseline", "SOAP::SOAPDouble", [0, 1]],
      ["constraintType", "ActiveNetsuite::ProjectTaskConstraintType", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["startDateBaseline", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["finishByDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDateBaseline", "SOAP::SOAPDateTime", [0, 1]],
      ["actualWork", "SOAP::SOAPDouble", [0, 1]],
      ["remainingWork", "SOAP::SOAPDouble", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["isMilestone", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnCriticalPath", "SOAP::SOAPString", [0, 1]],
      ["slackMinutes", "SOAP::SOAPDouble", [0, 1]],
      ["lateEnd", "SOAP::SOAPDateTime", [0, 1]],
      ["lateStart", "SOAP::SOAPDateTime", [0, 1]],
      ["status", "ActiveNetsuite::ProjectTaskStatus", [0, 1]],
      ["assigneeList", "ActiveNetsuite::ProjectTaskAssigneeList", [0, 1]],
      ["predecessorList", "ActiveNetsuite::ProjectTaskPredecessorList", [0, 1]],
      ["timeItemList", "ActiveNetsuite::ProjectTaskTimeItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ProjectTaskSearch,
    :schema_name => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "projectTaskSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ProjectTaskSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["predecessorJoin", "ActiveNetsuite::ProjectTaskSearchBasic", [0, 1]],
      ["projectTaskAssignmentJoin", "ActiveNetsuite::ProjectTaskAssignmentSearchBasic", [0, 1]],
      ["successorJoin", "ActiveNetsuite::ProjectTaskSearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ResourceAllocation,
    :schema_name => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "resourceAllocation"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["requestedby", "ActiveNetsuite::RecordRef", [0, 1]],
      ["allocationResource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["project", "ActiveNetsuite::RecordRef", [0, 1]],
      ["notes", "SOAP::SOAPString", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["allocationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["allocationUnit", "ActiveNetsuite::ResourceAllocationAllocationUnit", [0, 1]],
      ["numberHours", "SOAP::SOAPDouble", [0, 1]],
      ["percentOfTime", "SOAP::SOAPDouble", [0, 1]],
      ["allocationType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ResourceAllocationSearch,
    :schema_name => XSD::QName.new(NsScheduling_2013_2ActivitiesWebservicesActiveNetsuiteCom, "resourceAllocationSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ResourceAllocationSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["requestedByJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["resourceJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Note,
    :schema_name => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "Note"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["noteType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["direction", "ActiveNetsuite::NoteDirection", [0, 1]],
      ["noteDate", "SOAP::SOAPDateTime", [0, 1]],
      ["note", "SOAP::SOAPString", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["activity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["author", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["folder", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["media", "ActiveNetsuite::RecordRef", [0, 1]],
      ["record", "ActiveNetsuite::RecordRef", [0, 1]],
      ["recordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["topic", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transaction", "ActiveNetsuite::RecordRef", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NoteSearch,
    :schema_name => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "noteSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["authorJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["campaignJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["entityJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["issueJoin", "ActiveNetsuite::IssueSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["solutionJoin", "ActiveNetsuite::SolutionSearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Message,
    :schema_name => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "Message"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["author", "ActiveNetsuite::RecordRef", [0, 1]],
      ["recipient", "ActiveNetsuite::RecordRef", [0, 1]],
      ["cc", "SOAP::SOAPString", [0, 1]],
      ["bcc", "SOAP::SOAPString", [0, 1]],
      ["messageDate", "SOAP::SOAPDateTime", [0, 1]],
      ["recordName", "SOAP::SOAPString", [0, 1]],
      ["recordTypeName", "SOAP::SOAPString", [0, 1]],
      ["subject", "SOAP::SOAPString", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["emailed", "SOAP::SOAPBoolean", [0, 1]],
      ["activity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["compressAttachments", "SOAP::SOAPBoolean", [0, 1]],
      ["incoming", "SOAP::SOAPBoolean", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["transaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["mediaItemList", "ActiveNetsuite::MessageMediaItemList", [0, 1]],
      ["dateTime", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::MessageSearch,
    :schema_name => XSD::QName.new(NsCommunication_2013_2GeneralWebservicesActiveNetsuiteCom, "messageSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["attachmentsJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["authorJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["campaignJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["entityJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["recipientJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::FileSearch,
    :schema_name => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "fileSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["shopperJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::FolderSearch,
    :schema_name => XSD::QName.new(NsFilecabinet_2013_2DocumentsWebservicesActiveNetsuiteCom, "folderSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::FolderSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Contact,
    :schema_name => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "Contact"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityId", "SOAP::SOAPString", [0, 1]],
      ["contactSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salutation", "SOAP::SOAPString", [0, 1]],
      ["firstName", "SOAP::SOAPString", [0, 1]],
      ["middleName", "SOAP::SOAPString", [0, 1]],
      ["lastName", "SOAP::SOAPString", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["defaultAddress", "SOAP::SOAPString", [0, 1]],
      ["isPrivate", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["phoneticName", "SOAP::SOAPString", [0, 1]],
      ["categoryList", "ActiveNetsuite::CategoryList", [0, 1]],
      ["altEmail", "SOAP::SOAPString", [0, 1]],
      ["officePhone", "SOAP::SOAPString", [0, 1]],
      ["homePhone", "SOAP::SOAPString", [0, 1]],
      ["mobilePhone", "SOAP::SOAPString", [0, 1]],
      ["supervisor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supervisorPhone", "SOAP::SOAPString", [0, 1]],
      ["assistant", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assistantPhone", "SOAP::SOAPString", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::GlobalSubscriptionStatus", [0, 1]],
      ["image", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["dateCreated", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["addressbookList", "ActiveNetsuite::ContactAddressbookList", [0, 1]],
      ["subscriptionsList", "ActiveNetsuite::SubscriptionsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactSearch,
    :schema_name => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "contactSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["customerPrimaryJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["jobPrimaryJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["parentCustomerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["parentJobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["parentPartnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["parentVendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["partnerPrimaryJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["purchasedItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["upsellItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["vendorPrimaryJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Customer,
    :schema_name => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "Customer"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityId", "SOAP::SOAPString", [0, 1]],
      ["altName", "SOAP::SOAPString", [0, 1]],
      ["isPerson", "SOAP::SOAPBoolean", [0, 1]],
      ["phoneticName", "SOAP::SOAPString", [0, 1]],
      ["salutation", "SOAP::SOAPString", [0, 1]],
      ["firstName", "SOAP::SOAPString", [0, 1]],
      ["middleName", "SOAP::SOAPString", [0, 1]],
      ["lastName", "SOAP::SOAPString", [0, 1]],
      ["companyName", "SOAP::SOAPString", [0, 1]],
      ["entityStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["url", "SOAP::SOAPString", [0, 1]],
      ["defaultAddress", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["printOnCheckAs", "SOAP::SOAPString", [0, 1]],
      ["altPhone", "SOAP::SOAPString", [0, 1]],
      ["homePhone", "SOAP::SOAPString", [0, 1]],
      ["mobilePhone", "SOAP::SOAPString", [0, 1]],
      ["altEmail", "SOAP::SOAPString", [0, 1]],
      ["language", "ActiveNetsuite::Language", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["numberFormat", "ActiveNetsuite::CustomerNumberFormat", [0, 1]],
      ["negativeNumberFormat", "ActiveNetsuite::CustomerNegativeNumberFormat", [0, 1]],
      ["dateCreated", "SOAP::SOAPDateTime", [0, 1]],
      ["image", "ActiveNetsuite::RecordRef", [0, 1]],
      ["emailPreference", "ActiveNetsuite::EmailPreference", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["representingSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["territory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vatRegNumber", "SOAP::SOAPString", [0, 1]],
      ["accountNumber", "SOAP::SOAPString", [0, 1]],
      ["taxExempt", "SOAP::SOAPBoolean", [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["creditLimit", "SOAP::SOAPDouble", [0, 1]],
      ["creditHoldOverride", "ActiveNetsuite::CustomerCreditHoldOverride", [0, 1]],
      ["monthlyClosing", "ActiveNetsuite::CustomerMonthlyClosing", [0, 1]],
      ["overrideCurrencyFormat", "SOAP::SOAPBoolean", [0, 1]],
      ["displaySymbol", "SOAP::SOAPString", [0, 1]],
      ["symbolPlacement", "ActiveNetsuite::CurrencySymbolPlacement", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["overdueBalance", "SOAP::SOAPDouble", [0, 1]],
      ["daysOverdue", "SOAP::SOAPLong", [0, 1]],
      ["unbilledOrders", "SOAP::SOAPDouble", [0, 1]],
      ["consolUnbilledOrders", "SOAP::SOAPDouble", [0, 1]],
      ["consolOverdueBalance", "SOAP::SOAPDouble", [0, 1]],
      ["consolDepositBalance", "SOAP::SOAPDouble", [0, 1]],
      ["consolBalance", "SOAP::SOAPDouble", [0, 1]],
      ["consolAging", "SOAP::SOAPDouble", [0, 1]],
      ["consolDaysOverdue", "SOAP::SOAPLong", [0, 1]],
      ["priceLevel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["prefCCProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["depositBalance", "SOAP::SOAPDouble", [0, 1]],
      ["shipComplete", "SOAP::SOAPBoolean", [0, 1]],
      ["taxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["resaleNumber", "SOAP::SOAPString", [0, 1]],
      ["aging", "SOAP::SOAPDouble", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["reminderDays", "SOAP::SOAPLong", [0, 1]],
      ["shippingItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["thirdPartyAcct", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyZipcode", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyCountry", "ActiveNetsuite::Country", [0, 1]],
      ["giveAccess", "SOAP::SOAPBoolean", [0, 1]],
      ["estimatedBudget", "SOAP::SOAPDouble", [0, 1]],
      ["accessRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["password", "SOAP::SOAPString", [0, 1]],
      ["password2", "SOAP::SOAPString", [0, 1]],
      ["requirePwdChange", "SOAP::SOAPBoolean", [0, 1]],
      ["campaignCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["receivablesAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["drAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fxAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["defaultOrderPriority", "SOAP::SOAPDouble", [0, 1]],
      ["webLead", "SOAP::SOAPString", [0, 1]],
      ["referrer", "SOAP::SOAPString", [0, 1]],
      ["keywords", "SOAP::SOAPString", [0, 1]],
      ["clickStream", "SOAP::SOAPString", [0, 1]],
      ["lastPageVisited", "SOAP::SOAPString", [0, 1]],
      ["visits", "SOAP::SOAPLong", [0, 1]],
      ["firstVisit", "SOAP::SOAPDateTime", [0, 1]],
      ["lastVisit", "SOAP::SOAPDateTime", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["openingBalance", "SOAP::SOAPDouble", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["openingBalanceDate", "SOAP::SOAPDateTime", [0, 1]],
      ["openingBalanceAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stage", "ActiveNetsuite::CustomerStage", [0, 1]],
      ["emailTransactions", "SOAP::SOAPBoolean", [0, 1]],
      ["printTransactions", "SOAP::SOAPBoolean", [0, 1]],
      ["faxTransactions", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["isBudgetApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::GlobalSubscriptionStatus", [0, 1]],
      ["salesReadiness", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::CustomerSalesTeamList", [0, 1]],
      ["buyingReason", "ActiveNetsuite::RecordRef", [0, 1]],
      ["downloadList", "ActiveNetsuite::CustomerDownloadList", [0, 1]],
      ["buyingTimeFrame", "ActiveNetsuite::RecordRef", [0, 1]],
      ["addressbookList", "ActiveNetsuite::CustomerAddressbookList", [0, 1]],
      ["subscriptionsList", "ActiveNetsuite::SubscriptionsList", [0, 1]],
      ["contactRolesList", "ActiveNetsuite::ContactAccessRolesList", [0, 1]],
      ["currencyList", "ActiveNetsuite::CustomerCurrencyList", [0, 1]],
      ["creditCardsList", "ActiveNetsuite::CustomerCreditCardsList", [0, 1]],
      ["partnersList", "ActiveNetsuite::CustomerPartnersList", [0, 1]],
      ["groupPricingList", "ActiveNetsuite::CustomerGroupPricingList", [0, 1]],
      ["itemPricingList", "ActiveNetsuite::CustomerItemPricingList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerSearch,
    :schema_name => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "customerSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["hostedPageJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["leadSourceJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["parentCustomerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["purchasedItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["resourceAllocationJoin", "ActiveNetsuite::ResourceAllocationSearchBasic", [0, 1]],
      ["salesRepJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["subCustomerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["topLevelParentJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["upsellItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["webSiteCategoryJoin", "ActiveNetsuite::SiteCategorySearchBasic", [0, 1]],
      ["webSiteItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerStatus,
    :schema_name => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerStatus"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["stage", "ActiveNetsuite::CustomerStatusStage", [0, 1]],
      ["probability", "SOAP::SOAPDouble", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["includeInLeadReports", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Partner,
    :schema_name => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "Partner"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityId", "SOAP::SOAPString", [0, 1]],
      ["altName", "SOAP::SOAPString", [0, 1]],
      ["partnerCode", "SOAP::SOAPString", [0, 1]],
      ["isPerson", "SOAP::SOAPBoolean", [0, 1]],
      ["phoneticName", "SOAP::SOAPString", [0, 1]],
      ["salutation", "SOAP::SOAPString", [0, 1]],
      ["firstName", "SOAP::SOAPString", [0, 1]],
      ["middleName", "SOAP::SOAPString", [0, 1]],
      ["lastName", "SOAP::SOAPString", [0, 1]],
      ["companyName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["url", "SOAP::SOAPString", [0, 1]],
      ["defaultAddress", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["dateCreated", "SOAP::SOAPDateTime", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::GlobalSubscriptionStatus", [0, 1]],
      ["referringUrl", "SOAP::SOAPString", [0, 1]],
      ["roleList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["categoryList", "ActiveNetsuite::CategoryList", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["printOnCheckAs", "SOAP::SOAPString", [0, 1]],
      ["taxIdNum", "SOAP::SOAPString", [0, 1]],
      ["vatRegNumber", "SOAP::SOAPString", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["bcn", "SOAP::SOAPString", [0, 1]],
      ["image", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxFractionUnit", "ActiveNetsuite::TaxFractionUnit", [0, 1]],
      ["emailPreference", "ActiveNetsuite::EmailPreference", [0, 1]],
      ["taxRounding", "ActiveNetsuite::TaxRounding", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["homePhone", "SOAP::SOAPString", [0, 1]],
      ["mobilePhone", "SOAP::SOAPString", [0, 1]],
      ["altEmail", "SOAP::SOAPString", [0, 1]],
      ["giveAccess", "SOAP::SOAPBoolean", [0, 1]],
      ["accessRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["password", "SOAP::SOAPString", [0, 1]],
      ["password2", "SOAP::SOAPString", [0, 1]],
      ["requirePwdChange", "SOAP::SOAPBoolean", [0, 1]],
      ["subPartnerLogin", "SOAP::SOAPBoolean", [0, 1]],
      ["loginAs", "SOAP::SOAPString", [0, 1]],
      ["eligibleForCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["contactRolesList", "ActiveNetsuite::ContactAccessRolesList", [0, 1]],
      ["promoCodeList", "ActiveNetsuite::PartnerPromoCodeList", [0, 1]],
      ["addressbookList", "ActiveNetsuite::PartnerAddressbookList", [0, 1]],
      ["subscriptionsList", "ActiveNetsuite::SubscriptionsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerSearch,
    :schema_name => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "partnerSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Vendor,
    :schema_name => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "Vendor"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityId", "SOAP::SOAPString", [0, 1]],
      ["altName", "SOAP::SOAPString", [0, 1]],
      ["isPerson", "SOAP::SOAPBoolean", [0, 1]],
      ["phoneticName", "SOAP::SOAPString", [0, 1]],
      ["salutation", "SOAP::SOAPString", [0, 1]],
      ["firstName", "SOAP::SOAPString", [0, 1]],
      ["middleName", "SOAP::SOAPString", [0, 1]],
      ["lastName", "SOAP::SOAPString", [0, 1]],
      ["companyName", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["url", "SOAP::SOAPString", [0, 1]],
      ["defaultAddress", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["dateCreated", "SOAP::SOAPDateTime", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["printOnCheckAs", "SOAP::SOAPString", [0, 1]],
      ["altPhone", "SOAP::SOAPString", [0, 1]],
      ["homePhone", "SOAP::SOAPString", [0, 1]],
      ["mobilePhone", "SOAP::SOAPString", [0, 1]],
      ["altEmail", "SOAP::SOAPString", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::GlobalSubscriptionStatus", [0, 1]],
      ["image", "ActiveNetsuite::RecordRef", [0, 1]],
      ["emailPreference", "ActiveNetsuite::EmailPreference", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["representingSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["accountNumber", "SOAP::SOAPString", [0, 1]],
      ["legalName", "SOAP::SOAPString", [0, 1]],
      ["vatRegNumber", "SOAP::SOAPString", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payablesAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["creditLimit", "SOAP::SOAPDouble", [0, 1]],
      ["balancePrimary", "SOAP::SOAPDouble", [0, 1]],
      ["openingBalance", "SOAP::SOAPDouble", [0, 1]],
      ["openingBalanceDate", "SOAP::SOAPDateTime", [0, 1]],
      ["openingBalanceAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["unbilledOrdersPrimary", "SOAP::SOAPDouble", [0, 1]],
      ["bcn", "SOAP::SOAPString", [0, 1]],
      ["unbilledOrders", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["is1099Eligible", "SOAP::SOAPBoolean", [0, 1]],
      ["isJobResourceVend", "SOAP::SOAPBoolean", [0, 1]],
      ["laborCost", "SOAP::SOAPDouble", [0, 1]],
      ["workCalendar", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxIdNum", "SOAP::SOAPString", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["giveAccess", "SOAP::SOAPBoolean", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["isAccountant", "SOAP::SOAPBoolean", [0, 1]],
      ["password", "SOAP::SOAPString", [0, 1]],
      ["password2", "SOAP::SOAPString", [0, 1]],
      ["requirePwdChange", "SOAP::SOAPBoolean", [0, 1]],
      ["eligibleForCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["emailTransactions", "SOAP::SOAPBoolean", [0, 1]],
      ["printTransactions", "SOAP::SOAPBoolean", [0, 1]],
      ["faxTransactions", "SOAP::SOAPBoolean", [0, 1]],
      ["pricingScheduleList", "ActiveNetsuite::VendorPricingScheduleList", [0, 1]],
      ["subscriptionsList", "ActiveNetsuite::SubscriptionsList", [0, 1]],
      ["addressbookList", "ActiveNetsuite::VendorAddressbookList", [0, 1]],
      ["currencyList", "ActiveNetsuite::VendorCurrencyList", [0, 1]],
      ["rolesList", "ActiveNetsuite::VendorRolesList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorSearch,
    :schema_name => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "vendorSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EntityGroup,
    :schema_name => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "EntityGroup"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["groupName", "SOAP::SOAPString", [0, 1]],
      ["groupType", "ActiveNetsuite::EntityGroupType", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["groupOwner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSavedSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["parentGroupType", "ActiveNetsuite::EntityGroupType", [0, 1]],
      ["savedSearch", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSalesTeam", "SOAP::SOAPBoolean", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["isPrivate", "SOAP::SOAPBoolean", [0, 1]],
      ["restrictionGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["isSalesRep", "SOAP::SOAPBoolean", [0, 1]],
      ["isSupportRep", "SOAP::SOAPBoolean", [0, 1]],
      ["isProductTeam", "SOAP::SOAPBoolean", [0, 1]],
      ["isFunctionalTeam", "SOAP::SOAPBoolean", [0, 1]],
      ["issueRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isManufacturingWorkCenter", "SOAP::SOAPBoolean", [0, 1]],
      ["calendarName", "SOAP::SOAPString", [0, 1]],
      ["calendarStartTime", "ActiveNetsuite::EntityGroupDailyTime", [0, 1]],
      ["calendarEndTime", "ActiveNetsuite::EntityGroupDailyTime", [0, 1]],
      ["calendarDefaultView", "ActiveNetsuite::EntityGroupDefView", [0, 1]],
      ["calendarPeriod", "ActiveNetsuite::EntityGroupPeriodSize", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["machineResources", "SOAP::SOAPLong", [0, 1]],
      ["laborResources", "SOAP::SOAPLong", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EntityGroupSearch,
    :schema_name => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "entityGroupSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::EntityGroupSearchBasic", [0, 1]],
      ["groupMemberJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Job,
    :schema_name => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "Job"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityId", "SOAP::SOAPString", [0, 1]],
      ["altName", "SOAP::SOAPString", [0, 1]],
      ["companyName", "SOAP::SOAPString", [0, 1]],
      ["phoneticName", "SOAP::SOAPString", [0, 1]],
      ["entityStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["defaultAddress", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["dateCreated", "SOAP::SOAPDateTime", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["workplace", "ActiveNetsuite::RecordRef", [0, 1]],
      ["language", "ActiveNetsuite::RecordRef", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["accountNumber", "SOAP::SOAPString", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fxRate", "SOAP::SOAPDouble", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["altPhone", "SOAP::SOAPString", [0, 1]],
      ["calculatedEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["calculatedEndDateBaseline", "SOAP::SOAPDateTime", [0, 1]],
      ["startDateBaseline", "SOAP::SOAPDateTime", [0, 1]],
      ["projectedEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["projectedEndDateBaseline", "SOAP::SOAPDateTime", [0, 1]],
      ["lastBaselineDate", "SOAP::SOAPDateTime", [0, 1]],
      ["jobType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["percentComplete", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedCost", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedTime", "ActiveNetsuite::Duration", [0, 1]],
      ["estimatedTimeOverride", "ActiveNetsuite::Duration", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["emailPreference", "ActiveNetsuite::EmailPreference", [0, 1]],
      ["openingBalance", "SOAP::SOAPDouble", [0, 1]],
      ["openingBalanceDate", "SOAP::SOAPDateTime", [0, 1]],
      ["openingBalanceAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["jobBillingType", "ActiveNetsuite::JobBillingType", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["jobItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["percentTimeComplete", "SOAP::SOAPDouble", [0, 1]],
      ["actualTime", "ActiveNetsuite::Duration", [0, 1]],
      ["allowTime", "SOAP::SOAPBoolean", [0, 1]],
      ["timeRemaining", "ActiveNetsuite::Duration", [0, 1]],
      ["limitTimeToAssignees", "SOAP::SOAPBoolean", [0, 1]],
      ["estimatedLaborCost", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedLaborCostBaseline", "SOAP::SOAPDouble", [0, 1]],
      ["estimateRevRecTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["estimatedLaborRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estimatedGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["projectExpenseType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["applyProjectExpenseTypeToAll", "SOAP::SOAPBoolean", [0, 1]],
      ["allowAllResourcesForTasks", "SOAP::SOAPBoolean", [0, 1]],
      ["jobPrice", "SOAP::SOAPDouble", [0, 1]],
      ["isUtilizedTime", "SOAP::SOAPBoolean", [0, 1]],
      ["isProductiveTime", "SOAP::SOAPBoolean", [0, 1]],
      ["isExemptTime", "SOAP::SOAPBoolean", [0, 1]],
      ["materializeTime", "SOAP::SOAPBoolean", [0, 1]],
      ["allowExpenses", "SOAP::SOAPBoolean", [0, 1]],
      ["allocatePayrollExpenses", "SOAP::SOAPBoolean", [0, 1]],
      ["includeCrmTasksInTotals", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::GlobalSubscriptionStatus", [0, 1]],
      ["jobResourcesList", "ActiveNetsuite::JobResourcesList", [0, 1]],
      ["addressbookList", "ActiveNetsuite::JobAddressbookList", [0, 1]],
      ["milestonesList", "ActiveNetsuite::JobMilestonesList", [0, 1]],
      ["creditCardsList", "ActiveNetsuite::JobCreditCardsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobSearch,
    :schema_name => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "jobSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["projectTaskJoin", "ActiveNetsuite::ProjectTaskSearchBasic", [0, 1]],
      ["resourceAllocationJoin", "ActiveNetsuite::ResourceAllocationSearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobType,
    :schema_name => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobStatus,
    :schema_name => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "JobStatus"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerStatusSearch,
    :schema_name => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "customerStatusSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomerStatusSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobStatusSearch,
    :schema_name => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "jobStatusSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::JobStatusSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JobTypeSearch,
    :schema_name => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "jobTypeSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::JobTypeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OriginatingLeadSearch,
    :schema_name => XSD::QName.new(NsRelationships_2013_2ListsWebservicesActiveNetsuiteCom, "originatingLeadSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCase,
    :schema_name => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCase"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["escalationMessage", "SOAP::SOAPString", [0, 1]],
      ["lastReopenedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["incomingMessage", "SOAP::SOAPString", [0, 1]],
      ["insertSolution", "ActiveNetsuite::RecordRef", [0, 1]],
      ["outgoingMessage", "SOAP::SOAPString", [0, 1]],
      ["searchSolution", "SOAP::SOAPString", [0, 1]],
      ["emailForm", "SOAP::SOAPBoolean", [0, 1]],
      ["newSolutionFromMsg", "SOAP::SOAPString", [0, 1]],
      ["internalOnly", "SOAP::SOAPBoolean", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["caseNumber", "SOAP::SOAPString", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastMessageDate", "SOAP::SOAPDateTime", [0, 1]],
      ["company", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contact", "ActiveNetsuite::RecordRef", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["product", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_module", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "module")], [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["serialNumber", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inboundEmail", "SOAP::SOAPString", [0, 1]],
      ["issue", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["priority", "ActiveNetsuite::RecordRef", [0, 1]],
      ["origin", "ActiveNetsuite::RecordRef", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assigned", "ActiveNetsuite::RecordRef", [0, 1]],
      ["helpDesk", "SOAP::SOAPBoolean", [0, 1]],
      ["emailEmployeesList", "ActiveNetsuite::EmailEmployeesList", [0, 1]],
      ["escalateToList", "ActiveNetsuite::SupportCaseEscalateToList", [0, 1]],
      ["timeItemList", "ActiveNetsuite::SupportCaseTimeItemList", [0, 1]],
      ["solutionsList", "ActiveNetsuite::SupportCaseSolutionsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseSearch,
    :schema_name => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "supportCaseSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["contactJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["issueJoin", "ActiveNetsuite::IssueSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseStatus,
    :schema_name => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseStatus"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stage", "ActiveNetsuite::SupportCaseStatusStage", [0, 1]],
      ["caseOnHold", "SOAP::SOAPBoolean", [0, 1]],
      ["autoCloseCase", "SOAP::SOAPBoolean", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseType,
    :schema_name => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseOrigin,
    :schema_name => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseOrigin"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCaseIssue,
    :schema_name => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCaseIssue"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SupportCasePriority,
    :schema_name => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "SupportCasePriority"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Solution,
    :schema_name => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "Solution"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["solutionCode", "SOAP::SOAPString", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["status", "ActiveNetsuite::SolutionStatus", [0, 1]],
      ["displayOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["assigned", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["longDescription", "SOAP::SOAPString", [0, 1]],
      ["topicsList", "ActiveNetsuite::SolutionTopicsList", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["solutionsList", "ActiveNetsuite::SolutionsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SolutionSearch,
    :schema_name => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "solutionSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SolutionSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["relatedSolutionJoin", "ActiveNetsuite::SolutionSearchBasic", [0, 1]],
      ["topicJoin", "ActiveNetsuite::TopicSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Topic,
    :schema_name => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "Topic"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["parentTopic", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["longDescription", "SOAP::SOAPString", [0, 1]],
      ["solutionList", "ActiveNetsuite::TopicSolutionList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TopicSearch,
    :schema_name => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "topicSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TopicSearchBasic", [0, 1]],
      ["solutionJoin", "ActiveNetsuite::SolutionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Issue,
    :schema_name => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "Issue"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueNumber", "SOAP::SOAPString", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["issueType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["product", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_module", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "module")], [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["productTeam", "ActiveNetsuite::RecordRef", [0, 1]],
      ["source", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reportedBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reproduce", "ActiveNetsuite::RecordRef", [0, 1]],
      ["severity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["priority", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isShowStopper", "SOAP::SOAPBoolean", [0, 1]],
      ["assigned", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reviewer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isReviewed", "SOAP::SOAPBoolean", [0, 1]],
      ["issueStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["issueTagsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["issueAbstract", "SOAP::SOAPString", [0, 1]],
      ["newDetails", "SOAP::SOAPString", [0, 1]],
      ["isOwner", "SOAP::SOAPBoolean", [0, 1]],
      ["trackCode", "ActiveNetsuite::IssueTrackCode", [0, 1]],
      ["emailAssignee", "SOAP::SOAPBoolean", [0, 1]],
      ["emailEmployeesList", "ActiveNetsuite::EmailEmployeesList", [0, 1]],
      ["emailCellsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["externalAbstract", "SOAP::SOAPString", [0, 1]],
      ["externalDetails", "SOAP::SOAPString", [0, 1]],
      ["brokenInVersionList", "ActiveNetsuite::IssueVersionList", [0, 1]],
      ["targetVersionList", "ActiveNetsuite::IssueVersionList", [0, 1]],
      ["fixedInVersionList", "ActiveNetsuite::IssueVersionList", [0, 1]],
      ["relatedIssuesList", "ActiveNetsuite::IssueRelatedIssuesList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::IssueSearch,
    :schema_name => XSD::QName.new(NsSupport_2013_2ListsWebservicesActiveNetsuiteCom, "issueSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::IssueSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactCategory,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ContactCategory"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["private", "SOAP::SOAPBoolean", [0, 1]],
      ["sync", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerCategory,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "CustomerCategory"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesRole,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SalesRole"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isSalesRep", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PriceLevel,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PriceLevel"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["discountpct", "SOAP::SOAPDouble", [0, 1]],
      ["updateExistingPrices", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WinLossReason,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "WinLossReason"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Term,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Term"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["dateDriven", "SOAP::SOAPBoolean", [0, 1]],
      ["daysUntilNetDue", "SOAP::SOAPLong", [0, 1]],
      ["discountPercent", "SOAP::SOAPDouble", [0, 1]],
      ["daysUntilExpiry", "SOAP::SOAPLong", [0, 1]],
      ["dayOfMonthNetDue", "SOAP::SOAPLong", [0, 1]],
      ["dueNextMonthIfWithinDays", "SOAP::SOAPLong", [0, 1]],
      ["discountPercentDateDriven", "SOAP::SOAPDouble", [0, 1]],
      ["dayDiscountExpires", "SOAP::SOAPLong", [0, 1]],
      ["preferred", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NoteType,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NoteType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaymentMethod,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PaymentMethod"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["creditCard", "SOAP::SOAPBoolean", [0, 1]],
      ["undepFunds", "SOAP::SOAPBoolean", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isDebitCard", "SOAP::SOAPBoolean", [0, 1]],
      ["merchantAccountsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["payPalEmailAddress", "SOAP::SOAPString", [0, 1]],
      ["expressCheckoutArrangement", "SOAP::SOAPString", [0, 1]],
      ["useExpressCheckout", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LeadSource,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LeadSource"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "InventoryItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["copyDescription", "SOAP::SOAPBoolean", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dateConvertedToInv", "SOAP::SOAPDateTime", [0, 1]],
      ["originalItemType", "ActiveNetsuite::ItemType", [0, 1]],
      ["originalItemSubtype", "ActiveNetsuite::ItemSubType", [0, 1]],
      ["cogsAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["assetAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matchBillToReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["billQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billExchRateVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gainLossAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["weightUnits", "SOAP::SOAPString", [0, 1]],
      ["costingMethodDisplay", "SOAP::SOAPString", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackLandedCost", "SOAP::SOAPBoolean", [0, 1]],
      ["isDropShipItem", "SOAP::SOAPBoolean", [0, 1]],
      ["isSpecialOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturerAddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["roundUpAsComponent", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::ScheduleBCode", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["purchasePriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reorderPointUnits", "SOAP::SOAPString", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["transferPrice", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reorderMultiple", "SOAP::SOAPLong", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["totalValue", "SOAP::SOAPDouble", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["useBins", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityReorderUnits", "SOAP::SOAPString", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["autoLeadTime", "SOAP::SOAPBoolean", [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["autoPreferredStockLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelDays", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevelDays", "SOAP::SOAPLong", [0, 1]],
      ["backwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["seasonalDemand", "SOAP::SOAPBoolean", [0, 1]],
      ["safetyStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["demandModifier", "SOAP::SOAPDouble", [0, 1]],
      ["autoReorderPoint", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costingMethod", "ActiveNetsuite::ItemCostingMethod", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["periodicLotSizeType", "ActiveNetsuite::PeriodicLotSizeType", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["periodicLotSizeDays", "SOAP::SOAPLong", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["forwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["onHandValueMli", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommittedUnits", "SOAP::SOAPString", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityAvailableUnits", "SOAP::SOAPString", [0, 1]],
      ["quantityOnHandUnits", "SOAP::SOAPString", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityOnOrderUnits", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["binNumberList", "ActiveNetsuite::InventoryItemBinNumberList", [0, 1]],
      ["locationsList", "ActiveNetsuite::InventoryItemLocationsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DescriptionItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "DescriptionItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DiscountItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "DiscountItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["nonPosting", "SOAP::SOAPBoolean", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["isPreTax", "SOAP::SOAPBoolean", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DownloadItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "downloadItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["numOfAllowedDownloads", "SOAP::SOAPLong", [0, 1]],
      ["daysBeforeExpiration", "SOAP::SOAPLong", [0, 1]],
      ["immediateDownload", "SOAP::SOAPBoolean", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::MarkupItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "MarkupItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["nonPosting", "SOAP::SOAPBoolean", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["isPreTax", "SOAP::SOAPBoolean", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaymentItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PaymentItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["undepFunds", "SOAP::SOAPBoolean", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SubtotalItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SubtotalItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NonInventoryPurchaseItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NonInventoryPurchaseItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NonInventorySaleItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NonInventorySaleItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["weightUnits", "SOAP::SOAPString", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturerAddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::ScheduleBCode", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NonInventoryResaleItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "NonInventoryResaleItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["copyDescription", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isDropShipItem", "SOAP::SOAPBoolean", [0, 1]],
      ["isSpecialOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["weightUnits", "SOAP::SOAPString", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturerAddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::ScheduleBCode", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OtherChargeResaleItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "OtherChargeResaleItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["manufacturingChargeItem", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OtherChargePurchaseItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "OtherChargePurchaseItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["manufacturingChargeItem", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["overheadType", "ActiveNetsuite::ItemOverheadType", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ServiceResaleItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ServiceResaleItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["manufacturingChargeItem", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["createJob", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["itemTaskTemplatesList", "ActiveNetsuite::ServiceItemTaskTemplatesList", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["billingRatesMatrix", "ActiveNetsuite::BillingRatesMatrix", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ServicePurchaseItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ServicePurchaseItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["manufacturingChargeItem", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amortizationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["residual", "SOAP::SOAPString", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ServiceSaleItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ServiceSaleItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["createJob", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["itemTaskTemplatesList", "ActiveNetsuite::ServiceItemTaskTemplatesList", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["billingRatesMatrix", "ActiveNetsuite::BillingRatesMatrix", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OtherChargeSaleItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "OtherChargeSaleItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimateUnits", "SOAP::SOAPString", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Currency,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Currency"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["symbol", "SOAP::SOAPString", [0, 1]],
      ["isBaseCurrency", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["overrideCurrencyFormat", "SOAP::SOAPBoolean", [0, 1]],
      ["displaySymbol", "SOAP::SOAPString", [0, 1]],
      ["symbolPlacement", "ActiveNetsuite::CurrencySymbolPlacement", [0, 1]],
      ["locale", "ActiveNetsuite::CurrencyLocale", [0, 1]],
      ["formatSample", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["fxRateUpdateTimezone", "ActiveNetsuite::CurrencyFxRateUpdateTimezone", [0, 1]],
      ["inclInFxRateUpdates", "SOAP::SOAPBoolean", [0, 1]],
      ["currencyPrecision", "ActiveNetsuite::CurrencyCurrencyPrecision", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExpenseCategory,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ExpenseCategory"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["expenseAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["rateRequired", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultRate", "SOAP::SOAPDouble", [0, 1]],
      ["ratesList", "ActiveNetsuite::ExpenseCategoryRatesList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Account,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Account"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["acctType", "ActiveNetsuite::AccountType", [0, 1]],
      ["acctNumber", "SOAP::SOAPString", [0, 1]],
      ["acctName", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPString", [0, 1]],
      ["generalRate", "ActiveNetsuite::ConsolidatedRate", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["cashFlowRate", "ActiveNetsuite::ConsolidatedRate", [0, 1]],
      ["billableExpensesAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferralAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["curDocNum", "SOAP::SOAPLong", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventory", "SOAP::SOAPBoolean", [0, 1]],
      ["eliminate", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["category1099misc", "ActiveNetsuite::RecordRef", [0, 1]],
      ["openingBalance", "SOAP::SOAPDouble", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revalue", "SOAP::SOAPBoolean", [0, 1]],
      ["translationsList", "ActiveNetsuite::AccountTranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AccountSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "accountSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::AccountSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Department,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Department"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["classTranslationList", "ActiveNetsuite::ClassTranslationList", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DepartmentSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "departmentSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::DepartmentSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Classification,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Classification"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["classTranslationList", "ActiveNetsuite::ClassTranslationList", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ClassificationSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "classificationSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ClassificationSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Location,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Location"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["tranPrefix", "SOAP::SOAPString", [0, 1]],
      ["attention", "SOAP::SOAPString", [0, 1]],
      ["addressee", "SOAP::SOAPString", [0, 1]],
      ["addrPhone", "SOAP::SOAPString", [0, 1]],
      ["addr1", "SOAP::SOAPString", [0, 1]],
      ["addr2", "SOAP::SOAPString", [0, 1]],
      ["addr3", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["addrText", "SOAP::SOAPString", [0, 1]],
      ["override", "SOAP::SOAPBoolean", [0, 1]],
      ["logo", "ActiveNetsuite::RecordRef", [0, 1]],
      ["makeInventoryAvailable", "SOAP::SOAPBoolean", [0, 1]],
      ["makeInventoryAvailableStore", "SOAP::SOAPBoolean", [0, 1]],
      ["classTranslationList", "ActiveNetsuite::ClassTranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LocationSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "locationSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UnitsType,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "UnitsType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["uomList", "ActiveNetsuite::UnitsTypeUomList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "itemSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["binNumberJoin", "ActiveNetsuite::BinSearchBasic", [0, 1]],
      ["binOnHandJoin", "ActiveNetsuite::ItemBinNumberSearchBasic", [0, 1]],
      ["correlatedItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["effectiveRevisionJoin", "ActiveNetsuite::ItemRevisionSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["inventoryDetailJoin", "ActiveNetsuite::InventoryDetailSearchBasic", [0, 1]],
      ["inventoryLocationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["inventoryNumberJoin", "ActiveNetsuite::InventoryNumberSearchBasic", [0, 1]],
      ["inventoryNumberBinOnHandJoin", "ActiveNetsuite::InventoryNumberBinSearchBasic", [0, 1]],
      ["memberItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["obsoleteRevisionJoin", "ActiveNetsuite::ItemRevisionSearchBasic", [0, 1]],
      ["parentJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["preferredLocationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["preferredVendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["shopperJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactRole,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "ContactRole"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Bin,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "bin"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["binNumber", "SOAP::SOAPString", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BinSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "binSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::BinSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesTaxItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SalesTaxItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["taxType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxAgency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["effectiveFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["validUntil", "SOAP::SOAPDateTime", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["eccode", "SOAP::SOAPBoolean", [0, 1]],
      ["reverseCharge", "SOAP::SOAPBoolean", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["service", "SOAP::SOAPBoolean", [0, 1]],
      ["exempt", "SOAP::SOAPBoolean", [0, 1]],
      ["isDefault", "SOAP::SOAPBoolean", [0, 1]],
      ["excludeFromTaxReports", "SOAP::SOAPBoolean", [0, 1]],
      ["available", "ActiveNetsuite::SalesTaxItemAvailable", [0, 1]],
      ["export", "SOAP::SOAPBoolean", [0, 1]],
      ["taxAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["county", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["nexusCountry", "ActiveNetsuite::RecordRef", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaxGroup,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TaxGroup"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["taxitem1", "ActiveNetsuite::RecordRef", [0, 1]],
      ["unitprice1", "SOAP::SOAPString", [0, 1]],
      ["taxitem2", "ActiveNetsuite::RecordRef", [0, 1]],
      ["unitprice2", "SOAP::SOAPString", [0, 1]],
      ["piggyback", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["taxType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["county", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["nexusCountry", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isDefault", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItemList", "ActiveNetsuite::TaxGroupTaxItemList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaxType,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "TaxType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["nexusesTaxList", "ActiveNetsuite::TaxTypeNexusesTaxList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SerializedInventoryItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "SerializedInventoryItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costingMethod", "ActiveNetsuite::ItemCostingMethod", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["copyDescription", "SOAP::SOAPBoolean", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["cogsAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assetAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matchBillToReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["billQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billExchRateVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gainLossAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["costingMethodDisplay", "SOAP::SOAPString", [0, 1]],
      ["shippingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["handlingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["safetyStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackLandedCost", "SOAP::SOAPBoolean", [0, 1]],
      ["isDropShipItem", "SOAP::SOAPBoolean", [0, 1]],
      ["isSpecialOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturerAddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["roundUpAsComponent", "SOAP::SOAPBoolean", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::ScheduleBCode", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["transferPrice", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["preferredLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["quantityReorderUnits", "SOAP::SOAPString", [0, 1]],
      ["reorderMultiple", "SOAP::SOAPLong", [0, 1]],
      ["totalValue", "SOAP::SOAPDouble", [0, 1]],
      ["useBins", "SOAP::SOAPBoolean", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["autoLeadTime", "SOAP::SOAPBoolean", [0, 1]],
      ["autoReorderPoint", "SOAP::SOAPBoolean", [0, 1]],
      ["autoPreferredStockLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelDays", "SOAP::SOAPDouble", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevelDays", "SOAP::SOAPLong", [0, 1]],
      ["backwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["seasonalDemand", "SOAP::SOAPBoolean", [0, 1]],
      ["demandModifier", "SOAP::SOAPDouble", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["weightUnits", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHandUnits", "SOAP::SOAPString", [0, 1]],
      ["onHandValueMli", "SOAP::SOAPDouble", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPointUnits", "SOAP::SOAPString", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["periodicLotSizeType", "ActiveNetsuite::PeriodicLotSizeType", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["periodicLotSizeDays", "SOAP::SOAPLong", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["forwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchasePriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["itemNumberOptionsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["numbersList", "ActiveNetsuite::SerializedInventoryItemNumbersList", [0, 1]],
      ["binNumberList", "ActiveNetsuite::InventoryItemBinNumberList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["locationsList", "ActiveNetsuite::SerializedInventoryItemLocationsList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LotNumberedInventoryItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "LotNumberedInventoryItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["matrixType", "ActiveNetsuite::ItemMatrixType", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costingMethod", "ActiveNetsuite::ItemCostingMethod", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["copyDescription", "SOAP::SOAPBoolean", [0, 1]],
      ["currency", "SOAP::SOAPString", [0, 1]],
      ["cogsAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["assetAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matchBillToReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["billQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billExchRateVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gainLossAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["costingMethodDisplay", "SOAP::SOAPString", [0, 1]],
      ["shippingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["handlingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["safetyStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackLandedCost", "SOAP::SOAPBoolean", [0, 1]],
      ["isDropShipItem", "SOAP::SOAPBoolean", [0, 1]],
      ["isSpecialOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturerAddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["roundUpAsComponent", "SOAP::SOAPBoolean", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::ScheduleBCode", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["purchasePriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["transferPrice", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["preferredLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costUnits", "SOAP::SOAPString", [0, 1]],
      ["reorderMultiple", "SOAP::SOAPLong", [0, 1]],
      ["quantityReorderUnits", "SOAP::SOAPString", [0, 1]],
      ["totalValue", "SOAP::SOAPDouble", [0, 1]],
      ["useBins", "SOAP::SOAPBoolean", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["autoLeadTime", "SOAP::SOAPBoolean", [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["autoReorderPoint", "SOAP::SOAPBoolean", [0, 1]],
      ["autoPreferredStockLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelDays", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevelDays", "SOAP::SOAPLong", [0, 1]],
      ["backwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["seasonalDemand", "SOAP::SOAPBoolean", [0, 1]],
      ["demandModifier", "SOAP::SOAPDouble", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["weightUnits", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHandUnits", "SOAP::SOAPString", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["onHandValueMli", "SOAP::SOAPDouble", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPointUnits", "SOAP::SOAPString", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["periodicLotSizeType", "ActiveNetsuite::PeriodicLotSizeType", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["periodicLotSizeDays", "SOAP::SOAPLong", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["forwardConsumptionDays", "SOAP::SOAPLong", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["matrixOptionList", "ActiveNetsuite::MatrixOptionList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["itemNumberOptionsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["numbersList", "ActiveNetsuite::LotNumberedInventoryItemNumbersList", [0, 1]],
      ["binNumberList", "ActiveNetsuite::InventoryItemBinNumberList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["locationsList", "ActiveNetsuite::LotNumberedInventoryItemLocationsList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GiftCertificateItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "GiftCertificateItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["salesDescription", "SOAP::SOAPString", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["liabilityAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["daysBeforeExpiration", "SOAP::SOAPLong", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["authCodesList", "ActiveNetsuite::GiftCertificateItemAuthCodesList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Subsidiary,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "Subsidiary"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["showSubsidiaryName", "SOAP::SOAPBoolean", [0, 1]],
      ["url", "SOAP::SOAPString", [0, 1]],
      ["logo", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranPrefix", "SOAP::SOAPString", [0, 1]],
      ["pageLogo", "ActiveNetsuite::RecordRef", [0, 1]],
      ["attention", "SOAP::SOAPString", [0, 1]],
      ["addressee", "SOAP::SOAPString", [0, 1]],
      ["addrPhone", "SOAP::SOAPString", [0, 1]],
      ["addr1", "SOAP::SOAPString", [0, 1]],
      ["addr2", "SOAP::SOAPString", [0, 1]],
      ["addr3", "SOAP::SOAPString", [0, 1]],
      ["city", "SOAP::SOAPString", [0, 1]],
      ["state", "SOAP::SOAPString", [0, 1]],
      ["zip", "SOAP::SOAPString", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["addrText", "SOAP::SOAPString", [0, 1]],
      ["override", "SOAP::SOAPBoolean", [0, 1]],
      ["shipAddr", "SOAP::SOAPString", [0, 1]],
      ["returnAddr", "SOAP::SOAPString", [0, 1]],
      ["companyNameForSupportMessages", "SOAP::SOAPString", [0, 1]],
      ["mainSupportEmailAddress", "SOAP::SOAPString", [0, 1]],
      ["anonymousCustomerInboundEmail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["anonymousCustomerOnlineForms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseCreationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseUpdateTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseAutomaticClosureTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseAssignmentTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employeeCaseUpdateTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseCopyEmployeeTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseEscalationTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["returnAddress1", "SOAP::SOAPString", [0, 1]],
      ["returnAddress2", "SOAP::SOAPString", [0, 1]],
      ["returnCity", "SOAP::SOAPString", [0, 1]],
      ["returnState", "SOAP::SOAPString", [0, 1]],
      ["returnCountry", "ActiveNetsuite::Country", [0, 1]],
      ["returnZip", "SOAP::SOAPString", [0, 1]],
      ["legalName", "SOAP::SOAPString", [0, 1]],
      ["isElimination", "SOAP::SOAPBoolean", [0, 1]],
      ["fiscalCalendar", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxFiscalCalendar", "ActiveNetsuite::RecordRef", [0, 1]],
      ["allowPayroll", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["edition", "SOAP::SOAPString", [0, 1]],
      ["federalIdNumber", "SOAP::SOAPString", [0, 1]],
      ["addrLanguage", "SOAP::SOAPString", [0, 1]],
      ["nonConsol", "SOAP::SOAPString", [0, 1]],
      ["consol", "SOAP::SOAPString", [0, 1]],
      ["shipAddress1", "SOAP::SOAPString", [0, 1]],
      ["shipAddress2", "SOAP::SOAPString", [0, 1]],
      ["shipCity", "SOAP::SOAPString", [0, 1]],
      ["shipState", "SOAP::SOAPString", [0, 1]],
      ["shipCountry", "ActiveNetsuite::Country", [0, 1]],
      ["shipZip", "SOAP::SOAPString", [0, 1]],
      ["state1TaxNumber", "SOAP::SOAPString", [0, 1]],
      ["ssnOrTin", "SOAP::SOAPString", [0, 1]],
      ["interCoAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["nexusList", "ActiveNetsuite::SubsidiaryNexusList", [0, 1]],
      ["checkLayout", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inboundEmail", "SOAP::SOAPString", [0, 1]],
      ["classTranslationList", "ActiveNetsuite::ClassTranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SubsidiarySearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "subsidiarySearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SubsidiarySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GiftCertificate,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "GiftCertificate"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["giftCertCode", "SOAP::SOAPString", [0, 1]],
      ["sender", "SOAP::SOAPString", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["originalAmount", "SOAP::SOAPDouble", [0, 1]],
      ["amountRemaining", "SOAP::SOAPDouble", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::GiftCertificateSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "giftCertificateSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::GiftCertificateSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerCategory,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "PartnerCategory"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorCategory,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "VendorCategory"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["isTaxAgency", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::KitItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "kitItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["printItems", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["weightUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufactureraddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isFulfillable", "SOAP::SOAPBoolean", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["memberList", "ActiveNetsuite::ItemMemberList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AssemblyItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "assemblyItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["printItems", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["cogsAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assetAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matchBillToReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["billQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billExchRateVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gainLossAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useComponentYield", "SOAP::SOAPBoolean", [0, 1]],
      ["wipVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["scrapAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["wipAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["costingMethod", "ActiveNetsuite::ItemCostingMethod", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["costingMethodDisplay", "SOAP::SOAPString", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackLandedCost", "SOAP::SOAPBoolean", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufactureraddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["effectiveBomControl", "ActiveNetsuite::AssemblyItemEffectiveBomControl", [0, 1]],
      ["defaultRevision", "SOAP::SOAPString", [0, 1]],
      ["roundUpAsComponent", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSpecialWorkOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["prodQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["prodPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchasePriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildEntireAssembly", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["transferPrice", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["unbuildVarianceAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["preferredLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["totalValue", "SOAP::SOAPDouble", [0, 1]],
      ["useBins", "SOAP::SOAPBoolean", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["autoLeadTime", "SOAP::SOAPBoolean", [0, 1]],
      ["buildTime", "SOAP::SOAPLong", [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevelDays", "SOAP::SOAPLong", [0, 1]],
      ["seasonalDemand", "SOAP::SOAPBoolean", [0, 1]],
      ["reorderMultiple", "SOAP::SOAPLong", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["demandModifier", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["autoReorderPoint", "SOAP::SOAPBoolean", [0, 1]],
      ["autoPreferredStockLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelDays", "SOAP::SOAPDouble", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["itemNumberOptionsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["memberList", "ActiveNetsuite::ItemMemberList", [0, 1]],
      ["locationsList", "ActiveNetsuite::InventoryItemLocationsList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["binNumberList", "ActiveNetsuite::InventoryItemBinNumberList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SerializedAssemblyItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "serializedAssemblyItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["printItems", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["useComponentYield", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["cogsAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assetAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matchBillToReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["billQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billExchRateVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gainLossAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["prodQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["prodPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchasePriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["wipVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["scrapAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["wipAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCostUnits", "SOAP::SOAPString", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["weightUnits", "SOAP::SOAPString", [0, 1]],
      ["costingMethod", "ActiveNetsuite::ItemCostingMethod", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["costingMethodDisplay", "SOAP::SOAPString", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackLandedCost", "SOAP::SOAPBoolean", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufactureraddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["effectiveBomControl", "ActiveNetsuite::AssemblyItemEffectiveBomControl", [0, 1]],
      ["minimumQuantityUnits", "SOAP::SOAPString", [0, 1]],
      ["defaultRevision", "SOAP::SOAPString", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["roundUpAsComponent", "SOAP::SOAPBoolean", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSpecialWorkOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildEntireAssembly", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnHandUnits", "SOAP::SOAPString", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["reorderMultiple", "SOAP::SOAPLong", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["transferPrice", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["unbuildVarianceAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["preferredLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["totalValue", "SOAP::SOAPDouble", [0, 1]],
      ["useBins", "SOAP::SOAPBoolean", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["autoLeadTime", "SOAP::SOAPBoolean", [0, 1]],
      ["buildTime", "SOAP::SOAPLong", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["safetyStockLevelDays", "SOAP::SOAPLong", [0, 1]],
      ["seasonalDemand", "SOAP::SOAPBoolean", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["reorderPointUnits", "SOAP::SOAPString", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevelUnits", "SOAP::SOAPString", [0, 1]],
      ["demandModifier", "SOAP::SOAPDouble", [0, 1]],
      ["autoReorderPoint", "SOAP::SOAPBoolean", [0, 1]],
      ["autoPreferredStockLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelDays", "SOAP::SOAPDouble", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["itemNumberOptionsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["memberList", "ActiveNetsuite::ItemMemberList", [0, 1]],
      ["locationsList", "ActiveNetsuite::SerializedInventoryItemLocationsList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["binNumberList", "ActiveNetsuite::InventoryItemBinNumberList", [0, 1]],
      ["numbersList", "ActiveNetsuite::SerializedInventoryItemNumbersList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::LotNumberedAssemblyItem,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "lotNumberedAssemblyItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["printItems", "SOAP::SOAPBoolean", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isGcoCompliant", "SOAP::SOAPBoolean", [0, 1]],
      ["offerSupport", "SOAP::SOAPBoolean", [0, 1]],
      ["useComponentYield", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["costCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["cogsAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["incomeAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assetAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["matchBillToReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["billQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billExchRateVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gainLossAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["prodQtyVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["prodPriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchasePriceVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["wipVarianceAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["scrapAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["wipAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["weight", "SOAP::SOAPDouble", [0, 1]],
      ["weightUnit", "ActiveNetsuite::ItemWeightUnit", [0, 1]],
      ["costingMethod", "ActiveNetsuite::ItemCostingMethod", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["costingMethodDisplay", "SOAP::SOAPString", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["unitsType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["purchaseUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["saleUnit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackLandedCost", "SOAP::SOAPBoolean", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deferredRevenueAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stockDescription", "SOAP::SOAPString", [0, 1]],
      ["producer", "SOAP::SOAPBoolean", [0, 1]],
      ["manufacturer", "SOAP::SOAPString", [0, 1]],
      ["mpn", "SOAP::SOAPString", [0, 1]],
      ["multManufactureAddr", "SOAP::SOAPBoolean", [0, 1]],
      ["manufactureraddr1", "SOAP::SOAPString", [0, 1]],
      ["manufacturerCity", "SOAP::SOAPString", [0, 1]],
      ["manufacturerState", "SOAP::SOAPString", [0, 1]],
      ["manufacturerZip", "SOAP::SOAPString", [0, 1]],
      ["countryOfManufacture", "ActiveNetsuite::Country", [0, 1]],
      ["effectiveBomControl", "ActiveNetsuite::AssemblyItemEffectiveBomControl", [0, 1]],
      ["manufacturerTaxId", "SOAP::SOAPString", [0, 1]],
      ["defaultRevision", "SOAP::SOAPString", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["roundUpAsComponent", "SOAP::SOAPBoolean", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["scheduleBNumber", "SOAP::SOAPString", [0, 1]],
      ["scheduleBQuantity", "SOAP::SOAPLong", [0, 1]],
      ["scheduleBCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturerTariff", "SOAP::SOAPString", [0, 1]],
      ["preferenceCriterion", "ActiveNetsuite::ItemPreferenceCriterion", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumQuantity", "SOAP::SOAPLong", [0, 1]],
      ["enforceMinQtyInternally", "SOAP::SOAPBoolean", [0, 1]],
      ["softDescriptor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSpecialWorkOrderItem", "SOAP::SOAPBoolean", [0, 1]],
      ["pricesIncludeTax", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityPricingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildEntireAssembly", "SOAP::SOAPBoolean", [0, 1]],
      ["quantityOnHand", "SOAP::SOAPDouble", [0, 1]],
      ["useMarginalRates", "SOAP::SOAPBoolean", [0, 1]],
      ["reorderMultiple", "SOAP::SOAPLong", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimateType", "ActiveNetsuite::ItemCostEstimateType", [0, 1]],
      ["isHazmatItem", "SOAP::SOAPBoolean", [0, 1]],
      ["hazmatId", "SOAP::SOAPString", [0, 1]],
      ["hazmatShippingName", "SOAP::SOAPString", [0, 1]],
      ["hazmatHazardClass", "SOAP::SOAPString", [0, 1]],
      ["hazmatPackingGroup", "ActiveNetsuite::HazmatPackingGroup", [0, 1]],
      ["hazmatItemUnits", "SOAP::SOAPString", [0, 1]],
      ["hazmatItemUnitsQty", "SOAP::SOAPDouble", [0, 1]],
      ["costEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["transferPrice", "SOAP::SOAPDouble", [0, 1]],
      ["overallQuantityPricingType", "ActiveNetsuite::ItemOverallQuantityPricingType", [0, 1]],
      ["pricingGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vsoePrice", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeSopGroup", "ActiveNetsuite::VsoeSopGroup", [0, 1]],
      ["vsoeDeferral", "ActiveNetsuite::VsoeDeferral", [0, 1]],
      ["vsoePermitDiscount", "ActiveNetsuite::VsoePermitDiscount", [0, 1]],
      ["vsoeDelivered", "SOAP::SOAPBoolean", [0, 1]],
      ["unbuildVarianceAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dropshipExpenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["preferredLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["totalValue", "SOAP::SOAPDouble", [0, 1]],
      ["useBins", "SOAP::SOAPBoolean", [0, 1]],
      ["averageCost", "SOAP::SOAPDouble", [0, 1]],
      ["lastPurchasePrice", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseDescription", "SOAP::SOAPString", [0, 1]],
      ["leadTime", "SOAP::SOAPLong", [0, 1]],
      ["autoLeadTime", "SOAP::SOAPBoolean", [0, 1]],
      ["buildTime", "SOAP::SOAPLong", [0, 1]],
      ["safetyStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["safetyStockLevelDays", "SOAP::SOAPLong", [0, 1]],
      ["seasonalDemand", "SOAP::SOAPBoolean", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["reorderPoint", "SOAP::SOAPDouble", [0, 1]],
      ["preferredStockLevel", "SOAP::SOAPDouble", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextInvtCountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["invtCountInterval", "SOAP::SOAPLong", [0, 1]],
      ["invtClassification", "ActiveNetsuite::ItemInvtClassification", [0, 1]],
      ["demandModifier", "SOAP::SOAPDouble", [0, 1]],
      ["autoReorderPoint", "SOAP::SOAPBoolean", [0, 1]],
      ["autoPreferredStockLevel", "SOAP::SOAPBoolean", [0, 1]],
      ["preferredStockLevelDays", "SOAP::SOAPDouble", [0, 1]],
      ["shipIndividually", "SOAP::SOAPBoolean", [0, 1]],
      ["shipPackage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["defaultReturnCost", "SOAP::SOAPDouble", [0, 1]],
      ["supplyReplenishmentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["alternateDemandSourceItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fixedLotSize", "SOAP::SOAPDouble", [0, 1]],
      ["supplyType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supplyLotSizingMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["demandSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantityCommitted", "SOAP::SOAPDouble", [0, 1]],
      ["quantityAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["quantityBackOrdered", "SOAP::SOAPDouble", [0, 1]],
      ["quantityOnOrder", "SOAP::SOAPDouble", [0, 1]],
      ["storeDisplayName", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeItemTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["isDonationItem", "SOAP::SOAPBoolean", [0, 1]],
      ["showDefaultDonationAmount", "SOAP::SOAPBoolean", [0, 1]],
      ["maxDonationAmount", "SOAP::SOAPDouble", [0, 1]],
      ["dontShowPrice", "SOAP::SOAPBoolean", [0, 1]],
      ["noPriceMessage", "SOAP::SOAPString", [0, 1]],
      ["outOfStockMessage", "SOAP::SOAPString", [0, 1]],
      ["shoppingDotComCategory", "SOAP::SOAPString", [0, 1]],
      ["outOfStockBehavior", "ActiveNetsuite::ItemOutOfStockBehavior", [0, 1]],
      ["shopzillaCategoryId", "SOAP::SOAPLong", [0, 1]],
      ["nexTagCategory", "SOAP::SOAPString", [0, 1]],
      ["productFeedList", "ActiveNetsuite::ProductFeedList", [0, 1]],
      ["relatedItemsDescription", "SOAP::SOAPString", [0, 1]],
      ["onSpecial", "SOAP::SOAPBoolean", [0, 1]],
      ["specialsDescription", "SOAP::SOAPString", [0, 1]],
      ["featuredDescription", "SOAP::SOAPString", [0, 1]],
      ["itemOptionsList", "ActiveNetsuite::ItemOptionsList", [0, 1]],
      ["itemNumberOptionsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["itemVendorList", "ActiveNetsuite::ItemVendorList", [0, 1]],
      ["pricingMatrix", "ActiveNetsuite::PricingMatrix", [0, 1]],
      ["memberList", "ActiveNetsuite::ItemMemberList", [0, 1]],
      ["locationsList", "ActiveNetsuite::LotNumberedInventoryItemLocationsList", [0, 1]],
      ["siteCategoryList", "ActiveNetsuite::SiteCategoryList", [0, 1]],
      ["binNumberList", "ActiveNetsuite::InventoryItemBinNumberList", [0, 1]],
      ["numbersList", "ActiveNetsuite::LotNumberedInventoryItemNumbersList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::PresentationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::State,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "state"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["fullName", "SOAP::SOAPString", [0, 1]],
      ["shortname", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AccountingPeriod,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "accountingPeriod"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["periodName", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["fiscalCalendar", "ActiveNetsuite::RecordRef", [0, 1]],
      ["closedOnDate", "SOAP::SOAPDateTime", [0, 1]],
      ["isAdjust", "SOAP::SOAPBoolean", [0, 1]],
      ["fiscalCalendarsList", "ActiveNetsuite::AccountingPeriodFiscalCalendarsList", [0, 1]],
      ["isQuarter", "SOAP::SOAPBoolean", [0, 1]],
      ["isYear", "SOAP::SOAPBoolean", [0, 1]],
      ["closed", "SOAP::SOAPBoolean", [0, 1]],
      ["apLocked", "SOAP::SOAPBoolean", [0, 1]],
      ["arLocked", "SOAP::SOAPBoolean", [0, 1]],
      ["payrollLocked", "SOAP::SOAPBoolean", [0, 1]],
      ["allLocked", "SOAP::SOAPBoolean", [0, 1]],
      ["allowNonGLChanges", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BudgetCategory,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "budgetCategory"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["budgetType", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AccountingPeriodSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "accountingPeriodSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::AccountingPeriodSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactCategorySearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "contactCategorySearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ContactCategorySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ContactRoleSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "contactRoleSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ContactRoleSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerCategorySearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "customerCategorySearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomerCategorySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExpenseCategorySearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "expenseCategorySearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ExpenseCategorySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NoteTypeSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "noteTypeSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::NoteTypeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PartnerCategorySearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "partnerCategorySearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PartnerCategorySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaymentMethodSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "paymentMethodSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PaymentMethodSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PriceLevelSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "priceLevelSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PriceLevelSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesRoleSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "salesRoleSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SalesRoleSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TermSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "termSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TermSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorCategorySearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "vendorCategorySearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::VendorCategorySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WinLossReasonSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "winLossReasonSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::WinLossReasonSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::UnitsTypeSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "unitsTypeSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::UnitsTypeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PricingGroup,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "pricingGroup"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PricingGroupSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "pricingGroupSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PricingGroupSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryNumber,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "inventoryNumber"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["inventoryNumber", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["units", "SOAP::SOAPString", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["locationsList", "ActiveNetsuite::InventoryNumberLocationsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryNumberSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "inventoryNumberSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::InventoryNumberSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecSchedule,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "revRecSchedule"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["amortizationType", "ActiveNetsuite::RevRecScheduleAmortizationType", [0, 1]],
      ["recurrenceType", "ActiveNetsuite::RevRecScheduleRecurrenceType", [0, 1]],
      ["recogIntervalSrc", "ActiveNetsuite::RevRecScheduleRecogIntervalSrc", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["periodOffset", "SOAP::SOAPLong", [0, 1]],
      ["revRecOffset", "SOAP::SOAPLong", [0, 1]],
      ["initialAmount", "SOAP::SOAPDouble", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["recurrenceList", "ActiveNetsuite::RevRecScheduleRecurrenceList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecTemplate,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "revRecTemplate"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["amortizationType", "ActiveNetsuite::RevRecScheduleAmortizationType", [0, 1]],
      ["recurrenceType", "ActiveNetsuite::RevRecScheduleRecurrenceType", [0, 1]],
      ["recogIntervalSrc", "ActiveNetsuite::RevRecScheduleRecogIntervalSrc", [0, 1]],
      ["amortizationPeriod", "SOAP::SOAPLong", [0, 1]],
      ["periodOffset", "SOAP::SOAPLong", [0, 1]],
      ["revRecOffset", "SOAP::SOAPLong", [0, 1]],
      ["initialAmount", "SOAP::SOAPDouble", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["recurrenceList", "ActiveNetsuite::RevRecTemplateRecurrenceList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecScheduleSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "revRecScheduleSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::RevRecScheduleSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::RevRecTemplateSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "revRecTemplateSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::RevRecTemplateSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CostCategory,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "costCategory"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCostType", "ActiveNetsuite::CostCategoryItemCostType", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Nexus,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "nexus"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["state", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxAgency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxAgencyPst", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::NexusSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "nexusSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::NexusSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerMessage,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "customerMessage"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["preferred", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OtherNameCategory,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "otherNameCategory"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OtherNameCategorySearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "otherNameCategorySearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::OtherNameCategorySearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerMessageSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "customerMessageSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomerMessageSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemGroup,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "itemGroup"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["includeStartEndLines", "SOAP::SOAPBoolean", [0, 1]],
      ["isVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultItemShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["availableToPartners", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["upcCode", "SOAP::SOAPString", [0, 1]],
      ["displayName", "SOAP::SOAPString", [0, 1]],
      ["vendorName", "SOAP::SOAPString", [0, 1]],
      ["issueProduct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["subsidiaryList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["includeChildren", "SOAP::SOAPBoolean", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCarrier", "ActiveNetsuite::ItemCarrier", [0, 1]],
      ["itemShipMethodList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["printItems", "SOAP::SOAPBoolean", [0, 1]],
      ["memberList", "ActiveNetsuite::ItemMemberList", [0, 1]],
      ["translationsList", "ActiveNetsuite::TranslationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CurrencyRate,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "currencyRate"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["baseCurrency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transactionCurrency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["effectiveDate", "SOAP::SOAPDateTime", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CurrencyRateSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "currencyRateSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CurrencyRateSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemRevision,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "itemRevision"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["effectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["obsoleteDate", "SOAP::SOAPDateTime", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["inactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemRevisionSearch,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "itemRevisionSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ItemRevisionSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TaxAcct,
    :schema_name => XSD::QName.new(NsAccounting_2013_2ListsWebservicesActiveNetsuiteCom, "taxAcct"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["nexus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["country", "ActiveNetsuite::Country", [0, 1]],
      ["taxAcctType", "ActiveNetsuite::TaxAcctType", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Opportunity,
    :schema_name => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "Opportunity"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["estimatedBudget", "SOAP::SOAPDouble", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["probability", "SOAP::SOAPDouble", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["expectedCloseDate", "SOAP::SOAPDateTime", [0, 1]],
      ["daysOpen", "SOAP::SOAPLong", [0, 1]],
      ["forecastType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["projectedTotal", "SOAP::SOAPDouble", [0, 1]],
      ["rangeLow", "SOAP::SOAPDouble", [0, 1]],
      ["rangeHigh", "SOAP::SOAPDouble", [0, 1]],
      ["projAltSalesAmt", "SOAP::SOAPDouble", [0, 1]],
      ["altSalesRangeLow", "SOAP::SOAPDouble", [0, 1]],
      ["altSalesRangeHigh", "SOAP::SOAPDouble", [0, 1]],
      ["weightedTotal", "SOAP::SOAPDouble", [0, 1]],
      ["actionItem", "SOAP::SOAPString", [0, 1]],
      ["winLossReason", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["isBudgetApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["salesReadiness", "ActiveNetsuite::RecordRef", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["buyingTimeFrame", "ActiveNetsuite::RecordRef", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["buyingReason", "ActiveNetsuite::RecordRef", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["closeDate", "SOAP::SOAPDateTime", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::OpportunitySalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::OpportunityPartnersList", [0, 1]],
      ["itemList", "ActiveNetsuite::OpportunityItemList", [0, 1]],
      ["competitorsList", "ActiveNetsuite::OpportunityCompetitorsList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OpportunitySearch,
    :schema_name => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "opportunitySearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["actualJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["decisionMakerJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["estimateJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["leadSourceJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["orderJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["salesRepJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SalesOrder,
    :schema_name => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "SalesOrder"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["drAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fxAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["orderStatus", "ActiveNetsuite::SalesOrderOrderStatus", [0, 1]],
      ["opportunity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["salesEffectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["excludeCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["actualShipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["isMultiShipTo", "SOAP::SOAPBoolean", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["shipComplete", "SOAP::SOAPBoolean", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shopperIpAddress", "SOAP::SOAPString", [0, 1]],
      ["saveOnAuthDecline", "SOAP::SOAPBoolean", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revenueStatus", "ActiveNetsuite::RevenueStatus", [0, 1]],
      ["recognizedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["deferredRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["revRecOnRevCommitment", "SOAP::SOAPBoolean", [0, 1]],
      ["revCommitStatus", "ActiveNetsuite::RevenueCommitStatus", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["payPalStatus", "SOAP::SOAPString", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payPalTranId", "SOAP::SOAPString", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["getAuth", "SOAP::SOAPBoolean", [0, 1]],
      ["authCode", "SOAP::SOAPString", [0, 1]],
      ["ccAvsStreetMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["ccAvsZipMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["ccSecurityCodeMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["altSalesTotal", "SOAP::SOAPDouble", [0, 1]],
      ["ignoreAvs", "SOAP::SOAPBoolean", [0, 1]],
      ["paymentEventResult", "ActiveNetsuite::TransactionPaymentEventResult", [0, 1]],
      ["paymentEventHoldReason", "ActiveNetsuite::TransactionPaymentEventHoldReason", [0, 1]],
      ["paymentEventType", "ActiveNetsuite::TransactionPaymentEventType", [0, 1]],
      ["paymentEventDate", "SOAP::SOAPDateTime", [0, 1]],
      ["paymentEventUpdatedBy", "SOAP::SOAPString", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["altHandlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["paypalAuthId", "SOAP::SOAPString", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["paypalProcess", "SOAP::SOAPBoolean", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccSecurityCode", "SOAP::SOAPString", [0, 1]],
      ["threeDStatusCode", "SOAP::SOAPString", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoTransaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoStatus", "ActiveNetsuite::IntercoStatus", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["giftCertApplied", "SOAP::SOAPDouble", [0, 1]],
      ["tranIsVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoeAutoCalc", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::SalesOrderSalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::SalesOrderPartnersList", [0, 1]],
      ["giftCertRedemptionList", "ActiveNetsuite::GiftCertRedemptionList", [0, 1]],
      ["itemList", "ActiveNetsuite::SalesOrderItemList", [0, 1]],
      ["shipGroupList", "ActiveNetsuite::SalesOrderShipGroupList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionSearch,
    :schema_name => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "transactionSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["accountJoin", "ActiveNetsuite::AccountSearchBasic", [0, 1]],
      ["accountingPeriodJoin", "ActiveNetsuite::AccountingPeriodSearchBasic", [0, 1]],
      ["appliedToTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["applyingTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["billingTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["binNumberJoin", "ActiveNetsuite::BinSearchBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["classJoin", "ActiveNetsuite::ClassificationSearchBasic", [0, 1]],
      ["cogsPurchaseJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["cogsSaleJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["contactPrimaryJoin", "ActiveNetsuite::ContactSearchBasic", [0, 1]],
      ["createdFromJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["customerMainJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["departmentJoin", "ActiveNetsuite::DepartmentSearchBasic", [0, 1]],
      ["depositTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["expenseCategoryJoin", "ActiveNetsuite::ExpenseCategorySearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["fulfillingTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["inventoryDetailJoin", "ActiveNetsuite::InventoryDetailSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["itemNumberJoin", "ActiveNetsuite::InventoryNumberSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["jobMainJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["leadSourceJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["opportunityJoin", "ActiveNetsuite::OpportunitySearchBasic", [0, 1]],
      ["paidTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["partnerJoin", "ActiveNetsuite::PartnerSearchBasic", [0, 1]],
      ["payingTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["payrollItemJoin", "ActiveNetsuite::PayrollItemSearchBasic", [0, 1]],
      ["purchaseOrderJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["requestorJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["revCommittingTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["revisionJoin", "ActiveNetsuite::ItemRevisionSearchBasic", [0, 1]],
      ["rgPostingTransactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["salesOrderJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["salesRepJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["subsidiaryJoin", "ActiveNetsuite::SubsidiarySearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemFulfillment,
    :schema_name => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemFulfillment"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["createdFromShipGroup", "SOAP::SOAPLong", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["shipStatus", "ActiveNetsuite::ItemFulfillmentShipStatus", [0, 1]],
      ["saturdayDeliveryUps", "SOAP::SOAPBoolean", [0, 1]],
      ["sendShipNotifyEmailUps", "SOAP::SOAPBoolean", [0, 1]],
      ["sendBackupEmailUps", "SOAP::SOAPBoolean", [0, 1]],
      ["shipNotifyEmailAddressUps", "SOAP::SOAPString", [0, 1]],
      ["shipNotifyEmailAddress2Ups", "SOAP::SOAPString", [0, 1]],
      ["backupEmailAddressUps", "SOAP::SOAPString", [0, 1]],
      ["shipNotifyEmailMessageUps", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyAcctUps", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyZipcodeUps", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyCountryUps", "ActiveNetsuite::Country", [0, 1]],
      ["thirdPartyTypeUps", "ActiveNetsuite::ItemFulfillmentThirdPartyTypeUps", [0, 1]],
      ["partiesToTransactionUps", "SOAP::SOAPBoolean", [0, 1]],
      ["exportTypeUps", "ActiveNetsuite::ItemFulfillmentExportTypeUps", [0, 1]],
      ["methodOfTransportUps", "ActiveNetsuite::ItemFulfillmentMethodOfTransportUps", [0, 1]],
      ["carrierIdUps", "SOAP::SOAPString", [0, 1]],
      ["entryNumberUps", "SOAP::SOAPString", [0, 1]],
      ["inbondCodeUps", "SOAP::SOAPString", [0, 1]],
      ["isRoutedExportTransactionUps", "SOAP::SOAPBoolean", [0, 1]],
      ["licenseNumberUps", "SOAP::SOAPString", [0, 1]],
      ["licenseDateUps", "SOAP::SOAPDateTime", [0, 1]],
      ["licenseExceptionUps", "ActiveNetsuite::ItemFulfillmentLicenseExceptionUps", [0, 1]],
      ["eccNumberUps", "SOAP::SOAPString", [0, 1]],
      ["recipientTaxIdUps", "SOAP::SOAPString", [0, 1]],
      ["blanketStartDateUps", "SOAP::SOAPDateTime", [0, 1]],
      ["blanketEndDateUps", "SOAP::SOAPDateTime", [0, 1]],
      ["shipmentWeightUps", "SOAP::SOAPDouble", [0, 1]],
      ["saturdayDeliveryFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["saturdayPickupFedex", "SOAP::SOAPBoolean", [0, 1]],
      ["sendShipNotifyEmailFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["sendBackupEmailFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["signatureHomeDeliveryFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["shipNotifyEmailAddressFedEx", "SOAP::SOAPString", [0, 1]],
      ["backupEmailAddressFedEx", "SOAP::SOAPString", [0, 1]],
      ["shipDateFedEx", "SOAP::SOAPDateTime", [0, 1]],
      ["homeDeliveryTypeFedEx", "ActiveNetsuite::ItemFulfillmentHomeDeliveryTypeFedEx", [0, 1]],
      ["homeDeliveryDateFedEx", "SOAP::SOAPDateTime", [0, 1]],
      ["bookingConfirmationNumFedEx", "SOAP::SOAPString", [0, 1]],
      ["intlExemptionNumFedEx", "SOAP::SOAPString", [0, 1]],
      ["b13aFilingOptionFedEx", "ActiveNetsuite::ItemFulfillmentB13AFilingOptionFedEx", [0, 1]],
      ["b13aStatementDataFedEx", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyAcctFedEx", "SOAP::SOAPString", [0, 1]],
      ["thirdPartyCountryFedEx", "ActiveNetsuite::Country", [0, 1]],
      ["thirdPartyTypeFedEx", "ActiveNetsuite::ItemFulfillmentThirdPartyTypeFedEx", [0, 1]],
      ["shipmentWeightFedEx", "SOAP::SOAPDouble", [0, 1]],
      ["termsOfSaleFedEx", "ActiveNetsuite::ItemFulfillmentTermsOfSaleFedEx", [0, 1]],
      ["termsFreightChargeFedEx", "SOAP::SOAPDouble", [0, 1]],
      ["termsInsuranceChargeFedEx", "SOAP::SOAPDouble", [0, 1]],
      ["insideDeliveryFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["insidePickupFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["ancillaryEndorsementFedEx", "ActiveNetsuite::ItemFulfillmentAncillaryEndorsementFedEx", [0, 1]],
      ["holdAtLocationFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["halPhoneFedEx", "SOAP::SOAPString", [0, 1]],
      ["halAddr1FedEx", "SOAP::SOAPString", [0, 1]],
      ["halAddr2FedEx", "SOAP::SOAPString", [0, 1]],
      ["halAddr3FedEx", "SOAP::SOAPString", [0, 1]],
      ["halCityFedEx", "SOAP::SOAPString", [0, 1]],
      ["halZipFedEx", "SOAP::SOAPString", [0, 1]],
      ["halStateFedEx", "SOAP::SOAPString", [0, 1]],
      ["halCountryFedEx", "SOAP::SOAPString", [0, 1]],
      ["hazmatTypeFedEx", "ActiveNetsuite::ItemFulfillmentHazmatTypeFedEx", [0, 1]],
      ["accessibilityTypeFedEx", "ActiveNetsuite::ItemFulfillmentAccessibilityTypeFedEx", [0, 1]],
      ["isCargoAircraftOnlyFedEx", "SOAP::SOAPBoolean", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["generateIntegratedShipperLabel", "SOAP::SOAPBoolean", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["transferLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["packageList", "ActiveNetsuite::ItemFulfillmentPackageList", [0, 1]],
      ["packageUpsList", "ActiveNetsuite::ItemFulfillmentPackageUpsList", [0, 1]],
      ["packageUspsList", "ActiveNetsuite::ItemFulfillmentPackageUspsList", [0, 1]],
      ["packageFedExList", "ActiveNetsuite::ItemFulfillmentPackageFedExList", [0, 1]],
      ["itemList", "ActiveNetsuite::ItemFulfillmentItemList", [0, 1]],
      ["shipGroupList", "ActiveNetsuite::ItemFulfillmentShipGroupList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Invoice,
    :schema_name => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "Invoice"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["opportunity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dueDate", "SOAP::SOAPDateTime", [0, 1]],
      ["discountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["discountAmount", "SOAP::SOAPDouble", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["salesEffectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["excludeCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["amountPaid", "SOAP::SOAPDouble", [0, 1]],
      ["amountRemaining", "SOAP::SOAPDouble", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["onCreditHold", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["revenueStatus", "ActiveNetsuite::RevenueStatus", [0, 1]],
      ["recognizedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["deferredRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["revRecOnRevCommitment", "SOAP::SOAPBoolean", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["altHandlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["expCostDiscount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCostDiscount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["timeDiscount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expCostDiscRate", "SOAP::SOAPString", [0, 1]],
      ["itemCostDiscRate", "SOAP::SOAPString", [0, 1]],
      ["timeDiscRate", "SOAP::SOAPString", [0, 1]],
      ["expCostDiscAmount", "SOAP::SOAPDouble", [0, 1]],
      ["expCostTaxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["expCostTaxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostDiscAmount", "SOAP::SOAPDouble", [0, 1]],
      ["expCostTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expCostDiscTax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostTaxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["timeDiscAmount", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expCostDiscTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["itemCostDiscTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["itemCostTaxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostDiscTax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostDiscPrint", "SOAP::SOAPBoolean", [0, 1]],
      ["timeDiscTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["timeTaxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["expCostDiscPrint", "SOAP::SOAPBoolean", [0, 1]],
      ["timeTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["timeDiscPrint", "SOAP::SOAPBoolean", [0, 1]],
      ["giftCertApplied", "SOAP::SOAPDouble", [0, 1]],
      ["timeDiscTax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["tranIsVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["timeTaxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["vsoeAutoCalc", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::InvoiceSalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::InvoicePartnersList", [0, 1]],
      ["itemList", "ActiveNetsuite::InvoiceItemList", [0, 1]],
      ["itemCostList", "ActiveNetsuite::InvoiceItemCostList", [0, 1]],
      ["giftCertRedemptionList", "ActiveNetsuite::GiftCertRedemptionList", [0, 1]],
      ["expCostList", "ActiveNetsuite::InvoiceExpCostList", [0, 1]],
      ["timeList", "ActiveNetsuite::InvoiceTimeList", [0, 1]],
      ["shipGroupList", "ActiveNetsuite::InvoiceShipGroupList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashSale,
    :schema_name => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashSale"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["opportunity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["salesEffectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["excludeCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["undepFunds", "SOAP::SOAPBoolean", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revenueStatus", "ActiveNetsuite::RevenueStatus", [0, 1]],
      ["recognizedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["deferredRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["revRecOnRevCommitment", "SOAP::SOAPBoolean", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payPalStatus", "SOAP::SOAPString", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["authCode", "SOAP::SOAPString", [0, 1]],
      ["ccAvsStreetMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["ccAvsZipMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["payPalTranId", "SOAP::SOAPString", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["ccIsPurchaseCardBin", "SOAP::SOAPBoolean", [0, 1]],
      ["ignoreAvs", "SOAP::SOAPBoolean", [0, 1]],
      ["ccProcessAsPurchaseCard", "SOAP::SOAPBoolean", [0, 1]],
      ["itemCostDiscount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCostDiscRate", "SOAP::SOAPString", [0, 1]],
      ["itemCostDiscAmount", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostTaxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostTaxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostDiscTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["itemCostTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemCostDiscTax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["itemCostDiscPrint", "SOAP::SOAPBoolean", [0, 1]],
      ["expCostDiscount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expCostDiscRate", "SOAP::SOAPString", [0, 1]],
      ["expCostDiscAmount", "SOAP::SOAPDouble", [0, 1]],
      ["expCostDiscTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["expCostDiscprint", "SOAP::SOAPBoolean", [0, 1]],
      ["expCostTaxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["timeDiscount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expCostTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["timeDiscRate", "SOAP::SOAPString", [0, 1]],
      ["expCostTaxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["expCostDiscTax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["timeDiscAmount", "SOAP::SOAPDouble", [0, 1]],
      ["timeDiscTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["timeDiscPrint", "SOAP::SOAPBoolean", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["timeTaxRate1", "SOAP::SOAPDouble", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["timeTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["altHandlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["timeDiscTax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["ccSecurityCode", "SOAP::SOAPString", [0, 1]],
      ["timeTaxRate2", "SOAP::SOAPDouble", [0, 1]],
      ["ccSecurityCodeMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["chargeIt", "SOAP::SOAPBoolean", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["threeDStatusCode", "SOAP::SOAPString", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["paypalAuthId", "SOAP::SOAPString", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["paypalProcess", "SOAP::SOAPBoolean", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["giftCertApplied", "SOAP::SOAPDouble", [0, 1]],
      ["tranIsVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoeAutoCalc", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::CashSaleSalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::CashSalePartnersList", [0, 1]],
      ["itemList", "ActiveNetsuite::CashSaleItemList", [0, 1]],
      ["itemCostList", "ActiveNetsuite::CashSaleItemCostList", [0, 1]],
      ["giftCertRedemptionList", "ActiveNetsuite::GiftCertRedemptionList", [0, 1]],
      ["expCostList", "ActiveNetsuite::CashSaleExpCostList", [0, 1]],
      ["timeList", "ActiveNetsuite::CashSaleTimeList", [0, 1]],
      ["shipGroupList", "ActiveNetsuite::CashSaleShipGroupList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Estimate,
    :schema_name => XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "Estimate"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["entityStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["probability", "SOAP::SOAPDouble", [0, 1]],
      ["includeInForecast", "SOAP::SOAPBoolean", [0, 1]],
      ["forecastType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["opportunity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsSales_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dueDate", "SOAP::SOAPDateTime", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expectedCloseDate", "SOAP::SOAPDateTime", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["visibleToCustomer", "SOAP::SOAPBoolean", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["altSalesTotal", "SOAP::SOAPDouble", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["altHandlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["itemList", "ActiveNetsuite::EstimateItemList", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::EstimateSalesTeamList", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["partnersList", "ActiveNetsuite::EstimatePartnersList", [0, 1]],
      ["shipGroupList", "ActiveNetsuite::EstimateShipGroupList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorBill,
    :schema_name => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "VendorBill"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["approvalStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["nextApprover", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dueDate", "SOAP::SOAPDateTime", [0, 1]],
      ["discountDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["userTotal", "SOAP::SOAPDouble", [0, 1]],
      ["discountAmount", "SOAP::SOAPDouble", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["creditLimit", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["landedCostMethod", "ActiveNetsuite::LandedCostMethod", [0, 1]],
      ["landedCostPerLine", "SOAP::SOAPBoolean", [0, 1]],
      ["expenseList", "ActiveNetsuite::VendorBillExpenseList", [0, 1]],
      ["itemList", "ActiveNetsuite::VendorBillItemList", [0, 1]],
      ["landedCostsList", "ActiveNetsuite::PurchLandedCostList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["purchaseOrderList", "ActiveNetsuite::RecordRefList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PurchaseOrder,
    :schema_name => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "PurchaseOrder"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supervisorApproval", "SOAP::SOAPBoolean", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["terms", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dueDate", "SOAP::SOAPDateTime", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["approvalStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["nextApprover", "ActiveNetsuite::RecordRef", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipTo", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoTransaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoStatus", "ActiveNetsuite::IntercoStatus", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["orderStatus", "ActiveNetsuite::PurchaseOrderOrderStatus", [0, 1]],
      ["itemList", "ActiveNetsuite::PurchaseOrderItemList", [0, 1]],
      ["expenseList", "ActiveNetsuite::PurchaseOrderExpenseList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemReceipt,
    :schema_name => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "ItemReceipt"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["landedCostMethod", "ActiveNetsuite::LandedCostMethod", [0, 1]],
      ["landedCostPerLine", "SOAP::SOAPBoolean", [0, 1]],
      ["itemList", "ActiveNetsuite::ItemReceiptItemList", [0, 1]],
      ["expenseList", "ActiveNetsuite::ItemReceiptExpenseList", [0, 1]],
      ["landedCostsList", "ActiveNetsuite::PurchLandedCostList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorPayment,
    :schema_name => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "vendorPayment"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["apAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["address", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["voidJournal", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["toAch", "SOAP::SOAPBoolean", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["printVoucher", "SOAP::SOAPBoolean", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["applyList", "ActiveNetsuite::VendorPaymentApplyList", [0, 1]],
      ["creditList", "ActiveNetsuite::VendorPaymentCreditList", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorCredit,
    :schema_name => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "vendorCredit"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["unApplied", "SOAP::SOAPDouble", [0, 1]],
      ["autoApply", "SOAP::SOAPBoolean", [0, 1]],
      ["applied", "SOAP::SOAPDouble", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["userTotal", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expenseList", "ActiveNetsuite::VendorCreditExpenseList", [0, 1]],
      ["itemList", "ActiveNetsuite::VendorCreditItemList", [0, 1]],
      ["applyList", "ActiveNetsuite::VendorCreditApplyList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::VendorReturnAuthorization,
    :schema_name => XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "vendorReturnAuthorization"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["orderStatus", "ActiveNetsuite::VendorReturnAuthorizationOrderStatus", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["userTotal", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsPurchases_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoTransaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoStatus", "ActiveNetsuite::IntercoStatus", [0, 1]],
      ["expenseList", "ActiveNetsuite::VendorReturnAuthorizationExpenseList", [0, 1]],
      ["itemList", "ActiveNetsuite::VendorReturnAuthorizationItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CashRefund,
    :schema_name => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CashRefund"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["salesEffectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["refundCheck", "SOAP::SOAPBoolean", [0, 1]],
      ["toPrint2", "SOAP::SOAPBoolean", [0, 1]],
      ["excludeCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revenueStatus", "ActiveNetsuite::RevenueStatus", [0, 1]],
      ["recognizedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["deferredRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["revRecOnRevCommitment", "SOAP::SOAPBoolean", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["chargeIt", "SOAP::SOAPBoolean", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["payPalTranId", "SOAP::SOAPString", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["ccIsPurchaseCardBin", "SOAP::SOAPBoolean", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["ccProcessAsPurchaseCard", "SOAP::SOAPBoolean", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["payPalStatus", "SOAP::SOAPString", [0, 1]],
      ["altHandlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["payPalAuthId", "SOAP::SOAPString", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["giftCert", "ActiveNetsuite::RecordRef", [0, 1]],
      ["giftCertTotal", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertApplied", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["tranIsVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["payPalProcess", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoeAutoCalc", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["itemList", "ActiveNetsuite::CashRefundItemList", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::CashRefundSalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::CashRefundPartnersList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerPayment,
    :schema_name => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerPayment"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["arAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["pending", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payment", "SOAP::SOAPDouble", [0, 1]],
      ["autoApply", "SOAP::SOAPBoolean", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccIsPurchaseCardBin", "SOAP::SOAPBoolean", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["ccProcessAsPurchaseCard", "SOAP::SOAPBoolean", [0, 1]],
      ["checkNum", "SOAP::SOAPString", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["chargeIt", "SOAP::SOAPBoolean", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["authCode", "SOAP::SOAPString", [0, 1]],
      ["ccAvsStreetMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["ccAvsZipMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["ccSecurityCode", "SOAP::SOAPString", [0, 1]],
      ["ignoreAvs", "SOAP::SOAPBoolean", [0, 1]],
      ["ccSecurityCodeMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["threeDStatusCode", "SOAP::SOAPString", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["undepFunds", "SOAP::SOAPBoolean", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["applied", "SOAP::SOAPDouble", [0, 1]],
      ["unapplied", "SOAP::SOAPDouble", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["applyList", "ActiveNetsuite::CustomerPaymentApplyList", [0, 1]],
      ["creditList", "ActiveNetsuite::CustomerPaymentCreditList", [0, 1]],
      ["depositList", "ActiveNetsuite::CustomerPaymentDepositList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ReturnAuthorization,
    :schema_name => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "ReturnAuthorization"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoTransaction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["intercoStatus", "ActiveNetsuite::IntercoStatus", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["drAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["fxAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesEffectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revRecSchedule", "ActiveNetsuite::RecordRef", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["revRecStartDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revRecEndDate", "SOAP::SOAPDateTime", [0, 1]],
      ["excludeCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["revenueStatus", "ActiveNetsuite::RevenueStatus", [0, 1]],
      ["recognizedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["deferredRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["revRecOnRevCommitment", "SOAP::SOAPBoolean", [0, 1]],
      ["revCommitStatus", "ActiveNetsuite::RevenueCommitStatus", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["altSalesTotal", "SOAP::SOAPDouble", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payPalAuthId", "SOAP::SOAPString", [0, 1]],
      ["payPalProcess", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["orderStatus", "ActiveNetsuite::ReturnAuthorizationOrderStatus", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["giftCert", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["giftCertTotal", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertApplied", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["tranIsVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoeAutoCalc", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["itemList", "ActiveNetsuite::ReturnAuthorizationItemList", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::ReturnAuthorizationSalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::ReturnAuthorizationPartnersList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CreditMemo,
    :schema_name => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CreditMemo"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["vatRegNum", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesRep", "ActiveNetsuite::RecordRef", [0, 1]],
      ["partner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["contribPct", "SOAP::SOAPString", [0, 1]],
      ["otherRefNum", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["excludeCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["onCreditHold", "SOAP::SOAPString", [0, 1]],
      ["amountPaid", "SOAP::SOAPDouble", [0, 1]],
      ["salesEffectiveDate", "SOAP::SOAPDateTime", [0, 1]],
      ["totalCostEstimate", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfit", "SOAP::SOAPDouble", [0, 1]],
      ["estGrossProfitPercent", "SOAP::SOAPDouble", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["promoCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["amountRemaining", "SOAP::SOAPDouble", [0, 1]],
      ["discountItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["discountRate", "SOAP::SOAPString", [0, 1]],
      ["isTaxable", "SOAP::SOAPBoolean", [0, 1]],
      ["taxItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxRate", "SOAP::SOAPDouble", [0, 1]],
      ["unapplied", "SOAP::SOAPDouble", [0, 1]],
      ["autoApply", "SOAP::SOAPBoolean", [0, 1]],
      ["applied", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["toBeEmailed", "SOAP::SOAPBoolean", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["toBeFaxed", "SOAP::SOAPBoolean", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["messageSel", "ActiveNetsuite::RecordRef", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["transactionBillAddress", "ActiveNetsuite::BillAddress", [0, 1]],
      ["billAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billAddress", "SOAP::SOAPString", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPString", [0, 1]],
      ["handlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["discountTotal", "SOAP::SOAPDouble", [0, 1]],
      ["revenueStatus", "ActiveNetsuite::RevenueStatus", [0, 1]],
      ["recognizedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["deferredRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["revRecOnRevCommitment", "SOAP::SOAPBoolean", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["altHandlingCost", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["salesGroup", "ActiveNetsuite::RecordRef", [0, 1]],
      ["syncSalesTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["giftCert", "ActiveNetsuite::RecordRef", [0, 1]],
      ["giftCertTotal", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertApplied", "SOAP::SOAPDouble", [0, 1]],
      ["giftCertAvailable", "SOAP::SOAPDouble", [0, 1]],
      ["tranIsVsoeBundle", "SOAP::SOAPBoolean", [0, 1]],
      ["vsoeAutoCalc", "SOAP::SOAPBoolean", [0, 1]],
      ["syncPartnerTeams", "SOAP::SOAPBoolean", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::CreditMemoSalesTeamList", [0, 1]],
      ["itemList", "ActiveNetsuite::CreditMemoItemList", [0, 1]],
      ["partnersList", "ActiveNetsuite::CreditMemoPartnersList", [0, 1]],
      ["applyList", "ActiveNetsuite::CreditMemoApplyList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerRefund,
    :schema_name => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerRefund"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["arAcct", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["address", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["voidJournal", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["chargeIt", "SOAP::SOAPBoolean", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccIsPurchaseCardBin", "SOAP::SOAPBoolean", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["ccProcessAsPurchaseCard", "SOAP::SOAPBoolean", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["applyList", "ActiveNetsuite::CustomerRefundApplyList", [0, 1]],
      ["depositList", "ActiveNetsuite::CustomerRefundDepositList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomerDeposit,
    :schema_name => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "CustomerDeposit"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesOrder", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payment", "SOAP::SOAPDouble", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["paymentMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccIsPurchaseCardBin", "SOAP::SOAPBoolean", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["ccProcessAsPurchaseCard", "SOAP::SOAPBoolean", [0, 1]],
      ["currencyName", "SOAP::SOAPString", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["checkNum", "SOAP::SOAPString", [0, 1]],
      ["creditCardProcessor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["creditCard", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccSecurityCode", "SOAP::SOAPString", [0, 1]],
      ["ccNumber", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ccExpireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["debitCardIssueNo", "SOAP::SOAPString", [0, 1]],
      ["validFrom", "SOAP::SOAPDateTime", [0, 1]],
      ["ccName", "SOAP::SOAPString", [0, 1]],
      ["ccStreet", "SOAP::SOAPString", [0, 1]],
      ["ccZipCode", "SOAP::SOAPString", [0, 1]],
      ["chargeIt", "SOAP::SOAPBoolean", [0, 1]],
      ["ccApproved", "SOAP::SOAPBoolean", [0, 1]],
      ["pnRefNum", "SOAP::SOAPString", [0, 1]],
      ["authCode", "SOAP::SOAPString", [0, 1]],
      ["ccAvsStreetMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["softDescriptor", "SOAP::SOAPString", [0, 1]],
      ["ccAvsZipMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["ccSecurityCodeMatch", "ActiveNetsuite::AvsMatchCode", [0, 1]],
      ["threeDStatusCode", "SOAP::SOAPString", [0, 1]],
      ["ignoreAvs", "SOAP::SOAPBoolean", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["undepFunds", "SOAP::SOAPBoolean", [0, 1]],
      ["applyList", "ActiveNetsuite::CustomerDepositApplyList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::DepositApplication,
    :schema_name => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "DepositApplication"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["arAcct", "SOAP::SOAPString", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["deposit", "ActiveNetsuite::RecordRef", [0, 1]],
      ["depDate", "SOAP::SOAPDateTime", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["applied", "SOAP::SOAPDouble", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["unapplied", "SOAP::SOAPDouble", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["applyList", "ActiveNetsuite::DepositApplicationApplyList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Charge,
    :schema_name => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "charge"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesOrder", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billTo", "ActiveNetsuite::RecordRef", [0, 1]],
      ["stage", "ActiveNetsuite::ChargeStage", [0, 1]],
      ["chargeDate", "SOAP::SOAPDateTime", [0, 1]],
      ["use", "ActiveNetsuite::ChargeUse", [0, 1]],
      ["chargeType", "ActiveNetsuite::ChargeRuleType", [0, 1]],
      ["projectTask", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["timeRecord", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["billingItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesOrderLine", "ActiveNetsuite::RecordRef", [0, 1]],
      ["invoice", "ActiveNetsuite::RecordRef", [0, 1]],
      ["invoiceLine", "ActiveNetsuite::RecordRef", [0, 1]],
      ["runId", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ChargeSearch,
    :schema_name => XSD::QName.new(NsCustomers_2013_2TransactionsWebservicesActiveNetsuiteCom, "chargeSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ChargeSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Budget,
    :schema_name => XSD::QName.new(NsFinancial_2013_2TransactionsWebservicesActiveNetsuiteCom, "budget"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["year", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsFinancial_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["budgetType", "ActiveNetsuite::BudgetBudgetType", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["periodAmount1", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount2", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount3", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount4", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount5", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount6", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount7", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount8", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount9", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount10", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount11", "SOAP::SOAPDouble", [0, 1]],
      ["periodAmount12", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BudgetSearch,
    :schema_name => XSD::QName.new(NsFinancial_2013_2TransactionsWebservicesActiveNetsuiteCom, "budgetSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::BudgetSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Check,
    :schema_name => XSD::QName.new(NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom, "Check"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["balance", "SOAP::SOAPDouble", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["address", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["voidJournal", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["toBePrinted", "SOAP::SOAPBoolean", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["taxTotal", "SOAP::SOAPDouble", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsBank_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["tax2Total", "SOAP::SOAPDouble", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["userTotal", "SOAP::SOAPDouble", [0, 1]],
      ["landedCostMethod", "ActiveNetsuite::LandedCostMethod", [0, 1]],
      ["landedCostPerLine", "SOAP::SOAPBoolean", [0, 1]],
      ["expenseList", "ActiveNetsuite::CheckExpenseList", [0, 1]],
      ["itemList", "ActiveNetsuite::CheckItemList", [0, 1]],
      ["landedCostsList", "ActiveNetsuite::CheckLandedCostList", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryAdjustment,
    :schema_name => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "InventoryAdjustment"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["estimatedTotalValue", "SOAP::SOAPDouble", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["adjLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["inventoryList", "ActiveNetsuite::InventoryAdjustmentInventoryList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AssemblyBuild,
    :schema_name => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "assemblyBuild"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["expirationDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildable", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revision", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["componentList", "ActiveNetsuite::AssemblyComponentList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AssemblyUnbuild,
    :schema_name => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "assemblyUnbuild"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["built", "SOAP::SOAPDouble", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["serialNumbers", "SOAP::SOAPString", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["binNumbers", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["componentList", "ActiveNetsuite::AssemblyComponentList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransferOrder,
    :schema_name => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "transferOrder"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["orderStatus", "ActiveNetsuite::TransferOrderOrderStatus", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transferLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["shipComplete", "SOAP::SOAPBoolean", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["itemList", "ActiveNetsuite::TransferOrderItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InterCompanyTransferOrder,
    :schema_name => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "interCompanyTransferOrder"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["subTotal", "SOAP::SOAPDouble", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["transactionShipAddress", "ActiveNetsuite::ShipAddress", [0, 1]],
      ["shipAddressList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["shipAddress", "SOAP::SOAPString", [0, 1]],
      ["fob", "SOAP::SOAPString", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["source", "SOAP::SOAPString", [0, 1]],
      ["orderStatus", "ActiveNetsuite::TransferOrderOrderStatus", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["toSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transferLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["shipDate", "SOAP::SOAPDateTime", [0, 1]],
      ["shipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["trackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["linkedTrackingNumbers", "SOAP::SOAPString", [0, 1]],
      ["shipComplete", "SOAP::SOAPBoolean", [0, 1]],
      ["altShippingCost", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax1Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTax2Rate", "SOAP::SOAPDouble", [0, 1]],
      ["handlingTax2Rate", "SOAP::SOAPDouble", [0, 1]],
      ["shippingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["handlingTaxCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["itemList", "ActiveNetsuite::InterCompanyTransferOrderItemList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WorkOrder,
    :schema_name => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "workOrder"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturingRouting", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["job", "ActiveNetsuite::RecordRef", [0, 1]],
      ["assemblyItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expandAssembly", "SOAP::SOAPBoolean", [0, 1]],
      ["isWip", "SOAP::SOAPBoolean", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["itemList", "ActiveNetsuite::WorkOrderItemList", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["salesTeamList", "ActiveNetsuite::SalesTeamList", [0, 1]],
      ["partnersList", "ActiveNetsuite::PartnersList", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["buildable", "SOAP::SOAPDouble", [0, 1]],
      ["options", "ActiveNetsuite::CustomFieldList", [0, 1]],
      ["built", "SOAP::SOAPDouble", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["revision", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryTransfer,
    :schema_name => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "inventoryTransfer"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["transferLocation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryList", "ActiveNetsuite::InventoryTransferInventoryList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BinTransfer,
    :schema_name => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "binTransfer"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryList", "ActiveNetsuite::BinTransferInventoryList", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::BinWorksheet,
    :schema_name => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "binWorksheet"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["itemList", "ActiveNetsuite::BinWorksheetItemList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WorkOrderIssue,
    :schema_name => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "workOrderIssue"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revision", "ActiveNetsuite::RecordRef", [0, 1]],
      ["componentList", "ActiveNetsuite::WorkOrderIssueComponentList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WorkOrderCompletion,
    :schema_name => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "workOrderCompletion"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["scrapQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBackflush", "SOAP::SOAPBoolean", [0, 1]],
      ["orderQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["inventoryDetail", "ActiveNetsuite::InventoryDetail", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revision", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startOperation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["endOperation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["completedQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["manufacturingRouting", "ActiveNetsuite::RecordRef", [0, 1]],
      ["componentList", "ActiveNetsuite::WorkOrderCompletionComponentList", [0, 1]],
      ["operationList", "ActiveNetsuite::WorkOrderCompletionOperationList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::WorkOrderClose,
    :schema_name => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "workOrderClose"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["quantity", "SOAP::SOAPDouble", [0, 1]],
      ["orderQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["scrapQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["revision", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InventoryCostRevaluation,
    :schema_name => XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "inventoryCostRevaluation"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsInventory_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["inventoryValue", "SOAP::SOAPDouble", [0, 1]],
      ["unitCost", "SOAP::SOAPDouble", [0, 1]],
      ["costComponentList", "ActiveNetsuite::InventoryCostRevaluationCostComponentList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::JournalEntry,
    :schema_name => XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "JournalEntry"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["reversalDate", "SOAP::SOAPDateTime", [0, 1]],
      ["reversalDefer", "SOAP::SOAPBoolean", [0, 1]],
      ["parentExpenseAlloc", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reversalEntry", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["toSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["approved", "SOAP::SOAPBoolean", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["lineList", "ActiveNetsuite::JournalEntryLineList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::InterCompanyJournalEntry,
    :schema_name => XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "InterCompanyJournalEntry"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["reversalDate", "SOAP::SOAPDateTime", [0, 1]],
      ["reversalDefer", "SOAP::SOAPBoolean", [0, 1]],
      ["parentExpenseAlloc", "ActiveNetsuite::RecordRef", [0, 1]],
      ["reversalEntry", "SOAP::SOAPString", [0, 1]],
      ["createdFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsGeneral_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["toSubsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["approved", "SOAP::SOAPBoolean", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lineList", "ActiveNetsuite::InterCompanyJournalEntryLineList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecord,
    :schema_name => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecord"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customRecordId", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["disclaimer", "SOAP::SOAPString", [0, 1]],
      ["created", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModified", "SOAP::SOAPDateTime", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["recType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["enableNumbering", "SOAP::SOAPBoolean", [0, 1]],
      ["numberingPrefix", "SOAP::SOAPString", [0, 1]],
      ["numberingSuffix", "SOAP::SOAPString", [0, 1]],
      ["numberingMinDigits", "SOAP::SOAPLong", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["numberingInit", "SOAP::SOAPLong", [0, 1]],
      ["numberingCurrentNumber", "SOAP::SOAPLong", [0, 1]],
      ["allowNumberingOverride", "SOAP::SOAPBoolean", [0, 1]],
      ["isNumberingUpdateable", "SOAP::SOAPBoolean", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomRecordTranslationsList", [0, 1]],
      ["includeName", "SOAP::SOAPBoolean", [0, 1]],
      ["showId", "SOAP::SOAPBoolean", [0, 1]],
      ["showCreationDate", "SOAP::SOAPBoolean", [0, 1]],
      ["showCreationDateOnList", "SOAP::SOAPBoolean", [0, 1]],
      ["showLastModified", "SOAP::SOAPBoolean", [0, 1]],
      ["showLastModifiedOnList", "SOAP::SOAPBoolean", [0, 1]],
      ["showOwner", "SOAP::SOAPBoolean", [0, 1]],
      ["showOwnerOnList", "SOAP::SOAPBoolean", [0, 1]],
      ["showOwnerAllowChange", "SOAP::SOAPBoolean", [0, 1]],
      ["usePermissions", "SOAP::SOAPBoolean", [0, 1]],
      ["allowAttachments", "SOAP::SOAPBoolean", [0, 1]],
      ["showNotes", "SOAP::SOAPBoolean", [0, 1]],
      ["enablEmailMerge", "SOAP::SOAPBoolean", [0, 1]],
      ["isOrdered", "SOAP::SOAPBoolean", [0, 1]],
      ["allowInlineEditing", "SOAP::SOAPBoolean", [0, 1]],
      ["isAvailableOffline", "SOAP::SOAPBoolean", [0, 1]],
      ["allowQuickSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["recordName", "SOAP::SOAPString", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordSearch,
    :schema_name => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "customRecordSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomRecordSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["ownerJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomList,
    :schema_name => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomList"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOrdered", "SOAP::SOAPBoolean", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isMatrixOption", "SOAP::SOAPBoolean", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["convertToCustomRecord", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["customValueList", "ActiveNetsuite::CustomListCustomValueList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomListTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordType,
    :schema_name => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordType"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["recordName", "SOAP::SOAPString", [0, 1]],
      ["includeName", "SOAP::SOAPBoolean", [0, 1]],
      ["showId", "SOAP::SOAPBoolean", [0, 1]],
      ["showCreationDate", "SOAP::SOAPBoolean", [0, 1]],
      ["showCreationDateOnList", "SOAP::SOAPBoolean", [0, 1]],
      ["showLastModified", "SOAP::SOAPBoolean", [0, 1]],
      ["showLastModifiedOnList", "SOAP::SOAPBoolean", [0, 1]],
      ["showOwner", "SOAP::SOAPBoolean", [0, 1]],
      ["showOwnerOnList", "SOAP::SOAPBoolean", [0, 1]],
      ["showOwnerAllowChange", "SOAP::SOAPBoolean", [0, 1]],
      ["accessType", "ActiveNetsuite::CustomRecordTypeAccessType", [0, 1]],
      ["allowAttachments", "SOAP::SOAPBoolean", [0, 1]],
      ["showNotes", "SOAP::SOAPBoolean", [0, 1]],
      ["enableMailMerge", "SOAP::SOAPBoolean", [0, 1]],
      ["isOrdered", "SOAP::SOAPBoolean", [0, 1]],
      ["isAvailableOffline", "SOAP::SOAPBoolean", [0, 1]],
      ["allowQuickSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["enableDle", "SOAP::SOAPBoolean", [0, 1]],
      ["enableNameTranslation", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["disclaimer", "SOAP::SOAPString", [0, 1]],
      ["enableNumbering", "SOAP::SOAPBoolean", [0, 1]],
      ["numberingPrefix", "SOAP::SOAPString", [0, 1]],
      ["numberingSuffix", "SOAP::SOAPString", [0, 1]],
      ["numberingMinDigits", "SOAP::SOAPLong", [0, 1]],
      ["numberingInit", "SOAP::SOAPLong", [0, 1]],
      ["numberingCurrentNumber", "SOAP::SOAPLong", [0, 1]],
      ["allowNumberingOverride", "SOAP::SOAPBoolean", [0, 1]],
      ["isNumberingUpdateable", "SOAP::SOAPBoolean", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["tabsList", "ActiveNetsuite::CustomRecordTypeTabsList", [0, 1]],
      ["sublistsList", "ActiveNetsuite::CustomRecordTypeSublistsList", [0, 1]],
      ["formsList", "ActiveNetsuite::CustomRecordTypeFormsList", [0, 1]],
      ["onlineFormsList", "ActiveNetsuite::CustomRecordTypeOnlineFormsList", [0, 1]],
      ["permissionsList", "ActiveNetsuite::CustomRecordTypePermissionsList", [0, 1]],
      ["linksList", "ActiveNetsuite::CustomRecordTypeLinksList", [0, 1]],
      ["managersList", "ActiveNetsuite::CustomRecordTypeManagersList", [0, 1]],
      ["childrenList", "ActiveNetsuite::CustomRecordTypeChildrenList", [0, 1]],
      ["parentsList", "ActiveNetsuite::CustomRecordTypeParentsList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomRecordTypeTranslationsList", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomRecordTypeFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EntityCustomField,
    :schema_name => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "EntityCustomField"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["isParent", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["availableToSso", "SOAP::SOAPBoolean", [0, 1]],
      ["subtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["parentSubtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["appliesToCustomer", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToProject", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToVendor", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToEmployee", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToOtherName", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToContact", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToPartner", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToWebSite", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToGroup", "SOAP::SOAPBoolean", [0, 1]],
      ["availableExternally", "SOAP::SOAPBoolean", [0, 1]],
      ["filterList", "ActiveNetsuite::EntityCustomFieldFilterList", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["appliesToStatement", "SOAP::SOAPBoolean", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["appliesToPriceList", "SOAP::SOAPBoolean", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CrmCustomField,
    :schema_name => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CrmCustomField"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["isParent", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["parentSubtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["appliesToTask", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToMfgProjectTask", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToProjectTask", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToPhoneCall", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToEvent", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToCase", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToCampaign", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesPerKeyword", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToSolution", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToIssue", "SOAP::SOAPBoolean", [0, 1]],
      ["availableExternally", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToSso", "SOAP::SOAPBoolean", [0, 1]],
      ["showIssueChanges", "SOAP::SOAPBoolean", [0, 1]],
      ["filterList", "ActiveNetsuite::CrmCustomFieldFilterList", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::OtherCustomField,
    :schema_name => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "OtherCustomField"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["recType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["filterList", "ActiveNetsuite::OtherCustomFieldFilterList", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemCustomField,
    :schema_name => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemCustomField"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemMatrix", "SOAP::SOAPBoolean", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["isParent", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["parentSubtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["appliesToInventory", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToNonInventory", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToService", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToOtherCharge", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToGroup", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToKit", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToItemAssembly", "SOAP::SOAPBoolean", [0, 1]],
      ["availableToSso", "SOAP::SOAPBoolean", [0, 1]],
      ["itemSubType", "ActiveNetsuite::ItemCustomFieldItemSubType", [0, 1]],
      ["filterList", "ActiveNetsuite::ItemCustomFieldFilterList", [0, 1]],
      ["appliesToPriceList", "SOAP::SOAPBoolean", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionBodyCustomField,
    :schema_name => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "TransactionBodyCustomField"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["isParent", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["availableToSso", "SOAP::SOAPBoolean", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["parentSubtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["bodyPurchase", "SOAP::SOAPBoolean", [0, 1]],
      ["bodySale", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyOpportunity", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyJournal", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyExpenseReport", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyStore", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyTransferOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyItemReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyItemReceiptOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyItemFulfillment", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyItemFulfillmentOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyInventoryAdjustment", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyBTegata", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyAssemblyBuild", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyPrintFlag", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyPickingTicket", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyPrintPackingSlip", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyCustomerPayment", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyVendorPayment", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyDeposit", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyBom", "SOAP::SOAPBoolean", [0, 1]],
      ["bodyPrintStatement", "SOAP::SOAPBoolean", [0, 1]],
      ["filterList", "ActiveNetsuite::TransactionBodyCustomFieldFilterList", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TransactionColumnCustomField,
    :schema_name => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "TransactionColumnCustomField"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["availableToSso", "SOAP::SOAPBoolean", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["colExpense", "SOAP::SOAPBoolean", [0, 1]],
      ["colPurchase", "SOAP::SOAPBoolean", [0, 1]],
      ["colSale", "SOAP::SOAPBoolean", [0, 1]],
      ["colOpportunity", "SOAP::SOAPBoolean", [0, 1]],
      ["colStore", "SOAP::SOAPBoolean", [0, 1]],
      ["colStoreHidden", "SOAP::SOAPBoolean", [0, 1]],
      ["colJournal", "SOAP::SOAPBoolean", [0, 1]],
      ["colBuild", "SOAP::SOAPBoolean", [0, 1]],
      ["colExpenseReport", "SOAP::SOAPBoolean", [0, 1]],
      ["colTime", "SOAP::SOAPBoolean", [0, 1]],
      ["colTransferOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["colTimeGroup", "SOAP::SOAPBoolean", [0, 1]],
      ["colItemReceipt", "SOAP::SOAPBoolean", [0, 1]],
      ["colItemReceiptOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["colItemFulfillment", "SOAP::SOAPBoolean", [0, 1]],
      ["colItemFulfillmentOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["colPrintFlag", "SOAP::SOAPBoolean", [0, 1]],
      ["colPickingTicket", "SOAP::SOAPBoolean", [0, 1]],
      ["colPackingSlip", "SOAP::SOAPBoolean", [0, 1]],
      ["colReturnForm", "SOAP::SOAPBoolean", [0, 1]],
      ["colStoreWithGroups", "SOAP::SOAPBoolean", [0, 1]],
      ["colGroupOnInvoices", "SOAP::SOAPBoolean", [0, 1]],
      ["colKitItem", "SOAP::SOAPBoolean", [0, 1]],
      ["filterList", "ActiveNetsuite::TransactionColumnCustomFieldFilterList", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemOptionCustomField,
    :schema_name => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "ItemOptionCustomField"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["colPurchase", "SOAP::SOAPBoolean", [0, 1]],
      ["colSale", "SOAP::SOAPBoolean", [0, 1]],
      ["colOpportunity", "SOAP::SOAPBoolean", [0, 1]],
      ["colStore", "SOAP::SOAPBoolean", [0, 1]],
      ["colStoreHidden", "SOAP::SOAPBoolean", [0, 1]],
      ["colTransferOrder", "SOAP::SOAPBoolean", [0, 1]],
      ["colAllItems", "SOAP::SOAPBoolean", [0, 1]],
      ["itemsList", "ActiveNetsuite::ItemsList", [0, 1]],
      ["colKitItem", "SOAP::SOAPBoolean", [0, 1]],
      ["filterList", "ActiveNetsuite::ItemOptionCustomFieldFilterList", [0, 1]],
      ["colOptionLabel", "SOAP::SOAPString", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomRecordCustomField,
    :schema_name => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "CustomRecordCustomField"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["globalSearch", "SOAP::SOAPBoolean", [0, 1]],
      ["isParent", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["parentSubtab", "ActiveNetsuite::RecordRef", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourcefilterby", "ActiveNetsuite::RecordRef", [0, 1]],
      ["recType", "SOAP::SOAPString", [0, 1]],
      ["roleRestrict", "SOAP::SOAPBoolean", [0, 1]],
      ["filterList", "ActiveNetsuite::CustomRecordCustomFieldFilterList", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["subAccessList", "ActiveNetsuite::CustomFieldSubAccessList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemNumberCustomField,
    :schema_name => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "itemNumberCustomField"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["fieldType", "ActiveNetsuite::CustomizationFieldType", [0, 1]],
      ["scriptId", "SOAP::SOAPString", [0, 1]],
      ["label", "SOAP::SOAPString", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["selectRecordType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeValue", "SOAP::SOAPBoolean", [0, 1]],
      ["showInList", "SOAP::SOAPBoolean", [0, 1]],
      ["insertBefore", "ActiveNetsuite::RecordRef", [0, 1]],
      ["displayType", "ActiveNetsuite::CustomizationDisplayType", [0, 1]],
      ["displayWidth", "SOAP::SOAPLong", [0, 1]],
      ["displayHeight", "SOAP::SOAPLong", [0, 1]],
      ["help", "SOAP::SOAPString", [0, 1]],
      ["linkText", "SOAP::SOAPString", [0, 1]],
      ["isMandatory", "SOAP::SOAPBoolean", [0, 1]],
      ["checkSpelling", "SOAP::SOAPBoolean", [0, 1]],
      ["maxLength", "SOAP::SOAPLong", [0, 1]],
      ["minValue", "SOAP::SOAPDouble", [0, 1]],
      ["maxValue", "SOAP::SOAPDouble", [0, 1]],
      ["defaultChecked", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultValue", "SOAP::SOAPString", [0, 1]],
      ["isFormula", "SOAP::SOAPBoolean", [0, 1]],
      ["defaultSelection", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dynamicDefault", "ActiveNetsuite::CustomizationDynamicDefault", [0, 1]],
      ["searchDefault", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchCompareField", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceList", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFrom", "ActiveNetsuite::RecordRef", [0, 1]],
      ["sourceFilterBy", "ActiveNetsuite::RecordRef", [0, 1]],
      ["accessLevel", "ActiveNetsuite::CustomizationAccessLevel", [0, 1]],
      ["searchLevel", "ActiveNetsuite::CustomizationSearchLevel", [0, 1]],
      ["filterList", "ActiveNetsuite::ItemNumberCustomFieldFilterList", [0, 1]],
      ["roleAccessList", "ActiveNetsuite::CustomFieldRoleAccessList", [0, 1]],
      ["deptAccessList", "ActiveNetsuite::CustomFieldDepartmentAccessList", [0, 1]],
      ["appliesToAllItems", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToSerialized", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToLots", "SOAP::SOAPBoolean", [0, 1]],
      ["appliesToGiftCerts", "SOAP::SOAPBoolean", [0, 1]],
      ["itemsList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["translationsList", "ActiveNetsuite::CustomFieldTranslationsList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CustomListSearch,
    :schema_name => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "customListSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CustomListSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AppDefinition,
    :schema_name => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "appDefinition"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["packagesList", "ActiveNetsuite::AppDefinitionPackagesList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AppDefinitionSearch,
    :schema_name => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "appDefinitionSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::AppDefinitionSearchBasic", [0, 1]],
      ["appPackageJoin", "ActiveNetsuite::AppPackageSearchBasic", [0, 1]],
      ["creatorJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AppPackage,
    :schema_name => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "appPackage"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["appDefinition", "ActiveNetsuite::RecordRef", [0, 1]],
      ["version", "SOAP::SOAPString", [0, 1]],
      ["packageFile", "ActiveNetsuite::RecordRef", [0, 1]],
      ["bundle", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::AppPackageSearch,
    :schema_name => XSD::QName.new(NsCustomization_2013_2SetupWebservicesActiveNetsuiteCom, "appPackageSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::AppPackageSearchBasic", [0, 1]],
      ["appDefinitionJoin", "ActiveNetsuite::AppDefinitionSearchBasic", [0, 1]],
      ["creatorJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["packageFileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Employee,
    :schema_name => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "Employee"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["template", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entityId", "SOAP::SOAPString", [0, 1]],
      ["salutation", "SOAP::SOAPString", [0, 1]],
      ["firstName", "SOAP::SOAPString", [0, 1]],
      ["middleName", "SOAP::SOAPString", [0, 1]],
      ["lastName", "SOAP::SOAPString", [0, 1]],
      ["altName", "SOAP::SOAPString", [0, 1]],
      ["phone", "SOAP::SOAPString", [0, 1]],
      ["fax", "SOAP::SOAPString", [0, 1]],
      ["email", "SOAP::SOAPString", [0, 1]],
      ["defaultAddress", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["phoneticName", "SOAP::SOAPString", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["dateCreated", "SOAP::SOAPDateTime", [0, 1]],
      ["initials", "SOAP::SOAPString", [0, 1]],
      ["officePhone", "SOAP::SOAPString", [0, 1]],
      ["homePhone", "SOAP::SOAPString", [0, 1]],
      ["mobilePhone", "SOAP::SOAPString", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["billingClass", "ActiveNetsuite::RecordRef", [0, 1]],
      ["accountNumber", "SOAP::SOAPString", [0, 1]],
      ["comments", "SOAP::SOAPString", [0, 1]],
      ["globalSubscriptionStatus", "ActiveNetsuite::GlobalSubscriptionStatus", [0, 1]],
      ["image", "ActiveNetsuite::RecordRef", [0, 1]],
      ["payFrequency", "ActiveNetsuite::EmployeePayFrequency", [0, 1]],
      ["lastPaidDate", "SOAP::SOAPDateTime", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useTimeData", "ActiveNetsuite::EmployeeUseTimeData", [0, 1]],
      ["usePerquest", "SOAP::SOAPBoolean", [0, 1]],
      ["workplace", "ActiveNetsuite::RecordRef", [0, 1]],
      ["adpId", "SOAP::SOAPString", [0, 1]],
      ["directDeposit", "SOAP::SOAPBoolean", [0, 1]],
      ["expenseLimit", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseOrderLimit", "SOAP::SOAPDouble", [0, 1]],
      ["purchaseOrderApprovalLimit", "SOAP::SOAPDouble", [0, 1]],
      ["socialSecurityNumber", "SOAP::SOAPString", [0, 1]],
      ["supervisor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["approver", "ActiveNetsuite::RecordRef", [0, 1]],
      ["approvalLimit", "SOAP::SOAPDouble", [0, 1]],
      ["timeApprover", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employeeType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSalesRep", "SOAP::SOAPBoolean", [0, 1]],
      ["salesRole", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isSupportRep", "SOAP::SOAPBoolean", [0, 1]],
      ["isJobResource", "SOAP::SOAPBoolean", [0, 1]],
      ["laborCost", "SOAP::SOAPDouble", [0, 1]],
      ["birthDate", "SOAP::SOAPDateTime", [0, 1]],
      ["hireDate", "SOAP::SOAPDateTime", [0, 1]],
      ["releaseDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastReviewDate", "SOAP::SOAPDateTime", [0, 1]],
      ["nextReviewDate", "SOAP::SOAPDateTime", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["employeeStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["jobDescription", "SOAP::SOAPString", [0, 1]],
      ["maritalStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["ethnicity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["gender", "ActiveNetsuite::Gender", [0, 1]],
      ["purchaseOrderApprover", "ActiveNetsuite::RecordRef", [0, 1]],
      ["workCalendar", "ActiveNetsuite::RecordRef", [0, 1]],
      ["giveAccess", "SOAP::SOAPBoolean", [0, 1]],
      ["concurrentWebServicesUser", "SOAP::SOAPBoolean", [0, 1]],
      ["sendEmail", "SOAP::SOAPBoolean", [0, 1]],
      ["hasOfflineAccess", "SOAP::SOAPBoolean", [0, 1]],
      ["password", "SOAP::SOAPString", [0, 1]],
      ["password2", "SOAP::SOAPString", [0, 1]],
      ["requirePwdChange", "SOAP::SOAPBoolean", [0, 1]],
      ["inheritIPRules", "SOAP::SOAPBoolean", [0, 1]],
      ["iPAddressRule", ["SOAP::SOAPString", XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "IPAddressRule")], [0, 1]],
      ["commissionPaymentPreference", "ActiveNetsuite::EmployeeCommissionPaymentPreference", [0, 1]],
      ["billPay", "SOAP::SOAPBoolean", [0, 1]],
      ["eligibleForCommission", "SOAP::SOAPBoolean", [0, 1]],
      ["subscriptionsList", "ActiveNetsuite::EmployeeSubscriptionsList", [0, 1]],
      ["addressbookList", "ActiveNetsuite::EmployeeAddressbookList", [0, 1]],
      ["rolesList", "ActiveNetsuite::EmployeeRolesList", [0, 1]],
      ["hrEducationList", "ActiveNetsuite::EmployeeHrEducationList", [0, 1]],
      ["accruedTimeList", "ActiveNetsuite::EmployeeAccruedTimeList", [0, 1]],
      ["directDepositList", "ActiveNetsuite::EmployeeDirectDepositList", [0, 1]],
      ["companyContributionList", "ActiveNetsuite::EmployeeCompanyContributionList", [0, 1]],
      ["earningList", "ActiveNetsuite::EmployeeEarningList", [0, 1]],
      ["emergencyContactList", "ActiveNetsuite::EmployeeEmergencyContactList", [0, 1]],
      ["deductionList", "ActiveNetsuite::EmployeeDeductionList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::EmployeeSearch,
    :schema_name => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "employeeSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["campaignResponseJoin", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["departmentJoin", "ActiveNetsuite::DepartmentSearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesFromJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["messagesToJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["resourceAllocationJoin", "ActiveNetsuite::ResourceAllocationSearchBasic", [0, 1]],
      ["subsidiaryJoin", "ActiveNetsuite::SubsidiarySearchBasic", [0, 1]],
      ["timeJoin", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PayrollItem,
    :schema_name => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "payrollItem"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemType", "ActiveNetsuite::RecordRef", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["vendor", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expenseAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["liabilityAccount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employeePaid", "SOAP::SOAPBoolean", [0, 1]],
      ["inactive", "SOAP::SOAPBoolean", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PayrollItemSearch,
    :schema_name => XSD::QName.new(NsEmployees_2013_2ListsWebservicesActiveNetsuiteCom, "payrollItemSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PayrollItemSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SiteCategory,
    :schema_name => XSD::QName.new(NsWebsite_2013_2ListsWebservicesActiveNetsuiteCom, "SiteCategory"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["website", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemId", "SOAP::SOAPString", [0, 1]],
      ["parentCategory", "ActiveNetsuite::RecordRef", [0, 1]],
      ["categoryListLayout", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemListLayout", "ActiveNetsuite::RecordRef", [0, 1]],
      ["relatedItemsListLayout", "ActiveNetsuite::RecordRef", [0, 1]],
      ["correlatedItemsListLayout", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isOnline", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["storeDetailedDescription", "SOAP::SOAPString", [0, 1]],
      ["storeDisplayThumbnail", "ActiveNetsuite::RecordRef", [0, 1]],
      ["storeDisplayImage", "ActiveNetsuite::RecordRef", [0, 1]],
      ["pageTitle", "SOAP::SOAPString", [0, 1]],
      ["metaTagHtml", "SOAP::SOAPString", [0, 1]],
      ["excludeFromSitemap", "SOAP::SOAPBoolean", [0, 1]],
      ["urlComponent", "SOAP::SOAPString", [0, 1]],
      ["sitemapPriority", "ActiveNetsuite::SitemapPriority", [0, 1]],
      ["searchKeywords", "SOAP::SOAPString", [0, 1]],
      ["presentationItemList", "ActiveNetsuite::SiteCategoryPresentationItemList", [0, 1]],
      ["translationsList", "ActiveNetsuite::SiteCategoryTranslationList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::SiteCategorySearch,
    :schema_name => XSD::QName.new(NsWebsite_2013_2ListsWebservicesActiveNetsuiteCom, "siteCategorySearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::SiteCategorySearchBasic", [0, 1]],
      ["shopperJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TimeBill,
    :schema_name => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "TimeBill"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["caseTaskEvent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["isBillable", "SOAP::SOAPBoolean", [0, 1]],
      ["payrollItem", "ActiveNetsuite::RecordRef", [0, 1]],
      ["paidExternally", "SOAP::SOAPBoolean", [0, 1]],
      ["workplace", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["hours", "ActiveNetsuite::Duration", [0, 1]],
      ["price", "ActiveNetsuite::RecordRef", [0, 1]],
      ["timeType", "ActiveNetsuite::TimeBillTimeType", [0, 1]],
      ["rate", "SOAP::SOAPDouble", [0, 1]],
      ["overrideRate", "SOAP::SOAPBoolean", [0, 1]],
      ["temporaryLocalJurisdiction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["temporaryStateJurisdiction", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["supervisorApproval", "SOAP::SOAPBoolean", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::TimeBillSearch,
    :schema_name => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "timeBillSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::TimeBillSearchBasic", [0, 1]],
      ["callJoin", "ActiveNetsuite::PhoneCallSearchBasic", [0, 1]],
      ["caseJoin", "ActiveNetsuite::SupportCaseSearchBasic", [0, 1]],
      ["classJoin", "ActiveNetsuite::ClassificationSearchBasic", [0, 1]],
      ["customerJoin", "ActiveNetsuite::CustomerSearchBasic", [0, 1]],
      ["departmentJoin", "ActiveNetsuite::DepartmentSearchBasic", [0, 1]],
      ["employeeJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["eventJoin", "ActiveNetsuite::CalendarEventSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["jobJoin", "ActiveNetsuite::JobSearchBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["projectTaskJoin", "ActiveNetsuite::ProjectTaskSearchBasic", [0, 1]],
      ["projectTaskAssignmentJoin", "ActiveNetsuite::ProjectTaskAssignmentSearchBasic", [0, 1]],
      ["resourceAllocationJoin", "ActiveNetsuite::ResourceAllocationSearchBasic", [0, 1]],
      ["taskJoin", "ActiveNetsuite::TaskSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["vendorJoin", "ActiveNetsuite::VendorSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ExpenseReport,
    :schema_name => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "expenseReport"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["status", "SOAP::SOAPString", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranId", "SOAP::SOAPString", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["dueDate", "SOAP::SOAPDateTime", [0, 1]],
      ["approvalStatus", "ActiveNetsuite::RecordRef", [0, 1]],
      ["total", "SOAP::SOAPDouble", [0, 1]],
      ["nextApprover", "ActiveNetsuite::RecordRef", [0, 1]],
      ["advance", "SOAP::SOAPDouble", [0, 1]],
      ["tax1Amt", "SOAP::SOAPDouble", [0, 1]],
      ["amount", "SOAP::SOAPDouble", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["complete", "SOAP::SOAPBoolean", [0, 1]],
      ["supervisorApproval", "SOAP::SOAPBoolean", [0, 1]],
      ["accountingApproval", "SOAP::SOAPBoolean", [0, 1]],
      ["useMultiCurrency", "SOAP::SOAPBoolean", [0, 1]],
      ["tax2Amt", "SOAP::SOAPDouble", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["expenseList", "ActiveNetsuite::ExpenseReportExpenseList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PaycheckJournal,
    :schema_name => XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "paycheckJournal"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["currency", "ActiveNetsuite::RecordRef", [0, 1]],
      ["exchangeRate", "SOAP::SOAPDouble", [0, 1]],
      ["createdDate", "SOAP::SOAPDateTime", [0, 1]],
      ["lastModifiedDate", "SOAP::SOAPDateTime", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["employee", "ActiveNetsuite::RecordRef", [0, 1]],
      ["tranDate", "SOAP::SOAPDateTime", [0, 1]],
      ["postingPeriod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["account", "ActiveNetsuite::RecordRef", [0, 1]],
      ["department", "ActiveNetsuite::RecordRef", [0, 1]],
      ["v_class", ["ActiveNetsuite::RecordRef", XSD::QName.new(NsEmployees_2013_2TransactionsWebservicesActiveNetsuiteCom, "class")], [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["companyContributionList", "ActiveNetsuite::PaycheckJournalCompanyContributionList", [0, 1]],
      ["deductionList", "ActiveNetsuite::PaycheckJournalDeductionList", [0, 1]],
      ["employeeTaxList", "ActiveNetsuite::PaycheckJournalEmployeeTaxList", [0, 1]],
      ["companyTaxList", "ActiveNetsuite::PaycheckJournalCompanyTaxList", [0, 1]],
      ["earningList", "ActiveNetsuite::PaycheckJournalEarningList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::Campaign,
    :schema_name => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "Campaign"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["campaignId", "SOAP::SOAPString", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["category", "ActiveNetsuite::RecordRef", [0, 1]],
      ["owner", "ActiveNetsuite::RecordRef", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["url", "SOAP::SOAPString", [0, 1]],
      ["baseCost", "SOAP::SOAPDouble", [0, 1]],
      ["cost", "SOAP::SOAPDouble", [0, 1]],
      ["expectedRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["local", "SOAP::SOAPBoolean", [0, 1]],
      ["totalRevenue", "SOAP::SOAPDouble", [0, 1]],
      ["roi", "SOAP::SOAPDouble", [0, 1]],
      ["profit", "SOAP::SOAPDouble", [0, 1]],
      ["costPerCustomer", "SOAP::SOAPDouble", [0, 1]],
      ["convCostPerCustomer", "SOAP::SOAPDouble", [0, 1]],
      ["conversions", "SOAP::SOAPLong", [0, 1]],
      ["leadsGenerated", "SOAP::SOAPLong", [0, 1]],
      ["uniqueVisitors", "SOAP::SOAPLong", [0, 1]],
      ["vertical", "ActiveNetsuite::RecordRef", [0, 1]],
      ["audience", "ActiveNetsuite::RecordRef", [0, 1]],
      ["offer", "ActiveNetsuite::RecordRef", [0, 1]],
      ["promotionCode", "ActiveNetsuite::RecordRef", [0, 1]],
      ["itemList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["family", "ActiveNetsuite::RecordRef", [0, 1]],
      ["searchEngine", "ActiveNetsuite::RecordRef", [0, 1]],
      ["keyword", "SOAP::SOAPString", [0, 1]],
      ["campaignEmailList", "ActiveNetsuite::CampaignEmailList", [0, 1]],
      ["campaignDirectMailList", "ActiveNetsuite::CampaignDirectMailList", [0, 1]],
      ["campaignEventList", "ActiveNetsuite::CampaignEventList", [0, 1]],
      ["eventResponseList", "ActiveNetsuite::CampaignEventResponseList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignSearch,
    :schema_name => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "campaignSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CampaignSearchBasic", [0, 1]],
      ["campaignRecipientJoin", "ActiveNetsuite::EntitySearchBasic", [0, 1]],
      ["fileJoin", "ActiveNetsuite::FileSearchBasic", [0, 1]],
      ["messagesJoin", "ActiveNetsuite::MessageSearchBasic", [0, 1]],
      ["originatingLeadJoin", "ActiveNetsuite::OriginatingLeadSearchBasic", [0, 1]],
      ["promotionCodeJoin", "ActiveNetsuite::PromotionCodeSearchBasic", [0, 1]],
      ["transactionJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["userNotesJoin", "ActiveNetsuite::NoteSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignCategory,
    :schema_name => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignCategory"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["parent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isexternal", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignAudience,
    :schema_name => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignAudience"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignFamily,
    :schema_name => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignFamily"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignSearchEngine,
    :schema_name => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignSearchEngine"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignChannel,
    :schema_name => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignChannel"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["eventType", "ActiveNetsuite::CampaignChannelEventType", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignOffer,
    :schema_name => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignOffer"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignResponse,
    :schema_name => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignResponse"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["entity", "ActiveNetsuite::RecordRef", [0, 1]],
      ["leadSource", "ActiveNetsuite::RecordRef", [0, 1]],
      ["campaignEvent", "ActiveNetsuite::RecordRef", [0, 1]],
      ["campaignResponseDate", "SOAP::SOAPDateTime", [0, 1]],
      ["channel", "SOAP::SOAPString", [0, 1]],
      ["response", "ActiveNetsuite::CampaignResponseResponse", [0, 1]],
      ["note", "SOAP::SOAPString", [0, 1]],
      ["responsesList", "ActiveNetsuite::CampaignResponseResponsesList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignVertical,
    :schema_name => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignVertical"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CampaignSubscription,
    :schema_name => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "CampaignSubscription"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["subscribedByDefault", "SOAP::SOAPBoolean", [0, 1]],
      ["unsubscribed", "SOAP::SOAPBoolean", [0, 1]],
      ["externalName", "SOAP::SOAPString", [0, 1]],
      ["externalDescription", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PromotionCode,
    :schema_name => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "promotionCode"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["implementation", "ActiveNetsuite::RecordRef", [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["useType", "ActiveNetsuite::PromotionCodeUseType", [0, 1]],
      ["displayLineDiscounts", "SOAP::SOAPBoolean", [0, 1]],
      ["code", "SOAP::SOAPString", [0, 1]],
      ["codePattern", "SOAP::SOAPString", [0, 1]],
      ["numberToGenerate", "SOAP::SOAPLong", [0, 1]],
      ["description", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["discount", "ActiveNetsuite::RecordRef", [0, 1]],
      ["rate", "SOAP::SOAPString", [0, 1]],
      ["discountType", "SOAP::SOAPBoolean", [0, 1]],
      ["applyDiscountTo", "ActiveNetsuite::PromotionCodeApplyDiscountTo", [0, 1]],
      ["freeShipMethod", "ActiveNetsuite::RecordRef", [0, 1]],
      ["minimumOrderAmount", "SOAP::SOAPDouble", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["isPublic", "SOAP::SOAPBoolean", [0, 1]],
      ["currencyList", "ActiveNetsuite::PromotionCodeCurrencyList", [0, 1]],
      ["excludeItems", "SOAP::SOAPBoolean", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["itemsList", "ActiveNetsuite::PromotionCodeItemsList", [0, 1]],
      ["partnersList", "ActiveNetsuite::PromotionCodePartnersList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::PromotionCodeSearch,
    :schema_name => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "promotionCodeSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::PromotionCodeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CouponCode,
    :schema_name => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "couponCode"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["promotion", "ActiveNetsuite::RecordRef"],
      ["code", "SOAP::SOAPString"],
      ["recipient", "ActiveNetsuite::RecordRef", [0, 1]],
      ["dateSent", "SOAP::SOAPDateTime", [0, 1]],
      ["used", "SOAP::SOAPBoolean", [0, 1]],
      ["useCount", "SOAP::SOAPLong", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::CouponCodeSearch,
    :schema_name => XSD::QName.new(NsMarketing_2013_2ListsWebservicesActiveNetsuiteCom, "couponCodeSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::CouponCodeSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemDemandPlan,
    :schema_name => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "itemDemandPlan"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["year", "SOAP::SOAPLong", [0, 1]],
      ["month", "ActiveNetsuite::DemandPlanMonth", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["demandPlanCalendarType", "ActiveNetsuite::DemandPlanCalendarType", [0, 1]],
      ["demandPlanMatrix", "ActiveNetsuite::DemandPlanMatrix", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemDemandPlanSearch,
    :schema_name => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "itemDemandPlanSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ItemDemandPlanSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["lastAlternateSourceItemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSupplyPlan,
    :schema_name => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "itemSupplyPlan"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["location", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["units", "ActiveNetsuite::RecordRef", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["orderList", "ActiveNetsuite::ItemSupplyPlanOrderList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ItemSupplyPlanSearch,
    :schema_name => XSD::QName.new(NsDemandplanning_2013_2TransactionsWebservicesActiveNetsuiteCom, "itemSupplyPlanSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ItemSupplyPlanSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingCostTemplate,
    :schema_name => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "manufacturingCostTemplate"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["costDetailList", "ActiveNetsuite::ManufacturingCostDetailList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingCostTemplateSearch,
    :schema_name => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "manufacturingCostTemplateSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ManufacturingCostTemplateSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingRouting,
    :schema_name => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "manufacturingRouting"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["subsidiary", "ActiveNetsuite::RecordRef", [0, 1]],
      ["item", "ActiveNetsuite::RecordRef", [0, 1]],
      ["locationList", "ActiveNetsuite::RecordRefList", [0, 1]],
      ["name", "SOAP::SOAPString", [0, 1]],
      ["memo", "SOAP::SOAPString", [0, 1]],
      ["isDefault", "SOAP::SOAPBoolean", [0, 1]],
      ["isInactive", "SOAP::SOAPBoolean", [0, 1]],
      ["routingStepList", "ActiveNetsuite::ManufacturingRoutingRoutingStepList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingRoutingSearch,
    :schema_name => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "manufacturingRoutingSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ManufacturingRoutingSearchBasic", [0, 1]],
      ["itemJoin", "ActiveNetsuite::ItemSearchBasic", [0, 1]],
      ["locationJoin", "ActiveNetsuite::LocationSearchBasic", [0, 1]],
      ["manufacturingCostTemplateJoin", "ActiveNetsuite::ManufacturingCostTemplateSearchBasic", [0, 1]],
      ["manufacturingWorkCenterJoin", "ActiveNetsuite::EntityGroupSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingOperationTask,
    :schema_name => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "manufacturingOperationTask"),
    :schema_element => [
      ["nullFieldList", ["ActiveNetsuite::NullField", XSD::QName.new(NsCore_2013_2PlatformWebservicesActiveNetsuiteCom, "nullFieldList")], [0, 1]],
      ["customForm", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturingWorkCenter", "ActiveNetsuite::RecordRef", [0, 1]],
      ["manufacturingCostTemplate", "ActiveNetsuite::RecordRef", [0, 1]],
      ["title", "SOAP::SOAPString", [0, 1]],
      ["operationSequence", "SOAP::SOAPLong", [0, 1]],
      ["workOrder", "ActiveNetsuite::RecordRef", [0, 1]],
      ["order", "ActiveNetsuite::RecordRef", [0, 1]],
      ["status", "ActiveNetsuite::ManufacturingOperationTaskStatus", [0, 1]],
      ["message", "SOAP::SOAPString", [0, 1]],
      ["estimatedWork", "SOAP::SOAPDouble", [0, 1]],
      ["actualWork", "SOAP::SOAPDouble", [0, 1]],
      ["remainingWork", "SOAP::SOAPDouble", [0, 1]],
      ["inputQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["completedQuantity", "SOAP::SOAPDouble", [0, 1]],
      ["setupTime", "SOAP::SOAPDouble", [0, 1]],
      ["runRate", "SOAP::SOAPDouble", [0, 1]],
      ["startDate", "SOAP::SOAPDateTime", [0, 1]],
      ["endDate", "SOAP::SOAPDateTime", [0, 1]],
      ["machineResources", "SOAP::SOAPLong", [0, 1]],
      ["laborResources", "SOAP::SOAPLong", [0, 1]],
      ["costDetailList", "ActiveNetsuite::ManufacturingCostDetailList", [0, 1]],
      ["customFieldList", "ActiveNetsuite::CustomFieldList", [0, 1]]
    ],
    :schema_attribute => {
      XSD::QName.new(nil, "internalId") => "SOAP::SOAPString",
      XSD::QName.new(nil, "externalId") => "SOAP::SOAPString"
    }
  )

  LiteralRegistry.register(
    :class => ActiveNetsuite::ManufacturingOperationTaskSearch,
    :schema_name => XSD::QName.new(NsSupplychain_2013_2ListsWebservicesActiveNetsuiteCom, "manufacturingOperationTaskSearch"),
    :schema_element => [
      ["basic", "ActiveNetsuite::ManufacturingOperationTaskSearchBasic", [0, 1]],
      ["predecessorJoin", "ActiveNetsuite::ManufacturingOperationTaskSearchBasic", [0, 1]],
      ["userJoin", "ActiveNetsuite::EmployeeSearchBasic", [0, 1]],
      ["workOrderJoin", "ActiveNetsuite::TransactionSearchBasic", [0, 1]],
      ["customSearchJoin", "ActiveNetsuite::CustomSearchJoin[]", [0, nil]]
    ]
  )
end

end
